#include <attica_includes.h>

#include <smoke.h>
#include <attica_smoke.h>

namespace __smokeattica {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Attica::AccountBalance
      switch(to) {
        case 1: return (void*)(Attica::AccountBalance*)xptr;
        default: return xptr;
      }
    case 2:   //Attica::Achievement
      switch(to) {
        case 2: return (void*)(Attica::Achievement*)xptr;
        default: return xptr;
      }
    case 3:   //Attica::Activity
      switch(to) {
        case 3: return (void*)(Attica::Activity*)xptr;
        default: return xptr;
      }
    case 4:   //Attica::BaseJob
      switch(to) {
        case 41: return (void*)(QObject*)(Attica::BaseJob*)xptr;
        case 4: return (void*)(Attica::BaseJob*)xptr;
        case 21: return (void*)(Attica::PostJob*)(Attica::BaseJob*)xptr;
        case 13: return (void*)(Attica::GetJob*)(Attica::BaseJob*)xptr;
        default: return xptr;
      }
    case 5:   //Attica::BuildServiceJob
      switch(to) {
        case 5: return (void*)(Attica::BuildServiceJob*)xptr;
        default: return xptr;
      }
    case 6:   //Attica::Category
      switch(to) {
        case 6: return (void*)(Attica::Category*)xptr;
        default: return xptr;
      }
    case 7:   //Attica::Content
      switch(to) {
        case 7: return (void*)(Attica::Content*)xptr;
        default: return xptr;
      }
    case 8:   //Attica::DeleteJob
      switch(to) {
        case 4: return (void*)(Attica::BaseJob*)(Attica::DeleteJob*)xptr;
        case 41: return (void*)(QObject*)(Attica::DeleteJob*)xptr;
        case 8: return (void*)(Attica::DeleteJob*)xptr;
        default: return xptr;
      }
    case 9:   //Attica::DownloadDescription
      switch(to) {
        case 9: return (void*)(Attica::DownloadDescription*)xptr;
        default: return xptr;
      }
    case 10:   //Attica::DownloadItem
      switch(to) {
        case 10: return (void*)(Attica::DownloadItem*)xptr;
        default: return xptr;
      }
    case 11:   //Attica::Event
      switch(to) {
        case 11: return (void*)(Attica::Event*)xptr;
        default: return xptr;
      }
    case 12:   //Attica::Folder
      switch(to) {
        case 12: return (void*)(Attica::Folder*)xptr;
        default: return xptr;
      }
    case 13:   //Attica::GetJob
      switch(to) {
        case 4: return (void*)(Attica::BaseJob*)(Attica::GetJob*)xptr;
        case 41: return (void*)(QObject*)(Attica::GetJob*)xptr;
        case 13: return (void*)(Attica::GetJob*)xptr;
        default: return xptr;
      }
    case 14:   //Attica::HomePageEntry
      switch(to) {
        case 14: return (void*)(Attica::HomePageEntry*)xptr;
        default: return xptr;
      }
    case 15:   //Attica::KnowledgeBaseEntry
      switch(to) {
        case 15: return (void*)(Attica::KnowledgeBaseEntry*)xptr;
        default: return xptr;
      }
    case 16:   //Attica::License
      switch(to) {
        case 16: return (void*)(Attica::License*)xptr;
        default: return xptr;
      }
    case 17:   //Attica::Message
      switch(to) {
        case 17: return (void*)(Attica::Message*)xptr;
        default: return xptr;
      }
    case 18:   //Attica::Metadata
      switch(to) {
        case 18: return (void*)(Attica::Metadata*)xptr;
        default: return xptr;
      }
    case 19:   //Attica::Person
      switch(to) {
        case 19: return (void*)(Attica::Person*)xptr;
        default: return xptr;
      }
    case 20:   //Attica::PlatformDependent
      switch(to) {
        case 20: return (void*)(Attica::PlatformDependent*)xptr;
        default: return xptr;
      }
    case 21:   //Attica::PostJob
      switch(to) {
        case 4: return (void*)(Attica::BaseJob*)(Attica::PostJob*)xptr;
        case 41: return (void*)(QObject*)(Attica::PostJob*)xptr;
        case 21: return (void*)(Attica::PostJob*)xptr;
        default: return xptr;
      }
    case 22:   //Attica::Project
      switch(to) {
        case 22: return (void*)(Attica::Project*)xptr;
        default: return xptr;
      }
    case 23:   //Attica::Provider
      switch(to) {
        case 23: return (void*)(Attica::Provider*)xptr;
        default: return xptr;
      }
    case 24:   //Attica::ProviderManager
      switch(to) {
        case 41: return (void*)(QObject*)(Attica::ProviderManager*)xptr;
        case 24: return (void*)(Attica::ProviderManager*)xptr;
        default: return xptr;
      }
    case 25:   //Attica::Publisher
      switch(to) {
        case 25: return (void*)(Attica::Publisher*)xptr;
        default: return xptr;
      }
    case 26:   //Attica::PublisherField
      switch(to) {
        case 26: return (void*)(Attica::PublisherField*)xptr;
        default: return xptr;
      }
    case 27:   //Attica::PutJob
      switch(to) {
        case 4: return (void*)(Attica::BaseJob*)(Attica::PutJob*)xptr;
        case 41: return (void*)(QObject*)(Attica::PutJob*)xptr;
        case 27: return (void*)(Attica::PutJob*)xptr;
        default: return xptr;
      }
    case 28:   //Attica::RemoteAccount
      switch(to) {
        case 28: return (void*)(Attica::RemoteAccount*)xptr;
        default: return xptr;
      }
    case 29:   //QBool
      switch(to) {
        case 29: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 30:   //QByteArray
      switch(to) {
        case 30: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 31:   //QChildEvent
      switch(to) {
        case 31: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QDate
      switch(to) {
        case 32: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 33:   //QDateTime
      switch(to) {
        case 33: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 34:   //QEvent
      switch(to) {
        case 34: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QIODevice
      switch(to) {
        case 41: return (void*)(QObject*)(QIODevice*)xptr;
        case 36: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 37:   //QMetaObject
      switch(to) {
        case 37: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 38:   //QNetworkAccessManager
      switch(to) {
        case 41: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 38: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkReply
      switch(to) {
        case 39: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkRequest
      switch(to) {
        case 40: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 41:   //QObject
      switch(to) {
        case 41: return (void*)(QObject*)xptr;
        case 4: return (void*)(Attica::BaseJob*)(QObject*)xptr;
        case 21: return (void*)(Attica::PostJob*)(QObject*)xptr;
        case 24: return (void*)(Attica::ProviderManager*)(QObject*)xptr;
        case 13: return (void*)(Attica::GetJob*)(QObject*)xptr;
        default: return xptr;
      }
    case 42:   //QRegExp
      switch(to) {
        case 42: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 43:   //QTimerEvent
      switch(to) {
        case 43: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QUrl
      switch(to) {
        case 44: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 45:   //QVariant
      switch(to) {
        case 45: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    41, 0,	// 1: QObject
    4, 0,	// 3: Attica::BaseJob
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__DownloadDescription(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Message(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__ProviderManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Metadata(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Provider(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Attica__AccountBalance(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Activity(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__BaseJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Category(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Content(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadDescription(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Event(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Folder(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__GetJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__KnowledgeBaseEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__License(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Message(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Metadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Person(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PlatformDependent(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PostJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Provider(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__ProviderManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Attica::AccountBalance", false, 0, xcall_Attica__AccountBalance, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::AccountBalance) },	//1
    { "Attica::Achievement", true, 0, 0, 0, 0, 0 },	//2
    { "Attica::Activity", false, 0, xcall_Attica__Activity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Activity) },	//3
    { "Attica::BaseJob", false, 1, xcall_Attica__BaseJob, 0, Smoke::cf_virtual, sizeof(Attica::BaseJob) },	//4
    { "Attica::BuildServiceJob", true, 0, 0, 0, 0, 0 },	//5
    { "Attica::Category", false, 0, xcall_Attica__Category, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Category) },	//6
    { "Attica::Content", false, 0, xcall_Attica__Content, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Content) },	//7
    { "Attica::DeleteJob", true, 0, 0, 0, 0, 0 },	//8
    { "Attica::DownloadDescription", false, 0, xcall_Attica__DownloadDescription, xenum_Attica__DownloadDescription, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadDescription) },	//9
    { "Attica::DownloadItem", false, 0, xcall_Attica__DownloadItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadItem) },	//10
    { "Attica::Event", false, 0, xcall_Attica__Event, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Event) },	//11
    { "Attica::Folder", false, 0, xcall_Attica__Folder, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Folder) },	//12
    { "Attica::GetJob", false, 3, xcall_Attica__GetJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::GetJob) },	//13
    { "Attica::HomePageEntry", true, 0, 0, 0, 0, 0 },	//14
    { "Attica::KnowledgeBaseEntry", false, 0, xcall_Attica__KnowledgeBaseEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::KnowledgeBaseEntry) },	//15
    { "Attica::License", false, 0, xcall_Attica__License, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::License) },	//16
    { "Attica::Message", false, 0, xcall_Attica__Message, xenum_Attica__Message, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Message) },	//17
    { "Attica::Metadata", false, 0, xcall_Attica__Metadata, xenum_Attica__Metadata, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Metadata) },	//18
    { "Attica::Person", false, 0, xcall_Attica__Person, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Person) },	//19
    { "Attica::PlatformDependent", false, 0, xcall_Attica__PlatformDependent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Attica::PlatformDependent) },	//20
    { "Attica::PostJob", false, 3, xcall_Attica__PostJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::PostJob) },	//21
    { "Attica::Project", true, 0, 0, 0, 0, 0 },	//22
    { "Attica::Provider", false, 0, xcall_Attica__Provider, xenum_Attica__Provider, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Provider) },	//23
    { "Attica::ProviderManager", false, 1, xcall_Attica__ProviderManager, xenum_Attica__ProviderManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::ProviderManager) },	//24
    { "Attica::Publisher", true, 0, 0, 0, 0, 0 },	//25
    { "Attica::PublisherField", true, 0, 0, 0, 0, 0 },	//26
    { "Attica::PutJob", true, 0, 0, 0, 0, 0 },	//27
    { "Attica::RemoteAccount", true, 0, 0, 0, 0, 0 },	//28
    { "QBool", true, 0, 0, 0, 0, 0 },	//29
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//30
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QDate", true, 0, 0, 0, 0, 0 },	//32
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//33
    { "QEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//35
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//36
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//37
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//38
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//39
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//40
    { "QObject", true, 0, 0, 0, 0, 0 },	//41
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//42
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QUrl", true, 0, 0, 0, 0, 0 },	//44
    { "QVariant", true, 0, 0, 0, 0, 0 },	//45
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref },	//1
    { "Attica::AccountBalance*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Attica::Activity&", 3, Smoke::t_class|Smoke::tf_ref },	//3
    { "Attica::Activity*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Attica::BaseJob*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Attica::Category&", 6, Smoke::t_class|Smoke::tf_ref },	//6
    { "Attica::Category*", 6, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Attica::Content&", 7, Smoke::t_class|Smoke::tf_ref },	//8
    { "Attica::Content*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Attica::DeleteJob*", 8, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Attica::DownloadDescription", 9, Smoke::t_class|Smoke::tf_stack },	//11
    { "Attica::DownloadDescription&", 9, Smoke::t_class|Smoke::tf_ref },	//12
    { "Attica::DownloadDescription*", 9, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Attica::DownloadDescription::Type", 9, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Attica::DownloadItem&", 10, Smoke::t_class|Smoke::tf_ref },	//15
    { "Attica::DownloadItem*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Attica::Event&", 11, Smoke::t_class|Smoke::tf_ref },	//17
    { "Attica::Event*", 11, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Attica::Folder&", 12, Smoke::t_class|Smoke::tf_ref },	//19
    { "Attica::Folder*", 12, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Attica::HomePageEntry", 14, Smoke::t_class|Smoke::tf_stack },	//21
    { "Attica::ItemJob<Attica::AccountBalance>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//22
    { "Attica::ItemJob<Attica::BuildService>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//23
    { "Attica::ItemJob<Attica::BuildServiceJob>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//24
    { "Attica::ItemJob<Attica::BuildServiceJobOutput>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//25
    { "Attica::ItemJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//26
    { "Attica::ItemJob<Attica::DownloadItem>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//27
    { "Attica::ItemJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//28
    { "Attica::ItemJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//29
    { "Attica::ItemJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//30
    { "Attica::ItemJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//31
    { "Attica::ItemJob<Attica::PrivateData>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//32
    { "Attica::ItemJob<Attica::Project>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//33
    { "Attica::ItemJob<Attica::Publisher>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//34
    { "Attica::ItemJob<Attica::RemoteAccount>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//35
    { "Attica::ItemPostJob<Attica::Achievement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//36
    { "Attica::ItemPostJob<Attica::Comment>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//37
    { "Attica::ItemPostJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//38
    { "Attica::KnowledgeBaseEntry&", 15, Smoke::t_class|Smoke::tf_ref },	//39
    { "Attica::KnowledgeBaseEntry*", 15, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Attica::License&", 16, Smoke::t_class|Smoke::tf_ref },	//41
    { "Attica::License*", 16, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Attica::ListJob<Attica::Achievement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//43
    { "Attica::ListJob<Attica::Activity>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//44
    { "Attica::ListJob<Attica::BuildService>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//45
    { "Attica::ListJob<Attica::BuildServiceJob>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//46
    { "Attica::ListJob<Attica::Category>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//47
    { "Attica::ListJob<Attica::Comment>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//48
    { "Attica::ListJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//49
    { "Attica::ListJob<Attica::Distribution>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//50
    { "Attica::ListJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//51
    { "Attica::ListJob<Attica::Folder>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//52
    { "Attica::ListJob<Attica::Forum>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//53
    { "Attica::ListJob<Attica::HomePageType>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//54
    { "Attica::ListJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//55
    { "Attica::ListJob<Attica::License>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//56
    { "Attica::ListJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//57
    { "Attica::ListJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//58
    { "Attica::ListJob<Attica::Project>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//59
    { "Attica::ListJob<Attica::Publisher>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//60
    { "Attica::ListJob<Attica::RemoteAccount>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//61
    { "Attica::ListJob<Attica::Topic>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//62
    { "Attica::Message&", 17, Smoke::t_class|Smoke::tf_ref },	//63
    { "Attica::Message*", 17, Smoke::t_class|Smoke::tf_ptr },	//64
    { "Attica::Message::Status", 17, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Attica::Metadata", 18, Smoke::t_class|Smoke::tf_stack },	//66
    { "Attica::Metadata&", 18, Smoke::t_class|Smoke::tf_ref },	//67
    { "Attica::Metadata*", 18, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Attica::Metadata::Error", 18, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Attica::Person", 19, Smoke::t_class|Smoke::tf_stack },	//70
    { "Attica::Person&", 19, Smoke::t_class|Smoke::tf_ref },	//71
    { "Attica::Person*", 19, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Attica::PlatformDependent*", 20, Smoke::t_class|Smoke::tf_ptr },	//73
    { "Attica::PostJob*", 21, Smoke::t_class|Smoke::tf_ptr },	//74
    { "Attica::Provider", 23, Smoke::t_class|Smoke::tf_stack },	//75
    { "Attica::Provider&", 23, Smoke::t_class|Smoke::tf_ref },	//76
    { "Attica::Provider*", 23, Smoke::t_class|Smoke::tf_ptr },	//77
    { "Attica::Provider::SortMode", 23, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Attica::ProviderManager*", 24, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Attica::ProviderManager::ProviderFlag", 24, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Attica::PutJob*", 27, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QBool", 29, Smoke::t_class|Smoke::tf_stack },	//82
    { "QChildEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QDate", 32, Smoke::t_class|Smoke::tf_stack },	//84
    { "QDateTime", 33, Smoke::t_class|Smoke::tf_stack },	//85
    { "QEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QIODevice*", 36, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QList<Attica::DownloadDescription>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QList<Attica::HomePageEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QList<Attica::Icon>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QList<Attica::Provider>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QMetaObject::Call", 37, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QNetworkAccessManager*", 38, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QNetworkReply*", 39, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QNetworkRequest", 40, Smoke::t_class|Smoke::tf_stack },	//97
    { "QObject*", 41, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QRegExp&", 42, Smoke::t_class|Smoke::tf_ref },	//99
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//101
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//103
    { "QTimerEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QUrl", 44, Smoke::t_class|Smoke::tf_stack },	//105
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QtMsgType", 35, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QtValidLicenseForActiveQtModule", 35, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QtValidLicenseForCoreModule", 35, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QtValidLicenseForDBusModule", 35, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QtValidLicenseForDeclarativeModule", 35, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QtValidLicenseForGuiModule", 35, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QtValidLicenseForHelpModule", 35, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QtValidLicenseForMultimediaModule", 35, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QtValidLicenseForNetworkModule", 35, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QtValidLicenseForOpenGLModule", 35, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QtValidLicenseForOpenVGModule", 35, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QtValidLicenseForQt3SupportLightModule", 35, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QtValidLicenseForQt3SupportModule", 35, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QtValidLicenseForScriptModule", 35, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QtValidLicenseForScriptToolsModule", 35, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QtValidLicenseForSqlModule", 35, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QtValidLicenseForSvgModule", 35, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QtValidLicenseForTestModule", 35, Smoke::t_enum|Smoke::tf_stack },	//195
    { "QtValidLicenseForXmlModule", 35, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QtValidLicenseForXmlPatternsModule", 35, Smoke::t_enum|Smoke::tf_stack },	//197
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//198
    { "const Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const Attica::Achievement&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const Attica::Activity&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const Attica::BuildServiceJob&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const Attica::Category&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const Attica::Comment::Type", 0, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//204
    { "const Attica::Content&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const Attica::DownloadDescription&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const Attica::DownloadItem&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const Attica::Event&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const Attica::Folder&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const Attica::KnowledgeBaseEntry&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const Attica::License&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const Attica::Message&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const Attica::Metadata&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const Attica::Person&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const Attica::PlatformDependent&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const Attica::Project&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const Attica::Provider&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const Attica::Publisher&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const Attica::PublisherField&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const Attica::RemoteAccount&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QByteArray&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QDate&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QDateTime&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QFlags<Attica::ProviderManager::ProviderFlag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QList<Attica::Category>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QList<Attica::Distribution>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QList<Attica::License>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QMetaObject&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QMetaObject*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//229
    { "const QNetworkRequest&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QRegExp&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//233
    { "const QUrl&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QVariant&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//236
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//237
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//238
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//239
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//240
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//241
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//242
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//243
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//244
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    199, 0,	//1  const Attica::AccountBalance&
    232, 0,	//3  const QString&
    201, 0,	//5  const Attica::Activity&
    214, 0,	//7  const Attica::Person&
    223, 0,	//9  const QDateTime&
    234, 0,	//11  const QUrl&
    236, 0,	//13  const char*
    236, 236, 0,	//15  const char*, const char*
    236, 236, 239, 0,	//18  const char*, const char*, int
    94, 239, 243, 0,	//22  QMetaObject::Call, int, void**
    5, 0,	//26  Attica::BaseJob*
    213, 0,	//28  const Attica::Metadata&
    203, 0,	//30  const Attica::Category&
    205, 0,	//32  const Attica::Content&
    239, 0,	//34  int
    90, 0,	//36  QList<Attica::Icon>
    92, 0,	//38  QList<QUrl>
    232, 232, 0,	//40  const QString&, const QString&
    206, 0,	//43  const Attica::DownloadDescription&
    14, 0,	//45  Attica::DownloadDescription::Type
    198, 0,	//47  bool
    241, 0,	//49  unsigned int
    207, 0,	//51  const Attica::DownloadItem&
    208, 0,	//53  const Attica::Event&
    222, 0,	//55  const QDate&
    238, 0,	//57  double
    209, 0,	//59  const Attica::Folder&
    210, 0,	//61  const Attica::KnowledgeBaseEntry&
    100, 0,	//63  QString
    211, 0,	//65  const Attica::License&
    212, 0,	//67  const Attica::Message&
    65, 0,	//69  Attica::Message::Status
    69, 0,	//71  Attica::Metadata::Error
    234, 198, 0,	//73  const QUrl&, bool
    234, 101, 101, 0,	//76  const QUrl&, QString&, QString&
    234, 232, 232, 0,	//80  const QUrl&, const QString&, const QString&
    230, 0,	//84  const QNetworkRequest&
    230, 87, 0,	//86  const QNetworkRequest&, QIODevice*
    230, 221, 0,	//89  const QNetworkRequest&, const QByteArray&
    95, 0,	//92  QNetworkAccessManager*
    215, 0,	//94  const Attica::PlatformDependent&
    217, 0,	//96  const Attica::Provider&
    101, 101, 0,	//98  QString&, QString&
    232, 232, 232, 232, 232, 0,	//101  const QString&, const QString&, const QString&, const QString&, const QString&
    238, 238, 238, 239, 239, 0,	//107  double, double, double, int, int
    238, 238, 232, 232, 0,	//113  double, double, const QString&, const QString&
    232, 232, 232, 0,	//118  const QString&, const QString&, const QString&
    232, 239, 239, 0,	//122  const QString&, int, int
    239, 239, 0,	//126  int, int
    209, 65, 0,	//129  const Attica::Folder&, Attica::Message::Status
    209, 232, 0,	//132  const Attica::Folder&, const QString&
    232, 200, 0,	//135  const QString&, const Attica::Achievement&
    232, 232, 200, 0,	//138  const QString&, const QString&, const Attica::Achievement&
    232, 235, 223, 0,	//142  const QString&, const QVariant&, const QDateTime&
    216, 0,	//146  const Attica::Project&
    216, 219, 0,	//148  const Attica::Project&, const Attica::PublisherField&
    202, 218, 0,	//151  const Attica::BuildServiceJob&, const Attica::Publisher&
    202, 0,	//154  const Attica::BuildServiceJob&
    220, 0,	//156  const Attica::RemoteAccount&
    232, 232, 221, 0,	//158  const QString&, const QString&, const QByteArray&
    225, 232, 78, 241, 241, 0,	//162  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    225, 232, 232, 78, 241, 241, 0,	//168  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    225, 232, 226, 227, 232, 78, 241, 241, 0,	//175  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    232, 198, 0,	//184  const QString&, bool
    232, 241, 0,	//187  const QString&, unsigned int
    203, 205, 0,	//190  const Attica::Category&, const Attica::Content&
    203, 232, 205, 0,	//193  const Attica::Category&, const QString&, const Attica::Content&
    232, 232, 232, 221, 0,	//197  const QString&, const QString&, const QString&, const QByteArray&
    205, 232, 78, 239, 239, 0,	//202  const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int
    232, 232, 222, 78, 239, 239, 0,	//208  const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int
    204, 232, 232, 239, 239, 0,	//215  const Attica::Comment::Type, const QString&, const QString&, int, int
    204, 232, 232, 232, 232, 232, 0,	//221  const Attica::Comment::Type, const QString&, const QString&, const QString&, const QString&, const QString&
    232, 241, 241, 0,	//228  const QString&, unsigned int, unsigned int
    241, 241, 0,	//232  unsigned int, unsigned int
    232, 232, 232, 78, 239, 239, 0,	//235  const QString&, const QString&, const QString&, Attica::Provider::SortMode, int, int
    238, 238, 0,	//242  double, double
    238, 238, 238, 0,	//245  double, double, double
    238, 238, 238, 239, 0,	//249  double, double, double, int
    238, 238, 232, 0,	//254  double, double, const QString&
    232, 239, 0,	//258  const QString&, int
    225, 0,	//261  const QList<Attica::Category>&
    225, 232, 0,	//263  const QList<Attica::Category>&, const QString&
    225, 232, 78, 0,	//266  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode
    225, 232, 78, 241, 0,	//270  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int
    225, 232, 232, 0,	//275  const QList<Attica::Category>&, const QString&, const QString&
    225, 232, 232, 78, 0,	//279  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode
    225, 232, 232, 78, 241, 0,	//284  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int
    225, 232, 226, 227, 0,	//290  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&
    225, 232, 226, 227, 232, 0,	//295  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&
    225, 232, 226, 227, 232, 78, 0,	//301  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode
    225, 232, 226, 227, 232, 78, 241, 0,	//308  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int
    224, 0,	//316  const QFlags<Attica::ProviderManager::ProviderFlag>&
    86, 0,	//318  QEvent*
    98, 86, 0,	//320  QObject*, QEvent*
    104, 0,	//323  QTimerEvent*
    83, 0,	//325  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccountBalance",	//1
    "AccountBalance#",	//2
    "Activity",	//3
    "Activity#",	//4
    "Alphabetical",	//5
    "Answered",	//6
    "Category",	//7
    "Category#",	//8
    "Content",	//9
    "Content#",	//10
    "DisablePlugins",	//11
    "DownloadDescription",	//12
    "DownloadDescription#",	//13
    "DownloadItem",	//14
    "DownloadItem#",	//15
    "Downloads",	//16
    "Event",	//17
    "Event#",	//18
    "FileDownload",	//19
    "Folder",	//20
    "Folder#",	//21
    "KnowledgeBaseEntry",	//22
    "KnowledgeBaseEntry#",	//23
    "License",	//24
    "License#",	//25
    "LicensedActiveQt",	//26
    "LicensedCore",	//27
    "LicensedDBus",	//28
    "LicensedDeclarative",	//29
    "LicensedGui",	//30
    "LicensedHelp",	//31
    "LicensedMultimedia",	//32
    "LicensedNetwork",	//33
    "LicensedOpenGL",	//34
    "LicensedOpenVG",	//35
    "LicensedQt3Support",	//36
    "LicensedQt3SupportLight",	//37
    "LicensedScript",	//38
    "LicensedScriptTools",	//39
    "LicensedSql",	//40
    "LicensedSvg",	//41
    "LicensedTest",	//42
    "LicensedXml",	//43
    "LicensedXmlPatterns",	//44
    "LinkDownload",	//45
    "Message",	//46
    "Message#",	//47
    "Metadata",	//48
    "Metadata#",	//49
    "NetworkError",	//50
    "Newest",	//51
    "NoError",	//52
    "NoFlags",	//53
    "OcsError",	//54
    "PackageDownload",	//55
    "Person",	//56
    "Person#",	//57
    "PlatformDependent",	//58
    "PlatformDependent#",	//59
    "Provider",	//60
    "Provider#",	//61
    "ProviderManager",	//62
    "ProviderManager#",	//63
    "Q_COMPLEX_TYPE",	//64
    "Q_DUMMY_TYPE",	//65
    "Q_MOVABLE_TYPE",	//66
    "Q_PRIMITIVE_TYPE",	//67
    "Q_STATIC_TYPE",	//68
    "QtCriticalMsg",	//69
    "QtDebugMsg",	//70
    "QtFatalMsg",	//71
    "QtSystemMsg",	//72
    "QtWarningMsg",	//73
    "Rating",	//74
    "Read",	//75
    "Unread",	//76
    "abort",	//77
    "achievementServiceVersion",	//78
    "activityServiceVersion",	//79
    "addAttribute",	//80
    "addAttribute$$",	//81
    "addDefaultProviderFile",	//82
    "addDefaultProviderFile#",	//83
    "addExtendedAttribute",	//84
    "addExtendedAttribute$$",	//85
    "addNewAchievement",	//86
    "addNewAchievement$#",	//87
    "addNewComment",	//88
    "addNewComment$$$$$$",	//89
    "addNewContent",	//90
    "addNewContent##",	//91
    "addProviderFile",	//92
    "addProviderFile#",	//93
    "addProviderFileToDefaultProviders",	//94
    "addProviderFileToDefaultProviders#",	//95
    "addProviderFromXml",	//96
    "addProviderFromXml$",	//97
    "answer",	//98
    "approveFriendship",	//99
    "approveFriendship$",	//100
    "askForCredentials",	//101
    "askForCredentials#$$",	//102
    "associatedPerson",	//103
    "attribute",	//104
    "attribute$",	//105
    "attributes",	//106
    "authenticationCredentialsMissing",	//107
    "authenticationCredentialsMissing#",	//108
    "author",	//109
    "avatarUrl",	//110
    "balance",	//111
    "baseUrl",	//112
    "becomeFan",	//113
    "becomeFan$",	//114
    "birthday",	//115
    "body",	//116
    "cancelBuildServiceJob",	//117
    "cancelBuildServiceJob#",	//118
    "cancelFriendship",	//119
    "cancelFriendship$",	//120
    "category",	//121
    "changed",	//122
    "changelog",	//123
    "checkLogin",	//124
    "checkLogin$$",	//125
    "childEvent",	//126
    "city",	//127
    "clear",	//128
    "commentServiceVersion",	//129
    "comments",	//130
    "connectNotify",	//131
    "contains",	//132
    "contains$",	//133
    "contentId",	//134
    "contentServiceVersion",	//135
    "country",	//136
    "createBuildServiceJob",	//137
    "createBuildServiceJob#",	//138
    "createProject",	//139
    "createProject#",	//140
    "createRemoteAccount",	//141
    "createRemoteAccount#",	//142
    "createRequest",	//143
    "createRequest#",	//144
    "createRequest$",	//145
    "createUrl",	//146
    "createUrl$",	//147
    "created",	//148
    "currency",	//149
    "customEvent",	//150
    "dataFinished",	//151
    "declineFriendship",	//152
    "declineFriendship$",	//153
    "defaultProviderFiles",	//154
    "defaultProvidersLoaded",	//155
    "deleteAchievement",	//156
    "deleteAchievement$$",	//157
    "deleteContent",	//158
    "deleteContent$",	//159
    "deleteDownloadFile",	//160
    "deleteDownloadFile$",	//161
    "deletePreviewImage",	//162
    "deletePreviewImage$$",	//163
    "deleteProject",	//164
    "deleteProject#",	//165
    "deleteRemoteAccount",	//166
    "deleteRemoteAccount$",	//167
    "depend",	//168
    "description",	//169
    "detailPage",	//170
    "detailpage",	//171
    "disconnectNotify",	//172
    "distributionType",	//173
    "doRequestAccountBalance",	//174
    "doRequestAccountBalance#",	//175
    "doRequestAchievementList",	//176
    "doRequestAchievementList#",	//177
    "doRequestActivityList",	//178
    "doRequestActivityList#",	//179
    "doRequestFolderList",	//180
    "doRequestFolderList#",	//181
    "doRequestForumList",	//182
    "doRequestForumList#",	//183
    "doRequestMessageList",	//184
    "doRequestMessageList#",	//185
    "doRequestPerson",	//186
    "doRequestPerson#",	//187
    "doRequestPersonList",	//188
    "doRequestPersonList#",	//189
    "doRequestTopicList",	//190
    "doRequestTopicList#",	//191
    "downloadLink",	//192
    "downloadLink$",	//193
    "downloadLink$$",	//194
    "downloadUrlDescription",	//195
    "downloadUrlDescription$",	//196
    "downloadUrlDescriptions",	//197
    "downloads",	//198
    "editAchievement",	//199
    "editAchievement$$#",	//200
    "editContent",	//201
    "editContent#$#",	//202
    "editProject",	//203
    "editProject#",	//204
    "editRemoteAccount",	//205
    "editRemoteAccount#",	//206
    "enableProvider",	//207
    "enableProvider#$",	//208
    "endDate",	//209
    "error",	//210
    "event",	//211
    "eventFilter",	//212
    "executeRequest",	//213
    "extendedAttribute",	//214
    "extendedAttribute$",	//215
    "extendedAttributes",	//216
    "fanServiceVersion",	//217
    "finished",	//218
    "finished#",	//219
    "firstName",	//220
    "forumServiceVersion",	//221
    "friendServiceVersion",	//222
    "from",	//223
    "get",	//224
    "get#",	//225
    "getDefaultProviderFiles",	//226
    "gpgFingerprint",	//227
    "gpgSignature",	//228
    "hasAchievementService",	//229
    "hasActivityService",	//230
    "hasCommentService",	//231
    "hasContentService",	//232
    "hasCredentials",	//233
    "hasCredentials#",	//234
    "hasFanService",	//235
    "hasForumService",	//236
    "hasFriendService",	//237
    "hasKnowledgebaseService",	//238
    "hasMessageService",	//239
    "hasPersonService",	//240
    "hasPrice",	//241
    "homePageEntries",	//242
    "homePageEntry",	//243
    "homePageEntry$",	//244
    "homepage",	//245
    "icons",	//246
    "id",	//247
    "internals",	//248
    "inviteFriend",	//249
    "inviteFriend$$",	//250
    "isDownloadtypLink",	//251
    "isEnabled",	//252
    "isEnabled#",	//253
    "isValid",	//254
    "itemsPerPage",	//255
    "knowledgebaseServiceVersion",	//256
    "lastName",	//257
    "latitude",	//258
    "license",	//259
    "licenseName",	//260
    "link",	//261
    "loadCredentials",	//262
    "loadCredentials#$$",	//263
    "loadCredentials$$",	//264
    "loadDefaultProviders",	//265
    "longitude",	//266
    "message",	//267
    "messageCount",	//268
    "messageServiceVersion",	//269
    "metaObject",	//270
    "metadata",	//271
    "mimeType",	//272
    "nam",	//273
    "name",	//274
    "numberOfComments",	//275
    "operator=",	//276
    "operator=#",	//277
    "packageName",	//278
    "packageRepository",	//279
    "parse",	//280
    "parse$",	//281
    "personServiceVersion",	//282
    "post",	//283
    "post##",	//284
    "postActivity",	//285
    "postActivity$",	//286
    "postLocation",	//287
    "postLocation$$",	//288
    "postLocation$$$",	//289
    "postLocation$$$$",	//290
    "postMessage",	//291
    "postMessage#",	//292
    "postTopic",	//293
    "postTopic$$$",	//294
    "previewPicture",	//295
    "previewPicture$",	//296
    "priceAmount",	//297
    "priceReason",	//298
    "providerAdded",	//299
    "providerAdded#",	//300
    "providerByUrl",	//301
    "providerByUrl#",	//302
    "providerFiles",	//303
    "providers",	//304
    "publishBuildJob",	//305
    "publishBuildJob##",	//306
    "qt_metacall",	//307
    "qt_metacall$$?",	//308
    "qt_metacast",	//309
    "qt_metacast$",	//310
    "rating",	//311
    "registerAccount",	//312
    "registerAccount$$$$$",	//313
    "removeDefaultProviderFile",	//314
    "removeDefaultProviderFile#",	//315
    "removeProviderFileFromDefaultProviders",	//316
    "removeProviderFileFromDefaultProviders#",	//317
    "repository",	//318
    "requestAccountBalance",	//319
    "requestAchievements",	//320
    "requestAchievements$$$",	//321
    "requestActivities",	//322
    "requestBuildService",	//323
    "requestBuildService$",	//324
    "requestBuildServiceJob",	//325
    "requestBuildServiceJob$",	//326
    "requestBuildServiceJobOutput",	//327
    "requestBuildServiceJobOutput$",	//328
    "requestBuildServiceJobs",	//329
    "requestBuildServiceJobs#",	//330
    "requestBuildServices",	//331
    "requestCategories",	//332
    "requestComments",	//333
    "requestComments$$$$$",	//334
    "requestContent",	//335
    "requestContent$",	//336
    "requestDistributions",	//337
    "requestEvent",	//338
    "requestEvent$",	//339
    "requestEvent$$#$$$",	//340
    "requestFans",	//341
    "requestFans$",	//342
    "requestFans$$",	//343
    "requestFans$$$",	//344
    "requestFolders",	//345
    "requestForums",	//346
    "requestForums$",	//347
    "requestForums$$",	//348
    "requestFriends",	//349
    "requestFriends$",	//350
    "requestFriends$$",	//351
    "requestFriends$$$",	//352
    "requestHomePageTypes",	//353
    "requestKnowledgeBaseEntry",	//354
    "requestKnowledgeBaseEntry$",	//355
    "requestLicenses",	//356
    "requestMessage",	//357
    "requestMessage#$",	//358
    "requestMessages",	//359
    "requestMessages#",	//360
    "requestMessages#$",	//361
    "requestPerson",	//362
    "requestPerson$",	//363
    "requestPersonSearchByLocation",	//364
    "requestPersonSearchByLocation$$",	//365
    "requestPersonSearchByLocation$$$",	//366
    "requestPersonSearchByLocation$$$$",	//367
    "requestPersonSearchByLocation$$$$$",	//368
    "requestPersonSearchByName",	//369
    "requestPersonSearchByName$",	//370
    "requestPersonSelf",	//371
    "requestPrivateData",	//372
    "requestPrivateData$",	//373
    "requestPrivateData$$",	//374
    "requestProject",	//375
    "requestProject$",	//376
    "requestProjects",	//377
    "requestPublisher",	//378
    "requestPublisher$",	//379
    "requestPublishers",	//380
    "requestReceivedInvitations",	//381
    "requestReceivedInvitations$",	//382
    "requestReceivedInvitations$$",	//383
    "requestRemoteAccount",	//384
    "requestRemoteAccount$",	//385
    "requestRemoteAccounts",	//386
    "requestSentInvitations",	//387
    "requestSentInvitations$",	//388
    "requestSentInvitations$$",	//389
    "requestTopics",	//390
    "requestTopics$$$$$$",	//391
    "resetAchievementProgress",	//392
    "resetAchievementProgress$",	//393
    "resultingId",	//394
    "saveCredentials",	//395
    "saveCredentials#$$",	//396
    "saveCredentials$$",	//397
    "savePublisherField",	//398
    "savePublisherField##",	//399
    "searchContents",	//400
    "searchContents?",	//401
    "searchContents?$",	//402
    "searchContents?$$",	//403
    "searchContents?$$$",	//404
    "searchContents?$$$$",	//405
    "searchContents?$??",	//406
    "searchContents?$??$",	//407
    "searchContents?$??$$",	//408
    "searchContents?$??$$$",	//409
    "searchContents?$??$$$$",	//410
    "searchContentsByPerson",	//411
    "searchContentsByPerson?$",	//412
    "searchContentsByPerson?$$",	//413
    "searchContentsByPerson?$$$",	//414
    "searchContentsByPerson?$$$$",	//415
    "searchContentsByPerson?$$$$$",	//416
    "searchKnowledgeBase",	//417
    "searchKnowledgeBase#$$$$",	//418
    "sent",	//419
    "setAchievementProgress",	//420
    "setAchievementProgress$##",	//421
    "setAnswer",	//422
    "setAnswer$",	//423
    "setAssociatedPerson",	//424
    "setAssociatedPerson#",	//425
    "setAuthenticationSuppressed",	//426
    "setAuthenticationSuppressed$",	//427
    "setAvatarUrl",	//428
    "setAvatarUrl#",	//429
    "setBalance",	//430
    "setBalance$",	//431
    "setBirthday",	//432
    "setBirthday#",	//433
    "setBody",	//434
    "setBody$",	//435
    "setCategory",	//436
    "setCategory$",	//437
    "setChanged",	//438
    "setChanged#",	//439
    "setCity",	//440
    "setCity$",	//441
    "setComments",	//442
    "setComments$",	//443
    "setContentId",	//444
    "setContentId$",	//445
    "setCountry",	//446
    "setCountry$",	//447
    "setCreated",	//448
    "setCreated#",	//449
    "setCurrency",	//450
    "setCurrency$",	//451
    "setDescription",	//452
    "setDescription$",	//453
    "setDetailPage",	//454
    "setDetailPage#",	//455
    "setDistributionType",	//456
    "setDistributionType$",	//457
    "setDownloadFile",	//458
    "setDownloadFile$$#",	//459
    "setDownloads",	//460
    "setDownloads$",	//461
    "setDownloadtypLink",	//462
    "setDownloadtypLink$",	//463
    "setEnabled",	//464
    "setEnabled$",	//465
    "setEndDate",	//466
    "setEndDate#",	//467
    "setError",	//468
    "setError$",	//469
    "setFirstName",	//470
    "setFirstName$",	//471
    "setFrom",	//472
    "setFrom$",	//473
    "setGpgFingerprint",	//474
    "setGpgFingerprint$",	//475
    "setGpgSignature",	//476
    "setGpgSignature$",	//477
    "setHasPrice",	//478
    "setHasPrice$",	//479
    "setHomepage",	//480
    "setHomepage#",	//481
    "setHomepage$",	//482
    "setIcons",	//483
    "setIcons?",	//484
    "setId",	//485
    "setId$",	//486
    "setItemsPerPage",	//487
    "setItemsPerPage$",	//488
    "setLastName",	//489
    "setLastName$",	//490
    "setLatitude",	//491
    "setLatitude$",	//492
    "setLink",	//493
    "setLink#",	//494
    "setLink$",	//495
    "setLongitude",	//496
    "setLongitude$",	//497
    "setMessage",	//498
    "setMessage$",	//499
    "setMessageCount",	//500
    "setMessageCount$",	//501
    "setMetadata",	//502
    "setMetadata#",	//503
    "setMimeType",	//504
    "setMimeType$",	//505
    "setNam",	//506
    "setNam#",	//507
    "setName",	//508
    "setName$",	//509
    "setNumberOfComments",	//510
    "setNumberOfComments$",	//511
    "setPackageName",	//512
    "setPackageName$",	//513
    "setPackageRepository",	//514
    "setPackageRepository$",	//515
    "setPreviewImage",	//516
    "setPreviewImage$$$#",	//517
    "setPriceAmount",	//518
    "setPriceAmount$",	//519
    "setPriceReason",	//520
    "setPriceReason$",	//521
    "setPrivateData",	//522
    "setPrivateData$$$",	//523
    "setRating",	//524
    "setRating$",	//525
    "setRepository",	//526
    "setRepository$",	//527
    "setResultingId",	//528
    "setResultingId$",	//529
    "setSent",	//530
    "setSent#",	//531
    "setSize",	//532
    "setSize$",	//533
    "setStartDate",	//534
    "setStartDate#",	//535
    "setStatus",	//536
    "setStatus$",	//537
    "setStatusCode",	//538
    "setStatusCode$",	//539
    "setStatusString",	//540
    "setStatusString$",	//541
    "setSubject",	//542
    "setSubject$",	//543
    "setTimestamp",	//544
    "setTimestamp#",	//545
    "setTo",	//546
    "setTo$",	//547
    "setTotalItems",	//548
    "setTotalItems$",	//549
    "setType",	//550
    "setType$",	//551
    "setUpdated",	//552
    "setUpdated#",	//553
    "setUrl",	//554
    "setUrl#",	//555
    "setUser",	//556
    "setUser$",	//557
    "setVideos",	//558
    "setVideos?",	//559
    "size",	//560
    "smallPreviewPicture",	//561
    "smallPreviewPicture$",	//562
    "start",	//563
    "startDate",	//564
    "staticMetaObject",	//565
    "status",	//566
    "statusCode",	//567
    "statusString",	//568
    "subject",	//569
    "summary",	//570
    "timerEvent",	//571
    "timestamp",	//572
    "to",	//573
    "totalItems",	//574
    "tr",	//575
    "tr$",	//576
    "tr$$",	//577
    "tr$$$",	//578
    "trUtf8",	//579
    "trUtf8$",	//580
    "trUtf8$$",	//581
    "trUtf8$$$",	//582
    "type",	//583
    "updated",	//584
    "uploadTarballToBuildService",	//585
    "uploadTarballToBuildService$$#",	//586
    "url",	//587
    "user",	//588
    "version",	//589
    "videos",	//590
    "voteForComment",	//591
    "voteForComment$$",	//592
    "voteForContent",	//593
    "voteForContent$$",	//594
    "~AccountBalance",	//595
    "~Activity",	//596
    "~BaseJob",	//597
    "~Category",	//598
    "~Content",	//599
    "~DownloadDescription",	//600
    "~DownloadItem",	//601
    "~Event",	//602
    "~Folder",	//603
    "~GetJob",	//604
    "~KnowledgeBaseEntry",	//605
    "~License",	//606
    "~Message",	//607
    "~Metadata",	//608
    "~Person",	//609
    "~PlatformDependent",	//610
    "~PostJob",	//611
    "~Provider",	//612
    "~ProviderManager",	//613
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1, 0, 0, Smoke::mf_ctor, 2, 1},	//1 Attica::AccountBalance::AccountBalance()
    {1, 1, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 2},	//2 Attica::AccountBalance::AccountBalance(const Attica::AccountBalance&)
    {1, 276, 1, 1, 0, 1, 3},	//3 Attica::AccountBalance::operator=(const Attica::AccountBalance&)
    {1, 450, 3, 1, 0, 0, 4},	//4 Attica::AccountBalance::setCurrency(const QString&)
    {1, 149, 0, 0, Smoke::mf_const, 100, 5},	//5 Attica::AccountBalance::currency() const
    {1, 430, 3, 1, 0, 0, 6},	//6 Attica::AccountBalance::setBalance(const QString&)
    {1, 111, 0, 0, Smoke::mf_const, 100, 7},	//7 Attica::AccountBalance::balance() const
    {1, 595, 0, 0, Smoke::mf_dtor, 0, 8 },	//8 Attica::AccountBalance::~AccountBalance()
    {3, 3, 0, 0, Smoke::mf_ctor, 4, 1},	//9 Attica::Activity::Activity()
    {3, 3, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 2},	//10 Attica::Activity::Activity(const Attica::Activity&)
    {3, 276, 5, 1, 0, 3, 3},	//11 Attica::Activity::operator=(const Attica::Activity&)
    {3, 485, 3, 1, 0, 0, 4},	//12 Attica::Activity::setId(const QString&)
    {3, 247, 0, 0, Smoke::mf_const, 100, 5},	//13 Attica::Activity::id() const
    {3, 424, 7, 1, 0, 0, 6},	//14 Attica::Activity::setAssociatedPerson(const Attica::Person&)
    {3, 103, 0, 0, Smoke::mf_const, 70, 7},	//15 Attica::Activity::associatedPerson() const
    {3, 544, 9, 1, 0, 0, 8},	//16 Attica::Activity::setTimestamp(const QDateTime&)
    {3, 572, 0, 0, Smoke::mf_const, 85, 9},	//17 Attica::Activity::timestamp() const
    {3, 498, 3, 1, 0, 0, 10},	//18 Attica::Activity::setMessage(const QString&)
    {3, 267, 0, 0, Smoke::mf_const, 100, 11},	//19 Attica::Activity::message() const
    {3, 493, 11, 1, 0, 0, 12},	//20 Attica::Activity::setLink(const QUrl&)
    {3, 261, 0, 0, Smoke::mf_const, 105, 13},	//21 Attica::Activity::link() const
    {3, 254, 0, 0, Smoke::mf_const, 198, 14},	//22 Attica::Activity::isValid() const
    {3, 596, 0, 0, Smoke::mf_dtor, 0, 15 },	//23 Attica::Activity::~Activity()
    {4, 270, 0, 0, Smoke::mf_const, 229, 1},	//24 Attica::BaseJob::metaObject() const
    {4, 309, 13, 1, 0, 242, 2},	//25 Attica::BaseJob::qt_metacast(const char*)
    {4, 575, 15, 2, Smoke::mf_static, 100, 3},	//26 Attica::BaseJob::tr(const char*, const char*)
    {4, 579, 15, 2, Smoke::mf_static, 100, 4},	//27 Attica::BaseJob::trUtf8(const char*, const char*)
    {4, 575, 18, 3, Smoke::mf_static, 100, 5},	//28 Attica::BaseJob::tr(const char*, const char*, int)
    {4, 579, 18, 3, Smoke::mf_static, 100, 6},	//29 Attica::BaseJob::trUtf8(const char*, const char*, int)
    {4, 307, 22, 3, 0, 239, 7},	//30 Attica::BaseJob::qt_metacall(QMetaObject::Call, int, void**)
    {4, 271, 0, 0, Smoke::mf_const, 66, 8},	//31 Attica::BaseJob::metadata() const
    {4, 563, 0, 0, Smoke::mf_slot, 0, 9},	//32 Attica::BaseJob::start()
    {4, 77, 0, 0, Smoke::mf_slot, 0, 10},	//33 Attica::BaseJob::abort()
    {4, 218, 26, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//34 Attica::BaseJob::finished(Attica::BaseJob*)
    {4, 151, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 12},	//35 Attica::BaseJob::dataFinished()
    {4, 502, 28, 1, Smoke::mf_const|Smoke::mf_protected, 0, 13},	//36 Attica::BaseJob::setMetadata(const Attica::Metadata&) const
    {4, 213, 0, 0, Smoke::mf_protected|Smoke::mf_purevirtual, 96, 14},	//37 Attica::BaseJob::executeRequest() [pure virtual]
    {4, 280, 3, 1, Smoke::mf_protected|Smoke::mf_purevirtual, 0, 15},	//38 Attica::BaseJob::parse(const QString&) [pure virtual]
    {4, 248, 0, 0, Smoke::mf_protected, 73, 16},	//39 Attica::BaseJob::internals()
    {4, 575, 13, 1, Smoke::mf_static, 100, 17},	//40 Attica::BaseJob::tr(const char*)
    {4, 579, 13, 1, Smoke::mf_static, 100, 18},	//41 Attica::BaseJob::trUtf8(const char*)
    {4, 565, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 228, 19},	//42 Attica::BaseJob::staticMetaObject() const
    {4, 597, 0, 0, Smoke::mf_dtor, 0, 20 },	//43 Attica::BaseJob::~BaseJob()
    {6, 7, 0, 0, Smoke::mf_ctor, 7, 1},	//44 Attica::Category::Category()
    {6, 7, 30, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 2},	//45 Attica::Category::Category(const Attica::Category&)
    {6, 276, 30, 1, 0, 6, 3},	//46 Attica::Category::operator=(const Attica::Category&)
    {6, 485, 3, 1, 0, 0, 4},	//47 Attica::Category::setId(const QString&)
    {6, 247, 0, 0, Smoke::mf_const, 100, 5},	//48 Attica::Category::id() const
    {6, 508, 3, 1, 0, 0, 6},	//49 Attica::Category::setName(const QString&)
    {6, 274, 0, 0, Smoke::mf_const, 100, 7},	//50 Attica::Category::name() const
    {6, 254, 0, 0, Smoke::mf_const, 198, 8},	//51 Attica::Category::isValid() const
    {6, 598, 0, 0, Smoke::mf_dtor, 0, 9 },	//52 Attica::Category::~Category()
    {7, 9, 0, 0, Smoke::mf_ctor, 9, 1},	//53 Attica::Content::Content()
    {7, 9, 32, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//54 Attica::Content::Content(const Attica::Content&)
    {7, 276, 32, 1, 0, 8, 3},	//55 Attica::Content::operator=(const Attica::Content&)
    {7, 485, 3, 1, 0, 0, 4},	//56 Attica::Content::setId(const QString&)
    {7, 247, 0, 0, Smoke::mf_const, 100, 5},	//57 Attica::Content::id() const
    {7, 508, 3, 1, 0, 0, 6},	//58 Attica::Content::setName(const QString&)
    {7, 274, 0, 0, Smoke::mf_const, 100, 7},	//59 Attica::Content::name() const
    {7, 524, 34, 1, 0, 0, 8},	//60 Attica::Content::setRating(int)
    {7, 311, 0, 0, Smoke::mf_const, 239, 9},	//61 Attica::Content::rating() const
    {7, 460, 34, 1, 0, 0, 10},	//62 Attica::Content::setDownloads(int)
    {7, 198, 0, 0, Smoke::mf_const, 239, 11},	//63 Attica::Content::downloads() const
    {7, 510, 34, 1, 0, 0, 12},	//64 Attica::Content::setNumberOfComments(int)
    {7, 275, 0, 0, Smoke::mf_const, 239, 13},	//65 Attica::Content::numberOfComments() const
    {7, 448, 9, 1, 0, 0, 14},	//66 Attica::Content::setCreated(const QDateTime&)
    {7, 148, 0, 0, Smoke::mf_const, 85, 15},	//67 Attica::Content::created() const
    {7, 552, 9, 1, 0, 0, 16},	//68 Attica::Content::setUpdated(const QDateTime&)
    {7, 584, 0, 0, Smoke::mf_const, 85, 17},	//69 Attica::Content::updated() const
    {7, 570, 0, 0, Smoke::mf_const, 100, 18},	//70 Attica::Content::summary() const
    {7, 169, 0, 0, Smoke::mf_const, 100, 19},	//71 Attica::Content::description() const
    {7, 171, 0, 0, Smoke::mf_const, 105, 20},	//72 Attica::Content::detailpage() const
    {7, 123, 0, 0, Smoke::mf_const, 100, 21},	//73 Attica::Content::changelog() const
    {7, 589, 0, 0, Smoke::mf_const, 100, 22},	//74 Attica::Content::version() const
    {7, 168, 0, 0, Smoke::mf_const, 100, 23},	//75 Attica::Content::depend() const
    {7, 195, 34, 1, Smoke::mf_const, 11, 24},	//76 Attica::Content::downloadUrlDescription(int) const
    {7, 197, 0, 0, Smoke::mf_const, 88, 25},	//77 Attica::Content::downloadUrlDescriptions() const
    {7, 243, 34, 1, Smoke::mf_const, 21, 26},	//78 Attica::Content::homePageEntry(int) const
    {7, 242, 0, 0, 0, 89, 27},	//79 Attica::Content::homePageEntries()
    {7, 295, 3, 1, Smoke::mf_const, 100, 28},	//80 Attica::Content::previewPicture(const QString&) const
    {7, 561, 3, 1, Smoke::mf_const, 100, 29},	//81 Attica::Content::smallPreviewPicture(const QString&) const
    {7, 259, 0, 0, Smoke::mf_const, 100, 30},	//82 Attica::Content::license() const
    {7, 260, 0, 0, Smoke::mf_const, 100, 31},	//83 Attica::Content::licenseName() const
    {7, 109, 0, 0, Smoke::mf_const, 100, 32},	//84 Attica::Content::author() const
    {7, 246, 0, 0, 0, 90, 33},	//85 Attica::Content::icons()
    {7, 483, 36, 1, 0, 0, 34},	//86 Attica::Content::setIcons(QList<Attica::Icon>)
    {7, 590, 0, 0, 0, 92, 35},	//87 Attica::Content::videos()
    {7, 558, 38, 1, 0, 0, 36},	//88 Attica::Content::setVideos(QList<QUrl>)
    {7, 80, 40, 2, 0, 0, 37},	//89 Attica::Content::addAttribute(const QString&, const QString&)
    {7, 104, 3, 1, Smoke::mf_const, 100, 38},	//90 Attica::Content::attribute(const QString&) const
    {7, 106, 0, 0, Smoke::mf_const, 93, 39},	//91 Attica::Content::attributes() const
    {7, 254, 0, 0, Smoke::mf_const, 198, 40},	//92 Attica::Content::isValid() const
    {7, 295, 0, 0, Smoke::mf_const, 100, 41},	//93 Attica::Content::previewPicture() const
    {7, 561, 0, 0, Smoke::mf_const, 100, 42},	//94 Attica::Content::smallPreviewPicture() const
    {7, 599, 0, 0, Smoke::mf_dtor, 0, 43 },	//95 Attica::Content::~Content()
    {9, 12, 0, 0, Smoke::mf_ctor, 13, 1},	//96 Attica::DownloadDescription::DownloadDescription()
    {9, 12, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//97 Attica::DownloadDescription::DownloadDescription(const Attica::DownloadDescription&)
    {9, 276, 43, 1, 0, 12, 3},	//98 Attica::DownloadDescription::operator=(const Attica::DownloadDescription&)
    {9, 247, 0, 0, 0, 239, 4},	//99 Attica::DownloadDescription::id()
    {9, 583, 0, 0, 0, 14, 5},	//100 Attica::DownloadDescription::type()
    {9, 251, 0, 0, 0, 198, 6},	//101 Attica::DownloadDescription::isDownloadtypLink()
    {9, 241, 0, 0, 0, 198, 7},	//102 Attica::DownloadDescription::hasPrice()
    {9, 121, 0, 0, 0, 100, 8},	//103 Attica::DownloadDescription::category()
    {9, 274, 0, 0, 0, 100, 9},	//104 Attica::DownloadDescription::name()
    {9, 261, 0, 0, 0, 100, 10},	//105 Attica::DownloadDescription::link()
    {9, 173, 0, 0, 0, 100, 11},	//106 Attica::DownloadDescription::distributionType()
    {9, 298, 0, 0, 0, 100, 12},	//107 Attica::DownloadDescription::priceReason()
    {9, 297, 0, 0, 0, 100, 13},	//108 Attica::DownloadDescription::priceAmount()
    {9, 560, 0, 0, 0, 241, 14},	//109 Attica::DownloadDescription::size()
    {9, 227, 0, 0, 0, 100, 15},	//110 Attica::DownloadDescription::gpgFingerprint()
    {9, 228, 0, 0, 0, 100, 16},	//111 Attica::DownloadDescription::gpgSignature()
    {9, 278, 0, 0, 0, 100, 17},	//112 Attica::DownloadDescription::packageName()
    {9, 318, 0, 0, 0, 100, 18},	//113 Attica::DownloadDescription::repository()
    {9, 485, 34, 1, 0, 0, 19},	//114 Attica::DownloadDescription::setId(int)
    {9, 550, 45, 1, 0, 0, 20},	//115 Attica::DownloadDescription::setType(Attica::DownloadDescription::Type)
    {9, 462, 47, 1, 0, 0, 21},	//116 Attica::DownloadDescription::setDownloadtypLink(bool)
    {9, 478, 47, 1, 0, 0, 22},	//117 Attica::DownloadDescription::setHasPrice(bool)
    {9, 436, 3, 1, 0, 0, 23},	//118 Attica::DownloadDescription::setCategory(const QString&)
    {9, 508, 3, 1, 0, 0, 24},	//119 Attica::DownloadDescription::setName(const QString&)
    {9, 493, 3, 1, 0, 0, 25},	//120 Attica::DownloadDescription::setLink(const QString&)
    {9, 456, 3, 1, 0, 0, 26},	//121 Attica::DownloadDescription::setDistributionType(const QString&)
    {9, 520, 3, 1, 0, 0, 27},	//122 Attica::DownloadDescription::setPriceReason(const QString&)
    {9, 518, 3, 1, 0, 0, 28},	//123 Attica::DownloadDescription::setPriceAmount(const QString&)
    {9, 532, 49, 1, 0, 0, 29},	//124 Attica::DownloadDescription::setSize(unsigned int)
    {9, 474, 3, 1, 0, 0, 30},	//125 Attica::DownloadDescription::setGpgFingerprint(const QString&)
    {9, 476, 3, 1, 0, 0, 31},	//126 Attica::DownloadDescription::setGpgSignature(const QString&)
    {9, 512, 3, 1, 0, 0, 32},	//127 Attica::DownloadDescription::setPackageName(const QString&)
    {9, 526, 3, 1, 0, 0, 33},	//128 Attica::DownloadDescription::setRepository(const QString&)
    {9, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 34},	//129 Attica::DownloadDescription::FileDownload (enum)
    {9, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 35},	//130 Attica::DownloadDescription::LinkDownload (enum)
    {9, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 36},	//131 Attica::DownloadDescription::PackageDownload (enum)
    {9, 600, 0, 0, Smoke::mf_dtor, 0, 37 },	//132 Attica::DownloadDescription::~DownloadDescription()
    {10, 14, 0, 0, Smoke::mf_ctor, 16, 1},	//133 Attica::DownloadItem::DownloadItem()
    {10, 14, 51, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 2},	//134 Attica::DownloadItem::DownloadItem(const Attica::DownloadItem&)
    {10, 276, 51, 1, 0, 15, 3},	//135 Attica::DownloadItem::operator=(const Attica::DownloadItem&)
    {10, 554, 11, 1, 0, 0, 4},	//136 Attica::DownloadItem::setUrl(const QUrl&)
    {10, 587, 0, 0, Smoke::mf_const, 105, 5},	//137 Attica::DownloadItem::url() const
    {10, 504, 3, 1, 0, 0, 6},	//138 Attica::DownloadItem::setMimeType(const QString&)
    {10, 272, 0, 0, Smoke::mf_const, 100, 7},	//139 Attica::DownloadItem::mimeType() const
    {10, 512, 3, 1, 0, 0, 8},	//140 Attica::DownloadItem::setPackageName(const QString&)
    {10, 278, 0, 0, Smoke::mf_const, 100, 9},	//141 Attica::DownloadItem::packageName() const
    {10, 514, 3, 1, 0, 0, 10},	//142 Attica::DownloadItem::setPackageRepository(const QString&)
    {10, 279, 0, 0, Smoke::mf_const, 100, 11},	//143 Attica::DownloadItem::packageRepository() const
    {10, 474, 3, 1, 0, 0, 12},	//144 Attica::DownloadItem::setGpgFingerprint(const QString&)
    {10, 227, 0, 0, Smoke::mf_const, 100, 13},	//145 Attica::DownloadItem::gpgFingerprint() const
    {10, 476, 3, 1, 0, 0, 14},	//146 Attica::DownloadItem::setGpgSignature(const QString&)
    {10, 228, 0, 0, Smoke::mf_const, 100, 15},	//147 Attica::DownloadItem::gpgSignature() const
    {10, 550, 45, 1, 0, 0, 16},	//148 Attica::DownloadItem::setType(Attica::DownloadDescription::Type)
    {10, 583, 0, 0, 0, 14, 17},	//149 Attica::DownloadItem::type()
    {10, 601, 0, 0, Smoke::mf_dtor, 0, 18 },	//150 Attica::DownloadItem::~DownloadItem()
    {11, 17, 0, 0, Smoke::mf_ctor, 18, 1},	//151 Attica::Event::Event()
    {11, 17, 53, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//152 Attica::Event::Event(const Attica::Event&)
    {11, 276, 53, 1, 0, 17, 3},	//153 Attica::Event::operator=(const Attica::Event&)
    {11, 485, 3, 1, 0, 0, 4},	//154 Attica::Event::setId(const QString&)
    {11, 247, 0, 0, Smoke::mf_const, 100, 5},	//155 Attica::Event::id() const
    {11, 508, 3, 1, 0, 0, 6},	//156 Attica::Event::setName(const QString&)
    {11, 274, 0, 0, Smoke::mf_const, 100, 7},	//157 Attica::Event::name() const
    {11, 452, 3, 1, 0, 0, 8},	//158 Attica::Event::setDescription(const QString&)
    {11, 169, 0, 0, Smoke::mf_const, 100, 9},	//159 Attica::Event::description() const
    {11, 556, 3, 1, 0, 0, 10},	//160 Attica::Event::setUser(const QString&)
    {11, 588, 0, 0, Smoke::mf_const, 100, 11},	//161 Attica::Event::user() const
    {11, 534, 55, 1, 0, 0, 12},	//162 Attica::Event::setStartDate(const QDate&)
    {11, 564, 0, 0, Smoke::mf_const, 84, 13},	//163 Attica::Event::startDate() const
    {11, 466, 55, 1, 0, 0, 14},	//164 Attica::Event::setEndDate(const QDate&)
    {11, 209, 0, 0, Smoke::mf_const, 84, 15},	//165 Attica::Event::endDate() const
    {11, 491, 57, 1, 0, 0, 16},	//166 Attica::Event::setLatitude(double)
    {11, 258, 0, 0, Smoke::mf_const, 238, 17},	//167 Attica::Event::latitude() const
    {11, 496, 57, 1, 0, 0, 18},	//168 Attica::Event::setLongitude(double)
    {11, 266, 0, 0, Smoke::mf_const, 238, 19},	//169 Attica::Event::longitude() const
    {11, 480, 11, 1, 0, 0, 20},	//170 Attica::Event::setHomepage(const QUrl&)
    {11, 245, 0, 0, Smoke::mf_const, 105, 21},	//171 Attica::Event::homepage() const
    {11, 446, 3, 1, 0, 0, 22},	//172 Attica::Event::setCountry(const QString&)
    {11, 136, 0, 0, Smoke::mf_const, 100, 23},	//173 Attica::Event::country() const
    {11, 440, 3, 1, 0, 0, 24},	//174 Attica::Event::setCity(const QString&)
    {11, 127, 0, 0, Smoke::mf_const, 100, 25},	//175 Attica::Event::city() const
    {11, 84, 40, 2, 0, 0, 26},	//176 Attica::Event::addExtendedAttribute(const QString&, const QString&)
    {11, 214, 3, 1, Smoke::mf_const, 100, 27},	//177 Attica::Event::extendedAttribute(const QString&) const
    {11, 216, 0, 0, Smoke::mf_const, 93, 28},	//178 Attica::Event::extendedAttributes() const
    {11, 254, 0, 0, Smoke::mf_const, 198, 29},	//179 Attica::Event::isValid() const
    {11, 602, 0, 0, Smoke::mf_dtor, 0, 30 },	//180 Attica::Event::~Event()
    {12, 20, 0, 0, Smoke::mf_ctor, 20, 1},	//181 Attica::Folder::Folder()
    {12, 20, 59, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 2},	//182 Attica::Folder::Folder(const Attica::Folder&)
    {12, 276, 59, 1, 0, 19, 3},	//183 Attica::Folder::operator=(const Attica::Folder&)
    {12, 485, 3, 1, 0, 0, 4},	//184 Attica::Folder::setId(const QString&)
    {12, 247, 0, 0, Smoke::mf_const, 100, 5},	//185 Attica::Folder::id() const
    {12, 508, 3, 1, 0, 0, 6},	//186 Attica::Folder::setName(const QString&)
    {12, 274, 0, 0, Smoke::mf_const, 100, 7},	//187 Attica::Folder::name() const
    {12, 500, 34, 1, 0, 0, 8},	//188 Attica::Folder::setMessageCount(int)
    {12, 268, 0, 0, Smoke::mf_const, 239, 9},	//189 Attica::Folder::messageCount() const
    {12, 550, 3, 1, 0, 0, 10},	//190 Attica::Folder::setType(const QString&)
    {12, 583, 0, 0, Smoke::mf_const, 100, 11},	//191 Attica::Folder::type() const
    {12, 254, 0, 0, Smoke::mf_const, 198, 12},	//192 Attica::Folder::isValid() const
    {12, 603, 0, 0, Smoke::mf_dtor, 0, 13 },	//193 Attica::Folder::~Folder()
    {13, 270, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 229, 1},	//194 Attica::GetJob::metaObject() const
    {13, 309, 13, 1, Smoke::mf_virtual, 242, 2},	//195 Attica::GetJob::qt_metacast(const char*)
    {13, 575, 15, 2, Smoke::mf_static, 100, 3},	//196 Attica::GetJob::tr(const char*, const char*)
    {13, 579, 15, 2, Smoke::mf_static, 100, 4},	//197 Attica::GetJob::trUtf8(const char*, const char*)
    {13, 575, 18, 3, Smoke::mf_static, 100, 5},	//198 Attica::GetJob::tr(const char*, const char*, int)
    {13, 579, 18, 3, Smoke::mf_static, 100, 6},	//199 Attica::GetJob::trUtf8(const char*, const char*, int)
    {13, 307, 22, 3, Smoke::mf_virtual, 239, 7},	//200 Attica::GetJob::qt_metacall(QMetaObject::Call, int, void**)
    {13, 575, 13, 1, Smoke::mf_static, 100, 8},	//201 Attica::GetJob::tr(const char*)
    {13, 579, 13, 1, Smoke::mf_static, 100, 9},	//202 Attica::GetJob::trUtf8(const char*)
    {13, 565, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 228, 10},	//203 Attica::GetJob::staticMetaObject() const
    {13, 604, 0, 0, Smoke::mf_dtor, 0, 11 },	//204 Attica::GetJob::~GetJob()
    {15, 22, 0, 0, Smoke::mf_ctor, 40, 1},	//205 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry()
    {15, 22, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//206 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry(const Attica::KnowledgeBaseEntry&)
    {15, 276, 61, 1, 0, 39, 3},	//207 Attica::KnowledgeBaseEntry::operator=(const Attica::KnowledgeBaseEntry&)
    {15, 485, 63, 1, 0, 0, 4},	//208 Attica::KnowledgeBaseEntry::setId(QString)
    {15, 247, 0, 0, Smoke::mf_const, 100, 5},	//209 Attica::KnowledgeBaseEntry::id() const
    {15, 444, 34, 1, 0, 0, 6},	//210 Attica::KnowledgeBaseEntry::setContentId(int)
    {15, 134, 0, 0, Smoke::mf_const, 239, 7},	//211 Attica::KnowledgeBaseEntry::contentId() const
    {15, 556, 3, 1, 0, 0, 8},	//212 Attica::KnowledgeBaseEntry::setUser(const QString&)
    {15, 588, 0, 0, Smoke::mf_const, 100, 9},	//213 Attica::KnowledgeBaseEntry::user() const
    {15, 536, 3, 1, 0, 0, 10},	//214 Attica::KnowledgeBaseEntry::setStatus(const QString&)
    {15, 566, 0, 0, Smoke::mf_const, 100, 11},	//215 Attica::KnowledgeBaseEntry::status() const
    {15, 438, 9, 1, 0, 0, 12},	//216 Attica::KnowledgeBaseEntry::setChanged(const QDateTime&)
    {15, 122, 0, 0, Smoke::mf_const, 85, 13},	//217 Attica::KnowledgeBaseEntry::changed() const
    {15, 508, 3, 1, 0, 0, 14},	//218 Attica::KnowledgeBaseEntry::setName(const QString&)
    {15, 274, 0, 0, Smoke::mf_const, 100, 15},	//219 Attica::KnowledgeBaseEntry::name() const
    {15, 452, 3, 1, 0, 0, 16},	//220 Attica::KnowledgeBaseEntry::setDescription(const QString&)
    {15, 169, 0, 0, Smoke::mf_const, 100, 17},	//221 Attica::KnowledgeBaseEntry::description() const
    {15, 422, 3, 1, 0, 0, 18},	//222 Attica::KnowledgeBaseEntry::setAnswer(const QString&)
    {15, 98, 0, 0, Smoke::mf_const, 100, 19},	//223 Attica::KnowledgeBaseEntry::answer() const
    {15, 442, 34, 1, 0, 0, 20},	//224 Attica::KnowledgeBaseEntry::setComments(int)
    {15, 130, 0, 0, Smoke::mf_const, 239, 21},	//225 Attica::KnowledgeBaseEntry::comments() const
    {15, 454, 11, 1, 0, 0, 22},	//226 Attica::KnowledgeBaseEntry::setDetailPage(const QUrl&)
    {15, 170, 0, 0, Smoke::mf_const, 105, 23},	//227 Attica::KnowledgeBaseEntry::detailPage() const
    {15, 84, 40, 2, 0, 0, 24},	//228 Attica::KnowledgeBaseEntry::addExtendedAttribute(const QString&, const QString&)
    {15, 214, 3, 1, Smoke::mf_const, 100, 25},	//229 Attica::KnowledgeBaseEntry::extendedAttribute(const QString&) const
    {15, 216, 0, 0, Smoke::mf_const, 93, 26},	//230 Attica::KnowledgeBaseEntry::extendedAttributes() const
    {15, 254, 0, 0, Smoke::mf_const, 198, 27},	//231 Attica::KnowledgeBaseEntry::isValid() const
    {15, 605, 0, 0, Smoke::mf_dtor, 0, 28 },	//232 Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry()
    {16, 24, 0, 0, Smoke::mf_ctor, 42, 1},	//233 Attica::License::License()
    {16, 24, 65, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 2},	//234 Attica::License::License(const Attica::License&)
    {16, 276, 65, 1, 0, 41, 3},	//235 Attica::License::operator=(const Attica::License&)
    {16, 247, 0, 0, Smoke::mf_const, 241, 4},	//236 Attica::License::id() const
    {16, 485, 49, 1, 0, 0, 5},	//237 Attica::License::setId(unsigned int)
    {16, 274, 0, 0, Smoke::mf_const, 100, 6},	//238 Attica::License::name() const
    {16, 508, 3, 1, 0, 0, 7},	//239 Attica::License::setName(const QString&)
    {16, 587, 0, 0, Smoke::mf_const, 105, 8},	//240 Attica::License::url() const
    {16, 554, 11, 1, 0, 0, 9},	//241 Attica::License::setUrl(const QUrl&)
    {16, 606, 0, 0, Smoke::mf_dtor, 0, 10 },	//242 Attica::License::~License()
    {17, 46, 0, 0, Smoke::mf_ctor, 64, 1},	//243 Attica::Message::Message()
    {17, 46, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 2},	//244 Attica::Message::Message(const Attica::Message&)
    {17, 276, 67, 1, 0, 63, 3},	//245 Attica::Message::operator=(const Attica::Message&)
    {17, 485, 3, 1, 0, 0, 4},	//246 Attica::Message::setId(const QString&)
    {17, 247, 0, 0, Smoke::mf_const, 100, 5},	//247 Attica::Message::id() const
    {17, 472, 3, 1, 0, 0, 6},	//248 Attica::Message::setFrom(const QString&)
    {17, 223, 0, 0, Smoke::mf_const, 100, 7},	//249 Attica::Message::from() const
    {17, 546, 3, 1, 0, 0, 8},	//250 Attica::Message::setTo(const QString&)
    {17, 573, 0, 0, Smoke::mf_const, 100, 9},	//251 Attica::Message::to() const
    {17, 530, 9, 1, 0, 0, 10},	//252 Attica::Message::setSent(const QDateTime&)
    {17, 419, 0, 0, Smoke::mf_const, 85, 11},	//253 Attica::Message::sent() const
    {17, 536, 69, 1, 0, 0, 12},	//254 Attica::Message::setStatus(Attica::Message::Status)
    {17, 566, 0, 0, Smoke::mf_const, 65, 13},	//255 Attica::Message::status() const
    {17, 542, 3, 1, 0, 0, 14},	//256 Attica::Message::setSubject(const QString&)
    {17, 569, 0, 0, Smoke::mf_const, 100, 15},	//257 Attica::Message::subject() const
    {17, 434, 3, 1, 0, 0, 16},	//258 Attica::Message::setBody(const QString&)
    {17, 116, 0, 0, Smoke::mf_const, 100, 17},	//259 Attica::Message::body() const
    {17, 254, 0, 0, Smoke::mf_const, 198, 18},	//260 Attica::Message::isValid() const
    {17, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 19},	//261 Attica::Message::Unread (enum)
    {17, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 20},	//262 Attica::Message::Read (enum)
    {17, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 21},	//263 Attica::Message::Answered (enum)
    {17, 607, 0, 0, Smoke::mf_dtor, 0, 22 },	//264 Attica::Message::~Message()
    {18, 48, 0, 0, Smoke::mf_ctor, 68, 1},	//265 Attica::Metadata::Metadata()
    {18, 48, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//266 Attica::Metadata::Metadata(const Attica::Metadata&)
    {18, 276, 28, 1, 0, 67, 3},	//267 Attica::Metadata::operator=(const Attica::Metadata&)
    {18, 210, 0, 0, Smoke::mf_const, 69, 4},	//268 Attica::Metadata::error() const
    {18, 468, 71, 1, 0, 0, 5},	//269 Attica::Metadata::setError(Attica::Metadata::Error)
    {18, 567, 0, 0, Smoke::mf_const, 239, 6},	//270 Attica::Metadata::statusCode() const
    {18, 538, 34, 1, 0, 0, 7},	//271 Attica::Metadata::setStatusCode(int)
    {18, 568, 0, 0, Smoke::mf_const, 100, 8},	//272 Attica::Metadata::statusString() const
    {18, 540, 3, 1, 0, 0, 9},	//273 Attica::Metadata::setStatusString(const QString&)
    {18, 267, 0, 0, 0, 100, 10},	//274 Attica::Metadata::message()
    {18, 498, 3, 1, 0, 0, 11},	//275 Attica::Metadata::setMessage(const QString&)
    {18, 574, 0, 0, 0, 239, 12},	//276 Attica::Metadata::totalItems()
    {18, 548, 34, 1, 0, 0, 13},	//277 Attica::Metadata::setTotalItems(int)
    {18, 255, 0, 0, 0, 239, 14},	//278 Attica::Metadata::itemsPerPage()
    {18, 487, 34, 1, 0, 0, 15},	//279 Attica::Metadata::setItemsPerPage(int)
    {18, 394, 0, 0, 0, 100, 16},	//280 Attica::Metadata::resultingId()
    {18, 528, 3, 1, 0, 0, 17},	//281 Attica::Metadata::setResultingId(const QString&)
    {18, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 18},	//282 Attica::Metadata::NoError (enum)
    {18, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 19},	//283 Attica::Metadata::NetworkError (enum)
    {18, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 20},	//284 Attica::Metadata::OcsError (enum)
    {18, 608, 0, 0, Smoke::mf_dtor, 0, 21 },	//285 Attica::Metadata::~Metadata()
    {19, 56, 0, 0, Smoke::mf_ctor, 72, 1},	//286 Attica::Person::Person()
    {19, 56, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 2},	//287 Attica::Person::Person(const Attica::Person&)
    {19, 276, 7, 1, 0, 71, 3},	//288 Attica::Person::operator=(const Attica::Person&)
    {19, 485, 3, 1, 0, 0, 4},	//289 Attica::Person::setId(const QString&)
    {19, 247, 0, 0, Smoke::mf_const, 100, 5},	//290 Attica::Person::id() const
    {19, 470, 3, 1, 0, 0, 6},	//291 Attica::Person::setFirstName(const QString&)
    {19, 220, 0, 0, Smoke::mf_const, 100, 7},	//292 Attica::Person::firstName() const
    {19, 489, 3, 1, 0, 0, 8},	//293 Attica::Person::setLastName(const QString&)
    {19, 257, 0, 0, Smoke::mf_const, 100, 9},	//294 Attica::Person::lastName() const
    {19, 432, 55, 1, 0, 0, 10},	//295 Attica::Person::setBirthday(const QDate&)
    {19, 115, 0, 0, Smoke::mf_const, 84, 11},	//296 Attica::Person::birthday() const
    {19, 446, 3, 1, 0, 0, 12},	//297 Attica::Person::setCountry(const QString&)
    {19, 136, 0, 0, Smoke::mf_const, 100, 13},	//298 Attica::Person::country() const
    {19, 491, 57, 1, 0, 0, 14},	//299 Attica::Person::setLatitude(double)
    {19, 258, 0, 0, Smoke::mf_const, 238, 15},	//300 Attica::Person::latitude() const
    {19, 496, 57, 1, 0, 0, 16},	//301 Attica::Person::setLongitude(double)
    {19, 266, 0, 0, Smoke::mf_const, 238, 17},	//302 Attica::Person::longitude() const
    {19, 428, 11, 1, 0, 0, 18},	//303 Attica::Person::setAvatarUrl(const QUrl&)
    {19, 110, 0, 0, Smoke::mf_const, 105, 19},	//304 Attica::Person::avatarUrl() const
    {19, 480, 3, 1, 0, 0, 20},	//305 Attica::Person::setHomepage(const QString&)
    {19, 245, 0, 0, Smoke::mf_const, 100, 21},	//306 Attica::Person::homepage() const
    {19, 440, 3, 1, 0, 0, 22},	//307 Attica::Person::setCity(const QString&)
    {19, 127, 0, 0, Smoke::mf_const, 100, 23},	//308 Attica::Person::city() const
    {19, 84, 40, 2, 0, 0, 24},	//309 Attica::Person::addExtendedAttribute(const QString&, const QString&)
    {19, 214, 3, 1, Smoke::mf_const, 100, 25},	//310 Attica::Person::extendedAttribute(const QString&) const
    {19, 216, 0, 0, Smoke::mf_const, 93, 26},	//311 Attica::Person::extendedAttributes() const
    {19, 254, 0, 0, Smoke::mf_const, 198, 27},	//312 Attica::Person::isValid() const
    {19, 609, 0, 0, Smoke::mf_dtor, 0, 28 },	//313 Attica::Person::~Person()
    {20, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 92, 1},	//314 Attica::PlatformDependent::getDefaultProviderFiles() const [pure virtual]
    {20, 82, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//315 Attica::PlatformDependent::addDefaultProviderFile(const QUrl&) [pure virtual]
    {20, 314, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//316 Attica::PlatformDependent::removeDefaultProviderFile(const QUrl&) [pure virtual]
    {20, 207, 73, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//317 Attica::PlatformDependent::enableProvider(const QUrl&, bool) const [pure virtual]
    {20, 252, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 5},	//318 Attica::PlatformDependent::isEnabled(const QUrl&) const [pure virtual]
    {20, 233, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 6},	//319 Attica::PlatformDependent::hasCredentials(const QUrl&) const [pure virtual]
    {20, 262, 76, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 7},	//320 Attica::PlatformDependent::loadCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {20, 101, 76, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 8},	//321 Attica::PlatformDependent::askForCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {20, 395, 80, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 9},	//322 Attica::PlatformDependent::saveCredentials(const QUrl&, const QString&, const QString&) [pure virtual]
    {20, 224, 84, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 96, 10},	//323 Attica::PlatformDependent::get(const QNetworkRequest&) [pure virtual]
    {20, 283, 86, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 96, 11},	//324 Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*) [pure virtual]
    {20, 283, 89, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 96, 12},	//325 Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&) [pure virtual]
    {20, 506, 92, 1, Smoke::mf_virtual, 0, 13},	//326 Attica::PlatformDependent::setNam(QNetworkAccessManager*)
    {20, 273, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 95, 14},	//327 Attica::PlatformDependent::nam() [pure virtual]
    {20, 58, 0, 0, Smoke::mf_ctor, 73, 15},	//328 Attica::PlatformDependent::PlatformDependent()
    {20, 58, 94, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 16},	//329 Attica::PlatformDependent::PlatformDependent(const Attica::PlatformDependent&)
    {20, 610, 0, 0, Smoke::mf_dtor, 0, 17 },	//330 Attica::PlatformDependent::~PlatformDependent()
    {21, 270, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 229, 1},	//331 Attica::PostJob::metaObject() const
    {21, 309, 13, 1, Smoke::mf_virtual, 242, 2},	//332 Attica::PostJob::qt_metacast(const char*)
    {21, 575, 15, 2, Smoke::mf_static, 100, 3},	//333 Attica::PostJob::tr(const char*, const char*)
    {21, 579, 15, 2, Smoke::mf_static, 100, 4},	//334 Attica::PostJob::trUtf8(const char*, const char*)
    {21, 575, 18, 3, Smoke::mf_static, 100, 5},	//335 Attica::PostJob::tr(const char*, const char*, int)
    {21, 579, 18, 3, Smoke::mf_static, 100, 6},	//336 Attica::PostJob::trUtf8(const char*, const char*, int)
    {21, 307, 22, 3, Smoke::mf_virtual, 239, 7},	//337 Attica::PostJob::qt_metacall(QMetaObject::Call, int, void**)
    {21, 575, 13, 1, Smoke::mf_static, 100, 8},	//338 Attica::PostJob::tr(const char*)
    {21, 579, 13, 1, Smoke::mf_static, 100, 9},	//339 Attica::PostJob::trUtf8(const char*)
    {21, 565, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 228, 10},	//340 Attica::PostJob::staticMetaObject() const
    {21, 611, 0, 0, Smoke::mf_dtor, 0, 11 },	//341 Attica::PostJob::~PostJob()
    {23, 60, 0, 0, Smoke::mf_ctor, 77, 1},	//342 Attica::Provider::Provider()
    {23, 60, 96, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 2},	//343 Attica::Provider::Provider(const Attica::Provider&)
    {23, 276, 96, 1, 0, 76, 3},	//344 Attica::Provider::operator=(const Attica::Provider&)
    {23, 254, 0, 0, Smoke::mf_const, 198, 4},	//345 Attica::Provider::isValid() const
    {23, 252, 0, 0, Smoke::mf_const, 198, 5},	//346 Attica::Provider::isEnabled() const
    {23, 464, 47, 1, 0, 0, 6},	//347 Attica::Provider::setEnabled(bool)
    {23, 112, 0, 0, Smoke::mf_const, 105, 7},	//348 Attica::Provider::baseUrl() const
    {23, 274, 0, 0, Smoke::mf_const, 100, 8},	//349 Attica::Provider::name() const
    {23, 240, 0, 0, Smoke::mf_const, 198, 9},	//350 Attica::Provider::hasPersonService() const
    {23, 282, 0, 0, Smoke::mf_const, 100, 10},	//351 Attica::Provider::personServiceVersion() const
    {23, 237, 0, 0, Smoke::mf_const, 198, 11},	//352 Attica::Provider::hasFriendService() const
    {23, 222, 0, 0, Smoke::mf_const, 100, 12},	//353 Attica::Provider::friendServiceVersion() const
    {23, 239, 0, 0, Smoke::mf_const, 198, 13},	//354 Attica::Provider::hasMessageService() const
    {23, 269, 0, 0, Smoke::mf_const, 100, 14},	//355 Attica::Provider::messageServiceVersion() const
    {23, 229, 0, 0, Smoke::mf_const, 198, 15},	//356 Attica::Provider::hasAchievementService() const
    {23, 78, 0, 0, Smoke::mf_const, 100, 16},	//357 Attica::Provider::achievementServiceVersion() const
    {23, 230, 0, 0, Smoke::mf_const, 198, 17},	//358 Attica::Provider::hasActivityService() const
    {23, 79, 0, 0, Smoke::mf_const, 100, 18},	//359 Attica::Provider::activityServiceVersion() const
    {23, 232, 0, 0, Smoke::mf_const, 198, 19},	//360 Attica::Provider::hasContentService() const
    {23, 135, 0, 0, Smoke::mf_const, 100, 20},	//361 Attica::Provider::contentServiceVersion() const
    {23, 235, 0, 0, Smoke::mf_const, 198, 21},	//362 Attica::Provider::hasFanService() const
    {23, 217, 0, 0, Smoke::mf_const, 100, 22},	//363 Attica::Provider::fanServiceVersion() const
    {23, 236, 0, 0, Smoke::mf_const, 198, 23},	//364 Attica::Provider::hasForumService() const
    {23, 221, 0, 0, Smoke::mf_const, 100, 24},	//365 Attica::Provider::forumServiceVersion() const
    {23, 238, 0, 0, Smoke::mf_const, 198, 25},	//366 Attica::Provider::hasKnowledgebaseService() const
    {23, 256, 0, 0, Smoke::mf_const, 100, 26},	//367 Attica::Provider::knowledgebaseServiceVersion() const
    {23, 231, 0, 0, Smoke::mf_const, 198, 27},	//368 Attica::Provider::hasCommentService() const
    {23, 129, 0, 0, Smoke::mf_const, 100, 28},	//369 Attica::Provider::commentServiceVersion() const
    {23, 233, 0, 0, Smoke::mf_const, 198, 29},	//370 Attica::Provider::hasCredentials() const
    {23, 233, 0, 0, 0, 198, 30},	//371 Attica::Provider::hasCredentials()
    {23, 262, 98, 2, 0, 198, 31},	//372 Attica::Provider::loadCredentials(QString&, QString&)
    {23, 395, 40, 2, 0, 198, 32},	//373 Attica::Provider::saveCredentials(const QString&, const QString&)
    {23, 124, 40, 2, 0, 74, 33},	//374 Attica::Provider::checkLogin(const QString&, const QString&)
    {23, 312, 101, 5, 0, 74, 34},	//375 Attica::Provider::registerAccount(const QString&, const QString&, const QString&, const QString&, const QString&)
    {23, 362, 3, 1, 0, 31, 35},	//376 Attica::Provider::requestPerson(const QString&)
    {23, 371, 0, 0, 0, 31, 36},	//377 Attica::Provider::requestPersonSelf()
    {23, 319, 0, 0, 0, 22, 37},	//378 Attica::Provider::requestAccountBalance()
    {23, 369, 3, 1, 0, 58, 38},	//379 Attica::Provider::requestPersonSearchByName(const QString&)
    {23, 364, 107, 5, 0, 58, 39},	//380 Attica::Provider::requestPersonSearchByLocation(double, double, double, int, int)
    {23, 287, 113, 4, 0, 74, 40},	//381 Attica::Provider::postLocation(double, double, const QString&, const QString&)
    {23, 372, 40, 2, 0, 32, 41},	//382 Attica::Provider::requestPrivateData(const QString&, const QString&)
    {23, 372, 0, 0, 0, 32, 42},	//383 Attica::Provider::requestPrivateData()
    {23, 522, 118, 3, 0, 74, 43},	//384 Attica::Provider::setPrivateData(const QString&, const QString&, const QString&)
    {23, 349, 122, 3, 0, 58, 44},	//385 Attica::Provider::requestFriends(const QString&, int, int)
    {23, 387, 126, 2, 0, 58, 45},	//386 Attica::Provider::requestSentInvitations(int, int)
    {23, 381, 126, 2, 0, 58, 46},	//387 Attica::Provider::requestReceivedInvitations(int, int)
    {23, 249, 40, 2, 0, 74, 47},	//388 Attica::Provider::inviteFriend(const QString&, const QString&)
    {23, 99, 3, 1, 0, 74, 48},	//389 Attica::Provider::approveFriendship(const QString&)
    {23, 152, 3, 1, 0, 74, 49},	//390 Attica::Provider::declineFriendship(const QString&)
    {23, 119, 3, 1, 0, 74, 50},	//391 Attica::Provider::cancelFriendship(const QString&)
    {23, 345, 0, 0, 0, 52, 51},	//392 Attica::Provider::requestFolders()
    {23, 359, 59, 1, 0, 57, 52},	//393 Attica::Provider::requestMessages(const Attica::Folder&)
    {23, 359, 129, 2, 0, 57, 53},	//394 Attica::Provider::requestMessages(const Attica::Folder&, Attica::Message::Status)
    {23, 357, 132, 2, 0, 30, 54},	//395 Attica::Provider::requestMessage(const Attica::Folder&, const QString&)
    {23, 291, 67, 1, 0, 74, 55},	//396 Attica::Provider::postMessage(const Attica::Message&)
    {23, 320, 118, 3, 0, 43, 56},	//397 Attica::Provider::requestAchievements(const QString&, const QString&, const QString&)
    {23, 86, 135, 2, 0, 36, 57},	//398 Attica::Provider::addNewAchievement(const QString&, const Attica::Achievement&)
    {23, 199, 138, 3, 0, 81, 58},	//399 Attica::Provider::editAchievement(const QString&, const QString&, const Attica::Achievement&)
    {23, 156, 40, 2, 0, 10, 59},	//400 Attica::Provider::deleteAchievement(const QString&, const QString&)
    {23, 420, 142, 3, 0, 74, 60},	//401 Attica::Provider::setAchievementProgress(const QString&, const QVariant&, const QDateTime&)
    {23, 392, 3, 1, 0, 10, 61},	//402 Attica::Provider::resetAchievementProgress(const QString&)
    {23, 322, 0, 0, 0, 44, 62},	//403 Attica::Provider::requestActivities()
    {23, 285, 3, 1, 0, 74, 63},	//404 Attica::Provider::postActivity(const QString&)
    {23, 377, 0, 0, 0, 59, 64},	//405 Attica::Provider::requestProjects()
    {23, 375, 3, 1, 0, 33, 65},	//406 Attica::Provider::requestProject(const QString&)
    {23, 139, 146, 1, 0, 74, 66},	//407 Attica::Provider::createProject(const Attica::Project&)
    {23, 164, 146, 1, 0, 74, 67},	//408 Attica::Provider::deleteProject(const Attica::Project&)
    {23, 203, 146, 1, 0, 74, 68},	//409 Attica::Provider::editProject(const Attica::Project&)
    {23, 323, 3, 1, 0, 23, 69},	//410 Attica::Provider::requestBuildService(const QString&)
    {23, 378, 3, 1, 0, 34, 70},	//411 Attica::Provider::requestPublisher(const QString&)
    {23, 398, 148, 2, 0, 74, 71},	//412 Attica::Provider::savePublisherField(const Attica::Project&, const Attica::PublisherField&)
    {23, 305, 151, 2, 0, 74, 72},	//413 Attica::Provider::publishBuildJob(const Attica::BuildServiceJob&, const Attica::Publisher&)
    {23, 327, 3, 1, 0, 25, 73},	//414 Attica::Provider::requestBuildServiceJobOutput(const QString&)
    {23, 325, 3, 1, 0, 24, 74},	//415 Attica::Provider::requestBuildServiceJob(const QString&)
    {23, 331, 0, 0, 0, 45, 75},	//416 Attica::Provider::requestBuildServices()
    {23, 380, 0, 0, 0, 60, 76},	//417 Attica::Provider::requestPublishers()
    {23, 329, 146, 1, 0, 46, 77},	//418 Attica::Provider::requestBuildServiceJobs(const Attica::Project&)
    {23, 137, 154, 1, 0, 74, 78},	//419 Attica::Provider::createBuildServiceJob(const Attica::BuildServiceJob&)
    {23, 117, 154, 1, 0, 74, 79},	//420 Attica::Provider::cancelBuildServiceJob(const Attica::BuildServiceJob&)
    {23, 386, 0, 0, 0, 61, 80},	//421 Attica::Provider::requestRemoteAccounts()
    {23, 166, 3, 1, 0, 74, 81},	//422 Attica::Provider::deleteRemoteAccount(const QString&)
    {23, 141, 156, 1, 0, 74, 82},	//423 Attica::Provider::createRemoteAccount(const Attica::RemoteAccount&)
    {23, 205, 156, 1, 0, 74, 83},	//424 Attica::Provider::editRemoteAccount(const Attica::RemoteAccount&)
    {23, 384, 3, 1, 0, 35, 84},	//425 Attica::Provider::requestRemoteAccount(const QString&)
    {23, 585, 158, 3, 0, 74, 85},	//426 Attica::Provider::uploadTarballToBuildService(const QString&, const QString&, const QByteArray&)
    {23, 332, 0, 0, 0, 47, 86},	//427 Attica::Provider::requestCategories()
    {23, 356, 0, 0, 0, 56, 87},	//428 Attica::Provider::requestLicenses()
    {23, 337, 0, 0, 0, 50, 88},	//429 Attica::Provider::requestDistributions()
    {23, 353, 0, 0, 0, 54, 89},	//430 Attica::Provider::requestHomePageTypes()
    {23, 400, 162, 5, 0, 49, 90},	//431 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {23, 411, 168, 6, 0, 49, 91},	//432 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {23, 400, 175, 8, 0, 49, 92},	//433 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {23, 335, 3, 1, 0, 26, 93},	//434 Attica::Provider::requestContent(const QString&)
    {23, 192, 40, 2, 0, 27, 94},	//435 Attica::Provider::downloadLink(const QString&, const QString&)
    {23, 593, 184, 2, 0, 74, 95},	//436 Attica::Provider::voteForContent(const QString&, bool)
    {23, 593, 187, 2, 0, 74, 96},	//437 Attica::Provider::voteForContent(const QString&, unsigned int)
    {23, 90, 190, 2, 0, 38, 97},	//438 Attica::Provider::addNewContent(const Attica::Category&, const Attica::Content&)
    {23, 201, 193, 3, 0, 38, 98},	//439 Attica::Provider::editContent(const Attica::Category&, const QString&, const Attica::Content&)
    {23, 158, 3, 1, 0, 74, 99},	//440 Attica::Provider::deleteContent(const QString&)
    {23, 458, 158, 3, 0, 74, 100},	//441 Attica::Provider::setDownloadFile(const QString&, const QString&, const QByteArray&)
    {23, 160, 3, 1, 0, 74, 101},	//442 Attica::Provider::deleteDownloadFile(const QString&)
    {23, 516, 197, 4, 0, 74, 102},	//443 Attica::Provider::setPreviewImage(const QString&, const QString&, const QString&, const QByteArray&)
    {23, 162, 40, 2, 0, 74, 103},	//444 Attica::Provider::deletePreviewImage(const QString&, const QString&)
    {23, 354, 3, 1, 0, 29, 104},	//445 Attica::Provider::requestKnowledgeBaseEntry(const QString&)
    {23, 417, 202, 5, 0, 55, 105},	//446 Attica::Provider::searchKnowledgeBase(const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int)
    {23, 338, 3, 1, 0, 28, 106},	//447 Attica::Provider::requestEvent(const QString&)
    {23, 338, 208, 6, 0, 51, 107},	//448 Attica::Provider::requestEvent(const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int)
    {23, 333, 215, 5, 0, 48, 108},	//449 Attica::Provider::requestComments(const Attica::Comment::Type, const QString&, const QString&, int, int)
    {23, 88, 221, 6, 0, 37, 109},	//450 Attica::Provider::addNewComment(const Attica::Comment::Type, const QString&, const QString&, const QString&, const QString&, const QString&)
    {23, 591, 187, 2, 0, 74, 110},	//451 Attica::Provider::voteForComment(const QString&, unsigned int)
    {23, 113, 3, 1, 0, 74, 111},	//452 Attica::Provider::becomeFan(const QString&)
    {23, 341, 228, 3, 0, 58, 112},	//453 Attica::Provider::requestFans(const QString&, unsigned int, unsigned int)
    {23, 346, 232, 2, 0, 53, 113},	//454 Attica::Provider::requestForums(unsigned int, unsigned int)
    {23, 390, 235, 6, 0, 62, 114},	//455 Attica::Provider::requestTopics(const QString&, const QString&, const QString&, Attica::Provider::SortMode, int, int)
    {23, 293, 118, 3, 0, 74, 115},	//456 Attica::Provider::postTopic(const QString&, const QString&, const QString&)
    {23, 146, 3, 1, Smoke::mf_protected, 105, 116},	//457 Attica::Provider::createUrl(const QString&)
    {23, 143, 11, 1, Smoke::mf_protected, 97, 117},	//458 Attica::Provider::createRequest(const QUrl&)
    {23, 143, 3, 1, Smoke::mf_protected, 97, 118},	//459 Attica::Provider::createRequest(const QString&)
    {23, 186, 11, 1, Smoke::mf_protected, 31, 119},	//460 Attica::Provider::doRequestPerson(const QUrl&)
    {23, 174, 11, 1, Smoke::mf_protected, 22, 120},	//461 Attica::Provider::doRequestAccountBalance(const QUrl&)
    {23, 188, 11, 1, Smoke::mf_protected, 58, 121},	//462 Attica::Provider::doRequestPersonList(const QUrl&)
    {23, 176, 11, 1, Smoke::mf_protected, 43, 122},	//463 Attica::Provider::doRequestAchievementList(const QUrl&)
    {23, 178, 11, 1, Smoke::mf_protected, 44, 123},	//464 Attica::Provider::doRequestActivityList(const QUrl&)
    {23, 180, 11, 1, Smoke::mf_protected, 52, 124},	//465 Attica::Provider::doRequestFolderList(const QUrl&)
    {23, 182, 11, 1, Smoke::mf_protected, 53, 125},	//466 Attica::Provider::doRequestForumList(const QUrl&)
    {23, 190, 11, 1, Smoke::mf_protected, 62, 126},	//467 Attica::Provider::doRequestTopicList(const QUrl&)
    {23, 184, 11, 1, Smoke::mf_protected, 57, 127},	//468 Attica::Provider::doRequestMessageList(const QUrl&)
    {23, 364, 242, 2, 0, 58, 128},	//469 Attica::Provider::requestPersonSearchByLocation(double, double)
    {23, 364, 245, 3, 0, 58, 129},	//470 Attica::Provider::requestPersonSearchByLocation(double, double, double)
    {23, 364, 249, 4, 0, 58, 130},	//471 Attica::Provider::requestPersonSearchByLocation(double, double, double, int)
    {23, 287, 242, 2, 0, 74, 131},	//472 Attica::Provider::postLocation(double, double)
    {23, 287, 254, 3, 0, 74, 132},	//473 Attica::Provider::postLocation(double, double, const QString&)
    {23, 372, 3, 1, 0, 32, 133},	//474 Attica::Provider::requestPrivateData(const QString&)
    {23, 349, 3, 1, 0, 58, 134},	//475 Attica::Provider::requestFriends(const QString&)
    {23, 349, 258, 2, 0, 58, 135},	//476 Attica::Provider::requestFriends(const QString&, int)
    {23, 387, 0, 0, 0, 58, 136},	//477 Attica::Provider::requestSentInvitations()
    {23, 387, 34, 1, 0, 58, 137},	//478 Attica::Provider::requestSentInvitations(int)
    {23, 381, 0, 0, 0, 58, 138},	//479 Attica::Provider::requestReceivedInvitations()
    {23, 381, 34, 1, 0, 58, 139},	//480 Attica::Provider::requestReceivedInvitations(int)
    {23, 400, 261, 1, 0, 49, 140},	//481 Attica::Provider::searchContents(const QList<Attica::Category>&)
    {23, 400, 263, 2, 0, 49, 141},	//482 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&)
    {23, 400, 266, 3, 0, 49, 142},	//483 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode)
    {23, 400, 270, 4, 0, 49, 143},	//484 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int)
    {23, 411, 263, 2, 0, 49, 144},	//485 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&)
    {23, 411, 275, 3, 0, 49, 145},	//486 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&)
    {23, 411, 279, 4, 0, 49, 146},	//487 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode)
    {23, 411, 284, 5, 0, 49, 147},	//488 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int)
    {23, 400, 290, 4, 0, 49, 148},	//489 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&)
    {23, 400, 295, 5, 0, 49, 149},	//490 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&)
    {23, 400, 301, 6, 0, 49, 150},	//491 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode)
    {23, 400, 308, 7, 0, 49, 151},	//492 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int)
    {23, 192, 3, 1, 0, 27, 152},	//493 Attica::Provider::downloadLink(const QString&)
    {23, 341, 3, 1, 0, 58, 153},	//494 Attica::Provider::requestFans(const QString&)
    {23, 341, 187, 2, 0, 58, 154},	//495 Attica::Provider::requestFans(const QString&, unsigned int)
    {23, 346, 0, 0, 0, 53, 155},	//496 Attica::Provider::requestForums()
    {23, 346, 49, 1, 0, 53, 156},	//497 Attica::Provider::requestForums(unsigned int)
    {23, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 157},	//498 Attica::Provider::Newest (enum)
    {23, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 158},	//499 Attica::Provider::Alphabetical (enum)
    {23, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 159},	//500 Attica::Provider::Rating (enum)
    {23, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 160},	//501 Attica::Provider::Downloads (enum)
    {23, 612, 0, 0, Smoke::mf_dtor, 0, 161 },	//502 Attica::Provider::~Provider()
    {24, 270, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 229, 1},	//503 Attica::ProviderManager::metaObject() const
    {24, 309, 13, 1, Smoke::mf_virtual, 242, 2},	//504 Attica::ProviderManager::qt_metacast(const char*)
    {24, 575, 15, 2, Smoke::mf_static, 100, 3},	//505 Attica::ProviderManager::tr(const char*, const char*)
    {24, 579, 15, 2, Smoke::mf_static, 100, 4},	//506 Attica::ProviderManager::trUtf8(const char*, const char*)
    {24, 575, 18, 3, Smoke::mf_static, 100, 5},	//507 Attica::ProviderManager::tr(const char*, const char*, int)
    {24, 579, 18, 3, Smoke::mf_static, 100, 6},	//508 Attica::ProviderManager::trUtf8(const char*, const char*, int)
    {24, 307, 22, 3, Smoke::mf_virtual, 239, 7},	//509 Attica::ProviderManager::qt_metacall(QMetaObject::Call, int, void**)
    {24, 62, 316, 1, Smoke::mf_ctor, 79, 8},	//510 Attica::ProviderManager::ProviderManager(const QFlags<Attica::ProviderManager::ProviderFlag>&)
    {24, 265, 0, 0, 0, 0, 9},	//511 Attica::ProviderManager::loadDefaultProviders()
    {24, 154, 0, 0, 0, 92, 10},	//512 Attica::ProviderManager::defaultProviderFiles()
    {24, 94, 11, 1, 0, 0, 11},	//513 Attica::ProviderManager::addProviderFileToDefaultProviders(const QUrl&)
    {24, 316, 11, 1, 0, 0, 12},	//514 Attica::ProviderManager::removeProviderFileFromDefaultProviders(const QUrl&)
    {24, 426, 47, 1, 0, 0, 13},	//515 Attica::ProviderManager::setAuthenticationSuppressed(bool)
    {24, 128, 0, 0, 0, 0, 14},	//516 Attica::ProviderManager::clear()
    {24, 96, 3, 1, 0, 0, 15},	//517 Attica::ProviderManager::addProviderFromXml(const QString&)
    {24, 92, 11, 1, 0, 0, 16},	//518 Attica::ProviderManager::addProviderFile(const QUrl&)
    {24, 303, 0, 0, Smoke::mf_const, 92, 17},	//519 Attica::ProviderManager::providerFiles() const
    {24, 304, 0, 0, Smoke::mf_const, 91, 18},	//520 Attica::ProviderManager::providers() const
    {24, 132, 3, 1, Smoke::mf_const, 198, 19},	//521 Attica::ProviderManager::contains(const QString&) const
    {24, 301, 11, 1, Smoke::mf_const, 75, 20},	//522 Attica::ProviderManager::providerByUrl(const QUrl&) const
    {24, 299, 96, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//523 Attica::ProviderManager::providerAdded(const Attica::Provider&)
    {24, 155, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//524 Attica::ProviderManager::defaultProvidersLoaded()
    {24, 107, 96, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//525 Attica::ProviderManager::authenticationCredentialsMissing(const Attica::Provider&)
    {24, 575, 13, 1, Smoke::mf_static, 100, 24},	//526 Attica::ProviderManager::tr(const char*)
    {24, 579, 13, 1, Smoke::mf_static, 100, 25},	//527 Attica::ProviderManager::trUtf8(const char*)
    {24, 62, 0, 0, Smoke::mf_ctor, 79, 26},	//528 Attica::ProviderManager::ProviderManager()
    {24, 565, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 228, 27},	//529 Attica::ProviderManager::staticMetaObject() const
    {24, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 28},	//530 Attica::ProviderManager::NoFlags (enum)
    {24, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 29},	//531 Attica::ProviderManager::DisablePlugins (enum)
    {24, 613, 0, 0, Smoke::mf_dtor, 0, 30 },	//532 Attica::ProviderManager::~ProviderManager()
    {35, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 1},	//533 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {35, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 2},	//534 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {35, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 3},	//535 QGlobalSpace::Q_STATIC_TYPE (enum)
    {35, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 4},	//536 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {35, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 5},	//537 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {35, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 6},	//538 QGlobalSpace::LicensedGui (enum)
    {35, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 7},	//539 QGlobalSpace::LicensedXml (enum)
    {35, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 8},	//540 QGlobalSpace::LicensedQt3SupportLight (enum)
    {35, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 9},	//541 QGlobalSpace::LicensedScript (enum)
    {35, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 10},	//542 QGlobalSpace::LicensedOpenVG (enum)
    {35, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 11},	//543 QGlobalSpace::LicensedDBus (enum)
    {35, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 12},	//544 QGlobalSpace::LicensedTest (enum)
    {35, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 13},	//545 QGlobalSpace::LicensedActiveQt (enum)
    {35, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 14},	//546 QGlobalSpace::LicensedScriptTools (enum)
    {35, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 15},	//547 QGlobalSpace::LicensedSvg (enum)
    {35, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 16},	//548 QGlobalSpace::LicensedDeclarative (enum)
    {35, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 17},	//549 QGlobalSpace::LicensedSql (enum)
    {35, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 18},	//550 QGlobalSpace::LicensedOpenGL (enum)
    {35, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 19},	//551 QGlobalSpace::LicensedCore (enum)
    {35, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 20},	//552 QGlobalSpace::QtDebugMsg (enum)
    {35, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 21},	//553 QGlobalSpace::QtWarningMsg (enum)
    {35, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 22},	//554 QGlobalSpace::QtCriticalMsg (enum)
    {35, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 23},	//555 QGlobalSpace::QtFatalMsg (enum)
    {35, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 24},	//556 QGlobalSpace::QtSystemMsg (enum)
    {35, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 25},	//557 QGlobalSpace::LicensedHelp (enum)
    {35, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 26},	//558 QGlobalSpace::LicensedMultimedia (enum)
    {35, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 27},	//559 QGlobalSpace::LicensedQt3Support (enum)
    {35, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 28},	//560 QGlobalSpace::LicensedXmlPatterns (enum)
    {35, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 29},	//561 QGlobalSpace::LicensedNetwork (enum)
    {41, 211, 318, 1, Smoke::mf_virtual, 198, 0},	//562 QObject::event(QEvent*)
    {41, 212, 320, 2, Smoke::mf_virtual, 198, 0},	//563 QObject::eventFilter(QObject*, QEvent*)
    {41, 571, 323, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//564 QObject::timerEvent(QTimerEvent*)
    {41, 126, 325, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//565 QObject::childEvent(QChildEvent*)
    {41, 150, 318, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//566 QObject::customEvent(QEvent*)
    {41, 131, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//567 QObject::connectNotify(const char*)
    {41, 172, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//568 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    324,  // Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*)
    325,  // Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&)
    0,
    370,  // Attica::Provider::hasCredentials() const
    371,  // Attica::Provider::hasCredentials()
    0,
    436,  // Attica::Provider::voteForContent(const QString&, bool)
    437,  // Attica::Provider::voteForContent(const QString&, unsigned int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 1, 1},	// Attica::AccountBalance::AccountBalance
    {1, 2, 2},	// Attica::AccountBalance::AccountBalance#
    {1, 111, 7},	// Attica::AccountBalance::balance
    {1, 149, 5},	// Attica::AccountBalance::currency
    {1, 277, 3},	// Attica::AccountBalance::operator=#
    {1, 431, 6},	// Attica::AccountBalance::setBalance$
    {1, 451, 4},	// Attica::AccountBalance::setCurrency$
    {1, 595, 8},	// Attica::AccountBalance::~AccountBalance
    {3, 3, 9},	// Attica::Activity::Activity
    {3, 4, 10},	// Attica::Activity::Activity#
    {3, 103, 15},	// Attica::Activity::associatedPerson
    {3, 247, 13},	// Attica::Activity::id
    {3, 254, 22},	// Attica::Activity::isValid
    {3, 261, 21},	// Attica::Activity::link
    {3, 267, 19},	// Attica::Activity::message
    {3, 277, 11},	// Attica::Activity::operator=#
    {3, 425, 14},	// Attica::Activity::setAssociatedPerson#
    {3, 486, 12},	// Attica::Activity::setId$
    {3, 494, 20},	// Attica::Activity::setLink#
    {3, 499, 18},	// Attica::Activity::setMessage$
    {3, 545, 16},	// Attica::Activity::setTimestamp#
    {3, 572, 17},	// Attica::Activity::timestamp
    {3, 596, 23},	// Attica::Activity::~Activity
    {4, 77, 33},	// Attica::BaseJob::abort
    {4, 151, 35},	// Attica::BaseJob::dataFinished
    {4, 213, 37},	// Attica::BaseJob::executeRequest
    {4, 219, 34},	// Attica::BaseJob::finished#
    {4, 248, 39},	// Attica::BaseJob::internals
    {4, 270, 24},	// Attica::BaseJob::metaObject
    {4, 271, 31},	// Attica::BaseJob::metadata
    {4, 281, 38},	// Attica::BaseJob::parse$
    {4, 308, 30},	// Attica::BaseJob::qt_metacall$$?
    {4, 310, 25},	// Attica::BaseJob::qt_metacast$
    {4, 503, 36},	// Attica::BaseJob::setMetadata#
    {4, 563, 32},	// Attica::BaseJob::start
    {4, 565, 42},	// Attica::BaseJob::staticMetaObject
    {4, 576, 40},	// Attica::BaseJob::tr$
    {4, 577, 26},	// Attica::BaseJob::tr$$
    {4, 578, 28},	// Attica::BaseJob::tr$$$
    {4, 580, 41},	// Attica::BaseJob::trUtf8$
    {4, 581, 27},	// Attica::BaseJob::trUtf8$$
    {4, 582, 29},	// Attica::BaseJob::trUtf8$$$
    {4, 597, 43},	// Attica::BaseJob::~BaseJob
    {6, 7, 44},	// Attica::Category::Category
    {6, 8, 45},	// Attica::Category::Category#
    {6, 247, 48},	// Attica::Category::id
    {6, 254, 51},	// Attica::Category::isValid
    {6, 274, 50},	// Attica::Category::name
    {6, 277, 46},	// Attica::Category::operator=#
    {6, 486, 47},	// Attica::Category::setId$
    {6, 509, 49},	// Attica::Category::setName$
    {6, 598, 52},	// Attica::Category::~Category
    {7, 9, 53},	// Attica::Content::Content
    {7, 10, 54},	// Attica::Content::Content#
    {7, 81, 89},	// Attica::Content::addAttribute$$
    {7, 105, 90},	// Attica::Content::attribute$
    {7, 106, 91},	// Attica::Content::attributes
    {7, 109, 84},	// Attica::Content::author
    {7, 123, 73},	// Attica::Content::changelog
    {7, 148, 67},	// Attica::Content::created
    {7, 168, 75},	// Attica::Content::depend
    {7, 169, 71},	// Attica::Content::description
    {7, 171, 72},	// Attica::Content::detailpage
    {7, 196, 76},	// Attica::Content::downloadUrlDescription$
    {7, 197, 77},	// Attica::Content::downloadUrlDescriptions
    {7, 198, 63},	// Attica::Content::downloads
    {7, 242, 79},	// Attica::Content::homePageEntries
    {7, 244, 78},	// Attica::Content::homePageEntry$
    {7, 246, 85},	// Attica::Content::icons
    {7, 247, 57},	// Attica::Content::id
    {7, 254, 92},	// Attica::Content::isValid
    {7, 259, 82},	// Attica::Content::license
    {7, 260, 83},	// Attica::Content::licenseName
    {7, 274, 59},	// Attica::Content::name
    {7, 275, 65},	// Attica::Content::numberOfComments
    {7, 277, 55},	// Attica::Content::operator=#
    {7, 295, 93},	// Attica::Content::previewPicture
    {7, 296, 80},	// Attica::Content::previewPicture$
    {7, 311, 61},	// Attica::Content::rating
    {7, 449, 66},	// Attica::Content::setCreated#
    {7, 461, 62},	// Attica::Content::setDownloads$
    {7, 484, 86},	// Attica::Content::setIcons?
    {7, 486, 56},	// Attica::Content::setId$
    {7, 509, 58},	// Attica::Content::setName$
    {7, 511, 64},	// Attica::Content::setNumberOfComments$
    {7, 525, 60},	// Attica::Content::setRating$
    {7, 553, 68},	// Attica::Content::setUpdated#
    {7, 559, 88},	// Attica::Content::setVideos?
    {7, 561, 94},	// Attica::Content::smallPreviewPicture
    {7, 562, 81},	// Attica::Content::smallPreviewPicture$
    {7, 570, 70},	// Attica::Content::summary
    {7, 584, 69},	// Attica::Content::updated
    {7, 589, 74},	// Attica::Content::version
    {7, 590, 87},	// Attica::Content::videos
    {7, 599, 95},	// Attica::Content::~Content
    {9, 12, 96},	// Attica::DownloadDescription::DownloadDescription
    {9, 13, 97},	// Attica::DownloadDescription::DownloadDescription#
    {9, 19, 129},	// Attica::DownloadDescription::FileDownload
    {9, 45, 130},	// Attica::DownloadDescription::LinkDownload
    {9, 55, 131},	// Attica::DownloadDescription::PackageDownload
    {9, 121, 103},	// Attica::DownloadDescription::category
    {9, 173, 106},	// Attica::DownloadDescription::distributionType
    {9, 227, 110},	// Attica::DownloadDescription::gpgFingerprint
    {9, 228, 111},	// Attica::DownloadDescription::gpgSignature
    {9, 241, 102},	// Attica::DownloadDescription::hasPrice
    {9, 247, 99},	// Attica::DownloadDescription::id
    {9, 251, 101},	// Attica::DownloadDescription::isDownloadtypLink
    {9, 261, 105},	// Attica::DownloadDescription::link
    {9, 274, 104},	// Attica::DownloadDescription::name
    {9, 277, 98},	// Attica::DownloadDescription::operator=#
    {9, 278, 112},	// Attica::DownloadDescription::packageName
    {9, 297, 108},	// Attica::DownloadDescription::priceAmount
    {9, 298, 107},	// Attica::DownloadDescription::priceReason
    {9, 318, 113},	// Attica::DownloadDescription::repository
    {9, 437, 118},	// Attica::DownloadDescription::setCategory$
    {9, 457, 121},	// Attica::DownloadDescription::setDistributionType$
    {9, 463, 116},	// Attica::DownloadDescription::setDownloadtypLink$
    {9, 475, 125},	// Attica::DownloadDescription::setGpgFingerprint$
    {9, 477, 126},	// Attica::DownloadDescription::setGpgSignature$
    {9, 479, 117},	// Attica::DownloadDescription::setHasPrice$
    {9, 486, 114},	// Attica::DownloadDescription::setId$
    {9, 495, 120},	// Attica::DownloadDescription::setLink$
    {9, 509, 119},	// Attica::DownloadDescription::setName$
    {9, 513, 127},	// Attica::DownloadDescription::setPackageName$
    {9, 519, 123},	// Attica::DownloadDescription::setPriceAmount$
    {9, 521, 122},	// Attica::DownloadDescription::setPriceReason$
    {9, 527, 128},	// Attica::DownloadDescription::setRepository$
    {9, 533, 124},	// Attica::DownloadDescription::setSize$
    {9, 551, 115},	// Attica::DownloadDescription::setType$
    {9, 560, 109},	// Attica::DownloadDescription::size
    {9, 583, 100},	// Attica::DownloadDescription::type
    {9, 600, 132},	// Attica::DownloadDescription::~DownloadDescription
    {10, 14, 133},	// Attica::DownloadItem::DownloadItem
    {10, 15, 134},	// Attica::DownloadItem::DownloadItem#
    {10, 227, 145},	// Attica::DownloadItem::gpgFingerprint
    {10, 228, 147},	// Attica::DownloadItem::gpgSignature
    {10, 272, 139},	// Attica::DownloadItem::mimeType
    {10, 277, 135},	// Attica::DownloadItem::operator=#
    {10, 278, 141},	// Attica::DownloadItem::packageName
    {10, 279, 143},	// Attica::DownloadItem::packageRepository
    {10, 475, 144},	// Attica::DownloadItem::setGpgFingerprint$
    {10, 477, 146},	// Attica::DownloadItem::setGpgSignature$
    {10, 505, 138},	// Attica::DownloadItem::setMimeType$
    {10, 513, 140},	// Attica::DownloadItem::setPackageName$
    {10, 515, 142},	// Attica::DownloadItem::setPackageRepository$
    {10, 551, 148},	// Attica::DownloadItem::setType$
    {10, 555, 136},	// Attica::DownloadItem::setUrl#
    {10, 583, 149},	// Attica::DownloadItem::type
    {10, 587, 137},	// Attica::DownloadItem::url
    {10, 601, 150},	// Attica::DownloadItem::~DownloadItem
    {11, 17, 151},	// Attica::Event::Event
    {11, 18, 152},	// Attica::Event::Event#
    {11, 85, 176},	// Attica::Event::addExtendedAttribute$$
    {11, 127, 175},	// Attica::Event::city
    {11, 136, 173},	// Attica::Event::country
    {11, 169, 159},	// Attica::Event::description
    {11, 209, 165},	// Attica::Event::endDate
    {11, 215, 177},	// Attica::Event::extendedAttribute$
    {11, 216, 178},	// Attica::Event::extendedAttributes
    {11, 245, 171},	// Attica::Event::homepage
    {11, 247, 155},	// Attica::Event::id
    {11, 254, 179},	// Attica::Event::isValid
    {11, 258, 167},	// Attica::Event::latitude
    {11, 266, 169},	// Attica::Event::longitude
    {11, 274, 157},	// Attica::Event::name
    {11, 277, 153},	// Attica::Event::operator=#
    {11, 441, 174},	// Attica::Event::setCity$
    {11, 447, 172},	// Attica::Event::setCountry$
    {11, 453, 158},	// Attica::Event::setDescription$
    {11, 467, 164},	// Attica::Event::setEndDate#
    {11, 481, 170},	// Attica::Event::setHomepage#
    {11, 486, 154},	// Attica::Event::setId$
    {11, 492, 166},	// Attica::Event::setLatitude$
    {11, 497, 168},	// Attica::Event::setLongitude$
    {11, 509, 156},	// Attica::Event::setName$
    {11, 535, 162},	// Attica::Event::setStartDate#
    {11, 557, 160},	// Attica::Event::setUser$
    {11, 564, 163},	// Attica::Event::startDate
    {11, 588, 161},	// Attica::Event::user
    {11, 602, 180},	// Attica::Event::~Event
    {12, 20, 181},	// Attica::Folder::Folder
    {12, 21, 182},	// Attica::Folder::Folder#
    {12, 247, 185},	// Attica::Folder::id
    {12, 254, 192},	// Attica::Folder::isValid
    {12, 268, 189},	// Attica::Folder::messageCount
    {12, 274, 187},	// Attica::Folder::name
    {12, 277, 183},	// Attica::Folder::operator=#
    {12, 486, 184},	// Attica::Folder::setId$
    {12, 501, 188},	// Attica::Folder::setMessageCount$
    {12, 509, 186},	// Attica::Folder::setName$
    {12, 551, 190},	// Attica::Folder::setType$
    {12, 583, 191},	// Attica::Folder::type
    {12, 603, 193},	// Attica::Folder::~Folder
    {13, 270, 194},	// Attica::GetJob::metaObject
    {13, 308, 200},	// Attica::GetJob::qt_metacall$$?
    {13, 310, 195},	// Attica::GetJob::qt_metacast$
    {13, 565, 203},	// Attica::GetJob::staticMetaObject
    {13, 576, 201},	// Attica::GetJob::tr$
    {13, 577, 196},	// Attica::GetJob::tr$$
    {13, 578, 198},	// Attica::GetJob::tr$$$
    {13, 580, 202},	// Attica::GetJob::trUtf8$
    {13, 581, 197},	// Attica::GetJob::trUtf8$$
    {13, 582, 199},	// Attica::GetJob::trUtf8$$$
    {13, 604, 204},	// Attica::GetJob::~GetJob
    {15, 22, 205},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry
    {15, 23, 206},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry#
    {15, 85, 228},	// Attica::KnowledgeBaseEntry::addExtendedAttribute$$
    {15, 98, 223},	// Attica::KnowledgeBaseEntry::answer
    {15, 122, 217},	// Attica::KnowledgeBaseEntry::changed
    {15, 130, 225},	// Attica::KnowledgeBaseEntry::comments
    {15, 134, 211},	// Attica::KnowledgeBaseEntry::contentId
    {15, 169, 221},	// Attica::KnowledgeBaseEntry::description
    {15, 170, 227},	// Attica::KnowledgeBaseEntry::detailPage
    {15, 215, 229},	// Attica::KnowledgeBaseEntry::extendedAttribute$
    {15, 216, 230},	// Attica::KnowledgeBaseEntry::extendedAttributes
    {15, 247, 209},	// Attica::KnowledgeBaseEntry::id
    {15, 254, 231},	// Attica::KnowledgeBaseEntry::isValid
    {15, 274, 219},	// Attica::KnowledgeBaseEntry::name
    {15, 277, 207},	// Attica::KnowledgeBaseEntry::operator=#
    {15, 423, 222},	// Attica::KnowledgeBaseEntry::setAnswer$
    {15, 439, 216},	// Attica::KnowledgeBaseEntry::setChanged#
    {15, 443, 224},	// Attica::KnowledgeBaseEntry::setComments$
    {15, 445, 210},	// Attica::KnowledgeBaseEntry::setContentId$
    {15, 453, 220},	// Attica::KnowledgeBaseEntry::setDescription$
    {15, 455, 226},	// Attica::KnowledgeBaseEntry::setDetailPage#
    {15, 486, 208},	// Attica::KnowledgeBaseEntry::setId$
    {15, 509, 218},	// Attica::KnowledgeBaseEntry::setName$
    {15, 537, 214},	// Attica::KnowledgeBaseEntry::setStatus$
    {15, 557, 212},	// Attica::KnowledgeBaseEntry::setUser$
    {15, 566, 215},	// Attica::KnowledgeBaseEntry::status
    {15, 588, 213},	// Attica::KnowledgeBaseEntry::user
    {15, 605, 232},	// Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry
    {16, 24, 233},	// Attica::License::License
    {16, 25, 234},	// Attica::License::License#
    {16, 247, 236},	// Attica::License::id
    {16, 274, 238},	// Attica::License::name
    {16, 277, 235},	// Attica::License::operator=#
    {16, 486, 237},	// Attica::License::setId$
    {16, 509, 239},	// Attica::License::setName$
    {16, 555, 241},	// Attica::License::setUrl#
    {16, 587, 240},	// Attica::License::url
    {16, 606, 242},	// Attica::License::~License
    {17, 6, 263},	// Attica::Message::Answered
    {17, 46, 243},	// Attica::Message::Message
    {17, 47, 244},	// Attica::Message::Message#
    {17, 75, 262},	// Attica::Message::Read
    {17, 76, 261},	// Attica::Message::Unread
    {17, 116, 259},	// Attica::Message::body
    {17, 223, 249},	// Attica::Message::from
    {17, 247, 247},	// Attica::Message::id
    {17, 254, 260},	// Attica::Message::isValid
    {17, 277, 245},	// Attica::Message::operator=#
    {17, 419, 253},	// Attica::Message::sent
    {17, 435, 258},	// Attica::Message::setBody$
    {17, 473, 248},	// Attica::Message::setFrom$
    {17, 486, 246},	// Attica::Message::setId$
    {17, 531, 252},	// Attica::Message::setSent#
    {17, 537, 254},	// Attica::Message::setStatus$
    {17, 543, 256},	// Attica::Message::setSubject$
    {17, 547, 250},	// Attica::Message::setTo$
    {17, 566, 255},	// Attica::Message::status
    {17, 569, 257},	// Attica::Message::subject
    {17, 573, 251},	// Attica::Message::to
    {17, 607, 264},	// Attica::Message::~Message
    {18, 48, 265},	// Attica::Metadata::Metadata
    {18, 49, 266},	// Attica::Metadata::Metadata#
    {18, 50, 283},	// Attica::Metadata::NetworkError
    {18, 52, 282},	// Attica::Metadata::NoError
    {18, 54, 284},	// Attica::Metadata::OcsError
    {18, 210, 268},	// Attica::Metadata::error
    {18, 255, 278},	// Attica::Metadata::itemsPerPage
    {18, 267, 274},	// Attica::Metadata::message
    {18, 277, 267},	// Attica::Metadata::operator=#
    {18, 394, 280},	// Attica::Metadata::resultingId
    {18, 469, 269},	// Attica::Metadata::setError$
    {18, 488, 279},	// Attica::Metadata::setItemsPerPage$
    {18, 499, 275},	// Attica::Metadata::setMessage$
    {18, 529, 281},	// Attica::Metadata::setResultingId$
    {18, 539, 271},	// Attica::Metadata::setStatusCode$
    {18, 541, 273},	// Attica::Metadata::setStatusString$
    {18, 549, 277},	// Attica::Metadata::setTotalItems$
    {18, 567, 270},	// Attica::Metadata::statusCode
    {18, 568, 272},	// Attica::Metadata::statusString
    {18, 574, 276},	// Attica::Metadata::totalItems
    {18, 608, 285},	// Attica::Metadata::~Metadata
    {19, 56, 286},	// Attica::Person::Person
    {19, 57, 287},	// Attica::Person::Person#
    {19, 85, 309},	// Attica::Person::addExtendedAttribute$$
    {19, 110, 304},	// Attica::Person::avatarUrl
    {19, 115, 296},	// Attica::Person::birthday
    {19, 127, 308},	// Attica::Person::city
    {19, 136, 298},	// Attica::Person::country
    {19, 215, 310},	// Attica::Person::extendedAttribute$
    {19, 216, 311},	// Attica::Person::extendedAttributes
    {19, 220, 292},	// Attica::Person::firstName
    {19, 245, 306},	// Attica::Person::homepage
    {19, 247, 290},	// Attica::Person::id
    {19, 254, 312},	// Attica::Person::isValid
    {19, 257, 294},	// Attica::Person::lastName
    {19, 258, 300},	// Attica::Person::latitude
    {19, 266, 302},	// Attica::Person::longitude
    {19, 277, 288},	// Attica::Person::operator=#
    {19, 429, 303},	// Attica::Person::setAvatarUrl#
    {19, 433, 295},	// Attica::Person::setBirthday#
    {19, 441, 307},	// Attica::Person::setCity$
    {19, 447, 297},	// Attica::Person::setCountry$
    {19, 471, 291},	// Attica::Person::setFirstName$
    {19, 482, 305},	// Attica::Person::setHomepage$
    {19, 486, 289},	// Attica::Person::setId$
    {19, 490, 293},	// Attica::Person::setLastName$
    {19, 492, 299},	// Attica::Person::setLatitude$
    {19, 497, 301},	// Attica::Person::setLongitude$
    {19, 609, 313},	// Attica::Person::~Person
    {20, 58, 328},	// Attica::PlatformDependent::PlatformDependent
    {20, 59, 329},	// Attica::PlatformDependent::PlatformDependent#
    {20, 83, 315},	// Attica::PlatformDependent::addDefaultProviderFile#
    {20, 102, 321},	// Attica::PlatformDependent::askForCredentials#$$
    {20, 208, 317},	// Attica::PlatformDependent::enableProvider#$
    {20, 225, 323},	// Attica::PlatformDependent::get#
    {20, 226, 314},	// Attica::PlatformDependent::getDefaultProviderFiles
    {20, 234, 319},	// Attica::PlatformDependent::hasCredentials#
    {20, 253, 318},	// Attica::PlatformDependent::isEnabled#
    {20, 263, 320},	// Attica::PlatformDependent::loadCredentials#$$
    {20, 273, 327},	// Attica::PlatformDependent::nam
    {20, 284, -1},	// Attica::PlatformDependent::post##
    {20, 315, 316},	// Attica::PlatformDependent::removeDefaultProviderFile#
    {20, 396, 322},	// Attica::PlatformDependent::saveCredentials#$$
    {20, 507, 326},	// Attica::PlatformDependent::setNam#
    {20, 610, 330},	// Attica::PlatformDependent::~PlatformDependent
    {21, 270, 331},	// Attica::PostJob::metaObject
    {21, 308, 337},	// Attica::PostJob::qt_metacall$$?
    {21, 310, 332},	// Attica::PostJob::qt_metacast$
    {21, 565, 340},	// Attica::PostJob::staticMetaObject
    {21, 576, 338},	// Attica::PostJob::tr$
    {21, 577, 333},	// Attica::PostJob::tr$$
    {21, 578, 335},	// Attica::PostJob::tr$$$
    {21, 580, 339},	// Attica::PostJob::trUtf8$
    {21, 581, 334},	// Attica::PostJob::trUtf8$$
    {21, 582, 336},	// Attica::PostJob::trUtf8$$$
    {21, 611, 341},	// Attica::PostJob::~PostJob
    {23, 5, 499},	// Attica::Provider::Alphabetical
    {23, 16, 501},	// Attica::Provider::Downloads
    {23, 51, 498},	// Attica::Provider::Newest
    {23, 60, 342},	// Attica::Provider::Provider
    {23, 61, 343},	// Attica::Provider::Provider#
    {23, 74, 500},	// Attica::Provider::Rating
    {23, 78, 357},	// Attica::Provider::achievementServiceVersion
    {23, 79, 359},	// Attica::Provider::activityServiceVersion
    {23, 87, 398},	// Attica::Provider::addNewAchievement$#
    {23, 89, 450},	// Attica::Provider::addNewComment$$$$$$
    {23, 91, 438},	// Attica::Provider::addNewContent##
    {23, 100, 389},	// Attica::Provider::approveFriendship$
    {23, 112, 348},	// Attica::Provider::baseUrl
    {23, 114, 452},	// Attica::Provider::becomeFan$
    {23, 118, 420},	// Attica::Provider::cancelBuildServiceJob#
    {23, 120, 391},	// Attica::Provider::cancelFriendship$
    {23, 125, 374},	// Attica::Provider::checkLogin$$
    {23, 129, 369},	// Attica::Provider::commentServiceVersion
    {23, 135, 361},	// Attica::Provider::contentServiceVersion
    {23, 138, 419},	// Attica::Provider::createBuildServiceJob#
    {23, 140, 407},	// Attica::Provider::createProject#
    {23, 142, 423},	// Attica::Provider::createRemoteAccount#
    {23, 144, 458},	// Attica::Provider::createRequest#
    {23, 145, 459},	// Attica::Provider::createRequest$
    {23, 147, 457},	// Attica::Provider::createUrl$
    {23, 153, 390},	// Attica::Provider::declineFriendship$
    {23, 157, 400},	// Attica::Provider::deleteAchievement$$
    {23, 159, 440},	// Attica::Provider::deleteContent$
    {23, 161, 442},	// Attica::Provider::deleteDownloadFile$
    {23, 163, 444},	// Attica::Provider::deletePreviewImage$$
    {23, 165, 408},	// Attica::Provider::deleteProject#
    {23, 167, 422},	// Attica::Provider::deleteRemoteAccount$
    {23, 175, 461},	// Attica::Provider::doRequestAccountBalance#
    {23, 177, 463},	// Attica::Provider::doRequestAchievementList#
    {23, 179, 464},	// Attica::Provider::doRequestActivityList#
    {23, 181, 465},	// Attica::Provider::doRequestFolderList#
    {23, 183, 466},	// Attica::Provider::doRequestForumList#
    {23, 185, 468},	// Attica::Provider::doRequestMessageList#
    {23, 187, 460},	// Attica::Provider::doRequestPerson#
    {23, 189, 462},	// Attica::Provider::doRequestPersonList#
    {23, 191, 467},	// Attica::Provider::doRequestTopicList#
    {23, 193, 493},	// Attica::Provider::downloadLink$
    {23, 194, 435},	// Attica::Provider::downloadLink$$
    {23, 200, 399},	// Attica::Provider::editAchievement$$#
    {23, 202, 439},	// Attica::Provider::editContent#$#
    {23, 204, 409},	// Attica::Provider::editProject#
    {23, 206, 424},	// Attica::Provider::editRemoteAccount#
    {23, 217, 363},	// Attica::Provider::fanServiceVersion
    {23, 221, 365},	// Attica::Provider::forumServiceVersion
    {23, 222, 353},	// Attica::Provider::friendServiceVersion
    {23, 229, 356},	// Attica::Provider::hasAchievementService
    {23, 230, 358},	// Attica::Provider::hasActivityService
    {23, 231, 368},	// Attica::Provider::hasCommentService
    {23, 232, 360},	// Attica::Provider::hasContentService
    {23, 233, -4},	// Attica::Provider::hasCredentials
    {23, 235, 362},	// Attica::Provider::hasFanService
    {23, 236, 364},	// Attica::Provider::hasForumService
    {23, 237, 352},	// Attica::Provider::hasFriendService
    {23, 238, 366},	// Attica::Provider::hasKnowledgebaseService
    {23, 239, 354},	// Attica::Provider::hasMessageService
    {23, 240, 350},	// Attica::Provider::hasPersonService
    {23, 250, 388},	// Attica::Provider::inviteFriend$$
    {23, 252, 346},	// Attica::Provider::isEnabled
    {23, 254, 345},	// Attica::Provider::isValid
    {23, 256, 367},	// Attica::Provider::knowledgebaseServiceVersion
    {23, 264, 372},	// Attica::Provider::loadCredentials$$
    {23, 269, 355},	// Attica::Provider::messageServiceVersion
    {23, 274, 349},	// Attica::Provider::name
    {23, 277, 344},	// Attica::Provider::operator=#
    {23, 282, 351},	// Attica::Provider::personServiceVersion
    {23, 286, 404},	// Attica::Provider::postActivity$
    {23, 288, 472},	// Attica::Provider::postLocation$$
    {23, 289, 473},	// Attica::Provider::postLocation$$$
    {23, 290, 381},	// Attica::Provider::postLocation$$$$
    {23, 292, 396},	// Attica::Provider::postMessage#
    {23, 294, 456},	// Attica::Provider::postTopic$$$
    {23, 306, 413},	// Attica::Provider::publishBuildJob##
    {23, 313, 375},	// Attica::Provider::registerAccount$$$$$
    {23, 319, 378},	// Attica::Provider::requestAccountBalance
    {23, 321, 397},	// Attica::Provider::requestAchievements$$$
    {23, 322, 403},	// Attica::Provider::requestActivities
    {23, 324, 410},	// Attica::Provider::requestBuildService$
    {23, 326, 415},	// Attica::Provider::requestBuildServiceJob$
    {23, 328, 414},	// Attica::Provider::requestBuildServiceJobOutput$
    {23, 330, 418},	// Attica::Provider::requestBuildServiceJobs#
    {23, 331, 416},	// Attica::Provider::requestBuildServices
    {23, 332, 427},	// Attica::Provider::requestCategories
    {23, 334, 449},	// Attica::Provider::requestComments$$$$$
    {23, 336, 434},	// Attica::Provider::requestContent$
    {23, 337, 429},	// Attica::Provider::requestDistributions
    {23, 339, 447},	// Attica::Provider::requestEvent$
    {23, 340, 448},	// Attica::Provider::requestEvent$$#$$$
    {23, 342, 494},	// Attica::Provider::requestFans$
    {23, 343, 495},	// Attica::Provider::requestFans$$
    {23, 344, 453},	// Attica::Provider::requestFans$$$
    {23, 345, 392},	// Attica::Provider::requestFolders
    {23, 346, 496},	// Attica::Provider::requestForums
    {23, 347, 497},	// Attica::Provider::requestForums$
    {23, 348, 454},	// Attica::Provider::requestForums$$
    {23, 350, 475},	// Attica::Provider::requestFriends$
    {23, 351, 476},	// Attica::Provider::requestFriends$$
    {23, 352, 385},	// Attica::Provider::requestFriends$$$
    {23, 353, 430},	// Attica::Provider::requestHomePageTypes
    {23, 355, 445},	// Attica::Provider::requestKnowledgeBaseEntry$
    {23, 356, 428},	// Attica::Provider::requestLicenses
    {23, 358, 395},	// Attica::Provider::requestMessage#$
    {23, 360, 393},	// Attica::Provider::requestMessages#
    {23, 361, 394},	// Attica::Provider::requestMessages#$
    {23, 363, 376},	// Attica::Provider::requestPerson$
    {23, 365, 469},	// Attica::Provider::requestPersonSearchByLocation$$
    {23, 366, 470},	// Attica::Provider::requestPersonSearchByLocation$$$
    {23, 367, 471},	// Attica::Provider::requestPersonSearchByLocation$$$$
    {23, 368, 380},	// Attica::Provider::requestPersonSearchByLocation$$$$$
    {23, 370, 379},	// Attica::Provider::requestPersonSearchByName$
    {23, 371, 377},	// Attica::Provider::requestPersonSelf
    {23, 372, 383},	// Attica::Provider::requestPrivateData
    {23, 373, 474},	// Attica::Provider::requestPrivateData$
    {23, 374, 382},	// Attica::Provider::requestPrivateData$$
    {23, 376, 406},	// Attica::Provider::requestProject$
    {23, 377, 405},	// Attica::Provider::requestProjects
    {23, 379, 411},	// Attica::Provider::requestPublisher$
    {23, 380, 417},	// Attica::Provider::requestPublishers
    {23, 381, 479},	// Attica::Provider::requestReceivedInvitations
    {23, 382, 480},	// Attica::Provider::requestReceivedInvitations$
    {23, 383, 387},	// Attica::Provider::requestReceivedInvitations$$
    {23, 385, 425},	// Attica::Provider::requestRemoteAccount$
    {23, 386, 421},	// Attica::Provider::requestRemoteAccounts
    {23, 387, 477},	// Attica::Provider::requestSentInvitations
    {23, 388, 478},	// Attica::Provider::requestSentInvitations$
    {23, 389, 386},	// Attica::Provider::requestSentInvitations$$
    {23, 391, 455},	// Attica::Provider::requestTopics$$$$$$
    {23, 393, 402},	// Attica::Provider::resetAchievementProgress$
    {23, 397, 373},	// Attica::Provider::saveCredentials$$
    {23, 399, 412},	// Attica::Provider::savePublisherField##
    {23, 401, 481},	// Attica::Provider::searchContents?
    {23, 402, 482},	// Attica::Provider::searchContents?$
    {23, 403, 483},	// Attica::Provider::searchContents?$$
    {23, 404, 484},	// Attica::Provider::searchContents?$$$
    {23, 405, 431},	// Attica::Provider::searchContents?$$$$
    {23, 406, 489},	// Attica::Provider::searchContents?$??
    {23, 407, 490},	// Attica::Provider::searchContents?$??$
    {23, 408, 491},	// Attica::Provider::searchContents?$??$$
    {23, 409, 492},	// Attica::Provider::searchContents?$??$$$
    {23, 410, 433},	// Attica::Provider::searchContents?$??$$$$
    {23, 412, 485},	// Attica::Provider::searchContentsByPerson?$
    {23, 413, 486},	// Attica::Provider::searchContentsByPerson?$$
    {23, 414, 487},	// Attica::Provider::searchContentsByPerson?$$$
    {23, 415, 488},	// Attica::Provider::searchContentsByPerson?$$$$
    {23, 416, 432},	// Attica::Provider::searchContentsByPerson?$$$$$
    {23, 418, 446},	// Attica::Provider::searchKnowledgeBase#$$$$
    {23, 421, 401},	// Attica::Provider::setAchievementProgress$##
    {23, 459, 441},	// Attica::Provider::setDownloadFile$$#
    {23, 465, 347},	// Attica::Provider::setEnabled$
    {23, 517, 443},	// Attica::Provider::setPreviewImage$$$#
    {23, 523, 384},	// Attica::Provider::setPrivateData$$$
    {23, 586, 426},	// Attica::Provider::uploadTarballToBuildService$$#
    {23, 592, 451},	// Attica::Provider::voteForComment$$
    {23, 594, -7},	// Attica::Provider::voteForContent$$
    {23, 612, 502},	// Attica::Provider::~Provider
    {24, 11, 531},	// Attica::ProviderManager::DisablePlugins
    {24, 53, 530},	// Attica::ProviderManager::NoFlags
    {24, 62, 528},	// Attica::ProviderManager::ProviderManager
    {24, 63, 510},	// Attica::ProviderManager::ProviderManager#
    {24, 93, 518},	// Attica::ProviderManager::addProviderFile#
    {24, 95, 513},	// Attica::ProviderManager::addProviderFileToDefaultProviders#
    {24, 97, 517},	// Attica::ProviderManager::addProviderFromXml$
    {24, 108, 525},	// Attica::ProviderManager::authenticationCredentialsMissing#
    {24, 128, 516},	// Attica::ProviderManager::clear
    {24, 133, 521},	// Attica::ProviderManager::contains$
    {24, 154, 512},	// Attica::ProviderManager::defaultProviderFiles
    {24, 155, 524},	// Attica::ProviderManager::defaultProvidersLoaded
    {24, 265, 511},	// Attica::ProviderManager::loadDefaultProviders
    {24, 270, 503},	// Attica::ProviderManager::metaObject
    {24, 300, 523},	// Attica::ProviderManager::providerAdded#
    {24, 302, 522},	// Attica::ProviderManager::providerByUrl#
    {24, 303, 519},	// Attica::ProviderManager::providerFiles
    {24, 304, 520},	// Attica::ProviderManager::providers
    {24, 308, 509},	// Attica::ProviderManager::qt_metacall$$?
    {24, 310, 504},	// Attica::ProviderManager::qt_metacast$
    {24, 317, 514},	// Attica::ProviderManager::removeProviderFileFromDefaultProviders#
    {24, 427, 515},	// Attica::ProviderManager::setAuthenticationSuppressed$
    {24, 565, 529},	// Attica::ProviderManager::staticMetaObject
    {24, 576, 526},	// Attica::ProviderManager::tr$
    {24, 577, 505},	// Attica::ProviderManager::tr$$
    {24, 578, 507},	// Attica::ProviderManager::tr$$$
    {24, 580, 527},	// Attica::ProviderManager::trUtf8$
    {24, 581, 506},	// Attica::ProviderManager::trUtf8$$
    {24, 582, 508},	// Attica::ProviderManager::trUtf8$$$
    {24, 613, 532},	// Attica::ProviderManager::~ProviderManager
    {35, 26, 545},	// QGlobalSpace::LicensedActiveQt
    {35, 27, 551},	// QGlobalSpace::LicensedCore
    {35, 28, 543},	// QGlobalSpace::LicensedDBus
    {35, 29, 548},	// QGlobalSpace::LicensedDeclarative
    {35, 30, 538},	// QGlobalSpace::LicensedGui
    {35, 31, 557},	// QGlobalSpace::LicensedHelp
    {35, 32, 558},	// QGlobalSpace::LicensedMultimedia
    {35, 33, 561},	// QGlobalSpace::LicensedNetwork
    {35, 34, 550},	// QGlobalSpace::LicensedOpenGL
    {35, 35, 542},	// QGlobalSpace::LicensedOpenVG
    {35, 36, 559},	// QGlobalSpace::LicensedQt3Support
    {35, 37, 540},	// QGlobalSpace::LicensedQt3SupportLight
    {35, 38, 541},	// QGlobalSpace::LicensedScript
    {35, 39, 546},	// QGlobalSpace::LicensedScriptTools
    {35, 40, 549},	// QGlobalSpace::LicensedSql
    {35, 41, 547},	// QGlobalSpace::LicensedSvg
    {35, 42, 544},	// QGlobalSpace::LicensedTest
    {35, 43, 539},	// QGlobalSpace::LicensedXml
    {35, 44, 560},	// QGlobalSpace::LicensedXmlPatterns
    {35, 64, 533},	// QGlobalSpace::Q_COMPLEX_TYPE
    {35, 65, 537},	// QGlobalSpace::Q_DUMMY_TYPE
    {35, 66, 536},	// QGlobalSpace::Q_MOVABLE_TYPE
    {35, 67, 534},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {35, 68, 535},	// QGlobalSpace::Q_STATIC_TYPE
    {35, 69, 554},	// QGlobalSpace::QtCriticalMsg
    {35, 70, 552},	// QGlobalSpace::QtDebugMsg
    {35, 71, 555},	// QGlobalSpace::QtFatalMsg
    {35, 72, 556},	// QGlobalSpace::QtSystemMsg
    {35, 73, 553},	// QGlobalSpace::QtWarningMsg
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *attica_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_attica_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    attica_Smoke = new Smoke(
        "attica",
        __smokeattica::classes, 45,
        __smokeattica::methods, 569,
        __smokeattica::methodMaps, 559,
        __smokeattica::methodNames, 613,
        __smokeattica::types, 244,
        __smokeattica::inheritanceList,
        __smokeattica::argumentList,
        __smokeattica::ambiguousMethodList,
        __smokeattica::cast );
    initialized = true;
}

void delete_attica_Smoke() { delete attica_Smoke; }

}
