#include <knewstuff2_includes.h>

#include <smoke.h>
#include <knewstuff2_smoke.h>

namespace __smokeknewstuff2 {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComponentData
      switch(to) {
        case 4: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 5:   //KGuiItem
      switch(to) {
        case 5: return (void*)(KGuiItem*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KNS::Author
      switch(to) {
        case 7: return (void*)(KNS::Author*)xptr;
        default: return xptr;
      }
    case 8:   //KNS::Button
      switch(to) {
        case 12: return (void*)(KPushButton*)(KNS::Button*)xptr;
        case 63: return (void*)(QPushButton*)(KNS::Button*)xptr;
        case 14: return (void*)(QAbstractButton*)(KNS::Button*)xptr;
        case 84: return (void*)(QWidget*)(KNS::Button*)xptr;
        case 53: return (void*)(QObject*)(KNS::Button*)xptr;
        case 8: return (void*)(KNS::Button*)xptr;
        default: return xptr;
      }
    case 9:   //KNS::Engine
      switch(to) {
        case 9: return (void*)(KNS::Engine*)xptr;
        default: return xptr;
      }
    case 10:   //KNS::Entry
      switch(to) {
        case 10: return (void*)(KNS::Entry*)xptr;
        default: return xptr;
      }
    case 11:   //KNS::KTranslatable
      switch(to) {
        case 11: return (void*)(KNS::KTranslatable*)xptr;
        default: return xptr;
      }
    case 12:   //KPushButton
      switch(to) {
        case 63: return (void*)(QPushButton*)(KPushButton*)xptr;
        case 14: return (void*)(QAbstractButton*)(KPushButton*)xptr;
        case 84: return (void*)(QWidget*)(KPushButton*)xptr;
        case 53: return (void*)(QObject*)(KPushButton*)xptr;
        case 12: return (void*)(KPushButton*)xptr;
        case 8: return (void*)(KNS::Button*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 13:   //KStandardDirs
      switch(to) {
        case 13: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 14:   //QAbstractButton
      switch(to) {
        case 84: return (void*)(QWidget*)(QAbstractButton*)xptr;
        case 53: return (void*)(QObject*)(QAbstractButton*)xptr;
        case 14: return (void*)(QAbstractButton*)xptr;
        case 8: return (void*)(KNS::Button*)(QAbstractButton*)xptr;
        default: return xptr;
      }
    case 15:   //QActionEvent
      switch(to) {
        case 15: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QBool
      switch(to) {
        case 16: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 17:   //QBrush
      switch(to) {
        case 17: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 18:   //QByteArray
      switch(to) {
        case 18: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 19:   //QChar
      switch(to) {
        case 19: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 20:   //QChildEvent
      switch(to) {
        case 20: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QCloseEvent
      switch(to) {
        case 21: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QColor
      switch(to) {
        case 22: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 23:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QCursor
      switch(to) {
        case 24: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 25:   //QDataStream
      switch(to) {
        case 25: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 26:   //QDate
      switch(to) {
        case 26: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 27:   //QDateTime
      switch(to) {
        case 27: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 28:   //QDrag
      switch(to) {
        case 28: return (void*)(QDrag*)xptr;
        default: return xptr;
      }
    case 29:   //QDragEnterEvent
      switch(to) {
        case 29: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QDragLeaveEvent
      switch(to) {
        case 30: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QDragMoveEvent
      switch(to) {
        case 31: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QDropEvent
      switch(to) {
        case 32: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QEvent
      switch(to) {
        case 33: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QFocusEvent
      switch(to) {
        case 34: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QFont
      switch(to) {
        case 35: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 37:   //QHashDummyValue
      switch(to) {
        case 37: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 38:   //QHideEvent
      switch(to) {
        case 38: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QIcon
      switch(to) {
        case 39: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 40:   //QImage
      switch(to) {
        case 40: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 41:   //QIncompatibleFlag
      switch(to) {
        case 41: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 42:   //QInputMethodEvent
      switch(to) {
        case 42: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QKeyEvent
      switch(to) {
        case 43: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QKeySequence
      switch(to) {
        case 44: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 45:   //QLatin1String
      switch(to) {
        case 45: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 46:   //QLine
      switch(to) {
        case 46: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 47:   //QLineF
      switch(to) {
        case 47: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 48:   //QMargins
      switch(to) {
        case 48: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 49:   //QMatrix
      switch(to) {
        case 49: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 50:   //QMetaObject
      switch(to) {
        case 50: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 51:   //QMouseEvent
      switch(to) {
        case 51: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QMoveEvent
      switch(to) {
        case 52: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QObject
      switch(to) {
        case 53: return (void*)(QObject*)xptr;
        case 8: return (void*)(KNS::Button*)(QObject*)xptr;
        default: return xptr;
      }
    case 54:   //QPaintEngine
      switch(to) {
        case 54: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 55:   //QPaintEvent
      switch(to) {
        case 55: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QPainterPath
      switch(to) {
        case 56: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 57:   //QPalette
      switch(to) {
        case 57: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 58:   //QPixmap
      switch(to) {
        case 58: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 59:   //QPoint
      switch(to) {
        case 59: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 60:   //QPointF
      switch(to) {
        case 60: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 61:   //QPolygon
      switch(to) {
        case 61: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 62:   //QPolygonF
      switch(to) {
        case 62: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 63:   //QPushButton
      switch(to) {
        case 14: return (void*)(QAbstractButton*)(QPushButton*)xptr;
        case 84: return (void*)(QWidget*)(QPushButton*)xptr;
        case 53: return (void*)(QObject*)(QPushButton*)xptr;
        case 63: return (void*)(QPushButton*)xptr;
        case 8: return (void*)(KNS::Button*)(QPushButton*)xptr;
        default: return xptr;
      }
    case 64:   //QRect
      switch(to) {
        case 64: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 65:   //QRectF
      switch(to) {
        case 65: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 66:   //QRegExp
      switch(to) {
        case 66: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 67:   //QRegion
      switch(to) {
        case 67: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 68:   //QResizeEvent
      switch(to) {
        case 68: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QShowEvent
      switch(to) {
        case 69: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QSize
      switch(to) {
        case 70: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 71:   //QSizeF
      switch(to) {
        case 71: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 72:   //QSizePolicy
      switch(to) {
        case 72: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 73:   //QString::Null
      switch(to) {
        case 73: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 74:   //QStringRef
      switch(to) {
        case 74: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 75:   //QStyle
      switch(to) {
        case 75: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 76:   //QTabletEvent
      switch(to) {
        case 76: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 77:   //QTime
      switch(to) {
        case 77: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 78:   //QTimerEvent
      switch(to) {
        case 78: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QTransform
      switch(to) {
        case 79: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 80:   //QUrl
      switch(to) {
        case 80: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 81:   //QVariant
      switch(to) {
        case 81: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 82:   //QVariantComparisonHelper
      switch(to) {
        case 82: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 83:   //QWheelEvent
      switch(to) {
        case 83: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 84:   //QWidget
      switch(to) {
        case 53: return (void*)(QObject*)(QWidget*)xptr;
        case 84: return (void*)(QWidget*)xptr;
        case 8: return (void*)(KNS::Button*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    12, 0,	// 1: KPushButton
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KNS__Entry(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KNS__Author(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS__Engine(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS__Entry(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS__KTranslatable(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//4
    { "KGuiItem", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KNS::Author", false, 0, xcall_KNS__Author, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KNS::Author) },	//7
    { "KNS::Button", false, 1, xcall_KNS__Button, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS::Button) },	//8
    { "KNS::Engine", false, 0, xcall_KNS__Engine, 0, Smoke::cf_constructor, sizeof(KNS::Engine) },	//9
    { "KNS::Entry", false, 0, xcall_KNS__Entry, xenum_KNS__Entry, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KNS::Entry) },	//10
    { "KNS::KTranslatable", false, 0, xcall_KNS__KTranslatable, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KNS::KTranslatable) },	//11
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//12
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//13
    { "QAbstractButton", true, 0, 0, 0, 0, 0 },	//14
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QBool", true, 0, 0, 0, 0, 0 },	//16
    { "QBrush", true, 0, 0, 0, 0, 0 },	//17
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//18
    { "QChar", true, 0, 0, 0, 0, 0 },	//19
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QColor", true, 0, 0, 0, 0, 0 },	//22
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QCursor", true, 0, 0, 0, 0, 0 },	//24
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//25
    { "QDate", true, 0, 0, 0, 0, 0 },	//26
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//27
    { "QDrag", true, 0, 0, 0, 0, 0 },	//28
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QFont", true, 0, 0, 0, 0, 0 },	//35
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//36
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//37
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QIcon", true, 0, 0, 0, 0, 0 },	//39
    { "QImage", true, 0, 0, 0, 0, 0 },	//40
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//41
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//44
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//45
    { "QLine", true, 0, 0, 0, 0, 0 },	//46
    { "QLineF", true, 0, 0, 0, 0, 0 },	//47
    { "QMargins", true, 0, 0, 0, 0, 0 },	//48
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//49
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//50
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QObject", true, 0, 0, 0, 0, 0 },	//53
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//54
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//56
    { "QPalette", true, 0, 0, 0, 0, 0 },	//57
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//58
    { "QPoint", true, 0, 0, 0, 0, 0 },	//59
    { "QPointF", true, 0, 0, 0, 0, 0 },	//60
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//61
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//62
    { "QPushButton", true, 0, 0, 0, 0, 0 },	//63
    { "QRect", true, 0, 0, 0, 0, 0 },	//64
    { "QRectF", true, 0, 0, 0, 0, 0 },	//65
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//66
    { "QRegion", true, 0, 0, 0, 0, 0 },	//67
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QSize", true, 0, 0, 0, 0, 0 },	//70
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//71
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//72
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//73
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//74
    { "QStyle", true, 0, 0, 0, 0, 0 },	//75
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//76
    { "QTime", true, 0, 0, 0, 0, 0 },	//77
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QTransform", true, 0, 0, 0, 0, 0 },	//79
    { "QUrl", true, 0, 0, 0, 0, 0 },	//80
    { "QVariant", true, 0, 0, 0, 0, 0 },	//81
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//82
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//83
    { "QWidget", true, 0, 0, 0, 0, 0 },	//84
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComponentData", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KGuiItem", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//8
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KNS::Author", 7, Smoke::t_class|Smoke::tf_stack },	//10
    { "KNS::Author&", 7, Smoke::t_class|Smoke::tf_ref },	//11
    { "KNS::Author*", 7, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KNS::Button*", 8, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KNS::Engine*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KNS::Entry&", 10, Smoke::t_class|Smoke::tf_ref },	//15
    { "KNS::Entry*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KNS::Entry::Source", 10, Smoke::t_enum|Smoke::tf_stack },	//17
    { "KNS::Entry::Status", 10, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KNS::KTranslatable", 11, Smoke::t_class|Smoke::tf_stack },	//19
    { "KNS::KTranslatable&", 11, Smoke::t_class|Smoke::tf_ref },	//20
    { "KNS::KTranslatable*", 11, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//22
    { "KStandardDirs*", 13, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KStandardGuiItem::BidiMode", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KStandardGuiItem::StandardItem", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "KUrl::CleanPathOption", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KUrl::DirectoryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KUrl::EncodedPathAndQueryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KUrl::EqualsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "KUrl::QueryItemsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QActionEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QBool", 16, Smoke::t_class|Smoke::tf_stack },	//32
    { "QBrush&", 17, Smoke::t_class|Smoke::tf_ref },	//33
    { "QByteArray&", 18, Smoke::t_class|Smoke::tf_ref },	//34
    { "QChar", 19, Smoke::t_class|Smoke::tf_stack },	//35
    { "QChar&", 19, Smoke::t_class|Smoke::tf_ref },	//36
    { "QChildEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QCloseEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QColor&", 22, Smoke::t_class|Smoke::tf_ref },	//39
    { "QContextMenuEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QCursor&", 24, Smoke::t_class|Smoke::tf_ref },	//41
    { "QDataStream&", 25, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDate", 26, Smoke::t_class|Smoke::tf_stack },	//43
    { "QDate&", 26, Smoke::t_class|Smoke::tf_ref },	//44
    { "QDateTime&", 27, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDrag*", 28, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDragEnterEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QDragLeaveEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QDragMoveEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDropEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFocusEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QFont&", 35, Smoke::t_class|Smoke::tf_ref },	//79
    { "QHideEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QIcon&", 39, Smoke::t_class|Smoke::tf_ref },	//82
    { "QImage&", 40, Smoke::t_class|Smoke::tf_ref },	//83
    { "QIncompatibleFlag", 41, Smoke::t_class|Smoke::tf_stack },	//84
    { "QInputMethodEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QKeyEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref },	//87
    { "QLine", 46, Smoke::t_class|Smoke::tf_stack },	//88
    { "QLine&", 46, Smoke::t_class|Smoke::tf_ref },	//89
    { "QLineF", 47, Smoke::t_class|Smoke::tf_stack },	//90
    { "QLineF&", 47, Smoke::t_class|Smoke::tf_ref },	//91
    { "QList<KNS::Entry*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QMatrix&", 49, Smoke::t_class|Smoke::tf_ref },	//94
    { "QMetaObject::Call", 50, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QMouseEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QMoveEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QObject*", 53, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QPaintEngine*", 54, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QPaintEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QPainterPath", 56, Smoke::t_class|Smoke::tf_stack },	//102
    { "QPainterPath&", 56, Smoke::t_class|Smoke::tf_ref },	//103
    { "QPair<KGuiItem,KGuiItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QPalette&", 57, Smoke::t_class|Smoke::tf_ref },	//105
    { "QPixmap&", 58, Smoke::t_class|Smoke::tf_ref },	//106
    { "QPoint", 59, Smoke::t_class|Smoke::tf_stack },	//107
    { "QPoint&", 59, Smoke::t_class|Smoke::tf_ref },	//108
    { "QPointF", 60, Smoke::t_class|Smoke::tf_stack },	//109
    { "QPointF&", 60, Smoke::t_class|Smoke::tf_ref },	//110
    { "QPolygon", 61, Smoke::t_class|Smoke::tf_stack },	//111
    { "QPolygon&", 61, Smoke::t_class|Smoke::tf_ref },	//112
    { "QPolygonF", 62, Smoke::t_class|Smoke::tf_stack },	//113
    { "QPolygonF&", 62, Smoke::t_class|Smoke::tf_ref },	//114
    { "QRect&", 64, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRectF&", 65, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRegExp&", 66, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRegion", 67, Smoke::t_class|Smoke::tf_stack },	//118
    { "QRegion&", 67, Smoke::t_class|Smoke::tf_ref },	//119
    { "QResizeEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QShowEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QSize", 70, Smoke::t_class|Smoke::tf_stack },	//122
    { "QSize&", 70, Smoke::t_class|Smoke::tf_ref },	//123
    { "QSizeF&", 71, Smoke::t_class|Smoke::tf_ref },	//124
    { "QSizePolicy&", 72, Smoke::t_class|Smoke::tf_ref },	//125
    { "QSizePolicy::ControlType", 72, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//128
    { "QString::Null", 73, Smoke::t_class|Smoke::tf_stack },	//129
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//131
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//132
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//133
    { "QStyle&", 75, Smoke::t_class|Smoke::tf_ref },	//134
    { "QTabletEvent*", 76, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QTime&", 77, Smoke::t_class|Smoke::tf_ref },	//136
    { "QTimerEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QTransform", 79, Smoke::t_class|Smoke::tf_stack },	//138
    { "QTransform&", 79, Smoke::t_class|Smoke::tf_ref },	//139
    { "QUrl&", 80, Smoke::t_class|Smoke::tf_ref },	//140
    { "QUrl::FormattingOption", 80, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QVariant", 81, Smoke::t_class|Smoke::tf_stack },	//142
    { "QVariant&", 81, Smoke::t_class|Smoke::tf_ref },	//143
    { "QVariant::Type&", 81, Smoke::t_enum|Smoke::tf_ref },	//144
    { "QWheelEvent*", 83, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QWidget*", 84, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QWidget::RenderFlag", 84, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtMsgType", 36, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForActiveQtModule", 36, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForCoreModule", 36, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForDBusModule", 36, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForDeclarativeModule", 36, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForGuiModule", 36, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForHelpModule", 36, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForMultimediaModule", 36, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForNetworkModule", 36, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForOpenGLModule", 36, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForOpenVGModule", 36, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForQt3SupportLightModule", 36, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForQt3SupportModule", 36, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForScriptModule", 36, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForScriptToolsModule", 36, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForSqlModule", 36, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForSvgModule", 36, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForTestModule", 36, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForXmlModule", 36, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QtValidLicenseForXmlPatternsModule", 36, Smoke::t_enum|Smoke::tf_stack },	//239
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//240
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//241
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//242
    { "const KComponentData&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const KNS::Author&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const KNS::Entry&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const KNS::KTranslatable&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QBrush&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QByteArray", 18, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//248
    { "const QByteArray&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QChar&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QColor&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QCursor&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QDate&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QDateTime&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QFont&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QHashDummyValue&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QIcon&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QImage&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QLatin1String&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QLine&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QLineF&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QMargins&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QMatrix&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QMetaObject&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QMetaObject*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//266
    { "const QObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//267
    { "const QPainterPath&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QPalette&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QPixmap&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QPoint", 59, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//271
    { "const QPoint&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QPointF", 60, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//273
    { "const QPointF&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QPolygon&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QPolygonF&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QRect&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QRectF&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QRegExp&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QRegion&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QSize", 70, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//281
    { "const QSize&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QSizeF", 71, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//283
    { "const QSizeF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QSizePolicy&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//286
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "const QStringRef&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QTime&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QTransform&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QUrl&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QVariant&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QVariant::Type", 81, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//295
    { "const QVariantComparisonHelper&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//297
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//298
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//299
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//300
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//301
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//302
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//303
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//304
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//305
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//306
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    244, 0,	//1  const KNS::Author&
    287, 0,	//3  const QString&
    297, 0,	//5  const char*
    297, 297, 0,	//7  const char*, const char*
    297, 297, 301, 0,	//10  const char*, const char*, int
    95, 301, 305, 0,	//14  QMetaObject::Call, int, void**
    287, 287, 287, 146, 0,	//18  const QString&, const QString&, const QString&, QWidget*
    146, 0,	//23  QWidget*
    98, 297, 0,	//25  QObject*, const char*
    245, 0,	//28  const KNS::Entry&
    246, 0,	//30  const KNS::KTranslatable&
    301, 0,	//32  int
    253, 0,	//34  const QDate&
    288, 0,	//36  const QStringList&
    18, 0,	//38  KNS::Entry::Status
    17, 0,	//40  KNS::Entry::Source
    287, 287, 0,	//42  const QString&, const QString&
    96, 0,	//45  QMouseEvent*
    101, 0,	//47  QPaintEvent*
    272, 0,	//49  const QPoint&
    86, 0,	//51  QKeyEvent*
    51, 0,	//53  QEvent*
    137, 0,	//55  QTimerEvent*
    168, 301, 0,	//57  Qt::DockWidgetArea, int
    272, 299, 0,	//60  const QPoint&, double
    299, 274, 0,	//63  double, const QPointF&
    192, 71, 0,	//66  Qt::MouseButton, QFlags<Qt::MouseButton>
    263, 263, 0,	//69  const QMargins&, const QMargins&
    299, 284, 0,	//72  double, const QSizeF&
    42, 83, 0,	//75  QDataStream&, QImage&
    42, 285, 0,	//78  QDataStream&, const QSizePolicy&
    181, 301, 0,	//81  Qt::InputMethodHint, int
    277, 277, 0,	//84  const QRect&, const QRect&
    282, 282, 0,	//87  const QSize&, const QSize&
    42, 292, 0,	//90  QDataStream&, const QTransform&
    274, 264, 0,	//93  const QPointF&, const QMatrix&
    261, 292, 0,	//96  const QLine&, const QTransform&
    218, 76, 0,	//99  Qt::WindowState, QFlags<Qt::WindowState>
    284, 299, 0,	//102  const QSizeF&, double
    42, 261, 0,	//105  QDataStream&, const QLine&
    284, 284, 0,	//108  const QSizeF&, const QSizeF&
    249, 249, 0,	//111  const QByteArray&, const QByteArray&
    260, 290, 0,	//114  const QLatin1String&, const QStringRef&
    192, 192, 0,	//117  Qt::MouseButton, Qt::MouseButton
    26, 52, 0,	//120  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    26, 26, 0,	//123  KUrl::CleanPathOption, KUrl::CleanPathOption
    294, 296, 0,	//126  const QVariant&, const QVariantComparisonHelper&
    32, 32, 0,	//129  QBool, QBool
    148, 62, 0,	//132  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    129, 129, 0,	//135  QString::Null, QString::Null
    42, 278, 0,	//138  QDataStream&, const QRectF&
    35, 287, 0,	//141  QChar, const QString&
    81, 57, 0,	//144  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    42, 269, 0,	//147  QDataStream&, const QPalette&
    8, 0,	//150  KIconLoader::Group&
    42, 249, 0,	//152  QDataStream&, const QByteArray&
    276, 292, 0,	//155  const QPolygonF&, const QTransform&
    209, 209, 0,	//158  Qt::ToolBarArea, Qt::ToolBarArea
    30, 301, 0,	//161  KUrl::QueryItemsOption, int
    147, 301, 0,	//164  QWidget::RenderFlag, int
    170, 301, 0,	//167  Qt::DropAction, int
    42, 288, 0,	//170  QDataStream&, const QStringList&
    28, 28, 0,	//173  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    148, 148, 0,	//176  Qt::AlignmentFlag, Qt::AlignmentFlag
    42, 39, 0,	//179  QDataStream&, QColor&
    42, 279, 0,	//182  QDataStream&, const QRegExp&
    141, 301, 0,	//185  QUrl::FormattingOption, int
    249, 297, 0,	//188  const QByteArray&, const char*
    27, 27, 0,	//191  KUrl::DirectoryOption, KUrl::DirectoryOption
    168, 63, 0,	//194  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    261, 264, 0,	//197  const QLine&, const QMatrix&
    27, 53, 0,	//200  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    262, 264, 0,	//203  const QLineF&, const QMatrix&
    194, 194, 0,	//206  Qt::Orientation, Qt::Orientation
    268, 264, 0,	//209  const QPainterPath&, const QMatrix&
    209, 301, 0,	//212  Qt::ToolBarArea, int
    42, 110, 0,	//215  QDataStream&, QPointF&
    42, 259, 0,	//218  QDataStream&, const QKeySequence&
    190, 301, 0,	//221  Qt::MatchFlag, int
    42, 252, 0,	//224  QDataStream&, const QCursor&
    175, 175, 0,	//227  Qt::GestureFlag, Qt::GestureFlag
    42, 44, 0,	//230  QDataStream&, QDate&
    81, 81, 0,	//233  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    242, 249, 0,	//236  char, const QByteArray&
    297, 249, 0,	//239  const char*, const QByteArray&
    42, 34, 0,	//242  QDataStream&, QByteArray&
    42, 143, 0,	//245  QDataStream&, QVariant&
    42, 117, 0,	//248  QDataStream&, QRegExp&
    274, 274, 0,	//251  const QPointF&, const QPointF&
    292, 299, 0,	//254  const QTransform&, double
    290, 290, 0,	//257  const QStringRef&, const QStringRef&
    35, 35, 0,	//260  QChar, QChar
    268, 292, 0,	//263  const QPainterPath&, const QTransform&
    42, 247, 0,	//266  QDataStream&, const QBrush&
    42, 119, 0,	//269  QDataStream&, QRegion&
    274, 299, 0,	//272  const QPointF&, double
    28, 301, 0,	//275  KUrl::EncodedPathAndQueryOption, int
    42, 253, 0,	//278  QDataStream&, const QDate&
    190, 70, 0,	//281  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    175, 301, 0,	//284  Qt::GestureFlag, int
    126, 126, 0,	//287  QSizePolicy::ControlType, QSizePolicy::ControlType
    42, 41, 0,	//290  QDataStream&, QCursor&
    187, 69, 0,	//293  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    190, 190, 0,	//296  Qt::MatchFlag, Qt::MatchFlag
    42, 139, 0,	//299  QDataStream&, QTransform&
    275, 264, 0,	//302  const QPolygon&, const QMatrix&
    287, 129, 0,	//305  const QString&, QString::Null
    42, 124, 0,	//308  QDataStream&, QSizeF&
    274, 0,	//311  const QPointF&
    184, 184, 0,	//313  Qt::ItemFlag, Qt::ItemFlag
    42, 270, 0,	//316  QDataStream&, const QPixmap&
    219, 77, 0,	//319  Qt::WindowType, QFlags<Qt::WindowType>
    274, 292, 0,	//322  const QPointF&, const QTransform&
    184, 68, 0,	//325  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    212, 75, 0,	//328  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    42, 293, 0,	//331  QDataStream&, const QUrl&
    126, 58, 0,	//334  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    42, 294, 0,	//337  QDataStream&, const QVariant&
    42, 89, 0,	//340  QDataStream&, QLine&
    187, 187, 0,	//343  Qt::KeyboardModifier, Qt::KeyboardModifier
    148, 301, 0,	//346  Qt::AlignmentFlag, int
    272, 264, 0,	//349  const QPoint&, const QMatrix&
    187, 301, 0,	//352  Qt::KeyboardModifier, int
    184, 301, 0,	//355  Qt::ItemFlag, int
    179, 66, 0,	//358  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    272, 272, 0,	//361  const QPoint&, const QPoint&
    130, 301, 0,	//364  QString::SectionFlag, int
    219, 301, 0,	//367  Qt::WindowType, int
    147, 147, 0,	//370  QWidget::RenderFlag, QWidget::RenderFlag
    290, 287, 0,	//373  const QStringRef&, const QString&
    256, 256, 0,	//376  const QHashDummyValue&, const QHashDummyValue&
    29, 29, 0,	//379  KUrl::EqualsOption, KUrl::EqualsOption
    141, 141, 0,	//382  QUrl::FormattingOption, QUrl::FormattingOption
    42, 82, 0,	//385  QDataStream&, QIcon&
    42, 275, 0,	//388  QDataStream&, const QPolygon&
    212, 301, 0,	//391  Qt::TouchPointState, int
    147, 61, 0,	//394  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    290, 297, 0,	//397  const QStringRef&, const char*
    26, 301, 0,	//400  KUrl::CleanPathOption, int
    30, 30, 0,	//403  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    42, 262, 0,	//406  QDataStream&, const QLineF&
    42, 33, 0,	//409  QDataStream&, QBrush&
    42, 274, 0,	//412  QDataStream&, const QPointF&
    272, 300, 0,	//415  const QPoint&, float
    287, 290, 0,	//418  const QString&, const QStringRef&
    29, 301, 0,	//421  KUrl::EqualsOption, int
    126, 301, 0,	//424  QSizePolicy::ControlType, int
    42, 125, 0,	//427  QDataStream&, QSizePolicy&
    297, 290, 0,	//430  const char*, const QStringRef&
    42, 94, 0,	//433  QDataStream&, QMatrix&
    192, 301, 0,	//436  Qt::MouseButton, int
    42, 123, 0,	//439  QDataStream&, QSize&
    181, 181, 0,	//442  Qt::InputMethodHint, Qt::InputMethodHint
    42, 144, 0,	//445  QDataStream&, QVariant::Type&
    206, 73, 0,	//448  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    262, 292, 0,	//451  const QLineF&, const QTransform&
    290, 260, 0,	//454  const QStringRef&, const QLatin1String&
    42, 276, 0,	//457  QDataStream&, const QPolygonF&
    42, 284, 0,	//460  QDataStream&, const QSizeF&
    209, 74, 0,	//463  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    42, 255, 0,	//466  QDataStream&, const QFont&
    29, 55, 0,	//469  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    42, 264, 0,	//472  QDataStream&, const QMatrix&
    218, 218, 0,	//475  Qt::WindowState, Qt::WindowState
    141, 60, 0,	//478  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    42, 114, 0,	//481  QDataStream&, QPolygonF&
    42, 105, 0,	//484  QDataStream&, QPalette&
    42, 268, 0,	//487  QDataStream&, const QPainterPath&
    278, 278, 0,	//490  const QRectF&, const QRectF&
    299, 282, 0,	//493  double, const QSize&
    299, 272, 0,	//496  double, const QPoint&
    42, 272, 0,	//499  QDataStream&, const QPoint&
    42, 258, 0,	//502  QDataStream&, const QImage&
    249, 242, 0,	//505  const QByteArray&, char
    42, 79, 0,	//508  QDataStream&, QFont&
    130, 59, 0,	//511  QString::SectionFlag, QFlags<QString::SectionFlag>
    42, 282, 0,	//514  QDataStream&, const QSize&
    42, 116, 0,	//517  QDataStream&, QRectF&
    42, 250, 0,	//520  QDataStream&, const QChar&
    241, 32, 0,	//523  bool, QBool
    30, 56, 0,	//526  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    275, 292, 0,	//529  const QPolygon&, const QTransform&
    32, 241, 0,	//532  QBool, bool
    218, 301, 0,	//535  Qt::WindowState, int
    42, 132, 0,	//538  QDataStream&, QStringList&
    42, 277, 0,	//541  QDataStream&, const QRect&
    27, 301, 0,	//544  KUrl::DirectoryOption, int
    42, 280, 0,	//547  QDataStream&, const QRegion&
    168, 168, 0,	//550  Qt::DockWidgetArea, Qt::DockWidgetArea
    42, 251, 0,	//553  QDataStream&, const QColor&
    219, 219, 0,	//556  Qt::WindowType, Qt::WindowType
    282, 299, 0,	//559  const QSize&, double
    129, 287, 0,	//562  QString::Null, const QString&
    181, 67, 0,	//565  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    42, 108, 0,	//568  QDataStream&, QPoint&
    42, 45, 0,	//571  QDataStream&, QDateTime&
    42, 291, 0,	//574  QDataStream&, const QTime&
    42, 87, 0,	//577  QDataStream&, QKeySequence&
    280, 292, 0,	//580  const QRegion&, const QTransform&
    130, 130, 0,	//583  QString::SectionFlag, QString::SectionFlag
    81, 301, 0,	//586  QIODevice::OpenModeFlag, int
    301, 272, 0,	//589  int, const QPoint&
    175, 65, 0,	//592  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    276, 264, 0,	//595  const QPolygonF&, const QMatrix&
    42, 112, 0,	//598  QDataStream&, QPolygon&
    28, 54, 0,	//601  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    42, 128, 0,	//604  QDataStream&, QString&
    42, 287, 0,	//607  QDataStream&, const QString&
    42, 36, 0,	//610  QDataStream&, QChar&
    206, 206, 0,	//613  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    42, 106, 0,	//616  QDataStream&, QPixmap&
    42, 115, 0,	//619  QDataStream&, QRect&
    179, 301, 0,	//622  Qt::ImageConversionFlag, int
    42, 257, 0,	//625  QDataStream&, const QIcon&
    42, 295, 0,	//628  QDataStream&, const QVariant::Type
    42, 91, 0,	//631  QDataStream&, QLineF&
    42, 103, 0,	//634  QDataStream&, QPainterPath&
    212, 212, 0,	//637  Qt::TouchPointState, Qt::TouchPointState
    206, 301, 0,	//640  Qt::TextInteractionFlag, int
    272, 292, 0,	//643  const QPoint&, const QTransform&
    42, 254, 0,	//646  QDataStream&, const QDateTime&
    42, 136, 0,	//649  QDataStream&, QTime&
    272, 301, 0,	//652  const QPoint&, int
    179, 179, 0,	//655  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    170, 64, 0,	//658  Qt::DropAction, QFlags<Qt::DropAction>
    170, 170, 0,	//661  Qt::DropAction, Qt::DropAction
    194, 301, 0,	//664  Qt::Orientation, int
    280, 264, 0,	//667  const QRegion&, const QMatrix&
    300, 272, 0,	//670  float, const QPoint&
    42, 140, 0,	//673  QDataStream&, QUrl&
    287, 35, 0,	//676  const QString&, QChar
    194, 72, 0,	//679  Qt::Orientation, QFlags<Qt::Orientation>
    8, 301, 0,	//682  KIconLoader::Group&, int
    98, 51, 0,	//685  QObject*, QEvent*
    37, 0,	//688  QChildEvent*
    78, 0,	//690  QFocusEvent*
    241, 0,	//692  bool
    145, 0,	//694  QWheelEvent*
    97, 0,	//696  QMoveEvent*
    120, 0,	//698  QResizeEvent*
    38, 0,	//700  QCloseEvent*
    40, 0,	//702  QContextMenuEvent*
    135, 0,	//704  QTabletEvent*
    31, 0,	//706  QActionEvent*
    47, 0,	//708  QDragEnterEvent*
    49, 0,	//710  QDragMoveEvent*
    48, 0,	//712  QDragLeaveEvent*
    50, 0,	//714  QDropEvent*
    121, 0,	//716  QShowEvent*
    80, 0,	//718  QHideEvent*
    240, 0,	//720  _XEvent*
    99, 0,	//722  QPaintDevice::PaintDeviceMetric
    85, 0,	//724  QInputMethodEvent*
    182, 0,	//726  Qt::InputMethodQuery
    134, 0,	//728  QStyle&
    269, 0,	//730  const QPalette&
    255, 0,	//732  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Author",	//1
    "Author#",	//2
    "Button",	//3
    "Button#",	//4
    "Button$$$#",	//5
    "Cache",	//6
    "Deleted",	//7
    "Downloadable",	//8
    "DrawChildren",	//9
    "DrawWindowBackground",	//10
    "Engine",	//11
    "Engine#",	//12
    "Entry",	//13
    "Entry#",	//14
    "IgnoreMask",	//15
    "Installed",	//16
    "Invalid",	//17
    "KTranslatable",	//18
    "KTranslatable#",	//19
    "KTranslatable$",	//20
    "LicensedActiveQt",	//21
    "LicensedCore",	//22
    "LicensedDBus",	//23
    "LicensedDeclarative",	//24
    "LicensedGui",	//25
    "LicensedHelp",	//26
    "LicensedMultimedia",	//27
    "LicensedNetwork",	//28
    "LicensedOpenGL",	//29
    "LicensedOpenVG",	//30
    "LicensedQt3Support",	//31
    "LicensedQt3SupportLight",	//32
    "LicensedScript",	//33
    "LicensedScriptTools",	//34
    "LicensedSql",	//35
    "LicensedSvg",	//36
    "LicensedTest",	//37
    "LicensedXml",	//38
    "LicensedXmlPatterns",	//39
    "Online",	//40
    "Q_COMPLEX_TYPE",	//41
    "Q_DUMMY_TYPE",	//42
    "Q_MOVABLE_TYPE",	//43
    "Q_PRIMITIVE_TYPE",	//44
    "Q_STATIC_TYPE",	//45
    "QtCriticalMsg",	//46
    "QtDebugMsg",	//47
    "QtFatalMsg",	//48
    "QtSystemMsg",	//49
    "QtWarningMsg",	//50
    "Registry",	//51
    "Updateable",	//52
    "aboutToShowDialog",	//53
    "actionEvent",	//54
    "addString",	//55
    "addString$$",	//56
    "author",	//57
    "category",	//58
    "changeEvent",	//59
    "checkStateSet",	//60
    "checksum",	//61
    "childEvent",	//62
    "closeEvent",	//63
    "connectNotify",	//64
    "contextMenuEvent",	//65
    "customEvent",	//66
    "devType",	//67
    "dialogFinished",	//68
    "disconnectNotify",	//69
    "download",	//70
    "downloadDialog",	//71
    "downloadDialog#$",	//72
    "downloadDialogModal",	//73
    "downloadDialogModal#",	//74
    "downloads",	//75
    "dragEnterEvent",	//76
    "dragLeaveEvent",	//77
    "dragMoveEvent",	//78
    "dragObject",	//79
    "dropEvent",	//80
    "email",	//81
    "enabledChange",	//82
    "enterEvent",	//83
    "event",	//84
    "eventFilter",	//85
    "focusInEvent",	//86
    "focusNextPrevChild",	//87
    "focusOutEvent",	//88
    "fontChange",	//89
    "heightForWidth",	//90
    "hideEvent",	//91
    "hitButton",	//92
    "homepage",	//93
    "idNumber",	//94
    "init",	//95
    "init$",	//96
    "inputMethodEvent",	//97
    "inputMethodQuery",	//98
    "installedFiles",	//99
    "isEmpty",	//100
    "isTranslated",	//101
    "jabber",	//102
    "keyPressEvent",	//103
    "keyReleaseEvent",	//104
    "language",	//105
    "languageChange",	//106
    "languages",	//107
    "leaveEvent",	//108
    "license",	//109
    "metaObject",	//110
    "metric",	//111
    "minimumSizeHint",	//112
    "mouseDoubleClickEvent",	//113
    "mouseMoveEvent",	//114
    "mousePressEvent",	//115
    "mouseReleaseEvent",	//116
    "moveEvent",	//117
    "name",	//118
    "nextCheckState",	//119
    "operator!=",	//120
    "operator!=##",	//121
    "operator!=#$",	//122
    "operator!=$#",	//123
    "operator*",	//124
    "operator*##",	//125
    "operator*#$",	//126
    "operator*$#",	//127
    "operator+",	//128
    "operator+##",	//129
    "operator+#$",	//130
    "operator+$#",	//131
    "operator+$$",	//132
    "operator++",	//133
    "operator++$",	//134
    "operator++$$",	//135
    "operator-",	//136
    "operator-#",	//137
    "operator-##",	//138
    "operator-#$",	//139
    "operator/",	//140
    "operator/#$",	//141
    "operator<",	//142
    "operator<##",	//143
    "operator<#$",	//144
    "operator<$#",	//145
    "operator<<",	//146
    "operator<<##",	//147
    "operator<<#$",	//148
    "operator<<#?",	//149
    "operator<=",	//150
    "operator<=##",	//151
    "operator<=#$",	//152
    "operator<=$#",	//153
    "operator=",	//154
    "operator=#",	//155
    "operator==",	//156
    "operator==##",	//157
    "operator==#$",	//158
    "operator==$#",	//159
    "operator>",	//160
    "operator>##",	//161
    "operator>#$",	//162
    "operator>$#",	//163
    "operator>=",	//164
    "operator>=##",	//165
    "operator>=#$",	//166
    "operator>=$#",	//167
    "operator>>",	//168
    "operator>>##",	//169
    "operator>>#$",	//170
    "operator>>#?",	//171
    "operator|",	//172
    "operator|$$",	//173
    "paintEngine",	//174
    "paintEvent",	//175
    "paletteChange",	//176
    "payload",	//177
    "preview",	//178
    "qt_metacall",	//179
    "qt_metacall$$?",	//180
    "qt_metacast",	//181
    "qt_metacast$",	//182
    "rating",	//183
    "release",	//184
    "releaseDate",	//185
    "representation",	//186
    "resizeEvent",	//187
    "setAuthor",	//188
    "setAuthor#",	//189
    "setButtonText",	//190
    "setButtonText$",	//191
    "setCategory",	//192
    "setCategory$",	//193
    "setChecksum",	//194
    "setChecksum$",	//195
    "setDownloads",	//196
    "setDownloads$",	//197
    "setEmail",	//198
    "setEmail$",	//199
    "setHomepage",	//200
    "setHomepage$",	//201
    "setIdNumber",	//202
    "setIdNumber$",	//203
    "setInstalledFiles",	//204
    "setInstalledFiles?",	//205
    "setJabber",	//206
    "setJabber$",	//207
    "setLicense",	//208
    "setLicense$",	//209
    "setName",	//210
    "setName#",	//211
    "setName$",	//212
    "setPayload",	//213
    "setPayload#",	//214
    "setPreview",	//215
    "setPreview#",	//216
    "setProviderList",	//217
    "setProviderList$",	//218
    "setRating",	//219
    "setRating$",	//220
    "setRelease",	//221
    "setRelease$",	//222
    "setReleaseDate",	//223
    "setReleaseDate#",	//224
    "setResourceType",	//225
    "setResourceType$",	//226
    "setSignature",	//227
    "setSignature$",	//228
    "setSource",	//229
    "setSource$",	//230
    "setStatus",	//231
    "setStatus$",	//232
    "setSummary",	//233
    "setSummary#",	//234
    "setUnInstalledFiles",	//235
    "setUnInstalledFiles?",	//236
    "setVersion",	//237
    "setVersion$",	//238
    "setVisible",	//239
    "showDialog",	//240
    "showEvent",	//241
    "signature",	//242
    "sizeHint",	//243
    "source",	//244
    "startDrag",	//245
    "staticMetaObject",	//246
    "status",	//247
    "stringmap",	//248
    "strings",	//249
    "styleChange",	//250
    "summary",	//251
    "tabletEvent",	//252
    "timerEvent",	//253
    "tr",	//254
    "tr$",	//255
    "tr$$",	//256
    "tr$$$",	//257
    "trUtf8",	//258
    "trUtf8$",	//259
    "trUtf8$$",	//260
    "trUtf8$$$",	//261
    "translated",	//262
    "translated$",	//263
    "uninstalledFiles",	//264
    "upload",	//265
    "upload$",	//266
    "uploadDialog",	//267
    "uploadDialog$",	//268
    "uploadDialogModal",	//269
    "uploadDialogModal$",	//270
    "version",	//271
    "wheelEvent",	//272
    "windowActivationChange",	//273
    "x11Event",	//274
    "~Author",	//275
    "~Button",	//276
    "~Engine",	//277
    "~Entry",	//278
    "~KTranslatable",	//279
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 1, 0, 0, Smoke::mf_ctor, 12, 1},	//1 KNS::Author::Author()
    {7, 1, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//2 KNS::Author::Author(const KNS::Author&)
    {7, 154, 1, 1, 0, 11, 3},	//3 KNS::Author::operator=(const KNS::Author&)
    {7, 210, 3, 1, 0, 0, 4},	//4 KNS::Author::setName(const QString&)
    {7, 118, 0, 0, Smoke::mf_const, 127, 5},	//5 KNS::Author::name() const
    {7, 198, 3, 1, 0, 0, 6},	//6 KNS::Author::setEmail(const QString&)
    {7, 81, 0, 0, Smoke::mf_const, 127, 7},	//7 KNS::Author::email() const
    {7, 206, 3, 1, 0, 0, 8},	//8 KNS::Author::setJabber(const QString&)
    {7, 102, 0, 0, Smoke::mf_const, 127, 9},	//9 KNS::Author::jabber() const
    {7, 200, 3, 1, 0, 0, 10},	//10 KNS::Author::setHomepage(const QString&)
    {7, 93, 0, 0, Smoke::mf_const, 127, 11},	//11 KNS::Author::homepage() const
    {7, 275, 0, 0, Smoke::mf_dtor, 0, 12 },	//12 KNS::Author::~Author()
    {8, 110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 266, 1},	//13 KNS::Button::metaObject() const
    {8, 181, 5, 1, Smoke::mf_virtual, 304, 2},	//14 KNS::Button::qt_metacast(const char*)
    {8, 254, 7, 2, Smoke::mf_static, 127, 3},	//15 KNS::Button::tr(const char*, const char*)
    {8, 258, 7, 2, Smoke::mf_static, 127, 4},	//16 KNS::Button::trUtf8(const char*, const char*)
    {8, 254, 10, 3, Smoke::mf_static, 127, 5},	//17 KNS::Button::tr(const char*, const char*, int)
    {8, 258, 10, 3, Smoke::mf_static, 127, 6},	//18 KNS::Button::trUtf8(const char*, const char*, int)
    {8, 179, 14, 3, Smoke::mf_virtual, 301, 7},	//19 KNS::Button::qt_metacall(QMetaObject::Call, int, void**)
    {8, 3, 18, 4, Smoke::mf_ctor, 13, 8},	//20 KNS::Button::Button(const QString&, const QString&, const QString&, QWidget*)
    {8, 3, 23, 1, Smoke::mf_ctor, 13, 9},	//21 KNS::Button::Button(QWidget*)
    {8, 217, 3, 1, 0, 0, 10},	//22 KNS::Button::setProviderList(const QString&)
    {8, 225, 3, 1, 0, 0, 11},	//23 KNS::Button::setResourceType(const QString&)
    {8, 190, 3, 1, 0, 0, 12},	//24 KNS::Button::setButtonText(const QString&)
    {8, 53, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//25 KNS::Button::aboutToShowDialog()
    {8, 68, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//26 KNS::Button::dialogFinished()
    {8, 240, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 15},	//27 KNS::Button::showDialog()
    {8, 254, 5, 1, Smoke::mf_static, 127, 16},	//28 KNS::Button::tr(const char*)
    {8, 258, 5, 1, Smoke::mf_static, 127, 17},	//29 KNS::Button::trUtf8(const char*)
    {8, 246, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 265, 18},	//30 KNS::Button::staticMetaObject() const
    {8, 276, 0, 0, Smoke::mf_dtor, 0, 19 },	//31 KNS::Button::~Button()
    {9, 11, 23, 1, Smoke::mf_ctor, 14, 1},	//32 KNS::Engine::Engine(QWidget*)
    {9, 73, 23, 1, 0, 92, 2},	//33 KNS::Engine::downloadDialogModal(QWidget*)
    {9, 70, 0, 0, Smoke::mf_static, 92, 3},	//34 KNS::Engine::download()
    {9, 269, 3, 1, 0, 16, 4},	//35 KNS::Engine::uploadDialogModal(const QString&)
    {9, 265, 3, 1, Smoke::mf_static, 16, 5},	//36 KNS::Engine::upload(const QString&)
    {9, 71, 0, 0, 0, 0, 6},	//37 KNS::Engine::downloadDialog()
    {9, 71, 25, 2, 0, 0, 7},	//38 KNS::Engine::downloadDialog(QObject*, const char*)
    {9, 267, 3, 1, 0, 0, 8},	//39 KNS::Engine::uploadDialog(const QString&)
    {9, 95, 3, 1, 0, 241, 9},	//40 KNS::Engine::init(const QString&)
    {9, 11, 0, 0, Smoke::mf_ctor, 14, 10},	//41 KNS::Engine::Engine()
    {9, 73, 0, 0, 0, 92, 11},	//42 KNS::Engine::downloadDialogModal()
    {9, 277, 0, 0, Smoke::mf_dtor, 0, 12 },	//43 KNS::Engine::~Engine()
    {10, 13, 0, 0, Smoke::mf_ctor, 16, 1},	//44 KNS::Entry::Entry()
    {10, 13, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 2},	//45 KNS::Entry::Entry(const KNS::Entry&)
    {10, 154, 28, 1, 0, 15, 3},	//46 KNS::Entry::operator=(const KNS::Entry&)
    {10, 210, 30, 1, 0, 0, 4},	//47 KNS::Entry::setName(const KNS::KTranslatable&)
    {10, 118, 0, 0, Smoke::mf_const, 19, 5},	//48 KNS::Entry::name() const
    {10, 192, 3, 1, 0, 0, 6},	//49 KNS::Entry::setCategory(const QString&)
    {10, 58, 0, 0, Smoke::mf_const, 127, 7},	//50 KNS::Entry::category() const
    {10, 188, 1, 1, 0, 0, 8},	//51 KNS::Entry::setAuthor(const KNS::Author&)
    {10, 57, 0, 0, Smoke::mf_const, 10, 9},	//52 KNS::Entry::author() const
    {10, 208, 3, 1, 0, 0, 10},	//53 KNS::Entry::setLicense(const QString&)
    {10, 109, 0, 0, Smoke::mf_const, 127, 11},	//54 KNS::Entry::license() const
    {10, 233, 30, 1, 0, 0, 12},	//55 KNS::Entry::setSummary(const KNS::KTranslatable&)
    {10, 251, 0, 0, Smoke::mf_const, 19, 13},	//56 KNS::Entry::summary() const
    {10, 237, 3, 1, 0, 0, 14},	//57 KNS::Entry::setVersion(const QString&)
    {10, 271, 0, 0, Smoke::mf_const, 127, 15},	//58 KNS::Entry::version() const
    {10, 221, 32, 1, 0, 0, 16},	//59 KNS::Entry::setRelease(int)
    {10, 184, 0, 0, Smoke::mf_const, 301, 17},	//60 KNS::Entry::release() const
    {10, 223, 34, 1, 0, 0, 18},	//61 KNS::Entry::setReleaseDate(const QDate&)
    {10, 185, 0, 0, Smoke::mf_const, 43, 19},	//62 KNS::Entry::releaseDate() const
    {10, 213, 30, 1, 0, 0, 20},	//63 KNS::Entry::setPayload(const KNS::KTranslatable&)
    {10, 177, 0, 0, Smoke::mf_const, 19, 21},	//64 KNS::Entry::payload() const
    {10, 215, 30, 1, 0, 0, 22},	//65 KNS::Entry::setPreview(const KNS::KTranslatable&)
    {10, 178, 0, 0, Smoke::mf_const, 19, 23},	//66 KNS::Entry::preview() const
    {10, 204, 36, 1, 0, 0, 24},	//67 KNS::Entry::setInstalledFiles(const QStringList&)
    {10, 235, 36, 1, 0, 0, 25},	//68 KNS::Entry::setUnInstalledFiles(const QStringList&)
    {10, 99, 0, 0, Smoke::mf_const, 131, 26},	//69 KNS::Entry::installedFiles() const
    {10, 264, 0, 0, Smoke::mf_const, 131, 27},	//70 KNS::Entry::uninstalledFiles() const
    {10, 219, 32, 1, 0, 0, 28},	//71 KNS::Entry::setRating(int)
    {10, 183, 0, 0, Smoke::mf_const, 301, 29},	//72 KNS::Entry::rating() const
    {10, 196, 32, 1, 0, 0, 30},	//73 KNS::Entry::setDownloads(int)
    {10, 75, 0, 0, Smoke::mf_const, 301, 31},	//74 KNS::Entry::downloads() const
    {10, 194, 3, 1, 0, 0, 32},	//75 KNS::Entry::setChecksum(const QString&)
    {10, 227, 3, 1, 0, 0, 33},	//76 KNS::Entry::setSignature(const QString&)
    {10, 61, 0, 0, Smoke::mf_const, 127, 34},	//77 KNS::Entry::checksum() const
    {10, 242, 0, 0, Smoke::mf_const, 127, 35},	//78 KNS::Entry::signature() const
    {10, 231, 38, 1, 0, 0, 36},	//79 KNS::Entry::setStatus(KNS::Entry::Status)
    {10, 247, 0, 0, 0, 18, 37},	//80 KNS::Entry::status()
    {10, 229, 40, 1, 0, 0, 38},	//81 KNS::Entry::setSource(KNS::Entry::Source)
    {10, 244, 0, 0, 0, 17, 39},	//82 KNS::Entry::source()
    {10, 202, 32, 1, 0, 0, 40},	//83 KNS::Entry::setIdNumber(int)
    {10, 94, 0, 0, Smoke::mf_const, 301, 41},	//84 KNS::Entry::idNumber() const
    {10, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 42},	//85 KNS::Entry::Invalid (enum)
    {10, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 43},	//86 KNS::Entry::Downloadable (enum)
    {10, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 44},	//87 KNS::Entry::Installed (enum)
    {10, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 45},	//88 KNS::Entry::Updateable (enum)
    {10, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 46},	//89 KNS::Entry::Deleted (enum)
    {10, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 47},	//90 KNS::Entry::Cache (enum)
    {10, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 48},	//91 KNS::Entry::Online (enum)
    {10, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 49},	//92 KNS::Entry::Registry (enum)
    {10, 278, 0, 0, Smoke::mf_dtor, 0, 50 },	//93 KNS::Entry::~Entry()
    {11, 18, 0, 0, Smoke::mf_ctor, 21, 1},	//94 KNS::KTranslatable::KTranslatable()
    {11, 18, 3, 1, Smoke::mf_ctor, 21, 2},	//95 KNS::KTranslatable::KTranslatable(const QString&)
    {11, 154, 30, 1, 0, 20, 3},	//96 KNS::KTranslatable::operator=(const KNS::KTranslatable&)
    {11, 18, 30, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 21, 4},	//97 KNS::KTranslatable::KTranslatable(const KNS::KTranslatable&)
    {11, 55, 42, 2, 0, 0, 5},	//98 KNS::KTranslatable::addString(const QString&, const QString&)
    {11, 186, 0, 0, Smoke::mf_const, 127, 6},	//99 KNS::KTranslatable::representation() const
    {11, 262, 3, 1, Smoke::mf_const, 127, 7},	//100 KNS::KTranslatable::translated(const QString&) const
    {11, 249, 0, 0, Smoke::mf_const, 131, 8},	//101 KNS::KTranslatable::strings() const
    {11, 107, 0, 0, Smoke::mf_const, 131, 9},	//102 KNS::KTranslatable::languages() const
    {11, 105, 0, 0, Smoke::mf_const, 127, 10},	//103 KNS::KTranslatable::language() const
    {11, 248, 0, 0, Smoke::mf_const, 93, 11},	//104 KNS::KTranslatable::stringmap() const
    {11, 101, 0, 0, Smoke::mf_const, 241, 12},	//105 KNS::KTranslatable::isTranslated() const
    {11, 100, 0, 0, Smoke::mf_const, 241, 13},	//106 KNS::KTranslatable::isEmpty() const
    {11, 279, 0, 0, Smoke::mf_dtor, 0, 14 },	//107 KNS::KTranslatable::~KTranslatable()
    {12, 243, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 0},	//108 KPushButton::sizeHint() const
    {12, 79, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 46, 0},	//109 KPushButton::dragObject()
    {12, 115, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//110 KPushButton::mousePressEvent(QMouseEvent*)
    {12, 114, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//111 KPushButton::mouseMoveEvent(QMouseEvent*)
    {12, 175, 47, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//112 KPushButton::paintEvent(QPaintEvent*)
    {12, 245, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//113 KPushButton::startDrag()
    {14, 92, 49, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 241, 0},	//114 QAbstractButton::hitButton(const QPoint&) const
    {14, 60, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//115 QAbstractButton::checkStateSet()
    {14, 119, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//116 QAbstractButton::nextCheckState()
    {14, 104, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//117 QAbstractButton::keyReleaseEvent(QKeyEvent*)
    {14, 116, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//118 QAbstractButton::mouseReleaseEvent(QMouseEvent*)
    {14, 59, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//119 QAbstractButton::changeEvent(QEvent*)
    {14, 253, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//120 QAbstractButton::timerEvent(QTimerEvent*)
    {36, 172, 57, 2, Smoke::mf_static, 84, 1},	//121 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {36, 124, 60, 2, Smoke::mf_static, 271, 2},	//122 QGlobalSpace::operator*(const QPoint&, double)
    {36, 124, 63, 2, Smoke::mf_static, 273, 3},	//123 QGlobalSpace::operator*(double, const QPointF&)
    {36, 172, 66, 2, Smoke::mf_static, 71, 4},	//124 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {36, 120, 69, 2, Smoke::mf_static, 241, 5},	//125 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {36, 124, 72, 2, Smoke::mf_static, 283, 6},	//126 QGlobalSpace::operator*(double, const QSizeF&)
    {36, 168, 75, 2, Smoke::mf_static, 42, 7},	//127 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {36, 146, 78, 2, Smoke::mf_static, 42, 8},	//128 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {36, 172, 81, 2, Smoke::mf_static, 84, 9},	//129 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {36, 120, 84, 2, Smoke::mf_static, 241, 10},	//130 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {36, 128, 87, 2, Smoke::mf_static, 281, 11},	//131 QGlobalSpace::operator+(const QSize&, const QSize&)
    {36, 146, 90, 2, Smoke::mf_static, 42, 12},	//132 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {36, 124, 93, 2, Smoke::mf_static, 109, 13},	//133 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {36, 124, 96, 2, Smoke::mf_static, 88, 14},	//134 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {36, 156, 69, 2, Smoke::mf_static, 241, 15},	//135 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {36, 172, 99, 2, Smoke::mf_static, 76, 16},	//136 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {36, 124, 102, 2, Smoke::mf_static, 283, 17},	//137 QGlobalSpace::operator*(const QSizeF&, double)
    {36, 146, 105, 2, Smoke::mf_static, 42, 18},	//138 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {36, 136, 108, 2, Smoke::mf_static, 283, 19},	//139 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {36, 164, 111, 2, Smoke::mf_static, 241, 20},	//140 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {36, 156, 114, 2, Smoke::mf_static, 241, 21},	//141 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {36, 172, 117, 2, Smoke::mf_static, 71, 22},	//142 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {36, 172, 120, 2, Smoke::mf_static, 52, 23},	//143 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {36, 172, 123, 2, Smoke::mf_static, 52, 24},	//144 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {36, 120, 126, 2, Smoke::mf_static, 241, 25},	//145 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {36, 156, 129, 2, Smoke::mf_static, 241, 26},	//146 QGlobalSpace::operator==(QBool, QBool)
    {36, 172, 132, 2, Smoke::mf_static, 62, 27},	//147 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {36, 156, 135, 2, Smoke::mf_static, 241, 28},	//148 QGlobalSpace::operator==(QString::Null, QString::Null)
    {36, 146, 138, 2, Smoke::mf_static, 42, 29},	//149 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {36, 128, 141, 2, Smoke::mf_static, 286, 30},	//150 QGlobalSpace::operator+(QChar, const QString&)
    {36, 172, 144, 2, Smoke::mf_static, 57, 31},	//151 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {36, 146, 147, 2, Smoke::mf_static, 42, 32},	//152 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {36, 133, 150, 1, Smoke::mf_static, 8, 33},	//153 QGlobalSpace::operator++(KIconLoader::Group&)
    {36, 146, 152, 2, Smoke::mf_static, 42, 34},	//154 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {36, 124, 155, 2, Smoke::mf_static, 113, 35},	//155 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {36, 172, 158, 2, Smoke::mf_static, 74, 36},	//156 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {36, 172, 161, 2, Smoke::mf_static, 84, 37},	//157 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {36, 128, 108, 2, Smoke::mf_static, 283, 38},	//158 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {36, 172, 164, 2, Smoke::mf_static, 84, 39},	//159 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {36, 172, 167, 2, Smoke::mf_static, 84, 40},	//160 QGlobalSpace::operator|(Qt::DropAction, int)
    {36, 146, 170, 2, Smoke::mf_static, 42, 41},	//161 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {36, 172, 173, 2, Smoke::mf_static, 54, 42},	//162 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {36, 172, 176, 2, Smoke::mf_static, 62, 43},	//163 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {36, 168, 179, 2, Smoke::mf_static, 42, 44},	//164 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {36, 146, 182, 2, Smoke::mf_static, 42, 45},	//165 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {36, 172, 185, 2, Smoke::mf_static, 84, 46},	//166 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {36, 142, 188, 2, Smoke::mf_static, 241, 47},	//167 QGlobalSpace::operator<(const QByteArray&, const char*)
    {36, 172, 191, 2, Smoke::mf_static, 53, 48},	//168 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {36, 172, 194, 2, Smoke::mf_static, 63, 49},	//169 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {36, 124, 197, 2, Smoke::mf_static, 88, 50},	//170 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {36, 172, 200, 2, Smoke::mf_static, 53, 51},	//171 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {36, 124, 203, 2, Smoke::mf_static, 90, 52},	//172 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {36, 172, 206, 2, Smoke::mf_static, 72, 53},	//173 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {36, 124, 209, 2, Smoke::mf_static, 102, 54},	//174 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {36, 172, 212, 2, Smoke::mf_static, 84, 55},	//175 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {36, 168, 215, 2, Smoke::mf_static, 42, 56},	//176 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {36, 146, 218, 2, Smoke::mf_static, 42, 57},	//177 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {36, 172, 221, 2, Smoke::mf_static, 84, 58},	//178 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {36, 146, 224, 2, Smoke::mf_static, 42, 59},	//179 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {36, 172, 227, 2, Smoke::mf_static, 65, 60},	//180 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {36, 168, 230, 2, Smoke::mf_static, 42, 61},	//181 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {36, 172, 233, 2, Smoke::mf_static, 57, 62},	//182 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {36, 128, 236, 2, Smoke::mf_static, 248, 63},	//183 QGlobalSpace::operator+(char, const QByteArray&)
    {36, 140, 60, 2, Smoke::mf_static, 271, 64},	//184 QGlobalSpace::operator/(const QPoint&, double)
    {36, 156, 239, 2, Smoke::mf_static, 241, 65},	//185 QGlobalSpace::operator==(const char*, const QByteArray&)
    {36, 168, 242, 2, Smoke::mf_static, 42, 66},	//186 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {36, 168, 245, 2, Smoke::mf_static, 42, 67},	//187 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {36, 168, 248, 2, Smoke::mf_static, 42, 68},	//188 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {36, 156, 251, 2, Smoke::mf_static, 241, 69},	//189 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {36, 140, 254, 2, Smoke::mf_static, 138, 70},	//190 QGlobalSpace::operator/(const QTransform&, double)
    {36, 120, 257, 2, Smoke::mf_static, 241, 71},	//191 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {36, 142, 260, 2, Smoke::mf_static, 241, 72},	//192 QGlobalSpace::operator<(QChar, QChar)
    {36, 124, 263, 2, Smoke::mf_static, 102, 73},	//193 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {36, 146, 266, 2, Smoke::mf_static, 42, 74},	//194 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {36, 168, 269, 2, Smoke::mf_static, 42, 75},	//195 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {36, 124, 272, 2, Smoke::mf_static, 273, 76},	//196 QGlobalSpace::operator*(const QPointF&, double)
    {36, 172, 275, 2, Smoke::mf_static, 84, 77},	//197 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {36, 156, 87, 2, Smoke::mf_static, 241, 78},	//198 QGlobalSpace::operator==(const QSize&, const QSize&)
    {36, 146, 278, 2, Smoke::mf_static, 42, 79},	//199 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {36, 172, 281, 2, Smoke::mf_static, 70, 80},	//200 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {36, 172, 284, 2, Smoke::mf_static, 84, 81},	//201 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {36, 120, 111, 2, Smoke::mf_static, 241, 82},	//202 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {36, 172, 287, 2, Smoke::mf_static, 58, 83},	//203 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {36, 168, 290, 2, Smoke::mf_static, 42, 84},	//204 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {36, 172, 293, 2, Smoke::mf_static, 69, 85},	//205 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {36, 140, 102, 2, Smoke::mf_static, 283, 86},	//206 QGlobalSpace::operator/(const QSizeF&, double)
    {36, 172, 296, 2, Smoke::mf_static, 70, 87},	//207 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {36, 168, 299, 2, Smoke::mf_static, 42, 88},	//208 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {36, 124, 302, 2, Smoke::mf_static, 111, 89},	//209 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {36, 160, 260, 2, Smoke::mf_static, 241, 90},	//210 QGlobalSpace::operator>(QChar, QChar)
    {36, 164, 239, 2, Smoke::mf_static, 241, 91},	//211 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {36, 156, 305, 2, Smoke::mf_static, 241, 92},	//212 QGlobalSpace::operator==(const QString&, QString::Null)
    {36, 142, 111, 2, Smoke::mf_static, 241, 93},	//213 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {36, 168, 308, 2, Smoke::mf_static, 42, 94},	//214 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {36, 136, 311, 1, Smoke::mf_static, 273, 95},	//215 QGlobalSpace::operator-(const QPointF&)
    {36, 172, 313, 2, Smoke::mf_static, 68, 96},	//216 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {36, 146, 316, 2, Smoke::mf_static, 42, 97},	//217 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {36, 172, 319, 2, Smoke::mf_static, 77, 98},	//218 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {36, 124, 322, 2, Smoke::mf_static, 109, 99},	//219 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {36, 172, 325, 2, Smoke::mf_static, 68, 100},	//220 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {36, 172, 328, 2, Smoke::mf_static, 75, 101},	//221 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {36, 164, 257, 2, Smoke::mf_static, 241, 102},	//222 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {36, 156, 126, 2, Smoke::mf_static, 241, 103},	//223 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {36, 146, 331, 2, Smoke::mf_static, 42, 104},	//224 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {36, 172, 334, 2, Smoke::mf_static, 58, 105},	//225 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {36, 146, 337, 2, Smoke::mf_static, 42, 106},	//226 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {36, 168, 340, 2, Smoke::mf_static, 42, 107},	//227 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {36, 172, 343, 2, Smoke::mf_static, 69, 108},	//228 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {36, 142, 239, 2, Smoke::mf_static, 241, 109},	//229 QGlobalSpace::operator<(const char*, const QByteArray&)
    {36, 172, 346, 2, Smoke::mf_static, 84, 110},	//230 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {36, 124, 349, 2, Smoke::mf_static, 107, 111},	//231 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {36, 172, 352, 2, Smoke::mf_static, 84, 112},	//232 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {36, 172, 355, 2, Smoke::mf_static, 84, 113},	//233 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {36, 120, 87, 2, Smoke::mf_static, 241, 114},	//234 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {36, 172, 358, 2, Smoke::mf_static, 66, 115},	//235 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {36, 150, 188, 2, Smoke::mf_static, 241, 116},	//236 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {36, 120, 361, 2, Smoke::mf_static, 241, 117},	//237 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {36, 172, 364, 2, Smoke::mf_static, 84, 118},	//238 QGlobalSpace::operator|(QString::SectionFlag, int)
    {36, 172, 367, 2, Smoke::mf_static, 84, 119},	//239 QGlobalSpace::operator|(Qt::WindowType, int)
    {36, 172, 370, 2, Smoke::mf_static, 61, 120},	//240 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {36, 156, 373, 2, Smoke::mf_static, 241, 121},	//241 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {36, 156, 376, 2, Smoke::mf_static, 241, 122},	//242 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {36, 172, 379, 2, Smoke::mf_static, 55, 123},	//243 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {36, 172, 382, 2, Smoke::mf_static, 60, 124},	//244 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {36, 168, 385, 2, Smoke::mf_static, 42, 125},	//245 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {36, 146, 388, 2, Smoke::mf_static, 42, 126},	//246 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {36, 124, 254, 2, Smoke::mf_static, 138, 127},	//247 QGlobalSpace::operator*(const QTransform&, double)
    {36, 172, 391, 2, Smoke::mf_static, 84, 128},	//248 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {36, 142, 257, 2, Smoke::mf_static, 241, 129},	//249 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {36, 172, 394, 2, Smoke::mf_static, 61, 130},	//250 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {36, 120, 397, 2, Smoke::mf_static, 241, 131},	//251 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {36, 120, 239, 2, Smoke::mf_static, 241, 132},	//252 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {36, 160, 257, 2, Smoke::mf_static, 241, 133},	//253 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {36, 172, 400, 2, Smoke::mf_static, 84, 134},	//254 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {36, 172, 403, 2, Smoke::mf_static, 56, 135},	//255 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {36, 146, 406, 2, Smoke::mf_static, 42, 136},	//256 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {36, 168, 409, 2, Smoke::mf_static, 42, 137},	//257 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {36, 146, 412, 2, Smoke::mf_static, 42, 138},	//258 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {36, 124, 415, 2, Smoke::mf_static, 271, 139},	//259 QGlobalSpace::operator*(const QPoint&, float)
    {36, 128, 42, 2, Smoke::mf_static, 286, 140},	//260 QGlobalSpace::operator+(const QString&, const QString&)
    {36, 120, 188, 2, Smoke::mf_static, 241, 141},	//261 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {36, 120, 418, 2, Smoke::mf_static, 241, 142},	//262 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {36, 172, 421, 2, Smoke::mf_static, 84, 143},	//263 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {36, 172, 424, 2, Smoke::mf_static, 84, 144},	//264 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {36, 168, 427, 2, Smoke::mf_static, 42, 145},	//265 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {36, 160, 111, 2, Smoke::mf_static, 241, 146},	//266 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {36, 156, 361, 2, Smoke::mf_static, 241, 147},	//267 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {36, 156, 430, 2, Smoke::mf_static, 241, 148},	//268 QGlobalSpace::operator==(const char*, const QStringRef&)
    {36, 128, 239, 2, Smoke::mf_static, 248, 149},	//269 QGlobalSpace::operator+(const char*, const QByteArray&)
    {36, 168, 433, 2, Smoke::mf_static, 42, 150},	//270 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {36, 172, 436, 2, Smoke::mf_static, 84, 151},	//271 QGlobalSpace::operator|(Qt::MouseButton, int)
    {36, 150, 257, 2, Smoke::mf_static, 241, 152},	//272 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {36, 168, 439, 2, Smoke::mf_static, 42, 153},	//273 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {36, 172, 442, 2, Smoke::mf_static, 67, 154},	//274 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {36, 168, 445, 2, Smoke::mf_static, 42, 155},	//275 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {36, 156, 260, 2, Smoke::mf_static, 241, 156},	//276 QGlobalSpace::operator==(QChar, QChar)
    {36, 172, 448, 2, Smoke::mf_static, 73, 157},	//277 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {36, 120, 373, 2, Smoke::mf_static, 241, 158},	//278 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {36, 124, 451, 2, Smoke::mf_static, 90, 159},	//279 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {36, 120, 454, 2, Smoke::mf_static, 241, 160},	//280 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {36, 146, 457, 2, Smoke::mf_static, 42, 161},	//281 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {36, 146, 460, 2, Smoke::mf_static, 42, 162},	//282 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {36, 172, 463, 2, Smoke::mf_static, 74, 163},	//283 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {36, 146, 466, 2, Smoke::mf_static, 42, 164},	//284 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {36, 172, 469, 2, Smoke::mf_static, 55, 165},	//285 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {36, 146, 472, 2, Smoke::mf_static, 42, 166},	//286 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {36, 120, 114, 2, Smoke::mf_static, 241, 167},	//287 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {36, 120, 260, 2, Smoke::mf_static, 241, 168},	//288 QGlobalSpace::operator!=(QChar, QChar)
    {36, 172, 475, 2, Smoke::mf_static, 76, 169},	//289 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {36, 172, 478, 2, Smoke::mf_static, 60, 170},	//290 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {36, 156, 108, 2, Smoke::mf_static, 241, 171},	//291 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {36, 168, 481, 2, Smoke::mf_static, 42, 172},	//292 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {36, 168, 484, 2, Smoke::mf_static, 42, 173},	//293 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {36, 146, 487, 2, Smoke::mf_static, 42, 174},	//294 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {36, 156, 257, 2, Smoke::mf_static, 241, 175},	//295 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {36, 120, 490, 2, Smoke::mf_static, 241, 176},	//296 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {36, 124, 493, 2, Smoke::mf_static, 281, 177},	//297 QGlobalSpace::operator*(double, const QSize&)
    {36, 164, 188, 2, Smoke::mf_static, 241, 178},	//298 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {36, 124, 496, 2, Smoke::mf_static, 271, 179},	//299 QGlobalSpace::operator*(double, const QPoint&)
    {36, 146, 499, 2, Smoke::mf_static, 42, 180},	//300 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {36, 146, 502, 2, Smoke::mf_static, 42, 181},	//301 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {36, 128, 505, 2, Smoke::mf_static, 248, 182},	//302 QGlobalSpace::operator+(const QByteArray&, char)
    {36, 140, 272, 2, Smoke::mf_static, 273, 183},	//303 QGlobalSpace::operator/(const QPointF&, double)
    {36, 164, 260, 2, Smoke::mf_static, 241, 184},	//304 QGlobalSpace::operator>=(QChar, QChar)
    {36, 150, 111, 2, Smoke::mf_static, 241, 185},	//305 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {36, 168, 508, 2, Smoke::mf_static, 42, 186},	//306 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {36, 172, 511, 2, Smoke::mf_static, 59, 187},	//307 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {36, 146, 514, 2, Smoke::mf_static, 42, 188},	//308 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {36, 160, 239, 2, Smoke::mf_static, 241, 189},	//309 QGlobalSpace::operator>(const char*, const QByteArray&)
    {36, 168, 517, 2, Smoke::mf_static, 42, 190},	//310 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {36, 146, 520, 2, Smoke::mf_static, 42, 191},	//311 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {36, 156, 490, 2, Smoke::mf_static, 241, 192},	//312 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {36, 120, 523, 2, Smoke::mf_static, 241, 193},	//313 QGlobalSpace::operator!=(bool, QBool)
    {36, 172, 526, 2, Smoke::mf_static, 56, 194},	//314 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {36, 124, 529, 2, Smoke::mf_static, 111, 195},	//315 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {36, 120, 532, 2, Smoke::mf_static, 241, 196},	//316 QGlobalSpace::operator!=(QBool, bool)
    {36, 172, 535, 2, Smoke::mf_static, 84, 197},	//317 QGlobalSpace::operator|(Qt::WindowState, int)
    {36, 136, 361, 2, Smoke::mf_static, 271, 198},	//318 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {36, 168, 538, 2, Smoke::mf_static, 42, 199},	//319 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {36, 128, 188, 2, Smoke::mf_static, 248, 200},	//320 QGlobalSpace::operator+(const QByteArray&, const char*)
    {36, 146, 541, 2, Smoke::mf_static, 42, 201},	//321 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {36, 120, 108, 2, Smoke::mf_static, 241, 202},	//322 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {36, 150, 239, 2, Smoke::mf_static, 241, 203},	//323 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {36, 172, 544, 2, Smoke::mf_static, 84, 204},	//324 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {36, 146, 547, 2, Smoke::mf_static, 42, 205},	//325 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {36, 172, 550, 2, Smoke::mf_static, 63, 206},	//326 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {36, 156, 418, 2, Smoke::mf_static, 241, 207},	//327 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {36, 146, 553, 2, Smoke::mf_static, 42, 208},	//328 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {36, 172, 556, 2, Smoke::mf_static, 77, 209},	//329 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {36, 124, 559, 2, Smoke::mf_static, 281, 210},	//330 QGlobalSpace::operator*(const QSize&, double)
    {36, 156, 562, 2, Smoke::mf_static, 241, 211},	//331 QGlobalSpace::operator==(QString::Null, const QString&)
    {36, 172, 565, 2, Smoke::mf_static, 67, 212},	//332 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {36, 168, 568, 2, Smoke::mf_static, 42, 213},	//333 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {36, 156, 188, 2, Smoke::mf_static, 241, 214},	//334 QGlobalSpace::operator==(const QByteArray&, const char*)
    {36, 168, 571, 2, Smoke::mf_static, 42, 215},	//335 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {36, 146, 574, 2, Smoke::mf_static, 42, 216},	//336 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {36, 168, 577, 2, Smoke::mf_static, 42, 217},	//337 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {36, 160, 188, 2, Smoke::mf_static, 241, 218},	//338 QGlobalSpace::operator>(const QByteArray&, const char*)
    {36, 128, 361, 2, Smoke::mf_static, 271, 219},	//339 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {36, 150, 260, 2, Smoke::mf_static, 241, 220},	//340 QGlobalSpace::operator<=(QChar, QChar)
    {36, 124, 580, 2, Smoke::mf_static, 118, 221},	//341 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {36, 120, 562, 2, Smoke::mf_static, 241, 222},	//342 QGlobalSpace::operator!=(QString::Null, const QString&)
    {36, 172, 583, 2, Smoke::mf_static, 59, 223},	//343 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {36, 120, 305, 2, Smoke::mf_static, 241, 224},	//344 QGlobalSpace::operator!=(const QString&, QString::Null)
    {36, 172, 586, 2, Smoke::mf_static, 84, 225},	//345 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {36, 124, 589, 2, Smoke::mf_static, 271, 226},	//346 QGlobalSpace::operator*(int, const QPoint&)
    {36, 172, 592, 2, Smoke::mf_static, 65, 227},	//347 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {36, 124, 595, 2, Smoke::mf_static, 113, 228},	//348 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {36, 136, 49, 1, Smoke::mf_static, 271, 229},	//349 QGlobalSpace::operator-(const QPoint&)
    {36, 168, 598, 2, Smoke::mf_static, 42, 230},	//350 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {36, 172, 601, 2, Smoke::mf_static, 54, 231},	//351 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {36, 168, 604, 2, Smoke::mf_static, 42, 232},	//352 QGlobalSpace::operator>>(QDataStream&, QString&)
    {36, 156, 111, 2, Smoke::mf_static, 241, 233},	//353 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {36, 146, 607, 2, Smoke::mf_static, 42, 234},	//354 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {36, 136, 251, 2, Smoke::mf_static, 273, 235},	//355 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {36, 168, 610, 2, Smoke::mf_static, 42, 236},	//356 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {36, 128, 254, 2, Smoke::mf_static, 138, 237},	//357 QGlobalSpace::operator+(const QTransform&, double)
    {36, 172, 613, 2, Smoke::mf_static, 73, 238},	//358 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {36, 156, 397, 2, Smoke::mf_static, 241, 239},	//359 QGlobalSpace::operator==(const QStringRef&, const char*)
    {36, 120, 430, 2, Smoke::mf_static, 241, 240},	//360 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {36, 168, 616, 2, Smoke::mf_static, 42, 241},	//361 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {36, 128, 111, 2, Smoke::mf_static, 248, 242},	//362 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {36, 168, 619, 2, Smoke::mf_static, 42, 243},	//363 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {36, 172, 622, 2, Smoke::mf_static, 84, 244},	//364 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {36, 146, 625, 2, Smoke::mf_static, 42, 245},	//365 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {36, 146, 628, 2, Smoke::mf_static, 42, 246},	//366 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {36, 140, 559, 2, Smoke::mf_static, 281, 247},	//367 QGlobalSpace::operator/(const QSize&, double)
    {36, 168, 631, 2, Smoke::mf_static, 42, 248},	//368 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {36, 168, 634, 2, Smoke::mf_static, 42, 249},	//369 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {36, 156, 523, 2, Smoke::mf_static, 241, 250},	//370 QGlobalSpace::operator==(bool, QBool)
    {36, 172, 637, 2, Smoke::mf_static, 75, 251},	//371 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {36, 172, 640, 2, Smoke::mf_static, 84, 252},	//372 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {36, 124, 643, 2, Smoke::mf_static, 107, 253},	//373 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {36, 146, 646, 2, Smoke::mf_static, 42, 254},	//374 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {36, 168, 649, 2, Smoke::mf_static, 42, 255},	//375 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {36, 120, 251, 2, Smoke::mf_static, 241, 256},	//376 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {36, 124, 652, 2, Smoke::mf_static, 271, 257},	//377 QGlobalSpace::operator*(const QPoint&, int)
    {36, 172, 655, 2, Smoke::mf_static, 66, 258},	//378 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {36, 136, 87, 2, Smoke::mf_static, 281, 259},	//379 QGlobalSpace::operator-(const QSize&, const QSize&)
    {36, 172, 658, 2, Smoke::mf_static, 64, 260},	//380 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {36, 172, 661, 2, Smoke::mf_static, 64, 261},	//381 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {36, 172, 664, 2, Smoke::mf_static, 84, 262},	//382 QGlobalSpace::operator|(Qt::Orientation, int)
    {36, 128, 251, 2, Smoke::mf_static, 273, 263},	//383 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {36, 124, 667, 2, Smoke::mf_static, 118, 264},	//384 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {36, 156, 532, 2, Smoke::mf_static, 241, 265},	//385 QGlobalSpace::operator==(QBool, bool)
    {36, 156, 84, 2, Smoke::mf_static, 241, 266},	//386 QGlobalSpace::operator==(const QRect&, const QRect&)
    {36, 124, 670, 2, Smoke::mf_static, 271, 267},	//387 QGlobalSpace::operator*(float, const QPoint&)
    {36, 168, 673, 2, Smoke::mf_static, 42, 268},	//388 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {36, 128, 676, 2, Smoke::mf_static, 286, 269},	//389 QGlobalSpace::operator+(const QString&, QChar)
    {36, 120, 135, 2, Smoke::mf_static, 241, 270},	//390 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {36, 172, 679, 2, Smoke::mf_static, 72, 271},	//391 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {36, 120, 129, 2, Smoke::mf_static, 241, 272},	//392 QGlobalSpace::operator!=(QBool, QBool)
    {36, 156, 454, 2, Smoke::mf_static, 241, 273},	//393 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {36, 136, 254, 2, Smoke::mf_static, 138, 274},	//394 QGlobalSpace::operator-(const QTransform&, double)
    {36, 133, 682, 2, Smoke::mf_static, 7, 275},	//395 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {36, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 276},	//396 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {36, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 277},	//397 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {36, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 278},	//398 QGlobalSpace::Q_STATIC_TYPE (enum)
    {36, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 279},	//399 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {36, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 280},	//400 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {36, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 281},	//401 QGlobalSpace::LicensedGui (enum)
    {36, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 282},	//402 QGlobalSpace::LicensedXml (enum)
    {36, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 283},	//403 QGlobalSpace::LicensedQt3SupportLight (enum)
    {36, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 284},	//404 QGlobalSpace::LicensedScript (enum)
    {36, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 285},	//405 QGlobalSpace::LicensedOpenVG (enum)
    {36, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 286},	//406 QGlobalSpace::LicensedDBus (enum)
    {36, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 287},	//407 QGlobalSpace::LicensedTest (enum)
    {36, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 288},	//408 QGlobalSpace::LicensedActiveQt (enum)
    {36, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 289},	//409 QGlobalSpace::LicensedScriptTools (enum)
    {36, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 290},	//410 QGlobalSpace::LicensedSvg (enum)
    {36, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 291},	//411 QGlobalSpace::LicensedDeclarative (enum)
    {36, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 292},	//412 QGlobalSpace::LicensedSql (enum)
    {36, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 293},	//413 QGlobalSpace::LicensedOpenGL (enum)
    {36, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 294},	//414 QGlobalSpace::LicensedCore (enum)
    {36, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 295},	//415 QGlobalSpace::QtDebugMsg (enum)
    {36, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 296},	//416 QGlobalSpace::QtWarningMsg (enum)
    {36, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 297},	//417 QGlobalSpace::QtCriticalMsg (enum)
    {36, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 298},	//418 QGlobalSpace::QtFatalMsg (enum)
    {36, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 299},	//419 QGlobalSpace::QtSystemMsg (enum)
    {36, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 300},	//420 QGlobalSpace::LicensedHelp (enum)
    {36, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 301},	//421 QGlobalSpace::LicensedMultimedia (enum)
    {36, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 302},	//422 QGlobalSpace::LicensedQt3Support (enum)
    {36, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 303},	//423 QGlobalSpace::LicensedXmlPatterns (enum)
    {36, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 304},	//424 QGlobalSpace::LicensedNetwork (enum)
    {53, 85, 685, 2, Smoke::mf_virtual, 241, 0},	//425 QObject::eventFilter(QObject*, QEvent*)
    {53, 62, 688, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//426 QObject::childEvent(QChildEvent*)
    {53, 66, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//427 QObject::customEvent(QEvent*)
    {53, 64, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//428 QObject::connectNotify(const char*)
    {53, 69, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//429 QObject::disconnectNotify(const char*)
    {63, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 0},	//430 QPushButton::minimumSizeHint() const
    {63, 84, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 241, 0},	//431 QPushButton::event(QEvent*)
    {63, 103, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//432 QPushButton::keyPressEvent(QKeyEvent*)
    {63, 86, 690, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//433 QPushButton::focusInEvent(QFocusEvent*)
    {63, 88, 690, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//434 QPushButton::focusOutEvent(QFocusEvent*)
    {84, 67, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 301, 0},	//435 QWidget::devType() const
    {84, 239, 692, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//436 QWidget::setVisible(bool)
    {84, 90, 32, 1, Smoke::mf_const|Smoke::mf_virtual, 301, 0},	//437 QWidget::heightForWidth(int) const
    {84, 174, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 100, 0},	//438 QWidget::paintEngine() const
    {84, 113, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//439 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {84, 272, 694, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//440 QWidget::wheelEvent(QWheelEvent*)
    {84, 83, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//441 QWidget::enterEvent(QEvent*)
    {84, 108, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//442 QWidget::leaveEvent(QEvent*)
    {84, 117, 696, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//443 QWidget::moveEvent(QMoveEvent*)
    {84, 187, 698, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//444 QWidget::resizeEvent(QResizeEvent*)
    {84, 63, 700, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//445 QWidget::closeEvent(QCloseEvent*)
    {84, 65, 702, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//446 QWidget::contextMenuEvent(QContextMenuEvent*)
    {84, 252, 704, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//447 QWidget::tabletEvent(QTabletEvent*)
    {84, 54, 706, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//448 QWidget::actionEvent(QActionEvent*)
    {84, 76, 708, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//449 QWidget::dragEnterEvent(QDragEnterEvent*)
    {84, 78, 710, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//450 QWidget::dragMoveEvent(QDragMoveEvent*)
    {84, 77, 712, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//451 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {84, 80, 714, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//452 QWidget::dropEvent(QDropEvent*)
    {84, 241, 716, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//453 QWidget::showEvent(QShowEvent*)
    {84, 91, 718, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//454 QWidget::hideEvent(QHideEvent*)
    {84, 274, 720, 1, Smoke::mf_protected|Smoke::mf_virtual, 241, 0},	//455 QWidget::x11Event(_XEvent*)
    {84, 111, 722, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 301, 0},	//456 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {84, 97, 724, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//457 QWidget::inputMethodEvent(QInputMethodEvent*)
    {84, 98, 726, 1, Smoke::mf_const|Smoke::mf_virtual, 142, 0},	//458 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {84, 87, 692, 1, Smoke::mf_protected|Smoke::mf_virtual, 241, 0},	//459 QWidget::focusNextPrevChild(bool)
    {84, 250, 728, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//460 QWidget::styleChange(QStyle&)
    {84, 82, 692, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//461 QWidget::enabledChange(bool)
    {84, 176, 730, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//462 QWidget::paletteChange(const QPalette&)
    {84, 89, 732, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//463 QWidget::fontChange(const QFont&)
    {84, 273, 692, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//464 QWidget::windowActivationChange(bool)
    {84, 106, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//465 QWidget::languageChange()
    {84, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 32},	//466 QWidget::DrawWindowBackground (enum)
    {84, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 33},	//467 QWidget::DrawChildren (enum)
    {84, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 34},	//468 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    125,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    130,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    145,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    191,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    202,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    234,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    237,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    280,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    287,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    288,  // QGlobalSpace::operator!=(QChar, QChar)
    296,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    322,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    376,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    390,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    392,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    251,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    261,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    278,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    316,  // QGlobalSpace::operator!=(QBool, bool)
    342,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    252,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    262,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    313,  // QGlobalSpace::operator!=(bool, QBool)
    344,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    360,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    0,
    133,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    134,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    155,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    170,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    172,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    174,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    193,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    209,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    219,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    231,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    279,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    315,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    341,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    348,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    373,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    384,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    122,  // QGlobalSpace::operator*(const QPoint&, double)
    137,  // QGlobalSpace::operator*(const QSizeF&, double)
    196,  // QGlobalSpace::operator*(const QPointF&, double)
    247,  // QGlobalSpace::operator*(const QTransform&, double)
    259,  // QGlobalSpace::operator*(const QPoint&, float)
    330,  // QGlobalSpace::operator*(const QSize&, double)
    377,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    123,  // QGlobalSpace::operator*(double, const QPointF&)
    126,  // QGlobalSpace::operator*(double, const QSizeF&)
    297,  // QGlobalSpace::operator*(double, const QSize&)
    299,  // QGlobalSpace::operator*(double, const QPoint&)
    346,  // QGlobalSpace::operator*(int, const QPoint&)
    387,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    131,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    158,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    339,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    362,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    383,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    150,  // QGlobalSpace::operator+(QChar, const QString&)
    302,  // QGlobalSpace::operator+(const QByteArray&, char)
    320,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    357,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    183,  // QGlobalSpace::operator+(char, const QByteArray&)
    269,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    389,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    215,  // QGlobalSpace::operator-(const QPointF&)
    349,  // QGlobalSpace::operator-(const QPoint&)
    0,
    139,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    318,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    355,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    379,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    184,  // QGlobalSpace::operator/(const QPoint&, double)
    190,  // QGlobalSpace::operator/(const QTransform&, double)
    206,  // QGlobalSpace::operator/(const QSizeF&, double)
    303,  // QGlobalSpace::operator/(const QPointF&, double)
    367,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    192,  // QGlobalSpace::operator<(QChar, QChar)
    213,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    249,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    128,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    132,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    138,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    149,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    152,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    154,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    165,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    177,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    179,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    194,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    199,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    217,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    224,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    226,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    246,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    256,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    258,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    281,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    282,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    284,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    286,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    294,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    300,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    301,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    308,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    311,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    321,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    325,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    328,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    336,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    365,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    374,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    0,
    354,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    366,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    272,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    305,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    340,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    135,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    141,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    146,  // QGlobalSpace::operator==(QBool, QBool)
    148,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    189,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    198,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    223,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    242,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    267,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    276,  // QGlobalSpace::operator==(QChar, QChar)
    291,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    295,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    312,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    353,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    386,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    393,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    241,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    331,  // QGlobalSpace::operator==(QString::Null, const QString&)
    334,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    359,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    385,  // QGlobalSpace::operator==(QBool, bool)
    0,
    185,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    212,  // QGlobalSpace::operator==(const QString&, QString::Null)
    268,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    327,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    370,  // QGlobalSpace::operator==(bool, QBool)
    0,
    210,  // QGlobalSpace::operator>(QChar, QChar)
    253,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    266,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    140,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    222,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    304,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    127,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    164,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    176,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    181,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    186,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    187,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    188,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    195,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    204,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    208,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    214,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    227,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    245,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    257,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    265,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    270,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    273,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    292,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    293,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    306,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    310,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    333,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    335,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    337,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    350,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    356,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    361,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    363,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    368,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    369,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    375,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    388,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    275,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    352,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    121,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    124,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    129,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    136,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    142,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    143,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    144,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    147,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    151,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    156,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    157,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    159,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    160,  // QGlobalSpace::operator|(Qt::DropAction, int)
    162,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    163,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    166,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    168,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    169,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    171,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    173,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    175,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    178,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    180,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    182,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    197,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    200,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    201,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    203,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    205,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    207,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    216,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    218,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    220,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    221,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    225,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    228,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    230,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    232,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    233,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    235,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    238,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    239,  // QGlobalSpace::operator|(Qt::WindowType, int)
    240,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    243,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    244,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    248,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    250,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    254,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    255,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    263,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    264,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    271,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    274,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    277,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    283,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    285,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    289,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    290,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    307,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    314,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    317,  // QGlobalSpace::operator|(Qt::WindowState, int)
    324,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    326,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    329,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    332,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    343,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    345,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    347,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    351,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    358,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    364,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    371,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    372,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    378,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    380,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    381,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    382,  // QGlobalSpace::operator|(Qt::Orientation, int)
    391,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 1, 1},	// KNS::Author::Author
    {7, 2, 2},	// KNS::Author::Author#
    {7, 81, 7},	// KNS::Author::email
    {7, 93, 11},	// KNS::Author::homepage
    {7, 102, 9},	// KNS::Author::jabber
    {7, 118, 5},	// KNS::Author::name
    {7, 155, 3},	// KNS::Author::operator=#
    {7, 199, 6},	// KNS::Author::setEmail$
    {7, 201, 10},	// KNS::Author::setHomepage$
    {7, 207, 8},	// KNS::Author::setJabber$
    {7, 212, 4},	// KNS::Author::setName$
    {7, 275, 12},	// KNS::Author::~Author
    {8, 4, 21},	// KNS::Button::Button#
    {8, 5, 20},	// KNS::Button::Button$$$#
    {8, 53, 25},	// KNS::Button::aboutToShowDialog
    {8, 68, 26},	// KNS::Button::dialogFinished
    {8, 110, 13},	// KNS::Button::metaObject
    {8, 180, 19},	// KNS::Button::qt_metacall$$?
    {8, 182, 14},	// KNS::Button::qt_metacast$
    {8, 191, 24},	// KNS::Button::setButtonText$
    {8, 218, 22},	// KNS::Button::setProviderList$
    {8, 226, 23},	// KNS::Button::setResourceType$
    {8, 240, 27},	// KNS::Button::showDialog
    {8, 246, 30},	// KNS::Button::staticMetaObject
    {8, 255, 28},	// KNS::Button::tr$
    {8, 256, 15},	// KNS::Button::tr$$
    {8, 257, 17},	// KNS::Button::tr$$$
    {8, 259, 29},	// KNS::Button::trUtf8$
    {8, 260, 16},	// KNS::Button::trUtf8$$
    {8, 261, 18},	// KNS::Button::trUtf8$$$
    {8, 276, 31},	// KNS::Button::~Button
    {9, 11, 41},	// KNS::Engine::Engine
    {9, 12, 32},	// KNS::Engine::Engine#
    {9, 70, 34},	// KNS::Engine::download
    {9, 71, 37},	// KNS::Engine::downloadDialog
    {9, 72, 38},	// KNS::Engine::downloadDialog#$
    {9, 73, 42},	// KNS::Engine::downloadDialogModal
    {9, 74, 33},	// KNS::Engine::downloadDialogModal#
    {9, 96, 40},	// KNS::Engine::init$
    {9, 266, 36},	// KNS::Engine::upload$
    {9, 268, 39},	// KNS::Engine::uploadDialog$
    {9, 270, 35},	// KNS::Engine::uploadDialogModal$
    {9, 277, 43},	// KNS::Engine::~Engine
    {10, 6, 90},	// KNS::Entry::Cache
    {10, 7, 89},	// KNS::Entry::Deleted
    {10, 8, 86},	// KNS::Entry::Downloadable
    {10, 13, 44},	// KNS::Entry::Entry
    {10, 14, 45},	// KNS::Entry::Entry#
    {10, 16, 87},	// KNS::Entry::Installed
    {10, 17, 85},	// KNS::Entry::Invalid
    {10, 40, 91},	// KNS::Entry::Online
    {10, 51, 92},	// KNS::Entry::Registry
    {10, 52, 88},	// KNS::Entry::Updateable
    {10, 57, 52},	// KNS::Entry::author
    {10, 58, 50},	// KNS::Entry::category
    {10, 61, 77},	// KNS::Entry::checksum
    {10, 75, 74},	// KNS::Entry::downloads
    {10, 94, 84},	// KNS::Entry::idNumber
    {10, 99, 69},	// KNS::Entry::installedFiles
    {10, 109, 54},	// KNS::Entry::license
    {10, 118, 48},	// KNS::Entry::name
    {10, 155, 46},	// KNS::Entry::operator=#
    {10, 177, 64},	// KNS::Entry::payload
    {10, 178, 66},	// KNS::Entry::preview
    {10, 183, 72},	// KNS::Entry::rating
    {10, 184, 60},	// KNS::Entry::release
    {10, 185, 62},	// KNS::Entry::releaseDate
    {10, 189, 51},	// KNS::Entry::setAuthor#
    {10, 193, 49},	// KNS::Entry::setCategory$
    {10, 195, 75},	// KNS::Entry::setChecksum$
    {10, 197, 73},	// KNS::Entry::setDownloads$
    {10, 203, 83},	// KNS::Entry::setIdNumber$
    {10, 205, 67},	// KNS::Entry::setInstalledFiles?
    {10, 209, 53},	// KNS::Entry::setLicense$
    {10, 211, 47},	// KNS::Entry::setName#
    {10, 214, 63},	// KNS::Entry::setPayload#
    {10, 216, 65},	// KNS::Entry::setPreview#
    {10, 220, 71},	// KNS::Entry::setRating$
    {10, 222, 59},	// KNS::Entry::setRelease$
    {10, 224, 61},	// KNS::Entry::setReleaseDate#
    {10, 228, 76},	// KNS::Entry::setSignature$
    {10, 230, 81},	// KNS::Entry::setSource$
    {10, 232, 79},	// KNS::Entry::setStatus$
    {10, 234, 55},	// KNS::Entry::setSummary#
    {10, 236, 68},	// KNS::Entry::setUnInstalledFiles?
    {10, 238, 57},	// KNS::Entry::setVersion$
    {10, 242, 78},	// KNS::Entry::signature
    {10, 244, 82},	// KNS::Entry::source
    {10, 247, 80},	// KNS::Entry::status
    {10, 251, 56},	// KNS::Entry::summary
    {10, 264, 70},	// KNS::Entry::uninstalledFiles
    {10, 271, 58},	// KNS::Entry::version
    {10, 278, 93},	// KNS::Entry::~Entry
    {11, 18, 94},	// KNS::KTranslatable::KTranslatable
    {11, 19, 97},	// KNS::KTranslatable::KTranslatable#
    {11, 20, 95},	// KNS::KTranslatable::KTranslatable$
    {11, 56, 98},	// KNS::KTranslatable::addString$$
    {11, 100, 106},	// KNS::KTranslatable::isEmpty
    {11, 101, 105},	// KNS::KTranslatable::isTranslated
    {11, 105, 103},	// KNS::KTranslatable::language
    {11, 107, 102},	// KNS::KTranslatable::languages
    {11, 155, 96},	// KNS::KTranslatable::operator=#
    {11, 186, 99},	// KNS::KTranslatable::representation
    {11, 248, 104},	// KNS::KTranslatable::stringmap
    {11, 249, 101},	// KNS::KTranslatable::strings
    {11, 263, 100},	// KNS::KTranslatable::translated$
    {11, 279, 107},	// KNS::KTranslatable::~KTranslatable
    {36, 21, 408},	// QGlobalSpace::LicensedActiveQt
    {36, 22, 414},	// QGlobalSpace::LicensedCore
    {36, 23, 406},	// QGlobalSpace::LicensedDBus
    {36, 24, 411},	// QGlobalSpace::LicensedDeclarative
    {36, 25, 401},	// QGlobalSpace::LicensedGui
    {36, 26, 420},	// QGlobalSpace::LicensedHelp
    {36, 27, 421},	// QGlobalSpace::LicensedMultimedia
    {36, 28, 424},	// QGlobalSpace::LicensedNetwork
    {36, 29, 413},	// QGlobalSpace::LicensedOpenGL
    {36, 30, 405},	// QGlobalSpace::LicensedOpenVG
    {36, 31, 422},	// QGlobalSpace::LicensedQt3Support
    {36, 32, 403},	// QGlobalSpace::LicensedQt3SupportLight
    {36, 33, 404},	// QGlobalSpace::LicensedScript
    {36, 34, 409},	// QGlobalSpace::LicensedScriptTools
    {36, 35, 412},	// QGlobalSpace::LicensedSql
    {36, 36, 410},	// QGlobalSpace::LicensedSvg
    {36, 37, 407},	// QGlobalSpace::LicensedTest
    {36, 38, 402},	// QGlobalSpace::LicensedXml
    {36, 39, 423},	// QGlobalSpace::LicensedXmlPatterns
    {36, 41, 396},	// QGlobalSpace::Q_COMPLEX_TYPE
    {36, 42, 400},	// QGlobalSpace::Q_DUMMY_TYPE
    {36, 43, 399},	// QGlobalSpace::Q_MOVABLE_TYPE
    {36, 44, 397},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {36, 45, 398},	// QGlobalSpace::Q_STATIC_TYPE
    {36, 46, 417},	// QGlobalSpace::QtCriticalMsg
    {36, 47, 415},	// QGlobalSpace::QtDebugMsg
    {36, 48, 418},	// QGlobalSpace::QtFatalMsg
    {36, 49, 419},	// QGlobalSpace::QtSystemMsg
    {36, 50, 416},	// QGlobalSpace::QtWarningMsg
    {36, 121, -1},	// QGlobalSpace::operator!=##
    {36, 122, -17},	// QGlobalSpace::operator!=#$
    {36, 123, -23},	// QGlobalSpace::operator!=$#
    {36, 125, -29},	// QGlobalSpace::operator*##
    {36, 126, -46},	// QGlobalSpace::operator*#$
    {36, 127, -54},	// QGlobalSpace::operator*$#
    {36, 129, -61},	// QGlobalSpace::operator+##
    {36, 130, -67},	// QGlobalSpace::operator+#$
    {36, 131, -72},	// QGlobalSpace::operator+$#
    {36, 132, 260},	// QGlobalSpace::operator+$$
    {36, 134, 153},	// QGlobalSpace::operator++$
    {36, 135, 395},	// QGlobalSpace::operator++$$
    {36, 137, -76},	// QGlobalSpace::operator-#
    {36, 138, -79},	// QGlobalSpace::operator-##
    {36, 139, 394},	// QGlobalSpace::operator-#$
    {36, 141, -84},	// QGlobalSpace::operator/#$
    {36, 143, -90},	// QGlobalSpace::operator<##
    {36, 144, 167},	// QGlobalSpace::operator<#$
    {36, 145, 229},	// QGlobalSpace::operator<$#
    {36, 147, -94},	// QGlobalSpace::operator<<##
    {36, 148, -127},	// QGlobalSpace::operator<<#$
    {36, 149, 161},	// QGlobalSpace::operator<<#?
    {36, 151, -130},	// QGlobalSpace::operator<=##
    {36, 152, 236},	// QGlobalSpace::operator<=#$
    {36, 153, 323},	// QGlobalSpace::operator<=$#
    {36, 157, -134},	// QGlobalSpace::operator==##
    {36, 158, -151},	// QGlobalSpace::operator==#$
    {36, 159, -157},	// QGlobalSpace::operator==$#
    {36, 161, -163},	// QGlobalSpace::operator>##
    {36, 162, 338},	// QGlobalSpace::operator>#$
    {36, 163, 309},	// QGlobalSpace::operator>$#
    {36, 165, -167},	// QGlobalSpace::operator>=##
    {36, 166, 298},	// QGlobalSpace::operator>=#$
    {36, 167, 211},	// QGlobalSpace::operator>=$#
    {36, 169, -171},	// QGlobalSpace::operator>>##
    {36, 170, -204},	// QGlobalSpace::operator>>#$
    {36, 171, 319},	// QGlobalSpace::operator>>#?
    {36, 173, -207},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *knewstuff2_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_knewstuff2_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    knewstuff2_Smoke = new Smoke(
        "knewstuff2",
        __smokeknewstuff2::classes, 84,
        __smokeknewstuff2::methods, 469,
        __smokeknewstuff2::methodMaps, 175,
        __smokeknewstuff2::methodNames, 279,
        __smokeknewstuff2::types, 306,
        __smokeknewstuff2::inheritanceList,
        __smokeknewstuff2::argumentList,
        __smokeknewstuff2::ambiguousMethodList,
        __smokeknewstuff2::cast );
    initialized = true;
}

void delete_knewstuff2_Smoke() { delete knewstuff2_Smoke; }

}
