#include <knewstuff3_includes.h>

#include <smoke.h>
#include <knewstuff3_smoke.h>

namespace __smokeknewstuff3 {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComponentData
      switch(to) {
        case 4: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 5:   //KDialog
      switch(to) {
        case 29: return (void*)(QDialog*)(KDialog*)xptr;
        case 86: return (void*)(QWidget*)(KDialog*)xptr;
        case 55: return (void*)(QObject*)(KDialog*)xptr;
        case 5: return (void*)(KDialog*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)(KDialog*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 6:   //KGuiItem
      switch(to) {
        case 6: return (void*)(KGuiItem*)xptr;
        default: return xptr;
      }
    case 7:   //KLocale
      switch(to) {
        case 7: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 8:   //KNS3::Button
      switch(to) {
        case 12: return (void*)(KPushButton*)(KNS3::Button*)xptr;
        case 65: return (void*)(QPushButton*)(KNS3::Button*)xptr;
        case 15: return (void*)(QAbstractButton*)(KNS3::Button*)xptr;
        case 86: return (void*)(QWidget*)(KNS3::Button*)xptr;
        case 55: return (void*)(QObject*)(KNS3::Button*)xptr;
        case 8: return (void*)(KNS3::Button*)xptr;
        default: return xptr;
      }
    case 9:   //KNS3::DownloadDialog
      switch(to) {
        case 5: return (void*)(KDialog*)(KNS3::DownloadDialog*)xptr;
        case 29: return (void*)(QDialog*)(KNS3::DownloadDialog*)xptr;
        case 86: return (void*)(QWidget*)(KNS3::DownloadDialog*)xptr;
        case 55: return (void*)(QObject*)(KNS3::DownloadDialog*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)xptr;
        default: return xptr;
      }
    case 10:   //KNS3::Entry
      switch(to) {
        case 10: return (void*)(KNS3::Entry*)xptr;
        default: return xptr;
      }
    case 11:   //KNS3::UploadDialog
      switch(to) {
        case 5: return (void*)(KDialog*)(KNS3::UploadDialog*)xptr;
        case 29: return (void*)(QDialog*)(KNS3::UploadDialog*)xptr;
        case 86: return (void*)(QWidget*)(KNS3::UploadDialog*)xptr;
        case 55: return (void*)(QObject*)(KNS3::UploadDialog*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)xptr;
        default: return xptr;
      }
    case 12:   //KPushButton
      switch(to) {
        case 65: return (void*)(QPushButton*)(KPushButton*)xptr;
        case 15: return (void*)(QAbstractButton*)(KPushButton*)xptr;
        case 86: return (void*)(QWidget*)(KPushButton*)xptr;
        case 55: return (void*)(QObject*)(KPushButton*)xptr;
        case 12: return (void*)(KPushButton*)xptr;
        case 8: return (void*)(KNS3::Button*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 13:   //KStandardDirs
      switch(to) {
        case 13: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 14:   //KUrl
      switch(to) {
        case 82: return (void*)(QUrl*)(KUrl*)xptr;
        case 14: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 15:   //QAbstractButton
      switch(to) {
        case 86: return (void*)(QWidget*)(QAbstractButton*)xptr;
        case 55: return (void*)(QObject*)(QAbstractButton*)xptr;
        case 15: return (void*)(QAbstractButton*)xptr;
        case 8: return (void*)(KNS3::Button*)(QAbstractButton*)xptr;
        default: return xptr;
      }
    case 16:   //QActionEvent
      switch(to) {
        case 16: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QBool
      switch(to) {
        case 17: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 18:   //QBrush
      switch(to) {
        case 18: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 19:   //QByteArray
      switch(to) {
        case 19: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 20:   //QChar
      switch(to) {
        case 20: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 21:   //QChildEvent
      switch(to) {
        case 21: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QCloseEvent
      switch(to) {
        case 22: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QColor
      switch(to) {
        case 23: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 24:   //QContextMenuEvent
      switch(to) {
        case 24: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QCursor
      switch(to) {
        case 25: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 26:   //QDataStream
      switch(to) {
        case 26: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 27:   //QDate
      switch(to) {
        case 27: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 28:   //QDateTime
      switch(to) {
        case 28: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 29:   //QDialog
      switch(to) {
        case 86: return (void*)(QWidget*)(QDialog*)xptr;
        case 55: return (void*)(QObject*)(QDialog*)xptr;
        case 29: return (void*)(QDialog*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)(QDialog*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 30:   //QDrag
      switch(to) {
        case 30: return (void*)(QDrag*)xptr;
        default: return xptr;
      }
    case 31:   //QDragEnterEvent
      switch(to) {
        case 31: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QDragLeaveEvent
      switch(to) {
        case 32: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QDragMoveEvent
      switch(to) {
        case 33: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QDropEvent
      switch(to) {
        case 34: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QEvent
      switch(to) {
        case 35: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QFocusEvent
      switch(to) {
        case 36: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QFont
      switch(to) {
        case 37: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 39:   //QHashDummyValue
      switch(to) {
        case 39: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 40:   //QHideEvent
      switch(to) {
        case 40: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QIcon
      switch(to) {
        case 41: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 42:   //QImage
      switch(to) {
        case 42: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 43:   //QIncompatibleFlag
      switch(to) {
        case 43: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 44:   //QInputMethodEvent
      switch(to) {
        case 44: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QKeyEvent
      switch(to) {
        case 45: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QKeySequence
      switch(to) {
        case 46: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 47:   //QLatin1String
      switch(to) {
        case 47: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 48:   //QLine
      switch(to) {
        case 48: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 49:   //QLineF
      switch(to) {
        case 49: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 50:   //QMargins
      switch(to) {
        case 50: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 51:   //QMatrix
      switch(to) {
        case 51: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 52:   //QMetaObject
      switch(to) {
        case 52: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 53:   //QMouseEvent
      switch(to) {
        case 53: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QMoveEvent
      switch(to) {
        case 54: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QObject
      switch(to) {
        case 55: return (void*)(QObject*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)(QObject*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)(QObject*)xptr;
        case 8: return (void*)(KNS3::Button*)(QObject*)xptr;
        default: return xptr;
      }
    case 56:   //QPaintEngine
      switch(to) {
        case 56: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 57:   //QPaintEvent
      switch(to) {
        case 57: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QPainterPath
      switch(to) {
        case 58: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 59:   //QPalette
      switch(to) {
        case 59: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 60:   //QPixmap
      switch(to) {
        case 60: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 61:   //QPoint
      switch(to) {
        case 61: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 62:   //QPointF
      switch(to) {
        case 62: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 63:   //QPolygon
      switch(to) {
        case 63: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 64:   //QPolygonF
      switch(to) {
        case 64: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 65:   //QPushButton
      switch(to) {
        case 15: return (void*)(QAbstractButton*)(QPushButton*)xptr;
        case 86: return (void*)(QWidget*)(QPushButton*)xptr;
        case 55: return (void*)(QObject*)(QPushButton*)xptr;
        case 65: return (void*)(QPushButton*)xptr;
        case 8: return (void*)(KNS3::Button*)(QPushButton*)xptr;
        default: return xptr;
      }
    case 66:   //QRect
      switch(to) {
        case 66: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 67:   //QRectF
      switch(to) {
        case 67: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 68:   //QRegExp
      switch(to) {
        case 68: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 69:   //QRegion
      switch(to) {
        case 69: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 70:   //QResizeEvent
      switch(to) {
        case 70: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QShowEvent
      switch(to) {
        case 71: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QSize
      switch(to) {
        case 72: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 73:   //QSizeF
      switch(to) {
        case 73: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 74:   //QSizePolicy
      switch(to) {
        case 74: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 75:   //QString::Null
      switch(to) {
        case 75: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 76:   //QStringRef
      switch(to) {
        case 76: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 77:   //QStyle
      switch(to) {
        case 77: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 78:   //QTabletEvent
      switch(to) {
        case 78: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QTime
      switch(to) {
        case 79: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 80:   //QTimerEvent
      switch(to) {
        case 80: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 81:   //QTransform
      switch(to) {
        case 81: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 82:   //QUrl
      switch(to) {
        case 82: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 83:   //QVariant
      switch(to) {
        case 83: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 84:   //QVariantComparisonHelper
      switch(to) {
        case 84: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 85:   //QWheelEvent
      switch(to) {
        case 85: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 86:   //QWidget
      switch(to) {
        case 55: return (void*)(QObject*)(QWidget*)xptr;
        case 86: return (void*)(QWidget*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)(QWidget*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)(QWidget*)xptr;
        case 8: return (void*)(KNS3::Button*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    12, 0,	// 1: KPushButton
    5, 0,	// 3: KDialog
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KNS3__Entry(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KNS3__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS3__DownloadDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS3__Entry(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS3__UploadDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//4
    { "KDialog", true, 0, 0, 0, 0, 0 },	//5
    { "KGuiItem", true, 0, 0, 0, 0, 0 },	//6
    { "KLocale", true, 0, 0, 0, 0, 0 },	//7
    { "KNS3::Button", false, 1, xcall_KNS3__Button, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS3::Button) },	//8
    { "KNS3::DownloadDialog", false, 3, xcall_KNS3__DownloadDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS3::DownloadDialog) },	//9
    { "KNS3::Entry", false, 0, xcall_KNS3__Entry, xenum_KNS3__Entry, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KNS3::Entry) },	//10
    { "KNS3::UploadDialog", false, 3, xcall_KNS3__UploadDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS3::UploadDialog) },	//11
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//12
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//13
    { "KUrl", true, 0, 0, 0, 0, 0 },	//14
    { "QAbstractButton", true, 0, 0, 0, 0, 0 },	//15
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//16
    { "QBool", true, 0, 0, 0, 0, 0 },	//17
    { "QBrush", true, 0, 0, 0, 0, 0 },	//18
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//19
    { "QChar", true, 0, 0, 0, 0, 0 },	//20
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QColor", true, 0, 0, 0, 0, 0 },	//23
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QCursor", true, 0, 0, 0, 0, 0 },	//25
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//26
    { "QDate", true, 0, 0, 0, 0, 0 },	//27
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//28
    { "QDialog", true, 0, 0, 0, 0, 0 },	//29
    { "QDrag", true, 0, 0, 0, 0, 0 },	//30
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QFont", true, 0, 0, 0, 0, 0 },	//37
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//38
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//39
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QIcon", true, 0, 0, 0, 0, 0 },	//41
    { "QImage", true, 0, 0, 0, 0, 0 },	//42
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//43
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//46
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//47
    { "QLine", true, 0, 0, 0, 0, 0 },	//48
    { "QLineF", true, 0, 0, 0, 0, 0 },	//49
    { "QMargins", true, 0, 0, 0, 0, 0 },	//50
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//51
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//52
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QObject", true, 0, 0, 0, 0, 0 },	//55
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//56
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//58
    { "QPalette", true, 0, 0, 0, 0, 0 },	//59
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//60
    { "QPoint", true, 0, 0, 0, 0, 0 },	//61
    { "QPointF", true, 0, 0, 0, 0, 0 },	//62
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//63
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//64
    { "QPushButton", true, 0, 0, 0, 0, 0 },	//65
    { "QRect", true, 0, 0, 0, 0, 0 },	//66
    { "QRectF", true, 0, 0, 0, 0, 0 },	//67
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//68
    { "QRegion", true, 0, 0, 0, 0, 0 },	//69
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QSize", true, 0, 0, 0, 0, 0 },	//72
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//73
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//74
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//75
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//76
    { "QStyle", true, 0, 0, 0, 0, 0 },	//77
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QTime", true, 0, 0, 0, 0, 0 },	//79
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//80
    { "QTransform", true, 0, 0, 0, 0, 0 },	//81
    { "QUrl", true, 0, 0, 0, 0, 0 },	//82
    { "QVariant", true, 0, 0, 0, 0, 0 },	//83
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//84
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//85
    { "QWidget", true, 0, 0, 0, 0, 0 },	//86
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComponentData", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "KConfigBase::WriteConfigFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KDialog::ButtonCode", 5, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KDialog::CaptionFlag", 5, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "KGuiItem", 6, Smoke::t_class|Smoke::tf_stack },	//9
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//11
    { "KLocale*", 7, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KNS3::Button*", 8, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KNS3::DownloadDialog*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KNS3::Entry&", 10, Smoke::t_class|Smoke::tf_ref },	//15
    { "KNS3::Entry*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KNS3::Entry::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "KNS3::Entry::Status", 10, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KNS3::UploadDialog*", 11, Smoke::t_class|Smoke::tf_ptr },	//19
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "KStandardDirs*", 13, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KStandardGuiItem::BidiMode", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "KStandardGuiItem::StandardItem", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KUrl::CleanPathOption", 14, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KUrl::DirectoryOption", 14, Smoke::t_enum|Smoke::tf_stack },	//25
    { "KUrl::EncodedPathAndQueryOption", 14, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KUrl::EqualsOption", 14, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KUrl::QueryItemsOption", 14, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QActionEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QBool", 17, Smoke::t_class|Smoke::tf_stack },	//30
    { "QBrush&", 18, Smoke::t_class|Smoke::tf_ref },	//31
    { "QByteArray&", 19, Smoke::t_class|Smoke::tf_ref },	//32
    { "QChar", 20, Smoke::t_class|Smoke::tf_stack },	//33
    { "QChar&", 20, Smoke::t_class|Smoke::tf_ref },	//34
    { "QChildEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QCloseEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QColor&", 23, Smoke::t_class|Smoke::tf_ref },	//37
    { "QContextMenuEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QCursor&", 25, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDataStream&", 26, Smoke::t_class|Smoke::tf_ref },	//40
    { "QDate&", 27, Smoke::t_class|Smoke::tf_ref },	//41
    { "QDateTime&", 28, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDrag*", 30, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDragEnterEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QDragLeaveEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QDragMoveEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDropEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<KDialog::ButtonCode>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<KDialog::CaptionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFocusEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QFont&", 37, Smoke::t_class|Smoke::tf_ref },	//79
    { "QHideEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QIcon&", 41, Smoke::t_class|Smoke::tf_ref },	//82
    { "QImage&", 42, Smoke::t_class|Smoke::tf_ref },	//83
    { "QIncompatibleFlag", 43, Smoke::t_class|Smoke::tf_stack },	//84
    { "QInputMethodEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QKeyEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QKeySequence&", 46, Smoke::t_class|Smoke::tf_ref },	//87
    { "QLine", 48, Smoke::t_class|Smoke::tf_stack },	//88
    { "QLine&", 48, Smoke::t_class|Smoke::tf_ref },	//89
    { "QLineF", 49, Smoke::t_class|Smoke::tf_stack },	//90
    { "QLineF&", 49, Smoke::t_class|Smoke::tf_ref },	//91
    { "QList<KNS3::Entry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QMatrix&", 51, Smoke::t_class|Smoke::tf_ref },	//93
    { "QMetaObject::Call", 52, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QMouseEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QMoveEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QObject*", 55, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QPaintEngine*", 56, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QPaintEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QPainterPath", 58, Smoke::t_class|Smoke::tf_stack },	//101
    { "QPainterPath&", 58, Smoke::t_class|Smoke::tf_ref },	//102
    { "QPair<KGuiItem,KGuiItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QPalette&", 59, Smoke::t_class|Smoke::tf_ref },	//104
    { "QPixmap&", 60, Smoke::t_class|Smoke::tf_ref },	//105
    { "QPoint", 61, Smoke::t_class|Smoke::tf_stack },	//106
    { "QPoint&", 61, Smoke::t_class|Smoke::tf_ref },	//107
    { "QPointF", 62, Smoke::t_class|Smoke::tf_stack },	//108
    { "QPointF&", 62, Smoke::t_class|Smoke::tf_ref },	//109
    { "QPolygon", 63, Smoke::t_class|Smoke::tf_stack },	//110
    { "QPolygon&", 63, Smoke::t_class|Smoke::tf_ref },	//111
    { "QPolygonF", 64, Smoke::t_class|Smoke::tf_stack },	//112
    { "QPolygonF&", 64, Smoke::t_class|Smoke::tf_ref },	//113
    { "QRect&", 66, Smoke::t_class|Smoke::tf_ref },	//114
    { "QRectF&", 67, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRegExp&", 68, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRegion", 69, Smoke::t_class|Smoke::tf_stack },	//117
    { "QRegion&", 69, Smoke::t_class|Smoke::tf_ref },	//118
    { "QResizeEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QShowEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QSize", 72, Smoke::t_class|Smoke::tf_stack },	//121
    { "QSize&", 72, Smoke::t_class|Smoke::tf_ref },	//122
    { "QSizeF&", 73, Smoke::t_class|Smoke::tf_ref },	//123
    { "QSizePolicy&", 74, Smoke::t_class|Smoke::tf_ref },	//124
    { "QSizePolicy::ControlType", 74, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//126
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//127
    { "QString::Null", 75, Smoke::t_class|Smoke::tf_stack },	//128
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//130
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//131
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//132
    { "QStyle&", 77, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTabletEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QTime&", 79, Smoke::t_class|Smoke::tf_ref },	//135
    { "QTimerEvent*", 80, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QTransform", 81, Smoke::t_class|Smoke::tf_stack },	//137
    { "QTransform&", 81, Smoke::t_class|Smoke::tf_ref },	//138
    { "QUrl&", 82, Smoke::t_class|Smoke::tf_ref },	//139
    { "QUrl::FormattingOption", 82, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QVariant", 83, Smoke::t_class|Smoke::tf_stack },	//141
    { "QVariant&", 83, Smoke::t_class|Smoke::tf_ref },	//142
    { "QVariant::Type&", 83, Smoke::t_enum|Smoke::tf_ref },	//143
    { "QWheelEvent*", 85, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QWidget*", 86, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QWidget::RenderFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtMsgType", 38, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForActiveQtModule", 38, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForCoreModule", 38, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForDBusModule", 38, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForDeclarativeModule", 38, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForGuiModule", 38, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForHelpModule", 38, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForMultimediaModule", 38, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForNetworkModule", 38, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForOpenGLModule", 38, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForOpenVGModule", 38, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForQt3SupportLightModule", 38, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForQt3SupportModule", 38, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForScriptModule", 38, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForScriptToolsModule", 38, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForSqlModule", 38, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForSvgModule", 38, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForTestModule", 38, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForXmlModule", 38, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForXmlPatternsModule", 38, Smoke::t_enum|Smoke::tf_stack },	//238
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//239
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//240
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//241
    { "const KComponentData&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const KNS3::Entry&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const KNS3::Entry::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//244
    { "const KUrl&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QBrush&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QByteArray", 19, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//247
    { "const QByteArray&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QChar&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QColor&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QCursor&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QDate&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QDateTime&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QFont&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QHashDummyValue&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QIcon&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QImage&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QKeySequence&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QLatin1String&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QLine&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QLineF&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QMargins&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QMatrix&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QMetaObject&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QMetaObject*", 52, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//265
    { "const QObject*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//266
    { "const QPainterPath&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QPalette&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QPixmap&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QPoint", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//270
    { "const QPoint&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QPointF", 62, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//272
    { "const QPointF&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QPolygon&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QPolygonF&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QRect&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QRectF&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QRegExp&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QRegion&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QSize", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//280
    { "const QSize&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QSizeF", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//282
    { "const QSizeF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QSizePolicy&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//285
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//288
    { "const QStringRef&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QTime&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QTransform&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QUrl&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QVariant&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QVariant::Type", 83, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//294
    { "const QVariantComparisonHelper&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//296
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//297
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//298
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//299
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//300
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//301
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//302
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//303
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//304
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//305
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    286, 0,	//1  const QString&
    286, 240, 0,	//3  const QString&, bool
    80, 0,	//6  QHideEvent*
    36, 0,	//8  QCloseEvent*
    86, 0,	//10  QKeyEvent*
    300, 0,	//12  int
    296, 0,	//14  const char*
    296, 296, 0,	//16  const char*, const char*
    296, 296, 300, 0,	//19  const char*, const char*, int
    94, 300, 304, 0,	//23  QMetaObject::Call, int, void**
    286, 286, 145, 0,	//27  const QString&, const QString&, QWidget*
    145, 0,	//31  QWidget*
    244, 0,	//33  const KNS3::Entry::List&
    286, 145, 0,	//35  const QString&, QWidget*
    243, 0,	//38  const KNS3::Entry&
    245, 0,	//40  const KUrl&
    302, 245, 0,	//42  unsigned int, const KUrl&
    240, 0,	//45  bool
    298, 0,	//47  double
    95, 0,	//49  QMouseEvent*
    100, 0,	//51  QPaintEvent*
    271, 0,	//53  const QPoint&
    48, 0,	//55  QEvent*
    136, 0,	//57  QTimerEvent*
    120, 0,	//59  QShowEvent*
    119, 0,	//61  QResizeEvent*
    38, 0,	//63  QContextMenuEvent*
    97, 48, 0,	//65  QObject*, QEvent*
    167, 300, 0,	//68  Qt::DockWidgetArea, int
    271, 298, 0,	//71  const QPoint&, double
    298, 273, 0,	//74  double, const QPointF&
    191, 71, 0,	//77  Qt::MouseButton, QFlags<Qt::MouseButton>
    262, 262, 0,	//80  const QMargins&, const QMargins&
    298, 283, 0,	//83  double, const QSizeF&
    40, 83, 0,	//86  QDataStream&, QImage&
    40, 284, 0,	//89  QDataStream&, const QSizePolicy&
    180, 300, 0,	//92  Qt::InputMethodHint, int
    276, 276, 0,	//95  const QRect&, const QRect&
    281, 281, 0,	//98  const QSize&, const QSize&
    40, 291, 0,	//101  QDataStream&, const QTransform&
    273, 263, 0,	//104  const QPointF&, const QMatrix&
    260, 291, 0,	//107  const QLine&, const QTransform&
    217, 76, 0,	//110  Qt::WindowState, QFlags<Qt::WindowState>
    283, 298, 0,	//113  const QSizeF&, double
    40, 260, 0,	//116  QDataStream&, const QLine&
    283, 283, 0,	//119  const QSizeF&, const QSizeF&
    248, 248, 0,	//122  const QByteArray&, const QByteArray&
    259, 289, 0,	//125  const QLatin1String&, const QStringRef&
    191, 191, 0,	//128  Qt::MouseButton, Qt::MouseButton
    24, 52, 0,	//131  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    24, 24, 0,	//134  KUrl::CleanPathOption, KUrl::CleanPathOption
    293, 295, 0,	//137  const QVariant&, const QVariantComparisonHelper&
    30, 30, 0,	//140  QBool, QBool
    5, 300, 0,	//143  KConfigBase::WriteConfigFlag, int
    147, 62, 0,	//146  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    128, 128, 0,	//149  QString::Null, QString::Null
    40, 277, 0,	//152  QDataStream&, const QRectF&
    33, 286, 0,	//155  QChar, const QString&
    81, 57, 0,	//158  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    6, 6, 0,	//161  KDialog::ButtonCode, KDialog::ButtonCode
    40, 268, 0,	//164  QDataStream&, const QPalette&
    11, 0,	//167  KIconLoader::Group&
    40, 248, 0,	//169  QDataStream&, const QByteArray&
    275, 291, 0,	//172  const QPolygonF&, const QTransform&
    208, 208, 0,	//175  Qt::ToolBarArea, Qt::ToolBarArea
    28, 300, 0,	//178  KUrl::QueryItemsOption, int
    146, 300, 0,	//181  QWidget::RenderFlag, int
    169, 300, 0,	//184  Qt::DropAction, int
    40, 287, 0,	//187  QDataStream&, const QStringList&
    26, 26, 0,	//190  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    147, 147, 0,	//193  Qt::AlignmentFlag, Qt::AlignmentFlag
    40, 37, 0,	//196  QDataStream&, QColor&
    40, 278, 0,	//199  QDataStream&, const QRegExp&
    140, 300, 0,	//202  QUrl::FormattingOption, int
    248, 296, 0,	//205  const QByteArray&, const char*
    25, 25, 0,	//208  KUrl::DirectoryOption, KUrl::DirectoryOption
    167, 63, 0,	//211  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    7, 7, 0,	//214  KDialog::CaptionFlag, KDialog::CaptionFlag
    260, 263, 0,	//217  const QLine&, const QMatrix&
    25, 53, 0,	//220  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    261, 263, 0,	//223  const QLineF&, const QMatrix&
    193, 193, 0,	//226  Qt::Orientation, Qt::Orientation
    267, 263, 0,	//229  const QPainterPath&, const QMatrix&
    208, 300, 0,	//232  Qt::ToolBarArea, int
    40, 109, 0,	//235  QDataStream&, QPointF&
    189, 300, 0,	//238  Qt::MatchFlag, int
    40, 258, 0,	//241  QDataStream&, const QKeySequence&
    40, 251, 0,	//244  QDataStream&, const QCursor&
    174, 174, 0,	//247  Qt::GestureFlag, Qt::GestureFlag
    40, 41, 0,	//250  QDataStream&, QDate&
    81, 81, 0,	//253  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    241, 248, 0,	//256  char, const QByteArray&
    296, 248, 0,	//259  const char*, const QByteArray&
    40, 32, 0,	//262  QDataStream&, QByteArray&
    40, 142, 0,	//265  QDataStream&, QVariant&
    6, 300, 0,	//268  KDialog::ButtonCode, int
    40, 116, 0,	//271  QDataStream&, QRegExp&
    273, 273, 0,	//274  const QPointF&, const QPointF&
    291, 298, 0,	//277  const QTransform&, double
    289, 289, 0,	//280  const QStringRef&, const QStringRef&
    33, 33, 0,	//283  QChar, QChar
    267, 291, 0,	//286  const QPainterPath&, const QTransform&
    40, 246, 0,	//289  QDataStream&, const QBrush&
    6, 50, 0,	//292  KDialog::ButtonCode, QFlags<KDialog::ButtonCode>
    40, 118, 0,	//295  QDataStream&, QRegion&
    273, 298, 0,	//298  const QPointF&, double
    26, 300, 0,	//301  KUrl::EncodedPathAndQueryOption, int
    40, 252, 0,	//304  QDataStream&, const QDate&
    189, 70, 0,	//307  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    174, 300, 0,	//310  Qt::GestureFlag, int
    125, 125, 0,	//313  QSizePolicy::ControlType, QSizePolicy::ControlType
    40, 39, 0,	//316  QDataStream&, QCursor&
    186, 69, 0,	//319  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    189, 189, 0,	//322  Qt::MatchFlag, Qt::MatchFlag
    40, 138, 0,	//325  QDataStream&, QTransform&
    274, 263, 0,	//328  const QPolygon&, const QMatrix&
    286, 128, 0,	//331  const QString&, QString::Null
    40, 123, 0,	//334  QDataStream&, QSizeF&
    273, 0,	//337  const QPointF&
    183, 183, 0,	//339  Qt::ItemFlag, Qt::ItemFlag
    40, 269, 0,	//342  QDataStream&, const QPixmap&
    218, 77, 0,	//345  Qt::WindowType, QFlags<Qt::WindowType>
    273, 291, 0,	//348  const QPointF&, const QTransform&
    183, 68, 0,	//351  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    211, 75, 0,	//354  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    40, 292, 0,	//357  QDataStream&, const QUrl&
    125, 58, 0,	//360  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    40, 293, 0,	//363  QDataStream&, const QVariant&
    40, 89, 0,	//366  QDataStream&, QLine&
    186, 186, 0,	//369  Qt::KeyboardModifier, Qt::KeyboardModifier
    147, 300, 0,	//372  Qt::AlignmentFlag, int
    271, 263, 0,	//375  const QPoint&, const QMatrix&
    186, 300, 0,	//378  Qt::KeyboardModifier, int
    183, 300, 0,	//381  Qt::ItemFlag, int
    178, 66, 0,	//384  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    271, 271, 0,	//387  const QPoint&, const QPoint&
    129, 300, 0,	//390  QString::SectionFlag, int
    218, 300, 0,	//393  Qt::WindowType, int
    146, 146, 0,	//396  QWidget::RenderFlag, QWidget::RenderFlag
    289, 286, 0,	//399  const QStringRef&, const QString&
    255, 255, 0,	//402  const QHashDummyValue&, const QHashDummyValue&
    27, 27, 0,	//405  KUrl::EqualsOption, KUrl::EqualsOption
    140, 140, 0,	//408  QUrl::FormattingOption, QUrl::FormattingOption
    40, 82, 0,	//411  QDataStream&, QIcon&
    40, 274, 0,	//414  QDataStream&, const QPolygon&
    211, 300, 0,	//417  Qt::TouchPointState, int
    7, 51, 0,	//420  KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>
    146, 61, 0,	//423  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    289, 296, 0,	//426  const QStringRef&, const char*
    24, 300, 0,	//429  KUrl::CleanPathOption, int
    28, 28, 0,	//432  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    5, 5, 0,	//435  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    40, 261, 0,	//438  QDataStream&, const QLineF&
    40, 31, 0,	//441  QDataStream&, QBrush&
    40, 273, 0,	//444  QDataStream&, const QPointF&
    271, 299, 0,	//447  const QPoint&, float
    286, 286, 0,	//450  const QString&, const QString&
    286, 289, 0,	//453  const QString&, const QStringRef&
    27, 300, 0,	//456  KUrl::EqualsOption, int
    7, 300, 0,	//459  KDialog::CaptionFlag, int
    125, 300, 0,	//462  QSizePolicy::ControlType, int
    40, 124, 0,	//465  QDataStream&, QSizePolicy&
    296, 289, 0,	//468  const char*, const QStringRef&
    191, 300, 0,	//471  Qt::MouseButton, int
    40, 93, 0,	//474  QDataStream&, QMatrix&
    40, 122, 0,	//477  QDataStream&, QSize&
    180, 180, 0,	//480  Qt::InputMethodHint, Qt::InputMethodHint
    40, 143, 0,	//483  QDataStream&, QVariant::Type&
    205, 73, 0,	//486  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    261, 291, 0,	//489  const QLineF&, const QTransform&
    289, 259, 0,	//492  const QStringRef&, const QLatin1String&
    40, 275, 0,	//495  QDataStream&, const QPolygonF&
    40, 283, 0,	//498  QDataStream&, const QSizeF&
    208, 74, 0,	//501  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    40, 254, 0,	//504  QDataStream&, const QFont&
    27, 55, 0,	//507  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    40, 263, 0,	//510  QDataStream&, const QMatrix&
    217, 217, 0,	//513  Qt::WindowState, Qt::WindowState
    140, 60, 0,	//516  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    40, 113, 0,	//519  QDataStream&, QPolygonF&
    40, 267, 0,	//522  QDataStream&, const QPainterPath&
    40, 104, 0,	//525  QDataStream&, QPalette&
    277, 277, 0,	//528  const QRectF&, const QRectF&
    298, 281, 0,	//531  double, const QSize&
    298, 271, 0,	//534  double, const QPoint&
    40, 271, 0,	//537  QDataStream&, const QPoint&
    40, 257, 0,	//540  QDataStream&, const QImage&
    248, 241, 0,	//543  const QByteArray&, char
    40, 79, 0,	//546  QDataStream&, QFont&
    129, 59, 0,	//549  QString::SectionFlag, QFlags<QString::SectionFlag>
    40, 281, 0,	//552  QDataStream&, const QSize&
    40, 115, 0,	//555  QDataStream&, QRectF&
    40, 249, 0,	//558  QDataStream&, const QChar&
    240, 30, 0,	//561  bool, QBool
    28, 56, 0,	//564  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    274, 291, 0,	//567  const QPolygon&, const QTransform&
    30, 240, 0,	//570  QBool, bool
    217, 300, 0,	//573  Qt::WindowState, int
    40, 131, 0,	//576  QDataStream&, QStringList&
    40, 276, 0,	//579  QDataStream&, const QRect&
    25, 300, 0,	//582  KUrl::DirectoryOption, int
    40, 279, 0,	//585  QDataStream&, const QRegion&
    167, 167, 0,	//588  Qt::DockWidgetArea, Qt::DockWidgetArea
    40, 250, 0,	//591  QDataStream&, const QColor&
    218, 218, 0,	//594  Qt::WindowType, Qt::WindowType
    281, 298, 0,	//597  const QSize&, double
    128, 286, 0,	//600  QString::Null, const QString&
    180, 67, 0,	//603  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    40, 107, 0,	//606  QDataStream&, QPoint&
    40, 42, 0,	//609  QDataStream&, QDateTime&
    40, 290, 0,	//612  QDataStream&, const QTime&
    40, 87, 0,	//615  QDataStream&, QKeySequence&
    279, 291, 0,	//618  const QRegion&, const QTransform&
    129, 129, 0,	//621  QString::SectionFlag, QString::SectionFlag
    81, 300, 0,	//624  QIODevice::OpenModeFlag, int
    300, 271, 0,	//627  int, const QPoint&
    174, 65, 0,	//630  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    275, 263, 0,	//633  const QPolygonF&, const QMatrix&
    40, 111, 0,	//636  QDataStream&, QPolygon&
    26, 54, 0,	//639  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    40, 127, 0,	//642  QDataStream&, QString&
    40, 286, 0,	//645  QDataStream&, const QString&
    40, 34, 0,	//648  QDataStream&, QChar&
    205, 205, 0,	//651  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    40, 105, 0,	//654  QDataStream&, QPixmap&
    5, 49, 0,	//657  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    40, 114, 0,	//660  QDataStream&, QRect&
    178, 300, 0,	//663  Qt::ImageConversionFlag, int
    40, 256, 0,	//666  QDataStream&, const QIcon&
    40, 294, 0,	//669  QDataStream&, const QVariant::Type
    40, 91, 0,	//672  QDataStream&, QLineF&
    40, 102, 0,	//675  QDataStream&, QPainterPath&
    211, 211, 0,	//678  Qt::TouchPointState, Qt::TouchPointState
    205, 300, 0,	//681  Qt::TextInteractionFlag, int
    271, 291, 0,	//684  const QPoint&, const QTransform&
    40, 253, 0,	//687  QDataStream&, const QDateTime&
    40, 135, 0,	//690  QDataStream&, QTime&
    271, 300, 0,	//693  const QPoint&, int
    178, 178, 0,	//696  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    169, 64, 0,	//699  Qt::DropAction, QFlags<Qt::DropAction>
    169, 169, 0,	//702  Qt::DropAction, Qt::DropAction
    193, 300, 0,	//705  Qt::Orientation, int
    279, 263, 0,	//708  const QRegion&, const QMatrix&
    299, 271, 0,	//711  float, const QPoint&
    40, 139, 0,	//714  QDataStream&, QUrl&
    286, 33, 0,	//717  const QString&, QChar
    193, 72, 0,	//720  Qt::Orientation, QFlags<Qt::Orientation>
    11, 300, 0,	//723  KIconLoader::Group&, int
    35, 0,	//726  QChildEvent*
    78, 0,	//728  QFocusEvent*
    144, 0,	//730  QWheelEvent*
    96, 0,	//732  QMoveEvent*
    134, 0,	//734  QTabletEvent*
    29, 0,	//736  QActionEvent*
    44, 0,	//738  QDragEnterEvent*
    46, 0,	//740  QDragMoveEvent*
    45, 0,	//742  QDragLeaveEvent*
    47, 0,	//744  QDropEvent*
    239, 0,	//746  _XEvent*
    98, 0,	//748  QPaintDevice::PaintDeviceMetric
    85, 0,	//750  QInputMethodEvent*
    181, 0,	//752  Qt::InputMethodQuery
    133, 0,	//754  QStyle&
    268, 0,	//756  const QPalette&
    254, 0,	//758  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AppNameCaption",	//2
    "Apply",	//3
    "Button",	//4
    "Button#",	//5
    "Button$$#",	//6
    "Cancel",	//7
    "Close",	//8
    "Default",	//9
    "DelayedPopup",	//10
    "Deleted",	//11
    "Details",	//12
    "DownloadDialog",	//13
    "DownloadDialog#",	//14
    "DownloadDialog$",	//15
    "DownloadDialog$#",	//16
    "Downloadable",	//17
    "DrawChildren",	//18
    "DrawWindowBackground",	//19
    "Entry",	//20
    "Entry#",	//21
    "HIGCompliantCaption",	//22
    "Help",	//23
    "IgnoreMask",	//24
    "Installed",	//25
    "Installing",	//26
    "InstantPopup",	//27
    "Invalid",	//28
    "LicensedActiveQt",	//29
    "LicensedCore",	//30
    "LicensedDBus",	//31
    "LicensedDeclarative",	//32
    "LicensedGui",	//33
    "LicensedHelp",	//34
    "LicensedMultimedia",	//35
    "LicensedNetwork",	//36
    "LicensedOpenGL",	//37
    "LicensedOpenVG",	//38
    "LicensedQt3Support",	//39
    "LicensedQt3SupportLight",	//40
    "LicensedScript",	//41
    "LicensedScriptTools",	//42
    "LicensedSql",	//43
    "LicensedSvg",	//44
    "LicensedTest",	//45
    "LicensedXml",	//46
    "LicensedXmlPatterns",	//47
    "ModifiedCaption",	//48
    "No",	//49
    "NoCaptionFlags",	//50
    "NoDefault",	//51
    "None",	//52
    "Ok",	//53
    "Q_COMPLEX_TYPE",	//54
    "Q_DUMMY_TYPE",	//55
    "Q_MOVABLE_TYPE",	//56
    "Q_PRIMITIVE_TYPE",	//57
    "Q_STATIC_TYPE",	//58
    "QtCriticalMsg",	//59
    "QtDebugMsg",	//60
    "QtFatalMsg",	//61
    "QtSystemMsg",	//62
    "QtWarningMsg",	//63
    "Rejected",	//64
    "Reset",	//65
    "Try",	//66
    "Updateable",	//67
    "Updating",	//68
    "UploadDialog",	//69
    "UploadDialog#",	//70
    "UploadDialog$",	//71
    "UploadDialog$#",	//72
    "User1",	//73
    "User2",	//74
    "User3",	//75
    "Yes",	//76
    "aboutToShowDialog",	//77
    "accept",	//78
    "actionEvent",	//79
    "category",	//80
    "changeEvent",	//81
    "changedEntries",	//82
    "checkStateSet",	//83
    "childEvent",	//84
    "closeEvent",	//85
    "connectNotify",	//86
    "contextMenuEvent",	//87
    "customEvent",	//88
    "devType",	//89
    "dialogFinished",	//90
    "dialogFinished?",	//91
    "disconnectNotify",	//92
    "done",	//93
    "dragEnterEvent",	//94
    "dragLeaveEvent",	//95
    "dragMoveEvent",	//96
    "dragObject",	//97
    "dropEvent",	//98
    "enabledChange",	//99
    "enterEvent",	//100
    "event",	//101
    "eventFilter",	//102
    "focusInEvent",	//103
    "focusNextPrevChild",	//104
    "focusOutEvent",	//105
    "fontChange",	//106
    "heightForWidth",	//107
    "hideEvent",	//108
    "hitButton",	//109
    "id",	//110
    "inputMethodEvent",	//111
    "inputMethodQuery",	//112
    "installedEntries",	//113
    "installedFiles",	//114
    "keyPressEvent",	//115
    "keyReleaseEvent",	//116
    "languageChange",	//117
    "leaveEvent",	//118
    "license",	//119
    "metaObject",	//120
    "metric",	//121
    "minimumSizeHint",	//122
    "mouseDoubleClickEvent",	//123
    "mouseMoveEvent",	//124
    "mousePressEvent",	//125
    "mouseReleaseEvent",	//126
    "moveEvent",	//127
    "name",	//128
    "nextCheckState",	//129
    "operator!=",	//130
    "operator!=##",	//131
    "operator!=#$",	//132
    "operator!=$#",	//133
    "operator*",	//134
    "operator*##",	//135
    "operator*#$",	//136
    "operator*$#",	//137
    "operator+",	//138
    "operator+##",	//139
    "operator+#$",	//140
    "operator+$#",	//141
    "operator+$$",	//142
    "operator++",	//143
    "operator++$",	//144
    "operator++$$",	//145
    "operator-",	//146
    "operator-#",	//147
    "operator-##",	//148
    "operator-#$",	//149
    "operator/",	//150
    "operator/#$",	//151
    "operator<",	//152
    "operator<##",	//153
    "operator<#$",	//154
    "operator<$#",	//155
    "operator<<",	//156
    "operator<<##",	//157
    "operator<<#$",	//158
    "operator<<#?",	//159
    "operator<=",	//160
    "operator<=##",	//161
    "operator<=#$",	//162
    "operator<=$#",	//163
    "operator=",	//164
    "operator=#",	//165
    "operator==",	//166
    "operator==##",	//167
    "operator==#$",	//168
    "operator==$#",	//169
    "operator>",	//170
    "operator>##",	//171
    "operator>#$",	//172
    "operator>$#",	//173
    "operator>=",	//174
    "operator>=##",	//175
    "operator>=#$",	//176
    "operator>=$#",	//177
    "operator>>",	//178
    "operator>>##",	//179
    "operator>>#$",	//180
    "operator>>#?",	//181
    "operator|",	//182
    "operator|$$",	//183
    "paintEngine",	//184
    "paintEvent",	//185
    "paletteChange",	//186
    "providerId",	//187
    "qt_metacall",	//188
    "qt_metacall$$?",	//189
    "qt_metacast",	//190
    "qt_metacast$",	//191
    "reject",	//192
    "resizeEvent",	//193
    "selectCategory",	//194
    "selectCategory$",	//195
    "setButtonText",	//196
    "setButtonText$",	//197
    "setCaption",	//198
    "setChangelog",	//199
    "setChangelog$",	//200
    "setConfigFile",	//201
    "setConfigFile$",	//202
    "setDescription",	//203
    "setDescription$",	//204
    "setPlainCaption",	//205
    "setPreviewImageFile",	//206
    "setPreviewImageFile$#",	//207
    "setPrice",	//208
    "setPrice$",	//209
    "setPriceEnabled",	//210
    "setPriceEnabled$",	//211
    "setPriceReason",	//212
    "setPriceReason$",	//213
    "setUploadFile",	//214
    "setUploadFile#",	//215
    "setUploadName",	//216
    "setUploadName$",	//217
    "setVersion",	//218
    "setVersion$",	//219
    "setVisible",	//220
    "showDialog",	//221
    "showEvent",	//222
    "sizeHint",	//223
    "slotButtonClicked",	//224
    "startDrag",	//225
    "staticMetaObject",	//226
    "status",	//227
    "styleChange",	//228
    "summary",	//229
    "tabletEvent",	//230
    "timerEvent",	//231
    "tr",	//232
    "tr$",	//233
    "tr$$",	//234
    "tr$$$",	//235
    "trUtf8",	//236
    "trUtf8$",	//237
    "trUtf8$$",	//238
    "trUtf8$$$",	//239
    "uninstalledFiles",	//240
    "version",	//241
    "wheelEvent",	//242
    "windowActivationChange",	//243
    "x11Event",	//244
    "~Button",	//245
    "~DownloadDialog",	//246
    "~Entry",	//247
    "~UploadDialog",	//248
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 121, 0},	//1 KDialog::sizeHint() const
    {5, 122, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 121, 0},	//2 KDialog::minimumSizeHint() const
    {5, 198, 1, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//3 KDialog::setCaption(const QString&)
    {5, 198, 3, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//4 KDialog::setCaption(const QString&, bool)
    {5, 205, 1, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//5 KDialog::setPlainCaption(const QString&)
    {5, 108, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 KDialog::hideEvent(QHideEvent*)
    {5, 85, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KDialog::closeEvent(QCloseEvent*)
    {5, 115, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KDialog::keyPressEvent(QKeyEvent*)
    {5, 224, 12, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//9 KDialog::slotButtonClicked(int)
    {5, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 10},	//10 KDialog::None (enum)
    {5, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 11},	//11 KDialog::Help (enum)
    {5, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 12},	//12 KDialog::Default (enum)
    {5, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 13},	//13 KDialog::Ok (enum)
    {5, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 14},	//14 KDialog::Apply (enum)
    {5, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 15},	//15 KDialog::Try (enum)
    {5, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 16},	//16 KDialog::Cancel (enum)
    {5, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 17},	//17 KDialog::Close (enum)
    {5, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 18},	//18 KDialog::No (enum)
    {5, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 19},	//19 KDialog::Yes (enum)
    {5, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 20},	//20 KDialog::Reset (enum)
    {5, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 21},	//21 KDialog::Details (enum)
    {5, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 22},	//22 KDialog::User1 (enum)
    {5, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 23},	//23 KDialog::User2 (enum)
    {5, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 24},	//24 KDialog::User3 (enum)
    {5, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 25},	//25 KDialog::NoDefault (enum)
    {5, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 26},	//26 KDialog::NoCaptionFlags (enum)
    {5, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 27},	//27 KDialog::AppNameCaption (enum)
    {5, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 28},	//28 KDialog::ModifiedCaption (enum)
    {5, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 29},	//29 KDialog::HIGCompliantCaption (enum)
    {8, 120, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 265, 1},	//30 KNS3::Button::metaObject() const
    {8, 190, 14, 1, Smoke::mf_virtual, 303, 2},	//31 KNS3::Button::qt_metacast(const char*)
    {8, 232, 16, 2, Smoke::mf_static, 126, 3},	//32 KNS3::Button::tr(const char*, const char*)
    {8, 236, 16, 2, Smoke::mf_static, 126, 4},	//33 KNS3::Button::trUtf8(const char*, const char*)
    {8, 232, 19, 3, Smoke::mf_static, 126, 5},	//34 KNS3::Button::tr(const char*, const char*, int)
    {8, 236, 19, 3, Smoke::mf_static, 126, 6},	//35 KNS3::Button::trUtf8(const char*, const char*, int)
    {8, 188, 23, 3, Smoke::mf_virtual, 300, 7},	//36 KNS3::Button::qt_metacall(QMetaObject::Call, int, void**)
    {8, 4, 27, 3, Smoke::mf_ctor, 13, 8},	//37 KNS3::Button::Button(const QString&, const QString&, QWidget*)
    {8, 4, 31, 1, Smoke::mf_ctor, 13, 9},	//38 KNS3::Button::Button(QWidget*)
    {8, 201, 1, 1, 0, 0, 10},	//39 KNS3::Button::setConfigFile(const QString&)
    {8, 196, 1, 1, 0, 0, 11},	//40 KNS3::Button::setButtonText(const QString&)
    {8, 77, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//41 KNS3::Button::aboutToShowDialog()
    {8, 90, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//42 KNS3::Button::dialogFinished(const KNS3::Entry::List&)
    {8, 221, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 14},	//43 KNS3::Button::showDialog()
    {8, 232, 14, 1, Smoke::mf_static, 126, 15},	//44 KNS3::Button::tr(const char*)
    {8, 236, 14, 1, Smoke::mf_static, 126, 16},	//45 KNS3::Button::trUtf8(const char*)
    {8, 226, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 264, 17},	//46 KNS3::Button::staticMetaObject() const
    {8, 245, 0, 0, Smoke::mf_dtor, 0, 18 },	//47 KNS3::Button::~Button()
    {9, 120, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 265, 1},	//48 KNS3::DownloadDialog::metaObject() const
    {9, 190, 14, 1, Smoke::mf_virtual, 303, 2},	//49 KNS3::DownloadDialog::qt_metacast(const char*)
    {9, 232, 16, 2, Smoke::mf_static, 126, 3},	//50 KNS3::DownloadDialog::tr(const char*, const char*)
    {9, 236, 16, 2, Smoke::mf_static, 126, 4},	//51 KNS3::DownloadDialog::trUtf8(const char*, const char*)
    {9, 232, 19, 3, Smoke::mf_static, 126, 5},	//52 KNS3::DownloadDialog::tr(const char*, const char*, int)
    {9, 236, 19, 3, Smoke::mf_static, 126, 6},	//53 KNS3::DownloadDialog::trUtf8(const char*, const char*, int)
    {9, 188, 23, 3, Smoke::mf_virtual, 300, 7},	//54 KNS3::DownloadDialog::qt_metacall(QMetaObject::Call, int, void**)
    {9, 13, 31, 1, Smoke::mf_ctor, 14, 8},	//55 KNS3::DownloadDialog::DownloadDialog(QWidget*)
    {9, 13, 35, 2, Smoke::mf_ctor, 14, 9},	//56 KNS3::DownloadDialog::DownloadDialog(const QString&, QWidget*)
    {9, 82, 0, 0, 0, 92, 10},	//57 KNS3::DownloadDialog::changedEntries()
    {9, 113, 0, 0, 0, 92, 11},	//58 KNS3::DownloadDialog::installedEntries()
    {9, 232, 14, 1, Smoke::mf_static, 126, 12},	//59 KNS3::DownloadDialog::tr(const char*)
    {9, 236, 14, 1, Smoke::mf_static, 126, 13},	//60 KNS3::DownloadDialog::trUtf8(const char*)
    {9, 13, 0, 0, Smoke::mf_ctor, 14, 14},	//61 KNS3::DownloadDialog::DownloadDialog()
    {9, 13, 1, 1, Smoke::mf_ctor, 14, 15},	//62 KNS3::DownloadDialog::DownloadDialog(const QString&)
    {9, 226, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 264, 16},	//63 KNS3::DownloadDialog::staticMetaObject() const
    {9, 246, 0, 0, Smoke::mf_dtor, 0, 17 },	//64 KNS3::DownloadDialog::~DownloadDialog()
    {10, 20, 38, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 1},	//65 KNS3::Entry::Entry(const KNS3::Entry&)
    {10, 164, 38, 1, 0, 15, 2},	//66 KNS3::Entry::operator=(const KNS3::Entry&)
    {10, 128, 0, 0, Smoke::mf_const, 126, 3},	//67 KNS3::Entry::name() const
    {10, 80, 0, 0, Smoke::mf_const, 126, 4},	//68 KNS3::Entry::category() const
    {10, 114, 0, 0, Smoke::mf_const, 130, 5},	//69 KNS3::Entry::installedFiles() const
    {10, 240, 0, 0, Smoke::mf_const, 130, 6},	//70 KNS3::Entry::uninstalledFiles() const
    {10, 227, 0, 0, Smoke::mf_const, 18, 7},	//71 KNS3::Entry::status() const
    {10, 119, 0, 0, Smoke::mf_const, 126, 8},	//72 KNS3::Entry::license() const
    {10, 229, 0, 0, Smoke::mf_const, 126, 9},	//73 KNS3::Entry::summary() const
    {10, 241, 0, 0, Smoke::mf_const, 126, 10},	//74 KNS3::Entry::version() const
    {10, 110, 0, 0, Smoke::mf_const, 126, 11},	//75 KNS3::Entry::id() const
    {10, 187, 0, 0, Smoke::mf_const, 126, 12},	//76 KNS3::Entry::providerId() const
    {10, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 13},	//77 KNS3::Entry::Invalid (enum)
    {10, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 14},	//78 KNS3::Entry::Downloadable (enum)
    {10, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 15},	//79 KNS3::Entry::Installed (enum)
    {10, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 16},	//80 KNS3::Entry::Updateable (enum)
    {10, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 17},	//81 KNS3::Entry::Deleted (enum)
    {10, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 18},	//82 KNS3::Entry::Installing (enum)
    {10, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 19},	//83 KNS3::Entry::Updating (enum)
    {10, 247, 0, 0, Smoke::mf_dtor, 0, 20 },	//84 KNS3::Entry::~Entry()
    {11, 120, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 265, 1},	//85 KNS3::UploadDialog::metaObject() const
    {11, 190, 14, 1, Smoke::mf_virtual, 303, 2},	//86 KNS3::UploadDialog::qt_metacast(const char*)
    {11, 232, 16, 2, Smoke::mf_static, 126, 3},	//87 KNS3::UploadDialog::tr(const char*, const char*)
    {11, 236, 16, 2, Smoke::mf_static, 126, 4},	//88 KNS3::UploadDialog::trUtf8(const char*, const char*)
    {11, 232, 19, 3, Smoke::mf_static, 126, 5},	//89 KNS3::UploadDialog::tr(const char*, const char*, int)
    {11, 236, 19, 3, Smoke::mf_static, 126, 6},	//90 KNS3::UploadDialog::trUtf8(const char*, const char*, int)
    {11, 188, 23, 3, Smoke::mf_virtual, 300, 7},	//91 KNS3::UploadDialog::qt_metacall(QMetaObject::Call, int, void**)
    {11, 69, 31, 1, Smoke::mf_ctor, 19, 8},	//92 KNS3::UploadDialog::UploadDialog(QWidget*)
    {11, 69, 35, 2, Smoke::mf_ctor, 19, 9},	//93 KNS3::UploadDialog::UploadDialog(const QString&, QWidget*)
    {11, 214, 40, 1, 0, 0, 10},	//94 KNS3::UploadDialog::setUploadFile(const KUrl&)
    {11, 216, 1, 1, 0, 0, 11},	//95 KNS3::UploadDialog::setUploadName(const QString&)
    {11, 218, 1, 1, 0, 0, 12},	//96 KNS3::UploadDialog::setVersion(const QString&)
    {11, 203, 1, 1, 0, 0, 13},	//97 KNS3::UploadDialog::setDescription(const QString&)
    {11, 199, 1, 1, 0, 0, 14},	//98 KNS3::UploadDialog::setChangelog(const QString&)
    {11, 206, 42, 2, 0, 0, 15},	//99 KNS3::UploadDialog::setPreviewImageFile(unsigned int, const KUrl&)
    {11, 210, 45, 1, 0, 0, 16},	//100 KNS3::UploadDialog::setPriceEnabled(bool)
    {11, 208, 47, 1, 0, 0, 17},	//101 KNS3::UploadDialog::setPrice(double)
    {11, 212, 1, 1, 0, 0, 18},	//102 KNS3::UploadDialog::setPriceReason(const QString&)
    {11, 194, 1, 1, 0, 0, 19},	//103 KNS3::UploadDialog::selectCategory(const QString&)
    {11, 78, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//104 KNS3::UploadDialog::accept()
    {11, 232, 14, 1, Smoke::mf_static, 126, 21},	//105 KNS3::UploadDialog::tr(const char*)
    {11, 236, 14, 1, Smoke::mf_static, 126, 22},	//106 KNS3::UploadDialog::trUtf8(const char*)
    {11, 69, 0, 0, Smoke::mf_ctor, 19, 23},	//107 KNS3::UploadDialog::UploadDialog()
    {11, 69, 1, 1, Smoke::mf_ctor, 19, 24},	//108 KNS3::UploadDialog::UploadDialog(const QString&)
    {11, 226, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 264, 25},	//109 KNS3::UploadDialog::staticMetaObject() const
    {11, 248, 0, 0, Smoke::mf_dtor, 0, 26 },	//110 KNS3::UploadDialog::~UploadDialog()
    {12, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 121, 0},	//111 KPushButton::sizeHint() const
    {12, 97, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 43, 0},	//112 KPushButton::dragObject()
    {12, 125, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//113 KPushButton::mousePressEvent(QMouseEvent*)
    {12, 124, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//114 KPushButton::mouseMoveEvent(QMouseEvent*)
    {12, 185, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//115 KPushButton::paintEvent(QPaintEvent*)
    {12, 225, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//116 KPushButton::startDrag()
    {15, 109, 53, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 240, 0},	//117 QAbstractButton::hitButton(const QPoint&) const
    {15, 83, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//118 QAbstractButton::checkStateSet()
    {15, 129, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//119 QAbstractButton::nextCheckState()
    {15, 116, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//120 QAbstractButton::keyReleaseEvent(QKeyEvent*)
    {15, 126, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//121 QAbstractButton::mouseReleaseEvent(QMouseEvent*)
    {15, 81, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//122 QAbstractButton::changeEvent(QEvent*)
    {15, 231, 57, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//123 QAbstractButton::timerEvent(QTimerEvent*)
    {29, 220, 45, 1, Smoke::mf_virtual, 0, 0},	//124 QDialog::setVisible(bool)
    {29, 93, 12, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//125 QDialog::done(int)
    {29, 78, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//126 QDialog::accept()
    {29, 192, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//127 QDialog::reject()
    {29, 222, 59, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//128 QDialog::showEvent(QShowEvent*)
    {29, 193, 61, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//129 QDialog::resizeEvent(QResizeEvent*)
    {29, 87, 63, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//130 QDialog::contextMenuEvent(QContextMenuEvent*)
    {29, 102, 65, 2, Smoke::mf_protected|Smoke::mf_virtual, 240, 0},	//131 QDialog::eventFilter(QObject*, QEvent*)
    {38, 182, 68, 2, Smoke::mf_static, 84, 1},	//132 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {38, 134, 71, 2, Smoke::mf_static, 270, 2},	//133 QGlobalSpace::operator*(const QPoint&, double)
    {38, 134, 74, 2, Smoke::mf_static, 272, 3},	//134 QGlobalSpace::operator*(double, const QPointF&)
    {38, 182, 77, 2, Smoke::mf_static, 71, 4},	//135 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {38, 130, 80, 2, Smoke::mf_static, 240, 5},	//136 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {38, 134, 83, 2, Smoke::mf_static, 282, 6},	//137 QGlobalSpace::operator*(double, const QSizeF&)
    {38, 178, 86, 2, Smoke::mf_static, 40, 7},	//138 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {38, 156, 89, 2, Smoke::mf_static, 40, 8},	//139 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {38, 182, 92, 2, Smoke::mf_static, 84, 9},	//140 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {38, 130, 95, 2, Smoke::mf_static, 240, 10},	//141 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {38, 138, 98, 2, Smoke::mf_static, 280, 11},	//142 QGlobalSpace::operator+(const QSize&, const QSize&)
    {38, 156, 101, 2, Smoke::mf_static, 40, 12},	//143 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {38, 134, 104, 2, Smoke::mf_static, 108, 13},	//144 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {38, 134, 107, 2, Smoke::mf_static, 88, 14},	//145 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {38, 166, 80, 2, Smoke::mf_static, 240, 15},	//146 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {38, 182, 110, 2, Smoke::mf_static, 76, 16},	//147 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {38, 134, 113, 2, Smoke::mf_static, 282, 17},	//148 QGlobalSpace::operator*(const QSizeF&, double)
    {38, 156, 116, 2, Smoke::mf_static, 40, 18},	//149 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {38, 146, 119, 2, Smoke::mf_static, 282, 19},	//150 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {38, 174, 122, 2, Smoke::mf_static, 240, 20},	//151 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {38, 166, 125, 2, Smoke::mf_static, 240, 21},	//152 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {38, 182, 128, 2, Smoke::mf_static, 71, 22},	//153 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {38, 182, 131, 2, Smoke::mf_static, 52, 23},	//154 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {38, 182, 134, 2, Smoke::mf_static, 52, 24},	//155 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {38, 130, 137, 2, Smoke::mf_static, 240, 25},	//156 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {38, 166, 140, 2, Smoke::mf_static, 240, 26},	//157 QGlobalSpace::operator==(QBool, QBool)
    {38, 182, 143, 2, Smoke::mf_static, 84, 27},	//158 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {38, 182, 146, 2, Smoke::mf_static, 62, 28},	//159 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {38, 166, 149, 2, Smoke::mf_static, 240, 29},	//160 QGlobalSpace::operator==(QString::Null, QString::Null)
    {38, 156, 152, 2, Smoke::mf_static, 40, 30},	//161 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {38, 138, 155, 2, Smoke::mf_static, 285, 31},	//162 QGlobalSpace::operator+(QChar, const QString&)
    {38, 182, 158, 2, Smoke::mf_static, 57, 32},	//163 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {38, 182, 161, 2, Smoke::mf_static, 50, 33},	//164 QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    {38, 156, 164, 2, Smoke::mf_static, 40, 34},	//165 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {38, 143, 167, 1, Smoke::mf_static, 11, 35},	//166 QGlobalSpace::operator++(KIconLoader::Group&)
    {38, 156, 169, 2, Smoke::mf_static, 40, 36},	//167 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {38, 134, 172, 2, Smoke::mf_static, 112, 37},	//168 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {38, 182, 175, 2, Smoke::mf_static, 74, 38},	//169 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {38, 182, 178, 2, Smoke::mf_static, 84, 39},	//170 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {38, 138, 119, 2, Smoke::mf_static, 282, 40},	//171 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {38, 182, 181, 2, Smoke::mf_static, 84, 41},	//172 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {38, 182, 184, 2, Smoke::mf_static, 84, 42},	//173 QGlobalSpace::operator|(Qt::DropAction, int)
    {38, 156, 187, 2, Smoke::mf_static, 40, 43},	//174 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {38, 182, 190, 2, Smoke::mf_static, 54, 44},	//175 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {38, 182, 193, 2, Smoke::mf_static, 62, 45},	//176 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {38, 178, 196, 2, Smoke::mf_static, 40, 46},	//177 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {38, 156, 199, 2, Smoke::mf_static, 40, 47},	//178 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {38, 182, 202, 2, Smoke::mf_static, 84, 48},	//179 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {38, 152, 205, 2, Smoke::mf_static, 240, 49},	//180 QGlobalSpace::operator<(const QByteArray&, const char*)
    {38, 182, 208, 2, Smoke::mf_static, 53, 50},	//181 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {38, 182, 211, 2, Smoke::mf_static, 63, 51},	//182 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {38, 182, 214, 2, Smoke::mf_static, 51, 52},	//183 QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    {38, 134, 217, 2, Smoke::mf_static, 88, 53},	//184 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {38, 182, 220, 2, Smoke::mf_static, 53, 54},	//185 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {38, 134, 223, 2, Smoke::mf_static, 90, 55},	//186 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {38, 182, 226, 2, Smoke::mf_static, 72, 56},	//187 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {38, 134, 229, 2, Smoke::mf_static, 101, 57},	//188 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {38, 182, 232, 2, Smoke::mf_static, 84, 58},	//189 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {38, 178, 235, 2, Smoke::mf_static, 40, 59},	//190 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {38, 182, 238, 2, Smoke::mf_static, 84, 60},	//191 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {38, 156, 241, 2, Smoke::mf_static, 40, 61},	//192 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {38, 156, 244, 2, Smoke::mf_static, 40, 62},	//193 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {38, 182, 247, 2, Smoke::mf_static, 65, 63},	//194 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {38, 178, 250, 2, Smoke::mf_static, 40, 64},	//195 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {38, 182, 253, 2, Smoke::mf_static, 57, 65},	//196 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {38, 138, 256, 2, Smoke::mf_static, 247, 66},	//197 QGlobalSpace::operator+(char, const QByteArray&)
    {38, 150, 71, 2, Smoke::mf_static, 270, 67},	//198 QGlobalSpace::operator/(const QPoint&, double)
    {38, 166, 259, 2, Smoke::mf_static, 240, 68},	//199 QGlobalSpace::operator==(const char*, const QByteArray&)
    {38, 178, 262, 2, Smoke::mf_static, 40, 69},	//200 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {38, 178, 265, 2, Smoke::mf_static, 40, 70},	//201 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {38, 182, 268, 2, Smoke::mf_static, 84, 71},	//202 QGlobalSpace::operator|(KDialog::ButtonCode, int)
    {38, 178, 271, 2, Smoke::mf_static, 40, 72},	//203 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {38, 166, 274, 2, Smoke::mf_static, 240, 73},	//204 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {38, 150, 277, 2, Smoke::mf_static, 137, 74},	//205 QGlobalSpace::operator/(const QTransform&, double)
    {38, 130, 280, 2, Smoke::mf_static, 240, 75},	//206 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {38, 152, 283, 2, Smoke::mf_static, 240, 76},	//207 QGlobalSpace::operator<(QChar, QChar)
    {38, 134, 286, 2, Smoke::mf_static, 101, 77},	//208 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {38, 156, 289, 2, Smoke::mf_static, 40, 78},	//209 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {38, 182, 292, 2, Smoke::mf_static, 50, 79},	//210 QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    {38, 178, 295, 2, Smoke::mf_static, 40, 80},	//211 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {38, 134, 298, 2, Smoke::mf_static, 272, 81},	//212 QGlobalSpace::operator*(const QPointF&, double)
    {38, 182, 301, 2, Smoke::mf_static, 84, 82},	//213 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {38, 166, 98, 2, Smoke::mf_static, 240, 83},	//214 QGlobalSpace::operator==(const QSize&, const QSize&)
    {38, 156, 304, 2, Smoke::mf_static, 40, 84},	//215 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {38, 182, 307, 2, Smoke::mf_static, 70, 85},	//216 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {38, 182, 310, 2, Smoke::mf_static, 84, 86},	//217 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {38, 130, 122, 2, Smoke::mf_static, 240, 87},	//218 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {38, 182, 313, 2, Smoke::mf_static, 58, 88},	//219 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {38, 178, 316, 2, Smoke::mf_static, 40, 89},	//220 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {38, 182, 319, 2, Smoke::mf_static, 69, 90},	//221 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {38, 150, 113, 2, Smoke::mf_static, 282, 91},	//222 QGlobalSpace::operator/(const QSizeF&, double)
    {38, 182, 322, 2, Smoke::mf_static, 70, 92},	//223 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {38, 178, 325, 2, Smoke::mf_static, 40, 93},	//224 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {38, 134, 328, 2, Smoke::mf_static, 110, 94},	//225 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {38, 170, 283, 2, Smoke::mf_static, 240, 95},	//226 QGlobalSpace::operator>(QChar, QChar)
    {38, 174, 259, 2, Smoke::mf_static, 240, 96},	//227 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {38, 166, 331, 2, Smoke::mf_static, 240, 97},	//228 QGlobalSpace::operator==(const QString&, QString::Null)
    {38, 152, 122, 2, Smoke::mf_static, 240, 98},	//229 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {38, 178, 334, 2, Smoke::mf_static, 40, 99},	//230 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {38, 146, 337, 1, Smoke::mf_static, 272, 100},	//231 QGlobalSpace::operator-(const QPointF&)
    {38, 182, 339, 2, Smoke::mf_static, 68, 101},	//232 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {38, 156, 342, 2, Smoke::mf_static, 40, 102},	//233 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {38, 182, 345, 2, Smoke::mf_static, 77, 103},	//234 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {38, 134, 348, 2, Smoke::mf_static, 108, 104},	//235 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {38, 182, 351, 2, Smoke::mf_static, 68, 105},	//236 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {38, 182, 354, 2, Smoke::mf_static, 75, 106},	//237 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {38, 174, 280, 2, Smoke::mf_static, 240, 107},	//238 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {38, 166, 137, 2, Smoke::mf_static, 240, 108},	//239 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {38, 156, 357, 2, Smoke::mf_static, 40, 109},	//240 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {38, 182, 360, 2, Smoke::mf_static, 58, 110},	//241 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {38, 156, 363, 2, Smoke::mf_static, 40, 111},	//242 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {38, 178, 366, 2, Smoke::mf_static, 40, 112},	//243 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {38, 182, 369, 2, Smoke::mf_static, 69, 113},	//244 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {38, 152, 259, 2, Smoke::mf_static, 240, 114},	//245 QGlobalSpace::operator<(const char*, const QByteArray&)
    {38, 182, 372, 2, Smoke::mf_static, 84, 115},	//246 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {38, 134, 375, 2, Smoke::mf_static, 106, 116},	//247 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {38, 182, 378, 2, Smoke::mf_static, 84, 117},	//248 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {38, 182, 381, 2, Smoke::mf_static, 84, 118},	//249 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {38, 130, 98, 2, Smoke::mf_static, 240, 119},	//250 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {38, 182, 384, 2, Smoke::mf_static, 66, 120},	//251 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {38, 160, 205, 2, Smoke::mf_static, 240, 121},	//252 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {38, 130, 387, 2, Smoke::mf_static, 240, 122},	//253 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {38, 182, 390, 2, Smoke::mf_static, 84, 123},	//254 QGlobalSpace::operator|(QString::SectionFlag, int)
    {38, 182, 393, 2, Smoke::mf_static, 84, 124},	//255 QGlobalSpace::operator|(Qt::WindowType, int)
    {38, 182, 396, 2, Smoke::mf_static, 61, 125},	//256 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {38, 166, 399, 2, Smoke::mf_static, 240, 126},	//257 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {38, 166, 402, 2, Smoke::mf_static, 240, 127},	//258 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {38, 182, 405, 2, Smoke::mf_static, 55, 128},	//259 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {38, 182, 408, 2, Smoke::mf_static, 60, 129},	//260 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {38, 178, 411, 2, Smoke::mf_static, 40, 130},	//261 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {38, 156, 414, 2, Smoke::mf_static, 40, 131},	//262 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {38, 182, 417, 2, Smoke::mf_static, 84, 132},	//263 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {38, 134, 277, 2, Smoke::mf_static, 137, 133},	//264 QGlobalSpace::operator*(const QTransform&, double)
    {38, 182, 420, 2, Smoke::mf_static, 51, 134},	//265 QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    {38, 152, 280, 2, Smoke::mf_static, 240, 135},	//266 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {38, 182, 423, 2, Smoke::mf_static, 61, 136},	//267 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {38, 130, 426, 2, Smoke::mf_static, 240, 137},	//268 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {38, 130, 259, 2, Smoke::mf_static, 240, 138},	//269 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {38, 170, 280, 2, Smoke::mf_static, 240, 139},	//270 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {38, 182, 429, 2, Smoke::mf_static, 84, 140},	//271 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {38, 182, 432, 2, Smoke::mf_static, 56, 141},	//272 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {38, 182, 435, 2, Smoke::mf_static, 49, 142},	//273 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {38, 156, 438, 2, Smoke::mf_static, 40, 143},	//274 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {38, 178, 441, 2, Smoke::mf_static, 40, 144},	//275 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {38, 156, 444, 2, Smoke::mf_static, 40, 145},	//276 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {38, 134, 447, 2, Smoke::mf_static, 270, 146},	//277 QGlobalSpace::operator*(const QPoint&, float)
    {38, 138, 450, 2, Smoke::mf_static, 285, 147},	//278 QGlobalSpace::operator+(const QString&, const QString&)
    {38, 130, 205, 2, Smoke::mf_static, 240, 148},	//279 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {38, 130, 453, 2, Smoke::mf_static, 240, 149},	//280 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {38, 182, 456, 2, Smoke::mf_static, 84, 150},	//281 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {38, 182, 459, 2, Smoke::mf_static, 84, 151},	//282 QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    {38, 182, 462, 2, Smoke::mf_static, 84, 152},	//283 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {38, 178, 465, 2, Smoke::mf_static, 40, 153},	//284 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {38, 170, 122, 2, Smoke::mf_static, 240, 154},	//285 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {38, 166, 387, 2, Smoke::mf_static, 240, 155},	//286 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {38, 166, 468, 2, Smoke::mf_static, 240, 156},	//287 QGlobalSpace::operator==(const char*, const QStringRef&)
    {38, 138, 259, 2, Smoke::mf_static, 247, 157},	//288 QGlobalSpace::operator+(const char*, const QByteArray&)
    {38, 182, 471, 2, Smoke::mf_static, 84, 158},	//289 QGlobalSpace::operator|(Qt::MouseButton, int)
    {38, 178, 474, 2, Smoke::mf_static, 40, 159},	//290 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {38, 160, 280, 2, Smoke::mf_static, 240, 160},	//291 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {38, 178, 477, 2, Smoke::mf_static, 40, 161},	//292 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {38, 182, 480, 2, Smoke::mf_static, 67, 162},	//293 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {38, 178, 483, 2, Smoke::mf_static, 40, 163},	//294 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {38, 166, 283, 2, Smoke::mf_static, 240, 164},	//295 QGlobalSpace::operator==(QChar, QChar)
    {38, 182, 486, 2, Smoke::mf_static, 73, 165},	//296 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {38, 130, 399, 2, Smoke::mf_static, 240, 166},	//297 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {38, 134, 489, 2, Smoke::mf_static, 90, 167},	//298 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {38, 130, 492, 2, Smoke::mf_static, 240, 168},	//299 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {38, 156, 495, 2, Smoke::mf_static, 40, 169},	//300 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {38, 156, 498, 2, Smoke::mf_static, 40, 170},	//301 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {38, 182, 501, 2, Smoke::mf_static, 74, 171},	//302 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {38, 156, 504, 2, Smoke::mf_static, 40, 172},	//303 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {38, 182, 507, 2, Smoke::mf_static, 55, 173},	//304 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {38, 156, 510, 2, Smoke::mf_static, 40, 174},	//305 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {38, 130, 125, 2, Smoke::mf_static, 240, 175},	//306 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {38, 130, 283, 2, Smoke::mf_static, 240, 176},	//307 QGlobalSpace::operator!=(QChar, QChar)
    {38, 182, 513, 2, Smoke::mf_static, 76, 177},	//308 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {38, 182, 516, 2, Smoke::mf_static, 60, 178},	//309 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {38, 166, 119, 2, Smoke::mf_static, 240, 179},	//310 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {38, 178, 519, 2, Smoke::mf_static, 40, 180},	//311 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {38, 156, 522, 2, Smoke::mf_static, 40, 181},	//312 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {38, 178, 525, 2, Smoke::mf_static, 40, 182},	//313 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {38, 166, 280, 2, Smoke::mf_static, 240, 183},	//314 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {38, 130, 528, 2, Smoke::mf_static, 240, 184},	//315 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {38, 134, 531, 2, Smoke::mf_static, 280, 185},	//316 QGlobalSpace::operator*(double, const QSize&)
    {38, 174, 205, 2, Smoke::mf_static, 240, 186},	//317 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {38, 134, 534, 2, Smoke::mf_static, 270, 187},	//318 QGlobalSpace::operator*(double, const QPoint&)
    {38, 156, 537, 2, Smoke::mf_static, 40, 188},	//319 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {38, 156, 540, 2, Smoke::mf_static, 40, 189},	//320 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {38, 138, 543, 2, Smoke::mf_static, 247, 190},	//321 QGlobalSpace::operator+(const QByteArray&, char)
    {38, 150, 298, 2, Smoke::mf_static, 272, 191},	//322 QGlobalSpace::operator/(const QPointF&, double)
    {38, 174, 283, 2, Smoke::mf_static, 240, 192},	//323 QGlobalSpace::operator>=(QChar, QChar)
    {38, 160, 122, 2, Smoke::mf_static, 240, 193},	//324 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {38, 178, 546, 2, Smoke::mf_static, 40, 194},	//325 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {38, 182, 549, 2, Smoke::mf_static, 59, 195},	//326 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {38, 156, 552, 2, Smoke::mf_static, 40, 196},	//327 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {38, 170, 259, 2, Smoke::mf_static, 240, 197},	//328 QGlobalSpace::operator>(const char*, const QByteArray&)
    {38, 178, 555, 2, Smoke::mf_static, 40, 198},	//329 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {38, 156, 558, 2, Smoke::mf_static, 40, 199},	//330 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {38, 166, 528, 2, Smoke::mf_static, 240, 200},	//331 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {38, 130, 561, 2, Smoke::mf_static, 240, 201},	//332 QGlobalSpace::operator!=(bool, QBool)
    {38, 182, 564, 2, Smoke::mf_static, 56, 202},	//333 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {38, 134, 567, 2, Smoke::mf_static, 110, 203},	//334 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {38, 130, 570, 2, Smoke::mf_static, 240, 204},	//335 QGlobalSpace::operator!=(QBool, bool)
    {38, 182, 573, 2, Smoke::mf_static, 84, 205},	//336 QGlobalSpace::operator|(Qt::WindowState, int)
    {38, 146, 387, 2, Smoke::mf_static, 270, 206},	//337 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {38, 178, 576, 2, Smoke::mf_static, 40, 207},	//338 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {38, 138, 205, 2, Smoke::mf_static, 247, 208},	//339 QGlobalSpace::operator+(const QByteArray&, const char*)
    {38, 156, 579, 2, Smoke::mf_static, 40, 209},	//340 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {38, 130, 119, 2, Smoke::mf_static, 240, 210},	//341 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {38, 160, 259, 2, Smoke::mf_static, 240, 211},	//342 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {38, 182, 582, 2, Smoke::mf_static, 84, 212},	//343 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {38, 156, 585, 2, Smoke::mf_static, 40, 213},	//344 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {38, 182, 588, 2, Smoke::mf_static, 63, 214},	//345 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {38, 166, 453, 2, Smoke::mf_static, 240, 215},	//346 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {38, 156, 591, 2, Smoke::mf_static, 40, 216},	//347 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {38, 182, 594, 2, Smoke::mf_static, 77, 217},	//348 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {38, 134, 597, 2, Smoke::mf_static, 280, 218},	//349 QGlobalSpace::operator*(const QSize&, double)
    {38, 166, 600, 2, Smoke::mf_static, 240, 219},	//350 QGlobalSpace::operator==(QString::Null, const QString&)
    {38, 182, 603, 2, Smoke::mf_static, 67, 220},	//351 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {38, 178, 606, 2, Smoke::mf_static, 40, 221},	//352 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {38, 166, 205, 2, Smoke::mf_static, 240, 222},	//353 QGlobalSpace::operator==(const QByteArray&, const char*)
    {38, 178, 609, 2, Smoke::mf_static, 40, 223},	//354 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {38, 156, 612, 2, Smoke::mf_static, 40, 224},	//355 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {38, 178, 615, 2, Smoke::mf_static, 40, 225},	//356 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {38, 170, 205, 2, Smoke::mf_static, 240, 226},	//357 QGlobalSpace::operator>(const QByteArray&, const char*)
    {38, 138, 387, 2, Smoke::mf_static, 270, 227},	//358 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {38, 160, 283, 2, Smoke::mf_static, 240, 228},	//359 QGlobalSpace::operator<=(QChar, QChar)
    {38, 134, 618, 2, Smoke::mf_static, 117, 229},	//360 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {38, 130, 600, 2, Smoke::mf_static, 240, 230},	//361 QGlobalSpace::operator!=(QString::Null, const QString&)
    {38, 182, 621, 2, Smoke::mf_static, 59, 231},	//362 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {38, 130, 331, 2, Smoke::mf_static, 240, 232},	//363 QGlobalSpace::operator!=(const QString&, QString::Null)
    {38, 182, 624, 2, Smoke::mf_static, 84, 233},	//364 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {38, 134, 627, 2, Smoke::mf_static, 270, 234},	//365 QGlobalSpace::operator*(int, const QPoint&)
    {38, 182, 630, 2, Smoke::mf_static, 65, 235},	//366 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {38, 134, 633, 2, Smoke::mf_static, 112, 236},	//367 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {38, 146, 53, 1, Smoke::mf_static, 270, 237},	//368 QGlobalSpace::operator-(const QPoint&)
    {38, 178, 636, 2, Smoke::mf_static, 40, 238},	//369 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {38, 182, 639, 2, Smoke::mf_static, 54, 239},	//370 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {38, 178, 642, 2, Smoke::mf_static, 40, 240},	//371 QGlobalSpace::operator>>(QDataStream&, QString&)
    {38, 166, 122, 2, Smoke::mf_static, 240, 241},	//372 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {38, 156, 645, 2, Smoke::mf_static, 40, 242},	//373 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {38, 146, 274, 2, Smoke::mf_static, 272, 243},	//374 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {38, 178, 648, 2, Smoke::mf_static, 40, 244},	//375 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {38, 138, 277, 2, Smoke::mf_static, 137, 245},	//376 QGlobalSpace::operator+(const QTransform&, double)
    {38, 182, 651, 2, Smoke::mf_static, 73, 246},	//377 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {38, 166, 426, 2, Smoke::mf_static, 240, 247},	//378 QGlobalSpace::operator==(const QStringRef&, const char*)
    {38, 130, 468, 2, Smoke::mf_static, 240, 248},	//379 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {38, 178, 654, 2, Smoke::mf_static, 40, 249},	//380 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {38, 138, 122, 2, Smoke::mf_static, 247, 250},	//381 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {38, 182, 657, 2, Smoke::mf_static, 49, 251},	//382 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {38, 178, 660, 2, Smoke::mf_static, 40, 252},	//383 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {38, 182, 663, 2, Smoke::mf_static, 84, 253},	//384 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {38, 156, 666, 2, Smoke::mf_static, 40, 254},	//385 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {38, 156, 669, 2, Smoke::mf_static, 40, 255},	//386 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {38, 150, 597, 2, Smoke::mf_static, 280, 256},	//387 QGlobalSpace::operator/(const QSize&, double)
    {38, 178, 672, 2, Smoke::mf_static, 40, 257},	//388 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {38, 178, 675, 2, Smoke::mf_static, 40, 258},	//389 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {38, 166, 561, 2, Smoke::mf_static, 240, 259},	//390 QGlobalSpace::operator==(bool, QBool)
    {38, 182, 678, 2, Smoke::mf_static, 75, 260},	//391 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {38, 182, 681, 2, Smoke::mf_static, 84, 261},	//392 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {38, 134, 684, 2, Smoke::mf_static, 106, 262},	//393 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {38, 156, 687, 2, Smoke::mf_static, 40, 263},	//394 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {38, 178, 690, 2, Smoke::mf_static, 40, 264},	//395 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {38, 130, 274, 2, Smoke::mf_static, 240, 265},	//396 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {38, 134, 693, 2, Smoke::mf_static, 270, 266},	//397 QGlobalSpace::operator*(const QPoint&, int)
    {38, 182, 696, 2, Smoke::mf_static, 66, 267},	//398 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {38, 146, 98, 2, Smoke::mf_static, 280, 268},	//399 QGlobalSpace::operator-(const QSize&, const QSize&)
    {38, 182, 699, 2, Smoke::mf_static, 64, 269},	//400 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {38, 182, 702, 2, Smoke::mf_static, 64, 270},	//401 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {38, 182, 705, 2, Smoke::mf_static, 84, 271},	//402 QGlobalSpace::operator|(Qt::Orientation, int)
    {38, 138, 274, 2, Smoke::mf_static, 272, 272},	//403 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {38, 134, 708, 2, Smoke::mf_static, 117, 273},	//404 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {38, 166, 570, 2, Smoke::mf_static, 240, 274},	//405 QGlobalSpace::operator==(QBool, bool)
    {38, 166, 95, 2, Smoke::mf_static, 240, 275},	//406 QGlobalSpace::operator==(const QRect&, const QRect&)
    {38, 134, 711, 2, Smoke::mf_static, 270, 276},	//407 QGlobalSpace::operator*(float, const QPoint&)
    {38, 178, 714, 2, Smoke::mf_static, 40, 277},	//408 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {38, 138, 717, 2, Smoke::mf_static, 285, 278},	//409 QGlobalSpace::operator+(const QString&, QChar)
    {38, 130, 149, 2, Smoke::mf_static, 240, 279},	//410 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {38, 182, 720, 2, Smoke::mf_static, 72, 280},	//411 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {38, 130, 140, 2, Smoke::mf_static, 240, 281},	//412 QGlobalSpace::operator!=(QBool, QBool)
    {38, 166, 492, 2, Smoke::mf_static, 240, 282},	//413 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {38, 146, 277, 2, Smoke::mf_static, 137, 283},	//414 QGlobalSpace::operator-(const QTransform&, double)
    {38, 143, 723, 2, Smoke::mf_static, 10, 284},	//415 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {38, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 285},	//416 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {38, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 286},	//417 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {38, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 287},	//418 QGlobalSpace::Q_STATIC_TYPE (enum)
    {38, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 288},	//419 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {38, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 289},	//420 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {38, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 290},	//421 QGlobalSpace::LicensedGui (enum)
    {38, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 291},	//422 QGlobalSpace::LicensedXml (enum)
    {38, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 292},	//423 QGlobalSpace::LicensedQt3SupportLight (enum)
    {38, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 293},	//424 QGlobalSpace::LicensedScript (enum)
    {38, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 294},	//425 QGlobalSpace::LicensedOpenVG (enum)
    {38, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 295},	//426 QGlobalSpace::LicensedDBus (enum)
    {38, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 296},	//427 QGlobalSpace::LicensedTest (enum)
    {38, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 297},	//428 QGlobalSpace::LicensedActiveQt (enum)
    {38, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 298},	//429 QGlobalSpace::LicensedScriptTools (enum)
    {38, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 299},	//430 QGlobalSpace::LicensedSvg (enum)
    {38, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 300},	//431 QGlobalSpace::LicensedDeclarative (enum)
    {38, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 301},	//432 QGlobalSpace::LicensedSql (enum)
    {38, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 302},	//433 QGlobalSpace::LicensedOpenGL (enum)
    {38, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 303},	//434 QGlobalSpace::LicensedCore (enum)
    {38, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 304},	//435 QGlobalSpace::QtDebugMsg (enum)
    {38, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 305},	//436 QGlobalSpace::QtWarningMsg (enum)
    {38, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 306},	//437 QGlobalSpace::QtCriticalMsg (enum)
    {38, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 307},	//438 QGlobalSpace::QtFatalMsg (enum)
    {38, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 308},	//439 QGlobalSpace::QtSystemMsg (enum)
    {38, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 309},	//440 QGlobalSpace::LicensedHelp (enum)
    {38, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 310},	//441 QGlobalSpace::LicensedMultimedia (enum)
    {38, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 311},	//442 QGlobalSpace::LicensedQt3Support (enum)
    {38, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 312},	//443 QGlobalSpace::LicensedXmlPatterns (enum)
    {38, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 313},	//444 QGlobalSpace::LicensedNetwork (enum)
    {55, 102, 65, 2, Smoke::mf_virtual, 240, 0},	//445 QObject::eventFilter(QObject*, QEvent*)
    {55, 231, 57, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//446 QObject::timerEvent(QTimerEvent*)
    {55, 84, 726, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//447 QObject::childEvent(QChildEvent*)
    {55, 88, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//448 QObject::customEvent(QEvent*)
    {55, 86, 14, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//449 QObject::connectNotify(const char*)
    {55, 92, 14, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//450 QObject::disconnectNotify(const char*)
    {65, 122, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 121, 0},	//451 QPushButton::minimumSizeHint() const
    {65, 101, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 240, 0},	//452 QPushButton::event(QEvent*)
    {65, 115, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//453 QPushButton::keyPressEvent(QKeyEvent*)
    {65, 103, 728, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//454 QPushButton::focusInEvent(QFocusEvent*)
    {65, 105, 728, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//455 QPushButton::focusOutEvent(QFocusEvent*)
    {86, 89, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 300, 0},	//456 QWidget::devType() const
    {86, 220, 45, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//457 QWidget::setVisible(bool)
    {86, 107, 12, 1, Smoke::mf_const|Smoke::mf_virtual, 300, 0},	//458 QWidget::heightForWidth(int) const
    {86, 184, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 99, 0},	//459 QWidget::paintEngine() const
    {86, 101, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 240, 0},	//460 QWidget::event(QEvent*)
    {86, 125, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//461 QWidget::mousePressEvent(QMouseEvent*)
    {86, 126, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//462 QWidget::mouseReleaseEvent(QMouseEvent*)
    {86, 123, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//463 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {86, 124, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//464 QWidget::mouseMoveEvent(QMouseEvent*)
    {86, 242, 730, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//465 QWidget::wheelEvent(QWheelEvent*)
    {86, 116, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//466 QWidget::keyReleaseEvent(QKeyEvent*)
    {86, 103, 728, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//467 QWidget::focusInEvent(QFocusEvent*)
    {86, 105, 728, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//468 QWidget::focusOutEvent(QFocusEvent*)
    {86, 100, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//469 QWidget::enterEvent(QEvent*)
    {86, 118, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//470 QWidget::leaveEvent(QEvent*)
    {86, 185, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//471 QWidget::paintEvent(QPaintEvent*)
    {86, 127, 732, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//472 QWidget::moveEvent(QMoveEvent*)
    {86, 193, 61, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//473 QWidget::resizeEvent(QResizeEvent*)
    {86, 85, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//474 QWidget::closeEvent(QCloseEvent*)
    {86, 87, 63, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//475 QWidget::contextMenuEvent(QContextMenuEvent*)
    {86, 230, 734, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//476 QWidget::tabletEvent(QTabletEvent*)
    {86, 79, 736, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//477 QWidget::actionEvent(QActionEvent*)
    {86, 94, 738, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//478 QWidget::dragEnterEvent(QDragEnterEvent*)
    {86, 96, 740, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//479 QWidget::dragMoveEvent(QDragMoveEvent*)
    {86, 95, 742, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//480 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {86, 98, 744, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//481 QWidget::dropEvent(QDropEvent*)
    {86, 222, 59, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//482 QWidget::showEvent(QShowEvent*)
    {86, 108, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//483 QWidget::hideEvent(QHideEvent*)
    {86, 244, 746, 1, Smoke::mf_protected|Smoke::mf_virtual, 240, 0},	//484 QWidget::x11Event(_XEvent*)
    {86, 81, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//485 QWidget::changeEvent(QEvent*)
    {86, 121, 748, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 300, 0},	//486 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {86, 111, 750, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//487 QWidget::inputMethodEvent(QInputMethodEvent*)
    {86, 112, 752, 1, Smoke::mf_const|Smoke::mf_virtual, 141, 0},	//488 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {86, 104, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 240, 0},	//489 QWidget::focusNextPrevChild(bool)
    {86, 228, 754, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//490 QWidget::styleChange(QStyle&)
    {86, 99, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//491 QWidget::enabledChange(bool)
    {86, 186, 756, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//492 QWidget::paletteChange(const QPalette&)
    {86, 106, 758, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//493 QWidget::fontChange(const QFont&)
    {86, 243, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//494 QWidget::windowActivationChange(bool)
    {86, 117, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//495 QWidget::languageChange()
    {86, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 41},	//496 QWidget::DrawWindowBackground (enum)
    {86, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 42},	//497 QWidget::DrawChildren (enum)
    {86, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 43},	//498 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    136,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    141,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    156,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    206,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    218,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    250,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    253,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    299,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    306,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    307,  // QGlobalSpace::operator!=(QChar, QChar)
    315,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    341,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    396,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    410,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    412,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    268,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    279,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    297,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    335,  // QGlobalSpace::operator!=(QBool, bool)
    361,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    269,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    280,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    332,  // QGlobalSpace::operator!=(bool, QBool)
    363,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    379,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    0,
    144,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    145,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    168,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    184,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    186,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    188,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    208,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    225,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    235,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    247,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    298,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    334,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    360,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    367,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    393,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    404,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    133,  // QGlobalSpace::operator*(const QPoint&, double)
    148,  // QGlobalSpace::operator*(const QSizeF&, double)
    212,  // QGlobalSpace::operator*(const QPointF&, double)
    264,  // QGlobalSpace::operator*(const QTransform&, double)
    277,  // QGlobalSpace::operator*(const QPoint&, float)
    349,  // QGlobalSpace::operator*(const QSize&, double)
    397,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    134,  // QGlobalSpace::operator*(double, const QPointF&)
    137,  // QGlobalSpace::operator*(double, const QSizeF&)
    316,  // QGlobalSpace::operator*(double, const QSize&)
    318,  // QGlobalSpace::operator*(double, const QPoint&)
    365,  // QGlobalSpace::operator*(int, const QPoint&)
    407,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    142,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    171,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    358,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    381,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    403,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    162,  // QGlobalSpace::operator+(QChar, const QString&)
    321,  // QGlobalSpace::operator+(const QByteArray&, char)
    339,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    376,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    197,  // QGlobalSpace::operator+(char, const QByteArray&)
    288,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    409,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    231,  // QGlobalSpace::operator-(const QPointF&)
    368,  // QGlobalSpace::operator-(const QPoint&)
    0,
    150,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    337,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    374,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    399,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    198,  // QGlobalSpace::operator/(const QPoint&, double)
    205,  // QGlobalSpace::operator/(const QTransform&, double)
    222,  // QGlobalSpace::operator/(const QSizeF&, double)
    322,  // QGlobalSpace::operator/(const QPointF&, double)
    387,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    207,  // QGlobalSpace::operator<(QChar, QChar)
    229,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    266,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    139,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    143,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    149,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    161,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    165,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    167,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    178,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    192,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    193,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    209,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    215,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    233,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    240,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    242,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    262,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    274,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    276,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    300,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    301,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    303,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    305,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    312,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    319,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    320,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    327,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    330,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    340,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    344,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    347,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    355,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    385,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    394,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    0,
    373,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    386,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    291,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    324,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    359,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    146,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    152,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    157,  // QGlobalSpace::operator==(QBool, QBool)
    160,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    204,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    214,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    239,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    258,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    286,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    295,  // QGlobalSpace::operator==(QChar, QChar)
    310,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    314,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    331,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    372,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    406,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    413,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    257,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    350,  // QGlobalSpace::operator==(QString::Null, const QString&)
    353,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    378,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    405,  // QGlobalSpace::operator==(QBool, bool)
    0,
    199,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    228,  // QGlobalSpace::operator==(const QString&, QString::Null)
    287,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    346,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    390,  // QGlobalSpace::operator==(bool, QBool)
    0,
    226,  // QGlobalSpace::operator>(QChar, QChar)
    270,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    285,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    151,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    238,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    323,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    138,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    177,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    190,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    195,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    200,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    201,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    203,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    211,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    220,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    224,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    230,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    243,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    261,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    275,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    284,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    290,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    292,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    311,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    313,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    325,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    329,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    352,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    354,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    356,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    369,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    375,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    380,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    383,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    388,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    389,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    395,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    408,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    294,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    371,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    132,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    135,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    140,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    147,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    153,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    154,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    155,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    158,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    159,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    163,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    164,  // QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    169,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    170,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    172,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    173,  // QGlobalSpace::operator|(Qt::DropAction, int)
    175,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    176,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    179,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    181,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    182,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    183,  // QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    185,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    187,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    189,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    191,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    194,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    196,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    202,  // QGlobalSpace::operator|(KDialog::ButtonCode, int)
    210,  // QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    213,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    216,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    217,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    219,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    221,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    223,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    232,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    234,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    236,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    237,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    241,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    244,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    246,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    248,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    249,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    251,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    254,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    255,  // QGlobalSpace::operator|(Qt::WindowType, int)
    256,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    259,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    260,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    263,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    265,  // QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    267,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    271,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    272,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    273,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    281,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    282,  // QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    283,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    289,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    293,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    296,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    302,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    304,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    308,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    309,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    326,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    333,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    336,  // QGlobalSpace::operator|(Qt::WindowState, int)
    343,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    345,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    348,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    351,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    362,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    364,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    366,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    370,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    377,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    382,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    384,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    391,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    392,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    398,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    400,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    401,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    402,  // QGlobalSpace::operator|(Qt::Orientation, int)
    411,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {8, 5, 38},	// KNS3::Button::Button#
    {8, 6, 37},	// KNS3::Button::Button$$#
    {8, 77, 41},	// KNS3::Button::aboutToShowDialog
    {8, 91, 42},	// KNS3::Button::dialogFinished?
    {8, 120, 30},	// KNS3::Button::metaObject
    {8, 189, 36},	// KNS3::Button::qt_metacall$$?
    {8, 191, 31},	// KNS3::Button::qt_metacast$
    {8, 197, 40},	// KNS3::Button::setButtonText$
    {8, 202, 39},	// KNS3::Button::setConfigFile$
    {8, 221, 43},	// KNS3::Button::showDialog
    {8, 226, 46},	// KNS3::Button::staticMetaObject
    {8, 233, 44},	// KNS3::Button::tr$
    {8, 234, 32},	// KNS3::Button::tr$$
    {8, 235, 34},	// KNS3::Button::tr$$$
    {8, 237, 45},	// KNS3::Button::trUtf8$
    {8, 238, 33},	// KNS3::Button::trUtf8$$
    {8, 239, 35},	// KNS3::Button::trUtf8$$$
    {8, 245, 47},	// KNS3::Button::~Button
    {9, 13, 61},	// KNS3::DownloadDialog::DownloadDialog
    {9, 14, 55},	// KNS3::DownloadDialog::DownloadDialog#
    {9, 15, 62},	// KNS3::DownloadDialog::DownloadDialog$
    {9, 16, 56},	// KNS3::DownloadDialog::DownloadDialog$#
    {9, 82, 57},	// KNS3::DownloadDialog::changedEntries
    {9, 113, 58},	// KNS3::DownloadDialog::installedEntries
    {9, 120, 48},	// KNS3::DownloadDialog::metaObject
    {9, 189, 54},	// KNS3::DownloadDialog::qt_metacall$$?
    {9, 191, 49},	// KNS3::DownloadDialog::qt_metacast$
    {9, 226, 63},	// KNS3::DownloadDialog::staticMetaObject
    {9, 233, 59},	// KNS3::DownloadDialog::tr$
    {9, 234, 50},	// KNS3::DownloadDialog::tr$$
    {9, 235, 52},	// KNS3::DownloadDialog::tr$$$
    {9, 237, 60},	// KNS3::DownloadDialog::trUtf8$
    {9, 238, 51},	// KNS3::DownloadDialog::trUtf8$$
    {9, 239, 53},	// KNS3::DownloadDialog::trUtf8$$$
    {9, 246, 64},	// KNS3::DownloadDialog::~DownloadDialog
    {10, 11, 81},	// KNS3::Entry::Deleted
    {10, 17, 78},	// KNS3::Entry::Downloadable
    {10, 21, 65},	// KNS3::Entry::Entry#
    {10, 25, 79},	// KNS3::Entry::Installed
    {10, 26, 82},	// KNS3::Entry::Installing
    {10, 28, 77},	// KNS3::Entry::Invalid
    {10, 67, 80},	// KNS3::Entry::Updateable
    {10, 68, 83},	// KNS3::Entry::Updating
    {10, 80, 68},	// KNS3::Entry::category
    {10, 110, 75},	// KNS3::Entry::id
    {10, 114, 69},	// KNS3::Entry::installedFiles
    {10, 119, 72},	// KNS3::Entry::license
    {10, 128, 67},	// KNS3::Entry::name
    {10, 165, 66},	// KNS3::Entry::operator=#
    {10, 187, 76},	// KNS3::Entry::providerId
    {10, 227, 71},	// KNS3::Entry::status
    {10, 229, 73},	// KNS3::Entry::summary
    {10, 240, 70},	// KNS3::Entry::uninstalledFiles
    {10, 241, 74},	// KNS3::Entry::version
    {10, 247, 84},	// KNS3::Entry::~Entry
    {11, 69, 107},	// KNS3::UploadDialog::UploadDialog
    {11, 70, 92},	// KNS3::UploadDialog::UploadDialog#
    {11, 71, 108},	// KNS3::UploadDialog::UploadDialog$
    {11, 72, 93},	// KNS3::UploadDialog::UploadDialog$#
    {11, 78, 104},	// KNS3::UploadDialog::accept
    {11, 120, 85},	// KNS3::UploadDialog::metaObject
    {11, 189, 91},	// KNS3::UploadDialog::qt_metacall$$?
    {11, 191, 86},	// KNS3::UploadDialog::qt_metacast$
    {11, 195, 103},	// KNS3::UploadDialog::selectCategory$
    {11, 200, 98},	// KNS3::UploadDialog::setChangelog$
    {11, 204, 97},	// KNS3::UploadDialog::setDescription$
    {11, 207, 99},	// KNS3::UploadDialog::setPreviewImageFile$#
    {11, 209, 101},	// KNS3::UploadDialog::setPrice$
    {11, 211, 100},	// KNS3::UploadDialog::setPriceEnabled$
    {11, 213, 102},	// KNS3::UploadDialog::setPriceReason$
    {11, 215, 94},	// KNS3::UploadDialog::setUploadFile#
    {11, 217, 95},	// KNS3::UploadDialog::setUploadName$
    {11, 219, 96},	// KNS3::UploadDialog::setVersion$
    {11, 226, 109},	// KNS3::UploadDialog::staticMetaObject
    {11, 233, 105},	// KNS3::UploadDialog::tr$
    {11, 234, 87},	// KNS3::UploadDialog::tr$$
    {11, 235, 89},	// KNS3::UploadDialog::tr$$$
    {11, 237, 106},	// KNS3::UploadDialog::trUtf8$
    {11, 238, 88},	// KNS3::UploadDialog::trUtf8$$
    {11, 239, 90},	// KNS3::UploadDialog::trUtf8$$$
    {11, 248, 110},	// KNS3::UploadDialog::~UploadDialog
    {38, 29, 428},	// QGlobalSpace::LicensedActiveQt
    {38, 30, 434},	// QGlobalSpace::LicensedCore
    {38, 31, 426},	// QGlobalSpace::LicensedDBus
    {38, 32, 431},	// QGlobalSpace::LicensedDeclarative
    {38, 33, 421},	// QGlobalSpace::LicensedGui
    {38, 34, 440},	// QGlobalSpace::LicensedHelp
    {38, 35, 441},	// QGlobalSpace::LicensedMultimedia
    {38, 36, 444},	// QGlobalSpace::LicensedNetwork
    {38, 37, 433},	// QGlobalSpace::LicensedOpenGL
    {38, 38, 425},	// QGlobalSpace::LicensedOpenVG
    {38, 39, 442},	// QGlobalSpace::LicensedQt3Support
    {38, 40, 423},	// QGlobalSpace::LicensedQt3SupportLight
    {38, 41, 424},	// QGlobalSpace::LicensedScript
    {38, 42, 429},	// QGlobalSpace::LicensedScriptTools
    {38, 43, 432},	// QGlobalSpace::LicensedSql
    {38, 44, 430},	// QGlobalSpace::LicensedSvg
    {38, 45, 427},	// QGlobalSpace::LicensedTest
    {38, 46, 422},	// QGlobalSpace::LicensedXml
    {38, 47, 443},	// QGlobalSpace::LicensedXmlPatterns
    {38, 54, 416},	// QGlobalSpace::Q_COMPLEX_TYPE
    {38, 55, 420},	// QGlobalSpace::Q_DUMMY_TYPE
    {38, 56, 419},	// QGlobalSpace::Q_MOVABLE_TYPE
    {38, 57, 417},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {38, 58, 418},	// QGlobalSpace::Q_STATIC_TYPE
    {38, 59, 437},	// QGlobalSpace::QtCriticalMsg
    {38, 60, 435},	// QGlobalSpace::QtDebugMsg
    {38, 61, 438},	// QGlobalSpace::QtFatalMsg
    {38, 62, 439},	// QGlobalSpace::QtSystemMsg
    {38, 63, 436},	// QGlobalSpace::QtWarningMsg
    {38, 131, -1},	// QGlobalSpace::operator!=##
    {38, 132, -17},	// QGlobalSpace::operator!=#$
    {38, 133, -23},	// QGlobalSpace::operator!=$#
    {38, 135, -29},	// QGlobalSpace::operator*##
    {38, 136, -46},	// QGlobalSpace::operator*#$
    {38, 137, -54},	// QGlobalSpace::operator*$#
    {38, 139, -61},	// QGlobalSpace::operator+##
    {38, 140, -67},	// QGlobalSpace::operator+#$
    {38, 141, -72},	// QGlobalSpace::operator+$#
    {38, 142, 278},	// QGlobalSpace::operator+$$
    {38, 144, 166},	// QGlobalSpace::operator++$
    {38, 145, 415},	// QGlobalSpace::operator++$$
    {38, 147, -76},	// QGlobalSpace::operator-#
    {38, 148, -79},	// QGlobalSpace::operator-##
    {38, 149, 414},	// QGlobalSpace::operator-#$
    {38, 151, -84},	// QGlobalSpace::operator/#$
    {38, 153, -90},	// QGlobalSpace::operator<##
    {38, 154, 180},	// QGlobalSpace::operator<#$
    {38, 155, 245},	// QGlobalSpace::operator<$#
    {38, 157, -94},	// QGlobalSpace::operator<<##
    {38, 158, -127},	// QGlobalSpace::operator<<#$
    {38, 159, 174},	// QGlobalSpace::operator<<#?
    {38, 161, -130},	// QGlobalSpace::operator<=##
    {38, 162, 252},	// QGlobalSpace::operator<=#$
    {38, 163, 342},	// QGlobalSpace::operator<=$#
    {38, 167, -134},	// QGlobalSpace::operator==##
    {38, 168, -151},	// QGlobalSpace::operator==#$
    {38, 169, -157},	// QGlobalSpace::operator==$#
    {38, 171, -163},	// QGlobalSpace::operator>##
    {38, 172, 357},	// QGlobalSpace::operator>#$
    {38, 173, 328},	// QGlobalSpace::operator>$#
    {38, 175, -167},	// QGlobalSpace::operator>=##
    {38, 176, 317},	// QGlobalSpace::operator>=#$
    {38, 177, 227},	// QGlobalSpace::operator>=$#
    {38, 179, -171},	// QGlobalSpace::operator>>##
    {38, 180, -204},	// QGlobalSpace::operator>>#$
    {38, 181, 338},	// QGlobalSpace::operator>>#?
    {38, 183, -207},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *knewstuff3_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_knewstuff3_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    knewstuff3_Smoke = new Smoke(
        "knewstuff3",
        __smokeknewstuff3::classes, 86,
        __smokeknewstuff3::methods, 499,
        __smokeknewstuff3::methodMaps, 149,
        __smokeknewstuff3::methodNames, 248,
        __smokeknewstuff3::types, 305,
        __smokeknewstuff3::inheritanceList,
        __smokeknewstuff3::argumentList,
        __smokeknewstuff3::ambiguousMethodList,
        __smokeknewstuff3::cast );
    initialized = true;
}

void delete_knewstuff3_Smoke() { delete knewstuff3_Smoke; }

}
