#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AbstractContactEditorWidget
      switch(to) {
        case 1: return (void*)(Akonadi::AbstractContactEditorWidget*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AbstractContactFormatter
      switch(to) {
        case 2: return (void*)(Akonadi::AbstractContactFormatter*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AbstractContactGroupFormatter
      switch(to) {
        case 3: return (void*)(Akonadi::AbstractContactGroupFormatter*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AddressAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::AddressAttribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentBase
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(Akonadi::AgentBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 8: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 204: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentInstance
      switch(to) {
        case 10: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentManager
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::AgentType
      switch(to) {
        case 15: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::AgentTypeModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Attribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)(Akonadi::Attribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)(Akonadi::Attribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)(Akonadi::Attribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)(Akonadi::Attribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)(Akonadi::Attribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::AttributeFactory
      switch(to) {
        case 20: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::CachePolicy
      switch(to) {
        case 21: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::ChangeRecorder
      switch(to) {
        case 96: return (void*)(Akonadi::Monitor*)(Akonadi::ChangeRecorder*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ChangeRecorder*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::ChangeRecorderPrivate
      switch(to) {
        case 23: return (void*)(Akonadi::ChangeRecorderPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Collection
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 24: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::CollectionComboBox
      switch(to) {
        case 131: return (void*)(KComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 159: return (void*)(QComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionComboBox*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionComboBox*)xptr;
        case 133: return (void*)(KCompletionBase*)(Akonadi::CollectionComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)xptr;
        default: return xptr;
      }
    case 26:   //Akonadi::CollectionCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCopyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionCopyJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)xptr;
        default: return xptr;
      }
    case 27:   //Akonadi::CollectionCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionCreateJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)xptr;
        default: return xptr;
      }
    case 28:   //Akonadi::CollectionDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionDeleteJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionDeleteJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)xptr;
        default: return xptr;
      }
    case 29:   //Akonadi::CollectionDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::CollectionDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::CollectionDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)xptr;
        default: return xptr;
      }
    case 30:   //Akonadi::CollectionFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionFetchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionFetchJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)xptr;
        default: return xptr;
      }
    case 31:   //Akonadi::CollectionFetchScope
      switch(to) {
        case 31: return (void*)(Akonadi::CollectionFetchScope*)xptr;
        default: return xptr;
      }
    case 32:   //Akonadi::CollectionFilterProxyModel
      switch(to) {
        case 204: return (void*)(QSortFilterProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 33:   //Akonadi::CollectionModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(Akonadi::CollectionModel*)xptr;
        default: return xptr;
      }
    case 34:   //Akonadi::CollectionModelPrivate
      switch(to) {
        case 34: return (void*)(Akonadi::CollectionModelPrivate*)xptr;
        default: return xptr;
      }
    case 35:   //Akonadi::CollectionModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionModifyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionModifyJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)xptr;
        default: return xptr;
      }
    case 36:   //Akonadi::CollectionMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionMoveJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionMoveJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)xptr;
        default: return xptr;
      }
    case 37:   //Akonadi::CollectionPropertiesDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)xptr;
        default: return xptr;
      }
    case 38:   //Akonadi::CollectionPropertiesPage
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)xptr;
        default: return xptr;
      }
    case 39:   //Akonadi::CollectionPropertiesPageFactory
      switch(to) {
        case 39: return (void*)(Akonadi::CollectionPropertiesPageFactory*)xptr;
        default: return xptr;
      }
    case 40:   //Akonadi::CollectionQuotaAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::CollectionQuotaAttribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)xptr;
        default: return xptr;
      }
    case 41:   //Akonadi::CollectionRequester
      switch(to) {
        case 138: return (void*)(KHBox*)(Akonadi::CollectionRequester*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::CollectionRequester*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionRequester*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionRequester*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)xptr;
        default: return xptr;
      }
    case 42:   //Akonadi::CollectionStatistics
      switch(to) {
        case 42: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 43:   //Akonadi::CollectionStatisticsDelegate
      switch(to) {
        case 207: return (void*)(QStyledItemDelegate*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        default: return xptr;
      }
    case 44:   //Akonadi::CollectionStatisticsJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)xptr;
        default: return xptr;
      }
    case 45:   //Akonadi::CollectionStatisticsModel
      switch(to) {
        case 33: return (void*)(Akonadi::CollectionModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)xptr;
        default: return xptr;
      }
    case 46:   //Akonadi::CollectionView
      switch(to) {
        case 210: return (void*)(QTreeView*)(Akonadi::CollectionView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::CollectionView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::CollectionView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::CollectionView*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionView*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)xptr;
        default: return xptr;
      }
    case 47:   //Akonadi::ContactDefaultActions
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::ContactDefaultActions*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)xptr;
        default: return xptr;
      }
    case 48:   //Akonadi::ContactEditor
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactEditor*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactEditor*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)xptr;
        default: return xptr;
      }
    case 49:   //Akonadi::ContactEditorDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ContactEditorDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactEditorDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)xptr;
        default: return xptr;
      }
    case 50:   //Akonadi::ContactEditorPagePlugin
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)xptr;
        default: return xptr;
      }
    case 51:   //Akonadi::ContactGroupEditor
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactGroupEditor*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupEditor*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)xptr;
        default: return xptr;
      }
    case 52:   //Akonadi::ContactGroupEditorDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)xptr;
        default: return xptr;
      }
    case 53:   //Akonadi::ContactGroupExpandJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)xptr;
        default: return xptr;
      }
    case 54:   //Akonadi::ContactGroupSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)xptr;
        default: return xptr;
      }
    case 55:   //Akonadi::ContactGroupViewer
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactGroupViewer*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactGroupViewer*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)xptr;
        default: return xptr;
      }
    case 56:   //Akonadi::ContactGroupViewerDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)xptr;
        default: return xptr;
      }
    case 57:   //Akonadi::ContactSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ContactSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ContactSearchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)xptr;
        default: return xptr;
      }
    case 58:   //Akonadi::ContactViewer
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactViewer*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactViewer*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)xptr;
        default: return xptr;
      }
    case 59:   //Akonadi::ContactViewerDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ContactViewerDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactViewerDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)xptr;
        default: return xptr;
      }
    case 60:   //Akonadi::Control
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::Control*)xptr;
        case 60: return (void*)(Akonadi::Control*)xptr;
        default: return xptr;
      }
    case 61:   //Akonadi::Entity
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)xptr;
        case 73: return (void*)(Akonadi::Item*)(Akonadi::Entity*)xptr;
        case 24: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 62:   //Akonadi::EntityDisplayAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityDisplayAttribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)xptr;
        default: return xptr;
      }
    case 63:   //Akonadi::EntityHiddenAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityHiddenAttribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)xptr;
        default: return xptr;
      }
    case 64:   //Akonadi::EntityListView
      switch(to) {
        case 183: return (void*)(QListView*)(Akonadi::EntityListView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::EntityListView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::EntityListView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::EntityListView*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::EntityListView*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::EntityListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)xptr;
        default: return xptr;
      }
    case 65:   //Akonadi::EntityMimeTypeFilterModel
      switch(to) {
        case 204: return (void*)(QSortFilterProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        default: return xptr;
      }
    case 66:   //Akonadi::EntityPrivate
      switch(to) {
        case 66: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 67:   //Akonadi::EntityTreeModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::EntityTreeModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::EntityTreeModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)xptr;
        default: return xptr;
      }
    case 68:   //Akonadi::EntityTreeModelPrivate
      switch(to) {
        case 68: return (void*)(Akonadi::EntityTreeModelPrivate*)xptr;
        default: return xptr;
      }
    case 69:   //Akonadi::EntityTreeView
      switch(to) {
        case 210: return (void*)(QTreeView*)(Akonadi::EntityTreeView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::EntityTreeView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::EntityTreeView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::EntityTreeView*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::EntityTreeView*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::EntityTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)xptr;
        default: return xptr;
      }
    case 70:   //Akonadi::EntityTreeViewStateSaver
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        default: return xptr;
      }
    case 71:   //Akonadi::Exception
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 72:   //Akonadi::FavoriteCollectionsModel
      switch(to) {
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 143: return (void*)(KSelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)xptr;
        default: return xptr;
      }
    case 73:   //Akonadi::Item
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Item*)xptr;
        case 73: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 74:   //Akonadi::ItemCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCopyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemCopyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemCopyJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemCopyJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)xptr;
        default: return xptr;
      }
    case 75:   //Akonadi::ItemCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemCreateJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemCreateJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)xptr;
        default: return xptr;
      }
    case 76:   //Akonadi::ItemDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemDeleteJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemDeleteJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)xptr;
        default: return xptr;
      }
    case 77:   //Akonadi::ItemFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemFetchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemFetchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemFetchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemFetchJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)xptr;
        default: return xptr;
      }
    case 78:   //Akonadi::ItemFetchScope
      switch(to) {
        case 78: return (void*)(Akonadi::ItemFetchScope*)xptr;
        default: return xptr;
      }
    case 79:   //Akonadi::ItemModel
      switch(to) {
        case 152: return (void*)(QAbstractTableModel*)(Akonadi::ItemModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::ItemModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(Akonadi::ItemModel*)xptr;
        default: return xptr;
      }
    case 80:   //Akonadi::ItemModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemModifyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemModifyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemModifyJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemModifyJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)xptr;
        default: return xptr;
      }
    case 81:   //Akonadi::ItemMonitor
      switch(to) {
        case 81: return (void*)(Akonadi::ItemMonitor*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(Akonadi::ItemMonitor*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(Akonadi::ItemMonitor*)xptr;
        default: return xptr;
      }
    case 82:   //Akonadi::ItemMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemMoveJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemMoveJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemMoveJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemMoveJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)xptr;
        default: return xptr;
      }
    case 83:   //Akonadi::ItemSearchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemSearchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemSearchJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        default: return xptr;
      }
    case 84:   //Akonadi::ItemSerializerPlugin
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)(Akonadi::ItemSerializerPlugin*)xptr;
        default: return xptr;
      }
    case 85:   //Akonadi::ItemSerializerPluginV2
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)(Akonadi::ItemSerializerPluginV2*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)xptr;
        default: return xptr;
      }
    case 86:   //Akonadi::ItemSync
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSync*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemSync*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemSync*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemSync*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)xptr;
        default: return xptr;
      }
    case 87:   //Akonadi::ItemView
      switch(to) {
        case 210: return (void*)(QTreeView*)(Akonadi::ItemView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::ItemView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::ItemView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::ItemView*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ItemView*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)xptr;
        default: return xptr;
      }
    case 88:   //Akonadi::Job
      switch(to) {
        case 135: return (void*)(KCompositeJob*)(Akonadi::Job*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::Job*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::Job*)xptr;
        case 88: return (void*)(Akonadi::Job*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(Akonadi::Job*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(Akonadi::Job*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(Akonadi::Job*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(Akonadi::Job*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(Akonadi::Job*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(Akonadi::Job*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(Akonadi::Job*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(Akonadi::Job*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(Akonadi::Job*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(Akonadi::Job*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(Akonadi::Job*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(Akonadi::Job*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(Akonadi::Job*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(Akonadi::Job*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(Akonadi::Job*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::Job*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(Akonadi::Job*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(Akonadi::Job*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::Job*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(Akonadi::Job*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(Akonadi::Job*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(Akonadi::Job*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::Job*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(Akonadi::Job*)xptr;
        default: return xptr;
      }
    case 89:   //Akonadi::JobPrivate
      switch(to) {
        case 89: return (void*)(Akonadi::JobPrivate*)xptr;
        default: return xptr;
      }
    case 90:   //Akonadi::LinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::LinkJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::LinkJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::LinkJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::LinkJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)xptr;
        default: return xptr;
      }
    case 91:   //Akonadi::MessageFolderAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageFolderAttribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)xptr;
        default: return xptr;
      }
    case 92:   //Akonadi::MessageModel
      switch(to) {
        case 79: return (void*)(Akonadi::ItemModel*)(Akonadi::MessageModel*)xptr;
        case 152: return (void*)(QAbstractTableModel*)(Akonadi::MessageModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::MessageModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::MessageModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)xptr;
        default: return xptr;
      }
    case 93:   //Akonadi::MessageThreaderProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)xptr;
        default: return xptr;
      }
    case 94:   //Akonadi::MessageThreadingAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageThreadingAttribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)xptr;
        default: return xptr;
      }
    case 95:   //Akonadi::MimeTypeChecker
      switch(to) {
        case 95: return (void*)(Akonadi::MimeTypeChecker*)xptr;
        default: return xptr;
      }
    case 96:   //Akonadi::Monitor
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::Monitor*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(Akonadi::Monitor*)xptr;
        default: return xptr;
      }
    case 97:   //Akonadi::MonitorPrivate
      switch(to) {
        case 97: return (void*)(Akonadi::MonitorPrivate*)xptr;
        default: return xptr;
      }
    case 98:   //Akonadi::PartFetcher
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::PartFetcher*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::PartFetcher*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)xptr;
        default: return xptr;
      }
    case 99:   //Akonadi::PayloadBase
      switch(to) {
        case 99: return (void*)(Akonadi::PayloadBase*)xptr;
        default: return xptr;
      }
    case 100:   //Akonadi::PayloadException
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 101:   //Akonadi::PreprocessorBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::PreprocessorBase*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::PreprocessorBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::PreprocessorBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)xptr;
        default: return xptr;
      }
    case 102:   //Akonadi::ResourceBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::ResourceBase*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ResourceBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::ResourceBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)xptr;
        default: return xptr;
      }
    case 103:   //Akonadi::ResourceSynchronizationJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)xptr;
        default: return xptr;
      }
    case 104:   //Akonadi::SearchCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::SearchCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::SearchCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::SearchCreateJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::SearchCreateJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)xptr;
        default: return xptr;
      }
    case 105:   //Akonadi::SelectionProxyModel
      switch(to) {
        case 143: return (void*)(KSelectionProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::SelectionProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(Akonadi::SelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 106:   //Akonadi::ServerManager
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::ServerManager*)xptr;
        case 106: return (void*)(Akonadi::ServerManager*)xptr;
        default: return xptr;
      }
    case 107:   //Akonadi::Session
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::Session*)xptr;
        case 107: return (void*)(Akonadi::Session*)xptr;
        default: return xptr;
      }
    case 108:   //Akonadi::SessionPrivate
      switch(to) {
        case 108: return (void*)(Akonadi::SessionPrivate*)xptr;
        default: return xptr;
      }
    case 109:   //Akonadi::StandardActionManager
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::StandardActionManager*)xptr;
        case 109: return (void*)(Akonadi::StandardActionManager*)xptr;
        default: return xptr;
      }
    case 110:   //Akonadi::StatisticsProxyModel
      switch(to) {
        case 204: return (void*)(QSortFilterProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::StatisticsProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)xptr;
        default: return xptr;
      }
    case 111:   //Akonadi::TransactionBeginJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionBeginJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::TransactionBeginJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)xptr;
        default: return xptr;
      }
    case 112:   //Akonadi::TransactionCommitJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionCommitJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::TransactionCommitJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)xptr;
        default: return xptr;
      }
    case 113:   //Akonadi::TransactionRollbackJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionRollbackJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::TransactionRollbackJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)xptr;
        default: return xptr;
      }
    case 114:   //Akonadi::TransactionSequence
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionSequence*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionSequence*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionSequence*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::TransactionSequence*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)xptr;
        default: return xptr;
      }
    case 115:   //Akonadi::TransportResourceBase
      switch(to) {
        case 115: return (void*)(Akonadi::TransportResourceBase*)xptr;
        default: return xptr;
      }
    case 116:   //Akonadi::UnlinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::UnlinkJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::UnlinkJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::UnlinkJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::UnlinkJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)xptr;
        default: return xptr;
      }
    case 117:   //KABC::Address
      switch(to) {
        case 117: return (void*)(KABC::Address*)xptr;
        default: return xptr;
      }
    case 118:   //KABC::Addressee
      switch(to) {
        case 118: return (void*)(KABC::Addressee*)xptr;
        default: return xptr;
      }
    case 119:   //KABC::AddresseeList
      switch(to) {
        case 119: return (void*)(KABC::AddresseeList*)xptr;
        default: return xptr;
      }
    case 120:   //KABC::ContactGroup
      switch(to) {
        case 120: return (void*)(KABC::ContactGroup*)xptr;
        default: return xptr;
      }
    case 121:   //KABC::Geo
      switch(to) {
        case 121: return (void*)(KABC::Geo*)xptr;
        default: return xptr;
      }
    case 122:   //KABC::Key
      switch(to) {
        case 122: return (void*)(KABC::Key*)xptr;
        default: return xptr;
      }
    case 123:   //KABC::PhoneNumber
      switch(to) {
        case 123: return (void*)(KABC::PhoneNumber*)xptr;
        default: return xptr;
      }
    case 124:   //KABC::Picture
      switch(to) {
        case 124: return (void*)(KABC::Picture*)xptr;
        default: return xptr;
      }
    case 125:   //KABC::Secrecy
      switch(to) {
        case 125: return (void*)(KABC::Secrecy*)xptr;
        default: return xptr;
      }
    case 126:   //KABC::Sound
      switch(to) {
        case 126: return (void*)(KABC::Sound*)xptr;
        default: return xptr;
      }
    case 127:   //KABC::TimeZone
      switch(to) {
        case 127: return (void*)(KABC::TimeZone*)xptr;
        default: return xptr;
      }
    case 128:   //KAction
      switch(to) {
        case 128: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 129:   //KActionCollection
      switch(to) {
        case 129: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 130:   //KCharsets
      switch(to) {
        case 130: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 131:   //KComboBox
      switch(to) {
        case 159: return (void*)(QComboBox*)(KComboBox*)xptr;
        case 214: return (void*)(QWidget*)(KComboBox*)xptr;
        case 191: return (void*)(QObject*)(KComboBox*)xptr;
        case 133: return (void*)(KCompletionBase*)(KComboBox*)xptr;
        case 131: return (void*)(KComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 132:   //KCompletion
      switch(to) {
        case 191: return (void*)(QObject*)(KCompletion*)xptr;
        case 132: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 133:   //KCompletionBase
      switch(to) {
        case 133: return (void*)(KCompletionBase*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KCompletionBase*)xptr;
        default: return xptr;
      }
    case 134:   //KComponentData
      switch(to) {
        case 134: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 135:   //KCompositeJob
      switch(to) {
        case 140: return (void*)(KJob*)(KCompositeJob*)xptr;
        case 191: return (void*)(QObject*)(KCompositeJob*)xptr;
        case 135: return (void*)(KCompositeJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KCompositeJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KCompositeJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KCompositeJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KCompositeJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(KCompositeJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KCompositeJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(KCompositeJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KCompositeJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(KCompositeJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KCompositeJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KCompositeJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KCompositeJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KCompositeJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KCompositeJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KCompositeJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KCompositeJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KCompositeJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(KCompositeJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KCompositeJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KCompositeJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(KCompositeJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KCompositeJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KCompositeJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KCompositeJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KCompositeJob*)xptr;
        default: return xptr;
      }
    case 136:   //KConfigGroup
      switch(to) {
        case 136: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 137:   //KDialog
      switch(to) {
        case 164: return (void*)(QDialog*)(KDialog*)xptr;
        case 214: return (void*)(QWidget*)(KDialog*)xptr;
        case 191: return (void*)(QObject*)(KDialog*)xptr;
        case 137: return (void*)(KDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(KDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(KDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(KDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(KDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(KDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 138:   //KHBox
      switch(to) {
        case 172: return (void*)(QFrame*)(KHBox*)xptr;
        case 214: return (void*)(QWidget*)(KHBox*)xptr;
        case 191: return (void*)(QObject*)(KHBox*)xptr;
        case 138: return (void*)(KHBox*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(KHBox*)xptr;
        default: return xptr;
      }
    case 139:   //KIcon
      switch(to) {
        case 176: return (void*)(QIcon*)(KIcon*)xptr;
        case 139: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 140:   //KJob
      switch(to) {
        case 191: return (void*)(QObject*)(KJob*)xptr;
        case 140: return (void*)(KJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KJob*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(KJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(KJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(KJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(KJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(KJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(KJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(KJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 141:   //KLocale
      switch(to) {
        case 141: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 142:   //KLocalizedString
      switch(to) {
        case 142: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 143:   //KSelectionProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(KSelectionProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(KSelectionProxyModel*)xptr;
        case 191: return (void*)(QObject*)(KSelectionProxyModel*)xptr;
        case 143: return (void*)(KSelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(KSelectionProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(KSelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 144:   //KStandardDirs
      switch(to) {
        case 144: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 145:   //KUrl
      switch(to) {
        case 211: return (void*)(QUrl*)(KUrl*)xptr;
        case 145: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 146:   //KXMLGUIClient
      switch(to) {
        case 146: return (void*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 147:   //KXmlGuiWindow
      switch(to) {
        case 147: return (void*)(KXmlGuiWindow*)xptr;
        default: return xptr;
      }
    case 148:   //QAbstractItemModel
      switch(to) {
        case 191: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractItemModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractItemModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QAbstractItemModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractItemModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractItemModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QAbstractItemModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QAbstractItemModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 149:   //QAbstractItemView
      switch(to) {
        case 151: return (void*)(QAbstractScrollArea*)(QAbstractItemView*)xptr;
        case 172: return (void*)(QFrame*)(QAbstractItemView*)xptr;
        case 214: return (void*)(QWidget*)(QAbstractItemView*)xptr;
        case 191: return (void*)(QObject*)(QAbstractItemView*)xptr;
        case 149: return (void*)(QAbstractItemView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractItemView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractItemView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 150:   //QAbstractProxyModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 191: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 151:   //QAbstractScrollArea
      switch(to) {
        case 172: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 214: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 191: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractScrollArea*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractScrollArea*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 152:   //QAbstractTableModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 191: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 152: return (void*)(QAbstractTableModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractTableModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 153:   //QActionEvent
      switch(to) {
        case 153: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 154:   //QBool
      switch(to) {
        case 154: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 155:   //QByteArray
      switch(to) {
        case 155: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 156:   //QChildEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 156: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 157:   //QCloseEvent
      switch(to) {
        case 157: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 158:   //QColor
      switch(to) {
        case 158: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 159:   //QComboBox
      switch(to) {
        case 214: return (void*)(QWidget*)(QComboBox*)xptr;
        case 191: return (void*)(QObject*)(QComboBox*)xptr;
        case 159: return (void*)(QComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QComboBox*)xptr;
        default: return xptr;
      }
    case 160:   //QContextMenuEvent
      switch(to) {
        case 160: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 161:   //QDBusContext
      switch(to) {
        case 161: return (void*)(QDBusContext*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QDBusContext*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 162:   //QDataStream
      switch(to) {
        case 162: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 163:   //QDateTime
      switch(to) {
        case 163: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 164:   //QDialog
      switch(to) {
        case 214: return (void*)(QWidget*)(QDialog*)xptr;
        case 191: return (void*)(QObject*)(QDialog*)xptr;
        case 164: return (void*)(QDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 165:   //QDragEnterEvent
      switch(to) {
        case 165: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 166:   //QDragLeaveEvent
      switch(to) {
        case 166: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 167:   //QDragMoveEvent
      switch(to) {
        case 167: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 168:   //QDropEvent
      switch(to) {
        case 168: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 169:   //QEvent
      switch(to) {
        case 169: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 170:   //QFocusEvent
      switch(to) {
        case 170: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 171:   //QFont
      switch(to) {
        case 171: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 172:   //QFrame
      switch(to) {
        case 214: return (void*)(QWidget*)(QFrame*)xptr;
        case 191: return (void*)(QObject*)(QFrame*)xptr;
        case 172: return (void*)(QFrame*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QFrame*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QFrame*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QFrame*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QFrame*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QFrame*)xptr;
        default: return xptr;
      }
    case 174:   //QHideEvent
      switch(to) {
        case 174: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 175:   //QIODevice
      switch(to) {
        case 191: return (void*)(QObject*)(QIODevice*)xptr;
        case 175: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 176:   //QIcon
      switch(to) {
        case 176: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 177:   //QIncompatibleFlag
      switch(to) {
        case 177: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 178:   //QInputMethodEvent
      switch(to) {
        case 178: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 179:   //QItemSelection
      switch(to) {
        case 179: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 180:   //QItemSelectionModel
      switch(to) {
        case 191: return (void*)(QObject*)(QItemSelectionModel*)xptr;
        case 180: return (void*)(QItemSelectionModel*)xptr;
        default: return xptr;
      }
    case 181:   //QKeyEvent
      switch(to) {
        case 181: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 182:   //QLineEdit
      switch(to) {
        case 182: return (void*)(QLineEdit*)xptr;
        default: return xptr;
      }
    case 183:   //QListView
      switch(to) {
        case 149: return (void*)(QAbstractItemView*)(QListView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(QListView*)xptr;
        case 172: return (void*)(QFrame*)(QListView*)xptr;
        case 214: return (void*)(QWidget*)(QListView*)xptr;
        case 191: return (void*)(QObject*)(QListView*)xptr;
        case 183: return (void*)(QListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QListView*)xptr;
        default: return xptr;
      }
    case 184:   //QLocale
      switch(to) {
        case 184: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 185:   //QMenu
      switch(to) {
        case 185: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 186:   //QMetaObject
      switch(to) {
        case 186: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 187:   //QMimeData
      switch(to) {
        case 187: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 188:   //QModelIndex
      switch(to) {
        case 188: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 189:   //QMouseEvent
      switch(to) {
        case 189: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 190:   //QMoveEvent
      switch(to) {
        case 190: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 191:   //QObject
      switch(to) {
        case 191: return (void*)(QObject*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QObject*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QObject*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QObject*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QObject*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QObject*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(QObject*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(QObject*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QObject*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(QObject*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(QObject*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)(QObject*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(QObject*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QObject*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(QObject*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QObject*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(QObject*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(QObject*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(QObject*)xptr;
        case 88: return (void*)(Akonadi::Job*)(QObject*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QObject*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QObject*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QObject*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)(QObject*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QObject*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(QObject*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QObject*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(QObject*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QObject*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(QObject*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(QObject*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QObject*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QObject*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QObject*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QObject*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(QObject*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QObject*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(QObject*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(QObject*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(QObject*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(QObject*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QObject*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QObject*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QObject*)xptr;
        case 106: return (void*)(Akonadi::ServerManager*)(QObject*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QObject*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QObject*)xptr;
        case 107: return (void*)(Akonadi::Session*)(QObject*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QObject*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QObject*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QObject*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(QObject*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)(QObject*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(QObject*)xptr;
        case 109: return (void*)(Akonadi::StandardActionManager*)(QObject*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(QObject*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 60: return (void*)(Akonadi::Control*)(QObject*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(QObject*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(QObject*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(QObject*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QObject*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(QObject*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(QObject*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 192:   //QPaintEngine
      switch(to) {
        case 192: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 193:   //QPaintEvent
      switch(to) {
        case 193: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 194:   //QPainter
      switch(to) {
        case 194: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 195:   //QPalette
      switch(to) {
        case 195: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 196:   //QPoint
      switch(to) {
        case 196: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 197:   //QRect
      switch(to) {
        case 197: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 198:   //QRegExp
      switch(to) {
        case 198: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 199:   //QRegion
      switch(to) {
        case 199: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 200:   //QResizeEvent
      switch(to) {
        case 200: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 201:   //QSettings
      switch(to) {
        case 201: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 202:   //QShowEvent
      switch(to) {
        case 202: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 203:   //QSize
      switch(to) {
        case 203: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 204:   //QSortFilterProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 191: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 204: return (void*)(QSortFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QSortFilterProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QSortFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 205:   //QStyle
      switch(to) {
        case 191: return (void*)(QObject*)(QStyle*)xptr;
        case 205: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 206:   //QStyleOptionViewItem
      switch(to) {
        case 206: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 207:   //QStyledItemDelegate
      switch(to) {
        case 191: return (void*)(QObject*)(QStyledItemDelegate*)xptr;
        case 207: return (void*)(QStyledItemDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QStyledItemDelegate*)xptr;
        default: return xptr;
      }
    case 208:   //QTabletEvent
      switch(to) {
        case 208: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 209:   //QTimerEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 209: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 210:   //QTreeView
      switch(to) {
        case 149: return (void*)(QAbstractItemView*)(QTreeView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(QTreeView*)xptr;
        case 172: return (void*)(QFrame*)(QTreeView*)xptr;
        case 214: return (void*)(QWidget*)(QTreeView*)xptr;
        case 191: return (void*)(QObject*)(QTreeView*)xptr;
        case 210: return (void*)(QTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QTreeView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QTreeView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 211:   //QUrl
      switch(to) {
        case 211: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 212:   //QVariant
      switch(to) {
        case 212: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 213:   //QWheelEvent
      switch(to) {
        case 213: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 214:   //QWidget
      switch(to) {
        case 191: return (void*)(QObject*)(QWidget*)xptr;
        case 214: return (void*)(QWidget*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QWidget*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QWidget*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QWidget*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QWidget*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QWidget*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QWidget*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QWidget*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QWidget*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QWidget*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QWidget*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QWidget*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QWidget*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QWidget*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QWidget*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QWidget*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QWidget*)xptr;
        default: return xptr;
      }
    case 215:   //boost::exception
      switch(to) {
        case 215: return (void*)(boost::exception*)xptr;
        default: return xptr;
      }
    case 216:   //boost::exception_detail::large_size
      switch(to) {
        case 216: return (void*)(boost::exception_detail::large_size*)xptr;
        default: return xptr;
      }
    case 217:   //boost::exception_detail::small_size
      switch(to) {
        case 217: return (void*)(boost::exception_detail::small_size*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    19, 0,	// 1: Akonadi::Attribute
    191, 161, 0,	// 3: QObject, QDBusContext
    6, 0,	// 6: Akonadi::AgentBase::Observer
    204, 0,	// 8: QSortFilterProxyModel
    140, 0,	// 10: KJob
    148, 0,	// 12: QAbstractItemModel
    214, 0,	// 14: QWidget
    191, 0,	// 16: QObject
    137, 0,	// 18: KDialog
    96, 0,	// 20: Akonadi::Monitor
    61, 0,	// 22: Akonadi::Entity
    131, 0,	// 24: KComboBox
    88, 0,	// 26: Akonadi::Job
    138, 0,	// 28: KHBox
    207, 0,	// 30: QStyledItemDelegate
    33, 0,	// 32: Akonadi::CollectionModel
    210, 0,	// 34: QTreeView
    83, 0,	// 36: Akonadi::ItemSearchJob
    214, 81, 0,	// 38: QWidget, Akonadi::ItemMonitor
    183, 0,	// 41: QListView
    105, 0,	// 43: Akonadi::SelectionProxyModel
    152, 0,	// 45: QAbstractTableModel
    84, 0,	// 47: Akonadi::ItemSerializerPlugin
    135, 0,	// 49: KCompositeJob
    79, 0,	// 51: Akonadi::ItemModel
    150, 0,	// 53: QAbstractProxyModel
    71, 0,	// 55: Akonadi::Exception
    5, 0,	// 57: Akonadi::AgentBase
    143, 0,	// 59: KSelectionProxyModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_Akonadi__ItemModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__MessageModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__EntityTreeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemSync(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__TransportResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__PreprocessorBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Item(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionStatisticsModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__StandardActionManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionPropertiesDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ServerManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Job(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AddressAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ChangeRecorder(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPageFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionQuotaAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionRequester(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatistics(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactDefaultActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorPagePlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupExpandJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Control(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityDisplayAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityHiddenAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityListView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityMimeTypeFilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeViewStateSaver(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__FavoriteCollectionsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Item(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMonitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPluginV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSync(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Job(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__LinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageFolderAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreaderProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreadingAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MimeTypeChecker(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Monitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PartFetcher(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PreprocessorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceSynchronizationJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SearchCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SelectionProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ServerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Session(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StandardActionManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StatisticsProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionBeginJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionCommitJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionRollbackJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionSequence(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransportResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__UnlinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AbstractContactEditorWidget", true, 0, 0, 0, 0, 0 },	//1
    { "Akonadi::AbstractContactFormatter", true, 0, 0, 0, 0, 0 },	//2
    { "Akonadi::AbstractContactGroupFormatter", true, 0, 0, 0, 0, 0 },	//3
    { "Akonadi::AddressAttribute", false, 1, xcall_Akonadi__AddressAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AddressAttribute) },	//4
    { "Akonadi::AgentBase", false, 3, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//5
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//6
    { "Akonadi::AgentBase::ObserverV2", false, 6, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//7
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//8
    { "Akonadi::AgentFilterProxyModel", false, 8, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//9
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//10
    { "Akonadi::AgentInstanceCreateJob", false, 10, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//11
    { "Akonadi::AgentInstanceModel", false, 12, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//12
    { "Akonadi::AgentInstanceWidget", false, 14, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//13
    { "Akonadi::AgentManager", false, 16, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//14
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//15
    { "Akonadi::AgentTypeDialog", false, 18, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//16
    { "Akonadi::AgentTypeModel", false, 12, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//17
    { "Akonadi::AgentTypeWidget", false, 14, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//18
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//19
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//20
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//21
    { "Akonadi::ChangeRecorder", false, 20, xcall_Akonadi__ChangeRecorder, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ChangeRecorder) },	//22
    { "Akonadi::ChangeRecorderPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "Akonadi::Collection", false, 22, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//24
    { "Akonadi::CollectionComboBox", false, 24, xcall_Akonadi__CollectionComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionComboBox) },	//25
    { "Akonadi::CollectionCopyJob", false, 26, xcall_Akonadi__CollectionCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCopyJob) },	//26
    { "Akonadi::CollectionCreateJob", false, 26, xcall_Akonadi__CollectionCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCreateJob) },	//27
    { "Akonadi::CollectionDeleteJob", false, 26, xcall_Akonadi__CollectionDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDeleteJob) },	//28
    { "Akonadi::CollectionDialog", false, 18, xcall_Akonadi__CollectionDialog, xenum_Akonadi__CollectionDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDialog) },	//29
    { "Akonadi::CollectionFetchJob", false, 26, xcall_Akonadi__CollectionFetchJob, xenum_Akonadi__CollectionFetchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFetchJob) },	//30
    { "Akonadi::CollectionFetchScope", false, 0, xcall_Akonadi__CollectionFetchScope, xenum_Akonadi__CollectionFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionFetchScope) },	//31
    { "Akonadi::CollectionFilterProxyModel", false, 8, xcall_Akonadi__CollectionFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFilterProxyModel) },	//32
    { "Akonadi::CollectionModel", false, 12, xcall_Akonadi__CollectionModel, xenum_Akonadi__CollectionModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModel) },	//33
    { "Akonadi::CollectionModelPrivate", true, 0, 0, 0, 0, 0 },	//34
    { "Akonadi::CollectionModifyJob", false, 26, xcall_Akonadi__CollectionModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModifyJob) },	//35
    { "Akonadi::CollectionMoveJob", false, 26, xcall_Akonadi__CollectionMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionMoveJob) },	//36
    { "Akonadi::CollectionPropertiesDialog", false, 18, xcall_Akonadi__CollectionPropertiesDialog, xenum_Akonadi__CollectionPropertiesDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesDialog) },	//37
    { "Akonadi::CollectionPropertiesPage", false, 14, xcall_Akonadi__CollectionPropertiesPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPage) },	//38
    { "Akonadi::CollectionPropertiesPageFactory", false, 0, xcall_Akonadi__CollectionPropertiesPageFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPageFactory) },	//39
    { "Akonadi::CollectionQuotaAttribute", false, 1, xcall_Akonadi__CollectionQuotaAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionQuotaAttribute) },	//40
    { "Akonadi::CollectionRequester", false, 28, xcall_Akonadi__CollectionRequester, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionRequester) },	//41
    { "Akonadi::CollectionStatistics", false, 0, xcall_Akonadi__CollectionStatistics, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionStatistics) },	//42
    { "Akonadi::CollectionStatisticsDelegate", false, 30, xcall_Akonadi__CollectionStatisticsDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsDelegate) },	//43
    { "Akonadi::CollectionStatisticsJob", false, 26, xcall_Akonadi__CollectionStatisticsJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsJob) },	//44
    { "Akonadi::CollectionStatisticsModel", false, 32, xcall_Akonadi__CollectionStatisticsModel, xenum_Akonadi__CollectionStatisticsModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsModel) },	//45
    { "Akonadi::CollectionView", false, 34, xcall_Akonadi__CollectionView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionView) },	//46
    { "Akonadi::ContactDefaultActions", false, 16, xcall_Akonadi__ContactDefaultActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactDefaultActions) },	//47
    { "Akonadi::ContactEditor", false, 14, xcall_Akonadi__ContactEditor, xenum_Akonadi__ContactEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditor) },	//48
    { "Akonadi::ContactEditorDialog", false, 18, xcall_Akonadi__ContactEditorDialog, xenum_Akonadi__ContactEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorDialog) },	//49
    { "Akonadi::ContactEditorPagePlugin", false, 14, xcall_Akonadi__ContactEditorPagePlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorPagePlugin) },	//50
    { "Akonadi::ContactGroupEditor", false, 14, xcall_Akonadi__ContactGroupEditor, xenum_Akonadi__ContactGroupEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditor) },	//51
    { "Akonadi::ContactGroupEditorDialog", false, 18, xcall_Akonadi__ContactGroupEditorDialog, xenum_Akonadi__ContactGroupEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditorDialog) },	//52
    { "Akonadi::ContactGroupExpandJob", false, 10, xcall_Akonadi__ContactGroupExpandJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupExpandJob) },	//53
    { "Akonadi::ContactGroupSearchJob", false, 36, xcall_Akonadi__ContactGroupSearchJob, xenum_Akonadi__ContactGroupSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupSearchJob) },	//54
    { "Akonadi::ContactGroupViewer", false, 38, xcall_Akonadi__ContactGroupViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewer) },	//55
    { "Akonadi::ContactGroupViewerDialog", false, 18, xcall_Akonadi__ContactGroupViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewerDialog) },	//56
    { "Akonadi::ContactSearchJob", false, 36, xcall_Akonadi__ContactSearchJob, xenum_Akonadi__ContactSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactSearchJob) },	//57
    { "Akonadi::ContactViewer", false, 38, xcall_Akonadi__ContactViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewer) },	//58
    { "Akonadi::ContactViewerDialog", false, 18, xcall_Akonadi__ContactViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewerDialog) },	//59
    { "Akonadi::Control", false, 16, xcall_Akonadi__Control, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Control) },	//60
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//61
    { "Akonadi::EntityDisplayAttribute", false, 1, xcall_Akonadi__EntityDisplayAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityDisplayAttribute) },	//62
    { "Akonadi::EntityHiddenAttribute", false, 1, xcall_Akonadi__EntityHiddenAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityHiddenAttribute) },	//63
    { "Akonadi::EntityListView", false, 41, xcall_Akonadi__EntityListView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityListView) },	//64
    { "Akonadi::EntityMimeTypeFilterModel", false, 8, xcall_Akonadi__EntityMimeTypeFilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityMimeTypeFilterModel) },	//65
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//66
    { "Akonadi::EntityTreeModel", false, 12, xcall_Akonadi__EntityTreeModel, xenum_Akonadi__EntityTreeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeModel) },	//67
    { "Akonadi::EntityTreeModelPrivate", true, 0, 0, 0, 0, 0 },	//68
    { "Akonadi::EntityTreeView", false, 34, xcall_Akonadi__EntityTreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeView) },	//69
    { "Akonadi::EntityTreeViewStateSaver", false, 16, xcall_Akonadi__EntityTreeViewStateSaver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeViewStateSaver) },	//70
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//71
    { "Akonadi::FavoriteCollectionsModel", false, 43, xcall_Akonadi__FavoriteCollectionsModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::FavoriteCollectionsModel) },	//72
    { "Akonadi::Item", false, 22, xcall_Akonadi__Item, xenum_Akonadi__Item, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Item) },	//73
    { "Akonadi::ItemCopyJob", false, 26, xcall_Akonadi__ItemCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCopyJob) },	//74
    { "Akonadi::ItemCreateJob", false, 26, xcall_Akonadi__ItemCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCreateJob) },	//75
    { "Akonadi::ItemDeleteJob", false, 26, xcall_Akonadi__ItemDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemDeleteJob) },	//76
    { "Akonadi::ItemFetchJob", false, 26, xcall_Akonadi__ItemFetchJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemFetchJob) },	//77
    { "Akonadi::ItemFetchScope", false, 0, xcall_Akonadi__ItemFetchScope, xenum_Akonadi__ItemFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::ItemFetchScope) },	//78
    { "Akonadi::ItemModel", false, 45, xcall_Akonadi__ItemModel, xenum_Akonadi__ItemModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModel) },	//79
    { "Akonadi::ItemModifyJob", false, 26, xcall_Akonadi__ItemModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModifyJob) },	//80
    { "Akonadi::ItemMonitor", false, 0, xcall_Akonadi__ItemMonitor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMonitor) },	//81
    { "Akonadi::ItemMoveJob", false, 26, xcall_Akonadi__ItemMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMoveJob) },	//82
    { "Akonadi::ItemSearchJob", false, 26, xcall_Akonadi__ItemSearchJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSearchJob) },	//83
    { "Akonadi::ItemSerializerPlugin", false, 0, xcall_Akonadi__ItemSerializerPlugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPlugin) },	//84
    { "Akonadi::ItemSerializerPluginV2", false, 47, xcall_Akonadi__ItemSerializerPluginV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPluginV2) },	//85
    { "Akonadi::ItemSync", false, 26, xcall_Akonadi__ItemSync, xenum_Akonadi__ItemSync, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSync) },	//86
    { "Akonadi::ItemView", false, 34, xcall_Akonadi__ItemView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemView) },	//87
    { "Akonadi::Job", false, 49, xcall_Akonadi__Job, xenum_Akonadi__Job, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Job) },	//88
    { "Akonadi::JobPrivate", true, 0, 0, 0, 0, 0 },	//89
    { "Akonadi::LinkJob", false, 26, xcall_Akonadi__LinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::LinkJob) },	//90
    { "Akonadi::MessageFolderAttribute", false, 1, xcall_Akonadi__MessageFolderAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageFolderAttribute) },	//91
    { "Akonadi::MessageModel", false, 51, xcall_Akonadi__MessageModel, xenum_Akonadi__MessageModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageModel) },	//92
    { "Akonadi::MessageThreaderProxyModel", false, 53, xcall_Akonadi__MessageThreaderProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageThreaderProxyModel) },	//93
    { "Akonadi::MessageThreadingAttribute", false, 1, xcall_Akonadi__MessageThreadingAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageThreadingAttribute) },	//94
    { "Akonadi::MimeTypeChecker", false, 0, xcall_Akonadi__MimeTypeChecker, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::MimeTypeChecker) },	//95
    { "Akonadi::Monitor", false, 16, xcall_Akonadi__Monitor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Monitor) },	//96
    { "Akonadi::MonitorPrivate", true, 0, 0, 0, 0, 0 },	//97
    { "Akonadi::PartFetcher", false, 10, xcall_Akonadi__PartFetcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PartFetcher) },	//98
    { "Akonadi::PayloadBase", false, 0, xcall_Akonadi__PayloadBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadBase) },	//99
    { "Akonadi::PayloadException", false, 55, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//100
    { "Akonadi::PreprocessorBase", false, 57, xcall_Akonadi__PreprocessorBase, xenum_Akonadi__PreprocessorBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PreprocessorBase) },	//101
    { "Akonadi::ResourceBase", false, 57, xcall_Akonadi__ResourceBase, xenum_Akonadi__ResourceBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceBase) },	//102
    { "Akonadi::ResourceSynchronizationJob", false, 10, xcall_Akonadi__ResourceSynchronizationJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceSynchronizationJob) },	//103
    { "Akonadi::SearchCreateJob", false, 26, xcall_Akonadi__SearchCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SearchCreateJob) },	//104
    { "Akonadi::SelectionProxyModel", false, 59, xcall_Akonadi__SelectionProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SelectionProxyModel) },	//105
    { "Akonadi::ServerManager", false, 16, xcall_Akonadi__ServerManager, xenum_Akonadi__ServerManager, Smoke::cf_virtual, sizeof(Akonadi::ServerManager) },	//106
    { "Akonadi::Session", false, 16, xcall_Akonadi__Session, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Session) },	//107
    { "Akonadi::SessionPrivate", true, 0, 0, 0, 0, 0 },	//108
    { "Akonadi::StandardActionManager", false, 16, xcall_Akonadi__StandardActionManager, xenum_Akonadi__StandardActionManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StandardActionManager) },	//109
    { "Akonadi::StatisticsProxyModel", false, 8, xcall_Akonadi__StatisticsProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StatisticsProxyModel) },	//110
    { "Akonadi::TransactionBeginJob", false, 26, xcall_Akonadi__TransactionBeginJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionBeginJob) },	//111
    { "Akonadi::TransactionCommitJob", false, 26, xcall_Akonadi__TransactionCommitJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionCommitJob) },	//112
    { "Akonadi::TransactionRollbackJob", false, 26, xcall_Akonadi__TransactionRollbackJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionRollbackJob) },	//113
    { "Akonadi::TransactionSequence", false, 26, xcall_Akonadi__TransactionSequence, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionSequence) },	//114
    { "Akonadi::TransportResourceBase", false, 0, xcall_Akonadi__TransportResourceBase, xenum_Akonadi__TransportResourceBase, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::TransportResourceBase) },	//115
    { "Akonadi::UnlinkJob", false, 26, xcall_Akonadi__UnlinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::UnlinkJob) },	//116
    { "KABC::Address", true, 0, 0, 0, 0, 0 },	//117
    { "KABC::Addressee", true, 0, 0, 0, 0, 0 },	//118
    { "KABC::AddresseeList", true, 0, 0, 0, 0, 0 },	//119
    { "KABC::ContactGroup", true, 0, 0, 0, 0, 0 },	//120
    { "KABC::Geo", true, 0, 0, 0, 0, 0 },	//121
    { "KABC::Key", true, 0, 0, 0, 0, 0 },	//122
    { "KABC::PhoneNumber", true, 0, 0, 0, 0, 0 },	//123
    { "KABC::Picture", true, 0, 0, 0, 0, 0 },	//124
    { "KABC::Secrecy", true, 0, 0, 0, 0, 0 },	//125
    { "KABC::Sound", true, 0, 0, 0, 0, 0 },	//126
    { "KABC::TimeZone", true, 0, 0, 0, 0, 0 },	//127
    { "KAction", true, 0, 0, 0, 0, 0 },	//128
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//129
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//130
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//131
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//132
    { "KCompletionBase", true, 0, 0, 0, 0, 0 },	//133
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//134
    { "KCompositeJob", true, 0, 0, 0, 0, 0 },	//135
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//136
    { "KDialog", true, 0, 0, 0, 0, 0 },	//137
    { "KHBox", true, 0, 0, 0, 0, 0 },	//138
    { "KIcon", true, 0, 0, 0, 0, 0 },	//139
    { "KJob", true, 0, 0, 0, 0, 0 },	//140
    { "KLocale", true, 0, 0, 0, 0, 0 },	//141
    { "KLocalizedString", true, 0, 0, 0, 0, 0 },	//142
    { "KSelectionProxyModel", true, 0, 0, 0, 0, 0 },	//143
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//144
    { "KUrl", true, 0, 0, 0, 0, 0 },	//145
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//146
    { "KXmlGuiWindow", true, 0, 0, 0, 0, 0 },	//147
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//148
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//149
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//150
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//151
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//152
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//153
    { "QBool", true, 0, 0, 0, 0, 0 },	//154
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//155
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//156
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//157
    { "QColor", true, 0, 0, 0, 0, 0 },	//158
    { "QComboBox", true, 0, 0, 0, 0, 0 },	//159
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//160
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//161
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//162
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//163
    { "QDialog", true, 0, 0, 0, 0, 0 },	//164
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//165
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//166
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//167
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//168
    { "QEvent", true, 0, 0, 0, 0, 0 },	//169
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//170
    { "QFont", true, 0, 0, 0, 0, 0 },	//171
    { "QFrame", true, 0, 0, 0, 0, 0 },	//172
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//173
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//174
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//175
    { "QIcon", true, 0, 0, 0, 0, 0 },	//176
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//177
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//178
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//179
    { "QItemSelectionModel", true, 0, 0, 0, 0, 0 },	//180
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//181
    { "QLineEdit", true, 0, 0, 0, 0, 0 },	//182
    { "QListView", true, 0, 0, 0, 0, 0 },	//183
    { "QLocale", true, 0, 0, 0, 0, 0 },	//184
    { "QMenu", true, 0, 0, 0, 0, 0 },	//185
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//186
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//187
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//188
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//189
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//190
    { "QObject", true, 0, 0, 0, 0, 0 },	//191
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//192
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//193
    { "QPainter", true, 0, 0, 0, 0, 0 },	//194
    { "QPalette", true, 0, 0, 0, 0, 0 },	//195
    { "QPoint", true, 0, 0, 0, 0, 0 },	//196
    { "QRect", true, 0, 0, 0, 0, 0 },	//197
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//198
    { "QRegion", true, 0, 0, 0, 0, 0 },	//199
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//200
    { "QSettings", true, 0, 0, 0, 0, 0 },	//201
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//202
    { "QSize", true, 0, 0, 0, 0, 0 },	//203
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//204
    { "QStyle", true, 0, 0, 0, 0, 0 },	//205
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//206
    { "QStyledItemDelegate", true, 0, 0, 0, 0, 0 },	//207
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//208
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//209
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//210
    { "QUrl", true, 0, 0, 0, 0, 0 },	//211
    { "QVariant", true, 0, 0, 0, 0, 0 },	//212
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//213
    { "QWidget", true, 0, 0, 0, 0, 0 },	//214
    { "boost::exception", true, 0, 0, 0, 0, 0 },	//215
    { "boost::exception_detail::large_size", true, 0, 0, 0, 0, 0 },	//216
    { "boost::exception_detail::small_size", true, 0, 0, 0, 0, 0 },	//217
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AbstractContactEditorWidget*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AbstractContactFormatter*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AbstractContactGroupFormatter*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AddressAttribute*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Akonadi::AgentBase*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentBase::Observer*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentBase::ObserverV2*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Akonadi::AgentBase::Status", 5, Smoke::t_enum|Smoke::tf_stack },	//8
    { "Akonadi::AgentBasePrivate*", 8, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentFilterProxyModel*", 9, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Akonadi::AgentInstance", 10, Smoke::t_class|Smoke::tf_stack },	//11
    { "Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref },	//12
    { "Akonadi::AgentInstance*", 10, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Akonadi::AgentInstance::Status", 10, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Akonadi::AgentInstanceCreateJob*", 11, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentInstanceModel*", 12, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Akonadi::AgentInstanceModel::Roles", 12, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Akonadi::AgentInstanceWidget*", 13, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentManager*", 14, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentType", 15, Smoke::t_class|Smoke::tf_stack },	//20
    { "Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref },	//21
    { "Akonadi::AgentType*", 15, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::AgentTypeDialog*", 16, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AgentTypeModel*", 17, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::AgentTypeModel::Roles", 17, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Akonadi::AgentTypeWidget*", 18, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Akonadi::Attribute*", 19, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::AttributeFactory*", 20, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::CachePolicy", 21, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::CachePolicy*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::ChangeRecorder*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Akonadi::ChangeRecorderPrivate*", 23, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Akonadi::Collection", 24, Smoke::t_class|Smoke::tf_stack },	//34
    { "Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref },	//35
    { "Akonadi::Collection*", 24, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Akonadi::Collection::Id", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "Akonadi::Collection::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "Akonadi::Collection::Right", 24, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Akonadi::Collection::UrlType", 24, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Akonadi::CollectionComboBox*", 25, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Akonadi::CollectionCopyJob*", 26, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Akonadi::CollectionCreateJob*", 27, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Akonadi::CollectionDeleteJob*", 28, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Akonadi::CollectionDialog*", 29, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Akonadi::CollectionDialog::CollectionDialogOption", 29, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Akonadi::CollectionFetchJob*", 30, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Akonadi::CollectionFetchJob::Type", 30, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref },	//49
    { "Akonadi::CollectionFetchScope*", 31, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Akonadi::CollectionFetchScope::AncestorRetrieval", 31, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Akonadi::CollectionFilterProxyModel*", 32, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Akonadi::CollectionModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Akonadi::CollectionModel::Roles", 33, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Akonadi::CollectionModelPrivate*", 34, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Akonadi::CollectionModifyJob*", 35, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Akonadi::CollectionMoveJob*", 36, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Akonadi::CollectionPropertiesDialog*", 37, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Akonadi::CollectionPropertiesDialog::DefaultPage", 37, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Akonadi::CollectionPropertiesPage*", 38, Smoke::t_class|Smoke::tf_ptr },	//60
    { "Akonadi::CollectionPropertiesPageFactory*", 39, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Akonadi::CollectionQuotaAttribute*", 40, Smoke::t_class|Smoke::tf_ptr },	//62
    { "Akonadi::CollectionRequester*", 41, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Akonadi::CollectionStatistics", 42, Smoke::t_class|Smoke::tf_stack },	//64
    { "Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref },	//65
    { "Akonadi::CollectionStatistics*", 42, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Akonadi::CollectionStatisticsDelegate*", 43, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Akonadi::CollectionStatisticsJob*", 44, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Akonadi::CollectionStatisticsModel*", 45, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Akonadi::CollectionStatisticsModel::Roles", 45, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Akonadi::CollectionView*", 46, Smoke::t_class|Smoke::tf_ptr },	//71
    { "Akonadi::ContactDefaultActions*", 47, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Akonadi::ContactEditor*", 48, Smoke::t_class|Smoke::tf_ptr },	//73
    { "Akonadi::ContactEditor::Mode", 48, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Akonadi::ContactEditorDialog*", 49, Smoke::t_class|Smoke::tf_ptr },	//75
    { "Akonadi::ContactEditorDialog::Mode", 49, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Akonadi::ContactEditorPagePlugin*", 50, Smoke::t_class|Smoke::tf_ptr },	//77
    { "Akonadi::ContactGroupEditor*", 51, Smoke::t_class|Smoke::tf_ptr },	//78
    { "Akonadi::ContactGroupEditor::Mode", 51, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Akonadi::ContactGroupEditorDialog*", 52, Smoke::t_class|Smoke::tf_ptr },	//80
    { "Akonadi::ContactGroupEditorDialog::Mode", 52, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Akonadi::ContactGroupExpandJob*", 53, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Akonadi::ContactGroupSearchJob*", 54, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Akonadi::ContactGroupSearchJob::Criterion", 54, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Akonadi::ContactGroupSearchJob::Match", 54, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Akonadi::ContactGroupViewer*", 55, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Akonadi::ContactGroupViewerDialog*", 56, Smoke::t_class|Smoke::tf_ptr },	//87
    { "Akonadi::ContactSearchJob*", 57, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Akonadi::ContactSearchJob::Criterion", 57, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Akonadi::ContactSearchJob::Match", 57, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Akonadi::ContactViewer*", 58, Smoke::t_class|Smoke::tf_ptr },	//91
    { "Akonadi::ContactViewerDialog*", 59, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Akonadi::Control*", 60, Smoke::t_class|Smoke::tf_ptr },	//93
    { "Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref },	//94
    { "Akonadi::Entity*", 61, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Akonadi::Entity::CreateOption", 61, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Akonadi::EntityDisplayAttribute*", 62, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Akonadi::EntityHiddenAttribute*", 63, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Akonadi::EntityListView*", 64, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Akonadi::EntityMimeTypeFilterModel*", 65, Smoke::t_class|Smoke::tf_ptr },	//100
    { "Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Akonadi::EntityTreeModel*", 67, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Akonadi::EntityTreeModel::CollectionFetchStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Akonadi::EntityTreeModel::FetchState", 67, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Akonadi::EntityTreeModel::HeaderGroup", 67, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Akonadi::EntityTreeModel::ItemPopulationStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Akonadi::EntityTreeModel::Roles", 67, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Akonadi::EntityTreeView*", 69, Smoke::t_class|Smoke::tf_ptr },	//109
    { "Akonadi::EntityTreeViewStateSaver*", 70, Smoke::t_class|Smoke::tf_ptr },	//110
    { "Akonadi::Exception*", 71, Smoke::t_class|Smoke::tf_ptr },	//111
    { "Akonadi::FavoriteCollectionsModel*", 72, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Akonadi::Item", 73, Smoke::t_class|Smoke::tf_stack },	//113
    { "Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref },	//114
    { "Akonadi::Item*", 73, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Akonadi::Item::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "Akonadi::Item::UrlType", 73, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Akonadi::ItemCopyJob*", 74, Smoke::t_class|Smoke::tf_ptr },	//118
    { "Akonadi::ItemCreateJob*", 75, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Akonadi::ItemDeleteJob*", 76, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Akonadi::ItemFetchJob*", 77, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref },	//122
    { "Akonadi::ItemFetchScope*", 78, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Akonadi::ItemFetchScope::AncestorRetrieval", 78, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Akonadi::ItemModel*", 79, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Akonadi::ItemModel::Column", 79, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Akonadi::ItemModel::Roles", 79, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Akonadi::ItemModifyJob*", 80, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Akonadi::ItemMonitor*", 81, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Akonadi::ItemMoveJob*", 82, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Akonadi::ItemSearchJob*", 83, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Akonadi::ItemSerializerPlugin*", 84, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Akonadi::ItemSerializerPluginV2*", 85, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Akonadi::ItemSync*", 86, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Akonadi::ItemSync::TransactionMode", 86, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Akonadi::ItemView*", 87, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Akonadi::Job*", 88, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Akonadi::Job::Error", 88, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Akonadi::JobPrivate*", 89, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Akonadi::LinkJob*", 90, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Akonadi::MessageFolderAttribute*", 91, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Akonadi::MessageModel*", 92, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Akonadi::MessageModel::Column", 92, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Akonadi::MessageThreaderProxyModel*", 93, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Akonadi::MessageThreadingAttribute*", 94, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref },	//146
    { "Akonadi::MimeTypeChecker*", 95, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Akonadi::Monitor*", 96, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Akonadi::MonitorPrivate*", 97, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Akonadi::PartFetcher*", 98, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Akonadi::PayloadBase*", 99, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Akonadi::PayloadException*", 100, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Akonadi::PreprocessorBase*", 101, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Akonadi::PreprocessorBase::ProcessingResult", 101, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Akonadi::ResourceBase*", 102, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Akonadi::ResourceBase::SchedulePriority", 102, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Akonadi::ResourceSynchronizationJob*", 103, Smoke::t_class|Smoke::tf_ptr },	//157
    { "Akonadi::SearchCreateJob*", 104, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Akonadi::SelectionProxyModel*", 105, Smoke::t_class|Smoke::tf_ptr },	//159
    { "Akonadi::ServerManager*", 106, Smoke::t_class|Smoke::tf_ptr },	//160
    { "Akonadi::ServerManager::State", 106, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Akonadi::Session*", 107, Smoke::t_class|Smoke::tf_ptr },	//162
    { "Akonadi::SessionPrivate*", 108, Smoke::t_class|Smoke::tf_ptr },	//163
    { "Akonadi::StandardActionManager*", 109, Smoke::t_class|Smoke::tf_ptr },	//164
    { "Akonadi::StandardActionManager::TextContext", 109, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Akonadi::StandardActionManager::Type", 109, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Akonadi::StatisticsProxyModel*", 110, Smoke::t_class|Smoke::tf_ptr },	//167
    { "Akonadi::TransactionBeginJob*", 111, Smoke::t_class|Smoke::tf_ptr },	//168
    { "Akonadi::TransactionCommitJob*", 112, Smoke::t_class|Smoke::tf_ptr },	//169
    { "Akonadi::TransactionRollbackJob*", 113, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Akonadi::TransactionSequence*", 114, Smoke::t_class|Smoke::tf_ptr },	//171
    { "Akonadi::TransportResourceBase*", 115, Smoke::t_class|Smoke::tf_ptr },	//172
    { "Akonadi::TransportResourceBase::TransportResult", 115, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Akonadi::UnlinkJob*", 116, Smoke::t_class|Smoke::tf_ptr },	//174
    { "KABC::Address", 117, Smoke::t_class|Smoke::tf_stack },	//175
    { "KABC::Address&", 117, Smoke::t_class|Smoke::tf_ref },	//176
    { "KABC::Address::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "KABC::Addressee", 118, Smoke::t_class|Smoke::tf_stack },	//178
    { "KABC::Addressee&", 118, Smoke::t_class|Smoke::tf_ref },	//179
    { "KABC::AddresseeList", 119, Smoke::t_class|Smoke::tf_stack },	//180
    { "KABC::Geo&", 121, Smoke::t_class|Smoke::tf_ref },	//181
    { "KABC::Key&", 122, Smoke::t_class|Smoke::tf_ref },	//182
    { "KABC::PhoneNumber", 123, Smoke::t_class|Smoke::tf_stack },	//183
    { "KABC::PhoneNumber::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//184
    { "KABC::Picture&", 124, Smoke::t_class|Smoke::tf_ref },	//185
    { "KABC::Secrecy&", 125, Smoke::t_class|Smoke::tf_ref },	//186
    { "KABC::SortingCriterion", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "KABC::Sound&", 126, Smoke::t_class|Smoke::tf_ref },	//188
    { "KABC::TimeZone&", 127, Smoke::t_class|Smoke::tf_ref },	//189
    { "KAction*", 128, Smoke::t_class|Smoke::tf_ptr },	//190
    { "KActionCollection*", 129, Smoke::t_class|Smoke::tf_ptr },	//191
    { "KCharsets*", 130, Smoke::t_class|Smoke::tf_ptr },	//192
    { "KCompletion*", 132, Smoke::t_class|Smoke::tf_ptr },	//193
    { "KComponentData", 134, Smoke::t_class|Smoke::tf_stack },	//194
    { "KConfigGroup&", 136, Smoke::t_class|Smoke::tf_ref },	//195
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "KGlobalSettings::Completion", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "KIcon", 139, Smoke::t_class|Smoke::tf_stack },	//198
    { "KJob*", 140, Smoke::t_class|Smoke::tf_ptr },	//199
    { "KLocale*", 141, Smoke::t_class|Smoke::tf_ptr },	//200
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//201
    { "KStandardDirs*", 144, Smoke::t_class|Smoke::tf_ptr },	//202
    { "KUrl", 145, Smoke::t_class|Smoke::tf_stack },	//203
    { "KXMLGUIClient*", 146, Smoke::t_class|Smoke::tf_ptr },	//204
    { "KXmlGuiWindow*", 147, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QAbstractItemDelegate::EndEditHint", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QAbstractItemModel*", 148, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QAbstractItemView*", 149, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QAbstractItemView::CursorAction", 149, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QAbstractItemView::EditTrigger", 149, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QAbstractItemView::ScrollHint", 149, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QAbstractItemView::SelectionMode", 149, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QActionEvent*", 153, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QBool", 154, Smoke::t_class|Smoke::tf_stack },	//214
    { "QByteArray", 155, Smoke::t_class|Smoke::tf_stack },	//215
    { "QChildEvent*", 156, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QCloseEvent*", 157, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QColor", 158, Smoke::t_class|Smoke::tf_stack },	//218
    { "QContextMenuEvent*", 160, Smoke::t_class|Smoke::tf_ptr },	//219
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QDataStream&", 162, Smoke::t_class|Smoke::tf_ref },	//221
    { "QDateTime", 163, Smoke::t_class|Smoke::tf_stack },	//222
    { "QDragEnterEvent*", 165, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QDragLeaveEvent*", 166, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QDragMoveEvent*", 167, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QDropEvent*", 168, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QEvent*", 169, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QFlags<Akonadi::Collection::Right>", 0, Smoke::t_uint|Smoke::tf_stack },	//228
    { "QFlags<Akonadi::CollectionDialog::CollectionDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//229
    { "QFlags<KABC::Address::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//230
    { "QFlags<KABC::PhoneNumber::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//231
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//232
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//233
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//234
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//235
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//236
    { "QFocusEvent*", 170, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QHideEvent*", 174, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QIODevice&", 175, Smoke::t_class|Smoke::tf_ref },	//239
    { "QIcon", 176, Smoke::t_class|Smoke::tf_stack },	//240
    { "QIncompatibleFlag", 177, Smoke::t_class|Smoke::tf_stack },	//241
    { "QInputMethodEvent*", 178, Smoke::t_class|Smoke::tf_ptr },	//242
    { "QItemSelection", 179, Smoke::t_class|Smoke::tf_stack },	//243
    { "QItemSelectionModel*", 180, Smoke::t_class|Smoke::tf_ptr },	//244
    { "QKeyEvent*", 181, Smoke::t_class|Smoke::tf_ptr },	//245
    { "QLineEdit*", 182, Smoke::t_class|Smoke::tf_ptr },	//246
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QList<Akonadi::Collection::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QList<Akonadi::Collection>", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "QList<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//252
    { "QList<Akonadi::Item>", 0, Smoke::t_voidp|Smoke::tf_stack },	//253
    { "QList<KABC::ContactGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//254
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//255
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "QMenu*", 185, Smoke::t_class|Smoke::tf_ptr },	//258
    { "QMetaObject::Call", 186, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QMimeData*", 187, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QModelIndex", 188, Smoke::t_class|Smoke::tf_stack },	//261
    { "QMouseEvent*", 189, Smoke::t_class|Smoke::tf_ptr },	//262
    { "QMoveEvent*", 190, Smoke::t_class|Smoke::tf_ptr },	//263
    { "QObject*", 191, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QPaintEngine*", 192, Smoke::t_class|Smoke::tf_ptr },	//266
    { "QPaintEvent*", 193, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QPainter*", 194, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QRect", 197, Smoke::t_class|Smoke::tf_stack },	//269
    { "QRegExp&", 198, Smoke::t_class|Smoke::tf_ref },	//270
    { "QRegion", 199, Smoke::t_class|Smoke::tf_stack },	//271
    { "QResizeEvent*", 200, Smoke::t_class|Smoke::tf_ptr },	//272
    { "QSet<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//273
    { "QSettings*", 201, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QShowEvent*", 202, Smoke::t_class|Smoke::tf_ptr },	//275
    { "QSize", 203, Smoke::t_class|Smoke::tf_stack },	//276
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//277
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//278
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//279
    { "QStyle&", 205, Smoke::t_class|Smoke::tf_ref },	//280
    { "QStyleOptionViewItem", 206, Smoke::t_class|Smoke::tf_stack },	//281
    { "QStyleOptionViewItem*", 206, Smoke::t_class|Smoke::tf_ptr },	//282
    { "QTabletEvent*", 208, Smoke::t_class|Smoke::tf_ptr },	//283
    { "QTimerEvent*", 209, Smoke::t_class|Smoke::tf_ptr },	//284
    { "QTreeView*", 210, Smoke::t_class|Smoke::tf_ptr },	//285
    { "QUrl", 211, Smoke::t_class|Smoke::tf_stack },	//286
    { "QVariant", 212, Smoke::t_class|Smoke::tf_stack },	//287
    { "QVariantMap", 0, Smoke::t_voidp|Smoke::tf_stack },	//288
    { "QVector<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//289
    { "QVector<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//290
    { "QWheelEvent*", 213, Smoke::t_class|Smoke::tf_ptr },	//291
    { "QWidget*", 214, Smoke::t_class|Smoke::tf_ptr },	//292
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "QtMsgType", 173, Smoke::t_enum|Smoke::tf_stack },	//365
    { "QtValidLicenseForActiveQtModule", 173, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QtValidLicenseForCoreModule", 173, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtValidLicenseForDBusModule", 173, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtValidLicenseForDeclarativeModule", 173, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtValidLicenseForGuiModule", 173, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForHelpModule", 173, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtValidLicenseForMultimediaModule", 173, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtValidLicenseForNetworkModule", 173, Smoke::t_enum|Smoke::tf_stack },	//373
    { "QtValidLicenseForOpenGLModule", 173, Smoke::t_enum|Smoke::tf_stack },	//374
    { "QtValidLicenseForOpenVGModule", 173, Smoke::t_enum|Smoke::tf_stack },	//375
    { "QtValidLicenseForQt3SupportLightModule", 173, Smoke::t_enum|Smoke::tf_stack },	//376
    { "QtValidLicenseForQt3SupportModule", 173, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtValidLicenseForScriptModule", 173, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QtValidLicenseForScriptToolsModule", 173, Smoke::t_enum|Smoke::tf_stack },	//379
    { "QtValidLicenseForSqlModule", 173, Smoke::t_enum|Smoke::tf_stack },	//380
    { "QtValidLicenseForSvgModule", 173, Smoke::t_enum|Smoke::tf_stack },	//381
    { "QtValidLicenseForTestModule", 173, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtValidLicenseForXmlModule", 173, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtValidLicenseForXmlPatternsModule", 173, Smoke::t_enum|Smoke::tf_stack },	//384
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//385
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//386
    { "__codecvt_result", 173, Smoke::t_enum|Smoke::tf_stack },	//387
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//388
    { "boost::exception*", 215, Smoke::t_class|Smoke::tf_ptr },	//389
    { "boost::exception_detail::large_size", 216, Smoke::t_class|Smoke::tf_stack },	//390
    { "boost::exception_detail::small_size", 217, Smoke::t_class|Smoke::tf_stack },	//391
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//392
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//393
    { "const Akonadi::AddressAttribute&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const Akonadi::AgentBase::Observer&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const Akonadi::AgentBase::ObserverV2&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const Akonadi::Attribute&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const Akonadi::AttributeFactory&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const Akonadi::Collection::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//403
    { "const Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const Akonadi::CollectionPropertiesPageFactory&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const Akonadi::CollectionQuotaAttribute&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const Akonadi::EntityDisplayAttribute&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const Akonadi::EntityHiddenAttribute&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//411
    { "const Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//412
    { "const Akonadi::Exception&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const Akonadi::Item::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//415
    { "const Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const Akonadi::ItemSerializerPlugin&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const Akonadi::ItemSerializerPluginV2&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const Akonadi::MessageFolderAttribute&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const Akonadi::MessageThreadingAttribute&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const Akonadi::PayloadBase&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const Akonadi::PayloadException&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const Akonadi::TransportResourceBase&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const KABC::Address&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const KABC::Addressee&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const KABC::ContactGroup&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const KABC::Geo&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const KABC::Key&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const KABC::PhoneNumber&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const KABC::Picture&", 124, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const KABC::Secrecy&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const KABC::Sound&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const KABC::TimeZone&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const KComponentData&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const KConfigGroup&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const KLocalizedString&", 142, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const KUrl&", 145, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QAbstractItemModel*", 148, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//439
    { "const QByteArray&", 155, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QColor&", 158, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QDateTime&", 163, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QEvent*", 169, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//443
    { "const QFont&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QItemSelection&", 179, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QList<Akonadi::Collection::Id>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QList<Akonadi::Collection>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QList<Akonadi::Item::Id>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QList<Akonadi::Item>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QLocale&", 184, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QMetaObject&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QMetaObject*", 186, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//454
    { "const QMimeData*", 187, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//455
    { "const QModelIndex&", 188, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QObject*", 191, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//457
    { "const QPalette&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QPoint&", 196, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QRect&", 197, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QRegExp&", 198, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//465
    { "const QStyleOptionViewItem&", 206, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QVariant&", 212, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//468
    { "const boost::exception&", 215, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const boost::exception*", 215, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//470
    { "const boost::shared_ptr<T>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//472
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//473
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//475
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//476
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//477
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//478
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//479
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//480
    { "qlonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//481
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//482
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//483
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//484
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//485
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//486
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//487
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    463, 464, 464, 464, 0,	//1  const QString&, const QStringList&, const QStringList&, const QStringList&
    440, 0,	//6  const QByteArray&
    463, 0,	//8  const QString&
    464, 0,	//10  const QStringList&
    394, 0,	//12  const Akonadi::AddressAttribute&
    463, 464, 0,	//14  const QString&, const QStringList&
    463, 464, 464, 0,	//17  const QString&, const QStringList&, const QStringList&
    472, 0,	//21  const char*
    472, 472, 0,	//23  const char*, const char*
    472, 472, 476, 0,	//26  const char*, const char*, int
    259, 476, 486, 0,	//30  QMetaObject::Call, int, void**
    385, 0,	//34  WId
    6, 0,	//36  Akonadi::AgentBase::Observer*
    476, 463, 0,	//38  int, const QString&
    476, 0,	//41  int
    468, 0,	//43  const QVariantMap&
    388, 0,	//45  bool
    9, 463, 0,	//47  Akonadi::AgentBasePrivate*, const QString&
    414, 402, 0,	//50  const Akonadi::Item&, const Akonadi::Collection&
    414, 462, 0,	//53  const Akonadi::Item&, const QSet<QByteArray>&
    414, 0,	//56  const Akonadi::Item&
    402, 402, 0,	//58  const Akonadi::Collection&, const Akonadi::Collection&
    402, 0,	//61  const Akonadi::Collection&
    395, 0,	//63  const Akonadi::AgentBase::Observer&
    414, 402, 402, 0,	//65  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    402, 402, 402, 0,	//69  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    402, 462, 0,	//73  const Akonadi::Collection&, const QSet<QByteArray>&
    396, 0,	//76  const Akonadi::AgentBase::ObserverV2&
    264, 0,	//78  QObject*
    476, 456, 0,	//80  int, const QModelIndex&
    397, 0,	//83  const Akonadi::AgentInstance&
    292, 0,	//85  QWidget*
    398, 264, 0,	//87  const Akonadi::AgentType&, QObject*
    463, 264, 0,	//90  const QString&, QObject*
    398, 0,	//93  const Akonadi::AgentType&
    456, 0,	//95  const QModelIndex&
    456, 476, 0,	//97  const QModelIndex&, int
    476, 339, 476, 0,	//100  int, Qt::Orientation, int
    476, 476, 456, 0,	//104  int, int, const QModelIndex&
    456, 467, 476, 0,	//108  const QModelIndex&, const QVariant&, int
    476, 339, 0,	//112  int, Qt::Orientation
    476, 476, 0,	//115  int, int
    397, 397, 0,	//118  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    402, 388, 0,	//121  const Akonadi::Collection&, bool
    397, 463, 0,	//124  const Akonadi::AgentInstance&, const QString&
    397, 388, 0,	//127  const Akonadi::AgentInstance&, bool
    398, 398, 0,	//130  const Akonadi::AgentType&, const Akonadi::AgentType&
    399, 0,	//133  const Akonadi::Attribute&
    400, 0,	//135  const Akonadi::AttributeFactory&
    401, 0,	//137  const Akonadi::CachePolicy&
    274, 0,	//139  QSettings*
    33, 264, 0,	//141  Akonadi::ChangeRecorderPrivate*, QObject*
    33, 0,	//144  Akonadi::ChangeRecorderPrivate*
    479, 0,	//146  long long
    438, 0,	//148  const KUrl&
    228, 0,	//150  QFlags<Akonadi::Collection::Right>
    407, 0,	//152  const Akonadi::CollectionStatistics&
    40, 0,	//154  Akonadi::Collection::UrlType
    207, 292, 0,	//156  QAbstractItemModel*, QWidget*
    207, 0,	//159  QAbstractItemModel*
    402, 402, 264, 0,	//161  const Akonadi::Collection&, const Akonadi::Collection&, QObject*
    402, 264, 0,	//165  const Akonadi::Collection&, QObject*
    440, 440, 0,	//168  const QByteArray&, const QByteArray&
    229, 207, 292, 0,	//171  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*
    212, 0,	//175  QAbstractItemView::SelectionMode
    229, 0,	//177  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>
    229, 207, 0,	//179  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*
    402, 48, 264, 0,	//182  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*
    447, 264, 0,	//186  const QList<Akonadi::Collection>&, QObject*
    447, 48, 264, 0,	//189  const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*
    446, 48, 264, 0,	//193  const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*
    404, 0,	//197  const Akonadi::CollectionFetchScope&
    403, 0,	//199  const Akonadi::Collection::List&
    199, 0,	//201  KJob*
    402, 48, 0,	//203  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type
    447, 0,	//206  const QList<Akonadi::Collection>&
    447, 48, 0,	//208  const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type
    446, 0,	//211  const QList<Akonadi::Collection::Id>&
    446, 48, 0,	//213  const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type
    51, 0,	//216  Akonadi::CollectionFetchScope::AncestorRetrieval
    476, 339, 467, 476, 0,	//218  int, Qt::Orientation, const QVariant&, int
    450, 0,	//223  const QList<QModelIndex>&
    455, 315, 476, 476, 456, 0,	//225  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    37, 0,	//231  Akonadi::Collection::Id
    55, 264, 0,	//233  Akonadi::CollectionModelPrivate*, QObject*
    476, 339, 467, 0,	//236  int, Qt::Orientation, const QVariant&
    456, 467, 0,	//240  const QModelIndex&, const QVariant&
    55, 0,	//243  Akonadi::CollectionModelPrivate*
    402, 292, 0,	//245  const Akonadi::Collection&, QWidget*
    402, 464, 292, 0,	//248  const Akonadi::Collection&, const QStringList&, QWidget*
    61, 0,	//252  Akonadi::CollectionPropertiesPageFactory*
    59, 0,	//254  Akonadi::CollectionPropertiesDialog::DefaultPage
    402, 464, 0,	//256  const Akonadi::Collection&, const QStringList&
    35, 0,	//259  Akonadi::Collection&
    405, 0,	//261  const Akonadi::CollectionPropertiesPageFactory&
    479, 479, 0,	//263  long long, long long
    406, 0,	//266  const Akonadi::CollectionQuotaAttribute&
    208, 0,	//268  QAbstractItemView*
    285, 0,	//270  QTreeView*
    268, 466, 456, 0,	//272  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    282, 456, 0,	//276  QStyleOptionViewItem*, const QModelIndex&
    205, 292, 0,	//279  KXmlGuiWindow*, QWidget*
    204, 292, 0,	//282  KXMLGUIClient*, QWidget*
    205, 0,	//285  KXmlGuiWindow*
    204, 0,	//287  KXMLGUIClient*
    456, 456, 0,	//289  const QModelIndex&, const QModelIndex&
    225, 0,	//292  QDragMoveEvent*
    224, 0,	//294  QDragLeaveEvent*
    226, 0,	//296  QDropEvent*
    219, 0,	//298  QContextMenuEvent*
    463, 463, 0,	//300  const QString&, const QString&
    430, 0,	//303  const KABC::PhoneNumber&
    425, 0,	//305  const KABC::Address&
    74, 292, 0,	//307  Akonadi::ContactEditor::Mode, QWidget*
    74, 1, 292, 0,	//310  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    426, 0,	//314  const KABC::Addressee&
    74, 0,	//316  Akonadi::ContactEditor::Mode
    74, 1, 0,	//318  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*
    76, 292, 0,	//321  Akonadi::ContactEditorDialog::Mode, QWidget*
    76, 1, 292, 0,	//324  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    76, 0,	//328  Akonadi::ContactEditorDialog::Mode
    76, 1, 0,	//330  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*
    179, 0,	//333  KABC::Addressee&
    79, 292, 0,	//335  Akonadi::ContactGroupEditor::Mode, QWidget*
    427, 0,	//338  const KABC::ContactGroup&
    79, 0,	//340  Akonadi::ContactGroupEditor::Mode
    81, 292, 0,	//342  Akonadi::ContactGroupEditorDialog::Mode, QWidget*
    81, 0,	//345  Akonadi::ContactGroupEditorDialog::Mode
    427, 264, 0,	//347  const KABC::ContactGroup&, QObject*
    84, 463, 0,	//350  Akonadi::ContactGroupSearchJob::Criterion, const QString&
    84, 463, 85, 0,	//353  Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match
    3, 0,	//357  Akonadi::AbstractContactGroupFormatter*
    89, 463, 0,	//359  Akonadi::ContactSearchJob::Criterion, const QString&
    89, 463, 90, 0,	//362  Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match
    2, 0,	//366  Akonadi::AbstractContactFormatter*
    408, 0,	//368  const Akonadi::Entity&
    27, 0,	//370  Akonadi::Attribute*
    101, 0,	//372  Akonadi::EntityPrivate*
    441, 0,	//374  const QColor&
    409, 0,	//376  const Akonadi::EntityDisplayAttribute&
    410, 0,	//378  const Akonadi::EntityHiddenAttribute&
    233, 0,	//380  QFlags<Qt::DropAction>
    105, 0,	//382  Akonadi::EntityTreeModel::HeaderGroup
    456, 476, 467, 476, 236, 0,	//384  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    456, 476, 467, 0,	//390  const QModelIndex&, int, const QVariant&
    456, 476, 467, 476, 0,	//394  const QModelIndex&, int, const QVariant&, int
    32, 264, 0,	//399  Akonadi::ChangeRecorder*, QObject*
    106, 0,	//402  Akonadi::EntityTreeModel::ItemPopulationStrategy
    103, 0,	//404  Akonadi::EntityTreeModel::CollectionFetchStrategy
    439, 402, 0,	//406  const QAbstractItemModel*, const Akonadi::Collection&
    439, 414, 0,	//409  const QAbstractItemModel*, const Akonadi::Item&
    414, 476, 476, 0,	//412  const Akonadi::Item&, int, int
    402, 476, 476, 0,	//416  const Akonadi::Collection&, int, int
    476, 339, 476, 105, 0,	//420  int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup
    414, 467, 236, 0,	//425  const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>
    402, 467, 236, 0,	//429  const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>
    32, 108, 264, 0,	//433  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*
    32, 0,	//437  Akonadi::ChangeRecorder*
    414, 476, 0,	//439  const Akonadi::Item&, int
    402, 476, 0,	//442  const Akonadi::Collection&, int
    32, 108, 0,	//445  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*
    284, 0,	//448  QTimerEvent*
    195, 0,	//450  KConfigGroup&
    436, 0,	//452  const KConfigGroup&
    413, 0,	//454  const Akonadi::Exception&
    207, 436, 264, 0,	//456  QAbstractItemModel*, const KConfigGroup&, QObject*
    402, 463, 0,	//460  const Akonadi::Collection&, const QString&
    207, 436, 0,	//463  QAbstractItemModel*, const KConfigGroup&
    442, 0,	//466  const QDateTime&
    462, 0,	//468  const QSet<QByteArray>&
    117, 0,	//470  Akonadi::Item::UrlType
    414, 402, 264, 0,	//472  const Akonadi::Item&, const Akonadi::Collection&, QObject*
    449, 402, 264, 0,	//476  const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*
    449, 402, 0,	//480  const QList<Akonadi::Item>&, const Akonadi::Collection&
    414, 264, 0,	//483  const Akonadi::Item&, QObject*
    449, 264, 0,	//486  const QList<Akonadi::Item>&, QObject*
    449, 0,	//489  const QList<Akonadi::Item>&
    448, 264, 0,	//491  const QList<Akonadi::Item::Id>&, QObject*
    122, 0,	//494  Akonadi::ItemFetchScope&
    416, 0,	//496  const Akonadi::ItemFetchScope&
    415, 0,	//498  const Akonadi::Item::List&
    448, 0,	//500  const QList<Akonadi::Item::Id>&
    440, 388, 0,	//502  const QByteArray&, bool
    124, 0,	//505  Akonadi::ItemFetchScope::AncestorRetrieval
    414, 473, 0,	//507  const Akonadi::Item&, const int
    114, 440, 239, 476, 0,	//510  Akonadi::Item&, const QByteArray&, QIODevice&, int
    414, 440, 239, 477, 0,	//515  const Akonadi::Item&, const QByteArray&, QIODevice&, int&
    417, 0,	//520  const Akonadi::ItemSerializerPlugin&
    114, 414, 0,	//522  Akonadi::Item&, const Akonadi::Item&
    418, 0,	//525  const Akonadi::ItemSerializerPluginV2&
    449, 449, 0,	//527  const QList<Akonadi::Item>&, const QList<Akonadi::Item>&
    135, 0,	//530  Akonadi::ItemSync::TransactionMode
    414, 114, 0,	//532  const Akonadi::Item&, Akonadi::Item&
    137, 0,	//535  Akonadi::Job*
    139, 264, 0,	//537  Akonadi::JobPrivate*, QObject*
    402, 449, 264, 0,	//540  const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*
    402, 449, 0,	//544  const Akonadi::Collection&, const QList<Akonadi::Item>&
    419, 0,	//547  const Akonadi::MessageFolderAttribute&
    476, 476, 483, 0,	//549  int, int, unsigned int
    420, 0,	//553  const Akonadi::MessageThreadingAttribute&
    421, 0,	//555  const Akonadi::MimeTypeChecker&
    414, 463, 0,	//557  const Akonadi::Item&, const QString&
    414, 388, 0,	//560  const Akonadi::Item&, bool
    463, 388, 0,	//563  const QString&, bool
    162, 0,	//566  Akonadi::Session*
    37, 407, 0,	//568  Akonadi::Collection::Id, const Akonadi::CollectionStatistics&
    149, 264, 0,	//571  Akonadi::MonitorPrivate*, QObject*
    149, 0,	//574  Akonadi::MonitorPrivate*
    456, 440, 264, 0,	//576  const QModelIndex&, const QByteArray&, QObject*
    456, 440, 0,	//580  const QModelIndex&, const QByteArray&
    422, 0,	//583  const Akonadi::PayloadBase&
    423, 0,	//585  const Akonadi::PayloadException&
    154, 0,	//587  Akonadi::PreprocessorBase::ProcessingResult
    481, 0,	//589  qlonglong
    447, 447, 0,	//591  const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&
    479, 388, 0,	//594  long long, bool
    264, 472, 467, 156, 0,	//597  QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority
    264, 472, 467, 0,	//602  QObject*, const char*, const QVariant&
    397, 264, 0,	//606  const Akonadi::AgentInstance&, QObject*
    463, 463, 264, 0,	//609  const QString&, const QString&, QObject*
    244, 264, 0,	//613  QItemSelectionModel*, QObject*
    244, 0,	//616  QItemSelectionModel*
    161, 0,	//618  Akonadi::ServerManager::State
    440, 264, 0,	//620  const QByteArray&, QObject*
    163, 440, 264, 0,	//623  Akonadi::SessionPrivate*, const QByteArray&, QObject*
    163, 0,	//627  Akonadi::SessionPrivate*
    163, 440, 0,	//629  Akonadi::SessionPrivate*, const QByteArray&
    191, 292, 0,	//632  KActionCollection*, QWidget*
    112, 0,	//635  Akonadi::FavoriteCollectionsModel*
    166, 0,	//637  Akonadi::StandardActionManager::Type
    166, 437, 0,	//639  Akonadi::StandardActionManager::Type, const KLocalizedString&
    166, 388, 0,	//642  Akonadi::StandardActionManager::Type, bool
    166, 165, 463, 0,	//645  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&
    166, 165, 437, 0,	//649  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&
    258, 166, 0,	//653  QMenu*, Akonadi::StandardActionManager::Type
    191, 0,	//656  KActionCollection*
    414, 173, 463, 0,	//658  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&
    424, 0,	//662  const Akonadi::TransportResourceBase&
    414, 173, 0,	//664  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult
    264, 227, 0,	//667  QObject*, QEvent*
    246, 0,	//670  QLineEdit*
    464, 388, 0,	//672  const QStringList&, bool
    484, 388, 388, 0,	//675  unsigned long, bool, bool
    291, 0,	//679  QWheelEvent*
    193, 388, 0,	//681  KCompletion*, bool
    197, 0,	//684  KGlobalSettings::Completion
    476, 485, 0,	//686  int, void*
    199, 463, 463, 0,	//689  KJob*, const QString&, const QString&
    238, 0,	//693  QHideEvent*
    217, 0,	//695  QCloseEvent*
    245, 0,	//697  QKeyEvent*
    216, 0,	//699  QChildEvent*
    445, 0,	//701  const QItemSelection&
    456, 452, 0,	//703  const QModelIndex&, const QMap<int,QVariant>&
    476, 347, 0,	//706  int, Qt::SortOrder
    327, 0,	//709  Qt::InputMethodQuery
    292, 206, 0,	//711  QWidget*, QAbstractItemDelegate::EndEditHint
    456, 210, 227, 0,	//714  const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*
    456, 443, 0,	//718  const QModelIndex&, const QEvent*
    227, 0,	//721  QEvent*
    262, 0,	//723  QMouseEvent*
    223, 0,	//725  QDragEnterEvent*
    237, 0,	//727  QFocusEvent*
    272, 0,	//729  QResizeEvent*
    242, 0,	//731  QInputMethodEvent*
    267, 0,	//733  QPaintEvent*
    275, 0,	//735  QShowEvent*
    456, 211, 0,	//737  const QModelIndex&, QAbstractItemView::ScrollHint
    459, 0,	//740  const QPoint&
    456, 476, 476, 0,	//742  const QModelIndex&, int, int
    209, 235, 0,	//746  QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>
    460, 232, 0,	//749  const QRect&, QFlags<QItemSelectionModel::SelectionFlag>
    445, 445, 0,	//752  const QItemSelection&, const QItemSelection&
    466, 456, 0,	//755  const QStyleOptionViewItem&, const QModelIndex&
    292, 466, 456, 0,	//758  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    292, 456, 0,	//762  QWidget*, const QModelIndex&
    292, 207, 456, 0,	//765  QWidget*, QAbstractItemModel*, const QModelIndex&
    467, 451, 0,	//769  const QVariant&, const QLocale&
    227, 207, 466, 456, 0,	//772  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    268, 460, 456, 0,	//777  QPainter*, const QRect&, const QModelIndex&
    263, 0,	//781  QMoveEvent*
    283, 0,	//783  QTabletEvent*
    213, 0,	//785  QActionEvent*
    386, 0,	//787  _XEvent*
    265, 0,	//789  QPaintDevice::PaintDeviceMetric
    280, 0,	//791  QStyle&
    458, 0,	//793  const QPalette&
    444, 0,	//795  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AboveItem",	//1
    "Accepted",	//2
    "AddIfMissing",	//3
    "AddToFavoriteCollections",	//4
    "AddressAttribute",	//5
    "AddressAttribute#",	//6
    "AddressAttribute$",	//7
    "AddressAttribute$?",	//8
    "AddressAttribute$??",	//9
    "AddressAttribute$???",	//10
    "Adjust",	//11
    "AdjustToContents",	//12
    "AdjustToContentsOnFirstShow",	//13
    "AdjustToMinimumContentsLength",	//14
    "AdjustToMinimumContentsLengthWithIcon",	//15
    "AfterChangeReplay",	//16
    "AgentBase",	//17
    "AgentBase#$",	//18
    "AgentBase$",	//19
    "AgentFilterProxyModel",	//20
    "AgentFilterProxyModel#",	//21
    "AgentInstance",	//22
    "AgentInstance#",	//23
    "AgentInstanceCreateJob",	//24
    "AgentInstanceCreateJob#",	//25
    "AgentInstanceCreateJob##",	//26
    "AgentInstanceCreateJob$",	//27
    "AgentInstanceCreateJob$#",	//28
    "AgentInstanceModel",	//29
    "AgentInstanceModel#",	//30
    "AgentInstanceWidget",	//31
    "AgentInstanceWidget#",	//32
    "AgentType",	//33
    "AgentType#",	//34
    "AgentTypeDialog",	//35
    "AgentTypeDialog#",	//36
    "AgentTypeModel",	//37
    "AgentTypeModel#",	//38
    "AgentTypeWidget",	//39
    "AgentTypeWidget#",	//40
    "All",	//41
    "AllEditTriggers",	//42
    "AllRights",	//43
    "AllowToCreateNewChildCollection",	//44
    "AmazingCompletionRole",	//45
    "AnimatingState",	//46
    "AnyKeyPressed",	//47
    "AppNameCaption",	//48
    "Append",	//49
    "Apply",	//50
    "Attribute",	//51
    "Attribute#",	//52
    "AttributeFactory",	//53
    "AttributeFactory#",	//54
    "AvailablePartsRole",	//55
    "Base",	//56
    "Batched",	//57
    "BelowItem",	//58
    "Box",	//59
    "Broken",	//60
    "Bytes",	//61
    "CachePage",	//62
    "CachePolicy",	//63
    "CachePolicy#",	//64
    "CanChangeCollection",	//65
    "CanChangeItem",	//66
    "CanCreateCollection",	//67
    "CanCreateItem",	//68
    "CanDeleteCollection",	//69
    "CanDeleteItem",	//70
    "CanLinkItem",	//71
    "CanUnlinkItem",	//72
    "Cancel",	//73
    "CapabilitiesRole",	//74
    "ChangeRecorder",	//75
    "ChangeRecorder#",	//76
    "ChangeRecorder##",	//77
    "ChildrenOfExactSelection",	//78
    "Close",	//79
    "CollapsingState",	//80
    "Collection",	//81
    "Collection#",	//82
    "Collection$",	//83
    "CollectionChildOrderRole",	//84
    "CollectionComboBox",	//85
    "CollectionComboBox#",	//86
    "CollectionComboBox##",	//87
    "CollectionCopyJob",	//88
    "CollectionCopyJob##",	//89
    "CollectionCopyJob###",	//90
    "CollectionCreateJob",	//91
    "CollectionCreateJob#",	//92
    "CollectionCreateJob##",	//93
    "CollectionDeleteJob",	//94
    "CollectionDeleteJob#",	//95
    "CollectionDeleteJob##",	//96
    "CollectionDerefRole",	//97
    "CollectionDialog",	//98
    "CollectionDialog#",	//99
    "CollectionDialog##",	//100
    "CollectionDialog$",	//101
    "CollectionDialog$#",	//102
    "CollectionDialog$##",	//103
    "CollectionFetchJob",	//104
    "CollectionFetchJob#",	//105
    "CollectionFetchJob#$",	//106
    "CollectionFetchJob#$#",	//107
    "CollectionFetchJob?",	//108
    "CollectionFetchJob?#",	//109
    "CollectionFetchJob?$",	//110
    "CollectionFetchJob?$#",	//111
    "CollectionFetchScope",	//112
    "CollectionFetchScope#",	//113
    "CollectionFilterProxyModel",	//114
    "CollectionFilterProxyModel#",	//115
    "CollectionIdRole",	//116
    "CollectionModel",	//117
    "CollectionModel#",	//118
    "CollectionModel##",	//119
    "CollectionModifyJob",	//120
    "CollectionModifyJob#",	//121
    "CollectionModifyJob##",	//122
    "CollectionMoveJob",	//123
    "CollectionMoveJob##",	//124
    "CollectionMoveJob###",	//125
    "CollectionProperties",	//126
    "CollectionPropertiesDialog",	//127
    "CollectionPropertiesDialog#",	//128
    "CollectionPropertiesDialog##",	//129
    "CollectionPropertiesDialog#?",	//130
    "CollectionPropertiesDialog#?#",	//131
    "CollectionPropertiesPage",	//132
    "CollectionPropertiesPage#",	//133
    "CollectionPropertiesPageFactory",	//134
    "CollectionPropertiesPageFactory#",	//135
    "CollectionQuotaAttribute",	//136
    "CollectionQuotaAttribute#",	//137
    "CollectionQuotaAttribute$$",	//138
    "CollectionRefRole",	//139
    "CollectionRequester",	//140
    "CollectionRequester#",	//141
    "CollectionRequester##",	//142
    "CollectionRole",	//143
    "CollectionStatistics",	//144
    "CollectionStatistics#",	//145
    "CollectionStatisticsDelegate",	//146
    "CollectionStatisticsDelegate#",	//147
    "CollectionStatisticsJob",	//148
    "CollectionStatisticsJob#",	//149
    "CollectionStatisticsJob##",	//150
    "CollectionStatisticsModel",	//151
    "CollectionStatisticsModel#",	//152
    "CollectionSyncProgressRole",	//153
    "CollectionTreeHeaders",	//154
    "CollectionView",	//155
    "CollectionView#",	//156
    "CollectionView##",	//157
    "ColumnCountRole",	//158
    "ConnectionFailed",	//159
    "ContactDefaultActions",	//160
    "ContactDefaultActions#",	//161
    "ContactEditor",	//162
    "ContactEditor$",	//163
    "ContactEditor$#",	//164
    "ContactEditor$##",	//165
    "ContactEditorDialog",	//166
    "ContactEditorDialog$",	//167
    "ContactEditorDialog$#",	//168
    "ContactEditorDialog$##",	//169
    "ContactEditorPagePlugin",	//170
    "ContactGroupEditor",	//171
    "ContactGroupEditor$",	//172
    "ContactGroupEditor$#",	//173
    "ContactGroupEditorDialog",	//174
    "ContactGroupEditorDialog$",	//175
    "ContactGroupEditorDialog$#",	//176
    "ContactGroupExpandJob",	//177
    "ContactGroupExpandJob#",	//178
    "ContactGroupExpandJob##",	//179
    "ContactGroupExpandJob$",	//180
    "ContactGroupExpandJob$#",	//181
    "ContactGroupSearchJob",	//182
    "ContactGroupSearchJob#",	//183
    "ContactGroupViewer",	//184
    "ContactGroupViewer#",	//185
    "ContactGroupViewerDialog",	//186
    "ContactGroupViewerDialog#",	//187
    "ContactSearchJob",	//188
    "ContactSearchJob#",	//189
    "ContactUid",	//190
    "ContactViewer",	//191
    "ContactViewer#",	//192
    "ContactViewerDialog",	//193
    "ContactViewerDialog#",	//194
    "ContainsMatch",	//195
    "ContainsWordBoundaryMatch",	//196
    "ContiguousSelection",	//197
    "Control",	//198
    "CopyCollectionToDialog",	//199
    "CopyCollectionToMenu",	//200
    "CopyCollections",	//201
    "CopyItemToDialog",	//202
    "CopyItemToMenu",	//203
    "CopyItems",	//204
    "CreateCollection",	//205
    "CreateMode",	//206
    "CreateResource",	//207
    "CurrentChanged",	//208
    "CutCollections",	//209
    "CutItems",	//210
    "Date",	//211
    "Default",	//212
    "DelayedPopup",	//213
    "DeleteCollections",	//214
    "DeleteItems",	//215
    "DeleteResources",	//216
    "DescriptionRole",	//217
    "Details",	//218
    "DialogText",	//219
    "DialogTitle",	//220
    "Directories",	//221
    "DoubleClicked",	//222
    "DragDrop",	//223
    "DragOnly",	//224
    "DragSelectingState",	//225
    "DraggingState",	//226
    "DrawChildren",	//227
    "DrawWindowBackground",	//228
    "DropOnly",	//229
    "EditKeyPressed",	//230
    "EditMode",	//231
    "EditingState",	//232
    "Email",	//233
    "EmitResult",	//234
    "EndHeaderGroup",	//235
    "EndRole",	//236
    "EnsureVisible",	//237
    "Entity",	//238
    "Entity#",	//239
    "EntityDisplayAttribute",	//240
    "EntityDisplayAttribute#",	//241
    "EntityHiddenAttribute",	//242
    "EntityHiddenAttribute#",	//243
    "EntityListView",	//244
    "EntityListView#",	//245
    "EntityListView##",	//246
    "EntityMimeTypeFilterModel",	//247
    "EntityMimeTypeFilterModel#",	//248
    "EntityTreeHeaders",	//249
    "EntityTreeModel",	//250
    "EntityTreeModel#",	//251
    "EntityTreeModel##",	//252
    "EntityTreeModel###",	//253
    "EntityTreeView",	//254
    "EntityTreeView#",	//255
    "EntityTreeView##",	//256
    "EntityTreeViewStateSaver",	//257
    "EntityTreeViewStateSaver#",	//258
    "EntityUrlRole",	//259
    "ErrorMessageText",	//260
    "ErrorMessageTitle",	//261
    "ExactMatch",	//262
    "ExactSelection",	//263
    "Exception",	//264
    "Exception#",	//265
    "Exception$",	//266
    "ExpandingState",	//267
    "ExtendedSelection",	//268
    "FavoriteCollectionsModel",	//269
    "FavoriteCollectionsModel##",	//270
    "FavoriteCollectionsModel###",	//271
    "FetchCollectionsRecursive",	//272
    "FetchFirstLevelChildCollections",	//273
    "FetchNoCollections",	//274
    "FetchStateRole",	//275
    "FetchingState",	//276
    "Files",	//277
    "FirstLevel",	//278
    "Fixed",	//279
    "Free",	//280
    "FullPayload",	//281
    "GeneralPage",	//282
    "HIGCompliantCaption",	//283
    "HLine",	//284
    "Help",	//285
    "IconMode",	//286
    "Id",	//287
    "IdRole",	//288
    "IdentifierRole",	//289
    "Idle",	//290
    "IdleState",	//291
    "IgnoreMask",	//292
    "ImmediatePopulation",	//293
    "InsertAfterCurrent",	//294
    "InsertAlphabetically",	//295
    "InsertAtBottom",	//296
    "InsertAtCurrent",	//297
    "InsertAtTop",	//298
    "InsertBeforeCurrent",	//299
    "InstanceIdentifierRole",	//300
    "InstanceRole",	//301
    "InstantPopup",	//302
    "InternalMove",	//303
    "InvisibleCollectionFetch",	//304
    "Item",	//305
    "Item#",	//306
    "Item$",	//307
    "ItemCopyJob",	//308
    "ItemCopyJob##",	//309
    "ItemCopyJob###",	//310
    "ItemCopyJob?#",	//311
    "ItemCopyJob?##",	//312
    "ItemCreateJob",	//313
    "ItemCreateJob##",	//314
    "ItemCreateJob###",	//315
    "ItemDeleteJob",	//316
    "ItemDeleteJob#",	//317
    "ItemDeleteJob##",	//318
    "ItemDeleteJob?",	//319
    "ItemDeleteJob?#",	//320
    "ItemFetchJob",	//321
    "ItemFetchJob#",	//322
    "ItemFetchJob##",	//323
    "ItemFetchJob?",	//324
    "ItemFetchJob?#",	//325
    "ItemFetchScope",	//326
    "ItemFetchScope#",	//327
    "ItemIdRole",	//328
    "ItemListHeaders",	//329
    "ItemModel",	//330
    "ItemModel#",	//331
    "ItemModifyJob",	//332
    "ItemModifyJob#",	//333
    "ItemModifyJob##",	//334
    "ItemModifyJob?",	//335
    "ItemModifyJob?#",	//336
    "ItemMonitor",	//337
    "ItemMoveJob",	//338
    "ItemMoveJob##",	//339
    "ItemMoveJob###",	//340
    "ItemMoveJob?#",	//341
    "ItemMoveJob?##",	//342
    "ItemRole",	//343
    "ItemSearchJob",	//344
    "ItemSearchJob$",	//345
    "ItemSearchJob$#",	//346
    "ItemSerializerPlugin",	//347
    "ItemSerializerPlugin#",	//348
    "ItemSerializerPluginV2",	//349
    "ItemSerializerPluginV2#",	//350
    "ItemSync",	//351
    "ItemSync#",	//352
    "ItemSync##",	//353
    "ItemView",	//354
    "ItemView#",	//355
    "ItemView##",	//356
    "Job",	//357
    "Job#",	//358
    "Job##",	//359
    "Killable",	//360
    "KilledJobError",	//361
    "LastType",	//362
    "LazyPopulation",	//363
    "LeftToRight",	//364
    "LicensedActiveQt",	//365
    "LicensedCore",	//366
    "LicensedDBus",	//367
    "LicensedDeclarative",	//368
    "LicensedGui",	//369
    "LicensedHelp",	//370
    "LicensedMultimedia",	//371
    "LicensedNetwork",	//372
    "LicensedOpenGL",	//373
    "LicensedOpenVG",	//374
    "LicensedQt3Support",	//375
    "LicensedQt3SupportLight",	//376
    "LicensedScript",	//377
    "LicensedScriptTools",	//378
    "LicensedSql",	//379
    "LicensedSvg",	//380
    "LicensedTest",	//381
    "LicensedXml",	//382
    "LicensedXmlPatterns",	//383
    "LinkJob",	//384
    "LinkJob#?",	//385
    "LinkJob#?#",	//386
    "ListMode",	//387
    "LoadedPartsRole",	//388
    "ManageLocalSubscriptions",	//389
    "MessageBoxAlternativeText",	//390
    "MessageBoxText",	//391
    "MessageBoxTitle",	//392
    "MessageFolderAttribute",	//393
    "MessageFolderAttribute#",	//394
    "MessageModel",	//395
    "MessageModel#",	//396
    "MessageThreaderProxyModel",	//397
    "MessageThreaderProxyModel#",	//398
    "MessageThreadingAttribute",	//399
    "MessageThreadingAttribute#",	//400
    "MimeType",	//401
    "MimeTypeChecker",	//402
    "MimeTypeChecker#",	//403
    "MimeTypeRole",	//404
    "MimeTypesRole",	//405
    "ModifiedCaption",	//406
    "Monitor",	//407
    "Monitor#",	//408
    "Monitor##",	//409
    "MoveCollectionToDialog",	//410
    "MoveCollectionToMenu",	//411
    "MoveCollectionsToTrash",	//412
    "MoveDown",	//413
    "MoveEnd",	//414
    "MoveHome",	//415
    "MoveItemToDialog",	//416
    "MoveItemToMenu",	//417
    "MoveItemsToTrash",	//418
    "MoveLeft",	//419
    "MoveNext",	//420
    "MovePageDown",	//421
    "MovePageUp",	//422
    "MovePrevious",	//423
    "MoveRight",	//424
    "MoveToTrashRestoreCollection",	//425
    "MoveToTrashRestoreCollectionAlternative",	//426
    "MoveToTrashRestoreItem",	//427
    "MoveToTrashRestoreItemAlternative",	//428
    "MoveUp",	//429
    "MultiSelection",	//430
    "MultipleTransactions",	//431
    "Name",	//432
    "NameOrEmail",	//433
    "NextCompletionMatch",	//434
    "NickName",	//435
    "No",	//436
    "NoCapabilities",	//437
    "NoCaptionFlags",	//438
    "NoDefault",	//439
    "NoDragDrop",	//440
    "NoEditTriggers",	//441
    "NoError",	//442
    "NoFrame",	//443
    "NoInsert",	//444
    "NoItemPopulation",	//445
    "NoSelection",	//446
    "NoState",	//447
    "NoTransaction",	//448
    "NonOverlappingRoots",	//449
    "None",	//450
    "NotConfigured",	//451
    "NotRunning",	//452
    "Observer",	//453
    "Observer#",	//454
    "ObserverV2",	//455
    "ObserverV2#",	//456
    "Ok",	//457
    "OldCollectionIdRole",	//458
    "OldCollectionRole",	//459
    "OnItem",	//460
    "OnViewport",	//461
    "OnlineRole",	//462
    "Panel",	//463
    "Parent",	//464
    "ParentCollectionRole",	//465
    "PartFetcher",	//466
    "PartFetcher##",	//467
    "PartFetcher###",	//468
    "Paste",	//469
    "PayloadBase",	//470
    "PayloadBase#",	//471
    "PayloadException",	//472
    "PayloadException#",	//473
    "PayloadException$",	//474
    "PendingCutRole",	//475
    "Plain",	//476
    "PositionAtBottom",	//477
    "PositionAtCenter",	//478
    "PositionAtTop",	//479
    "Prepend",	//480
    "PreprocessorBase",	//481
    "PreprocessorBase$",	//482
    "PrevCompletionMatch",	//483
    "ProcessingCompleted",	//484
    "ProcessingDelayed",	//485
    "ProcessingFailed",	//486
    "ProcessingRefused",	//487
    "ProgressRole",	//488
    "ProtocolVersionMismatch",	//489
    "QtCriticalMsg",	//490
    "QtDebugMsg",	//491
    "QtFatalMsg",	//492
    "QtSystemMsg",	//493
    "QtWarningMsg",	//494
    "Quietly",	//495
    "Raised",	//496
    "ReadOnly",	//497
    "Receiver",	//498
    "Recursive",	//499
    "RecursiveSizeRole",	//500
    "RecursiveStatisticsRole",	//501
    "RecursiveTotalRole",	//502
    "RecursiveUnreadRole",	//503
    "Rejected",	//504
    "RemoteId",	//505
    "RemoteIdRole",	//506
    "RemoveFromFavoriteCollections",	//507
    "RenameFavoriteCollection",	//508
    "Reset",	//509
    "ResourceBase",	//510
    "ResourceBase$",	//511
    "ResourceProperties",	//512
    "ResourceSynchronizationJob",	//513
    "ResourceSynchronizationJob#",	//514
    "ResourceSynchronizationJob##",	//515
    "RestoreCollectionsFromTrash",	//516
    "RestoreItemsFromTrash",	//517
    "Running",	//518
    "ScrollPerItem",	//519
    "ScrollPerPixel",	//520
    "SearchCreateJob",	//521
    "SearchCreateJob$$",	//522
    "SearchCreateJob$$#",	//523
    "SelectColumns",	//524
    "SelectItems",	//525
    "SelectRows",	//526
    "SelectedClicked",	//527
    "SelectionProxyModel",	//528
    "SelectionProxyModel#",	//529
    "SelectionProxyModel##",	//530
    "Sender",	//531
    "Session",	//532
    "Session#",	//533
    "Session##",	//534
    "Session###",	//535
    "SessionRole",	//536
    "Shadow_Mask",	//537
    "Shape_Mask",	//538
    "SinglePass",	//539
    "SingleSelection",	//540
    "SingleTransaction",	//541
    "Size",	//542
    "SizeRole",	//543
    "Snap",	//544
    "StandardActionManager",	//545
    "StandardActionManager#",	//546
    "StandardActionManager##",	//547
    "Starting",	//548
    "StartsWithMatch",	//549
    "Static",	//550
    "StatisticsProxyModel",	//551
    "StatisticsProxyModel#",	//552
    "StatisticsRole",	//553
    "StatusMessageRole",	//554
    "StatusRole",	//555
    "Stopping",	//556
    "StyledPanel",	//557
    "SubTreeRoots",	//558
    "SubTrees",	//559
    "SubTreesWithoutRoots",	//560
    "Subject",	//561
    "SubstringCompletion",	//562
    "Sunken",	//563
    "Suspendable",	//564
    "SynchronizeCollections",	//565
    "SynchronizeCollectionsRecursive",	//566
    "SynchronizeFavoriteCollections",	//567
    "SynchronizeResources",	//568
    "TerminalUserRole",	//569
    "TextCompletion",	//570
    "ToggleWorkOffline",	//571
    "TopToBottom",	//572
    "TotalRole",	//573
    "TransactionBeginJob",	//574
    "TransactionBeginJob#",	//575
    "TransactionCommitJob",	//576
    "TransactionCommitJob#",	//577
    "TransactionRollbackJob",	//578
    "TransactionRollbackJob#",	//579
    "TransactionSequence",	//580
    "TransactionSequence#",	//581
    "TransportFailed",	//582
    "TransportResourceBase",	//583
    "TransportResourceBase#",	//584
    "TransportSucceeded",	//585
    "Try",	//586
    "TypeIdentifierRole",	//587
    "TypeRole",	//588
    "Unknown",	//589
    "UnlinkJob",	//590
    "UnlinkJob#?",	//591
    "UnlinkJob#?#",	//592
    "UnreadCountRole",	//593
    "UnreadRole",	//594
    "UrlShort",	//595
    "UrlWithMimeType",	//596
    "UrlWithName",	//597
    "User1",	//598
    "User2",	//599
    "User3",	//600
    "UserCanceled",	//601
    "UserDefinedError",	//602
    "UserError",	//603
    "UserHeaders",	//604
    "UserRole",	//605
    "VLine",	//606
    "WinPanel",	//607
    "Yes",	//608
    "_CS_GNU_LIBC_VERSION",	//609
    "_CS_GNU_LIBPTHREAD_VERSION",	//610
    "_CS_LFS64_CFLAGS",	//611
    "_CS_LFS64_LDFLAGS",	//612
    "_CS_LFS64_LIBS",	//613
    "_CS_LFS64_LINTFLAGS",	//614
    "_CS_LFS_CFLAGS",	//615
    "_CS_LFS_LDFLAGS",	//616
    "_CS_LFS_LIBS",	//617
    "_CS_LFS_LINTFLAGS",	//618
    "_CS_PATH",	//619
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//620
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//621
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//622
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//623
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//624
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//625
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//626
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//627
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//628
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//629
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//630
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//631
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//632
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//633
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//634
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//635
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//636
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//637
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//638
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//639
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//640
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//641
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//642
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//643
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//644
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//645
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//646
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//647
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//648
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//649
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//650
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//651
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//652
    "_CS_V6_ENV",	//653
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//654
    "_CS_V7_ENV",	//655
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//656
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//657
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//658
    "_CS_XBS5_ILP32_OFF32_LIBS",	//659
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//660
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//661
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//662
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//663
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//664
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//665
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//666
    "_CS_XBS5_LP64_OFF64_LIBS",	//667
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//668
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//669
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//670
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//671
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//672
    "__codecvt_error",	//673
    "__codecvt_noconv",	//674
    "__codecvt_ok",	//675
    "__codecvt_partial",	//676
    "abortActivity",	//677
    "abortCurrentTask",	//678
    "abortRequested",	//679
    "aboutToQuit",	//680
    "aboutToStart",	//681
    "aboutToStart#",	//682
    "accept",	//683
    "accessRightsFilter",	//684
    "action",	//685
    "action$",	//686
    "actionEvent",	//687
    "actionStateUpdated",	//688
    "activated",	//689
    "activated#",	//690
    "activeIcon",	//691
    "activeIconName",	//692
    "addAttribute",	//693
    "addAttribute#",	//694
    "addCapabilityFilter",	//695
    "addCapabilityFilter$",	//696
    "addCollection",	//697
    "addCollection#",	//698
    "addMimeTypeExclusionFilter",	//699
    "addMimeTypeExclusionFilter$",	//700
    "addMimeTypeExclusionFilters",	//701
    "addMimeTypeExclusionFilters?",	//702
    "addMimeTypeFilter",	//703
    "addMimeTypeFilter$",	//704
    "addMimeTypeFilters",	//705
    "addMimeTypeFilters?",	//706
    "addMimeTypeInclusionFilter",	//707
    "addMimeTypeInclusionFilter$",	//708
    "addMimeTypeInclusionFilters",	//709
    "addMimeTypeInclusionFilters?",	//710
    "addSubjob",	//711
    "addSubjob#",	//712
    "addWantedMimeType",	//713
    "addWantedMimeType$",	//714
    "addressClicked",	//715
    "addressClicked#",	//716
    "advancedStatus",	//717
    "advancedStatus?",	//718
    "agentFilterProxyModel",	//719
    "agentName",	//720
    "agentNameChanged",	//721
    "agentNameChanged$",	//722
    "agentType",	//723
    "akonadiItemIdUri",	//724
    "allAttributes",	//725
    "allMonitored",	//726
    "allMonitored$",	//727
    "ancestorRetrieval",	//728
    "apply",	//729
    "apply#",	//730
    "apply##",	//731
    "attribute",	//732
    "attribute#",	//733
    "attributes",	//734
    "attributesSynchronized",	//735
    "attributesSynchronized$",	//736
    "availableParts",	//737
    "availableParts#",	//738
    "availablePayloadMetaTypeIds",	//739
    "availablePayloadParts",	//740
    "backgroundColor",	//741
    "bcc",	//742
    "buddy",	//743
    "cacheOnly",	//744
    "cachePolicy",	//745
    "cacheTimeout",	//746
    "canFetchMore",	//747
    "canFetchMore#",	//748
    "canHandle",	//749
    "canHandle#",	//750
    "cancelTask",	//751
    "cancelTask$",	//752
    "capabilities",	//753
    "cc",	//754
    "changeCollectionDialogOptions",	//755
    "changeCollectionDialogOptions$",	//756
    "changeCommitted",	//757
    "changeCommitted#",	//758
    "changeEvent",	//759
    "changeProcessed",	//760
    "changeRecorder",	//761
    "changesAdded",	//762
    "childEvent",	//763
    "cleanup",	//764
    "clear",	//765
    "clearAndReset",	//766
    "clearAttributes",	//767
    "clearCache",	//768
    "clearFilters",	//769
    "clearFlag",	//770
    "clearFlag#",	//771
    "clearFlags",	//772
    "clearPayload",	//773
    "clicked",	//774
    "clicked#",	//775
    "clone",	//776
    "closeEditor",	//777
    "closeEvent",	//778
    "collection",	//779
    "collectionAdded",	//780
    "collectionAdded##",	//781
    "collectionAttributesRetrieved",	//782
    "collectionAttributesRetrieved#",	//783
    "collectionChanged",	//784
    "collectionChanged#",	//785
    "collectionChanged#?",	//786
    "collectionFetchScope",	//787
    "collectionFetchStrategy",	//788
    "collectionFetched",	//789
    "collectionFetched$",	//790
    "collectionForId",	//791
    "collectionForId?",	//792
    "collectionIds",	//793
    "collectionMonitored",	//794
    "collectionMonitored#$",	//795
    "collectionMoved",	//796
    "collectionMoved###",	//797
    "collectionRemoved",	//798
    "collectionRemoved#",	//799
    "collectionStatisticsChanged",	//800
    "collectionStatisticsChanged?#",	//801
    "collectionSubscribed",	//802
    "collectionSubscribed##",	//803
    "collectionTreeOnly",	//804
    "collectionTreeSynchronized",	//805
    "collectionUnsubscribed",	//806
    "collectionUnsubscribed#",	//807
    "collections",	//808
    "collectionsMonitored",	//809
    "collectionsReceived",	//810
    "collectionsReceived?",	//811
    "collectionsRetrievalDone",	//812
    "collectionsRetrieved",	//813
    "collectionsRetrieved?",	//814
    "collectionsRetrievedIncremental",	//815
    "collectionsRetrievedIncremental??",	//816
    "columnCount",	//817
    "columnCount#",	//818
    "commit",	//819
    "commitData",	//820
    "componentData",	//821
    "config",	//822
    "configurationDialogAccepted",	//823
    "configurationDialogRejected",	//824
    "configure",	//825
    "configure#",	//826
    "configure$",	//827
    "connectNotify",	//828
    "connectNotify$",	//829
    "connectToView",	//830
    "connectToView#",	//831
    "contact",	//832
    "contactGroup",	//833
    "contactGroupStored",	//834
    "contactGroupStored#",	//835
    "contactGroups",	//836
    "contactStored",	//837
    "contactStored#",	//838
    "contacts",	//839
    "containsWantedMimeType",	//840
    "containsWantedMimeType?",	//841
    "contentMimeTypes",	//842
    "contextMenuEvent",	//843
    "contextMenuEvent#",	//844
    "count",	//845
    "create",	//846
    "createAction",	//847
    "createAction$",	//848
    "createActionFolderMenu",	//849
    "createActionFolderMenu#$",	//850
    "createAllActions",	//851
    "createAttribute",	//852
    "createAttribute#",	//853
    "createEditor",	//854
    "createIndex",	//855
    "createIndex$$$",	//856
    "createWidget",	//857
    "createWidget#",	//858
    "createdCollection",	//859
    "currentAgentInstance",	//860
    "currentAgentType",	//861
    "currentChanged",	//862
    "currentChanged#",	//863
    "currentChanged##",	//864
    "currentCollection",	//865
    "currentItem",	//866
    "currentValue",	//867
    "customEvent",	//868
    "d_func",	//869
    "data",	//870
    "data#",	//871
    "data#$",	//872
    "dataChanged",	//873
    "defaultPageObjectName",	//874
    "defaultPageObjectName$",	//875
    "defaultSession",	//876
    "deferTask",	//877
    "deletedItems",	//878
    "deliveryDone",	//879
    "description",	//880
    "deserialize",	//881
    "deserialize#",	//882
    "deserialize###$",	//883
    "destinationCollection",	//884
    "devType",	//885
    "dialPhoneNumber",	//886
    "dialPhoneNumber#",	//887
    "disableAutomaticConflictHandling",	//888
    "disableRevisionCheck",	//889
    "disconnectNotify",	//890
    "displayName",	//891
    "displayText",	//892
    "doHandleResponse",	//893
    "doHandleResponse##",	//894
    "doItemsLayout",	//895
    "doKill",	//896
    "doResume",	//897
    "doSetOnline",	//898
    "doSetOnline$",	//899
    "doStart",	//900
    "doSuspend",	//901
    "done",	//902
    "done$",	//903
    "doubleClicked",	//904
    "doubleClicked#",	//905
    "dragEnterEvent",	//906
    "dragLeaveEvent",	//907
    "dragLeaveEvent#",	//908
    "dragMoveEvent",	//909
    "dragMoveEvent#",	//910
    "drawBranches",	//911
    "drawRow",	//912
    "dropEvent",	//913
    "dropEvent#",	//914
    "dropMimeData",	//915
    "dropMimeData#$$$#",	//916
    "dumpNotificationListToString",	//917
    "dumpResourceToString",	//918
    "dumpSchedulerToString",	//919
    "edit",	//920
    "editor",	//921
    "editorDestroyed",	//922
    "editorEvent",	//923
    "emailClicked",	//924
    "emailClicked$$",	//925
    "emitWriteFinished",	//926
    "enabledChange",	//927
    "enterEvent",	//928
    "entityColumnCount",	//929
    "entityColumnCount$",	//930
    "entityData",	//931
    "entityData#$",	//932
    "entityData#$$",	//933
    "entityHeaderData",	//934
    "entityHeaderData$$$$",	//935
    "entityMatch",	//936
    "entityMatch##$",	//937
    "error",	//938
    "error$",	//939
    "errorString",	//940
    "event",	//941
    "eventFilter",	//942
    "excludeCapabilities",	//943
    "excludeCapabilities$",	//944
    "favoriteLabel",	//945
    "favoriteLabel#",	//946
    "fetchAllAttributes",	//947
    "fetchAllAttributes$",	//948
    "fetchAttribute",	//949
    "fetchAttribute#",	//950
    "fetchAttribute#$",	//951
    "fetchChangedOnly",	//952
    "fetchChangedOnly$",	//953
    "fetchCollection",	//954
    "fetchCollection$",	//955
    "fetchCollectionStatistics",	//956
    "fetchCollectionStatistics$",	//957
    "fetchFullPayload",	//958
    "fetchFullPayload$",	//959
    "fetchModificationTime",	//960
    "fetchMore",	//961
    "fetchMore#",	//962
    "fetchPayloadPart",	//963
    "fetchPayloadPart#",	//964
    "fetchPayloadPart#$",	//965
    "fetchScope",	//966
    "filterAcceptsColumn",	//967
    "filterAcceptsColumn$#",	//968
    "filterAcceptsRow",	//969
    "filterAcceptsRow$#",	//970
    "finishProcessing",	//971
    "finishProcessing$",	//972
    "flags",	//973
    "flags#",	//974
    "focusInEvent",	//975
    "focusNextPrevChild",	//976
    "focusOutEvent",	//977
    "fontChange",	//978
    "from",	//979
    "fromUrl",	//980
    "fromUrl#",	//981
    "fullPayload",	//982
    "groupNameIsValid",	//983
    "groupNameIsValid$",	//984
    "hasAttribute",	//985
    "hasAttribute#",	//986
    "hasChildren",	//987
    "hasChildren#",	//988
    "hasFlag",	//989
    "hasFlag#",	//990
    "hasPayload",	//991
    "headerData",	//992
    "headerData$$",	//993
    "headerData$$$",	//994
    "heightForWidth",	//995
    "hideEvent",	//996
    "hidePopup",	//997
    "horizontalOffset",	//998
    "horizontalScrollbarAction",	//999
    "horizontalScrollbarValueChanged",	//1000
    "icon",	//1001
    "iconName",	//1002
    "id",	//1003
    "identifier",	//1004
    "ignorePayload",	//1005
    "ignoreSession",	//1006
    "ignoreSession#",	//1007
    "includeRootCollection",	//1008
    "includeStatistics",	//1009
    "includeStatistics$",	//1010
    "includeUnsubscribed",	//1011
    "includeUnsubscribed$",	//1012
    "includeUnubscribed",	//1013
    "index",	//1014
    "index$$",	//1015
    "index$$#",	//1016
    "indexAt",	//1017
    "indexForItem",	//1018
    "indexForItem#$",	//1019
    "inheritFromParent",	//1020
    "initStyleOption",	//1021
    "initStyleOption##",	//1022
    "inputMethodEvent",	//1023
    "inputMethodQuery",	//1024
    "insertColumns",	//1025
    "insertRows",	//1026
    "instance",	//1027
    "instance$",	//1028
    "instanceAdded",	//1029
    "instanceAdded#",	//1030
    "instanceError",	//1031
    "instanceError#$",	//1032
    "instanceNameChanged",	//1033
    "instanceNameChanged#",	//1034
    "instanceOnline",	//1035
    "instanceOnline#$",	//1036
    "instanceProgressChanged",	//1037
    "instanceProgressChanged#",	//1038
    "instanceRemoved",	//1039
    "instanceRemoved#",	//1040
    "instanceStatusChanged",	//1041
    "instanceStatusChanged#",	//1042
    "instanceWarning",	//1043
    "instanceWarning#$",	//1044
    "instances",	//1045
    "interceptAction",	//1046
    "interceptAction$",	//1047
    "interceptAction$$",	//1048
    "intervalCheckTime",	//1049
    "invalidateCache",	//1050
    "invalidateCache#",	//1051
    "isAllMonitored",	//1052
    "isDropActionMenuEnabled",	//1053
    "isEmpty",	//1054
    "isExtraColumnsEnabled",	//1055
    "isIndexHidden",	//1056
    "isManualSortingActive",	//1057
    "isOnline",	//1058
    "isOutboundFolder",	//1059
    "isRunning",	//1060
    "isToolTipEnabled",	//1061
    "isValid",	//1062
    "isVirtual",	//1063
    "isWantedCollection",	//1064
    "isWantedCollection#",	//1065
    "isWantedCollection#$",	//1066
    "isWantedItem",	//1067
    "isWantedItem#",	//1068
    "isWantedItem#$",	//1069
    "isWantedMimeType",	//1070
    "isWantedMimeType$",	//1071
    "item",	//1072
    "itemAdded",	//1073
    "itemAdded##",	//1074
    "itemChanged",	//1075
    "itemChanged#",	//1076
    "itemChanged#?",	//1077
    "itemData",	//1078
    "itemFetchScope",	//1079
    "itemForIndex",	//1080
    "itemForIndex#",	//1081
    "itemLinked",	//1082
    "itemLinked##",	//1083
    "itemMonitored",	//1084
    "itemMonitored#$",	//1085
    "itemMoved",	//1086
    "itemMoved###",	//1087
    "itemPopulationStrategy",	//1088
    "itemRemoved",	//1089
    "itemRemoved#",	//1090
    "itemRetrieved",	//1091
    "itemRetrieved#",	//1092
    "itemSent",	//1093
    "itemSent#$",	//1094
    "itemSent#$$",	//1095
    "itemUnlinked",	//1096
    "itemUnlinked##",	//1097
    "items",	//1098
    "itemsMonitored",	//1099
    "itemsMonitoredEx",	//1100
    "itemsReceived",	//1101
    "itemsReceived?",	//1102
    "itemsRetrievalDone",	//1103
    "itemsRetrieved",	//1104
    "itemsRetrieved?",	//1105
    "itemsRetrievedIncremental",	//1106
    "itemsRetrievedIncremental??",	//1107
    "keyPressEvent",	//1108
    "keyReleaseEvent",	//1109
    "keyboardSearch",	//1110
    "languageChange",	//1111
    "leaveEvent",	//1112
    "lessThan",	//1113
    "load",	//1114
    "load#",	//1115
    "loadContact",	//1116
    "loadContact#",	//1117
    "loadContactGroup",	//1118
    "loadContactGroup#",	//1119
    "loadedPayloadParts",	//1120
    "localParts",	//1121
    "makeCompletion",	//1122
    "mapFromSource",	//1123
    "mapFromSource#",	//1124
    "mapSelectionFromSource",	//1125
    "mapSelectionToSource",	//1126
    "mapToSource",	//1127
    "mapToSource#",	//1128
    "match",	//1129
    "match#$#",	//1130
    "match#$#$",	//1131
    "match#$#$$",	//1132
    "maximumValue",	//1133
    "metaObject",	//1134
    "metric",	//1135
    "mimeData",	//1136
    "mimeData?",	//1137
    "mimeType",	//1138
    "mimeTypeExclusionFilters",	//1139
    "mimeTypeFilter",	//1140
    "mimeTypeFilters",	//1141
    "mimeTypeInclusionFilters",	//1142
    "mimeTypeMonitored",	//1143
    "mimeTypeMonitored$$",	//1144
    "mimeTypes",	//1145
    "mimeTypesMonitored",	//1146
    "minimumSizeHint",	//1147
    "modelIndexForCollection",	//1148
    "modelIndexForCollection##",	//1149
    "modelIndexesForItem",	//1150
    "modelIndexesForItem##",	//1151
    "modificationTime",	//1152
    "mouseDoubleClickEvent",	//1153
    "mouseMoveEvent",	//1154
    "mousePressEvent",	//1155
    "mouseReleaseEvent",	//1156
    "moveCursor",	//1157
    "moveEvent",	//1158
    "name",	//1159
    "nameChanged",	//1160
    "nameChanged$",	//1161
    "nothingToReplay",	//1162
    "onlineChanged",	//1163
    "onlineChanged$",	//1164
    "operator!=",	//1165
    "operator!=#",	//1166
    "operator<",	//1167
    "operator<#",	//1168
    "operator=",	//1169
    "operator=#",	//1170
    "operator==",	//1171
    "operator==#",	//1172
    "pageTitle",	//1173
    "paint",	//1174
    "paint###",	//1175
    "paintEngine",	//1176
    "paintEvent",	//1177
    "paletteChange",	//1178
    "parent",	//1179
    "parent#",	//1180
    "parentCollection",	//1181
    "parentRemoteId",	//1182
    "partName",	//1183
    "parts",	//1184
    "parts#",	//1185
    "payloadData",	//1186
    "payloadParts",	//1187
    "percent",	//1188
    "percent$",	//1189
    "perfectParents",	//1190
    "phoneNumberClicked",	//1191
    "phoneNumberClicked#",	//1192
    "processItem",	//1193
    "processItem#",	//1194
    "progress",	//1195
    "progressAnimationEnabled",	//1196
    "progressMessage",	//1197
    "qt_metacall",	//1198
    "qt_metacall$$?",	//1199
    "qt_metacast",	//1200
    "qt_metacast$",	//1201
    "rawContact",	//1202
    "reconfigure",	//1203
    "reconnected",	//1204
    "registerObserver",	//1205
    "registerObserver#",	//1206
    "registerPage",	//1207
    "registerPage#",	//1208
    "reject",	//1209
    "reloadConfiguration",	//1210
    "remoteId",	//1211
    "remoteRevision",	//1212
    "removeAttribute",	//1213
    "removeAttribute#",	//1214
    "removeCollection",	//1215
    "removeCollection#",	//1216
    "removeColumns",	//1217
    "removeInstance",	//1218
    "removeInstance#",	//1219
    "removeRows",	//1220
    "removeSubjob",	//1221
    "removeSubjob#",	//1222
    "removeWantedMimeType",	//1223
    "removeWantedMimeType$",	//1224
    "replayNext",	//1225
    "reset",	//1226
    "resizeEvent",	//1227
    "resource",	//1228
    "resourceMonitored",	//1229
    "resourceMonitored#$",	//1230
    "resourcesMonitored",	//1231
    "restart",	//1232
    "restart#",	//1233
    "restoreState",	//1234
    "restoreState#",	//1235
    "retrieveCollectionAttributes",	//1236
    "retrieveCollectionAttributes#",	//1237
    "retrieveCollections",	//1238
    "retrieveItem",	//1239
    "retrieveItem#?",	//1240
    "retrieveItems",	//1241
    "retrieveItems#",	//1242
    "revert",	//1243
    "revision",	//1244
    "rights",	//1245
    "rollback",	//1246
    "root",	//1247
    "rootCollectionDisplayName",	//1248
    "rowCount",	//1249
    "rowCount#",	//1250
    "rowsAboutToBeRemoved",	//1251
    "rowsInserted",	//1252
    "save",	//1253
    "save#",	//1254
    "saveContact",	//1255
    "saveContactGroup",	//1256
    "saveState",	//1257
    "saveState#",	//1258
    "scheduleCustomTask",	//1259
    "scheduleCustomTask#$#",	//1260
    "scheduleCustomTask#$#$",	//1261
    "scrollContentsBy",	//1262
    "scrollTo",	//1263
    "selectAll",	//1264
    "selectedAgentInstances",	//1265
    "selectedCollection",	//1266
    "selectedCollections",	//1267
    "selectedIndexes",	//1268
    "selectedItems",	//1269
    "selectionChanged",	//1270
    "selectionCommand",	//1271
    "selectionMode",	//1272
    "self",	//1273
    "sendEmail",	//1274
    "sendEmail$$",	//1275
    "sendItem",	//1276
    "sendItem#",	//1277
    "sendSms",	//1278
    "sendSms#",	//1279
    "serialize",	//1280
    "serialize###$",	//1281
    "serialized",	//1282
    "session",	//1283
    "sessionId",	//1284
    "setAccessRightsFilter",	//1285
    "setAccessRightsFilter$",	//1286
    "setActionText",	//1287
    "setActionText$#",	//1288
    "setActiveIconName",	//1289
    "setActiveIconName$",	//1290
    "setAgentName",	//1291
    "setAgentName$",	//1292
    "setAllMonitored",	//1293
    "setAllMonitored$",	//1294
    "setAncestorRetrieval",	//1295
    "setAncestorRetrieval$",	//1296
    "setAutoCompletion",	//1297
    "setAutomaticCommittingEnabled",	//1298
    "setAutomaticCommittingEnabled$",	//1299
    "setAutomaticProgressReporting",	//1300
    "setAutomaticProgressReporting$",	//1301
    "setBackgroundColor",	//1302
    "setBackgroundColor#",	//1303
    "setBcc",	//1304
    "setBcc?",	//1305
    "setCacheOnly",	//1306
    "setCacheOnly$",	//1307
    "setCachePolicy",	//1308
    "setCachePolicy#",	//1309
    "setCacheTimeout",	//1310
    "setCacheTimeout$",	//1311
    "setCapabilityFilter",	//1312
    "setCapabilityFilter?",	//1313
    "setCaption",	//1314
    "setCc",	//1315
    "setCc?",	//1316
    "setChangeRecordingEnabled",	//1317
    "setChangeRecordingEnabled$",	//1318
    "setCollection",	//1319
    "setCollection#",	//1320
    "setCollectionFetchScope",	//1321
    "setCollectionFetchScope#",	//1322
    "setCollectionFetchStrategy",	//1323
    "setCollectionFetchStrategy$",	//1324
    "setCollectionMonitored",	//1325
    "setCollectionMonitored#",	//1326
    "setCollectionMonitored#$",	//1327
    "setCollectionMoveTranslationEnabled",	//1328
    "setCollectionMoveTranslationEnabled$",	//1329
    "setCollectionPropertiesPageNames",	//1330
    "setCollectionPropertiesPageNames?",	//1331
    "setCollectionSelectionModel",	//1332
    "setCollectionSelectionModel#",	//1333
    "setCollectionStreamingEnabled",	//1334
    "setCollectionStreamingEnabled$",	//1335
    "setCollectionTreeOnly",	//1336
    "setCollectionTreeOnly$",	//1337
    "setCollections",	//1338
    "setCollections?",	//1339
    "setCompletedItems",	//1340
    "setCompletedText",	//1341
    "setCompletionMode",	//1342
    "setCompletionObject",	//1343
    "setConfig",	//1344
    "setConfig#",	//1345
    "setContact",	//1346
    "setContact#",	//1347
    "setContactFormatter",	//1348
    "setContactFormatter#",	//1349
    "setContactGroup",	//1350
    "setContactGroup#",	//1351
    "setContactGroupFormatter",	//1352
    "setContactGroupFormatter#",	//1353
    "setContactGroupTemplate",	//1354
    "setContactGroupTemplate#",	//1355
    "setContactTemplate",	//1356
    "setContactTemplate#",	//1357
    "setContentMimeTypes",	//1358
    "setContentMimeTypes?",	//1359
    "setContextMenuEnabled",	//1360
    "setContextText",	//1361
    "setContextText$$#",	//1362
    "setContextText$$$",	//1363
    "setCount",	//1364
    "setCount$",	//1365
    "setCurrentValue",	//1366
    "setCurrentValue$",	//1367
    "setData",	//1368
    "setData##",	//1369
    "setData##$",	//1370
    "setDefaultAddressBook",	//1371
    "setDefaultAddressBook#",	//1372
    "setDefaultCollection",	//1373
    "setDefaultCollection#",	//1374
    "setDefaultPopupMenu",	//1375
    "setDefaultPopupMenu$",	//1376
    "setDescription",	//1377
    "setDescription$",	//1378
    "setDisplayName",	//1379
    "setDisplayName$",	//1380
    "setDropActionMenuEnabled",	//1381
    "setDropActionMenuEnabled$",	//1382
    "setEditorData",	//1383
    "setExcludeVirtualCollections",	//1384
    "setExcludeVirtualCollections$",	//1385
    "setExtraColumnsEnabled",	//1386
    "setExtraColumnsEnabled$",	//1387
    "setFavoriteCollectionsModel",	//1388
    "setFavoriteCollectionsModel#",	//1389
    "setFavoriteLabel",	//1390
    "setFavoriteLabel#$",	//1391
    "setFavoriteSelectionModel",	//1392
    "setFavoriteSelectionModel#",	//1393
    "setFetchModificationTime",	//1394
    "setFetchModificationTime$",	//1395
    "setFetchScope",	//1396
    "setFetchScope#",	//1397
    "setFlag",	//1398
    "setFlag#",	//1399
    "setFlags",	//1400
    "setFlags?",	//1401
    "setFrom",	//1402
    "setFrom$",	//1403
    "setFullPayload",	//1404
    "setFullPayload$",	//1405
    "setFullSyncItems",	//1406
    "setFullSyncItems?",	//1407
    "setHandleSignals",	//1408
    "setHeaderData",	//1409
    "setHeaderData$$#",	//1410
    "setHeaderData$$#$",	//1411
    "setHeaderGroup",	//1412
    "setHeaderGroup$",	//1413
    "setHierarchicalRemoteIdentifiersEnabled",	//1414
    "setHierarchicalRemoteIdentifiersEnabled$",	//1415
    "setIconName",	//1416
    "setIconName$",	//1417
    "setId",	//1418
    "setId$",	//1419
    "setIgnoreJobFailure",	//1420
    "setIgnoreJobFailure#",	//1421
    "setIgnorePayload",	//1422
    "setIgnorePayload$",	//1423
    "setIncludeRootCollection",	//1424
    "setIncludeRootCollection$",	//1425
    "setIncludeStatistics",	//1426
    "setIncludeStatistics$",	//1427
    "setIncludeUnsubscribed",	//1428
    "setIncludeUnsubscribed$",	//1429
    "setIncrementalSyncItems",	//1430
    "setIncrementalSyncItems??",	//1431
    "setInheritFromParent",	//1432
    "setInheritFromParent$",	//1433
    "setIntervalCheckTime",	//1434
    "setIntervalCheckTime$",	//1435
    "setIsOnline",	//1436
    "setIsOnline$",	//1437
    "setItem",	//1438
    "setItem#",	//1439
    "setItemData",	//1440
    "setItemFetchScope",	//1441
    "setItemFetchScope#",	//1442
    "setItemMonitored",	//1443
    "setItemMonitored#",	//1444
    "setItemMonitored#$",	//1445
    "setItemPopulationStrategy",	//1446
    "setItemPopulationStrategy$",	//1447
    "setItemSelectionModel",	//1448
    "setItemSelectionModel#",	//1449
    "setItemStreamingEnabled",	//1450
    "setItemStreamingEnabled$",	//1451
    "setItemSynchronizationFetchScope",	//1452
    "setItemSynchronizationFetchScope#",	//1453
    "setItemTransactionMode",	//1454
    "setItemTransactionMode$",	//1455
    "setLimit",	//1456
    "setLimit$",	//1457
    "setLineEdit",	//1458
    "setLocalParts",	//1459
    "setLocalParts?",	//1460
    "setManualSortingActive",	//1461
    "setManualSortingActive$",	//1462
    "setMaximumValue",	//1463
    "setMaximumValue$",	//1464
    "setMimeType",	//1465
    "setMimeType$",	//1466
    "setMimeTypeFilter",	//1467
    "setMimeTypeFilter?",	//1468
    "setMimeTypeMonitored",	//1469
    "setMimeTypeMonitored$",	//1470
    "setMimeTypeMonitored$$",	//1471
    "setModel",	//1472
    "setModel#",	//1473
    "setModelData",	//1474
    "setModificationTime",	//1475
    "setModificationTime#",	//1476
    "setName",	//1477
    "setName$",	//1478
    "setNeedsNetwork",	//1479
    "setNeedsNetwork$",	//1480
    "setOnline",	//1481
    "setOnline$",	//1482
    "setOutboundFolder",	//1483
    "setOutboundFolder$",	//1484
    "setPageTitle",	//1485
    "setPageTitle$",	//1486
    "setParent",	//1487
    "setParent#",	//1488
    "setParent$",	//1489
    "setParentCollection",	//1490
    "setParentCollection#",	//1491
    "setParentRemoteId",	//1492
    "setParentRemoteId$",	//1493
    "setPayloadFromData",	//1494
    "setPayloadFromData#",	//1495
    "setPerfectParents",	//1496
    "setPerfectParents?",	//1497
    "setPlainCaption",	//1498
    "setProgressAnimationEnabled",	//1499
    "setProgressAnimationEnabled$",	//1500
    "setQuery",	//1501
    "setQuery$",	//1502
    "setQuery$$",	//1503
    "setQuery$$$",	//1504
    "setQueryLanguage",	//1505
    "setQueryLanguage$",	//1506
    "setRawContact",	//1507
    "setRawContact#",	//1508
    "setReadOnly",	//1509
    "setReadOnly$",	//1510
    "setRemoteId",	//1511
    "setRemoteId$",	//1512
    "setRemoteRevision",	//1513
    "setRemoteRevision$",	//1514
    "setResource",	//1515
    "setResource$",	//1516
    "setResourceMonitored",	//1517
    "setResourceMonitored#",	//1518
    "setResourceMonitored#$",	//1519
    "setRevision",	//1520
    "setRevision$",	//1521
    "setRights",	//1522
    "setRights$",	//1523
    "setRootCollectionDisplayName",	//1524
    "setRootCollectionDisplayName$",	//1525
    "setRootIndex",	//1526
    "setSelection",	//1527
    "setSelectionMode",	//1528
    "setSelectionMode$",	//1529
    "setSelectionModel",	//1530
    "setSession",	//1531
    "setSession#",	//1532
    "setShowSystemEntities",	//1533
    "setShowSystemEntities$",	//1534
    "setSize",	//1535
    "setSize$",	//1536
    "setSourceModel",	//1537
    "setSourceModel#",	//1538
    "setStatistics",	//1539
    "setStatistics#",	//1540
    "setStreamingEnabled",	//1541
    "setStreamingEnabled$",	//1542
    "setSubjectParents",	//1543
    "setSubjectParents?",	//1544
    "setSyncOnDemand",	//1545
    "setSyncOnDemand$",	//1546
    "setTo",	//1547
    "setTo?",	//1548
    "setToolTipEnabled",	//1549
    "setToolTipEnabled$",	//1550
    "setTotalItems",	//1551
    "setTotalItems$",	//1552
    "setTransactionMode",	//1553
    "setTransactionMode$",	//1554
    "setUnperfectParents",	//1555
    "setUnperfectParents?",	//1556
    "setUnreadCount",	//1557
    "setUnreadCount$",	//1558
    "setUnreadCountShown",	//1559
    "setUnreadCountShown$",	//1560
    "setVisible",	//1561
    "setWantedMimeTypes",	//1562
    "setWantedMimeTypes?",	//1563
    "setXmlGuiClient",	//1564
    "setXmlGuiClient#",	//1565
    "setXmlGuiWindow",	//1566
    "setXmlGuiWindow#",	//1567
    "showAddress",	//1568
    "showAddress#",	//1569
    "showEvent",	//1570
    "showPopup",	//1571
    "showSelfTestDialog",	//1572
    "showSelfTestDialog#",	//1573
    "showUrl",	//1574
    "showUrl#",	//1575
    "size",	//1576
    "sizeHint",	//1577
    "sizeHintForColumn",	//1578
    "sizeHintForRow",	//1579
    "slotButtonClicked",	//1580
    "slotButtonClicked$",	//1581
    "slotInfoMessage",	//1582
    "slotResult",	//1583
    "slotResult#",	//1584
    "smsClicked",	//1585
    "smsClicked#",	//1586
    "sort",	//1587
    "span",	//1588
    "start",	//1589
    "start#",	//1590
    "startDrag",	//1591
    "startDrag$",	//1592
    "started",	//1593
    "state",	//1594
    "stateChanged",	//1595
    "stateChanged$",	//1596
    "staticMetaObject",	//1597
    "statistics",	//1598
    "status",	//1599
    "status$",	//1600
    "status$$",	//1601
    "statusMessage",	//1602
    "stop",	//1603
    "stop#",	//1604
    "stopped",	//1605
    "storageCollectionId",	//1606
    "storeContact",	//1607
    "storeContact#",	//1608
    "styleChange",	//1609
    "subjectParents",	//1610
    "submit",	//1611
    "supportedDropActions",	//1612
    "syncOnDemand",	//1613
    "synchronize",	//1614
    "synchronizeCollection",	//1615
    "synchronizeCollection#",	//1616
    "synchronizeCollection#$",	//1617
    "synchronizeCollection$",	//1618
    "synchronizeCollection$$",	//1619
    "synchronizeCollectionAttributes",	//1620
    "synchronizeCollectionAttributes$",	//1621
    "synchronizeCollectionTree",	//1622
    "synchronized",	//1623
    "systemEntitiesShown",	//1624
    "tabletEvent",	//1625
    "taskDone",	//1626
    "timerEvent",	//1627
    "timerEvent#",	//1628
    "title",	//1629
    "to",	//1630
    "tr",	//1631
    "tr$",	//1632
    "tr$$",	//1633
    "tr$$$",	//1634
    "trUtf8",	//1635
    "trUtf8$",	//1636
    "trUtf8$$",	//1637
    "trUtf8$$$",	//1638
    "type",	//1639
    "type$",	//1640
    "typeAdded",	//1641
    "typeAdded#",	//1642
    "typeName",	//1643
    "typeRemoved",	//1644
    "typeRemoved#",	//1645
    "types",	//1646
    "unperfectParents",	//1647
    "unreadCount",	//1648
    "unreadCountShown",	//1649
    "updateEditorData",	//1650
    "updateEditorGeometries",	//1651
    "updateEditorGeometry",	//1652
    "updateGeometries",	//1653
    "updateItem",	//1654
    "updateItem##",	//1655
    "updatePalette",	//1656
    "url",	//1657
    "url$",	//1658
    "urlClicked",	//1659
    "urlClicked#",	//1660
    "useDefaultPage",	//1661
    "useDefaultPage$",	//1662
    "verticalOffset",	//1663
    "verticalScrollbarAction",	//1664
    "verticalScrollbarValueChanged",	//1665
    "view",	//1666
    "viewOptions",	//1667
    "viewer",	//1668
    "viewportEvent",	//1669
    "virtual_hook",	//1670
    "visualRect",	//1671
    "visualRegionForSelection",	//1672
    "wantedMimeTypes",	//1673
    "warning",	//1674
    "warning$",	//1675
    "what",	//1676
    "wheelEvent",	//1677
    "widgetNeedsAkonadi",	//1678
    "widgetNeedsAkonadi#",	//1679
    "winIdForDialogs",	//1680
    "windowActivationChange",	//1681
    "writeFinished",	//1682
    "writeFinished#",	//1683
    "x11Event",	//1684
    "~AddressAttribute",	//1685
    "~AgentBase",	//1686
    "~AgentFilterProxyModel",	//1687
    "~AgentInstance",	//1688
    "~AgentInstanceCreateJob",	//1689
    "~AgentInstanceModel",	//1690
    "~AgentInstanceWidget",	//1691
    "~AgentManager",	//1692
    "~AgentType",	//1693
    "~AgentTypeDialog",	//1694
    "~AgentTypeModel",	//1695
    "~AgentTypeWidget",	//1696
    "~Attribute",	//1697
    "~AttributeFactory",	//1698
    "~CachePolicy",	//1699
    "~ChangeRecorder",	//1700
    "~Collection",	//1701
    "~CollectionComboBox",	//1702
    "~CollectionCopyJob",	//1703
    "~CollectionCreateJob",	//1704
    "~CollectionDeleteJob",	//1705
    "~CollectionDialog",	//1706
    "~CollectionFetchJob",	//1707
    "~CollectionFetchScope",	//1708
    "~CollectionFilterProxyModel",	//1709
    "~CollectionModel",	//1710
    "~CollectionModifyJob",	//1711
    "~CollectionMoveJob",	//1712
    "~CollectionPropertiesDialog",	//1713
    "~CollectionPropertiesPage",	//1714
    "~CollectionPropertiesPageFactory",	//1715
    "~CollectionQuotaAttribute",	//1716
    "~CollectionRequester",	//1717
    "~CollectionStatistics",	//1718
    "~CollectionStatisticsDelegate",	//1719
    "~CollectionStatisticsJob",	//1720
    "~CollectionStatisticsModel",	//1721
    "~CollectionView",	//1722
    "~ContactDefaultActions",	//1723
    "~ContactEditor",	//1724
    "~ContactEditorDialog",	//1725
    "~ContactEditorPagePlugin",	//1726
    "~ContactGroupEditor",	//1727
    "~ContactGroupEditorDialog",	//1728
    "~ContactGroupExpandJob",	//1729
    "~ContactGroupSearchJob",	//1730
    "~ContactGroupViewer",	//1731
    "~ContactGroupViewerDialog",	//1732
    "~ContactSearchJob",	//1733
    "~ContactViewer",	//1734
    "~ContactViewerDialog",	//1735
    "~Control",	//1736
    "~Entity",	//1737
    "~EntityDisplayAttribute",	//1738
    "~EntityHiddenAttribute",	//1739
    "~EntityListView",	//1740
    "~EntityMimeTypeFilterModel",	//1741
    "~EntityTreeModel",	//1742
    "~EntityTreeView",	//1743
    "~EntityTreeViewStateSaver",	//1744
    "~Exception",	//1745
    "~FavoriteCollectionsModel",	//1746
    "~Item",	//1747
    "~ItemCopyJob",	//1748
    "~ItemCreateJob",	//1749
    "~ItemDeleteJob",	//1750
    "~ItemFetchJob",	//1751
    "~ItemFetchScope",	//1752
    "~ItemModel",	//1753
    "~ItemModifyJob",	//1754
    "~ItemMonitor",	//1755
    "~ItemMoveJob",	//1756
    "~ItemSearchJob",	//1757
    "~ItemSerializerPlugin",	//1758
    "~ItemSerializerPluginV2",	//1759
    "~ItemSync",	//1760
    "~ItemView",	//1761
    "~Job",	//1762
    "~LinkJob",	//1763
    "~MessageFolderAttribute",	//1764
    "~MessageModel",	//1765
    "~MessageThreaderProxyModel",	//1766
    "~MessageThreadingAttribute",	//1767
    "~MimeTypeChecker",	//1768
    "~Monitor",	//1769
    "~Observer",	//1770
    "~ObserverV2",	//1771
    "~PartFetcher",	//1772
    "~PayloadBase",	//1773
    "~PayloadException",	//1774
    "~PreprocessorBase",	//1775
    "~ResourceBase",	//1776
    "~ResourceSynchronizationJob",	//1777
    "~SearchCreateJob",	//1778
    "~SelectionProxyModel",	//1779
    "~ServerManager",	//1780
    "~Session",	//1781
    "~StandardActionManager",	//1782
    "~StatisticsProxyModel",	//1783
    "~TransactionBeginJob",	//1784
    "~TransactionCommitJob",	//1785
    "~TransactionRollbackJob",	//1786
    "~TransactionSequence",	//1787
    "~TransportResourceBase",	//1788
    "~UnlinkJob",	//1789
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 5, 1, 4, Smoke::mf_ctor, 4, 1},	//1 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&, const QStringList&)
    {4, 776, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 4, 2},	//2 Akonadi::AddressAttribute::clone() const
    {4, 1639, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 3},	//3 Akonadi::AddressAttribute::type() const
    {4, 1282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 4},	//4 Akonadi::AddressAttribute::serialized() const
    {4, 881, 6, 1, Smoke::mf_virtual, 0, 5},	//5 Akonadi::AddressAttribute::deserialize(const QByteArray&)
    {4, 979, 0, 0, Smoke::mf_const, 277, 6},	//6 Akonadi::AddressAttribute::from() const
    {4, 1402, 8, 1, 0, 0, 7},	//7 Akonadi::AddressAttribute::setFrom(const QString&)
    {4, 1630, 0, 0, Smoke::mf_const, 278, 8},	//8 Akonadi::AddressAttribute::to() const
    {4, 1547, 10, 1, 0, 0, 9},	//9 Akonadi::AddressAttribute::setTo(const QStringList&)
    {4, 754, 0, 0, Smoke::mf_const, 278, 10},	//10 Akonadi::AddressAttribute::cc() const
    {4, 1315, 10, 1, 0, 0, 11},	//11 Akonadi::AddressAttribute::setCc(const QStringList&)
    {4, 742, 0, 0, Smoke::mf_const, 278, 12},	//12 Akonadi::AddressAttribute::bcc() const
    {4, 1304, 10, 1, 0, 0, 13},	//13 Akonadi::AddressAttribute::setBcc(const QStringList&)
    {4, 5, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 14},	//14 Akonadi::AddressAttribute::AddressAttribute(const Akonadi::AddressAttribute&)
    {4, 5, 0, 0, Smoke::mf_ctor, 4, 15},	//15 Akonadi::AddressAttribute::AddressAttribute()
    {4, 5, 8, 1, Smoke::mf_ctor, 4, 16},	//16 Akonadi::AddressAttribute::AddressAttribute(const QString&)
    {4, 5, 14, 2, Smoke::mf_ctor, 4, 17},	//17 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&)
    {4, 5, 17, 3, Smoke::mf_ctor, 4, 18},	//18 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&)
    {4, 1685, 0, 0, Smoke::mf_dtor, 0, 19 },	//19 Akonadi::AddressAttribute::~AddressAttribute()
    {5, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//20 Akonadi::AgentBase::metaObject() const
    {5, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//21 Akonadi::AgentBase::qt_metacast(const char*)
    {5, 1631, 23, 2, Smoke::mf_static, 277, 3},	//22 Akonadi::AgentBase::tr(const char*, const char*)
    {5, 1635, 23, 2, Smoke::mf_static, 277, 4},	//23 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {5, 1631, 26, 3, Smoke::mf_static, 277, 5},	//24 Akonadi::AgentBase::tr(const char*, const char*, int)
    {5, 1635, 26, 3, Smoke::mf_static, 277, 6},	//25 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {5, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//26 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {5, 1599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 476, 8},	//27 Akonadi::AgentBase::status() const
    {5, 1602, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 9},	//28 Akonadi::AgentBase::statusMessage() const
    {5, 1195, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 476, 10},	//29 Akonadi::AgentBase::progress() const
    {5, 1197, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 11},	//30 Akonadi::AgentBase::progressMessage() const
    {5, 825, 34, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//31 Akonadi::AgentBase::configure(WId)
    {5, 1680, 0, 0, Smoke::mf_const, 484, 13},	//32 Akonadi::AgentBase::winIdForDialogs() const
    {5, 1004, 0, 0, Smoke::mf_const, 277, 14},	//33 Akonadi::AgentBase::identifier() const
    {5, 764, 0, 0, Smoke::mf_virtual, 0, 15},	//34 Akonadi::AgentBase::cleanup()
    {5, 1205, 36, 1, 0, 0, 16},	//35 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {5, 1291, 8, 1, 0, 0, 17},	//36 Akonadi::AgentBase::setAgentName(const QString&)
    {5, 720, 0, 0, Smoke::mf_const, 277, 18},	//37 Akonadi::AgentBase::agentName() const
    {5, 821, 0, 0, Smoke::mf_static, 194, 19},	//38 Akonadi::AgentBase::componentData()
    {5, 721, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//39 Akonadi::AgentBase::agentNameChanged(const QString&)
    {5, 1599, 38, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//40 Akonadi::AgentBase::status(int, const QString&)
    {5, 1188, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//41 Akonadi::AgentBase::percent(int)
    {5, 1674, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//42 Akonadi::AgentBase::warning(const QString&)
    {5, 938, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//43 Akonadi::AgentBase::error(const QString&)
    {5, 717, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//44 Akonadi::AgentBase::advancedStatus(const QVariantMap&)
    {5, 679, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//45 Akonadi::AgentBase::abortRequested()
    {5, 1210, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//46 Akonadi::AgentBase::reloadConfiguration()
    {5, 1163, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//47 Akonadi::AgentBase::onlineChanged(bool)
    {5, 823, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//48 Akonadi::AgentBase::configurationDialogAccepted()
    {5, 824, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//49 Akonadi::AgentBase::configurationDialogRejected()
    {5, 17, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 31},	//50 Akonadi::AgentBase::AgentBase(const QString&)
    {5, 680, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//51 Akonadi::AgentBase::aboutToQuit()
    {5, 761, 0, 0, Smoke::mf_const|Smoke::mf_protected, 32, 33},	//52 Akonadi::AgentBase::changeRecorder() const
    {5, 822, 0, 0, Smoke::mf_protected, 201, 34},	//53 Akonadi::AgentBase::config()
    {5, 760, 0, 0, Smoke::mf_protected, 0, 35},	//54 Akonadi::AgentBase::changeProcessed()
    {5, 1058, 0, 0, Smoke::mf_const|Smoke::mf_protected, 388, 36},	//55 Akonadi::AgentBase::isOnline() const
    {5, 1479, 45, 1, Smoke::mf_protected, 0, 37},	//56 Akonadi::AgentBase::setNeedsNetwork(bool)
    {5, 1481, 45, 1, Smoke::mf_protected, 0, 38},	//57 Akonadi::AgentBase::setOnline(bool)
    {5, 17, 47, 2, Smoke::mf_ctor|Smoke::mf_protected, 5, 39},	//58 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {5, 898, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//59 Akonadi::AgentBase::doSetOnline(bool)
    {5, 1631, 21, 1, Smoke::mf_static, 277, 41},	//60 Akonadi::AgentBase::tr(const char*)
    {5, 1635, 21, 1, Smoke::mf_static, 277, 42},	//61 Akonadi::AgentBase::trUtf8(const char*)
    {5, 1599, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//62 Akonadi::AgentBase::status(int)
    {5, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 44},	//63 Akonadi::AgentBase::staticMetaObject() const
    {5, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 45},	//64 Akonadi::AgentBase::Idle (enum)
    {5, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 46},	//65 Akonadi::AgentBase::Running (enum)
    {5, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 47},	//66 Akonadi::AgentBase::Broken (enum)
    {5, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 48},	//67 Akonadi::AgentBase::NotConfigured (enum)
    {5, 1686, 0, 0, Smoke::mf_dtor, 0, 49 },	//68 Akonadi::AgentBase::~AgentBase()
    {6, 453, 0, 0, Smoke::mf_ctor, 6, 1},	//69 Akonadi::AgentBase::Observer::Observer()
    {6, 1073, 50, 2, Smoke::mf_virtual, 0, 2},	//70 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {6, 1075, 53, 2, Smoke::mf_virtual, 0, 3},	//71 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {6, 1089, 56, 1, Smoke::mf_virtual, 0, 4},	//72 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {6, 780, 58, 2, Smoke::mf_virtual, 0, 5},	//73 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {6, 784, 61, 1, Smoke::mf_virtual, 0, 6},	//74 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {6, 798, 61, 1, Smoke::mf_virtual, 0, 7},	//75 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {6, 453, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 6, 8},	//76 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {6, 1770, 0, 0, Smoke::mf_dtor, 0, 9 },	//77 Akonadi::AgentBase::Observer::~Observer()
    {7, 784, 61, 1, Smoke::mf_virtual, 0, 1},	//78 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {7, 1086, 65, 3, Smoke::mf_virtual, 0, 2},	//79 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 1082, 50, 2, Smoke::mf_virtual, 0, 3},	//80 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 1096, 50, 2, Smoke::mf_virtual, 0, 4},	//81 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 796, 69, 3, Smoke::mf_virtual, 0, 5},	//82 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 784, 73, 2, Smoke::mf_virtual, 0, 6},	//83 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {7, 455, 0, 0, Smoke::mf_ctor, 7, 7},	//84 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {7, 455, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 8},	//85 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {7, 1771, 0, 0, Smoke::mf_dtor, 0, 9 },	//86 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {9, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//87 Akonadi::AgentFilterProxyModel::metaObject() const
    {9, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//88 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {9, 1631, 23, 2, Smoke::mf_static, 277, 3},	//89 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {9, 1635, 23, 2, Smoke::mf_static, 277, 4},	//90 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {9, 1631, 26, 3, Smoke::mf_static, 277, 5},	//91 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {9, 1635, 26, 3, Smoke::mf_static, 277, 6},	//92 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {9, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//93 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {9, 20, 78, 1, Smoke::mf_ctor, 10, 8},	//94 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {9, 703, 8, 1, 0, 0, 9},	//95 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {9, 695, 8, 1, 0, 0, 10},	//96 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {9, 769, 0, 0, 0, 0, 11},	//97 Akonadi::AgentFilterProxyModel::clearFilters()
    {9, 943, 8, 1, 0, 0, 12},	//98 Akonadi::AgentFilterProxyModel::excludeCapabilities(const QString&)
    {9, 969, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 13},	//99 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {9, 1631, 21, 1, Smoke::mf_static, 277, 14},	//100 Akonadi::AgentFilterProxyModel::tr(const char*)
    {9, 1635, 21, 1, Smoke::mf_static, 277, 15},	//101 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {9, 20, 0, 0, Smoke::mf_ctor, 10, 16},	//102 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {9, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//103 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {9, 1687, 0, 0, Smoke::mf_dtor, 0, 18 },	//104 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {10, 22, 0, 0, Smoke::mf_ctor, 13, 1},	//105 Akonadi::AgentInstance::AgentInstance()
    {10, 22, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//106 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {10, 1062, 0, 0, Smoke::mf_const, 388, 3},	//107 Akonadi::AgentInstance::isValid() const
    {10, 1639, 0, 0, Smoke::mf_const, 20, 4},	//108 Akonadi::AgentInstance::type() const
    {10, 1004, 0, 0, Smoke::mf_const, 277, 5},	//109 Akonadi::AgentInstance::identifier() const
    {10, 1159, 0, 0, Smoke::mf_const, 277, 6},	//110 Akonadi::AgentInstance::name() const
    {10, 1477, 8, 1, 0, 0, 7},	//111 Akonadi::AgentInstance::setName(const QString&)
    {10, 1599, 0, 0, Smoke::mf_const, 14, 8},	//112 Akonadi::AgentInstance::status() const
    {10, 1602, 0, 0, Smoke::mf_const, 277, 9},	//113 Akonadi::AgentInstance::statusMessage() const
    {10, 1195, 0, 0, Smoke::mf_const, 476, 10},	//114 Akonadi::AgentInstance::progress() const
    {10, 1058, 0, 0, Smoke::mf_const, 388, 11},	//115 Akonadi::AgentInstance::isOnline() const
    {10, 1436, 45, 1, 0, 0, 12},	//116 Akonadi::AgentInstance::setIsOnline(bool)
    {10, 825, 85, 1, 0, 0, 13},	//117 Akonadi::AgentInstance::configure(QWidget*)
    {10, 1614, 0, 0, 0, 0, 14},	//118 Akonadi::AgentInstance::synchronize()
    {10, 1622, 0, 0, 0, 0, 15},	//119 Akonadi::AgentInstance::synchronizeCollectionTree()
    {10, 1169, 83, 1, 0, 12, 16},	//120 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {10, 1171, 83, 1, Smoke::mf_const, 388, 17},	//121 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {10, 678, 0, 0, Smoke::mf_const, 0, 18},	//122 Akonadi::AgentInstance::abortCurrentTask() const
    {10, 1203, 0, 0, Smoke::mf_const, 0, 19},	//123 Akonadi::AgentInstance::reconfigure() const
    {10, 1232, 0, 0, Smoke::mf_const, 0, 20},	//124 Akonadi::AgentInstance::restart() const
    {10, 825, 0, 0, 0, 0, 21},	//125 Akonadi::AgentInstance::configure()
    {10, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 22},	//126 Akonadi::AgentInstance::Idle (enum)
    {10, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 23},	//127 Akonadi::AgentInstance::Running (enum)
    {10, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 24},	//128 Akonadi::AgentInstance::Broken (enum)
    {10, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 25},	//129 Akonadi::AgentInstance::NotConfigured (enum)
    {10, 1688, 0, 0, Smoke::mf_dtor, 0, 26 },	//130 Akonadi::AgentInstance::~AgentInstance()
    {11, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//131 Akonadi::AgentInstanceCreateJob::metaObject() const
    {11, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//132 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {11, 1631, 23, 2, Smoke::mf_static, 277, 3},	//133 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {11, 1635, 23, 2, Smoke::mf_static, 277, 4},	//134 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {11, 1631, 26, 3, Smoke::mf_static, 277, 5},	//135 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {11, 1635, 26, 3, Smoke::mf_static, 277, 6},	//136 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {11, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//137 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {11, 24, 87, 2, Smoke::mf_ctor, 15, 8},	//138 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {11, 24, 90, 2, Smoke::mf_ctor, 15, 9},	//139 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&, QObject*)
    {11, 825, 85, 1, 0, 0, 10},	//140 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {11, 1027, 0, 0, Smoke::mf_const, 11, 11},	//141 Akonadi::AgentInstanceCreateJob::instance() const
    {11, 1589, 0, 0, Smoke::mf_virtual, 0, 12},	//142 Akonadi::AgentInstanceCreateJob::start()
    {11, 1631, 21, 1, Smoke::mf_static, 277, 13},	//143 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {11, 1635, 21, 1, Smoke::mf_static, 277, 14},	//144 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {11, 24, 93, 1, Smoke::mf_ctor, 15, 15},	//145 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {11, 24, 8, 1, Smoke::mf_ctor, 15, 16},	//146 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&)
    {11, 825, 0, 0, 0, 0, 17},	//147 Akonadi::AgentInstanceCreateJob::configure()
    {11, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//148 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {11, 1689, 0, 0, Smoke::mf_dtor, 0, 19 },	//149 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {12, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//150 Akonadi::AgentInstanceModel::metaObject() const
    {12, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//151 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {12, 1631, 23, 2, Smoke::mf_static, 277, 3},	//152 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {12, 1635, 23, 2, Smoke::mf_static, 277, 4},	//153 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {12, 1631, 26, 3, Smoke::mf_static, 277, 5},	//154 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {12, 1635, 26, 3, Smoke::mf_static, 277, 6},	//155 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {12, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//156 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {12, 29, 78, 1, Smoke::mf_ctor, 16, 8},	//157 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {12, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 9},	//158 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {12, 1249, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 10},	//159 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {12, 870, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 11},	//160 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {12, 992, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//161 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {12, 1014, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 13},	//162 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {12, 1179, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 14},	//163 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {12, 973, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 15},	//164 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {12, 1368, 108, 3, Smoke::mf_virtual, 388, 16},	//165 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {12, 1631, 21, 1, Smoke::mf_static, 277, 17},	//166 Akonadi::AgentInstanceModel::tr(const char*)
    {12, 1635, 21, 1, Smoke::mf_static, 277, 18},	//167 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {12, 29, 0, 0, Smoke::mf_ctor, 16, 19},	//168 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {12, 817, 0, 0, Smoke::mf_const, 476, 20},	//169 Akonadi::AgentInstanceModel::columnCount() const
    {12, 1249, 0, 0, Smoke::mf_const, 476, 21},	//170 Akonadi::AgentInstanceModel::rowCount() const
    {12, 870, 95, 1, Smoke::mf_const, 287, 22},	//171 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {12, 992, 112, 2, Smoke::mf_const, 287, 23},	//172 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {12, 1014, 115, 2, Smoke::mf_const, 261, 24},	//173 Akonadi::AgentInstanceModel::index(int, int) const
    {12, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 25},	//174 Akonadi::AgentInstanceModel::staticMetaObject() const
    {12, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 26},	//175 Akonadi::AgentInstanceModel::TypeRole (enum)
    {12, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//176 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {12, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 28},	//177 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {12, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 29},	//178 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {12, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 30},	//179 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {12, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 31},	//180 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {12, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 32},	//181 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {12, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 33},	//182 Akonadi::AgentInstanceModel::StatusRole (enum)
    {12, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 34},	//183 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {12, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 35},	//184 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {12, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 36},	//185 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {12, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 37},	//186 Akonadi::AgentInstanceModel::UserRole (enum)
    {12, 1690, 0, 0, Smoke::mf_dtor, 0, 38 },	//187 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {13, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//188 Akonadi::AgentInstanceWidget::metaObject() const
    {13, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//189 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {13, 1631, 23, 2, Smoke::mf_static, 277, 3},	//190 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {13, 1635, 23, 2, Smoke::mf_static, 277, 4},	//191 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {13, 1631, 26, 3, Smoke::mf_static, 277, 5},	//192 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {13, 1635, 26, 3, Smoke::mf_static, 277, 6},	//193 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {13, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//194 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {13, 31, 85, 1, Smoke::mf_ctor, 18, 8},	//195 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {13, 860, 0, 0, Smoke::mf_const, 11, 9},	//196 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {13, 1265, 0, 0, Smoke::mf_const, 247, 10},	//197 Akonadi::AgentInstanceWidget::selectedAgentInstances() const
    {13, 719, 0, 0, Smoke::mf_const, 10, 11},	//198 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {13, 1666, 0, 0, Smoke::mf_const, 208, 12},	//199 Akonadi::AgentInstanceWidget::view() const
    {13, 862, 118, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//200 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {13, 904, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//201 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {13, 774, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//202 Akonadi::AgentInstanceWidget::clicked(const Akonadi::AgentInstance&)
    {13, 1631, 21, 1, Smoke::mf_static, 277, 16},	//203 Akonadi::AgentInstanceWidget::tr(const char*)
    {13, 1635, 21, 1, Smoke::mf_static, 277, 17},	//204 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {13, 31, 0, 0, Smoke::mf_ctor, 18, 18},	//205 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {13, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 19},	//206 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {13, 1691, 0, 0, Smoke::mf_dtor, 0, 20 },	//207 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {14, 1134, 0, 0, Smoke::mf_const, 454, 1},	//208 Akonadi::AgentManager::metaObject() const
    {14, 1200, 21, 1, 0, 485, 2},	//209 Akonadi::AgentManager::qt_metacast(const char*)
    {14, 1631, 23, 2, Smoke::mf_static, 277, 3},	//210 Akonadi::AgentManager::tr(const char*, const char*)
    {14, 1635, 23, 2, Smoke::mf_static, 277, 4},	//211 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {14, 1631, 26, 3, Smoke::mf_static, 277, 5},	//212 Akonadi::AgentManager::tr(const char*, const char*, int)
    {14, 1635, 26, 3, Smoke::mf_static, 277, 6},	//213 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {14, 1198, 30, 3, 0, 476, 7},	//214 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {14, 1273, 0, 0, Smoke::mf_static, 19, 8},	//215 Akonadi::AgentManager::self()
    {14, 1646, 0, 0, Smoke::mf_const, 248, 9},	//216 Akonadi::AgentManager::types() const
    {14, 1639, 8, 1, Smoke::mf_const, 20, 10},	//217 Akonadi::AgentManager::type(const QString&) const
    {14, 1045, 0, 0, Smoke::mf_const, 247, 11},	//218 Akonadi::AgentManager::instances() const
    {14, 1027, 8, 1, Smoke::mf_const, 11, 12},	//219 Akonadi::AgentManager::instance(const QString&) const
    {14, 1218, 83, 1, 0, 0, 13},	//220 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {14, 1615, 61, 1, 0, 0, 14},	//221 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {14, 1615, 121, 2, 0, 0, 15},	//222 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&, bool)
    {14, 1641, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//223 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {14, 1644, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//224 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {14, 1029, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//225 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {14, 1039, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//226 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {14, 1041, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//227 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {14, 1037, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//228 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {14, 1033, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//229 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {14, 1031, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//230 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {14, 1043, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//231 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {14, 1035, 127, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//232 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {14, 1631, 21, 1, Smoke::mf_static, 277, 26},	//233 Akonadi::AgentManager::tr(const char*)
    {14, 1635, 21, 1, Smoke::mf_static, 277, 27},	//234 Akonadi::AgentManager::trUtf8(const char*)
    {14, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 28},	//235 Akonadi::AgentManager::staticMetaObject() const
    {14, 1692, 0, 0, Smoke::mf_dtor, 0, 29 },	//236 Akonadi::AgentManager::~AgentManager()
    {15, 33, 0, 0, Smoke::mf_ctor, 22, 1},	//237 Akonadi::AgentType::AgentType()
    {15, 33, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//238 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {15, 1062, 0, 0, Smoke::mf_const, 388, 3},	//239 Akonadi::AgentType::isValid() const
    {15, 1004, 0, 0, Smoke::mf_const, 277, 4},	//240 Akonadi::AgentType::identifier() const
    {15, 1159, 0, 0, Smoke::mf_const, 277, 5},	//241 Akonadi::AgentType::name() const
    {15, 880, 0, 0, Smoke::mf_const, 277, 6},	//242 Akonadi::AgentType::description() const
    {15, 1002, 0, 0, Smoke::mf_const, 277, 7},	//243 Akonadi::AgentType::iconName() const
    {15, 1001, 0, 0, Smoke::mf_const, 240, 8},	//244 Akonadi::AgentType::icon() const
    {15, 1145, 0, 0, Smoke::mf_const, 278, 9},	//245 Akonadi::AgentType::mimeTypes() const
    {15, 753, 0, 0, Smoke::mf_const, 278, 10},	//246 Akonadi::AgentType::capabilities() const
    {15, 1169, 93, 1, 0, 21, 11},	//247 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {15, 1171, 93, 1, Smoke::mf_const, 388, 12},	//248 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {15, 1693, 0, 0, Smoke::mf_dtor, 0, 13 },	//249 Akonadi::AgentType::~AgentType()
    {16, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//250 Akonadi::AgentTypeDialog::metaObject() const
    {16, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//251 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {16, 1631, 23, 2, Smoke::mf_static, 277, 3},	//252 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {16, 1635, 23, 2, Smoke::mf_static, 277, 4},	//253 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {16, 1631, 26, 3, Smoke::mf_static, 277, 5},	//254 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {16, 1635, 26, 3, Smoke::mf_static, 277, 6},	//255 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {16, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//256 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {16, 35, 85, 1, Smoke::mf_ctor, 23, 8},	//257 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {16, 723, 0, 0, Smoke::mf_const, 20, 9},	//258 Akonadi::AgentTypeDialog::agentType() const
    {16, 719, 0, 0, Smoke::mf_const, 10, 10},	//259 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {16, 902, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//260 Akonadi::AgentTypeDialog::done(int)
    {16, 1631, 21, 1, Smoke::mf_static, 277, 12},	//261 Akonadi::AgentTypeDialog::tr(const char*)
    {16, 1635, 21, 1, Smoke::mf_static, 277, 13},	//262 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {16, 35, 0, 0, Smoke::mf_ctor, 23, 14},	//263 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {16, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//264 Akonadi::AgentTypeDialog::staticMetaObject() const
    {16, 1694, 0, 0, Smoke::mf_dtor, 0, 16 },	//265 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {17, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//266 Akonadi::AgentTypeModel::metaObject() const
    {17, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//267 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {17, 1631, 23, 2, Smoke::mf_static, 277, 3},	//268 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {17, 1635, 23, 2, Smoke::mf_static, 277, 4},	//269 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {17, 1631, 26, 3, Smoke::mf_static, 277, 5},	//270 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {17, 1635, 26, 3, Smoke::mf_static, 277, 6},	//271 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {17, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//272 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {17, 37, 78, 1, Smoke::mf_ctor, 24, 8},	//273 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {17, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 9},	//274 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {17, 1249, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 10},	//275 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {17, 870, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 11},	//276 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {17, 1014, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 12},	//277 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {17, 1179, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 13},	//278 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {17, 973, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 14},	//279 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {17, 1631, 21, 1, Smoke::mf_static, 277, 15},	//280 Akonadi::AgentTypeModel::tr(const char*)
    {17, 1635, 21, 1, Smoke::mf_static, 277, 16},	//281 Akonadi::AgentTypeModel::trUtf8(const char*)
    {17, 37, 0, 0, Smoke::mf_ctor, 24, 17},	//282 Akonadi::AgentTypeModel::AgentTypeModel()
    {17, 817, 0, 0, Smoke::mf_const, 476, 18},	//283 Akonadi::AgentTypeModel::columnCount() const
    {17, 1249, 0, 0, Smoke::mf_const, 476, 19},	//284 Akonadi::AgentTypeModel::rowCount() const
    {17, 870, 95, 1, Smoke::mf_const, 287, 20},	//285 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {17, 1014, 115, 2, Smoke::mf_const, 261, 21},	//286 Akonadi::AgentTypeModel::index(int, int) const
    {17, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//287 Akonadi::AgentTypeModel::staticMetaObject() const
    {17, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 23},	//288 Akonadi::AgentTypeModel::TypeRole (enum)
    {17, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 24},	//289 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {17, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 25},	//290 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {17, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 26},	//291 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {17, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 27},	//292 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {17, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 28},	//293 Akonadi::AgentTypeModel::UserRole (enum)
    {17, 1695, 0, 0, Smoke::mf_dtor, 0, 29 },	//294 Akonadi::AgentTypeModel::~AgentTypeModel()
    {18, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//295 Akonadi::AgentTypeWidget::metaObject() const
    {18, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//296 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {18, 1631, 23, 2, Smoke::mf_static, 277, 3},	//297 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {18, 1635, 23, 2, Smoke::mf_static, 277, 4},	//298 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {18, 1631, 26, 3, Smoke::mf_static, 277, 5},	//299 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {18, 1635, 26, 3, Smoke::mf_static, 277, 6},	//300 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {18, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//301 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {18, 39, 85, 1, Smoke::mf_ctor, 26, 8},	//302 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {18, 861, 0, 0, Smoke::mf_const, 20, 9},	//303 Akonadi::AgentTypeWidget::currentAgentType() const
    {18, 719, 0, 0, Smoke::mf_const, 10, 10},	//304 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {18, 862, 130, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//305 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {18, 689, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//306 Akonadi::AgentTypeWidget::activated()
    {18, 1631, 21, 1, Smoke::mf_static, 277, 13},	//307 Akonadi::AgentTypeWidget::tr(const char*)
    {18, 1635, 21, 1, Smoke::mf_static, 277, 14},	//308 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {18, 39, 0, 0, Smoke::mf_ctor, 26, 15},	//309 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {18, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//310 Akonadi::AgentTypeWidget::staticMetaObject() const
    {18, 1696, 0, 0, Smoke::mf_dtor, 0, 17 },	//311 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {19, 1639, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 215, 1},	//312 Akonadi::Attribute::type() const [pure virtual]
    {19, 776, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 2},	//313 Akonadi::Attribute::clone() const [pure virtual]
    {19, 1282, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 215, 3},	//314 Akonadi::Attribute::serialized() const [pure virtual]
    {19, 881, 6, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//315 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {19, 51, 0, 0, Smoke::mf_ctor, 27, 5},	//316 Akonadi::Attribute::Attribute()
    {19, 51, 133, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 6},	//317 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {19, 1697, 0, 0, Smoke::mf_dtor, 0, 7 },	//318 Akonadi::Attribute::~Attribute()
    {20, 852, 6, 1, Smoke::mf_static, 27, 1},	//319 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {20, 53, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 28, 2},	//320 Akonadi::AttributeFactory::AttributeFactory()
    {20, 53, 135, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 3},	//321 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {20, 1698, 0, 0, Smoke::mf_dtor, 0, 4 },	//322 Akonadi::AttributeFactory::~AttributeFactory()
    {21, 63, 0, 0, Smoke::mf_ctor, 31, 1},	//323 Akonadi::CachePolicy::CachePolicy()
    {21, 63, 137, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 2},	//324 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {21, 1020, 0, 0, Smoke::mf_const, 388, 3},	//325 Akonadi::CachePolicy::inheritFromParent() const
    {21, 1432, 45, 1, 0, 0, 4},	//326 Akonadi::CachePolicy::setInheritFromParent(bool)
    {21, 1121, 0, 0, Smoke::mf_const, 278, 5},	//327 Akonadi::CachePolicy::localParts() const
    {21, 1459, 10, 1, 0, 0, 6},	//328 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {21, 746, 0, 0, Smoke::mf_const, 476, 7},	//329 Akonadi::CachePolicy::cacheTimeout() const
    {21, 1310, 41, 1, 0, 0, 8},	//330 Akonadi::CachePolicy::setCacheTimeout(int)
    {21, 1049, 0, 0, Smoke::mf_const, 476, 9},	//331 Akonadi::CachePolicy::intervalCheckTime() const
    {21, 1434, 41, 1, 0, 0, 10},	//332 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {21, 1613, 0, 0, Smoke::mf_const, 388, 11},	//333 Akonadi::CachePolicy::syncOnDemand() const
    {21, 1545, 45, 1, 0, 0, 12},	//334 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {21, 1169, 137, 1, 0, 30, 13},	//335 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {21, 1171, 137, 1, Smoke::mf_const, 388, 14},	//336 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {21, 1699, 0, 0, Smoke::mf_dtor, 0, 15 },	//337 Akonadi::CachePolicy::~CachePolicy()
    {22, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//338 Akonadi::ChangeRecorder::metaObject() const
    {22, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//339 Akonadi::ChangeRecorder::qt_metacast(const char*)
    {22, 1631, 23, 2, Smoke::mf_static, 277, 3},	//340 Akonadi::ChangeRecorder::tr(const char*, const char*)
    {22, 1635, 23, 2, Smoke::mf_static, 277, 4},	//341 Akonadi::ChangeRecorder::trUtf8(const char*, const char*)
    {22, 1631, 26, 3, Smoke::mf_static, 277, 5},	//342 Akonadi::ChangeRecorder::tr(const char*, const char*, int)
    {22, 1635, 26, 3, Smoke::mf_static, 277, 6},	//343 Akonadi::ChangeRecorder::trUtf8(const char*, const char*, int)
    {22, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//344 Akonadi::ChangeRecorder::qt_metacall(QMetaObject::Call, int, void**)
    {22, 75, 78, 1, Smoke::mf_ctor, 32, 8},	//345 Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    {22, 1344, 139, 1, 0, 0, 9},	//346 Akonadi::ChangeRecorder::setConfig(QSettings*)
    {22, 1054, 0, 0, Smoke::mf_const, 388, 10},	//347 Akonadi::ChangeRecorder::isEmpty() const
    {22, 760, 0, 0, 0, 0, 11},	//348 Akonadi::ChangeRecorder::changeProcessed()
    {22, 1317, 45, 1, 0, 0, 12},	//349 Akonadi::ChangeRecorder::setChangeRecordingEnabled(bool)
    {22, 917, 0, 0, Smoke::mf_const, 277, 13},	//350 Akonadi::ChangeRecorder::dumpNotificationListToString() const
    {22, 1225, 0, 0, Smoke::mf_slot, 0, 14},	//351 Akonadi::ChangeRecorder::replayNext()
    {22, 762, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//352 Akonadi::ChangeRecorder::changesAdded()
    {22, 1162, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//353 Akonadi::ChangeRecorder::nothingToReplay()
    {22, 75, 141, 2, Smoke::mf_ctor|Smoke::mf_protected, 32, 17},	//354 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*, QObject*)
    {22, 1631, 21, 1, Smoke::mf_static, 277, 18},	//355 Akonadi::ChangeRecorder::tr(const char*)
    {22, 1635, 21, 1, Smoke::mf_static, 277, 19},	//356 Akonadi::ChangeRecorder::trUtf8(const char*)
    {22, 75, 0, 0, Smoke::mf_ctor, 32, 20},	//357 Akonadi::ChangeRecorder::ChangeRecorder()
    {22, 75, 144, 1, Smoke::mf_ctor|Smoke::mf_protected, 32, 21},	//358 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    {22, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//359 Akonadi::ChangeRecorder::staticMetaObject() const
    {22, 1700, 0, 0, Smoke::mf_dtor, 0, 23 },	//360 Akonadi::ChangeRecorder::~ChangeRecorder()
    {24, 81, 0, 0, Smoke::mf_ctor, 36, 1},	//361 Akonadi::Collection::Collection()
    {24, 81, 146, 1, Smoke::mf_ctor, 36, 2},	//362 Akonadi::Collection::Collection(long long)
    {24, 81, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 3},	//363 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {24, 980, 148, 1, Smoke::mf_static, 34, 4},	//364 Akonadi::Collection::fromUrl(const KUrl&)
    {24, 1159, 0, 0, Smoke::mf_const, 277, 5},	//365 Akonadi::Collection::name() const
    {24, 1477, 8, 1, 0, 0, 6},	//366 Akonadi::Collection::setName(const QString&)
    {24, 1245, 0, 0, Smoke::mf_const, 228, 7},	//367 Akonadi::Collection::rights() const
    {24, 1522, 150, 1, 0, 0, 8},	//368 Akonadi::Collection::setRights(QFlags<Akonadi::Collection::Right>)
    {24, 842, 0, 0, Smoke::mf_const, 278, 9},	//369 Akonadi::Collection::contentMimeTypes() const
    {24, 1358, 10, 1, 0, 0, 10},	//370 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {24, 1179, 0, 0, Smoke::mf_const, 479, 11},	//371 Akonadi::Collection::parent() const
    {24, 1487, 146, 1, 0, 0, 12},	//372 Akonadi::Collection::setParent(long long)
    {24, 1487, 61, 1, 0, 0, 13},	//373 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {24, 1182, 0, 0, Smoke::mf_const, 277, 14},	//374 Akonadi::Collection::parentRemoteId() const
    {24, 1492, 8, 1, 0, 0, 15},	//375 Akonadi::Collection::setParentRemoteId(const QString&)
    {24, 1247, 0, 0, Smoke::mf_static, 34, 16},	//376 Akonadi::Collection::root()
    {24, 1138, 0, 0, Smoke::mf_static, 277, 17},	//377 Akonadi::Collection::mimeType()
    {24, 1228, 0, 0, Smoke::mf_const, 277, 18},	//378 Akonadi::Collection::resource() const
    {24, 1515, 8, 1, 0, 0, 19},	//379 Akonadi::Collection::setResource(const QString&)
    {24, 745, 0, 0, Smoke::mf_const, 29, 20},	//380 Akonadi::Collection::cachePolicy() const
    {24, 1308, 137, 1, 0, 0, 21},	//381 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {24, 1598, 0, 0, Smoke::mf_const, 64, 22},	//382 Akonadi::Collection::statistics() const
    {24, 1539, 152, 1, 0, 0, 23},	//383 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {24, 1657, 0, 0, Smoke::mf_const, 203, 24},	//384 Akonadi::Collection::url() const
    {24, 1657, 154, 1, Smoke::mf_const, 203, 25},	//385 Akonadi::Collection::url(Akonadi::Collection::UrlType) const
    {24, 1063, 0, 0, Smoke::mf_const, 388, 26},	//386 Akonadi::Collection::isVirtual() const
    {24, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 27},	//387 Akonadi::Collection::ReadOnly (enum)
    {24, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 28},	//388 Akonadi::Collection::CanChangeItem (enum)
    {24, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 29},	//389 Akonadi::Collection::CanCreateItem (enum)
    {24, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 30},	//390 Akonadi::Collection::CanDeleteItem (enum)
    {24, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 31},	//391 Akonadi::Collection::CanChangeCollection (enum)
    {24, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 32},	//392 Akonadi::Collection::CanCreateCollection (enum)
    {24, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 33},	//393 Akonadi::Collection::CanDeleteCollection (enum)
    {24, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 34},	//394 Akonadi::Collection::CanLinkItem (enum)
    {24, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 35},	//395 Akonadi::Collection::CanUnlinkItem (enum)
    {24, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 36},	//396 Akonadi::Collection::AllRights (enum)
    {24, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 37},	//397 Akonadi::Collection::UrlShort (enum)
    {24, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 38},	//398 Akonadi::Collection::UrlWithName (enum)
    {24, 1701, 0, 0, Smoke::mf_dtor, 0, 39 },	//399 Akonadi::Collection::~Collection()
    {25, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//400 Akonadi::CollectionComboBox::metaObject() const
    {25, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//401 Akonadi::CollectionComboBox::qt_metacast(const char*)
    {25, 1631, 23, 2, Smoke::mf_static, 277, 3},	//402 Akonadi::CollectionComboBox::tr(const char*, const char*)
    {25, 1635, 23, 2, Smoke::mf_static, 277, 4},	//403 Akonadi::CollectionComboBox::trUtf8(const char*, const char*)
    {25, 1631, 26, 3, Smoke::mf_static, 277, 5},	//404 Akonadi::CollectionComboBox::tr(const char*, const char*, int)
    {25, 1635, 26, 3, Smoke::mf_static, 277, 6},	//405 Akonadi::CollectionComboBox::trUtf8(const char*, const char*, int)
    {25, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//406 Akonadi::CollectionComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {25, 85, 85, 1, Smoke::mf_ctor, 41, 8},	//407 Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    {25, 85, 156, 2, Smoke::mf_ctor, 41, 9},	//408 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*, QWidget*)
    {25, 1467, 10, 1, 0, 0, 10},	//409 Akonadi::CollectionComboBox::setMimeTypeFilter(const QStringList&)
    {25, 1140, 0, 0, Smoke::mf_const, 278, 11},	//410 Akonadi::CollectionComboBox::mimeTypeFilter() const
    {25, 1285, 150, 1, 0, 0, 12},	//411 Akonadi::CollectionComboBox::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {25, 684, 0, 0, Smoke::mf_const, 228, 13},	//412 Akonadi::CollectionComboBox::accessRightsFilter() const
    {25, 1373, 61, 1, 0, 0, 14},	//413 Akonadi::CollectionComboBox::setDefaultCollection(const Akonadi::Collection&)
    {25, 865, 0, 0, Smoke::mf_const, 34, 15},	//414 Akonadi::CollectionComboBox::currentCollection() const
    {25, 862, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//415 Akonadi::CollectionComboBox::currentChanged(const Akonadi::Collection&)
    {25, 1631, 21, 1, Smoke::mf_static, 277, 17},	//416 Akonadi::CollectionComboBox::tr(const char*)
    {25, 1635, 21, 1, Smoke::mf_static, 277, 18},	//417 Akonadi::CollectionComboBox::trUtf8(const char*)
    {25, 85, 0, 0, Smoke::mf_ctor, 41, 19},	//418 Akonadi::CollectionComboBox::CollectionComboBox()
    {25, 85, 159, 1, Smoke::mf_ctor, 41, 20},	//419 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    {25, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 21},	//420 Akonadi::CollectionComboBox::staticMetaObject() const
    {25, 1702, 0, 0, Smoke::mf_dtor, 0, 22 },	//421 Akonadi::CollectionComboBox::~CollectionComboBox()
    {26, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//422 Akonadi::CollectionCopyJob::metaObject() const
    {26, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//423 Akonadi::CollectionCopyJob::qt_metacast(const char*)
    {26, 1631, 23, 2, Smoke::mf_static, 277, 3},	//424 Akonadi::CollectionCopyJob::tr(const char*, const char*)
    {26, 1635, 23, 2, Smoke::mf_static, 277, 4},	//425 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*)
    {26, 1631, 26, 3, Smoke::mf_static, 277, 5},	//426 Akonadi::CollectionCopyJob::tr(const char*, const char*, int)
    {26, 1635, 26, 3, Smoke::mf_static, 277, 6},	//427 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*, int)
    {26, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//428 Akonadi::CollectionCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {26, 88, 161, 3, Smoke::mf_ctor, 42, 8},	//429 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {26, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//430 Akonadi::CollectionCopyJob::doStart()
    {26, 1631, 21, 1, Smoke::mf_static, 277, 10},	//431 Akonadi::CollectionCopyJob::tr(const char*)
    {26, 1635, 21, 1, Smoke::mf_static, 277, 11},	//432 Akonadi::CollectionCopyJob::trUtf8(const char*)
    {26, 88, 58, 2, Smoke::mf_ctor, 42, 12},	//433 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {26, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//434 Akonadi::CollectionCopyJob::staticMetaObject() const
    {26, 1703, 0, 0, Smoke::mf_dtor, 0, 14 },	//435 Akonadi::CollectionCopyJob::~CollectionCopyJob()
    {27, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//436 Akonadi::CollectionCreateJob::metaObject() const
    {27, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//437 Akonadi::CollectionCreateJob::qt_metacast(const char*)
    {27, 1631, 23, 2, Smoke::mf_static, 277, 3},	//438 Akonadi::CollectionCreateJob::tr(const char*, const char*)
    {27, 1635, 23, 2, Smoke::mf_static, 277, 4},	//439 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*)
    {27, 1631, 26, 3, Smoke::mf_static, 277, 5},	//440 Akonadi::CollectionCreateJob::tr(const char*, const char*, int)
    {27, 1635, 26, 3, Smoke::mf_static, 277, 6},	//441 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*, int)
    {27, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//442 Akonadi::CollectionCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {27, 91, 165, 2, Smoke::mf_ctor, 43, 8},	//443 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&, QObject*)
    {27, 779, 0, 0, Smoke::mf_const, 34, 9},	//444 Akonadi::CollectionCreateJob::collection() const
    {27, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//445 Akonadi::CollectionCreateJob::doStart()
    {27, 893, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//446 Akonadi::CollectionCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {27, 1631, 21, 1, Smoke::mf_static, 277, 12},	//447 Akonadi::CollectionCreateJob::tr(const char*)
    {27, 1635, 21, 1, Smoke::mf_static, 277, 13},	//448 Akonadi::CollectionCreateJob::trUtf8(const char*)
    {27, 91, 61, 1, Smoke::mf_ctor, 43, 14},	//449 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&)
    {27, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//450 Akonadi::CollectionCreateJob::staticMetaObject() const
    {27, 1704, 0, 0, Smoke::mf_dtor, 0, 16 },	//451 Akonadi::CollectionCreateJob::~CollectionCreateJob()
    {28, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//452 Akonadi::CollectionDeleteJob::metaObject() const
    {28, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//453 Akonadi::CollectionDeleteJob::qt_metacast(const char*)
    {28, 1631, 23, 2, Smoke::mf_static, 277, 3},	//454 Akonadi::CollectionDeleteJob::tr(const char*, const char*)
    {28, 1635, 23, 2, Smoke::mf_static, 277, 4},	//455 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*)
    {28, 1631, 26, 3, Smoke::mf_static, 277, 5},	//456 Akonadi::CollectionDeleteJob::tr(const char*, const char*, int)
    {28, 1635, 26, 3, Smoke::mf_static, 277, 6},	//457 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*, int)
    {28, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//458 Akonadi::CollectionDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {28, 94, 165, 2, Smoke::mf_ctor, 44, 8},	//459 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&, QObject*)
    {28, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//460 Akonadi::CollectionDeleteJob::doStart()
    {28, 1631, 21, 1, Smoke::mf_static, 277, 10},	//461 Akonadi::CollectionDeleteJob::tr(const char*)
    {28, 1635, 21, 1, Smoke::mf_static, 277, 11},	//462 Akonadi::CollectionDeleteJob::trUtf8(const char*)
    {28, 94, 61, 1, Smoke::mf_ctor, 44, 12},	//463 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&)
    {28, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//464 Akonadi::CollectionDeleteJob::staticMetaObject() const
    {28, 1705, 0, 0, Smoke::mf_dtor, 0, 14 },	//465 Akonadi::CollectionDeleteJob::~CollectionDeleteJob()
    {29, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//466 Akonadi::CollectionDialog::metaObject() const
    {29, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//467 Akonadi::CollectionDialog::qt_metacast(const char*)
    {29, 1631, 23, 2, Smoke::mf_static, 277, 3},	//468 Akonadi::CollectionDialog::tr(const char*, const char*)
    {29, 1635, 23, 2, Smoke::mf_static, 277, 4},	//469 Akonadi::CollectionDialog::trUtf8(const char*, const char*)
    {29, 1631, 26, 3, Smoke::mf_static, 277, 5},	//470 Akonadi::CollectionDialog::tr(const char*, const char*, int)
    {29, 1635, 26, 3, Smoke::mf_static, 277, 6},	//471 Akonadi::CollectionDialog::trUtf8(const char*, const char*, int)
    {29, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//472 Akonadi::CollectionDialog::qt_metacall(QMetaObject::Call, int, void**)
    {29, 98, 85, 1, Smoke::mf_ctor, 45, 8},	//473 Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    {29, 98, 156, 2, Smoke::mf_ctor, 45, 9},	//474 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*, QWidget*)
    {29, 98, 171, 3, Smoke::mf_ctor, 45, 10},	//475 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*)
    {29, 1467, 10, 1, 0, 0, 11},	//476 Akonadi::CollectionDialog::setMimeTypeFilter(const QStringList&)
    {29, 1140, 0, 0, Smoke::mf_const, 278, 12},	//477 Akonadi::CollectionDialog::mimeTypeFilter() const
    {29, 1285, 150, 1, 0, 0, 13},	//478 Akonadi::CollectionDialog::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {29, 684, 0, 0, Smoke::mf_const, 228, 14},	//479 Akonadi::CollectionDialog::accessRightsFilter() const
    {29, 1377, 8, 1, 0, 0, 15},	//480 Akonadi::CollectionDialog::setDescription(const QString&)
    {29, 1373, 61, 1, 0, 0, 16},	//481 Akonadi::CollectionDialog::setDefaultCollection(const Akonadi::Collection&)
    {29, 1528, 175, 1, 0, 0, 17},	//482 Akonadi::CollectionDialog::setSelectionMode(QAbstractItemView::SelectionMode)
    {29, 1272, 0, 0, Smoke::mf_const, 212, 18},	//483 Akonadi::CollectionDialog::selectionMode() const
    {29, 1266, 0, 0, Smoke::mf_const, 34, 19},	//484 Akonadi::CollectionDialog::selectedCollection() const
    {29, 1267, 0, 0, Smoke::mf_const, 251, 20},	//485 Akonadi::CollectionDialog::selectedCollections() const
    {29, 755, 177, 1, 0, 0, 21},	//486 Akonadi::CollectionDialog::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 1631, 21, 1, Smoke::mf_static, 277, 22},	//487 Akonadi::CollectionDialog::tr(const char*)
    {29, 1635, 21, 1, Smoke::mf_static, 277, 23},	//488 Akonadi::CollectionDialog::trUtf8(const char*)
    {29, 98, 0, 0, Smoke::mf_ctor, 45, 24},	//489 Akonadi::CollectionDialog::CollectionDialog()
    {29, 98, 159, 1, Smoke::mf_ctor, 45, 25},	//490 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    {29, 98, 177, 1, Smoke::mf_ctor, 45, 26},	//491 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 98, 179, 2, Smoke::mf_ctor, 45, 27},	//492 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*)
    {29, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 28},	//493 Akonadi::CollectionDialog::staticMetaObject() const
    {29, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 29},	//494 Akonadi::CollectionDialog::None (enum)
    {29, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 30},	//495 Akonadi::CollectionDialog::AllowToCreateNewChildCollection (enum)
    {29, 1706, 0, 0, Smoke::mf_dtor, 0, 31 },	//496 Akonadi::CollectionDialog::~CollectionDialog()
    {30, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//497 Akonadi::CollectionFetchJob::metaObject() const
    {30, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//498 Akonadi::CollectionFetchJob::qt_metacast(const char*)
    {30, 1631, 23, 2, Smoke::mf_static, 277, 3},	//499 Akonadi::CollectionFetchJob::tr(const char*, const char*)
    {30, 1635, 23, 2, Smoke::mf_static, 277, 4},	//500 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*)
    {30, 1631, 26, 3, Smoke::mf_static, 277, 5},	//501 Akonadi::CollectionFetchJob::tr(const char*, const char*, int)
    {30, 1635, 26, 3, Smoke::mf_static, 277, 6},	//502 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*, int)
    {30, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//503 Akonadi::CollectionFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {30, 104, 182, 3, Smoke::mf_ctor, 47, 8},	//504 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 104, 186, 2, Smoke::mf_ctor, 47, 9},	//505 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, QObject*)
    {30, 104, 189, 3, Smoke::mf_ctor, 47, 10},	//506 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 104, 193, 3, Smoke::mf_ctor, 47, 11},	//507 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 808, 0, 0, Smoke::mf_const, 251, 12},	//508 Akonadi::CollectionFetchJob::collections() const
    {30, 1515, 8, 1, 0, 0, 13},	//509 Akonadi::CollectionFetchJob::setResource(const QString&)
    {30, 1011, 45, 1, 0, 0, 14},	//510 Akonadi::CollectionFetchJob::includeUnsubscribed(bool)
    {30, 1009, 45, 1, 0, 0, 15},	//511 Akonadi::CollectionFetchJob::includeStatistics(bool)
    {30, 1396, 197, 1, 0, 0, 16},	//512 Akonadi::CollectionFetchJob::setFetchScope(const Akonadi::CollectionFetchScope&)
    {30, 966, 0, 0, 0, 49, 17},	//513 Akonadi::CollectionFetchJob::fetchScope()
    {30, 810, 199, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//514 Akonadi::CollectionFetchJob::collectionsReceived(const Akonadi::Collection::List&)
    {30, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//515 Akonadi::CollectionFetchJob::doStart()
    {30, 893, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//516 Akonadi::CollectionFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {30, 1583, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//517 Akonadi::CollectionFetchJob::slotResult(KJob*)
    {30, 1631, 21, 1, Smoke::mf_static, 277, 22},	//518 Akonadi::CollectionFetchJob::tr(const char*)
    {30, 1635, 21, 1, Smoke::mf_static, 277, 23},	//519 Akonadi::CollectionFetchJob::trUtf8(const char*)
    {30, 104, 61, 1, Smoke::mf_ctor, 47, 24},	//520 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&)
    {30, 104, 203, 2, Smoke::mf_ctor, 47, 25},	//521 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type)
    {30, 104, 206, 1, Smoke::mf_ctor, 47, 26},	//522 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&)
    {30, 104, 208, 2, Smoke::mf_ctor, 47, 27},	//523 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type)
    {30, 104, 211, 1, Smoke::mf_ctor, 47, 28},	//524 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&)
    {30, 104, 213, 2, Smoke::mf_ctor, 47, 29},	//525 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type)
    {30, 1011, 0, 0, 0, 0, 30},	//526 Akonadi::CollectionFetchJob::includeUnsubscribed()
    {30, 1009, 0, 0, 0, 0, 31},	//527 Akonadi::CollectionFetchJob::includeStatistics()
    {30, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 32},	//528 Akonadi::CollectionFetchJob::staticMetaObject() const
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 33},	//529 Akonadi::CollectionFetchJob::Base (enum)
    {30, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 34},	//530 Akonadi::CollectionFetchJob::FirstLevel (enum)
    {30, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 35},	//531 Akonadi::CollectionFetchJob::Recursive (enum)
    {30, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 36},	//532 Akonadi::CollectionFetchJob::NonOverlappingRoots (enum)
    {30, 1707, 0, 0, Smoke::mf_dtor, 0, 37 },	//533 Akonadi::CollectionFetchJob::~CollectionFetchJob()
    {31, 112, 0, 0, Smoke::mf_ctor, 50, 1},	//534 Akonadi::CollectionFetchScope::CollectionFetchScope()
    {31, 112, 197, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 2},	//535 Akonadi::CollectionFetchScope::CollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {31, 1169, 197, 1, 0, 49, 3},	//536 Akonadi::CollectionFetchScope::operator=(const Akonadi::CollectionFetchScope&)
    {31, 1013, 0, 0, Smoke::mf_const, 388, 4},	//537 Akonadi::CollectionFetchScope::includeUnubscribed() const
    {31, 1011, 0, 0, Smoke::mf_const, 388, 5},	//538 Akonadi::CollectionFetchScope::includeUnsubscribed() const
    {31, 1428, 45, 1, 0, 0, 6},	//539 Akonadi::CollectionFetchScope::setIncludeUnsubscribed(bool)
    {31, 1009, 0, 0, Smoke::mf_const, 388, 7},	//540 Akonadi::CollectionFetchScope::includeStatistics() const
    {31, 1426, 45, 1, 0, 0, 8},	//541 Akonadi::CollectionFetchScope::setIncludeStatistics(bool)
    {31, 1228, 0, 0, Smoke::mf_const, 277, 9},	//542 Akonadi::CollectionFetchScope::resource() const
    {31, 1515, 8, 1, 0, 0, 10},	//543 Akonadi::CollectionFetchScope::setResource(const QString&)
    {31, 1358, 10, 1, 0, 0, 11},	//544 Akonadi::CollectionFetchScope::setContentMimeTypes(const QStringList&)
    {31, 842, 0, 0, Smoke::mf_const, 278, 12},	//545 Akonadi::CollectionFetchScope::contentMimeTypes() const
    {31, 1295, 216, 1, 0, 0, 13},	//546 Akonadi::CollectionFetchScope::setAncestorRetrieval(Akonadi::CollectionFetchScope::AncestorRetrieval)
    {31, 728, 0, 0, Smoke::mf_const, 51, 14},	//547 Akonadi::CollectionFetchScope::ancestorRetrieval() const
    {31, 1054, 0, 0, Smoke::mf_const, 388, 15},	//548 Akonadi::CollectionFetchScope::isEmpty() const
    {31, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 16},	//549 Akonadi::CollectionFetchScope::None (enum)
    {31, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 17},	//550 Akonadi::CollectionFetchScope::Parent (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 18},	//551 Akonadi::CollectionFetchScope::All (enum)
    {31, 1708, 0, 0, Smoke::mf_dtor, 0, 19 },	//552 Akonadi::CollectionFetchScope::~CollectionFetchScope()
    {32, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//553 Akonadi::CollectionFilterProxyModel::metaObject() const
    {32, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//554 Akonadi::CollectionFilterProxyModel::qt_metacast(const char*)
    {32, 1631, 23, 2, Smoke::mf_static, 277, 3},	//555 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*)
    {32, 1635, 23, 2, Smoke::mf_static, 277, 4},	//556 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*)
    {32, 1631, 26, 3, Smoke::mf_static, 277, 5},	//557 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*, int)
    {32, 1635, 26, 3, Smoke::mf_static, 277, 6},	//558 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*, int)
    {32, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//559 Akonadi::CollectionFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {32, 114, 78, 1, Smoke::mf_ctor, 52, 8},	//560 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel(QObject*)
    {32, 705, 10, 1, 0, 0, 9},	//561 Akonadi::CollectionFilterProxyModel::addMimeTypeFilters(const QStringList&)
    {32, 703, 8, 1, 0, 0, 10},	//562 Akonadi::CollectionFilterProxyModel::addMimeTypeFilter(const QString&)
    {32, 1141, 0, 0, Smoke::mf_const, 278, 11},	//563 Akonadi::CollectionFilterProxyModel::mimeTypeFilters() const
    {32, 1384, 45, 1, 0, 0, 12},	//564 Akonadi::CollectionFilterProxyModel::setExcludeVirtualCollections(bool)
    {32, 769, 0, 0, 0, 0, 13},	//565 Akonadi::CollectionFilterProxyModel::clearFilters()
    {32, 973, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 14},	//566 Akonadi::CollectionFilterProxyModel::flags(const QModelIndex&) const
    {32, 969, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 15},	//567 Akonadi::CollectionFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {32, 1631, 21, 1, Smoke::mf_static, 277, 16},	//568 Akonadi::CollectionFilterProxyModel::tr(const char*)
    {32, 1635, 21, 1, Smoke::mf_static, 277, 17},	//569 Akonadi::CollectionFilterProxyModel::trUtf8(const char*)
    {32, 114, 0, 0, Smoke::mf_ctor, 52, 18},	//570 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel()
    {32, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 19},	//571 Akonadi::CollectionFilterProxyModel::staticMetaObject() const
    {32, 1709, 0, 0, Smoke::mf_dtor, 0, 20 },	//572 Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel()
    {33, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//573 Akonadi::CollectionModel::metaObject() const
    {33, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//574 Akonadi::CollectionModel::qt_metacast(const char*)
    {33, 1631, 23, 2, Smoke::mf_static, 277, 3},	//575 Akonadi::CollectionModel::tr(const char*, const char*)
    {33, 1635, 23, 2, Smoke::mf_static, 277, 4},	//576 Akonadi::CollectionModel::trUtf8(const char*, const char*)
    {33, 1631, 26, 3, Smoke::mf_static, 277, 5},	//577 Akonadi::CollectionModel::tr(const char*, const char*, int)
    {33, 1635, 26, 3, Smoke::mf_static, 277, 6},	//578 Akonadi::CollectionModel::trUtf8(const char*, const char*, int)
    {33, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//579 Akonadi::CollectionModel::qt_metacall(QMetaObject::Call, int, void**)
    {33, 117, 78, 1, Smoke::mf_ctor, 53, 8},	//580 Akonadi::CollectionModel::CollectionModel(QObject*)
    {33, 956, 45, 1, 0, 0, 9},	//581 Akonadi::CollectionModel::fetchCollectionStatistics(bool)
    {33, 1011, 45, 1, 0, 0, 10},	//582 Akonadi::CollectionModel::includeUnsubscribed(bool)
    {33, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 11},	//583 Akonadi::CollectionModel::columnCount(const QModelIndex&) const
    {33, 870, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//584 Akonadi::CollectionModel::data(const QModelIndex&, int) const
    {33, 1014, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 13},	//585 Akonadi::CollectionModel::index(int, int, const QModelIndex&) const
    {33, 1179, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 14},	//586 Akonadi::CollectionModel::parent(const QModelIndex&) const
    {33, 1249, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 15},	//587 Akonadi::CollectionModel::rowCount(const QModelIndex&) const
    {33, 992, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 16},	//588 Akonadi::CollectionModel::headerData(int, Qt::Orientation, int) const
    {33, 1409, 218, 4, Smoke::mf_virtual, 388, 17},	//589 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 1368, 108, 3, Smoke::mf_virtual, 388, 18},	//590 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 973, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 19},	//591 Akonadi::CollectionModel::flags(const QModelIndex&) const
    {33, 1612, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 20},	//592 Akonadi::CollectionModel::supportedDropActions() const
    {33, 1136, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 21},	//593 Akonadi::CollectionModel::mimeData(const QList<QModelIndex>&) const
    {33, 915, 225, 5, Smoke::mf_virtual, 388, 22},	//594 Akonadi::CollectionModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 1145, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 23},	//595 Akonadi::CollectionModel::mimeTypes() const
    {33, 791, 231, 1, Smoke::mf_const|Smoke::mf_protected, 34, 24},	//596 Akonadi::CollectionModel::collectionForId(Akonadi::Collection::Id) const
    {33, 117, 233, 2, Smoke::mf_ctor|Smoke::mf_protected, 53, 25},	//597 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*, QObject*)
    {33, 1631, 21, 1, Smoke::mf_static, 277, 26},	//598 Akonadi::CollectionModel::tr(const char*)
    {33, 1635, 21, 1, Smoke::mf_static, 277, 27},	//599 Akonadi::CollectionModel::trUtf8(const char*)
    {33, 117, 0, 0, Smoke::mf_ctor, 53, 28},	//600 Akonadi::CollectionModel::CollectionModel()
    {33, 1011, 0, 0, 0, 0, 29},	//601 Akonadi::CollectionModel::includeUnsubscribed()
    {33, 817, 0, 0, Smoke::mf_const, 476, 30},	//602 Akonadi::CollectionModel::columnCount() const
    {33, 870, 95, 1, Smoke::mf_const, 287, 31},	//603 Akonadi::CollectionModel::data(const QModelIndex&) const
    {33, 1014, 115, 2, Smoke::mf_const, 261, 32},	//604 Akonadi::CollectionModel::index(int, int) const
    {33, 1249, 0, 0, Smoke::mf_const, 476, 33},	//605 Akonadi::CollectionModel::rowCount() const
    {33, 992, 112, 2, Smoke::mf_const, 287, 34},	//606 Akonadi::CollectionModel::headerData(int, Qt::Orientation) const
    {33, 1409, 236, 3, 0, 388, 35},	//607 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {33, 1368, 240, 2, 0, 388, 36},	//608 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&)
    {33, 117, 243, 1, Smoke::mf_ctor|Smoke::mf_protected, 53, 37},	//609 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    {33, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 38},	//610 Akonadi::CollectionModel::staticMetaObject() const
    {33, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 39},	//611 Akonadi::CollectionModel::OldCollectionIdRole (enum)
    {33, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 40},	//612 Akonadi::CollectionModel::OldCollectionRole (enum)
    {33, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 41},	//613 Akonadi::CollectionModel::CollectionIdRole (enum)
    {33, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 42},	//614 Akonadi::CollectionModel::CollectionRole (enum)
    {33, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 43},	//615 Akonadi::CollectionModel::UserRole (enum)
    {33, 1710, 0, 0, Smoke::mf_dtor, 0, 44 },	//616 Akonadi::CollectionModel::~CollectionModel()
    {35, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//617 Akonadi::CollectionModifyJob::metaObject() const
    {35, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//618 Akonadi::CollectionModifyJob::qt_metacast(const char*)
    {35, 1631, 23, 2, Smoke::mf_static, 277, 3},	//619 Akonadi::CollectionModifyJob::tr(const char*, const char*)
    {35, 1635, 23, 2, Smoke::mf_static, 277, 4},	//620 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*)
    {35, 1631, 26, 3, Smoke::mf_static, 277, 5},	//621 Akonadi::CollectionModifyJob::tr(const char*, const char*, int)
    {35, 1635, 26, 3, Smoke::mf_static, 277, 6},	//622 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*, int)
    {35, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//623 Akonadi::CollectionModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {35, 120, 165, 2, Smoke::mf_ctor, 56, 8},	//624 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&, QObject*)
    {35, 779, 0, 0, Smoke::mf_const, 34, 9},	//625 Akonadi::CollectionModifyJob::collection() const
    {35, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//626 Akonadi::CollectionModifyJob::doStart()
    {35, 1631, 21, 1, Smoke::mf_static, 277, 11},	//627 Akonadi::CollectionModifyJob::tr(const char*)
    {35, 1635, 21, 1, Smoke::mf_static, 277, 12},	//628 Akonadi::CollectionModifyJob::trUtf8(const char*)
    {35, 120, 61, 1, Smoke::mf_ctor, 56, 13},	//629 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&)
    {35, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 14},	//630 Akonadi::CollectionModifyJob::staticMetaObject() const
    {35, 1711, 0, 0, Smoke::mf_dtor, 0, 15 },	//631 Akonadi::CollectionModifyJob::~CollectionModifyJob()
    {36, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//632 Akonadi::CollectionMoveJob::metaObject() const
    {36, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//633 Akonadi::CollectionMoveJob::qt_metacast(const char*)
    {36, 1631, 23, 2, Smoke::mf_static, 277, 3},	//634 Akonadi::CollectionMoveJob::tr(const char*, const char*)
    {36, 1635, 23, 2, Smoke::mf_static, 277, 4},	//635 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*)
    {36, 1631, 26, 3, Smoke::mf_static, 277, 5},	//636 Akonadi::CollectionMoveJob::tr(const char*, const char*, int)
    {36, 1635, 26, 3, Smoke::mf_static, 277, 6},	//637 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*, int)
    {36, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//638 Akonadi::CollectionMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {36, 123, 161, 3, Smoke::mf_ctor, 57, 8},	//639 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {36, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//640 Akonadi::CollectionMoveJob::doStart()
    {36, 1631, 21, 1, Smoke::mf_static, 277, 10},	//641 Akonadi::CollectionMoveJob::tr(const char*)
    {36, 1635, 21, 1, Smoke::mf_static, 277, 11},	//642 Akonadi::CollectionMoveJob::trUtf8(const char*)
    {36, 123, 58, 2, Smoke::mf_ctor, 57, 12},	//643 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {36, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//644 Akonadi::CollectionMoveJob::staticMetaObject() const
    {36, 1712, 0, 0, Smoke::mf_dtor, 0, 14 },	//645 Akonadi::CollectionMoveJob::~CollectionMoveJob()
    {37, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//646 Akonadi::CollectionPropertiesDialog::metaObject() const
    {37, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//647 Akonadi::CollectionPropertiesDialog::qt_metacast(const char*)
    {37, 1631, 23, 2, Smoke::mf_static, 277, 3},	//648 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*)
    {37, 1635, 23, 2, Smoke::mf_static, 277, 4},	//649 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*)
    {37, 1631, 26, 3, Smoke::mf_static, 277, 5},	//650 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*, int)
    {37, 1635, 26, 3, Smoke::mf_static, 277, 6},	//651 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*, int)
    {37, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//652 Akonadi::CollectionPropertiesDialog::qt_metacall(QMetaObject::Call, int, void**)
    {37, 127, 245, 2, Smoke::mf_ctor, 58, 8},	//653 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, QWidget*)
    {37, 127, 248, 3, Smoke::mf_ctor, 58, 9},	//654 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&, QWidget*)
    {37, 1207, 252, 1, Smoke::mf_static, 0, 10},	//655 Akonadi::CollectionPropertiesDialog::registerPage(Akonadi::CollectionPropertiesPageFactory*)
    {37, 1661, 45, 1, Smoke::mf_static, 0, 11},	//656 Akonadi::CollectionPropertiesDialog::useDefaultPage(bool)
    {37, 874, 254, 1, Smoke::mf_static, 277, 12},	//657 Akonadi::CollectionPropertiesDialog::defaultPageObjectName(Akonadi::CollectionPropertiesDialog::DefaultPage)
    {37, 1631, 21, 1, Smoke::mf_static, 277, 13},	//658 Akonadi::CollectionPropertiesDialog::tr(const char*)
    {37, 1635, 21, 1, Smoke::mf_static, 277, 14},	//659 Akonadi::CollectionPropertiesDialog::trUtf8(const char*)
    {37, 127, 61, 1, Smoke::mf_ctor, 58, 15},	//660 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&)
    {37, 127, 256, 2, Smoke::mf_ctor, 58, 16},	//661 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&)
    {37, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//662 Akonadi::CollectionPropertiesDialog::staticMetaObject() const
    {37, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 18},	//663 Akonadi::CollectionPropertiesDialog::GeneralPage (enum)
    {37, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 19},	//664 Akonadi::CollectionPropertiesDialog::CachePage (enum)
    {37, 1713, 0, 0, Smoke::mf_dtor, 0, 20 },	//665 Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog()
    {38, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//666 Akonadi::CollectionPropertiesPage::metaObject() const
    {38, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//667 Akonadi::CollectionPropertiesPage::qt_metacast(const char*)
    {38, 1631, 23, 2, Smoke::mf_static, 277, 3},	//668 Akonadi::CollectionPropertiesPage::tr(const char*, const char*)
    {38, 1635, 23, 2, Smoke::mf_static, 277, 4},	//669 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*)
    {38, 1631, 26, 3, Smoke::mf_static, 277, 5},	//670 Akonadi::CollectionPropertiesPage::tr(const char*, const char*, int)
    {38, 1635, 26, 3, Smoke::mf_static, 277, 6},	//671 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*, int)
    {38, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//672 Akonadi::CollectionPropertiesPage::qt_metacall(QMetaObject::Call, int, void**)
    {38, 132, 85, 1, Smoke::mf_ctor, 60, 8},	//673 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage(QWidget*)
    {38, 1114, 61, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//674 Akonadi::CollectionPropertiesPage::load(const Akonadi::Collection&) [pure virtual]
    {38, 1253, 259, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//675 Akonadi::CollectionPropertiesPage::save(Akonadi::Collection&) [pure virtual]
    {38, 749, 61, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 11},	//676 Akonadi::CollectionPropertiesPage::canHandle(const Akonadi::Collection&) const
    {38, 1485, 8, 1, 0, 0, 12},	//677 Akonadi::CollectionPropertiesPage::setPageTitle(const QString&)
    {38, 1173, 0, 0, Smoke::mf_const, 277, 13},	//678 Akonadi::CollectionPropertiesPage::pageTitle() const
    {38, 1631, 21, 1, Smoke::mf_static, 277, 14},	//679 Akonadi::CollectionPropertiesPage::tr(const char*)
    {38, 1635, 21, 1, Smoke::mf_static, 277, 15},	//680 Akonadi::CollectionPropertiesPage::trUtf8(const char*)
    {38, 132, 0, 0, Smoke::mf_ctor, 60, 16},	//681 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage()
    {38, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//682 Akonadi::CollectionPropertiesPage::staticMetaObject() const
    {38, 1714, 0, 0, Smoke::mf_dtor, 0, 18 },	//683 Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage()
    {39, 857, 85, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 60, 1},	//684 Akonadi::CollectionPropertiesPageFactory::createWidget(QWidget*) const [pure virtual]
    {39, 134, 0, 0, Smoke::mf_ctor, 61, 2},	//685 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory()
    {39, 134, 261, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 3},	//686 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory(const Akonadi::CollectionPropertiesPageFactory&)
    {39, 857, 0, 0, Smoke::mf_const, 60, 4},	//687 Akonadi::CollectionPropertiesPageFactory::createWidget() const
    {39, 1715, 0, 0, Smoke::mf_dtor, 0, 5 },	//688 Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory()
    {40, 136, 0, 0, Smoke::mf_ctor, 62, 1},	//689 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute()
    {40, 136, 263, 2, Smoke::mf_ctor, 62, 2},	//690 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(long long, long long)
    {40, 1366, 146, 1, 0, 0, 3},	//691 Akonadi::CollectionQuotaAttribute::setCurrentValue(long long)
    {40, 1463, 146, 1, 0, 0, 4},	//692 Akonadi::CollectionQuotaAttribute::setMaximumValue(long long)
    {40, 867, 0, 0, Smoke::mf_const, 479, 5},	//693 Akonadi::CollectionQuotaAttribute::currentValue() const
    {40, 1133, 0, 0, Smoke::mf_const, 479, 6},	//694 Akonadi::CollectionQuotaAttribute::maximumValue() const
    {40, 1639, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 7},	//695 Akonadi::CollectionQuotaAttribute::type() const
    {40, 776, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 8},	//696 Akonadi::CollectionQuotaAttribute::clone() const
    {40, 1282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//697 Akonadi::CollectionQuotaAttribute::serialized() const
    {40, 881, 6, 1, Smoke::mf_virtual, 0, 10},	//698 Akonadi::CollectionQuotaAttribute::deserialize(const QByteArray&)
    {40, 136, 266, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 11},	//699 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(const Akonadi::CollectionQuotaAttribute&)
    {40, 1716, 0, 0, Smoke::mf_dtor, 0, 12 },	//700 Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute()
    {41, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//701 Akonadi::CollectionRequester::metaObject() const
    {41, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//702 Akonadi::CollectionRequester::qt_metacast(const char*)
    {41, 1631, 23, 2, Smoke::mf_static, 277, 3},	//703 Akonadi::CollectionRequester::tr(const char*, const char*)
    {41, 1635, 23, 2, Smoke::mf_static, 277, 4},	//704 Akonadi::CollectionRequester::trUtf8(const char*, const char*)
    {41, 1631, 26, 3, Smoke::mf_static, 277, 5},	//705 Akonadi::CollectionRequester::tr(const char*, const char*, int)
    {41, 1635, 26, 3, Smoke::mf_static, 277, 6},	//706 Akonadi::CollectionRequester::trUtf8(const char*, const char*, int)
    {41, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//707 Akonadi::CollectionRequester::qt_metacall(QMetaObject::Call, int, void**)
    {41, 140, 85, 1, Smoke::mf_ctor, 63, 8},	//708 Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    {41, 140, 245, 2, Smoke::mf_ctor, 63, 9},	//709 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&, QWidget*)
    {41, 779, 0, 0, Smoke::mf_const, 34, 10},	//710 Akonadi::CollectionRequester::collection() const
    {41, 1467, 10, 1, 0, 0, 11},	//711 Akonadi::CollectionRequester::setMimeTypeFilter(const QStringList&)
    {41, 1140, 0, 0, Smoke::mf_const, 278, 12},	//712 Akonadi::CollectionRequester::mimeTypeFilter() const
    {41, 1285, 150, 1, 0, 0, 13},	//713 Akonadi::CollectionRequester::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {41, 684, 0, 0, Smoke::mf_const, 228, 14},	//714 Akonadi::CollectionRequester::accessRightsFilter() const
    {41, 755, 177, 1, 0, 0, 15},	//715 Akonadi::CollectionRequester::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {41, 1319, 61, 1, Smoke::mf_slot, 0, 16},	//716 Akonadi::CollectionRequester::setCollection(const Akonadi::Collection&)
    {41, 784, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//717 Akonadi::CollectionRequester::collectionChanged(const Akonadi::Collection&)
    {41, 1631, 21, 1, Smoke::mf_static, 277, 18},	//718 Akonadi::CollectionRequester::tr(const char*)
    {41, 1635, 21, 1, Smoke::mf_static, 277, 19},	//719 Akonadi::CollectionRequester::trUtf8(const char*)
    {41, 140, 0, 0, Smoke::mf_ctor, 63, 20},	//720 Akonadi::CollectionRequester::CollectionRequester()
    {41, 140, 61, 1, Smoke::mf_ctor, 63, 21},	//721 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    {41, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//722 Akonadi::CollectionRequester::staticMetaObject() const
    {41, 1717, 0, 0, Smoke::mf_dtor, 0, 23 },	//723 Akonadi::CollectionRequester::~CollectionRequester()
    {42, 144, 0, 0, Smoke::mf_ctor, 66, 1},	//724 Akonadi::CollectionStatistics::CollectionStatistics()
    {42, 144, 152, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 2},	//725 Akonadi::CollectionStatistics::CollectionStatistics(const Akonadi::CollectionStatistics&)
    {42, 845, 0, 0, Smoke::mf_const, 479, 3},	//726 Akonadi::CollectionStatistics::count() const
    {42, 1364, 146, 1, 0, 0, 4},	//727 Akonadi::CollectionStatistics::setCount(long long)
    {42, 1648, 0, 0, Smoke::mf_const, 479, 5},	//728 Akonadi::CollectionStatistics::unreadCount() const
    {42, 1557, 146, 1, 0, 0, 6},	//729 Akonadi::CollectionStatistics::setUnreadCount(long long)
    {42, 1576, 0, 0, Smoke::mf_const, 479, 7},	//730 Akonadi::CollectionStatistics::size() const
    {42, 1535, 146, 1, 0, 0, 8},	//731 Akonadi::CollectionStatistics::setSize(long long)
    {42, 1169, 152, 1, 0, 65, 9},	//732 Akonadi::CollectionStatistics::operator=(const Akonadi::CollectionStatistics&)
    {42, 1718, 0, 0, Smoke::mf_dtor, 0, 10 },	//733 Akonadi::CollectionStatistics::~CollectionStatistics()
    {43, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//734 Akonadi::CollectionStatisticsDelegate::metaObject() const
    {43, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//735 Akonadi::CollectionStatisticsDelegate::qt_metacast(const char*)
    {43, 1631, 23, 2, Smoke::mf_static, 277, 3},	//736 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*)
    {43, 1635, 23, 2, Smoke::mf_static, 277, 4},	//737 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*)
    {43, 1631, 26, 3, Smoke::mf_static, 277, 5},	//738 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*, int)
    {43, 1635, 26, 3, Smoke::mf_static, 277, 6},	//739 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*, int)
    {43, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//740 Akonadi::CollectionStatisticsDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {43, 146, 268, 1, Smoke::mf_ctor, 67, 8},	//741 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    {43, 146, 270, 1, Smoke::mf_ctor, 67, 9},	//742 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    {43, 1656, 0, 0, 0, 0, 10},	//743 Akonadi::CollectionStatisticsDelegate::updatePalette()
    {43, 1559, 45, 1, Smoke::mf_slot, 0, 11},	//744 Akonadi::CollectionStatisticsDelegate::setUnreadCountShown(bool)
    {43, 1649, 0, 0, Smoke::mf_const|Smoke::mf_slot, 388, 12},	//745 Akonadi::CollectionStatisticsDelegate::unreadCountShown() const
    {43, 1499, 45, 1, Smoke::mf_slot, 0, 13},	//746 Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled(bool)
    {43, 1196, 0, 0, Smoke::mf_const|Smoke::mf_slot, 388, 14},	//747 Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled() const
    {43, 1174, 272, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//748 Akonadi::CollectionStatisticsDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {43, 1021, 276, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//749 Akonadi::CollectionStatisticsDelegate::initStyleOption(QStyleOptionViewItem*, const QModelIndex&) const
    {43, 1631, 21, 1, Smoke::mf_static, 277, 17},	//750 Akonadi::CollectionStatisticsDelegate::tr(const char*)
    {43, 1635, 21, 1, Smoke::mf_static, 277, 18},	//751 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*)
    {43, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 19},	//752 Akonadi::CollectionStatisticsDelegate::staticMetaObject() const
    {43, 1719, 0, 0, Smoke::mf_dtor, 0, 20 },	//753 Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate()
    {44, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//754 Akonadi::CollectionStatisticsJob::metaObject() const
    {44, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//755 Akonadi::CollectionStatisticsJob::qt_metacast(const char*)
    {44, 1631, 23, 2, Smoke::mf_static, 277, 3},	//756 Akonadi::CollectionStatisticsJob::tr(const char*, const char*)
    {44, 1635, 23, 2, Smoke::mf_static, 277, 4},	//757 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*)
    {44, 1631, 26, 3, Smoke::mf_static, 277, 5},	//758 Akonadi::CollectionStatisticsJob::tr(const char*, const char*, int)
    {44, 1635, 26, 3, Smoke::mf_static, 277, 6},	//759 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*, int)
    {44, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//760 Akonadi::CollectionStatisticsJob::qt_metacall(QMetaObject::Call, int, void**)
    {44, 148, 165, 2, Smoke::mf_ctor, 68, 8},	//761 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&, QObject*)
    {44, 1598, 0, 0, Smoke::mf_const, 64, 9},	//762 Akonadi::CollectionStatisticsJob::statistics() const
    {44, 779, 0, 0, Smoke::mf_const, 34, 10},	//763 Akonadi::CollectionStatisticsJob::collection() const
    {44, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//764 Akonadi::CollectionStatisticsJob::doStart()
    {44, 893, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//765 Akonadi::CollectionStatisticsJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {44, 1631, 21, 1, Smoke::mf_static, 277, 13},	//766 Akonadi::CollectionStatisticsJob::tr(const char*)
    {44, 1635, 21, 1, Smoke::mf_static, 277, 14},	//767 Akonadi::CollectionStatisticsJob::trUtf8(const char*)
    {44, 148, 61, 1, Smoke::mf_ctor, 68, 15},	//768 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&)
    {44, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//769 Akonadi::CollectionStatisticsJob::staticMetaObject() const
    {44, 1720, 0, 0, Smoke::mf_dtor, 0, 17 },	//770 Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob()
    {45, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//771 Akonadi::CollectionStatisticsModel::metaObject() const
    {45, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//772 Akonadi::CollectionStatisticsModel::qt_metacast(const char*)
    {45, 1631, 23, 2, Smoke::mf_static, 277, 3},	//773 Akonadi::CollectionStatisticsModel::tr(const char*, const char*)
    {45, 1635, 23, 2, Smoke::mf_static, 277, 4},	//774 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*)
    {45, 1631, 26, 3, Smoke::mf_static, 277, 5},	//775 Akonadi::CollectionStatisticsModel::tr(const char*, const char*, int)
    {45, 1635, 26, 3, Smoke::mf_static, 277, 6},	//776 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*, int)
    {45, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//777 Akonadi::CollectionStatisticsModel::qt_metacall(QMetaObject::Call, int, void**)
    {45, 151, 78, 1, Smoke::mf_ctor, 69, 8},	//778 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel(QObject*)
    {45, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 9},	//779 Akonadi::CollectionStatisticsModel::columnCount(const QModelIndex&) const
    {45, 870, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 10},	//780 Akonadi::CollectionStatisticsModel::data(const QModelIndex&, int) const
    {45, 992, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 11},	//781 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation, int) const
    {45, 1631, 21, 1, Smoke::mf_static, 277, 12},	//782 Akonadi::CollectionStatisticsModel::tr(const char*)
    {45, 1635, 21, 1, Smoke::mf_static, 277, 13},	//783 Akonadi::CollectionStatisticsModel::trUtf8(const char*)
    {45, 151, 0, 0, Smoke::mf_ctor, 69, 14},	//784 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel()
    {45, 817, 0, 0, Smoke::mf_const, 476, 15},	//785 Akonadi::CollectionStatisticsModel::columnCount() const
    {45, 870, 95, 1, Smoke::mf_const, 287, 16},	//786 Akonadi::CollectionStatisticsModel::data(const QModelIndex&) const
    {45, 992, 112, 2, Smoke::mf_const, 287, 17},	//787 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation) const
    {45, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//788 Akonadi::CollectionStatisticsModel::staticMetaObject() const
    {45, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 19},	//789 Akonadi::CollectionStatisticsModel::UnreadRole (enum)
    {45, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 20},	//790 Akonadi::CollectionStatisticsModel::TotalRole (enum)
    {45, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 21},	//791 Akonadi::CollectionStatisticsModel::StatisticsRole (enum)
    {45, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 22},	//792 Akonadi::CollectionStatisticsModel::RecursiveUnreadRole (enum)
    {45, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 23},	//793 Akonadi::CollectionStatisticsModel::RecursiveTotalRole (enum)
    {45, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 24},	//794 Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole (enum)
    {45, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 25},	//795 Akonadi::CollectionStatisticsModel::SizeRole (enum)
    {45, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 26},	//796 Akonadi::CollectionStatisticsModel::RecursiveSizeRole (enum)
    {45, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 27},	//797 Akonadi::CollectionStatisticsModel::UserRole (enum)
    {45, 1721, 0, 0, Smoke::mf_dtor, 0, 28 },	//798 Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel()
    {46, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//799 Akonadi::CollectionView::metaObject() const
    {46, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//800 Akonadi::CollectionView::qt_metacast(const char*)
    {46, 1631, 23, 2, Smoke::mf_static, 277, 3},	//801 Akonadi::CollectionView::tr(const char*, const char*)
    {46, 1635, 23, 2, Smoke::mf_static, 277, 4},	//802 Akonadi::CollectionView::trUtf8(const char*, const char*)
    {46, 1631, 26, 3, Smoke::mf_static, 277, 5},	//803 Akonadi::CollectionView::tr(const char*, const char*, int)
    {46, 1635, 26, 3, Smoke::mf_static, 277, 6},	//804 Akonadi::CollectionView::trUtf8(const char*, const char*, int)
    {46, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//805 Akonadi::CollectionView::qt_metacall(QMetaObject::Call, int, void**)
    {46, 155, 85, 1, Smoke::mf_ctor, 71, 8},	//806 Akonadi::CollectionView::CollectionView(QWidget*)
    {46, 155, 279, 2, Smoke::mf_ctor, 71, 9},	//807 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    {46, 155, 282, 2, Smoke::mf_ctor, 71, 10},	//808 Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    {46, 1566, 285, 1, 0, 0, 11},	//809 Akonadi::CollectionView::setXmlGuiWindow(KXmlGuiWindow*)
    {46, 1564, 287, 1, 0, 0, 12},	//810 Akonadi::CollectionView::setXmlGuiClient(KXMLGUIClient*)
    {46, 1472, 159, 1, Smoke::mf_virtual, 0, 13},	//811 Akonadi::CollectionView::setModel(QAbstractItemModel*)
    {46, 774, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//812 Akonadi::CollectionView::clicked(const Akonadi::Collection&)
    {46, 862, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//813 Akonadi::CollectionView::currentChanged(const Akonadi::Collection&)
    {46, 862, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//814 Akonadi::CollectionView::currentChanged(const QModelIndex&, const QModelIndex&)
    {46, 909, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//815 Akonadi::CollectionView::dragMoveEvent(QDragMoveEvent*)
    {46, 907, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//816 Akonadi::CollectionView::dragLeaveEvent(QDragLeaveEvent*)
    {46, 913, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//817 Akonadi::CollectionView::dropEvent(QDropEvent*)
    {46, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//818 Akonadi::CollectionView::contextMenuEvent(QContextMenuEvent*)
    {46, 1631, 21, 1, Smoke::mf_static, 277, 21},	//819 Akonadi::CollectionView::tr(const char*)
    {46, 1635, 21, 1, Smoke::mf_static, 277, 22},	//820 Akonadi::CollectionView::trUtf8(const char*)
    {46, 155, 0, 0, Smoke::mf_ctor, 71, 23},	//821 Akonadi::CollectionView::CollectionView()
    {46, 155, 285, 1, Smoke::mf_ctor, 71, 24},	//822 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    {46, 155, 287, 1, Smoke::mf_ctor, 71, 25},	//823 Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    {46, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 26},	//824 Akonadi::CollectionView::staticMetaObject() const
    {46, 1722, 0, 0, Smoke::mf_dtor, 0, 27 },	//825 Akonadi::CollectionView::~CollectionView()
    {47, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//826 Akonadi::ContactDefaultActions::metaObject() const
    {47, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//827 Akonadi::ContactDefaultActions::qt_metacast(const char*)
    {47, 1631, 23, 2, Smoke::mf_static, 277, 3},	//828 Akonadi::ContactDefaultActions::tr(const char*, const char*)
    {47, 1635, 23, 2, Smoke::mf_static, 277, 4},	//829 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*)
    {47, 1631, 26, 3, Smoke::mf_static, 277, 5},	//830 Akonadi::ContactDefaultActions::tr(const char*, const char*, int)
    {47, 1635, 26, 3, Smoke::mf_static, 277, 6},	//831 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*, int)
    {47, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//832 Akonadi::ContactDefaultActions::qt_metacall(QMetaObject::Call, int, void**)
    {47, 160, 78, 1, Smoke::mf_ctor, 72, 8},	//833 Akonadi::ContactDefaultActions::ContactDefaultActions(QObject*)
    {47, 830, 78, 1, 0, 0, 9},	//834 Akonadi::ContactDefaultActions::connectToView(QObject*)
    {47, 1574, 148, 1, Smoke::mf_slot, 0, 10},	//835 Akonadi::ContactDefaultActions::showUrl(const KUrl&)
    {47, 1274, 300, 2, Smoke::mf_slot, 0, 11},	//836 Akonadi::ContactDefaultActions::sendEmail(const QString&, const QString&)
    {47, 886, 303, 1, Smoke::mf_slot, 0, 12},	//837 Akonadi::ContactDefaultActions::dialPhoneNumber(const KABC::PhoneNumber&)
    {47, 1278, 303, 1, Smoke::mf_slot, 0, 13},	//838 Akonadi::ContactDefaultActions::sendSms(const KABC::PhoneNumber&)
    {47, 1568, 305, 1, Smoke::mf_slot, 0, 14},	//839 Akonadi::ContactDefaultActions::showAddress(const KABC::Address&)
    {47, 1631, 21, 1, Smoke::mf_static, 277, 15},	//840 Akonadi::ContactDefaultActions::tr(const char*)
    {47, 1635, 21, 1, Smoke::mf_static, 277, 16},	//841 Akonadi::ContactDefaultActions::trUtf8(const char*)
    {47, 160, 0, 0, Smoke::mf_ctor, 72, 17},	//842 Akonadi::ContactDefaultActions::ContactDefaultActions()
    {47, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//843 Akonadi::ContactDefaultActions::staticMetaObject() const
    {47, 1723, 0, 0, Smoke::mf_dtor, 0, 19 },	//844 Akonadi::ContactDefaultActions::~ContactDefaultActions()
    {48, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//845 Akonadi::ContactEditor::metaObject() const
    {48, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//846 Akonadi::ContactEditor::qt_metacast(const char*)
    {48, 1631, 23, 2, Smoke::mf_static, 277, 3},	//847 Akonadi::ContactEditor::tr(const char*, const char*)
    {48, 1635, 23, 2, Smoke::mf_static, 277, 4},	//848 Akonadi::ContactEditor::trUtf8(const char*, const char*)
    {48, 1631, 26, 3, Smoke::mf_static, 277, 5},	//849 Akonadi::ContactEditor::tr(const char*, const char*, int)
    {48, 1635, 26, 3, Smoke::mf_static, 277, 6},	//850 Akonadi::ContactEditor::trUtf8(const char*, const char*, int)
    {48, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//851 Akonadi::ContactEditor::qt_metacall(QMetaObject::Call, int, void**)
    {48, 162, 307, 2, Smoke::mf_ctor, 73, 8},	//852 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    {48, 162, 310, 3, Smoke::mf_ctor, 73, 9},	//853 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {48, 1356, 314, 1, 0, 0, 10},	//854 Akonadi::ContactEditor::setContactTemplate(const KABC::Addressee&)
    {48, 1371, 61, 1, 0, 0, 11},	//855 Akonadi::ContactEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {48, 1116, 56, 1, Smoke::mf_slot, 0, 12},	//856 Akonadi::ContactEditor::loadContact(const Akonadi::Item&)
    {48, 1255, 0, 0, Smoke::mf_slot, 388, 13},	//857 Akonadi::ContactEditor::saveContact()
    {48, 837, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//858 Akonadi::ContactEditor::contactStored(const Akonadi::Item&)
    {48, 938, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//859 Akonadi::ContactEditor::error(const QString&)
    {48, 1631, 21, 1, Smoke::mf_static, 277, 16},	//860 Akonadi::ContactEditor::tr(const char*)
    {48, 1635, 21, 1, Smoke::mf_static, 277, 17},	//861 Akonadi::ContactEditor::trUtf8(const char*)
    {48, 162, 316, 1, Smoke::mf_ctor, 73, 18},	//862 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode)
    {48, 162, 318, 2, Smoke::mf_ctor, 73, 19},	//863 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    {48, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 20},	//864 Akonadi::ContactEditor::staticMetaObject() const
    {48, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 21},	//865 Akonadi::ContactEditor::CreateMode (enum)
    {48, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 22},	//866 Akonadi::ContactEditor::EditMode (enum)
    {48, 1724, 0, 0, Smoke::mf_dtor, 0, 23 },	//867 Akonadi::ContactEditor::~ContactEditor()
    {49, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//868 Akonadi::ContactEditorDialog::metaObject() const
    {49, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//869 Akonadi::ContactEditorDialog::qt_metacast(const char*)
    {49, 1631, 23, 2, Smoke::mf_static, 277, 3},	//870 Akonadi::ContactEditorDialog::tr(const char*, const char*)
    {49, 1635, 23, 2, Smoke::mf_static, 277, 4},	//871 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*)
    {49, 1631, 26, 3, Smoke::mf_static, 277, 5},	//872 Akonadi::ContactEditorDialog::tr(const char*, const char*, int)
    {49, 1635, 26, 3, Smoke::mf_static, 277, 6},	//873 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*, int)
    {49, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//874 Akonadi::ContactEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {49, 166, 321, 2, Smoke::mf_ctor, 75, 8},	//875 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    {49, 166, 324, 3, Smoke::mf_ctor, 75, 9},	//876 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {49, 1346, 56, 1, 0, 0, 10},	//877 Akonadi::ContactEditorDialog::setContact(const Akonadi::Item&)
    {49, 1371, 61, 1, 0, 0, 11},	//878 Akonadi::ContactEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {49, 921, 0, 0, Smoke::mf_const, 73, 12},	//879 Akonadi::ContactEditorDialog::editor() const
    {49, 837, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//880 Akonadi::ContactEditorDialog::contactStored(const Akonadi::Item&)
    {49, 1631, 21, 1, Smoke::mf_static, 277, 14},	//881 Akonadi::ContactEditorDialog::tr(const char*)
    {49, 1635, 21, 1, Smoke::mf_static, 277, 15},	//882 Akonadi::ContactEditorDialog::trUtf8(const char*)
    {49, 166, 328, 1, Smoke::mf_ctor, 75, 16},	//883 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode)
    {49, 166, 330, 2, Smoke::mf_ctor, 75, 17},	//884 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    {49, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//885 Akonadi::ContactEditorDialog::staticMetaObject() const
    {49, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 19},	//886 Akonadi::ContactEditorDialog::CreateMode (enum)
    {49, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 20},	//887 Akonadi::ContactEditorDialog::EditMode (enum)
    {49, 1725, 0, 0, Smoke::mf_dtor, 0, 21 },	//888 Akonadi::ContactEditorDialog::~ContactEditorDialog()
    {50, 1629, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 277, 1},	//889 Akonadi::ContactEditorPagePlugin::title() const [pure virtual]
    {50, 1116, 314, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//890 Akonadi::ContactEditorPagePlugin::loadContact(const KABC::Addressee&) [pure virtual]
    {50, 1607, 333, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//891 Akonadi::ContactEditorPagePlugin::storeContact(KABC::Addressee&) const [pure virtual]
    {50, 1509, 45, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//892 Akonadi::ContactEditorPagePlugin::setReadOnly(bool) [pure virtual]
    {50, 170, 0, 0, Smoke::mf_ctor, 77, 5},	//893 Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin()
    {50, 1726, 0, 0, Smoke::mf_dtor, 0, 6 },	//894 Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin()
    {51, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//895 Akonadi::ContactGroupEditor::metaObject() const
    {51, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//896 Akonadi::ContactGroupEditor::qt_metacast(const char*)
    {51, 1631, 23, 2, Smoke::mf_static, 277, 3},	//897 Akonadi::ContactGroupEditor::tr(const char*, const char*)
    {51, 1635, 23, 2, Smoke::mf_static, 277, 4},	//898 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*)
    {51, 1631, 26, 3, Smoke::mf_static, 277, 5},	//899 Akonadi::ContactGroupEditor::tr(const char*, const char*, int)
    {51, 1635, 26, 3, Smoke::mf_static, 277, 6},	//900 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*, int)
    {51, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//901 Akonadi::ContactGroupEditor::qt_metacall(QMetaObject::Call, int, void**)
    {51, 171, 335, 2, Smoke::mf_ctor, 78, 8},	//902 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode, QWidget*)
    {51, 1354, 338, 1, 0, 0, 9},	//903 Akonadi::ContactGroupEditor::setContactGroupTemplate(const KABC::ContactGroup&)
    {51, 1371, 61, 1, 0, 0, 10},	//904 Akonadi::ContactGroupEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {51, 983, 45, 1, 0, 0, 11},	//905 Akonadi::ContactGroupEditor::groupNameIsValid(bool)
    {51, 1118, 56, 1, Smoke::mf_slot, 0, 12},	//906 Akonadi::ContactGroupEditor::loadContactGroup(const Akonadi::Item&)
    {51, 1256, 0, 0, Smoke::mf_slot, 388, 13},	//907 Akonadi::ContactGroupEditor::saveContactGroup()
    {51, 834, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//908 Akonadi::ContactGroupEditor::contactGroupStored(const Akonadi::Item&)
    {51, 938, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//909 Akonadi::ContactGroupEditor::error(const QString&)
    {51, 1631, 21, 1, Smoke::mf_static, 277, 16},	//910 Akonadi::ContactGroupEditor::tr(const char*)
    {51, 1635, 21, 1, Smoke::mf_static, 277, 17},	//911 Akonadi::ContactGroupEditor::trUtf8(const char*)
    {51, 171, 340, 1, Smoke::mf_ctor, 78, 18},	//912 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode)
    {51, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 19},	//913 Akonadi::ContactGroupEditor::staticMetaObject() const
    {51, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 20},	//914 Akonadi::ContactGroupEditor::CreateMode (enum)
    {51, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 21},	//915 Akonadi::ContactGroupEditor::EditMode (enum)
    {51, 1727, 0, 0, Smoke::mf_dtor, 0, 22 },	//916 Akonadi::ContactGroupEditor::~ContactGroupEditor()
    {52, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//917 Akonadi::ContactGroupEditorDialog::metaObject() const
    {52, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//918 Akonadi::ContactGroupEditorDialog::qt_metacast(const char*)
    {52, 1631, 23, 2, Smoke::mf_static, 277, 3},	//919 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*)
    {52, 1635, 23, 2, Smoke::mf_static, 277, 4},	//920 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*)
    {52, 1631, 26, 3, Smoke::mf_static, 277, 5},	//921 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*, int)
    {52, 1635, 26, 3, Smoke::mf_static, 277, 6},	//922 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*, int)
    {52, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//923 Akonadi::ContactGroupEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {52, 174, 342, 2, Smoke::mf_ctor, 80, 8},	//924 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode, QWidget*)
    {52, 1350, 56, 1, 0, 0, 9},	//925 Akonadi::ContactGroupEditorDialog::setContactGroup(const Akonadi::Item&)
    {52, 1371, 61, 1, 0, 0, 10},	//926 Akonadi::ContactGroupEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {52, 921, 0, 0, Smoke::mf_const, 78, 11},	//927 Akonadi::ContactGroupEditorDialog::editor() const
    {52, 834, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//928 Akonadi::ContactGroupEditorDialog::contactGroupStored(const Akonadi::Item&)
    {52, 1580, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//929 Akonadi::ContactGroupEditorDialog::slotButtonClicked(int)
    {52, 1631, 21, 1, Smoke::mf_static, 277, 14},	//930 Akonadi::ContactGroupEditorDialog::tr(const char*)
    {52, 1635, 21, 1, Smoke::mf_static, 277, 15},	//931 Akonadi::ContactGroupEditorDialog::trUtf8(const char*)
    {52, 174, 345, 1, Smoke::mf_ctor, 80, 16},	//932 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode)
    {52, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//933 Akonadi::ContactGroupEditorDialog::staticMetaObject() const
    {52, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 18},	//934 Akonadi::ContactGroupEditorDialog::CreateMode (enum)
    {52, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 19},	//935 Akonadi::ContactGroupEditorDialog::EditMode (enum)
    {52, 1728, 0, 0, Smoke::mf_dtor, 0, 20 },	//936 Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog()
    {53, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//937 Akonadi::ContactGroupExpandJob::metaObject() const
    {53, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//938 Akonadi::ContactGroupExpandJob::qt_metacast(const char*)
    {53, 1631, 23, 2, Smoke::mf_static, 277, 3},	//939 Akonadi::ContactGroupExpandJob::tr(const char*, const char*)
    {53, 1635, 23, 2, Smoke::mf_static, 277, 4},	//940 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*)
    {53, 1631, 26, 3, Smoke::mf_static, 277, 5},	//941 Akonadi::ContactGroupExpandJob::tr(const char*, const char*, int)
    {53, 1635, 26, 3, Smoke::mf_static, 277, 6},	//942 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*, int)
    {53, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//943 Akonadi::ContactGroupExpandJob::qt_metacall(QMetaObject::Call, int, void**)
    {53, 177, 347, 2, Smoke::mf_ctor, 82, 8},	//944 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&, QObject*)
    {53, 177, 90, 2, Smoke::mf_ctor, 82, 9},	//945 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&, QObject*)
    {53, 839, 0, 0, Smoke::mf_const, 180, 10},	//946 Akonadi::ContactGroupExpandJob::contacts() const
    {53, 1589, 0, 0, Smoke::mf_virtual, 0, 11},	//947 Akonadi::ContactGroupExpandJob::start()
    {53, 1631, 21, 1, Smoke::mf_static, 277, 12},	//948 Akonadi::ContactGroupExpandJob::tr(const char*)
    {53, 1635, 21, 1, Smoke::mf_static, 277, 13},	//949 Akonadi::ContactGroupExpandJob::trUtf8(const char*)
    {53, 177, 338, 1, Smoke::mf_ctor, 82, 14},	//950 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&)
    {53, 177, 8, 1, Smoke::mf_ctor, 82, 15},	//951 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&)
    {53, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//952 Akonadi::ContactGroupExpandJob::staticMetaObject() const
    {53, 1729, 0, 0, Smoke::mf_dtor, 0, 17 },	//953 Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob()
    {54, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//954 Akonadi::ContactGroupSearchJob::metaObject() const
    {54, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//955 Akonadi::ContactGroupSearchJob::qt_metacast(const char*)
    {54, 1631, 23, 2, Smoke::mf_static, 277, 3},	//956 Akonadi::ContactGroupSearchJob::tr(const char*, const char*)
    {54, 1635, 23, 2, Smoke::mf_static, 277, 4},	//957 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*)
    {54, 1631, 26, 3, Smoke::mf_static, 277, 5},	//958 Akonadi::ContactGroupSearchJob::tr(const char*, const char*, int)
    {54, 1635, 26, 3, Smoke::mf_static, 277, 6},	//959 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*, int)
    {54, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//960 Akonadi::ContactGroupSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {54, 182, 78, 1, Smoke::mf_ctor, 83, 8},	//961 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob(QObject*)
    {54, 1501, 350, 2, 0, 0, 9},	//962 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&)
    {54, 1501, 353, 3, 0, 0, 10},	//963 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match)
    {54, 1456, 41, 1, 0, 0, 11},	//964 Akonadi::ContactGroupSearchJob::setLimit(int)
    {54, 836, 0, 0, Smoke::mf_const, 254, 12},	//965 Akonadi::ContactGroupSearchJob::contactGroups() const
    {54, 1631, 21, 1, Smoke::mf_static, 277, 13},	//966 Akonadi::ContactGroupSearchJob::tr(const char*)
    {54, 1635, 21, 1, Smoke::mf_static, 277, 14},	//967 Akonadi::ContactGroupSearchJob::trUtf8(const char*)
    {54, 182, 0, 0, Smoke::mf_ctor, 83, 15},	//968 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob()
    {54, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//969 Akonadi::ContactGroupSearchJob::staticMetaObject() const
    {54, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 17},	//970 Akonadi::ContactGroupSearchJob::Name (enum)
    {54, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 18},	//971 Akonadi::ContactGroupSearchJob::ExactMatch (enum)
    {54, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 19},	//972 Akonadi::ContactGroupSearchJob::StartsWithMatch (enum)
    {54, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 20},	//973 Akonadi::ContactGroupSearchJob::ContainsMatch (enum)
    {54, 1730, 0, 0, Smoke::mf_dtor, 0, 21 },	//974 Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob()
    {55, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//975 Akonadi::ContactGroupViewer::metaObject() const
    {55, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//976 Akonadi::ContactGroupViewer::qt_metacast(const char*)
    {55, 1631, 23, 2, Smoke::mf_static, 277, 3},	//977 Akonadi::ContactGroupViewer::tr(const char*, const char*)
    {55, 1635, 23, 2, Smoke::mf_static, 277, 4},	//978 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*)
    {55, 1631, 26, 3, Smoke::mf_static, 277, 5},	//979 Akonadi::ContactGroupViewer::tr(const char*, const char*, int)
    {55, 1635, 26, 3, Smoke::mf_static, 277, 6},	//980 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*, int)
    {55, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//981 Akonadi::ContactGroupViewer::qt_metacall(QMetaObject::Call, int, void**)
    {55, 184, 85, 1, Smoke::mf_ctor, 86, 8},	//982 Akonadi::ContactGroupViewer::ContactGroupViewer(QWidget*)
    {55, 833, 0, 0, Smoke::mf_const, 113, 9},	//983 Akonadi::ContactGroupViewer::contactGroup() const
    {55, 1352, 357, 1, 0, 0, 10},	//984 Akonadi::ContactGroupViewer::setContactGroupFormatter(Akonadi::AbstractContactGroupFormatter*)
    {55, 1350, 56, 1, Smoke::mf_slot, 0, 11},	//985 Akonadi::ContactGroupViewer::setContactGroup(const Akonadi::Item&)
    {55, 924, 300, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//986 Akonadi::ContactGroupViewer::emailClicked(const QString&, const QString&)
    {55, 1631, 21, 1, Smoke::mf_static, 277, 13},	//987 Akonadi::ContactGroupViewer::tr(const char*)
    {55, 1635, 21, 1, Smoke::mf_static, 277, 14},	//988 Akonadi::ContactGroupViewer::trUtf8(const char*)
    {55, 184, 0, 0, Smoke::mf_ctor, 86, 15},	//989 Akonadi::ContactGroupViewer::ContactGroupViewer()
    {55, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//990 Akonadi::ContactGroupViewer::staticMetaObject() const
    {55, 1731, 0, 0, Smoke::mf_dtor, 0, 17 },	//991 Akonadi::ContactGroupViewer::~ContactGroupViewer()
    {56, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//992 Akonadi::ContactGroupViewerDialog::metaObject() const
    {56, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//993 Akonadi::ContactGroupViewerDialog::qt_metacast(const char*)
    {56, 1631, 23, 2, Smoke::mf_static, 277, 3},	//994 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*)
    {56, 1635, 23, 2, Smoke::mf_static, 277, 4},	//995 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*)
    {56, 1631, 26, 3, Smoke::mf_static, 277, 5},	//996 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*, int)
    {56, 1635, 26, 3, Smoke::mf_static, 277, 6},	//997 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*, int)
    {56, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//998 Akonadi::ContactGroupViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {56, 186, 85, 1, Smoke::mf_ctor, 87, 8},	//999 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog(QWidget*)
    {56, 833, 0, 0, Smoke::mf_const, 113, 9},	//1000 Akonadi::ContactGroupViewerDialog::contactGroup() const
    {56, 1668, 0, 0, Smoke::mf_const, 86, 10},	//1001 Akonadi::ContactGroupViewerDialog::viewer() const
    {56, 1350, 56, 1, Smoke::mf_slot, 0, 11},	//1002 Akonadi::ContactGroupViewerDialog::setContactGroup(const Akonadi::Item&)
    {56, 1631, 21, 1, Smoke::mf_static, 277, 12},	//1003 Akonadi::ContactGroupViewerDialog::tr(const char*)
    {56, 1635, 21, 1, Smoke::mf_static, 277, 13},	//1004 Akonadi::ContactGroupViewerDialog::trUtf8(const char*)
    {56, 186, 0, 0, Smoke::mf_ctor, 87, 14},	//1005 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog()
    {56, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1006 Akonadi::ContactGroupViewerDialog::staticMetaObject() const
    {56, 1732, 0, 0, Smoke::mf_dtor, 0, 16 },	//1007 Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog()
    {57, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1008 Akonadi::ContactSearchJob::metaObject() const
    {57, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1009 Akonadi::ContactSearchJob::qt_metacast(const char*)
    {57, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1010 Akonadi::ContactSearchJob::tr(const char*, const char*)
    {57, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1011 Akonadi::ContactSearchJob::trUtf8(const char*, const char*)
    {57, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1012 Akonadi::ContactSearchJob::tr(const char*, const char*, int)
    {57, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1013 Akonadi::ContactSearchJob::trUtf8(const char*, const char*, int)
    {57, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1014 Akonadi::ContactSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {57, 188, 78, 1, Smoke::mf_ctor, 88, 8},	//1015 Akonadi::ContactSearchJob::ContactSearchJob(QObject*)
    {57, 1501, 359, 2, 0, 0, 9},	//1016 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&)
    {57, 1501, 362, 3, 0, 0, 10},	//1017 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match)
    {57, 1456, 41, 1, 0, 0, 11},	//1018 Akonadi::ContactSearchJob::setLimit(int)
    {57, 839, 0, 0, Smoke::mf_const, 180, 12},	//1019 Akonadi::ContactSearchJob::contacts() const
    {57, 1631, 21, 1, Smoke::mf_static, 277, 13},	//1020 Akonadi::ContactSearchJob::tr(const char*)
    {57, 1635, 21, 1, Smoke::mf_static, 277, 14},	//1021 Akonadi::ContactSearchJob::trUtf8(const char*)
    {57, 188, 0, 0, Smoke::mf_ctor, 88, 15},	//1022 Akonadi::ContactSearchJob::ContactSearchJob()
    {57, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//1023 Akonadi::ContactSearchJob::staticMetaObject() const
    {57, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 17},	//1024 Akonadi::ContactSearchJob::Name (enum)
    {57, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 18},	//1025 Akonadi::ContactSearchJob::Email (enum)
    {57, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 19},	//1026 Akonadi::ContactSearchJob::NickName (enum)
    {57, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 20},	//1027 Akonadi::ContactSearchJob::NameOrEmail (enum)
    {57, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 21},	//1028 Akonadi::ContactSearchJob::ContactUid (enum)
    {57, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 22},	//1029 Akonadi::ContactSearchJob::ExactMatch (enum)
    {57, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 23},	//1030 Akonadi::ContactSearchJob::StartsWithMatch (enum)
    {57, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 24},	//1031 Akonadi::ContactSearchJob::ContainsMatch (enum)
    {57, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 25},	//1032 Akonadi::ContactSearchJob::ContainsWordBoundaryMatch (enum)
    {57, 1733, 0, 0, Smoke::mf_dtor, 0, 26 },	//1033 Akonadi::ContactSearchJob::~ContactSearchJob()
    {58, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1034 Akonadi::ContactViewer::metaObject() const
    {58, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1035 Akonadi::ContactViewer::qt_metacast(const char*)
    {58, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1036 Akonadi::ContactViewer::tr(const char*, const char*)
    {58, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1037 Akonadi::ContactViewer::trUtf8(const char*, const char*)
    {58, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1038 Akonadi::ContactViewer::tr(const char*, const char*, int)
    {58, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1039 Akonadi::ContactViewer::trUtf8(const char*, const char*, int)
    {58, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1040 Akonadi::ContactViewer::qt_metacall(QMetaObject::Call, int, void**)
    {58, 191, 85, 1, Smoke::mf_ctor, 91, 8},	//1041 Akonadi::ContactViewer::ContactViewer(QWidget*)
    {58, 832, 0, 0, Smoke::mf_const, 113, 9},	//1042 Akonadi::ContactViewer::contact() const
    {58, 1202, 0, 0, Smoke::mf_const, 178, 10},	//1043 Akonadi::ContactViewer::rawContact() const
    {58, 1348, 366, 1, 0, 0, 11},	//1044 Akonadi::ContactViewer::setContactFormatter(Akonadi::AbstractContactFormatter*)
    {58, 1346, 56, 1, Smoke::mf_slot, 0, 12},	//1045 Akonadi::ContactViewer::setContact(const Akonadi::Item&)
    {58, 1507, 314, 1, Smoke::mf_slot, 0, 13},	//1046 Akonadi::ContactViewer::setRawContact(const KABC::Addressee&)
    {58, 1659, 148, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1047 Akonadi::ContactViewer::urlClicked(const KUrl&)
    {58, 924, 300, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1048 Akonadi::ContactViewer::emailClicked(const QString&, const QString&)
    {58, 1191, 303, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1049 Akonadi::ContactViewer::phoneNumberClicked(const KABC::PhoneNumber&)
    {58, 1585, 303, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1050 Akonadi::ContactViewer::smsClicked(const KABC::PhoneNumber&)
    {58, 715, 305, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1051 Akonadi::ContactViewer::addressClicked(const KABC::Address&)
    {58, 1631, 21, 1, Smoke::mf_static, 277, 19},	//1052 Akonadi::ContactViewer::tr(const char*)
    {58, 1635, 21, 1, Smoke::mf_static, 277, 20},	//1053 Akonadi::ContactViewer::trUtf8(const char*)
    {58, 191, 0, 0, Smoke::mf_ctor, 91, 21},	//1054 Akonadi::ContactViewer::ContactViewer()
    {58, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//1055 Akonadi::ContactViewer::staticMetaObject() const
    {58, 1734, 0, 0, Smoke::mf_dtor, 0, 23 },	//1056 Akonadi::ContactViewer::~ContactViewer()
    {59, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1057 Akonadi::ContactViewerDialog::metaObject() const
    {59, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1058 Akonadi::ContactViewerDialog::qt_metacast(const char*)
    {59, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1059 Akonadi::ContactViewerDialog::tr(const char*, const char*)
    {59, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1060 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*)
    {59, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1061 Akonadi::ContactViewerDialog::tr(const char*, const char*, int)
    {59, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1062 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*, int)
    {59, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1063 Akonadi::ContactViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {59, 193, 85, 1, Smoke::mf_ctor, 92, 8},	//1064 Akonadi::ContactViewerDialog::ContactViewerDialog(QWidget*)
    {59, 832, 0, 0, Smoke::mf_const, 113, 9},	//1065 Akonadi::ContactViewerDialog::contact() const
    {59, 1668, 0, 0, Smoke::mf_const, 91, 10},	//1066 Akonadi::ContactViewerDialog::viewer() const
    {59, 1346, 56, 1, Smoke::mf_slot, 0, 11},	//1067 Akonadi::ContactViewerDialog::setContact(const Akonadi::Item&)
    {59, 1631, 21, 1, Smoke::mf_static, 277, 12},	//1068 Akonadi::ContactViewerDialog::tr(const char*)
    {59, 1635, 21, 1, Smoke::mf_static, 277, 13},	//1069 Akonadi::ContactViewerDialog::trUtf8(const char*)
    {59, 193, 0, 0, Smoke::mf_ctor, 92, 14},	//1070 Akonadi::ContactViewerDialog::ContactViewerDialog()
    {59, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1071 Akonadi::ContactViewerDialog::staticMetaObject() const
    {59, 1735, 0, 0, Smoke::mf_dtor, 0, 16 },	//1072 Akonadi::ContactViewerDialog::~ContactViewerDialog()
    {60, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1073 Akonadi::Control::metaObject() const
    {60, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1074 Akonadi::Control::qt_metacast(const char*)
    {60, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1075 Akonadi::Control::tr(const char*, const char*)
    {60, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1076 Akonadi::Control::trUtf8(const char*, const char*)
    {60, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1077 Akonadi::Control::tr(const char*, const char*, int)
    {60, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1078 Akonadi::Control::trUtf8(const char*, const char*, int)
    {60, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1079 Akonadi::Control::qt_metacall(QMetaObject::Call, int, void**)
    {60, 1589, 0, 0, Smoke::mf_static, 388, 8},	//1080 Akonadi::Control::start()
    {60, 1589, 85, 1, Smoke::mf_static, 388, 9},	//1081 Akonadi::Control::start(QWidget*)
    {60, 1603, 0, 0, Smoke::mf_static, 388, 10},	//1082 Akonadi::Control::stop()
    {60, 1603, 85, 1, Smoke::mf_static, 388, 11},	//1083 Akonadi::Control::stop(QWidget*)
    {60, 1232, 0, 0, Smoke::mf_static, 388, 12},	//1084 Akonadi::Control::restart()
    {60, 1232, 85, 1, Smoke::mf_static, 388, 13},	//1085 Akonadi::Control::restart(QWidget*)
    {60, 1678, 85, 1, Smoke::mf_static, 0, 14},	//1086 Akonadi::Control::widgetNeedsAkonadi(QWidget*)
    {60, 198, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 93, 15},	//1087 Akonadi::Control::Control()
    {60, 1631, 21, 1, Smoke::mf_static, 277, 16},	//1088 Akonadi::Control::tr(const char*)
    {60, 1635, 21, 1, Smoke::mf_static, 277, 17},	//1089 Akonadi::Control::trUtf8(const char*)
    {60, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//1090 Akonadi::Control::staticMetaObject() const
    {60, 1736, 0, 0, Smoke::mf_dtor, 0, 19 },	//1091 Akonadi::Control::~Control()
    {61, 1418, 146, 1, 0, 0, 1},	//1092 Akonadi::Entity::setId(long long)
    {61, 1003, 0, 0, Smoke::mf_const, 479, 2},	//1093 Akonadi::Entity::id() const
    {61, 1511, 8, 1, 0, 0, 3},	//1094 Akonadi::Entity::setRemoteId(const QString&)
    {61, 1211, 0, 0, Smoke::mf_const, 277, 4},	//1095 Akonadi::Entity::remoteId() const
    {61, 1513, 8, 1, 0, 0, 5},	//1096 Akonadi::Entity::setRemoteRevision(const QString&)
    {61, 1212, 0, 0, Smoke::mf_const, 277, 6},	//1097 Akonadi::Entity::remoteRevision() const
    {61, 1062, 0, 0, Smoke::mf_const, 388, 7},	//1098 Akonadi::Entity::isValid() const
    {61, 1171, 368, 1, Smoke::mf_const, 388, 8},	//1099 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {61, 1165, 368, 1, Smoke::mf_const, 388, 9},	//1100 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {61, 1169, 368, 1, 0, 94, 10},	//1101 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {61, 1167, 368, 1, Smoke::mf_const, 388, 11},	//1102 Akonadi::Entity::operator<(const Akonadi::Entity&) const
    {61, 1181, 0, 0, Smoke::mf_const, 34, 12},	//1103 Akonadi::Entity::parentCollection() const
    {61, 1181, 0, 0, 0, 35, 13},	//1104 Akonadi::Entity::parentCollection()
    {61, 1490, 61, 1, 0, 0, 14},	//1105 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {61, 693, 370, 1, 0, 0, 15},	//1106 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {61, 1213, 6, 1, 0, 0, 16},	//1107 Akonadi::Entity::removeAttribute(const QByteArray&)
    {61, 985, 6, 1, Smoke::mf_const, 388, 17},	//1108 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {61, 734, 0, 0, Smoke::mf_const, 249, 18},	//1109 Akonadi::Entity::attributes() const
    {61, 767, 0, 0, 0, 0, 19},	//1110 Akonadi::Entity::clearAttributes()
    {61, 732, 6, 1, Smoke::mf_const, 27, 20},	//1111 Akonadi::Entity::attribute(const QByteArray&) const
    {61, 238, 368, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 95, 21},	//1112 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {61, 238, 372, 1, Smoke::mf_ctor|Smoke::mf_protected, 95, 22},	//1113 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {61, 869, 0, 0, Smoke::mf_protected, 101, 23},	//1114 Akonadi::Entity::d_func()
    {61, 869, 0, 0, Smoke::mf_const|Smoke::mf_protected, 411, 24},	//1115 Akonadi::Entity::d_func() const
    {61, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 25},	//1116 Akonadi::Entity::AddIfMissing (enum)
    {61, 1737, 0, 0, Smoke::mf_dtor, 0, 26 },	//1117 Akonadi::Entity::~Entity()
    {62, 240, 0, 0, Smoke::mf_ctor, 97, 1},	//1118 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute()
    {62, 1379, 8, 1, 0, 0, 2},	//1119 Akonadi::EntityDisplayAttribute::setDisplayName(const QString&)
    {62, 891, 0, 0, Smoke::mf_const, 277, 3},	//1120 Akonadi::EntityDisplayAttribute::displayName() const
    {62, 1416, 8, 1, 0, 0, 4},	//1121 Akonadi::EntityDisplayAttribute::setIconName(const QString&)
    {62, 1001, 0, 0, Smoke::mf_const, 198, 5},	//1122 Akonadi::EntityDisplayAttribute::icon() const
    {62, 1002, 0, 0, Smoke::mf_const, 277, 6},	//1123 Akonadi::EntityDisplayAttribute::iconName() const
    {62, 1289, 8, 1, 0, 0, 7},	//1124 Akonadi::EntityDisplayAttribute::setActiveIconName(const QString&)
    {62, 691, 0, 0, Smoke::mf_const, 198, 8},	//1125 Akonadi::EntityDisplayAttribute::activeIcon() const
    {62, 692, 0, 0, Smoke::mf_const, 277, 9},	//1126 Akonadi::EntityDisplayAttribute::activeIconName() const
    {62, 741, 0, 0, Smoke::mf_const, 218, 10},	//1127 Akonadi::EntityDisplayAttribute::backgroundColor() const
    {62, 1302, 374, 1, 0, 0, 11},	//1128 Akonadi::EntityDisplayAttribute::setBackgroundColor(const QColor&)
    {62, 1639, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1129 Akonadi::EntityDisplayAttribute::type() const
    {62, 776, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 97, 13},	//1130 Akonadi::EntityDisplayAttribute::clone() const
    {62, 1282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1131 Akonadi::EntityDisplayAttribute::serialized() const
    {62, 881, 6, 1, Smoke::mf_virtual, 0, 15},	//1132 Akonadi::EntityDisplayAttribute::deserialize(const QByteArray&)
    {62, 240, 376, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 16},	//1133 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute(const Akonadi::EntityDisplayAttribute&)
    {62, 1738, 0, 0, Smoke::mf_dtor, 0, 17 },	//1134 Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute()
    {63, 242, 0, 0, Smoke::mf_ctor, 98, 1},	//1135 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute()
    {63, 1639, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 2},	//1136 Akonadi::EntityHiddenAttribute::type() const
    {63, 776, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 98, 3},	//1137 Akonadi::EntityHiddenAttribute::clone() const
    {63, 1282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 4},	//1138 Akonadi::EntityHiddenAttribute::serialized() const
    {63, 881, 6, 1, Smoke::mf_virtual, 0, 5},	//1139 Akonadi::EntityHiddenAttribute::deserialize(const QByteArray&)
    {63, 242, 378, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 6},	//1140 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute(const Akonadi::EntityHiddenAttribute&)
    {63, 1739, 0, 0, Smoke::mf_dtor, 0, 7 },	//1141 Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute()
    {64, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1142 Akonadi::EntityListView::metaObject() const
    {64, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1143 Akonadi::EntityListView::qt_metacast(const char*)
    {64, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1144 Akonadi::EntityListView::tr(const char*, const char*)
    {64, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1145 Akonadi::EntityListView::trUtf8(const char*, const char*)
    {64, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1146 Akonadi::EntityListView::tr(const char*, const char*, int)
    {64, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1147 Akonadi::EntityListView::trUtf8(const char*, const char*, int)
    {64, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1148 Akonadi::EntityListView::qt_metacall(QMetaObject::Call, int, void**)
    {64, 244, 85, 1, Smoke::mf_ctor, 99, 8},	//1149 Akonadi::EntityListView::EntityListView(QWidget*)
    {64, 244, 282, 2, Smoke::mf_ctor, 99, 9},	//1150 Akonadi::EntityListView::EntityListView(KXMLGUIClient*, QWidget*)
    {64, 1564, 287, 1, 0, 0, 10},	//1151 Akonadi::EntityListView::setXmlGuiClient(KXMLGUIClient*)
    {64, 1472, 159, 1, Smoke::mf_virtual, 0, 11},	//1152 Akonadi::EntityListView::setModel(QAbstractItemModel*)
    {64, 1381, 45, 1, 0, 0, 12},	//1153 Akonadi::EntityListView::setDropActionMenuEnabled(bool)
    {64, 1053, 0, 0, Smoke::mf_const, 388, 13},	//1154 Akonadi::EntityListView::isDropActionMenuEnabled() const
    {64, 774, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1155 Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    {64, 774, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1156 Akonadi::EntityListView::clicked(const Akonadi::Item&)
    {64, 904, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1157 Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    {64, 904, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1158 Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    {64, 862, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1159 Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    {64, 862, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1160 Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    {64, 862, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1161 Akonadi::EntityListView::currentChanged(const QModelIndex&, const QModelIndex&)
    {64, 1591, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1162 Akonadi::EntityListView::startDrag(QFlags<Qt::DropAction>)
    {64, 913, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1163 Akonadi::EntityListView::dropEvent(QDropEvent*)
    {64, 909, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1164 Akonadi::EntityListView::dragMoveEvent(QDragMoveEvent*)
    {64, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1165 Akonadi::EntityListView::contextMenuEvent(QContextMenuEvent*)
    {64, 1631, 21, 1, Smoke::mf_static, 277, 25},	//1166 Akonadi::EntityListView::tr(const char*)
    {64, 1635, 21, 1, Smoke::mf_static, 277, 26},	//1167 Akonadi::EntityListView::trUtf8(const char*)
    {64, 244, 0, 0, Smoke::mf_ctor, 99, 27},	//1168 Akonadi::EntityListView::EntityListView()
    {64, 244, 287, 1, Smoke::mf_ctor, 99, 28},	//1169 Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    {64, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 29},	//1170 Akonadi::EntityListView::staticMetaObject() const
    {64, 1740, 0, 0, Smoke::mf_dtor, 0, 30 },	//1171 Akonadi::EntityListView::~EntityListView()
    {65, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1172 Akonadi::EntityMimeTypeFilterModel::metaObject() const
    {65, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1173 Akonadi::EntityMimeTypeFilterModel::qt_metacast(const char*)
    {65, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1174 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*)
    {65, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1175 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*)
    {65, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1176 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*, int)
    {65, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1177 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*, int)
    {65, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1178 Akonadi::EntityMimeTypeFilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {65, 247, 78, 1, Smoke::mf_ctor, 100, 8},	//1179 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel(QObject*)
    {65, 709, 10, 1, 0, 0, 9},	//1180 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters(const QStringList&)
    {65, 701, 10, 1, 0, 0, 10},	//1181 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters(const QStringList&)
    {65, 707, 8, 1, 0, 0, 11},	//1182 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter(const QString&)
    {65, 699, 8, 1, 0, 0, 12},	//1183 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter(const QString&)
    {65, 1142, 0, 0, Smoke::mf_const, 278, 13},	//1184 Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters() const
    {65, 1139, 0, 0, Smoke::mf_const, 278, 14},	//1185 Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters() const
    {65, 769, 0, 0, 0, 0, 15},	//1186 Akonadi::EntityMimeTypeFilterModel::clearFilters()
    {65, 1412, 382, 1, 0, 0, 16},	//1187 Akonadi::EntityMimeTypeFilterModel::setHeaderGroup(Akonadi::EntityTreeModel::HeaderGroup)
    {65, 992, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 17},	//1188 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation, int) const
    {65, 987, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 18},	//1189 Akonadi::EntityMimeTypeFilterModel::hasChildren(const QModelIndex&) const
    {65, 747, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 19},	//1190 Akonadi::EntityMimeTypeFilterModel::canFetchMore(const QModelIndex&) const
    {65, 1129, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 20},	//1191 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {65, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 21},	//1192 Akonadi::EntityMimeTypeFilterModel::columnCount(const QModelIndex&) const
    {65, 969, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 22},	//1193 Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow(int, const QModelIndex&) const
    {65, 967, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 23},	//1194 Akonadi::EntityMimeTypeFilterModel::filterAcceptsColumn(int, const QModelIndex&) const
    {65, 1631, 21, 1, Smoke::mf_static, 277, 24},	//1195 Akonadi::EntityMimeTypeFilterModel::tr(const char*)
    {65, 1635, 21, 1, Smoke::mf_static, 277, 25},	//1196 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*)
    {65, 247, 0, 0, Smoke::mf_ctor, 100, 26},	//1197 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel()
    {65, 992, 112, 2, Smoke::mf_const, 287, 27},	//1198 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation) const
    {65, 987, 0, 0, Smoke::mf_const, 388, 28},	//1199 Akonadi::EntityMimeTypeFilterModel::hasChildren() const
    {65, 1129, 390, 3, Smoke::mf_const, 256, 29},	//1200 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&) const
    {65, 1129, 394, 4, Smoke::mf_const, 256, 30},	//1201 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int) const
    {65, 817, 0, 0, Smoke::mf_const, 476, 31},	//1202 Akonadi::EntityMimeTypeFilterModel::columnCount() const
    {65, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 32},	//1203 Akonadi::EntityMimeTypeFilterModel::staticMetaObject() const
    {65, 1741, 0, 0, Smoke::mf_dtor, 0, 33 },	//1204 Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel()
    {67, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1205 Akonadi::EntityTreeModel::metaObject() const
    {67, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1206 Akonadi::EntityTreeModel::qt_metacast(const char*)
    {67, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1207 Akonadi::EntityTreeModel::tr(const char*, const char*)
    {67, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1208 Akonadi::EntityTreeModel::trUtf8(const char*, const char*)
    {67, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1209 Akonadi::EntityTreeModel::tr(const char*, const char*, int)
    {67, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1210 Akonadi::EntityTreeModel::trUtf8(const char*, const char*, int)
    {67, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1211 Akonadi::EntityTreeModel::qt_metacall(QMetaObject::Call, int, void**)
    {67, 250, 399, 2, Smoke::mf_ctor, 102, 8},	//1212 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    {67, 1533, 45, 1, 0, 0, 9},	//1213 Akonadi::EntityTreeModel::setShowSystemEntities(bool)
    {67, 1624, 0, 0, Smoke::mf_const, 388, 10},	//1214 Akonadi::EntityTreeModel::systemEntitiesShown() const
    {67, 1011, 0, 0, Smoke::mf_const, 388, 11},	//1215 Akonadi::EntityTreeModel::includeUnsubscribed() const
    {67, 1428, 45, 1, 0, 0, 12},	//1216 Akonadi::EntityTreeModel::setIncludeUnsubscribed(bool)
    {67, 1446, 402, 1, 0, 0, 13},	//1217 Akonadi::EntityTreeModel::setItemPopulationStrategy(Akonadi::EntityTreeModel::ItemPopulationStrategy)
    {67, 1088, 0, 0, Smoke::mf_const, 106, 14},	//1218 Akonadi::EntityTreeModel::itemPopulationStrategy() const
    {67, 1424, 45, 1, 0, 0, 15},	//1219 Akonadi::EntityTreeModel::setIncludeRootCollection(bool)
    {67, 1008, 0, 0, Smoke::mf_const, 388, 16},	//1220 Akonadi::EntityTreeModel::includeRootCollection() const
    {67, 1524, 8, 1, 0, 0, 17},	//1221 Akonadi::EntityTreeModel::setRootCollectionDisplayName(const QString&)
    {67, 1248, 0, 0, Smoke::mf_const, 277, 18},	//1222 Akonadi::EntityTreeModel::rootCollectionDisplayName() const
    {67, 1323, 404, 1, 0, 0, 19},	//1223 Akonadi::EntityTreeModel::setCollectionFetchStrategy(Akonadi::EntityTreeModel::CollectionFetchStrategy)
    {67, 788, 0, 0, Smoke::mf_const, 103, 20},	//1224 Akonadi::EntityTreeModel::collectionFetchStrategy() const
    {67, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 21},	//1225 Akonadi::EntityTreeModel::columnCount(const QModelIndex&) const
    {67, 1249, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 22},	//1226 Akonadi::EntityTreeModel::rowCount(const QModelIndex&) const
    {67, 870, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 23},	//1227 Akonadi::EntityTreeModel::data(const QModelIndex&, int) const
    {67, 992, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 24},	//1228 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation, int) const
    {67, 973, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 25},	//1229 Akonadi::EntityTreeModel::flags(const QModelIndex&) const
    {67, 1145, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 26},	//1230 Akonadi::EntityTreeModel::mimeTypes() const
    {67, 1612, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 27},	//1231 Akonadi::EntityTreeModel::supportedDropActions() const
    {67, 1136, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 28},	//1232 Akonadi::EntityTreeModel::mimeData(const QList<QModelIndex>&) const
    {67, 915, 225, 5, Smoke::mf_virtual, 388, 29},	//1233 Akonadi::EntityTreeModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {67, 1368, 108, 3, Smoke::mf_virtual, 388, 30},	//1234 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&, int)
    {67, 1014, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 31},	//1235 Akonadi::EntityTreeModel::index(int, int, const QModelIndex&) const
    {67, 1179, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 32},	//1236 Akonadi::EntityTreeModel::parent(const QModelIndex&) const
    {67, 747, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 33},	//1237 Akonadi::EntityTreeModel::canFetchMore(const QModelIndex&) const
    {67, 961, 95, 1, Smoke::mf_virtual, 0, 34},	//1238 Akonadi::EntityTreeModel::fetchMore(const QModelIndex&)
    {67, 987, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 35},	//1239 Akonadi::EntityTreeModel::hasChildren(const QModelIndex&) const
    {67, 1129, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 36},	//1240 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {67, 1148, 406, 2, Smoke::mf_static, 261, 37},	//1241 Akonadi::EntityTreeModel::modelIndexForCollection(const QAbstractItemModel*, const Akonadi::Collection&)
    {67, 1150, 409, 2, Smoke::mf_static, 256, 38},	//1242 Akonadi::EntityTreeModel::modelIndexesForItem(const QAbstractItemModel*, const Akonadi::Item&)
    {67, 789, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1243 Akonadi::EntityTreeModel::collectionFetched(int)
    {67, 766, 0, 0, Smoke::mf_protected, 0, 40},	//1244 Akonadi::EntityTreeModel::clearAndReset()
    {67, 931, 412, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 41},	//1245 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    {67, 931, 416, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 42},	//1246 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    {67, 934, 420, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 43},	//1247 Akonadi::EntityTreeModel::entityHeaderData(int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 929, 382, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 44},	//1248 Akonadi::EntityTreeModel::entityColumnCount(Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 936, 425, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 45},	//1249 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 936, 429, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 46},	//1250 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 869, 0, 0, Smoke::mf_protected, 108, 47},	//1251 Akonadi::EntityTreeModel::d_func()
    {67, 869, 0, 0, Smoke::mf_const|Smoke::mf_protected, 412, 48},	//1252 Akonadi::EntityTreeModel::d_func() const
    {67, 250, 433, 3, Smoke::mf_ctor|Smoke::mf_protected, 102, 49},	//1253 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*)
    {67, 1631, 21, 1, Smoke::mf_static, 277, 50},	//1254 Akonadi::EntityTreeModel::tr(const char*)
    {67, 1635, 21, 1, Smoke::mf_static, 277, 51},	//1255 Akonadi::EntityTreeModel::trUtf8(const char*)
    {67, 250, 437, 1, Smoke::mf_ctor, 102, 52},	//1256 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*)
    {67, 817, 0, 0, Smoke::mf_const, 476, 53},	//1257 Akonadi::EntityTreeModel::columnCount() const
    {67, 1249, 0, 0, Smoke::mf_const, 476, 54},	//1258 Akonadi::EntityTreeModel::rowCount() const
    {67, 870, 95, 1, Smoke::mf_const, 287, 55},	//1259 Akonadi::EntityTreeModel::data(const QModelIndex&) const
    {67, 992, 112, 2, Smoke::mf_const, 287, 56},	//1260 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation) const
    {67, 1368, 240, 2, 0, 388, 57},	//1261 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&)
    {67, 1014, 115, 2, Smoke::mf_const, 261, 58},	//1262 Akonadi::EntityTreeModel::index(int, int) const
    {67, 987, 0, 0, Smoke::mf_const, 388, 59},	//1263 Akonadi::EntityTreeModel::hasChildren() const
    {67, 1129, 390, 3, Smoke::mf_const, 256, 60},	//1264 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&) const
    {67, 1129, 394, 4, Smoke::mf_const, 256, 61},	//1265 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int) const
    {67, 931, 439, 2, Smoke::mf_const|Smoke::mf_protected, 287, 62},	//1266 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    {67, 931, 442, 2, Smoke::mf_const|Smoke::mf_protected, 287, 63},	//1267 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    {67, 250, 445, 2, Smoke::mf_ctor|Smoke::mf_protected, 102, 64},	//1268 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    {67, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 65},	//1269 Akonadi::EntityTreeModel::staticMetaObject() const
    {67, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 66},	//1270 Akonadi::EntityTreeModel::ItemIdRole (enum)
    {67, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 67},	//1271 Akonadi::EntityTreeModel::ItemRole (enum)
    {67, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 68},	//1272 Akonadi::EntityTreeModel::MimeTypeRole (enum)
    {67, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 69},	//1273 Akonadi::EntityTreeModel::CollectionIdRole (enum)
    {67, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 70},	//1274 Akonadi::EntityTreeModel::CollectionRole (enum)
    {67, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 71},	//1275 Akonadi::EntityTreeModel::RemoteIdRole (enum)
    {67, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 72},	//1276 Akonadi::EntityTreeModel::CollectionChildOrderRole (enum)
    {67, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 73},	//1277 Akonadi::EntityTreeModel::AmazingCompletionRole (enum)
    {67, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 74},	//1278 Akonadi::EntityTreeModel::ParentCollectionRole (enum)
    {67, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 75},	//1279 Akonadi::EntityTreeModel::ColumnCountRole (enum)
    {67, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 76},	//1280 Akonadi::EntityTreeModel::LoadedPartsRole (enum)
    {67, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 77},	//1281 Akonadi::EntityTreeModel::AvailablePartsRole (enum)
    {67, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 78},	//1282 Akonadi::EntityTreeModel::SessionRole (enum)
    {67, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 79},	//1283 Akonadi::EntityTreeModel::CollectionRefRole (enum)
    {67, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 80},	//1284 Akonadi::EntityTreeModel::CollectionDerefRole (enum)
    {67, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 81},	//1285 Akonadi::EntityTreeModel::PendingCutRole (enum)
    {67, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 82},	//1286 Akonadi::EntityTreeModel::EntityUrlRole (enum)
    {67, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 83},	//1287 Akonadi::EntityTreeModel::UnreadCountRole (enum)
    {67, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 84},	//1288 Akonadi::EntityTreeModel::FetchStateRole (enum)
    {67, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 85},	//1289 Akonadi::EntityTreeModel::CollectionSyncProgressRole (enum)
    {67, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 86},	//1290 Akonadi::EntityTreeModel::UserRole (enum)
    {67, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 87},	//1291 Akonadi::EntityTreeModel::TerminalUserRole (enum)
    {67, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 88},	//1292 Akonadi::EntityTreeModel::EndRole (enum)
    {67, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 89},	//1293 Akonadi::EntityTreeModel::IdleState (enum)
    {67, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 90},	//1294 Akonadi::EntityTreeModel::FetchingState (enum)
    {67, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 91},	//1295 Akonadi::EntityTreeModel::EntityTreeHeaders (enum)
    {67, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 92},	//1296 Akonadi::EntityTreeModel::CollectionTreeHeaders (enum)
    {67, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 93},	//1297 Akonadi::EntityTreeModel::ItemListHeaders (enum)
    {67, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 94},	//1298 Akonadi::EntityTreeModel::UserHeaders (enum)
    {67, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 95},	//1299 Akonadi::EntityTreeModel::EndHeaderGroup (enum)
    {67, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 96},	//1300 Akonadi::EntityTreeModel::NoItemPopulation (enum)
    {67, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 97},	//1301 Akonadi::EntityTreeModel::ImmediatePopulation (enum)
    {67, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 98},	//1302 Akonadi::EntityTreeModel::LazyPopulation (enum)
    {67, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 99},	//1303 Akonadi::EntityTreeModel::FetchNoCollections (enum)
    {67, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 100},	//1304 Akonadi::EntityTreeModel::FetchFirstLevelChildCollections (enum)
    {67, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 101},	//1305 Akonadi::EntityTreeModel::FetchCollectionsRecursive (enum)
    {67, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 102},	//1306 Akonadi::EntityTreeModel::InvisibleCollectionFetch (enum)
    {67, 1742, 0, 0, Smoke::mf_dtor, 0, 103 },	//1307 Akonadi::EntityTreeModel::~EntityTreeModel()
    {69, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1308 Akonadi::EntityTreeView::metaObject() const
    {69, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1309 Akonadi::EntityTreeView::qt_metacast(const char*)
    {69, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1310 Akonadi::EntityTreeView::tr(const char*, const char*)
    {69, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1311 Akonadi::EntityTreeView::trUtf8(const char*, const char*)
    {69, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1312 Akonadi::EntityTreeView::tr(const char*, const char*, int)
    {69, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1313 Akonadi::EntityTreeView::trUtf8(const char*, const char*, int)
    {69, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1314 Akonadi::EntityTreeView::qt_metacall(QMetaObject::Call, int, void**)
    {69, 254, 85, 1, Smoke::mf_ctor, 109, 8},	//1315 Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    {69, 254, 282, 2, Smoke::mf_ctor, 109, 9},	//1316 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*, QWidget*)
    {69, 1564, 287, 1, 0, 0, 10},	//1317 Akonadi::EntityTreeView::setXmlGuiClient(KXMLGUIClient*)
    {69, 1472, 159, 1, Smoke::mf_virtual, 0, 11},	//1318 Akonadi::EntityTreeView::setModel(QAbstractItemModel*)
    {69, 1381, 45, 1, 0, 0, 12},	//1319 Akonadi::EntityTreeView::setDropActionMenuEnabled(bool)
    {69, 1053, 0, 0, Smoke::mf_const, 388, 13},	//1320 Akonadi::EntityTreeView::isDropActionMenuEnabled() const
    {69, 1057, 0, 0, Smoke::mf_const, 388, 14},	//1321 Akonadi::EntityTreeView::isManualSortingActive() const
    {69, 1461, 45, 1, 0, 0, 15},	//1322 Akonadi::EntityTreeView::setManualSortingActive(bool)
    {69, 1375, 8, 1, 0, 0, 16},	//1323 Akonadi::EntityTreeView::setDefaultPopupMenu(const QString&)
    {69, 774, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1324 Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    {69, 774, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1325 Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    {69, 904, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1326 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    {69, 904, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//1327 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    {69, 862, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1328 Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    {69, 862, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1329 Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    {69, 862, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1330 Akonadi::EntityTreeView::currentChanged(const QModelIndex&, const QModelIndex&)
    {69, 1591, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1331 Akonadi::EntityTreeView::startDrag(QFlags<Qt::DropAction>)
    {69, 909, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1332 Akonadi::EntityTreeView::dragMoveEvent(QDragMoveEvent*)
    {69, 913, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1333 Akonadi::EntityTreeView::dropEvent(QDropEvent*)
    {69, 1627, 448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1334 Akonadi::EntityTreeView::timerEvent(QTimerEvent*)
    {69, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1335 Akonadi::EntityTreeView::contextMenuEvent(QContextMenuEvent*)
    {69, 1631, 21, 1, Smoke::mf_static, 277, 29},	//1336 Akonadi::EntityTreeView::tr(const char*)
    {69, 1635, 21, 1, Smoke::mf_static, 277, 30},	//1337 Akonadi::EntityTreeView::trUtf8(const char*)
    {69, 254, 0, 0, Smoke::mf_ctor, 109, 31},	//1338 Akonadi::EntityTreeView::EntityTreeView()
    {69, 254, 287, 1, Smoke::mf_ctor, 109, 32},	//1339 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    {69, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 33},	//1340 Akonadi::EntityTreeView::staticMetaObject() const
    {69, 1743, 0, 0, Smoke::mf_dtor, 0, 34 },	//1341 Akonadi::EntityTreeView::~EntityTreeView()
    {70, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1342 Akonadi::EntityTreeViewStateSaver::metaObject() const
    {70, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1343 Akonadi::EntityTreeViewStateSaver::qt_metacast(const char*)
    {70, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1344 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*)
    {70, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1345 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*)
    {70, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1346 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*, int)
    {70, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1347 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*, int)
    {70, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1348 Akonadi::EntityTreeViewStateSaver::qt_metacall(QMetaObject::Call, int, void**)
    {70, 257, 270, 1, Smoke::mf_ctor, 110, 8},	//1349 Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver(QTreeView*)
    {70, 1257, 450, 1, Smoke::mf_const, 0, 9},	//1350 Akonadi::EntityTreeViewStateSaver::saveState(KConfigGroup&) const
    {70, 1234, 452, 1, Smoke::mf_const, 0, 10},	//1351 Akonadi::EntityTreeViewStateSaver::restoreState(const KConfigGroup&) const
    {70, 1631, 21, 1, Smoke::mf_static, 277, 11},	//1352 Akonadi::EntityTreeViewStateSaver::tr(const char*)
    {70, 1635, 21, 1, Smoke::mf_static, 277, 12},	//1353 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*)
    {70, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//1354 Akonadi::EntityTreeViewStateSaver::staticMetaObject() const
    {70, 1744, 0, 0, Smoke::mf_dtor, 0, 14 },	//1355 Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver()
    {71, 264, 21, 1, Smoke::mf_ctor, 111, 1},	//1356 Akonadi::Exception::Exception(const char*)
    {71, 264, 6, 1, Smoke::mf_ctor, 111, 2},	//1357 Akonadi::Exception::Exception(const QByteArray&)
    {71, 264, 8, 1, Smoke::mf_ctor, 111, 3},	//1358 Akonadi::Exception::Exception(const QString&)
    {71, 264, 454, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 111, 4},	//1359 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {71, 1676, 0, 0, Smoke::mf_const, 472, 5},	//1360 Akonadi::Exception::what() const
    {71, 1639, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 6},	//1361 Akonadi::Exception::type() const
    {71, 1745, 0, 0, Smoke::mf_dtor, 0, 7 },	//1362 Akonadi::Exception::~Exception()
    {72, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1363 Akonadi::FavoriteCollectionsModel::metaObject() const
    {72, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1364 Akonadi::FavoriteCollectionsModel::qt_metacast(const char*)
    {72, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1365 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*)
    {72, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1366 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*)
    {72, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1367 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*, int)
    {72, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1368 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*, int)
    {72, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1369 Akonadi::FavoriteCollectionsModel::qt_metacall(QMetaObject::Call, int, void**)
    {72, 269, 456, 3, Smoke::mf_ctor, 112, 8},	//1370 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&, QObject*)
    {72, 808, 0, 0, Smoke::mf_const, 251, 9},	//1371 Akonadi::FavoriteCollectionsModel::collections() const
    {72, 793, 0, 0, Smoke::mf_const, 250, 10},	//1372 Akonadi::FavoriteCollectionsModel::collectionIds() const
    {72, 945, 61, 1, 0, 277, 11},	//1373 Akonadi::FavoriteCollectionsModel::favoriteLabel(const Akonadi::Collection&)
    {72, 870, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//1374 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&, int) const
    {72, 1368, 108, 3, Smoke::mf_virtual, 388, 13},	//1375 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&, int)
    {72, 992, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 14},	//1376 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation, int) const
    {72, 915, 225, 5, Smoke::mf_virtual, 388, 15},	//1377 Akonadi::FavoriteCollectionsModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {72, 1145, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 16},	//1378 Akonadi::FavoriteCollectionsModel::mimeTypes() const
    {72, 973, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 17},	//1379 Akonadi::FavoriteCollectionsModel::flags(const QModelIndex&) const
    {72, 1338, 199, 1, Smoke::mf_slot, 0, 18},	//1380 Akonadi::FavoriteCollectionsModel::setCollections(const Akonadi::Collection::List&)
    {72, 697, 61, 1, Smoke::mf_slot, 0, 19},	//1381 Akonadi::FavoriteCollectionsModel::addCollection(const Akonadi::Collection&)
    {72, 1215, 61, 1, Smoke::mf_slot, 0, 20},	//1382 Akonadi::FavoriteCollectionsModel::removeCollection(const Akonadi::Collection&)
    {72, 1390, 460, 2, Smoke::mf_slot, 0, 21},	//1383 Akonadi::FavoriteCollectionsModel::setFavoriteLabel(const Akonadi::Collection&, const QString&)
    {72, 1631, 21, 1, Smoke::mf_static, 277, 22},	//1384 Akonadi::FavoriteCollectionsModel::tr(const char*)
    {72, 1635, 21, 1, Smoke::mf_static, 277, 23},	//1385 Akonadi::FavoriteCollectionsModel::trUtf8(const char*)
    {72, 269, 463, 2, Smoke::mf_ctor, 112, 24},	//1386 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&)
    {72, 870, 95, 1, Smoke::mf_const, 287, 25},	//1387 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&) const
    {72, 1368, 240, 2, 0, 388, 26},	//1388 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&)
    {72, 992, 112, 2, Smoke::mf_const, 287, 27},	//1389 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation) const
    {72, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 28},	//1390 Akonadi::FavoriteCollectionsModel::staticMetaObject() const
    {72, 1746, 0, 0, Smoke::mf_dtor, 0, 29 },	//1391 Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel()
    {73, 305, 0, 0, Smoke::mf_ctor, 115, 1},	//1392 Akonadi::Item::Item()
    {73, 305, 146, 1, Smoke::mf_ctor, 115, 2},	//1393 Akonadi::Item::Item(long long)
    {73, 305, 8, 1, Smoke::mf_ctor, 115, 3},	//1394 Akonadi::Item::Item(const QString&)
    {73, 305, 56, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 115, 4},	//1395 Akonadi::Item::Item(const Akonadi::Item&)
    {73, 980, 148, 1, Smoke::mf_static, 113, 5},	//1396 Akonadi::Item::fromUrl(const KUrl&)
    {73, 973, 0, 0, Smoke::mf_const, 273, 6},	//1397 Akonadi::Item::flags() const
    {73, 1152, 0, 0, Smoke::mf_const, 222, 7},	//1398 Akonadi::Item::modificationTime() const
    {73, 1475, 466, 1, 0, 0, 8},	//1399 Akonadi::Item::setModificationTime(const QDateTime&)
    {73, 989, 6, 1, Smoke::mf_const, 388, 9},	//1400 Akonadi::Item::hasFlag(const QByteArray&) const
    {73, 1398, 6, 1, 0, 0, 10},	//1401 Akonadi::Item::setFlag(const QByteArray&)
    {73, 770, 6, 1, 0, 0, 11},	//1402 Akonadi::Item::clearFlag(const QByteArray&)
    {73, 1400, 468, 1, 0, 0, 12},	//1403 Akonadi::Item::setFlags(const QSet<QByteArray>&)
    {73, 772, 0, 0, 0, 0, 13},	//1404 Akonadi::Item::clearFlags()
    {73, 1494, 6, 1, 0, 0, 14},	//1405 Akonadi::Item::setPayloadFromData(const QByteArray&)
    {73, 1186, 0, 0, Smoke::mf_const, 215, 15},	//1406 Akonadi::Item::payloadData() const
    {73, 1120, 0, 0, Smoke::mf_const, 273, 16},	//1407 Akonadi::Item::loadedPayloadParts() const
    {73, 773, 0, 0, 0, 0, 17},	//1408 Akonadi::Item::clearPayload()
    {73, 1520, 41, 1, 0, 0, 18},	//1409 Akonadi::Item::setRevision(int)
    {73, 1244, 0, 0, Smoke::mf_const, 476, 19},	//1410 Akonadi::Item::revision() const
    {73, 1606, 0, 0, Smoke::mf_const, 479, 20},	//1411 Akonadi::Item::storageCollectionId() const
    {73, 1535, 146, 1, 0, 0, 21},	//1412 Akonadi::Item::setSize(long long)
    {73, 1576, 0, 0, Smoke::mf_const, 479, 22},	//1413 Akonadi::Item::size() const
    {73, 1465, 8, 1, 0, 0, 23},	//1414 Akonadi::Item::setMimeType(const QString&)
    {73, 1138, 0, 0, Smoke::mf_const, 277, 24},	//1415 Akonadi::Item::mimeType() const
    {73, 739, 0, 0, Smoke::mf_const, 290, 25},	//1416 Akonadi::Item::availablePayloadMetaTypeIds() const
    {73, 991, 0, 0, Smoke::mf_const, 388, 26},	//1417 Akonadi::Item::hasPayload() const
    {73, 1657, 470, 1, Smoke::mf_const, 203, 27},	//1418 Akonadi::Item::url(Akonadi::Item::UrlType) const
    {73, 740, 0, 0, Smoke::mf_const, 273, 28},	//1419 Akonadi::Item::availablePayloadParts() const
    {73, 729, 56, 1, 0, 0, 29},	//1420 Akonadi::Item::apply(const Akonadi::Item&)
    {73, 1657, 0, 0, Smoke::mf_const, 203, 30},	//1421 Akonadi::Item::url() const
    {73, 281, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 472, 31},	//1422 Akonadi::Item::FullPayload() const
    {73, 1404, 21, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 32},	//1423 Akonadi::Item::setFullPayload(const char*)
    {73, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 33},	//1424 Akonadi::Item::UrlShort (enum)
    {73, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 34},	//1425 Akonadi::Item::UrlWithMimeType (enum)
    {73, 1747, 0, 0, Smoke::mf_dtor, 0, 35 },	//1426 Akonadi::Item::~Item()
    {74, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1427 Akonadi::ItemCopyJob::metaObject() const
    {74, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1428 Akonadi::ItemCopyJob::qt_metacast(const char*)
    {74, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1429 Akonadi::ItemCopyJob::tr(const char*, const char*)
    {74, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1430 Akonadi::ItemCopyJob::trUtf8(const char*, const char*)
    {74, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1431 Akonadi::ItemCopyJob::tr(const char*, const char*, int)
    {74, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1432 Akonadi::ItemCopyJob::trUtf8(const char*, const char*, int)
    {74, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1433 Akonadi::ItemCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {74, 308, 472, 3, Smoke::mf_ctor, 118, 8},	//1434 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {74, 308, 476, 3, Smoke::mf_ctor, 118, 9},	//1435 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {74, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1436 Akonadi::ItemCopyJob::doStart()
    {74, 1631, 21, 1, Smoke::mf_static, 277, 11},	//1437 Akonadi::ItemCopyJob::tr(const char*)
    {74, 1635, 21, 1, Smoke::mf_static, 277, 12},	//1438 Akonadi::ItemCopyJob::trUtf8(const char*)
    {74, 308, 50, 2, Smoke::mf_ctor, 118, 13},	//1439 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&)
    {74, 308, 480, 2, Smoke::mf_ctor, 118, 14},	//1440 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {74, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1441 Akonadi::ItemCopyJob::staticMetaObject() const
    {74, 1748, 0, 0, Smoke::mf_dtor, 0, 16 },	//1442 Akonadi::ItemCopyJob::~ItemCopyJob()
    {75, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1443 Akonadi::ItemCreateJob::metaObject() const
    {75, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1444 Akonadi::ItemCreateJob::qt_metacast(const char*)
    {75, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1445 Akonadi::ItemCreateJob::tr(const char*, const char*)
    {75, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1446 Akonadi::ItemCreateJob::trUtf8(const char*, const char*)
    {75, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1447 Akonadi::ItemCreateJob::tr(const char*, const char*, int)
    {75, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1448 Akonadi::ItemCreateJob::trUtf8(const char*, const char*, int)
    {75, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1449 Akonadi::ItemCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {75, 313, 472, 3, Smoke::mf_ctor, 119, 8},	//1450 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {75, 1072, 0, 0, Smoke::mf_const, 113, 9},	//1451 Akonadi::ItemCreateJob::item() const
    {75, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1452 Akonadi::ItemCreateJob::doStart()
    {75, 893, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1453 Akonadi::ItemCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {75, 1631, 21, 1, Smoke::mf_static, 277, 12},	//1454 Akonadi::ItemCreateJob::tr(const char*)
    {75, 1635, 21, 1, Smoke::mf_static, 277, 13},	//1455 Akonadi::ItemCreateJob::trUtf8(const char*)
    {75, 313, 50, 2, Smoke::mf_ctor, 119, 14},	//1456 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&)
    {75, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1457 Akonadi::ItemCreateJob::staticMetaObject() const
    {75, 1749, 0, 0, Smoke::mf_dtor, 0, 16 },	//1458 Akonadi::ItemCreateJob::~ItemCreateJob()
    {76, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1459 Akonadi::ItemDeleteJob::metaObject() const
    {76, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1460 Akonadi::ItemDeleteJob::qt_metacast(const char*)
    {76, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1461 Akonadi::ItemDeleteJob::tr(const char*, const char*)
    {76, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1462 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*)
    {76, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1463 Akonadi::ItemDeleteJob::tr(const char*, const char*, int)
    {76, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1464 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*, int)
    {76, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1465 Akonadi::ItemDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {76, 316, 483, 2, Smoke::mf_ctor, 120, 8},	//1466 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    {76, 316, 486, 2, Smoke::mf_ctor, 120, 9},	//1467 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&, QObject*)
    {76, 316, 165, 2, Smoke::mf_ctor, 120, 10},	//1468 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    {76, 878, 0, 0, Smoke::mf_const, 253, 11},	//1469 Akonadi::ItemDeleteJob::deletedItems() const
    {76, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1470 Akonadi::ItemDeleteJob::doStart()
    {76, 1631, 21, 1, Smoke::mf_static, 277, 13},	//1471 Akonadi::ItemDeleteJob::tr(const char*)
    {76, 1635, 21, 1, Smoke::mf_static, 277, 14},	//1472 Akonadi::ItemDeleteJob::trUtf8(const char*)
    {76, 316, 56, 1, Smoke::mf_ctor, 120, 15},	//1473 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    {76, 316, 489, 1, Smoke::mf_ctor, 120, 16},	//1474 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&)
    {76, 316, 61, 1, Smoke::mf_ctor, 120, 17},	//1475 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    {76, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//1476 Akonadi::ItemDeleteJob::staticMetaObject() const
    {76, 1750, 0, 0, Smoke::mf_dtor, 0, 19 },	//1477 Akonadi::ItemDeleteJob::~ItemDeleteJob()
    {77, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1478 Akonadi::ItemFetchJob::metaObject() const
    {77, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1479 Akonadi::ItemFetchJob::qt_metacast(const char*)
    {77, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1480 Akonadi::ItemFetchJob::tr(const char*, const char*)
    {77, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1481 Akonadi::ItemFetchJob::trUtf8(const char*, const char*)
    {77, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1482 Akonadi::ItemFetchJob::tr(const char*, const char*, int)
    {77, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1483 Akonadi::ItemFetchJob::trUtf8(const char*, const char*, int)
    {77, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1484 Akonadi::ItemFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {77, 321, 165, 2, Smoke::mf_ctor, 121, 8},	//1485 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    {77, 321, 483, 2, Smoke::mf_ctor, 121, 9},	//1486 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    {77, 321, 486, 2, Smoke::mf_ctor, 121, 10},	//1487 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&, QObject*)
    {77, 321, 491, 2, Smoke::mf_ctor, 121, 11},	//1488 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&, QObject*)
    {77, 1098, 0, 0, Smoke::mf_const, 253, 12},	//1489 Akonadi::ItemFetchJob::items() const
    {77, 1396, 494, 1, 0, 0, 13},	//1490 Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    {77, 1396, 496, 1, 0, 0, 14},	//1491 Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {77, 966, 0, 0, 0, 122, 15},	//1492 Akonadi::ItemFetchJob::fetchScope()
    {77, 1319, 61, 1, 0, 0, 16},	//1493 Akonadi::ItemFetchJob::setCollection(const Akonadi::Collection&)
    {77, 1101, 498, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1494 Akonadi::ItemFetchJob::itemsReceived(const Akonadi::Item::List&)
    {77, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1495 Akonadi::ItemFetchJob::doStart()
    {77, 893, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1496 Akonadi::ItemFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {77, 1631, 21, 1, Smoke::mf_static, 277, 20},	//1497 Akonadi::ItemFetchJob::tr(const char*)
    {77, 1635, 21, 1, Smoke::mf_static, 277, 21},	//1498 Akonadi::ItemFetchJob::trUtf8(const char*)
    {77, 321, 61, 1, Smoke::mf_ctor, 121, 22},	//1499 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    {77, 321, 56, 1, Smoke::mf_ctor, 121, 23},	//1500 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    {77, 321, 489, 1, Smoke::mf_ctor, 121, 24},	//1501 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&)
    {77, 321, 500, 1, Smoke::mf_ctor, 121, 25},	//1502 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&)
    {77, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 26},	//1503 Akonadi::ItemFetchJob::staticMetaObject() const
    {77, 1751, 0, 0, Smoke::mf_dtor, 0, 27 },	//1504 Akonadi::ItemFetchJob::~ItemFetchJob()
    {78, 326, 0, 0, Smoke::mf_ctor, 123, 1},	//1505 Akonadi::ItemFetchScope::ItemFetchScope()
    {78, 326, 496, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 2},	//1506 Akonadi::ItemFetchScope::ItemFetchScope(const Akonadi::ItemFetchScope&)
    {78, 1169, 496, 1, 0, 122, 3},	//1507 Akonadi::ItemFetchScope::operator=(const Akonadi::ItemFetchScope&)
    {78, 1187, 0, 0, Smoke::mf_const, 273, 4},	//1508 Akonadi::ItemFetchScope::payloadParts() const
    {78, 963, 502, 2, 0, 0, 5},	//1509 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&, bool)
    {78, 982, 0, 0, Smoke::mf_const, 388, 6},	//1510 Akonadi::ItemFetchScope::fullPayload() const
    {78, 958, 45, 1, 0, 0, 7},	//1511 Akonadi::ItemFetchScope::fetchFullPayload(bool)
    {78, 734, 0, 0, Smoke::mf_const, 273, 8},	//1512 Akonadi::ItemFetchScope::attributes() const
    {78, 949, 502, 2, 0, 0, 9},	//1513 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&, bool)
    {78, 725, 0, 0, Smoke::mf_const, 388, 10},	//1514 Akonadi::ItemFetchScope::allAttributes() const
    {78, 947, 45, 1, 0, 0, 11},	//1515 Akonadi::ItemFetchScope::fetchAllAttributes(bool)
    {78, 744, 0, 0, Smoke::mf_const, 388, 12},	//1516 Akonadi::ItemFetchScope::cacheOnly() const
    {78, 1306, 45, 1, 0, 0, 13},	//1517 Akonadi::ItemFetchScope::setCacheOnly(bool)
    {78, 1295, 505, 1, 0, 0, 14},	//1518 Akonadi::ItemFetchScope::setAncestorRetrieval(Akonadi::ItemFetchScope::AncestorRetrieval)
    {78, 728, 0, 0, Smoke::mf_const, 124, 15},	//1519 Akonadi::ItemFetchScope::ancestorRetrieval() const
    {78, 1394, 45, 1, 0, 0, 16},	//1520 Akonadi::ItemFetchScope::setFetchModificationTime(bool)
    {78, 960, 0, 0, Smoke::mf_const, 388, 17},	//1521 Akonadi::ItemFetchScope::fetchModificationTime() const
    {78, 1054, 0, 0, Smoke::mf_const, 388, 18},	//1522 Akonadi::ItemFetchScope::isEmpty() const
    {78, 963, 6, 1, 0, 0, 19},	//1523 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&)
    {78, 958, 0, 0, 0, 0, 20},	//1524 Akonadi::ItemFetchScope::fetchFullPayload()
    {78, 949, 6, 1, 0, 0, 21},	//1525 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&)
    {78, 947, 0, 0, 0, 0, 22},	//1526 Akonadi::ItemFetchScope::fetchAllAttributes()
    {78, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 23},	//1527 Akonadi::ItemFetchScope::None (enum)
    {78, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 24},	//1528 Akonadi::ItemFetchScope::Parent (enum)
    {78, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 25},	//1529 Akonadi::ItemFetchScope::All (enum)
    {78, 1752, 0, 0, Smoke::mf_dtor, 0, 26 },	//1530 Akonadi::ItemFetchScope::~ItemFetchScope()
    {79, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1531 Akonadi::ItemModel::metaObject() const
    {79, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1532 Akonadi::ItemModel::qt_metacast(const char*)
    {79, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1533 Akonadi::ItemModel::tr(const char*, const char*)
    {79, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1534 Akonadi::ItemModel::trUtf8(const char*, const char*)
    {79, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1535 Akonadi::ItemModel::tr(const char*, const char*, int)
    {79, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1536 Akonadi::ItemModel::trUtf8(const char*, const char*, int)
    {79, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1537 Akonadi::ItemModel::qt_metacall(QMetaObject::Call, int, void**)
    {79, 330, 78, 1, Smoke::mf_ctor, 125, 8},	//1538 Akonadi::ItemModel::ItemModel(QObject*)
    {79, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 9},	//1539 Akonadi::ItemModel::columnCount(const QModelIndex&) const
    {79, 870, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 10},	//1540 Akonadi::ItemModel::data(const QModelIndex&, int) const
    {79, 1249, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 11},	//1541 Akonadi::ItemModel::rowCount(const QModelIndex&) const
    {79, 992, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//1542 Akonadi::ItemModel::headerData(int, Qt::Orientation, int) const
    {79, 973, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 13},	//1543 Akonadi::ItemModel::flags(const QModelIndex&) const
    {79, 1136, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 14},	//1544 Akonadi::ItemModel::mimeData(const QList<QModelIndex>&) const
    {79, 1145, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 15},	//1545 Akonadi::ItemModel::mimeTypes() const
    {79, 1612, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 16},	//1546 Akonadi::ItemModel::supportedDropActions() const
    {79, 1396, 496, 1, 0, 0, 17},	//1547 Akonadi::ItemModel::setFetchScope(const Akonadi::ItemFetchScope&)
    {79, 966, 0, 0, 0, 122, 18},	//1548 Akonadi::ItemModel::fetchScope()
    {79, 1080, 95, 1, Smoke::mf_const, 113, 19},	//1549 Akonadi::ItemModel::itemForIndex(const QModelIndex&) const
    {79, 1018, 507, 2, Smoke::mf_const, 261, 20},	//1550 Akonadi::ItemModel::indexForItem(const Akonadi::Item&, const int) const
    {79, 915, 225, 5, Smoke::mf_virtual, 388, 21},	//1551 Akonadi::ItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {79, 779, 0, 0, Smoke::mf_const, 34, 22},	//1552 Akonadi::ItemModel::collection() const
    {79, 1319, 61, 1, Smoke::mf_slot, 0, 23},	//1553 Akonadi::ItemModel::setCollection(const Akonadi::Collection&)
    {79, 784, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1554 Akonadi::ItemModel::collectionChanged(const Akonadi::Collection&)
    {79, 1283, 0, 0, Smoke::mf_const|Smoke::mf_protected, 162, 25},	//1555 Akonadi::ItemModel::session() const
    {79, 1631, 21, 1, Smoke::mf_static, 277, 26},	//1556 Akonadi::ItemModel::tr(const char*)
    {79, 1635, 21, 1, Smoke::mf_static, 277, 27},	//1557 Akonadi::ItemModel::trUtf8(const char*)
    {79, 330, 0, 0, Smoke::mf_ctor, 125, 28},	//1558 Akonadi::ItemModel::ItemModel()
    {79, 817, 0, 0, Smoke::mf_const, 476, 29},	//1559 Akonadi::ItemModel::columnCount() const
    {79, 870, 95, 1, Smoke::mf_const, 287, 30},	//1560 Akonadi::ItemModel::data(const QModelIndex&) const
    {79, 1249, 0, 0, Smoke::mf_const, 476, 31},	//1561 Akonadi::ItemModel::rowCount() const
    {79, 992, 112, 2, Smoke::mf_const, 287, 32},	//1562 Akonadi::ItemModel::headerData(int, Qt::Orientation) const
    {79, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 33},	//1563 Akonadi::ItemModel::staticMetaObject() const
    {79, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 34},	//1564 Akonadi::ItemModel::Id (enum)
    {79, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 35},	//1565 Akonadi::ItemModel::RemoteId (enum)
    {79, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 36},	//1566 Akonadi::ItemModel::MimeType (enum)
    {79, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 37},	//1567 Akonadi::ItemModel::IdRole (enum)
    {79, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 38},	//1568 Akonadi::ItemModel::ItemRole (enum)
    {79, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 39},	//1569 Akonadi::ItemModel::MimeTypeRole (enum)
    {79, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 40},	//1570 Akonadi::ItemModel::UserRole (enum)
    {79, 1753, 0, 0, Smoke::mf_dtor, 0, 41 },	//1571 Akonadi::ItemModel::~ItemModel()
    {80, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1572 Akonadi::ItemModifyJob::metaObject() const
    {80, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1573 Akonadi::ItemModifyJob::qt_metacast(const char*)
    {80, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1574 Akonadi::ItemModifyJob::tr(const char*, const char*)
    {80, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1575 Akonadi::ItemModifyJob::trUtf8(const char*, const char*)
    {80, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1576 Akonadi::ItemModifyJob::tr(const char*, const char*, int)
    {80, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1577 Akonadi::ItemModifyJob::trUtf8(const char*, const char*, int)
    {80, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1578 Akonadi::ItemModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {80, 332, 483, 2, Smoke::mf_ctor, 128, 8},	//1579 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&, QObject*)
    {80, 332, 486, 2, Smoke::mf_ctor, 128, 9},	//1580 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&, QObject*)
    {80, 1422, 45, 1, 0, 0, 10},	//1581 Akonadi::ItemModifyJob::setIgnorePayload(bool)
    {80, 1005, 0, 0, Smoke::mf_const, 388, 11},	//1582 Akonadi::ItemModifyJob::ignorePayload() const
    {80, 889, 0, 0, 0, 0, 12},	//1583 Akonadi::ItemModifyJob::disableRevisionCheck()
    {80, 1072, 0, 0, Smoke::mf_const, 113, 13},	//1584 Akonadi::ItemModifyJob::item() const
    {80, 1098, 0, 0, Smoke::mf_const, 253, 14},	//1585 Akonadi::ItemModifyJob::items() const
    {80, 888, 0, 0, 0, 0, 15},	//1586 Akonadi::ItemModifyJob::disableAutomaticConflictHandling()
    {80, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1587 Akonadi::ItemModifyJob::doStart()
    {80, 893, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//1588 Akonadi::ItemModifyJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {80, 1631, 21, 1, Smoke::mf_static, 277, 18},	//1589 Akonadi::ItemModifyJob::tr(const char*)
    {80, 1635, 21, 1, Smoke::mf_static, 277, 19},	//1590 Akonadi::ItemModifyJob::trUtf8(const char*)
    {80, 332, 56, 1, Smoke::mf_ctor, 128, 20},	//1591 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&)
    {80, 332, 489, 1, Smoke::mf_ctor, 128, 21},	//1592 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&)
    {80, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//1593 Akonadi::ItemModifyJob::staticMetaObject() const
    {80, 1754, 0, 0, Smoke::mf_dtor, 0, 23 },	//1594 Akonadi::ItemModifyJob::~ItemModifyJob()
    {81, 337, 0, 0, Smoke::mf_ctor, 129, 1},	//1595 Akonadi::ItemMonitor::ItemMonitor()
    {81, 1438, 56, 1, 0, 0, 2},	//1596 Akonadi::ItemMonitor::setItem(const Akonadi::Item&)
    {81, 1072, 0, 0, Smoke::mf_const, 113, 3},	//1597 Akonadi::ItemMonitor::item() const
    {81, 1075, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 4},	//1598 Akonadi::ItemMonitor::itemChanged(const Akonadi::Item&)
    {81, 1089, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 5},	//1599 Akonadi::ItemMonitor::itemRemoved()
    {81, 1396, 496, 1, Smoke::mf_protected, 0, 6},	//1600 Akonadi::ItemMonitor::setFetchScope(const Akonadi::ItemFetchScope&)
    {81, 966, 0, 0, Smoke::mf_protected, 122, 7},	//1601 Akonadi::ItemMonitor::fetchScope()
    {81, 1755, 0, 0, Smoke::mf_dtor, 0, 8 },	//1602 Akonadi::ItemMonitor::~ItemMonitor()
    {82, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1603 Akonadi::ItemMoveJob::metaObject() const
    {82, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1604 Akonadi::ItemMoveJob::qt_metacast(const char*)
    {82, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1605 Akonadi::ItemMoveJob::tr(const char*, const char*)
    {82, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1606 Akonadi::ItemMoveJob::trUtf8(const char*, const char*)
    {82, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1607 Akonadi::ItemMoveJob::tr(const char*, const char*, int)
    {82, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1608 Akonadi::ItemMoveJob::trUtf8(const char*, const char*, int)
    {82, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1609 Akonadi::ItemMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {82, 338, 472, 3, Smoke::mf_ctor, 130, 8},	//1610 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {82, 338, 476, 3, Smoke::mf_ctor, 130, 9},	//1611 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {82, 884, 0, 0, Smoke::mf_const, 34, 10},	//1612 Akonadi::ItemMoveJob::destinationCollection() const
    {82, 1098, 0, 0, Smoke::mf_const, 253, 11},	//1613 Akonadi::ItemMoveJob::items() const
    {82, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1614 Akonadi::ItemMoveJob::doStart()
    {82, 1631, 21, 1, Smoke::mf_static, 277, 13},	//1615 Akonadi::ItemMoveJob::tr(const char*)
    {82, 1635, 21, 1, Smoke::mf_static, 277, 14},	//1616 Akonadi::ItemMoveJob::trUtf8(const char*)
    {82, 338, 50, 2, Smoke::mf_ctor, 130, 15},	//1617 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&)
    {82, 338, 480, 2, Smoke::mf_ctor, 130, 16},	//1618 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {82, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//1619 Akonadi::ItemMoveJob::staticMetaObject() const
    {82, 1756, 0, 0, Smoke::mf_dtor, 0, 18 },	//1620 Akonadi::ItemMoveJob::~ItemMoveJob()
    {83, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1621 Akonadi::ItemSearchJob::metaObject() const
    {83, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1622 Akonadi::ItemSearchJob::qt_metacast(const char*)
    {83, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1623 Akonadi::ItemSearchJob::tr(const char*, const char*)
    {83, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1624 Akonadi::ItemSearchJob::trUtf8(const char*, const char*)
    {83, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1625 Akonadi::ItemSearchJob::tr(const char*, const char*, int)
    {83, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1626 Akonadi::ItemSearchJob::trUtf8(const char*, const char*, int)
    {83, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1627 Akonadi::ItemSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {83, 344, 90, 2, Smoke::mf_ctor, 131, 8},	//1628 Akonadi::ItemSearchJob::ItemSearchJob(const QString&, QObject*)
    {83, 1501, 8, 1, 0, 0, 9},	//1629 Akonadi::ItemSearchJob::setQuery(const QString&)
    {83, 1396, 496, 1, 0, 0, 10},	//1630 Akonadi::ItemSearchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {83, 966, 0, 0, 0, 122, 11},	//1631 Akonadi::ItemSearchJob::fetchScope()
    {83, 1098, 0, 0, Smoke::mf_const, 253, 12},	//1632 Akonadi::ItemSearchJob::items() const
    {83, 724, 0, 0, Smoke::mf_static, 286, 13},	//1633 Akonadi::ItemSearchJob::akonadiItemIdUri()
    {83, 1101, 498, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1634 Akonadi::ItemSearchJob::itemsReceived(const Akonadi::Item::List&)
    {83, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1635 Akonadi::ItemSearchJob::doStart()
    {83, 893, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1636 Akonadi::ItemSearchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {83, 1631, 21, 1, Smoke::mf_static, 277, 17},	//1637 Akonadi::ItemSearchJob::tr(const char*)
    {83, 1635, 21, 1, Smoke::mf_static, 277, 18},	//1638 Akonadi::ItemSearchJob::trUtf8(const char*)
    {83, 344, 8, 1, Smoke::mf_ctor, 131, 19},	//1639 Akonadi::ItemSearchJob::ItemSearchJob(const QString&)
    {83, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 20},	//1640 Akonadi::ItemSearchJob::staticMetaObject() const
    {83, 1757, 0, 0, Smoke::mf_dtor, 0, 21 },	//1641 Akonadi::ItemSearchJob::~ItemSearchJob()
    {84, 881, 510, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 388, 1},	//1642 Akonadi::ItemSerializerPlugin::deserialize(Akonadi::Item&, const QByteArray&, QIODevice&, int) [pure virtual]
    {84, 1280, 515, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//1643 Akonadi::ItemSerializerPlugin::serialize(const Akonadi::Item&, const QByteArray&, QIODevice&, int&) [pure virtual]
    {84, 1184, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 3},	//1644 Akonadi::ItemSerializerPlugin::parts(const Akonadi::Item&) const
    {84, 347, 0, 0, Smoke::mf_ctor, 132, 4},	//1645 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin()
    {84, 347, 520, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 5},	//1646 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin(const Akonadi::ItemSerializerPlugin&)
    {84, 1758, 0, 0, Smoke::mf_dtor, 0, 6 },	//1647 Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin()
    {85, 729, 522, 2, Smoke::mf_virtual, 0, 1},	//1648 Akonadi::ItemSerializerPluginV2::apply(Akonadi::Item&, const Akonadi::Item&)
    {85, 737, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 2},	//1649 Akonadi::ItemSerializerPluginV2::availableParts(const Akonadi::Item&) const
    {85, 349, 0, 0, Smoke::mf_ctor, 133, 3},	//1650 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2()
    {85, 349, 525, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 133, 4},	//1651 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2(const Akonadi::ItemSerializerPluginV2&)
    {85, 1759, 0, 0, Smoke::mf_dtor, 0, 5 },	//1652 Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2()
    {86, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1653 Akonadi::ItemSync::metaObject() const
    {86, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1654 Akonadi::ItemSync::qt_metacast(const char*)
    {86, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1655 Akonadi::ItemSync::tr(const char*, const char*)
    {86, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1656 Akonadi::ItemSync::trUtf8(const char*, const char*)
    {86, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1657 Akonadi::ItemSync::tr(const char*, const char*, int)
    {86, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1658 Akonadi::ItemSync::trUtf8(const char*, const char*, int)
    {86, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1659 Akonadi::ItemSync::qt_metacall(QMetaObject::Call, int, void**)
    {86, 351, 165, 2, Smoke::mf_ctor, 134, 8},	//1660 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&, QObject*)
    {86, 1406, 489, 1, 0, 0, 9},	//1661 Akonadi::ItemSync::setFullSyncItems(const QList<Akonadi::Item>&)
    {86, 1551, 41, 1, 0, 0, 10},	//1662 Akonadi::ItemSync::setTotalItems(int)
    {86, 1541, 45, 1, 0, 0, 11},	//1663 Akonadi::ItemSync::setStreamingEnabled(bool)
    {86, 879, 0, 0, 0, 0, 12},	//1664 Akonadi::ItemSync::deliveryDone()
    {86, 1430, 527, 2, 0, 0, 13},	//1665 Akonadi::ItemSync::setIncrementalSyncItems(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {86, 1396, 494, 1, 0, 0, 14},	//1666 Akonadi::ItemSync::setFetchScope(Akonadi::ItemFetchScope&)
    {86, 966, 0, 0, 0, 122, 15},	//1667 Akonadi::ItemSync::fetchScope()
    {86, 1246, 0, 0, 0, 0, 16},	//1668 Akonadi::ItemSync::rollback()
    {86, 1553, 530, 1, 0, 0, 17},	//1669 Akonadi::ItemSync::setTransactionMode(Akonadi::ItemSync::TransactionMode)
    {86, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1670 Akonadi::ItemSync::doStart()
    {86, 1583, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1671 Akonadi::ItemSync::slotResult(KJob*)
    {86, 1654, 532, 2, Smoke::mf_protected|Smoke::mf_virtual, 388, 20},	//1672 Akonadi::ItemSync::updateItem(const Akonadi::Item&, Akonadi::Item&)
    {86, 1631, 21, 1, Smoke::mf_static, 277, 21},	//1673 Akonadi::ItemSync::tr(const char*)
    {86, 1635, 21, 1, Smoke::mf_static, 277, 22},	//1674 Akonadi::ItemSync::trUtf8(const char*)
    {86, 351, 61, 1, Smoke::mf_ctor, 134, 23},	//1675 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&)
    {86, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 24},	//1676 Akonadi::ItemSync::staticMetaObject() const
    {86, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 25},	//1677 Akonadi::ItemSync::SingleTransaction (enum)
    {86, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 26},	//1678 Akonadi::ItemSync::MultipleTransactions (enum)
    {86, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 27},	//1679 Akonadi::ItemSync::NoTransaction (enum)
    {86, 1760, 0, 0, Smoke::mf_dtor, 0, 28 },	//1680 Akonadi::ItemSync::~ItemSync()
    {87, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1681 Akonadi::ItemView::metaObject() const
    {87, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1682 Akonadi::ItemView::qt_metacast(const char*)
    {87, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1683 Akonadi::ItemView::tr(const char*, const char*)
    {87, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1684 Akonadi::ItemView::trUtf8(const char*, const char*)
    {87, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1685 Akonadi::ItemView::tr(const char*, const char*, int)
    {87, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1686 Akonadi::ItemView::trUtf8(const char*, const char*, int)
    {87, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1687 Akonadi::ItemView::qt_metacall(QMetaObject::Call, int, void**)
    {87, 354, 85, 1, Smoke::mf_ctor, 136, 8},	//1688 Akonadi::ItemView::ItemView(QWidget*)
    {87, 354, 279, 2, Smoke::mf_ctor, 136, 9},	//1689 Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    {87, 354, 282, 2, Smoke::mf_ctor, 136, 10},	//1690 Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    {87, 1566, 285, 1, 0, 0, 11},	//1691 Akonadi::ItemView::setXmlGuiWindow(KXmlGuiWindow*)
    {87, 1564, 287, 1, 0, 0, 12},	//1692 Akonadi::ItemView::setXmlGuiClient(KXMLGUIClient*)
    {87, 1472, 159, 1, Smoke::mf_virtual, 0, 13},	//1693 Akonadi::ItemView::setModel(QAbstractItemModel*)
    {87, 689, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1694 Akonadi::ItemView::activated(const Akonadi::Item&)
    {87, 862, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1695 Akonadi::ItemView::currentChanged(const Akonadi::Item&)
    {87, 774, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1696 Akonadi::ItemView::clicked(const Akonadi::Item&)
    {87, 904, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1697 Akonadi::ItemView::doubleClicked(const Akonadi::Item&)
    {87, 862, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1698 Akonadi::ItemView::currentChanged(const QModelIndex&, const QModelIndex&)
    {87, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1699 Akonadi::ItemView::contextMenuEvent(QContextMenuEvent*)
    {87, 1631, 21, 1, Smoke::mf_static, 277, 20},	//1700 Akonadi::ItemView::tr(const char*)
    {87, 1635, 21, 1, Smoke::mf_static, 277, 21},	//1701 Akonadi::ItemView::trUtf8(const char*)
    {87, 354, 0, 0, Smoke::mf_ctor, 136, 22},	//1702 Akonadi::ItemView::ItemView()
    {87, 354, 285, 1, Smoke::mf_ctor, 136, 23},	//1703 Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    {87, 354, 287, 1, Smoke::mf_ctor, 136, 24},	//1704 Akonadi::ItemView::ItemView(KXMLGUIClient*)
    {87, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 25},	//1705 Akonadi::ItemView::staticMetaObject() const
    {87, 1761, 0, 0, Smoke::mf_dtor, 0, 26 },	//1706 Akonadi::ItemView::~ItemView()
    {88, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1707 Akonadi::Job::metaObject() const
    {88, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1708 Akonadi::Job::qt_metacast(const char*)
    {88, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1709 Akonadi::Job::tr(const char*, const char*)
    {88, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1710 Akonadi::Job::trUtf8(const char*, const char*)
    {88, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1711 Akonadi::Job::tr(const char*, const char*, int)
    {88, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1712 Akonadi::Job::trUtf8(const char*, const char*, int)
    {88, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1713 Akonadi::Job::qt_metacall(QMetaObject::Call, int, void**)
    {88, 357, 78, 1, Smoke::mf_ctor, 137, 8},	//1714 Akonadi::Job::Job(QObject*)
    {88, 1589, 0, 0, Smoke::mf_virtual, 0, 9},	//1715 Akonadi::Job::start()
    {88, 940, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 10},	//1716 Akonadi::Job::errorString() const
    {88, 681, 535, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1717 Akonadi::Job::aboutToStart(Akonadi::Job*)
    {88, 1682, 535, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1718 Akonadi::Job::writeFinished(Akonadi::Job*)
    {88, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1719 Akonadi::Job::doStart() [pure virtual]
    {88, 893, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1720 Akonadi::Job::doHandleResponse(const QByteArray&, const QByteArray&)
    {88, 711, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 15},	//1721 Akonadi::Job::addSubjob(KJob*)
    {88, 1221, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 16},	//1722 Akonadi::Job::removeSubjob(KJob*)
    {88, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 388, 17},	//1723 Akonadi::Job::doKill()
    {88, 926, 0, 0, Smoke::mf_protected, 0, 18},	//1724 Akonadi::Job::emitWriteFinished()
    {88, 1583, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1725 Akonadi::Job::slotResult(KJob*)
    {88, 357, 537, 2, Smoke::mf_ctor|Smoke::mf_protected, 137, 20},	//1726 Akonadi::Job::Job(Akonadi::JobPrivate*, QObject*)
    {88, 1631, 21, 1, Smoke::mf_static, 277, 21},	//1727 Akonadi::Job::tr(const char*)
    {88, 1635, 21, 1, Smoke::mf_static, 277, 22},	//1728 Akonadi::Job::trUtf8(const char*)
    {88, 357, 0, 0, Smoke::mf_ctor, 137, 23},	//1729 Akonadi::Job::Job()
    {88, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 24},	//1730 Akonadi::Job::staticMetaObject() const
    {88, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 25},	//1731 Akonadi::Job::ConnectionFailed (enum)
    {88, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 26},	//1732 Akonadi::Job::ProtocolVersionMismatch (enum)
    {88, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 27},	//1733 Akonadi::Job::UserCanceled (enum)
    {88, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 28},	//1734 Akonadi::Job::Unknown (enum)
    {88, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 29},	//1735 Akonadi::Job::UserError (enum)
    {88, 1762, 0, 0, Smoke::mf_dtor, 0, 30 },	//1736 Akonadi::Job::~Job()
    {90, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1737 Akonadi::LinkJob::metaObject() const
    {90, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1738 Akonadi::LinkJob::qt_metacast(const char*)
    {90, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1739 Akonadi::LinkJob::tr(const char*, const char*)
    {90, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1740 Akonadi::LinkJob::trUtf8(const char*, const char*)
    {90, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1741 Akonadi::LinkJob::tr(const char*, const char*, int)
    {90, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1742 Akonadi::LinkJob::trUtf8(const char*, const char*, int)
    {90, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1743 Akonadi::LinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 384, 540, 3, Smoke::mf_ctor, 140, 8},	//1744 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {90, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//1745 Akonadi::LinkJob::doStart()
    {90, 1631, 21, 1, Smoke::mf_static, 277, 10},	//1746 Akonadi::LinkJob::tr(const char*)
    {90, 1635, 21, 1, Smoke::mf_static, 277, 11},	//1747 Akonadi::LinkJob::trUtf8(const char*)
    {90, 384, 544, 2, Smoke::mf_ctor, 140, 12},	//1748 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {90, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//1749 Akonadi::LinkJob::staticMetaObject() const
    {90, 1763, 0, 0, Smoke::mf_dtor, 0, 14 },	//1750 Akonadi::LinkJob::~LinkJob()
    {91, 393, 0, 0, Smoke::mf_ctor, 141, 1},	//1751 Akonadi::MessageFolderAttribute::MessageFolderAttribute()
    {91, 393, 547, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 2},	//1752 Akonadi::MessageFolderAttribute::MessageFolderAttribute(const Akonadi::MessageFolderAttribute&)
    {91, 1059, 0, 0, Smoke::mf_const, 388, 3},	//1753 Akonadi::MessageFolderAttribute::isOutboundFolder() const
    {91, 1483, 45, 1, 0, 0, 4},	//1754 Akonadi::MessageFolderAttribute::setOutboundFolder(bool)
    {91, 1639, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 5},	//1755 Akonadi::MessageFolderAttribute::type() const
    {91, 776, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 141, 6},	//1756 Akonadi::MessageFolderAttribute::clone() const
    {91, 1282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 7},	//1757 Akonadi::MessageFolderAttribute::serialized() const
    {91, 881, 6, 1, Smoke::mf_virtual, 0, 8},	//1758 Akonadi::MessageFolderAttribute::deserialize(const QByteArray&)
    {91, 1764, 0, 0, Smoke::mf_dtor, 0, 9 },	//1759 Akonadi::MessageFolderAttribute::~MessageFolderAttribute()
    {92, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1760 Akonadi::MessageModel::metaObject() const
    {92, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1761 Akonadi::MessageModel::qt_metacast(const char*)
    {92, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1762 Akonadi::MessageModel::tr(const char*, const char*)
    {92, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1763 Akonadi::MessageModel::trUtf8(const char*, const char*)
    {92, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1764 Akonadi::MessageModel::tr(const char*, const char*, int)
    {92, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1765 Akonadi::MessageModel::trUtf8(const char*, const char*, int)
    {92, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1766 Akonadi::MessageModel::qt_metacall(QMetaObject::Call, int, void**)
    {92, 395, 78, 1, Smoke::mf_ctor, 142, 8},	//1767 Akonadi::MessageModel::MessageModel(QObject*)
    {92, 1249, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 9},	//1768 Akonadi::MessageModel::rowCount(const QModelIndex&) const
    {92, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 10},	//1769 Akonadi::MessageModel::columnCount(const QModelIndex&) const
    {92, 870, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 11},	//1770 Akonadi::MessageModel::data(const QModelIndex&, int) const
    {92, 992, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//1771 Akonadi::MessageModel::headerData(int, Qt::Orientation, int) const
    {92, 1145, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 13},	//1772 Akonadi::MessageModel::mimeTypes() const
    {92, 1631, 21, 1, Smoke::mf_static, 277, 14},	//1773 Akonadi::MessageModel::tr(const char*)
    {92, 1635, 21, 1, Smoke::mf_static, 277, 15},	//1774 Akonadi::MessageModel::trUtf8(const char*)
    {92, 395, 0, 0, Smoke::mf_ctor, 142, 16},	//1775 Akonadi::MessageModel::MessageModel()
    {92, 1249, 0, 0, Smoke::mf_const, 476, 17},	//1776 Akonadi::MessageModel::rowCount() const
    {92, 817, 0, 0, Smoke::mf_const, 476, 18},	//1777 Akonadi::MessageModel::columnCount() const
    {92, 870, 95, 1, Smoke::mf_const, 287, 19},	//1778 Akonadi::MessageModel::data(const QModelIndex&) const
    {92, 992, 112, 2, Smoke::mf_const, 287, 20},	//1779 Akonadi::MessageModel::headerData(int, Qt::Orientation) const
    {92, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 21},	//1780 Akonadi::MessageModel::staticMetaObject() const
    {92, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 22},	//1781 Akonadi::MessageModel::Subject (enum)
    {92, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 23},	//1782 Akonadi::MessageModel::Sender (enum)
    {92, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 24},	//1783 Akonadi::MessageModel::Receiver (enum)
    {92, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 25},	//1784 Akonadi::MessageModel::Date (enum)
    {92, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 26},	//1785 Akonadi::MessageModel::Size (enum)
    {92, 1765, 0, 0, Smoke::mf_dtor, 0, 27 },	//1786 Akonadi::MessageModel::~MessageModel()
    {93, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1787 Akonadi::MessageThreaderProxyModel::metaObject() const
    {93, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1788 Akonadi::MessageThreaderProxyModel::qt_metacast(const char*)
    {93, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1789 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*)
    {93, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1790 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*)
    {93, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1791 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*, int)
    {93, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1792 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*, int)
    {93, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1793 Akonadi::MessageThreaderProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {93, 397, 78, 1, Smoke::mf_ctor, 144, 8},	//1794 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel(QObject*)
    {93, 1179, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 9},	//1795 Akonadi::MessageThreaderProxyModel::parent(const QModelIndex&) const
    {93, 1249, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 10},	//1796 Akonadi::MessageThreaderProxyModel::rowCount(const QModelIndex&) const
    {93, 1014, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 11},	//1797 Akonadi::MessageThreaderProxyModel::index(int, int, const QModelIndex&) const
    {93, 987, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 12},	//1798 Akonadi::MessageThreaderProxyModel::hasChildren(const QModelIndex&) const
    {93, 855, 549, 3, Smoke::mf_const, 261, 13},	//1799 Akonadi::MessageThreaderProxyModel::createIndex(int, int, unsigned int) const
    {93, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 14},	//1800 Akonadi::MessageThreaderProxyModel::columnCount(const QModelIndex&) const
    {93, 1145, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 15},	//1801 Akonadi::MessageThreaderProxyModel::mimeTypes() const
    {93, 1136, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 16},	//1802 Akonadi::MessageThreaderProxyModel::mimeData(const QList<QModelIndex>&) const
    {93, 1123, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 17},	//1803 Akonadi::MessageThreaderProxyModel::mapFromSource(const QModelIndex&) const
    {93, 1127, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 18},	//1804 Akonadi::MessageThreaderProxyModel::mapToSource(const QModelIndex&) const
    {93, 1537, 159, 1, Smoke::mf_virtual, 0, 19},	//1805 Akonadi::MessageThreaderProxyModel::setSourceModel(QAbstractItemModel*)
    {93, 1631, 21, 1, Smoke::mf_static, 277, 20},	//1806 Akonadi::MessageThreaderProxyModel::tr(const char*)
    {93, 1635, 21, 1, Smoke::mf_static, 277, 21},	//1807 Akonadi::MessageThreaderProxyModel::trUtf8(const char*)
    {93, 397, 0, 0, Smoke::mf_ctor, 144, 22},	//1808 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel()
    {93, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 23},	//1809 Akonadi::MessageThreaderProxyModel::staticMetaObject() const
    {93, 1766, 0, 0, Smoke::mf_dtor, 0, 24 },	//1810 Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel()
    {94, 399, 0, 0, Smoke::mf_ctor, 145, 1},	//1811 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute()
    {94, 399, 553, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 2},	//1812 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute(const Akonadi::MessageThreadingAttribute&)
    {94, 1190, 0, 0, Smoke::mf_const, 252, 3},	//1813 Akonadi::MessageThreadingAttribute::perfectParents() const
    {94, 1496, 500, 1, 0, 0, 4},	//1814 Akonadi::MessageThreadingAttribute::setPerfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1647, 0, 0, Smoke::mf_const, 252, 5},	//1815 Akonadi::MessageThreadingAttribute::unperfectParents() const
    {94, 1555, 500, 1, 0, 0, 6},	//1816 Akonadi::MessageThreadingAttribute::setUnperfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1610, 0, 0, Smoke::mf_const, 252, 7},	//1817 Akonadi::MessageThreadingAttribute::subjectParents() const
    {94, 1543, 500, 1, 0, 0, 8},	//1818 Akonadi::MessageThreadingAttribute::setSubjectParents(const QList<Akonadi::Item::Id>&)
    {94, 1639, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1819 Akonadi::MessageThreadingAttribute::type() const
    {94, 776, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 10},	//1820 Akonadi::MessageThreadingAttribute::clone() const
    {94, 1282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1821 Akonadi::MessageThreadingAttribute::serialized() const
    {94, 881, 6, 1, Smoke::mf_virtual, 0, 12},	//1822 Akonadi::MessageThreadingAttribute::deserialize(const QByteArray&)
    {94, 1767, 0, 0, Smoke::mf_dtor, 0, 13 },	//1823 Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute()
    {95, 402, 0, 0, Smoke::mf_ctor, 147, 1},	//1824 Akonadi::MimeTypeChecker::MimeTypeChecker()
    {95, 402, 555, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 2},	//1825 Akonadi::MimeTypeChecker::MimeTypeChecker(const Akonadi::MimeTypeChecker&)
    {95, 1169, 555, 1, 0, 146, 3},	//1826 Akonadi::MimeTypeChecker::operator=(const Akonadi::MimeTypeChecker&)
    {95, 1673, 0, 0, Smoke::mf_const, 278, 4},	//1827 Akonadi::MimeTypeChecker::wantedMimeTypes() const
    {95, 1562, 10, 1, 0, 0, 5},	//1828 Akonadi::MimeTypeChecker::setWantedMimeTypes(const QStringList&)
    {95, 713, 8, 1, 0, 0, 6},	//1829 Akonadi::MimeTypeChecker::addWantedMimeType(const QString&)
    {95, 1223, 8, 1, 0, 0, 7},	//1830 Akonadi::MimeTypeChecker::removeWantedMimeType(const QString&)
    {95, 1067, 56, 1, Smoke::mf_const, 388, 8},	//1831 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&) const
    {95, 1064, 61, 1, Smoke::mf_const, 388, 9},	//1832 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&) const
    {95, 1070, 8, 1, Smoke::mf_const, 388, 10},	//1833 Akonadi::MimeTypeChecker::isWantedMimeType(const QString&) const
    {95, 840, 10, 1, Smoke::mf_const, 388, 11},	//1834 Akonadi::MimeTypeChecker::containsWantedMimeType(const QStringList&) const
    {95, 1067, 557, 2, Smoke::mf_static, 388, 12},	//1835 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&, const QString&)
    {95, 1064, 460, 2, Smoke::mf_static, 388, 13},	//1836 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&, const QString&)
    {95, 1768, 0, 0, Smoke::mf_dtor, 0, 14 },	//1837 Akonadi::MimeTypeChecker::~MimeTypeChecker()
    {96, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1838 Akonadi::Monitor::metaObject() const
    {96, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1839 Akonadi::Monitor::qt_metacast(const char*)
    {96, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1840 Akonadi::Monitor::tr(const char*, const char*)
    {96, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1841 Akonadi::Monitor::trUtf8(const char*, const char*)
    {96, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1842 Akonadi::Monitor::tr(const char*, const char*, int)
    {96, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1843 Akonadi::Monitor::trUtf8(const char*, const char*, int)
    {96, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1844 Akonadi::Monitor::qt_metacall(QMetaObject::Call, int, void**)
    {96, 407, 78, 1, Smoke::mf_ctor, 148, 8},	//1845 Akonadi::Monitor::Monitor(QObject*)
    {96, 1325, 121, 2, 0, 0, 9},	//1846 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&, bool)
    {96, 1443, 560, 2, 0, 0, 10},	//1847 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&, bool)
    {96, 1517, 502, 2, 0, 0, 11},	//1848 Akonadi::Monitor::setResourceMonitored(const QByteArray&, bool)
    {96, 1469, 563, 2, 0, 0, 12},	//1849 Akonadi::Monitor::setMimeTypeMonitored(const QString&, bool)
    {96, 1293, 45, 1, 0, 0, 13},	//1850 Akonadi::Monitor::setAllMonitored(bool)
    {96, 1006, 566, 1, 0, 0, 14},	//1851 Akonadi::Monitor::ignoreSession(Akonadi::Session*)
    {96, 954, 45, 1, 0, 0, 15},	//1852 Akonadi::Monitor::fetchCollection(bool)
    {96, 956, 45, 1, 0, 0, 16},	//1853 Akonadi::Monitor::fetchCollectionStatistics(bool)
    {96, 1441, 496, 1, 0, 0, 17},	//1854 Akonadi::Monitor::setItemFetchScope(const Akonadi::ItemFetchScope&)
    {96, 952, 45, 1, 0, 0, 18},	//1855 Akonadi::Monitor::fetchChangedOnly(bool)
    {96, 1079, 0, 0, 0, 122, 19},	//1856 Akonadi::Monitor::itemFetchScope()
    {96, 1321, 197, 1, 0, 0, 20},	//1857 Akonadi::Monitor::setCollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {96, 787, 0, 0, 0, 49, 21},	//1858 Akonadi::Monitor::collectionFetchScope()
    {96, 809, 0, 0, Smoke::mf_const, 251, 22},	//1859 Akonadi::Monitor::collectionsMonitored() const
    {96, 1099, 0, 0, Smoke::mf_const, 252, 23},	//1860 Akonadi::Monitor::itemsMonitored() const
    {96, 1100, 0, 0, Smoke::mf_const, 289, 24},	//1861 Akonadi::Monitor::itemsMonitoredEx() const
    {96, 1146, 0, 0, Smoke::mf_const, 278, 25},	//1862 Akonadi::Monitor::mimeTypesMonitored() const
    {96, 1231, 0, 0, Smoke::mf_const, 255, 26},	//1863 Akonadi::Monitor::resourcesMonitored() const
    {96, 1052, 0, 0, Smoke::mf_const, 388, 27},	//1864 Akonadi::Monitor::isAllMonitored() const
    {96, 1531, 566, 1, 0, 0, 28},	//1865 Akonadi::Monitor::setSession(Akonadi::Session*)
    {96, 1283, 0, 0, Smoke::mf_const, 162, 29},	//1866 Akonadi::Monitor::session() const
    {96, 1328, 45, 1, 0, 0, 30},	//1867 Akonadi::Monitor::setCollectionMoveTranslationEnabled(bool)
    {96, 1075, 53, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1868 Akonadi::Monitor::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {96, 1086, 65, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1869 Akonadi::Monitor::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 1073, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1870 Akonadi::Monitor::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1089, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1871 Akonadi::Monitor::itemRemoved(const Akonadi::Item&)
    {96, 1082, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1872 Akonadi::Monitor::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1096, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1873 Akonadi::Monitor::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 780, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1874 Akonadi::Monitor::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 784, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1875 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&)
    {96, 784, 73, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1876 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {96, 796, 69, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1877 Akonadi::Monitor::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 798, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1878 Akonadi::Monitor::collectionRemoved(const Akonadi::Collection&)
    {96, 802, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1879 Akonadi::Monitor::collectionSubscribed(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 806, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1880 Akonadi::Monitor::collectionUnsubscribed(const Akonadi::Collection&)
    {96, 800, 568, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1881 Akonadi::Monitor::collectionStatisticsChanged(Akonadi::Collection::Id, const Akonadi::CollectionStatistics&)
    {96, 794, 121, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1882 Akonadi::Monitor::collectionMonitored(const Akonadi::Collection&, bool)
    {96, 1084, 560, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1883 Akonadi::Monitor::itemMonitored(const Akonadi::Item&, bool)
    {96, 1229, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1884 Akonadi::Monitor::resourceMonitored(const QByteArray&, bool)
    {96, 1143, 563, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1885 Akonadi::Monitor::mimeTypeMonitored(const QString&, bool)
    {96, 726, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1886 Akonadi::Monitor::allMonitored(bool)
    {96, 407, 571, 2, Smoke::mf_ctor|Smoke::mf_protected, 148, 50},	//1887 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*, QObject*)
    {96, 1631, 21, 1, Smoke::mf_static, 277, 51},	//1888 Akonadi::Monitor::tr(const char*)
    {96, 1635, 21, 1, Smoke::mf_static, 277, 52},	//1889 Akonadi::Monitor::trUtf8(const char*)
    {96, 407, 0, 0, Smoke::mf_ctor, 148, 53},	//1890 Akonadi::Monitor::Monitor()
    {96, 1325, 61, 1, 0, 0, 54},	//1891 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&)
    {96, 1443, 56, 1, 0, 0, 55},	//1892 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&)
    {96, 1517, 6, 1, 0, 0, 56},	//1893 Akonadi::Monitor::setResourceMonitored(const QByteArray&)
    {96, 1469, 8, 1, 0, 0, 57},	//1894 Akonadi::Monitor::setMimeTypeMonitored(const QString&)
    {96, 1293, 0, 0, 0, 0, 58},	//1895 Akonadi::Monitor::setAllMonitored()
    {96, 407, 574, 1, Smoke::mf_ctor|Smoke::mf_protected, 148, 59},	//1896 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    {96, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 60},	//1897 Akonadi::Monitor::staticMetaObject() const
    {96, 1769, 0, 0, Smoke::mf_dtor, 0, 61 },	//1898 Akonadi::Monitor::~Monitor()
    {98, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1899 Akonadi::PartFetcher::metaObject() const
    {98, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1900 Akonadi::PartFetcher::qt_metacast(const char*)
    {98, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1901 Akonadi::PartFetcher::tr(const char*, const char*)
    {98, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1902 Akonadi::PartFetcher::trUtf8(const char*, const char*)
    {98, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1903 Akonadi::PartFetcher::tr(const char*, const char*, int)
    {98, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1904 Akonadi::PartFetcher::trUtf8(const char*, const char*, int)
    {98, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1905 Akonadi::PartFetcher::qt_metacall(QMetaObject::Call, int, void**)
    {98, 466, 576, 3, Smoke::mf_ctor, 150, 8},	//1906 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&, QObject*)
    {98, 1589, 0, 0, Smoke::mf_virtual, 0, 9},	//1907 Akonadi::PartFetcher::start()
    {98, 1014, 0, 0, Smoke::mf_const, 261, 10},	//1908 Akonadi::PartFetcher::index() const
    {98, 1183, 0, 0, Smoke::mf_const, 215, 11},	//1909 Akonadi::PartFetcher::partName() const
    {98, 1072, 0, 0, Smoke::mf_const, 113, 12},	//1910 Akonadi::PartFetcher::item() const
    {98, 1631, 21, 1, Smoke::mf_static, 277, 13},	//1911 Akonadi::PartFetcher::tr(const char*)
    {98, 1635, 21, 1, Smoke::mf_static, 277, 14},	//1912 Akonadi::PartFetcher::trUtf8(const char*)
    {98, 466, 580, 2, Smoke::mf_ctor, 150, 15},	//1913 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&)
    {98, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//1914 Akonadi::PartFetcher::staticMetaObject() const
    {98, 1772, 0, 0, Smoke::mf_dtor, 0, 17 },	//1915 Akonadi::PartFetcher::~PartFetcher()
    {99, 776, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 151, 1},	//1916 Akonadi::PayloadBase::clone() const [pure virtual]
    {99, 1643, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 472, 2},	//1917 Akonadi::PayloadBase::typeName() const [pure virtual]
    {99, 470, 0, 0, Smoke::mf_ctor, 151, 3},	//1918 Akonadi::PayloadBase::PayloadBase()
    {99, 470, 583, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 151, 4},	//1919 Akonadi::PayloadBase::PayloadBase(const Akonadi::PayloadBase&)
    {99, 1773, 0, 0, Smoke::mf_dtor, 0, 5 },	//1920 Akonadi::PayloadBase::~PayloadBase()
    {100, 472, 21, 1, Smoke::mf_ctor, 152, 1},	//1921 Akonadi::PayloadException::PayloadException(const char*)
    {100, 472, 6, 1, Smoke::mf_ctor, 152, 2},	//1922 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {100, 472, 8, 1, Smoke::mf_ctor, 152, 3},	//1923 Akonadi::PayloadException::PayloadException(const QString&)
    {100, 1639, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 4},	//1924 Akonadi::PayloadException::type() const
    {100, 472, 585, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 5},	//1925 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {100, 1774, 0, 0, Smoke::mf_dtor, 0, 6 },	//1926 Akonadi::PayloadException::~PayloadException()
    {101, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1927 Akonadi::PreprocessorBase::metaObject() const
    {101, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1928 Akonadi::PreprocessorBase::qt_metacast(const char*)
    {101, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1929 Akonadi::PreprocessorBase::tr(const char*, const char*)
    {101, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1930 Akonadi::PreprocessorBase::trUtf8(const char*, const char*)
    {101, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1931 Akonadi::PreprocessorBase::tr(const char*, const char*, int)
    {101, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1932 Akonadi::PreprocessorBase::trUtf8(const char*, const char*, int)
    {101, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1933 Akonadi::PreprocessorBase::qt_metacall(QMetaObject::Call, int, void**)
    {101, 1193, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 154, 8},	//1934 Akonadi::PreprocessorBase::processItem(const Akonadi::Item&) [pure virtual]
    {101, 971, 587, 1, 0, 0, 9},	//1935 Akonadi::PreprocessorBase::finishProcessing(Akonadi::PreprocessorBase::ProcessingResult)
    {101, 1396, 496, 1, 0, 0, 10},	//1936 Akonadi::PreprocessorBase::setFetchScope(const Akonadi::ItemFetchScope&)
    {101, 966, 0, 0, 0, 122, 11},	//1937 Akonadi::PreprocessorBase::fetchScope()
    {101, 481, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 153, 12},	//1938 Akonadi::PreprocessorBase::PreprocessorBase(const QString&)
    {101, 1631, 21, 1, Smoke::mf_static, 277, 13},	//1939 Akonadi::PreprocessorBase::tr(const char*)
    {101, 1635, 21, 1, Smoke::mf_static, 277, 14},	//1940 Akonadi::PreprocessorBase::trUtf8(const char*)
    {101, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1941 Akonadi::PreprocessorBase::staticMetaObject() const
    {101, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 16},	//1942 Akonadi::PreprocessorBase::ProcessingCompleted (enum)
    {101, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 17},	//1943 Akonadi::PreprocessorBase::ProcessingDelayed (enum)
    {101, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 18},	//1944 Akonadi::PreprocessorBase::ProcessingFailed (enum)
    {101, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 19},	//1945 Akonadi::PreprocessorBase::ProcessingRefused (enum)
    {101, 1775, 0, 0, Smoke::mf_dtor, 0, 20 },	//1946 Akonadi::PreprocessorBase::~PreprocessorBase()
    {102, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1947 Akonadi::ResourceBase::metaObject() const
    {102, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//1948 Akonadi::ResourceBase::qt_metacast(const char*)
    {102, 1631, 23, 2, Smoke::mf_static, 277, 3},	//1949 Akonadi::ResourceBase::tr(const char*, const char*)
    {102, 1635, 23, 2, Smoke::mf_static, 277, 4},	//1950 Akonadi::ResourceBase::trUtf8(const char*, const char*)
    {102, 1631, 26, 3, Smoke::mf_static, 277, 5},	//1951 Akonadi::ResourceBase::tr(const char*, const char*, int)
    {102, 1635, 26, 3, Smoke::mf_static, 277, 6},	//1952 Akonadi::ResourceBase::trUtf8(const char*, const char*, int)
    {102, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//1953 Akonadi::ResourceBase::qt_metacall(QMetaObject::Call, int, void**)
    {102, 1477, 8, 1, 0, 0, 8},	//1954 Akonadi::ResourceBase::setName(const QString&)
    {102, 1159, 0, 0, Smoke::mf_const, 277, 9},	//1955 Akonadi::ResourceBase::name() const
    {102, 1300, 45, 1, 0, 0, 10},	//1956 Akonadi::ResourceBase::setAutomaticProgressReporting(bool)
    {102, 1160, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1957 Akonadi::ResourceBase::nameChanged(const QString&)
    {102, 1623, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1958 Akonadi::ResourceBase::synchronized()
    {102, 735, 589, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//1959 Akonadi::ResourceBase::attributesSynchronized(qlonglong)
    {102, 805, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1960 Akonadi::ResourceBase::collectionTreeSynchronized()
    {102, 1238, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//1961 Akonadi::ResourceBase::retrieveCollections() [pure virtual]
    {102, 1236, 61, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 16},	//1962 Akonadi::ResourceBase::retrieveCollectionAttributes(const Akonadi::Collection&)
    {102, 1241, 61, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 17},	//1963 Akonadi::ResourceBase::retrieveItems(const Akonadi::Collection&) [pure virtual]
    {102, 1239, 53, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 388, 18},	//1964 Akonadi::ResourceBase::retrieveItem(const Akonadi::Item&, const QSet<QByteArray>&) [pure virtual]
    {102, 677, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 19},	//1965 Akonadi::ResourceBase::abortActivity()
    {102, 918, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 277, 20},	//1966 Akonadi::ResourceBase::dumpResourceToString() const
    {102, 510, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 155, 21},	//1967 Akonadi::ResourceBase::ResourceBase(const QString&)
    {102, 1091, 56, 1, Smoke::mf_protected, 0, 22},	//1968 Akonadi::ResourceBase::itemRetrieved(const Akonadi::Item&)
    {102, 782, 61, 1, Smoke::mf_protected, 0, 23},	//1969 Akonadi::ResourceBase::collectionAttributesRetrieved(const Akonadi::Collection&)
    {102, 757, 56, 1, Smoke::mf_protected, 0, 24},	//1970 Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    {102, 757, 61, 1, Smoke::mf_protected, 0, 25},	//1971 Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    {102, 813, 206, 1, Smoke::mf_protected, 0, 26},	//1972 Akonadi::ResourceBase::collectionsRetrieved(const QList<Akonadi::Collection>&)
    {102, 815, 591, 2, Smoke::mf_protected, 0, 27},	//1973 Akonadi::ResourceBase::collectionsRetrievedIncremental(const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&)
    {102, 1334, 45, 1, Smoke::mf_protected, 0, 28},	//1974 Akonadi::ResourceBase::setCollectionStreamingEnabled(bool)
    {102, 812, 0, 0, Smoke::mf_protected, 0, 29},	//1975 Akonadi::ResourceBase::collectionsRetrievalDone()
    {102, 1104, 489, 1, Smoke::mf_protected, 0, 30},	//1976 Akonadi::ResourceBase::itemsRetrieved(const QList<Akonadi::Item>&)
    {102, 1551, 41, 1, Smoke::mf_protected, 0, 31},	//1977 Akonadi::ResourceBase::setTotalItems(int)
    {102, 1450, 45, 1, Smoke::mf_protected, 0, 32},	//1978 Akonadi::ResourceBase::setItemStreamingEnabled(bool)
    {102, 1454, 530, 1, Smoke::mf_protected, 0, 33},	//1979 Akonadi::ResourceBase::setItemTransactionMode(Akonadi::ItemSync::TransactionMode)
    {102, 1452, 496, 1, Smoke::mf_protected, 0, 34},	//1980 Akonadi::ResourceBase::setItemSynchronizationFetchScope(const Akonadi::ItemFetchScope&)
    {102, 1106, 527, 2, Smoke::mf_protected, 0, 35},	//1981 Akonadi::ResourceBase::itemsRetrievedIncremental(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {102, 1103, 0, 0, Smoke::mf_protected, 0, 36},	//1982 Akonadi::ResourceBase::itemsRetrievalDone()
    {102, 768, 0, 0, Smoke::mf_protected, 0, 37},	//1983 Akonadi::ResourceBase::clearCache()
    {102, 1050, 61, 1, Smoke::mf_protected, 0, 38},	//1984 Akonadi::ResourceBase::invalidateCache(const Akonadi::Collection&)
    {102, 865, 0, 0, Smoke::mf_const|Smoke::mf_protected, 34, 39},	//1985 Akonadi::ResourceBase::currentCollection() const
    {102, 866, 0, 0, Smoke::mf_const|Smoke::mf_protected, 113, 40},	//1986 Akonadi::ResourceBase::currentItem() const
    {102, 1614, 0, 0, Smoke::mf_protected, 0, 41},	//1987 Akonadi::ResourceBase::synchronize()
    {102, 1615, 146, 1, Smoke::mf_protected, 0, 42},	//1988 Akonadi::ResourceBase::synchronizeCollection(long long)
    {102, 1615, 594, 2, Smoke::mf_protected, 0, 43},	//1989 Akonadi::ResourceBase::synchronizeCollection(long long, bool)
    {102, 1620, 146, 1, Smoke::mf_protected, 0, 44},	//1990 Akonadi::ResourceBase::synchronizeCollectionAttributes(long long)
    {102, 1622, 0, 0, Smoke::mf_protected, 0, 45},	//1991 Akonadi::ResourceBase::synchronizeCollectionTree()
    {102, 751, 0, 0, Smoke::mf_protected, 0, 46},	//1992 Akonadi::ResourceBase::cancelTask()
    {102, 751, 8, 1, Smoke::mf_protected, 0, 47},	//1993 Akonadi::ResourceBase::cancelTask(const QString&)
    {102, 877, 0, 0, Smoke::mf_protected, 0, 48},	//1994 Akonadi::ResourceBase::deferTask()
    {102, 898, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//1995 Akonadi::ResourceBase::doSetOnline(bool)
    {102, 1414, 45, 1, Smoke::mf_protected, 0, 50},	//1996 Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled(bool)
    {102, 1259, 597, 4, Smoke::mf_protected, 0, 51},	//1997 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority)
    {102, 1626, 0, 0, Smoke::mf_protected, 0, 52},	//1998 Akonadi::ResourceBase::taskDone()
    {102, 917, 0, 0, Smoke::mf_const|Smoke::mf_protected, 277, 53},	//1999 Akonadi::ResourceBase::dumpNotificationListToString() const
    {102, 919, 0, 0, Smoke::mf_const|Smoke::mf_protected, 277, 54},	//2000 Akonadi::ResourceBase::dumpSchedulerToString() const
    {102, 1631, 21, 1, Smoke::mf_static, 277, 55},	//2001 Akonadi::ResourceBase::tr(const char*)
    {102, 1635, 21, 1, Smoke::mf_static, 277, 56},	//2002 Akonadi::ResourceBase::trUtf8(const char*)
    {102, 1259, 602, 3, Smoke::mf_protected, 0, 57},	//2003 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&)
    {102, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 58},	//2004 Akonadi::ResourceBase::staticMetaObject() const
    {102, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 59},	//2005 Akonadi::ResourceBase::Prepend (enum)
    {102, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 60},	//2006 Akonadi::ResourceBase::AfterChangeReplay (enum)
    {102, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 61},	//2007 Akonadi::ResourceBase::Append (enum)
    {102, 1776, 0, 0, Smoke::mf_dtor, 0, 62 },	//2008 Akonadi::ResourceBase::~ResourceBase()
    {103, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2009 Akonadi::ResourceSynchronizationJob::metaObject() const
    {103, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//2010 Akonadi::ResourceSynchronizationJob::qt_metacast(const char*)
    {103, 1631, 23, 2, Smoke::mf_static, 277, 3},	//2011 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*)
    {103, 1635, 23, 2, Smoke::mf_static, 277, 4},	//2012 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*)
    {103, 1631, 26, 3, Smoke::mf_static, 277, 5},	//2013 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*, int)
    {103, 1635, 26, 3, Smoke::mf_static, 277, 6},	//2014 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*, int)
    {103, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//2015 Akonadi::ResourceSynchronizationJob::qt_metacall(QMetaObject::Call, int, void**)
    {103, 513, 606, 2, Smoke::mf_ctor, 157, 8},	//2016 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&, QObject*)
    {103, 804, 0, 0, Smoke::mf_const, 388, 9},	//2017 Akonadi::ResourceSynchronizationJob::collectionTreeOnly() const
    {103, 1336, 45, 1, 0, 0, 10},	//2018 Akonadi::ResourceSynchronizationJob::setCollectionTreeOnly(bool)
    {103, 1228, 0, 0, Smoke::mf_const, 11, 11},	//2019 Akonadi::ResourceSynchronizationJob::resource() const
    {103, 1589, 0, 0, Smoke::mf_virtual, 0, 12},	//2020 Akonadi::ResourceSynchronizationJob::start()
    {103, 1631, 21, 1, Smoke::mf_static, 277, 13},	//2021 Akonadi::ResourceSynchronizationJob::tr(const char*)
    {103, 1635, 21, 1, Smoke::mf_static, 277, 14},	//2022 Akonadi::ResourceSynchronizationJob::trUtf8(const char*)
    {103, 513, 83, 1, Smoke::mf_ctor, 157, 15},	//2023 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&)
    {103, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//2024 Akonadi::ResourceSynchronizationJob::staticMetaObject() const
    {103, 1777, 0, 0, Smoke::mf_dtor, 0, 17 },	//2025 Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob()
    {104, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2026 Akonadi::SearchCreateJob::metaObject() const
    {104, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//2027 Akonadi::SearchCreateJob::qt_metacast(const char*)
    {104, 1631, 23, 2, Smoke::mf_static, 277, 3},	//2028 Akonadi::SearchCreateJob::tr(const char*, const char*)
    {104, 1635, 23, 2, Smoke::mf_static, 277, 4},	//2029 Akonadi::SearchCreateJob::trUtf8(const char*, const char*)
    {104, 1631, 26, 3, Smoke::mf_static, 277, 5},	//2030 Akonadi::SearchCreateJob::tr(const char*, const char*, int)
    {104, 1635, 26, 3, Smoke::mf_static, 277, 6},	//2031 Akonadi::SearchCreateJob::trUtf8(const char*, const char*, int)
    {104, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//2032 Akonadi::SearchCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {104, 521, 609, 3, Smoke::mf_ctor, 158, 8},	//2033 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&, QObject*)
    {104, 1505, 8, 1, 0, 0, 9},	//2034 Akonadi::SearchCreateJob::setQueryLanguage(const QString&)
    {104, 859, 0, 0, Smoke::mf_const, 34, 10},	//2035 Akonadi::SearchCreateJob::createdCollection() const
    {104, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//2036 Akonadi::SearchCreateJob::doStart()
    {104, 893, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//2037 Akonadi::SearchCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {104, 1631, 21, 1, Smoke::mf_static, 277, 13},	//2038 Akonadi::SearchCreateJob::tr(const char*)
    {104, 1635, 21, 1, Smoke::mf_static, 277, 14},	//2039 Akonadi::SearchCreateJob::trUtf8(const char*)
    {104, 521, 300, 2, Smoke::mf_ctor, 158, 15},	//2040 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&)
    {104, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//2041 Akonadi::SearchCreateJob::staticMetaObject() const
    {104, 1778, 0, 0, Smoke::mf_dtor, 0, 17 },	//2042 Akonadi::SearchCreateJob::~SearchCreateJob()
    {105, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2043 Akonadi::SelectionProxyModel::metaObject() const
    {105, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//2044 Akonadi::SelectionProxyModel::qt_metacast(const char*)
    {105, 1631, 23, 2, Smoke::mf_static, 277, 3},	//2045 Akonadi::SelectionProxyModel::tr(const char*, const char*)
    {105, 1635, 23, 2, Smoke::mf_static, 277, 4},	//2046 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*)
    {105, 1631, 26, 3, Smoke::mf_static, 277, 5},	//2047 Akonadi::SelectionProxyModel::tr(const char*, const char*, int)
    {105, 1635, 26, 3, Smoke::mf_static, 277, 6},	//2048 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*, int)
    {105, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//2049 Akonadi::SelectionProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {105, 528, 613, 2, Smoke::mf_ctor, 159, 8},	//2050 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*, QObject*)
    {105, 1631, 21, 1, Smoke::mf_static, 277, 9},	//2051 Akonadi::SelectionProxyModel::tr(const char*)
    {105, 1635, 21, 1, Smoke::mf_static, 277, 10},	//2052 Akonadi::SelectionProxyModel::trUtf8(const char*)
    {105, 528, 616, 1, Smoke::mf_ctor, 159, 11},	//2053 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*)
    {105, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 12},	//2054 Akonadi::SelectionProxyModel::staticMetaObject() const
    {105, 1779, 0, 0, Smoke::mf_dtor, 0, 13 },	//2055 Akonadi::SelectionProxyModel::~SelectionProxyModel()
    {106, 1134, 0, 0, Smoke::mf_const, 454, 1},	//2056 Akonadi::ServerManager::metaObject() const
    {106, 1200, 21, 1, 0, 485, 2},	//2057 Akonadi::ServerManager::qt_metacast(const char*)
    {106, 1631, 23, 2, Smoke::mf_static, 277, 3},	//2058 Akonadi::ServerManager::tr(const char*, const char*)
    {106, 1635, 23, 2, Smoke::mf_static, 277, 4},	//2059 Akonadi::ServerManager::trUtf8(const char*, const char*)
    {106, 1631, 26, 3, Smoke::mf_static, 277, 5},	//2060 Akonadi::ServerManager::tr(const char*, const char*, int)
    {106, 1635, 26, 3, Smoke::mf_static, 277, 6},	//2061 Akonadi::ServerManager::trUtf8(const char*, const char*, int)
    {106, 1198, 30, 3, 0, 476, 7},	//2062 Akonadi::ServerManager::qt_metacall(QMetaObject::Call, int, void**)
    {106, 1589, 0, 0, Smoke::mf_static, 388, 8},	//2063 Akonadi::ServerManager::start()
    {106, 1603, 0, 0, Smoke::mf_static, 388, 9},	//2064 Akonadi::ServerManager::stop()
    {106, 1572, 85, 1, Smoke::mf_static, 0, 10},	//2065 Akonadi::ServerManager::showSelfTestDialog(QWidget*)
    {106, 1060, 0, 0, Smoke::mf_static, 388, 11},	//2066 Akonadi::ServerManager::isRunning()
    {106, 1594, 0, 0, Smoke::mf_static, 161, 12},	//2067 Akonadi::ServerManager::state()
    {106, 1273, 0, 0, Smoke::mf_static, 160, 13},	//2068 Akonadi::ServerManager::self()
    {106, 1593, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2069 Akonadi::ServerManager::started()
    {106, 1605, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2070 Akonadi::ServerManager::stopped()
    {106, 1595, 618, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//2071 Akonadi::ServerManager::stateChanged(Akonadi::ServerManager::State)
    {106, 1631, 21, 1, Smoke::mf_static, 277, 17},	//2072 Akonadi::ServerManager::tr(const char*)
    {106, 1635, 21, 1, Smoke::mf_static, 277, 18},	//2073 Akonadi::ServerManager::trUtf8(const char*)
    {106, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 19},	//2074 Akonadi::ServerManager::staticMetaObject() const
    {106, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 20},	//2075 Akonadi::ServerManager::NotRunning (enum)
    {106, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 21},	//2076 Akonadi::ServerManager::Starting (enum)
    {106, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 22},	//2077 Akonadi::ServerManager::Running (enum)
    {106, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 23},	//2078 Akonadi::ServerManager::Stopping (enum)
    {106, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 24},	//2079 Akonadi::ServerManager::Broken (enum)
    {106, 1780, 0, 0, Smoke::mf_dtor, 0, 25 },	//2080 Akonadi::ServerManager::~ServerManager()
    {107, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2081 Akonadi::Session::metaObject() const
    {107, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//2082 Akonadi::Session::qt_metacast(const char*)
    {107, 1631, 23, 2, Smoke::mf_static, 277, 3},	//2083 Akonadi::Session::tr(const char*, const char*)
    {107, 1635, 23, 2, Smoke::mf_static, 277, 4},	//2084 Akonadi::Session::trUtf8(const char*, const char*)
    {107, 1631, 26, 3, Smoke::mf_static, 277, 5},	//2085 Akonadi::Session::tr(const char*, const char*, int)
    {107, 1635, 26, 3, Smoke::mf_static, 277, 6},	//2086 Akonadi::Session::trUtf8(const char*, const char*, int)
    {107, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//2087 Akonadi::Session::qt_metacall(QMetaObject::Call, int, void**)
    {107, 532, 620, 2, Smoke::mf_ctor, 162, 8},	//2088 Akonadi::Session::Session(const QByteArray&, QObject*)
    {107, 1284, 0, 0, Smoke::mf_const, 215, 9},	//2089 Akonadi::Session::sessionId() const
    {107, 876, 0, 0, Smoke::mf_static, 162, 10},	//2090 Akonadi::Session::defaultSession()
    {107, 765, 0, 0, 0, 0, 11},	//2091 Akonadi::Session::clear()
    {107, 1204, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//2092 Akonadi::Session::reconnected()
    {107, 532, 623, 3, Smoke::mf_ctor|Smoke::mf_protected, 162, 13},	//2093 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&, QObject*)
    {107, 1631, 21, 1, Smoke::mf_static, 277, 14},	//2094 Akonadi::Session::tr(const char*)
    {107, 1635, 21, 1, Smoke::mf_static, 277, 15},	//2095 Akonadi::Session::trUtf8(const char*)
    {107, 532, 0, 0, Smoke::mf_ctor, 162, 16},	//2096 Akonadi::Session::Session()
    {107, 532, 6, 1, Smoke::mf_ctor, 162, 17},	//2097 Akonadi::Session::Session(const QByteArray&)
    {107, 532, 627, 1, Smoke::mf_ctor|Smoke::mf_protected, 162, 18},	//2098 Akonadi::Session::Session(Akonadi::SessionPrivate*)
    {107, 532, 629, 2, Smoke::mf_ctor|Smoke::mf_protected, 162, 19},	//2099 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    {107, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 20},	//2100 Akonadi::Session::staticMetaObject() const
    {107, 1781, 0, 0, Smoke::mf_dtor, 0, 21 },	//2101 Akonadi::Session::~Session()
    {109, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2102 Akonadi::StandardActionManager::metaObject() const
    {109, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//2103 Akonadi::StandardActionManager::qt_metacast(const char*)
    {109, 1631, 23, 2, Smoke::mf_static, 277, 3},	//2104 Akonadi::StandardActionManager::tr(const char*, const char*)
    {109, 1635, 23, 2, Smoke::mf_static, 277, 4},	//2105 Akonadi::StandardActionManager::trUtf8(const char*, const char*)
    {109, 1631, 26, 3, Smoke::mf_static, 277, 5},	//2106 Akonadi::StandardActionManager::tr(const char*, const char*, int)
    {109, 1635, 26, 3, Smoke::mf_static, 277, 6},	//2107 Akonadi::StandardActionManager::trUtf8(const char*, const char*, int)
    {109, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//2108 Akonadi::StandardActionManager::qt_metacall(QMetaObject::Call, int, void**)
    {109, 545, 632, 2, Smoke::mf_ctor, 164, 8},	//2109 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*, QWidget*)
    {109, 1332, 616, 1, 0, 0, 9},	//2110 Akonadi::StandardActionManager::setCollectionSelectionModel(QItemSelectionModel*)
    {109, 1448, 616, 1, 0, 0, 10},	//2111 Akonadi::StandardActionManager::setItemSelectionModel(QItemSelectionModel*)
    {109, 1388, 635, 1, 0, 0, 11},	//2112 Akonadi::StandardActionManager::setFavoriteCollectionsModel(Akonadi::FavoriteCollectionsModel*)
    {109, 1392, 616, 1, 0, 0, 12},	//2113 Akonadi::StandardActionManager::setFavoriteSelectionModel(QItemSelectionModel*)
    {109, 847, 637, 1, 0, 190, 13},	//2114 Akonadi::StandardActionManager::createAction(Akonadi::StandardActionManager::Type)
    {109, 851, 0, 0, 0, 0, 14},	//2115 Akonadi::StandardActionManager::createAllActions()
    {109, 685, 637, 1, Smoke::mf_const, 190, 15},	//2116 Akonadi::StandardActionManager::action(Akonadi::StandardActionManager::Type) const
    {109, 1287, 639, 2, 0, 0, 16},	//2117 Akonadi::StandardActionManager::setActionText(Akonadi::StandardActionManager::Type, const KLocalizedString&)
    {109, 1046, 642, 2, 0, 0, 17},	//2118 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type, bool)
    {109, 1267, 0, 0, Smoke::mf_const, 251, 18},	//2119 Akonadi::StandardActionManager::selectedCollections() const
    {109, 1269, 0, 0, Smoke::mf_const, 253, 19},	//2120 Akonadi::StandardActionManager::selectedItems() const
    {109, 1361, 645, 3, 0, 0, 20},	//2121 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&)
    {109, 1361, 649, 3, 0, 0, 21},	//2122 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&)
    {109, 1467, 10, 1, 0, 0, 22},	//2123 Akonadi::StandardActionManager::setMimeTypeFilter(const QStringList&)
    {109, 1312, 10, 1, 0, 0, 23},	//2124 Akonadi::StandardActionManager::setCapabilityFilter(const QStringList&)
    {109, 1330, 10, 1, 0, 0, 24},	//2125 Akonadi::StandardActionManager::setCollectionPropertiesPageNames(const QStringList&)
    {109, 849, 653, 2, 0, 0, 25},	//2126 Akonadi::StandardActionManager::createActionFolderMenu(QMenu*, Akonadi::StandardActionManager::Type)
    {109, 688, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2127 Akonadi::StandardActionManager::actionStateUpdated()
    {109, 1631, 21, 1, Smoke::mf_static, 277, 27},	//2128 Akonadi::StandardActionManager::tr(const char*)
    {109, 1635, 21, 1, Smoke::mf_static, 277, 28},	//2129 Akonadi::StandardActionManager::trUtf8(const char*)
    {109, 545, 656, 1, Smoke::mf_ctor, 164, 29},	//2130 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*)
    {109, 1046, 637, 1, 0, 0, 30},	//2131 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type)
    {109, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 31},	//2132 Akonadi::StandardActionManager::staticMetaObject() const
    {109, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 32},	//2133 Akonadi::StandardActionManager::CreateCollection (enum)
    {109, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 33},	//2134 Akonadi::StandardActionManager::CopyCollections (enum)
    {109, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 34},	//2135 Akonadi::StandardActionManager::DeleteCollections (enum)
    {109, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 35},	//2136 Akonadi::StandardActionManager::SynchronizeCollections (enum)
    {109, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 36},	//2137 Akonadi::StandardActionManager::CollectionProperties (enum)
    {109, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 37},	//2138 Akonadi::StandardActionManager::CopyItems (enum)
    {109, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 38},	//2139 Akonadi::StandardActionManager::Paste (enum)
    {109, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 39},	//2140 Akonadi::StandardActionManager::DeleteItems (enum)
    {109, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 40},	//2141 Akonadi::StandardActionManager::ManageLocalSubscriptions (enum)
    {109, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 41},	//2142 Akonadi::StandardActionManager::AddToFavoriteCollections (enum)
    {109, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 42},	//2143 Akonadi::StandardActionManager::RemoveFromFavoriteCollections (enum)
    {109, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 43},	//2144 Akonadi::StandardActionManager::RenameFavoriteCollection (enum)
    {109, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 44},	//2145 Akonadi::StandardActionManager::CopyCollectionToMenu (enum)
    {109, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 45},	//2146 Akonadi::StandardActionManager::CopyItemToMenu (enum)
    {109, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 46},	//2147 Akonadi::StandardActionManager::MoveItemToMenu (enum)
    {109, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 47},	//2148 Akonadi::StandardActionManager::MoveCollectionToMenu (enum)
    {109, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 48},	//2149 Akonadi::StandardActionManager::CutItems (enum)
    {109, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 49},	//2150 Akonadi::StandardActionManager::CutCollections (enum)
    {109, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 50},	//2151 Akonadi::StandardActionManager::CreateResource (enum)
    {109, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 51},	//2152 Akonadi::StandardActionManager::DeleteResources (enum)
    {109, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 52},	//2153 Akonadi::StandardActionManager::ResourceProperties (enum)
    {109, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 53},	//2154 Akonadi::StandardActionManager::SynchronizeResources (enum)
    {109, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 54},	//2155 Akonadi::StandardActionManager::ToggleWorkOffline (enum)
    {109, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 55},	//2156 Akonadi::StandardActionManager::CopyCollectionToDialog (enum)
    {109, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 56},	//2157 Akonadi::StandardActionManager::MoveCollectionToDialog (enum)
    {109, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 57},	//2158 Akonadi::StandardActionManager::CopyItemToDialog (enum)
    {109, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 58},	//2159 Akonadi::StandardActionManager::MoveItemToDialog (enum)
    {109, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 59},	//2160 Akonadi::StandardActionManager::SynchronizeCollectionsRecursive (enum)
    {109, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 60},	//2161 Akonadi::StandardActionManager::MoveCollectionsToTrash (enum)
    {109, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 61},	//2162 Akonadi::StandardActionManager::MoveItemsToTrash (enum)
    {109, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 62},	//2163 Akonadi::StandardActionManager::RestoreCollectionsFromTrash (enum)
    {109, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 63},	//2164 Akonadi::StandardActionManager::RestoreItemsFromTrash (enum)
    {109, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 64},	//2165 Akonadi::StandardActionManager::MoveToTrashRestoreCollection (enum)
    {109, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 65},	//2166 Akonadi::StandardActionManager::MoveToTrashRestoreCollectionAlternative (enum)
    {109, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 66},	//2167 Akonadi::StandardActionManager::MoveToTrashRestoreItem (enum)
    {109, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 67},	//2168 Akonadi::StandardActionManager::MoveToTrashRestoreItemAlternative (enum)
    {109, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 68},	//2169 Akonadi::StandardActionManager::SynchronizeFavoriteCollections (enum)
    {109, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 69},	//2170 Akonadi::StandardActionManager::LastType (enum)
    {109, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 70},	//2171 Akonadi::StandardActionManager::DialogTitle (enum)
    {109, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 71},	//2172 Akonadi::StandardActionManager::DialogText (enum)
    {109, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 72},	//2173 Akonadi::StandardActionManager::MessageBoxTitle (enum)
    {109, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 73},	//2174 Akonadi::StandardActionManager::MessageBoxText (enum)
    {109, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 74},	//2175 Akonadi::StandardActionManager::MessageBoxAlternativeText (enum)
    {109, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 75},	//2176 Akonadi::StandardActionManager::ErrorMessageTitle (enum)
    {109, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 76},	//2177 Akonadi::StandardActionManager::ErrorMessageText (enum)
    {109, 1782, 0, 0, Smoke::mf_dtor, 0, 77 },	//2178 Akonadi::StandardActionManager::~StandardActionManager()
    {110, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2179 Akonadi::StatisticsProxyModel::metaObject() const
    {110, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//2180 Akonadi::StatisticsProxyModel::qt_metacast(const char*)
    {110, 1631, 23, 2, Smoke::mf_static, 277, 3},	//2181 Akonadi::StatisticsProxyModel::tr(const char*, const char*)
    {110, 1635, 23, 2, Smoke::mf_static, 277, 4},	//2182 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*)
    {110, 1631, 26, 3, Smoke::mf_static, 277, 5},	//2183 Akonadi::StatisticsProxyModel::tr(const char*, const char*, int)
    {110, 1635, 26, 3, Smoke::mf_static, 277, 6},	//2184 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*, int)
    {110, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//2185 Akonadi::StatisticsProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {110, 551, 78, 1, Smoke::mf_ctor, 167, 8},	//2186 Akonadi::StatisticsProxyModel::StatisticsProxyModel(QObject*)
    {110, 1549, 45, 1, 0, 0, 9},	//2187 Akonadi::StatisticsProxyModel::setToolTipEnabled(bool)
    {110, 1061, 0, 0, Smoke::mf_const, 388, 10},	//2188 Akonadi::StatisticsProxyModel::isToolTipEnabled() const
    {110, 1386, 45, 1, 0, 0, 11},	//2189 Akonadi::StatisticsProxyModel::setExtraColumnsEnabled(bool)
    {110, 1055, 0, 0, Smoke::mf_const, 388, 12},	//2190 Akonadi::StatisticsProxyModel::isExtraColumnsEnabled() const
    {110, 1014, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 13},	//2191 Akonadi::StatisticsProxyModel::index(int, int, const QModelIndex&) const
    {110, 870, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 14},	//2192 Akonadi::StatisticsProxyModel::data(const QModelIndex&, int) const
    {110, 992, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 15},	//2193 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation, int) const
    {110, 973, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 16},	//2194 Akonadi::StatisticsProxyModel::flags(const QModelIndex&) const
    {110, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 17},	//2195 Akonadi::StatisticsProxyModel::columnCount(const QModelIndex&) const
    {110, 1129, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 18},	//2196 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {110, 1537, 159, 1, Smoke::mf_virtual, 0, 19},	//2197 Akonadi::StatisticsProxyModel::setSourceModel(QAbstractItemModel*)
    {110, 828, 21, 1, Smoke::mf_virtual, 0, 20},	//2198 Akonadi::StatisticsProxyModel::connectNotify(const char*)
    {110, 1631, 21, 1, Smoke::mf_static, 277, 21},	//2199 Akonadi::StatisticsProxyModel::tr(const char*)
    {110, 1635, 21, 1, Smoke::mf_static, 277, 22},	//2200 Akonadi::StatisticsProxyModel::trUtf8(const char*)
    {110, 551, 0, 0, Smoke::mf_ctor, 167, 23},	//2201 Akonadi::StatisticsProxyModel::StatisticsProxyModel()
    {110, 1014, 115, 2, Smoke::mf_const, 261, 24},	//2202 Akonadi::StatisticsProxyModel::index(int, int) const
    {110, 870, 95, 1, Smoke::mf_const, 287, 25},	//2203 Akonadi::StatisticsProxyModel::data(const QModelIndex&) const
    {110, 992, 112, 2, Smoke::mf_const, 287, 26},	//2204 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation) const
    {110, 817, 0, 0, Smoke::mf_const, 476, 27},	//2205 Akonadi::StatisticsProxyModel::columnCount() const
    {110, 1129, 390, 3, Smoke::mf_const, 256, 28},	//2206 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&) const
    {110, 1129, 394, 4, Smoke::mf_const, 256, 29},	//2207 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int) const
    {110, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 30},	//2208 Akonadi::StatisticsProxyModel::staticMetaObject() const
    {110, 1783, 0, 0, Smoke::mf_dtor, 0, 31 },	//2209 Akonadi::StatisticsProxyModel::~StatisticsProxyModel()
    {111, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2210 Akonadi::TransactionBeginJob::metaObject() const
    {111, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//2211 Akonadi::TransactionBeginJob::qt_metacast(const char*)
    {111, 1631, 23, 2, Smoke::mf_static, 277, 3},	//2212 Akonadi::TransactionBeginJob::tr(const char*, const char*)
    {111, 1635, 23, 2, Smoke::mf_static, 277, 4},	//2213 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*)
    {111, 1631, 26, 3, Smoke::mf_static, 277, 5},	//2214 Akonadi::TransactionBeginJob::tr(const char*, const char*, int)
    {111, 1635, 26, 3, Smoke::mf_static, 277, 6},	//2215 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*, int)
    {111, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//2216 Akonadi::TransactionBeginJob::qt_metacall(QMetaObject::Call, int, void**)
    {111, 574, 78, 1, Smoke::mf_ctor, 168, 8},	//2217 Akonadi::TransactionBeginJob::TransactionBeginJob(QObject*)
    {111, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2218 Akonadi::TransactionBeginJob::doStart()
    {111, 1631, 21, 1, Smoke::mf_static, 277, 10},	//2219 Akonadi::TransactionBeginJob::tr(const char*)
    {111, 1635, 21, 1, Smoke::mf_static, 277, 11},	//2220 Akonadi::TransactionBeginJob::trUtf8(const char*)
    {111, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 12},	//2221 Akonadi::TransactionBeginJob::staticMetaObject() const
    {111, 1784, 0, 0, Smoke::mf_dtor, 0, 13 },	//2222 Akonadi::TransactionBeginJob::~TransactionBeginJob()
    {112, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2223 Akonadi::TransactionCommitJob::metaObject() const
    {112, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//2224 Akonadi::TransactionCommitJob::qt_metacast(const char*)
    {112, 1631, 23, 2, Smoke::mf_static, 277, 3},	//2225 Akonadi::TransactionCommitJob::tr(const char*, const char*)
    {112, 1635, 23, 2, Smoke::mf_static, 277, 4},	//2226 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*)
    {112, 1631, 26, 3, Smoke::mf_static, 277, 5},	//2227 Akonadi::TransactionCommitJob::tr(const char*, const char*, int)
    {112, 1635, 26, 3, Smoke::mf_static, 277, 6},	//2228 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*, int)
    {112, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//2229 Akonadi::TransactionCommitJob::qt_metacall(QMetaObject::Call, int, void**)
    {112, 576, 78, 1, Smoke::mf_ctor, 169, 8},	//2230 Akonadi::TransactionCommitJob::TransactionCommitJob(QObject*)
    {112, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2231 Akonadi::TransactionCommitJob::doStart()
    {112, 1631, 21, 1, Smoke::mf_static, 277, 10},	//2232 Akonadi::TransactionCommitJob::tr(const char*)
    {112, 1635, 21, 1, Smoke::mf_static, 277, 11},	//2233 Akonadi::TransactionCommitJob::trUtf8(const char*)
    {112, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 12},	//2234 Akonadi::TransactionCommitJob::staticMetaObject() const
    {112, 1785, 0, 0, Smoke::mf_dtor, 0, 13 },	//2235 Akonadi::TransactionCommitJob::~TransactionCommitJob()
    {113, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2236 Akonadi::TransactionRollbackJob::metaObject() const
    {113, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//2237 Akonadi::TransactionRollbackJob::qt_metacast(const char*)
    {113, 1631, 23, 2, Smoke::mf_static, 277, 3},	//2238 Akonadi::TransactionRollbackJob::tr(const char*, const char*)
    {113, 1635, 23, 2, Smoke::mf_static, 277, 4},	//2239 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*)
    {113, 1631, 26, 3, Smoke::mf_static, 277, 5},	//2240 Akonadi::TransactionRollbackJob::tr(const char*, const char*, int)
    {113, 1635, 26, 3, Smoke::mf_static, 277, 6},	//2241 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*, int)
    {113, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//2242 Akonadi::TransactionRollbackJob::qt_metacall(QMetaObject::Call, int, void**)
    {113, 578, 78, 1, Smoke::mf_ctor, 170, 8},	//2243 Akonadi::TransactionRollbackJob::TransactionRollbackJob(QObject*)
    {113, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2244 Akonadi::TransactionRollbackJob::doStart()
    {113, 1631, 21, 1, Smoke::mf_static, 277, 10},	//2245 Akonadi::TransactionRollbackJob::tr(const char*)
    {113, 1635, 21, 1, Smoke::mf_static, 277, 11},	//2246 Akonadi::TransactionRollbackJob::trUtf8(const char*)
    {113, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 12},	//2247 Akonadi::TransactionRollbackJob::staticMetaObject() const
    {113, 1786, 0, 0, Smoke::mf_dtor, 0, 13 },	//2248 Akonadi::TransactionRollbackJob::~TransactionRollbackJob()
    {114, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2249 Akonadi::TransactionSequence::metaObject() const
    {114, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//2250 Akonadi::TransactionSequence::qt_metacast(const char*)
    {114, 1631, 23, 2, Smoke::mf_static, 277, 3},	//2251 Akonadi::TransactionSequence::tr(const char*, const char*)
    {114, 1635, 23, 2, Smoke::mf_static, 277, 4},	//2252 Akonadi::TransactionSequence::trUtf8(const char*, const char*)
    {114, 1631, 26, 3, Smoke::mf_static, 277, 5},	//2253 Akonadi::TransactionSequence::tr(const char*, const char*, int)
    {114, 1635, 26, 3, Smoke::mf_static, 277, 6},	//2254 Akonadi::TransactionSequence::trUtf8(const char*, const char*, int)
    {114, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//2255 Akonadi::TransactionSequence::qt_metacall(QMetaObject::Call, int, void**)
    {114, 580, 78, 1, Smoke::mf_ctor, 171, 8},	//2256 Akonadi::TransactionSequence::TransactionSequence(QObject*)
    {114, 819, 0, 0, 0, 0, 9},	//2257 Akonadi::TransactionSequence::commit()
    {114, 1246, 0, 0, 0, 0, 10},	//2258 Akonadi::TransactionSequence::rollback()
    {114, 1420, 201, 1, 0, 0, 11},	//2259 Akonadi::TransactionSequence::setIgnoreJobFailure(KJob*)
    {114, 1298, 45, 1, 0, 0, 12},	//2260 Akonadi::TransactionSequence::setAutomaticCommittingEnabled(bool)
    {114, 711, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 13},	//2261 Akonadi::TransactionSequence::addSubjob(KJob*)
    {114, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//2262 Akonadi::TransactionSequence::doStart()
    {114, 1583, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//2263 Akonadi::TransactionSequence::slotResult(KJob*)
    {114, 1631, 21, 1, Smoke::mf_static, 277, 16},	//2264 Akonadi::TransactionSequence::tr(const char*)
    {114, 1635, 21, 1, Smoke::mf_static, 277, 17},	//2265 Akonadi::TransactionSequence::trUtf8(const char*)
    {114, 580, 0, 0, Smoke::mf_ctor, 171, 18},	//2266 Akonadi::TransactionSequence::TransactionSequence()
    {114, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 19},	//2267 Akonadi::TransactionSequence::staticMetaObject() const
    {114, 1787, 0, 0, Smoke::mf_dtor, 0, 20 },	//2268 Akonadi::TransactionSequence::~TransactionSequence()
    {115, 583, 0, 0, Smoke::mf_ctor, 172, 1},	//2269 Akonadi::TransportResourceBase::TransportResourceBase()
    {115, 1276, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//2270 Akonadi::TransportResourceBase::sendItem(const Akonadi::Item&) [pure virtual]
    {115, 1093, 658, 3, 0, 0, 3},	//2271 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&)
    {115, 583, 662, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 172, 4},	//2272 Akonadi::TransportResourceBase::TransportResourceBase(const Akonadi::TransportResourceBase&)
    {115, 1093, 664, 2, 0, 0, 5},	//2273 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult)
    {115, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 6},	//2274 Akonadi::TransportResourceBase::TransportSucceeded (enum)
    {115, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 7},	//2275 Akonadi::TransportResourceBase::TransportFailed (enum)
    {115, 1788, 0, 0, Smoke::mf_dtor, 0, 8 },	//2276 Akonadi::TransportResourceBase::~TransportResourceBase()
    {116, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2277 Akonadi::UnlinkJob::metaObject() const
    {116, 1200, 21, 1, Smoke::mf_virtual, 485, 2},	//2278 Akonadi::UnlinkJob::qt_metacast(const char*)
    {116, 1631, 23, 2, Smoke::mf_static, 277, 3},	//2279 Akonadi::UnlinkJob::tr(const char*, const char*)
    {116, 1635, 23, 2, Smoke::mf_static, 277, 4},	//2280 Akonadi::UnlinkJob::trUtf8(const char*, const char*)
    {116, 1631, 26, 3, Smoke::mf_static, 277, 5},	//2281 Akonadi::UnlinkJob::tr(const char*, const char*, int)
    {116, 1635, 26, 3, Smoke::mf_static, 277, 6},	//2282 Akonadi::UnlinkJob::trUtf8(const char*, const char*, int)
    {116, 1198, 30, 3, Smoke::mf_virtual, 476, 7},	//2283 Akonadi::UnlinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {116, 590, 540, 3, Smoke::mf_ctor, 174, 8},	//2284 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {116, 900, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2285 Akonadi::UnlinkJob::doStart()
    {116, 1631, 21, 1, Smoke::mf_static, 277, 10},	//2286 Akonadi::UnlinkJob::tr(const char*)
    {116, 1635, 21, 1, Smoke::mf_static, 277, 11},	//2287 Akonadi::UnlinkJob::trUtf8(const char*)
    {116, 590, 544, 2, Smoke::mf_ctor, 174, 12},	//2288 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {116, 1597, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//2289 Akonadi::UnlinkJob::staticMetaObject() const
    {116, 1789, 0, 0, Smoke::mf_dtor, 0, 14 },	//2290 Akonadi::UnlinkJob::~UnlinkJob()
    {131, 1297, 45, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//2291 KComboBox::setAutoCompletion(bool)
    {131, 1360, 45, 1, Smoke::mf_virtual, 0, 0},	//2292 KComboBox::setContextMenuEnabled(bool)
    {131, 942, 667, 2, Smoke::mf_virtual, 388, 0},	//2293 KComboBox::eventFilter(QObject*, QEvent*)
    {131, 1458, 670, 1, Smoke::mf_virtual, 0, 0},	//2294 KComboBox::setLineEdit(QLineEdit*)
    {131, 1341, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2295 KComboBox::setCompletedText(const QString&)
    {131, 1340, 672, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2296 KComboBox::setCompletedItems(const QStringList&, bool)
    {131, 1122, 8, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2297 KComboBox::makeCompletion(const QString&)
    {131, 1341, 563, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2298 KComboBox::setCompletedText(const QString&, bool)
    {131, 846, 675, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2299 KComboBox::create(unsigned long, bool, bool)
    {131, 1677, 679, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2300 KComboBox::wheelEvent(QWheelEvent*)
    {131, 1147, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 276, 0},	//2301 KComboBox::minimumSizeHint() const
    {133, 1343, 681, 2, Smoke::mf_virtual, 0, 0},	//2302 KCompletionBase::setCompletionObject(KCompletion*, bool)
    {133, 1408, 45, 1, Smoke::mf_virtual, 0, 0},	//2303 KCompletionBase::setHandleSignals(bool)
    {133, 1342, 684, 1, Smoke::mf_virtual, 0, 0},	//2304 KCompletionBase::setCompletionMode(KGlobalSettings::Completion)
    {133, 1670, 686, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2305 KCompletionBase::virtual_hook(int, void*)
    {135, 1582, 689, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2306 KCompositeJob::slotInfoMessage(KJob*, const QString&, const QString&)
    {137, 1577, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2307 KDialog::sizeHint() const
    {137, 1147, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2308 KDialog::minimumSizeHint() const
    {137, 1314, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2309 KDialog::setCaption(const QString&)
    {137, 1314, 563, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2310 KDialog::setCaption(const QString&, bool)
    {137, 1498, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2311 KDialog::setPlainCaption(const QString&)
    {137, 996, 693, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2312 KDialog::hideEvent(QHideEvent*)
    {137, 778, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2313 KDialog::closeEvent(QCloseEvent*)
    {137, 1108, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2314 KDialog::keyPressEvent(QKeyEvent*)
    {137, 1580, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2315 KDialog::slotButtonClicked(int)
    {138, 1577, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2316 KHBox::sizeHint() const
    {138, 1147, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2317 KHBox::minimumSizeHint() const
    {138, 763, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2318 KHBox::childEvent(QChildEvent*)
    {140, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2319 KJob::doKill()
    {140, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2320 KJob::doSuspend()
    {140, 897, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2321 KJob::doResume()
    {140, 940, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 0},	//2322 KJob::errorString() const
    {140, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 5},	//2323 KJob::NoError (enum)
    {140, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 6},	//2324 KJob::KilledJobError (enum)
    {140, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 7},	//2325 KJob::UserDefinedError (enum)
    {143, 1537, 159, 1, Smoke::mf_virtual, 0, 0},	//2326 KSelectionProxyModel::setSourceModel(QAbstractItemModel*)
    {143, 1123, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2327 KSelectionProxyModel::mapFromSource(const QModelIndex&) const
    {143, 1127, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2328 KSelectionProxyModel::mapToSource(const QModelIndex&) const
    {143, 1125, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2329 KSelectionProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {143, 1126, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2330 KSelectionProxyModel::mapSelectionToSource(const QItemSelection&) const
    {143, 973, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 0},	//2331 KSelectionProxyModel::flags(const QModelIndex&) const
    {143, 870, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2332 KSelectionProxyModel::data(const QModelIndex&, int) const
    {143, 1249, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2333 KSelectionProxyModel::rowCount(const QModelIndex&) const
    {143, 992, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2334 KSelectionProxyModel::headerData(int, Qt::Orientation, int) const
    {143, 1136, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 0},	//2335 KSelectionProxyModel::mimeData(const QList<QModelIndex>&) const
    {143, 1145, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 0},	//2336 KSelectionProxyModel::mimeTypes() const
    {143, 1612, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//2337 KSelectionProxyModel::supportedDropActions() const
    {143, 915, 225, 5, Smoke::mf_virtual, 388, 0},	//2338 KSelectionProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {143, 987, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 0},	//2339 KSelectionProxyModel::hasChildren(const QModelIndex&) const
    {143, 1014, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2340 KSelectionProxyModel::index(int, int, const QModelIndex&) const
    {143, 1179, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2341 KSelectionProxyModel::parent(const QModelIndex&) const
    {143, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2342 KSelectionProxyModel::columnCount(const QModelIndex&) const
    {143, 1129, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//2343 KSelectionProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {148, 987, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 0},	//2344 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {148, 1368, 108, 3, Smoke::mf_virtual, 388, 0},	//2345 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {148, 992, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2346 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {148, 1409, 218, 4, Smoke::mf_virtual, 388, 0},	//2347 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {148, 1078, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 257, 0},	//2348 QAbstractItemModel::itemData(const QModelIndex&) const
    {148, 1440, 703, 2, Smoke::mf_virtual, 388, 0},	//2349 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {148, 1145, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 0},	//2350 QAbstractItemModel::mimeTypes() const
    {148, 1136, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 0},	//2351 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {148, 915, 225, 5, Smoke::mf_virtual, 388, 0},	//2352 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {148, 1612, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//2353 QAbstractItemModel::supportedDropActions() const
    {148, 1026, 104, 3, Smoke::mf_virtual, 388, 0},	//2354 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {148, 1025, 104, 3, Smoke::mf_virtual, 388, 0},	//2355 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {148, 1220, 104, 3, Smoke::mf_virtual, 388, 0},	//2356 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {148, 1217, 104, 3, Smoke::mf_virtual, 388, 0},	//2357 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {148, 961, 95, 1, Smoke::mf_virtual, 0, 0},	//2358 QAbstractItemModel::fetchMore(const QModelIndex&)
    {148, 747, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 0},	//2359 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {148, 1587, 706, 2, Smoke::mf_virtual, 0, 0},	//2360 QAbstractItemModel::sort(int, Qt::SortOrder)
    {148, 743, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2361 QAbstractItemModel::buddy(const QModelIndex&) const
    {148, 1129, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//2362 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {148, 1588, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2363 QAbstractItemModel::span(const QModelIndex&) const
    {148, 1611, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 388, 0},	//2364 QAbstractItemModel::submit()
    {148, 1243, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2365 QAbstractItemModel::revert()
    {149, 1530, 616, 1, Smoke::mf_virtual, 0, 0},	//2366 QAbstractItemView::setSelectionModel(QItemSelectionModel*)
    {149, 1110, 8, 1, Smoke::mf_virtual, 0, 0},	//2367 QAbstractItemView::keyboardSearch(const QString&)
    {149, 1579, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2368 QAbstractItemView::sizeHintForRow(int) const
    {149, 1578, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2369 QAbstractItemView::sizeHintForColumn(int) const
    {149, 1024, 709, 1, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2370 QAbstractItemView::inputMethodQuery(Qt::InputMethodQuery) const
    {149, 1264, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2371 QAbstractItemView::selectAll()
    {149, 1650, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2372 QAbstractItemView::updateEditorData()
    {149, 1651, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2373 QAbstractItemView::updateEditorGeometries()
    {149, 1664, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2374 QAbstractItemView::verticalScrollbarAction(int)
    {149, 999, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2375 QAbstractItemView::horizontalScrollbarAction(int)
    {149, 1665, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2376 QAbstractItemView::verticalScrollbarValueChanged(int)
    {149, 1000, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2377 QAbstractItemView::horizontalScrollbarValueChanged(int)
    {149, 777, 711, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2378 QAbstractItemView::closeEditor(QWidget*, QAbstractItemDelegate::EndEditHint)
    {149, 820, 85, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2379 QAbstractItemView::commitData(QWidget*)
    {149, 922, 78, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2380 QAbstractItemView::editorDestroyed(QObject*)
    {149, 920, 714, 3, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2381 QAbstractItemView::edit(const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*)
    {149, 1271, 718, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 232, 0},	//2382 QAbstractItemView::selectionCommand(const QModelIndex&, const QEvent*) const
    {149, 1591, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2383 QAbstractItemView::startDrag(QFlags<Qt::DropAction>)
    {149, 1667, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 281, 0},	//2384 QAbstractItemView::viewOptions() const
    {149, 976, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2385 QAbstractItemView::focusNextPrevChild(bool)
    {149, 941, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2386 QAbstractItemView::event(QEvent*)
    {149, 1669, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2387 QAbstractItemView::viewportEvent(QEvent*)
    {149, 1155, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2388 QAbstractItemView::mousePressEvent(QMouseEvent*)
    {149, 1153, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2389 QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*)
    {149, 906, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2390 QAbstractItemView::dragEnterEvent(QDragEnterEvent*)
    {149, 907, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2391 QAbstractItemView::dragLeaveEvent(QDragLeaveEvent*)
    {149, 913, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2392 QAbstractItemView::dropEvent(QDropEvent*)
    {149, 975, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2393 QAbstractItemView::focusInEvent(QFocusEvent*)
    {149, 977, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2394 QAbstractItemView::focusOutEvent(QFocusEvent*)
    {149, 1108, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2395 QAbstractItemView::keyPressEvent(QKeyEvent*)
    {149, 1227, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2396 QAbstractItemView::resizeEvent(QResizeEvent*)
    {149, 1023, 731, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2397 QAbstractItemView::inputMethodEvent(QInputMethodEvent*)
    {149, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 33},	//2398 QAbstractItemView::NoSelection (enum)
    {149, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 34},	//2399 QAbstractItemView::SingleSelection (enum)
    {149, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 35},	//2400 QAbstractItemView::MultiSelection (enum)
    {149, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 36},	//2401 QAbstractItemView::ExtendedSelection (enum)
    {149, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 37},	//2402 QAbstractItemView::ContiguousSelection (enum)
    {149, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 38},	//2403 QAbstractItemView::EnsureVisible (enum)
    {149, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 39},	//2404 QAbstractItemView::PositionAtTop (enum)
    {149, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 40},	//2405 QAbstractItemView::PositionAtBottom (enum)
    {149, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 41},	//2406 QAbstractItemView::PositionAtCenter (enum)
    {149, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//2407 QAbstractItemView::NoEditTriggers (enum)
    {149, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//2408 QAbstractItemView::CurrentChanged (enum)
    {149, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 44},	//2409 QAbstractItemView::DoubleClicked (enum)
    {149, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 45},	//2410 QAbstractItemView::SelectedClicked (enum)
    {149, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 46},	//2411 QAbstractItemView::EditKeyPressed (enum)
    {149, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 47},	//2412 QAbstractItemView::AnyKeyPressed (enum)
    {149, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 48},	//2413 QAbstractItemView::AllEditTriggers (enum)
    {149, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 49},	//2414 QAbstractItemView::MoveUp (enum)
    {149, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 50},	//2415 QAbstractItemView::MoveDown (enum)
    {149, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 51},	//2416 QAbstractItemView::MoveLeft (enum)
    {149, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 52},	//2417 QAbstractItemView::MoveRight (enum)
    {149, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 53},	//2418 QAbstractItemView::MoveHome (enum)
    {149, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 54},	//2419 QAbstractItemView::MoveEnd (enum)
    {149, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 55},	//2420 QAbstractItemView::MovePageUp (enum)
    {149, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 56},	//2421 QAbstractItemView::MovePageDown (enum)
    {149, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 57},	//2422 QAbstractItemView::MoveNext (enum)
    {149, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 58},	//2423 QAbstractItemView::MovePrevious (enum)
    {150, 1126, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2424 QAbstractProxyModel::mapSelectionToSource(const QItemSelection&) const
    {150, 1125, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2425 QAbstractProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {150, 1611, 0, 0, Smoke::mf_virtual, 388, 0},	//2426 QAbstractProxyModel::submit()
    {150, 1243, 0, 0, Smoke::mf_virtual, 0, 0},	//2427 QAbstractProxyModel::revert()
    {150, 870, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2428 QAbstractProxyModel::data(const QModelIndex&, int) const
    {150, 992, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2429 QAbstractProxyModel::headerData(int, Qt::Orientation, int) const
    {150, 1078, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 257, 0},	//2430 QAbstractProxyModel::itemData(const QModelIndex&) const
    {150, 973, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 0},	//2431 QAbstractProxyModel::flags(const QModelIndex&) const
    {150, 1368, 108, 3, Smoke::mf_virtual, 388, 0},	//2432 QAbstractProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {150, 1440, 703, 2, Smoke::mf_virtual, 388, 0},	//2433 QAbstractProxyModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {150, 1409, 218, 4, Smoke::mf_virtual, 388, 0},	//2434 QAbstractProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {150, 743, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2435 QAbstractProxyModel::buddy(const QModelIndex&) const
    {150, 747, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 0},	//2436 QAbstractProxyModel::canFetchMore(const QModelIndex&) const
    {150, 961, 95, 1, Smoke::mf_virtual, 0, 0},	//2437 QAbstractProxyModel::fetchMore(const QModelIndex&)
    {150, 1587, 706, 2, Smoke::mf_virtual, 0, 0},	//2438 QAbstractProxyModel::sort(int, Qt::SortOrder)
    {150, 1588, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2439 QAbstractProxyModel::span(const QModelIndex&) const
    {150, 1612, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//2440 QAbstractProxyModel::supportedDropActions() const
    {151, 1147, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2441 QAbstractScrollArea::minimumSizeHint() const
    {151, 1577, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2442 QAbstractScrollArea::sizeHint() const
    {151, 1677, 679, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2443 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {152, 1014, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2444 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {159, 1577, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2445 QComboBox::sizeHint() const
    {159, 1571, 0, 0, Smoke::mf_virtual, 0, 0},	//2446 QComboBox::showPopup()
    {159, 997, 0, 0, Smoke::mf_virtual, 0, 0},	//2447 QComboBox::hidePopup()
    {159, 941, 721, 1, Smoke::mf_virtual, 388, 0},	//2448 QComboBox::event(QEvent*)
    {159, 975, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2449 QComboBox::focusInEvent(QFocusEvent*)
    {159, 977, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2450 QComboBox::focusOutEvent(QFocusEvent*)
    {159, 759, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2451 QComboBox::changeEvent(QEvent*)
    {159, 1227, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2452 QComboBox::resizeEvent(QResizeEvent*)
    {159, 1177, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2453 QComboBox::paintEvent(QPaintEvent*)
    {159, 1570, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2454 QComboBox::showEvent(QShowEvent*)
    {159, 996, 693, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2455 QComboBox::hideEvent(QHideEvent*)
    {159, 1155, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2456 QComboBox::mousePressEvent(QMouseEvent*)
    {159, 1156, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2457 QComboBox::mouseReleaseEvent(QMouseEvent*)
    {159, 1108, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2458 QComboBox::keyPressEvent(QKeyEvent*)
    {159, 1109, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2459 QComboBox::keyReleaseEvent(QKeyEvent*)
    {159, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2460 QComboBox::contextMenuEvent(QContextMenuEvent*)
    {159, 1023, 731, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2461 QComboBox::inputMethodEvent(QInputMethodEvent*)
    {159, 1024, 709, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 0},	//2462 QComboBox::inputMethodQuery(Qt::InputMethodQuery) const
    {164, 1561, 45, 1, Smoke::mf_virtual, 0, 0},	//2463 QDialog::setVisible(bool)
    {164, 902, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2464 QDialog::done(int)
    {164, 683, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2465 QDialog::accept()
    {164, 1209, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2466 QDialog::reject()
    {164, 1570, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2467 QDialog::showEvent(QShowEvent*)
    {164, 1227, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2468 QDialog::resizeEvent(QResizeEvent*)
    {164, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2469 QDialog::contextMenuEvent(QContextMenuEvent*)
    {164, 942, 667, 2, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2470 QDialog::eventFilter(QObject*, QEvent*)
    {172, 941, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2471 QFrame::event(QEvent*)
    {172, 1177, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2472 QFrame::paintEvent(QPaintEvent*)
    {172, 759, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2473 QFrame::changeEvent(QEvent*)
    {173, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 1},	//2474 QGlobalSpace::_CS_PATH (enum)
    {173, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 2},	//2475 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {173, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 3},	//2476 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {173, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 4},	//2477 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {173, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 5},	//2478 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {173, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 6},	//2479 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {173, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 7},	//2480 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {173, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 8},	//2481 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {173, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 9},	//2482 QGlobalSpace::_CS_LFS_LIBS (enum)
    {173, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 10},	//2483 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {173, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 11},	//2484 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {173, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 12},	//2485 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {173, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 13},	//2486 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {173, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 14},	//2487 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {173, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 15},	//2488 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {173, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 16},	//2489 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {173, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 17},	//2490 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {173, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 18},	//2491 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {173, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 19},	//2492 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {173, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 20},	//2493 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 21},	//2494 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {173, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 22},	//2495 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 23},	//2496 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {173, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 24},	//2497 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {173, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 25},	//2498 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {173, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 26},	//2499 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {173, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 27},	//2500 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 28},	//2501 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 29},	//2502 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {173, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 30},	//2503 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 31},	//2504 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {173, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 32},	//2505 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {173, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 33},	//2506 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {173, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 34},	//2507 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {173, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 35},	//2508 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {173, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 36},	//2509 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 37},	//2510 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {173, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 38},	//2511 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 39},	//2512 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {173, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 40},	//2513 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {173, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 41},	//2514 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {173, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 42},	//2515 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {173, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 43},	//2516 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 44},	//2517 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 45},	//2518 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {173, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 46},	//2519 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 47},	//2520 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {173, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 48},	//2521 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {173, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 49},	//2522 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {173, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 50},	//2523 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {173, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 51},	//2524 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {173, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 52},	//2525 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 53},	//2526 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {173, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 54},	//2527 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 55},	//2528 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {173, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 56},	//2529 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {173, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 57},	//2530 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {173, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 58},	//2531 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {173, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 59},	//2532 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 60},	//2533 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 61},	//2534 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {173, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 62},	//2535 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 63},	//2536 QGlobalSpace::_CS_V6_ENV (enum)
    {173, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 64},	//2537 QGlobalSpace::_CS_V7_ENV (enum)
    {173, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 65},	//2538 QGlobalSpace::LicensedXml (enum)
    {173, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 66},	//2539 QGlobalSpace::QtDebugMsg (enum)
    {173, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 67},	//2540 QGlobalSpace::QtWarningMsg (enum)
    {173, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 68},	//2541 QGlobalSpace::QtCriticalMsg (enum)
    {173, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 69},	//2542 QGlobalSpace::QtFatalMsg (enum)
    {173, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 70},	//2543 QGlobalSpace::QtSystemMsg (enum)
    {173, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 71},	//2544 QGlobalSpace::LicensedOpenGL (enum)
    {173, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 72},	//2545 QGlobalSpace::LicensedQt3Support (enum)
    {173, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 73},	//2546 QGlobalSpace::LicensedOpenVG (enum)
    {173, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 74},	//2547 QGlobalSpace::LicensedNetwork (enum)
    {173, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 75},	//2548 QGlobalSpace::LicensedSql (enum)
    {173, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 76},	//2549 QGlobalSpace::LicensedCore (enum)
    {173, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 77},	//2550 QGlobalSpace::LicensedSvg (enum)
    {173, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 78},	//2551 QGlobalSpace::LicensedXmlPatterns (enum)
    {173, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 79},	//2552 QGlobalSpace::LicensedGui (enum)
    {173, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 80},	//2553 QGlobalSpace::LicensedDeclarative (enum)
    {173, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 81},	//2554 QGlobalSpace::LicensedActiveQt (enum)
    {173, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 82},	//2555 QGlobalSpace::LicensedDBus (enum)
    {173, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 382, 83},	//2556 QGlobalSpace::LicensedTest (enum)
    {173, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 84},	//2557 QGlobalSpace::LicensedScriptTools (enum)
    {173, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 85},	//2558 QGlobalSpace::LicensedQt3SupportLight (enum)
    {173, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 86},	//2559 QGlobalSpace::__codecvt_ok (enum)
    {173, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 87},	//2560 QGlobalSpace::__codecvt_partial (enum)
    {173, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 88},	//2561 QGlobalSpace::__codecvt_error (enum)
    {173, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 89},	//2562 QGlobalSpace::__codecvt_noconv (enum)
    {173, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 90},	//2563 QGlobalSpace::LicensedScript (enum)
    {173, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 91},	//2564 QGlobalSpace::LicensedMultimedia (enum)
    {173, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 92},	//2565 QGlobalSpace::LicensedHelp (enum)
    {183, 1671, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2566 QListView::visualRect(const QModelIndex&) const
    {183, 1263, 737, 2, Smoke::mf_virtual, 0, 0},	//2567 QListView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {183, 1017, 740, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2568 QListView::indexAt(const QPoint&) const
    {183, 895, 0, 0, Smoke::mf_virtual, 0, 0},	//2569 QListView::doItemsLayout()
    {183, 1226, 0, 0, Smoke::mf_virtual, 0, 0},	//2570 QListView::reset()
    {183, 1526, 95, 1, Smoke::mf_virtual, 0, 0},	//2571 QListView::setRootIndex(const QModelIndex&)
    {183, 941, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2572 QListView::event(QEvent*)
    {183, 1262, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2573 QListView::scrollContentsBy(int, int)
    {183, 873, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2574 QListView::dataChanged(const QModelIndex&, const QModelIndex&)
    {183, 1252, 742, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2575 QListView::rowsInserted(const QModelIndex&, int, int)
    {183, 1251, 742, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2576 QListView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {183, 1154, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2577 QListView::mouseMoveEvent(QMouseEvent*)
    {183, 1156, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2578 QListView::mouseReleaseEvent(QMouseEvent*)
    {183, 1627, 448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2579 QListView::timerEvent(QTimerEvent*)
    {183, 1227, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2580 QListView::resizeEvent(QResizeEvent*)
    {183, 907, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2581 QListView::dragLeaveEvent(QDragLeaveEvent*)
    {183, 1667, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 281, 0},	//2582 QListView::viewOptions() const
    {183, 1177, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2583 QListView::paintEvent(QPaintEvent*)
    {183, 998, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 0},	//2584 QListView::horizontalOffset() const
    {183, 1663, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 0},	//2585 QListView::verticalOffset() const
    {183, 1157, 746, 2, Smoke::mf_protected|Smoke::mf_virtual, 261, 0},	//2586 QListView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {183, 1527, 749, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2587 QListView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {183, 1672, 701, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 271, 0},	//2588 QListView::visualRegionForSelection(const QItemSelection&) const
    {183, 1268, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 256, 0},	//2589 QListView::selectedIndexes() const
    {183, 1653, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2590 QListView::updateGeometries()
    {183, 1056, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2591 QListView::isIndexHidden(const QModelIndex&) const
    {183, 1270, 752, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2592 QListView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {191, 941, 721, 1, Smoke::mf_virtual, 388, 0},	//2593 QObject::event(QEvent*)
    {191, 942, 667, 2, Smoke::mf_virtual, 388, 0},	//2594 QObject::eventFilter(QObject*, QEvent*)
    {191, 1627, 448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2595 QObject::timerEvent(QTimerEvent*)
    {191, 763, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2596 QObject::childEvent(QChildEvent*)
    {191, 868, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2597 QObject::customEvent(QEvent*)
    {191, 828, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2598 QObject::connectNotify(const char*)
    {191, 890, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2599 QObject::disconnectNotify(const char*)
    {204, 1537, 159, 1, Smoke::mf_virtual, 0, 0},	//2600 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {204, 1127, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2601 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {204, 1123, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2602 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {204, 1126, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2603 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {204, 1125, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2604 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {204, 969, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2605 QSortFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {204, 967, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2606 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {204, 1113, 289, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2607 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {204, 1014, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2608 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {204, 1179, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2609 QSortFilterProxyModel::parent(const QModelIndex&) const
    {204, 1249, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2610 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {204, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2611 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {204, 987, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 0},	//2612 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {204, 870, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2613 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {204, 1368, 108, 3, Smoke::mf_virtual, 388, 0},	//2614 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {204, 992, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2615 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {204, 1409, 218, 4, Smoke::mf_virtual, 388, 0},	//2616 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {204, 1136, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 0},	//2617 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {204, 915, 225, 5, Smoke::mf_virtual, 388, 0},	//2618 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {204, 1026, 104, 3, Smoke::mf_virtual, 388, 0},	//2619 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {204, 1025, 104, 3, Smoke::mf_virtual, 388, 0},	//2620 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {204, 1220, 104, 3, Smoke::mf_virtual, 388, 0},	//2621 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {204, 1217, 104, 3, Smoke::mf_virtual, 388, 0},	//2622 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {204, 961, 95, 1, Smoke::mf_virtual, 0, 0},	//2623 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {204, 747, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 0},	//2624 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {204, 973, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 0},	//2625 QSortFilterProxyModel::flags(const QModelIndex&) const
    {204, 743, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2626 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {204, 1129, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//2627 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {204, 1588, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2628 QSortFilterProxyModel::span(const QModelIndex&) const
    {204, 1587, 706, 2, Smoke::mf_virtual, 0, 0},	//2629 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {204, 1145, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 0},	//2630 QSortFilterProxyModel::mimeTypes() const
    {204, 1612, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//2631 QSortFilterProxyModel::supportedDropActions() const
    {207, 1577, 755, 2, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2632 QStyledItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {207, 854, 758, 3, Smoke::mf_const|Smoke::mf_virtual, 292, 0},	//2633 QStyledItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {207, 1383, 762, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2634 QStyledItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {207, 1474, 765, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2635 QStyledItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {207, 1652, 758, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2636 QStyledItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {207, 892, 769, 2, Smoke::mf_const|Smoke::mf_virtual, 277, 0},	//2637 QStyledItemDelegate::displayText(const QVariant&, const QLocale&) const
    {207, 942, 667, 2, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2638 QStyledItemDelegate::eventFilter(QObject*, QEvent*)
    {207, 923, 772, 4, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2639 QStyledItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {210, 1526, 95, 1, Smoke::mf_virtual, 0, 0},	//2640 QTreeView::setRootIndex(const QModelIndex&)
    {210, 1530, 616, 1, Smoke::mf_virtual, 0, 0},	//2641 QTreeView::setSelectionModel(QItemSelectionModel*)
    {210, 1110, 8, 1, Smoke::mf_virtual, 0, 0},	//2642 QTreeView::keyboardSearch(const QString&)
    {210, 1671, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2643 QTreeView::visualRect(const QModelIndex&) const
    {210, 1263, 737, 2, Smoke::mf_virtual, 0, 0},	//2644 QTreeView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {210, 1017, 740, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2645 QTreeView::indexAt(const QPoint&) const
    {210, 895, 0, 0, Smoke::mf_virtual, 0, 0},	//2646 QTreeView::doItemsLayout()
    {210, 1226, 0, 0, Smoke::mf_virtual, 0, 0},	//2647 QTreeView::reset()
    {210, 873, 289, 2, Smoke::mf_virtual, 0, 0},	//2648 QTreeView::dataChanged(const QModelIndex&, const QModelIndex&)
    {210, 1264, 0, 0, Smoke::mf_virtual, 0, 0},	//2649 QTreeView::selectAll()
    {210, 1262, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2650 QTreeView::scrollContentsBy(int, int)
    {210, 1252, 742, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2651 QTreeView::rowsInserted(const QModelIndex&, int, int)
    {210, 1251, 742, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2652 QTreeView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {210, 1157, 746, 2, Smoke::mf_protected|Smoke::mf_virtual, 261, 0},	//2653 QTreeView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {210, 998, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 0},	//2654 QTreeView::horizontalOffset() const
    {210, 1663, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 0},	//2655 QTreeView::verticalOffset() const
    {210, 1527, 749, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2656 QTreeView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {210, 1672, 701, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 271, 0},	//2657 QTreeView::visualRegionForSelection(const QItemSelection&) const
    {210, 1268, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 256, 0},	//2658 QTreeView::selectedIndexes() const
    {210, 1627, 448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2659 QTreeView::timerEvent(QTimerEvent*)
    {210, 1177, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2660 QTreeView::paintEvent(QPaintEvent*)
    {210, 912, 272, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2661 QTreeView::drawRow(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {210, 911, 777, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2662 QTreeView::drawBranches(QPainter*, const QRect&, const QModelIndex&) const
    {210, 1155, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2663 QTreeView::mousePressEvent(QMouseEvent*)
    {210, 1156, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2664 QTreeView::mouseReleaseEvent(QMouseEvent*)
    {210, 1153, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2665 QTreeView::mouseDoubleClickEvent(QMouseEvent*)
    {210, 1154, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2666 QTreeView::mouseMoveEvent(QMouseEvent*)
    {210, 1108, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2667 QTreeView::keyPressEvent(QKeyEvent*)
    {210, 909, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2668 QTreeView::dragMoveEvent(QDragMoveEvent*)
    {210, 1669, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2669 QTreeView::viewportEvent(QEvent*)
    {210, 1653, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2670 QTreeView::updateGeometries()
    {210, 1578, 41, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 0},	//2671 QTreeView::sizeHintForColumn(int) const
    {210, 999, 41, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2672 QTreeView::horizontalScrollbarAction(int)
    {210, 1056, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2673 QTreeView::isIndexHidden(const QModelIndex&) const
    {210, 1270, 752, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2674 QTreeView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {214, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 0},	//2675 QWidget::metaObject() const
    {214, 1200, 21, 1, Smoke::mf_virtual, 485, 0},	//2676 QWidget::qt_metacast(const char*)
    {214, 1198, 30, 3, Smoke::mf_virtual, 476, 0},	//2677 QWidget::qt_metacall(QMetaObject::Call, int, void**)
    {214, 885, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2678 QWidget::devType() const
    {214, 1561, 45, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2679 QWidget::setVisible(bool)
    {214, 1577, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 276, 0},	//2680 QWidget::sizeHint() const
    {214, 1147, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 276, 0},	//2681 QWidget::minimumSizeHint() const
    {214, 995, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2682 QWidget::heightForWidth(int) const
    {214, 1176, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 266, 0},	//2683 QWidget::paintEngine() const
    {214, 941, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2684 QWidget::event(QEvent*)
    {214, 1155, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2685 QWidget::mousePressEvent(QMouseEvent*)
    {214, 1156, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2686 QWidget::mouseReleaseEvent(QMouseEvent*)
    {214, 1153, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2687 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {214, 1154, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2688 QWidget::mouseMoveEvent(QMouseEvent*)
    {214, 1677, 679, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2689 QWidget::wheelEvent(QWheelEvent*)
    {214, 1108, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2690 QWidget::keyPressEvent(QKeyEvent*)
    {214, 1109, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2691 QWidget::keyReleaseEvent(QKeyEvent*)
    {214, 975, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2692 QWidget::focusInEvent(QFocusEvent*)
    {214, 977, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2693 QWidget::focusOutEvent(QFocusEvent*)
    {214, 928, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2694 QWidget::enterEvent(QEvent*)
    {214, 1112, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2695 QWidget::leaveEvent(QEvent*)
    {214, 1177, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2696 QWidget::paintEvent(QPaintEvent*)
    {214, 1158, 781, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2697 QWidget::moveEvent(QMoveEvent*)
    {214, 1227, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2698 QWidget::resizeEvent(QResizeEvent*)
    {214, 778, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2699 QWidget::closeEvent(QCloseEvent*)
    {214, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2700 QWidget::contextMenuEvent(QContextMenuEvent*)
    {214, 1625, 783, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2701 QWidget::tabletEvent(QTabletEvent*)
    {214, 687, 785, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2702 QWidget::actionEvent(QActionEvent*)
    {214, 906, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2703 QWidget::dragEnterEvent(QDragEnterEvent*)
    {214, 909, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2704 QWidget::dragMoveEvent(QDragMoveEvent*)
    {214, 907, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2705 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {214, 913, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2706 QWidget::dropEvent(QDropEvent*)
    {214, 1570, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2707 QWidget::showEvent(QShowEvent*)
    {214, 996, 693, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2708 QWidget::hideEvent(QHideEvent*)
    {214, 1684, 787, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2709 QWidget::x11Event(_XEvent*)
    {214, 759, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2710 QWidget::changeEvent(QEvent*)
    {214, 1135, 789, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 0},	//2711 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {214, 1023, 731, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2712 QWidget::inputMethodEvent(QInputMethodEvent*)
    {214, 1024, 709, 1, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2713 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {214, 976, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2714 QWidget::focusNextPrevChild(bool)
    {214, 1609, 791, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2715 QWidget::styleChange(QStyle&)
    {214, 927, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2716 QWidget::enabledChange(bool)
    {214, 1178, 793, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2717 QWidget::paletteChange(const QPalette&)
    {214, 978, 795, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2718 QWidget::fontChange(const QFont&)
    {214, 1681, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2719 QWidget::windowActivationChange(bool)
    {214, 1111, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2720 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1845,  // Akonadi::Monitor::Monitor(QObject*)
    1896,  // Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    0,
    1315,  // Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    1339,  // Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    0,
    1324,  // Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    1325,  // Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    0,
    1328,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    1329,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    0,
    1326,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    1327,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    0,
    708,  // Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    721,  // Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    0,
    741,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    742,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    0,
    1393,  // Akonadi::Item::Item(long long)
    1394,  // Akonadi::Item::Item(const QString&)
    0,
    345,  // Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    358,  // Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    0,
    1473,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    1475,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    0,
    1466,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    1468,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    0,
    1112,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    1113,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    1114,  // Akonadi::Entity::d_func()
    1115,  // Akonadi::Entity::d_func() const
    0,
    1103,  // Akonadi::Entity::parentCollection() const
    1104,  // Akonadi::Entity::parentCollection()
    0,
    580,  // Akonadi::CollectionModel::CollectionModel(QObject*)
    609,  // Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    0,
    522,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&)
    524,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&)
    0,
    523,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type)
    525,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type)
    0,
    506,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*)
    507,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*)
    0,
    1970,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    1971,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    0,
    806,  // Akonadi::CollectionView::CollectionView(QWidget*)
    822,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    823,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    0,
    807,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    808,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    0,
    1688,  // Akonadi::ItemView::ItemView(QWidget*)
    1703,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    1704,  // Akonadi::ItemView::ItemView(KXMLGUIClient*)
    0,
    1689,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    1690,  // Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    0,
    875,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    884,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    473,  // Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    490,  // Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    0,
    2097,  // Akonadi::Session::Session(const QByteArray&)
    2098,  // Akonadi::Session::Session(Akonadi::SessionPrivate*)
    0,
    2088,  // Akonadi::Session::Session(const QByteArray&, QObject*)
    2099,  // Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    0,
    1499,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    1500,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    0,
    1485,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    1486,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    0,
    1501,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&)
    1502,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&)
    0,
    1487,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&, QObject*)
    1488,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&, QObject*)
    0,
    1490,  // Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    1491,  // Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    0,
    1357,  // Akonadi::Exception::Exception(const QByteArray&)
    1359,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    1356,  // Akonadi::Exception::Exception(const char*)
    1358,  // Akonadi::Exception::Exception(const QString&)
    0,
    1149,  // Akonadi::EntityListView::EntityListView(QWidget*)
    1169,  // Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    0,
    1155,  // Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    1156,  // Akonadi::EntityListView::clicked(const Akonadi::Item&)
    0,
    1159,  // Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    1160,  // Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    0,
    1157,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    1158,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    0,
    1922,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    1925,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    1921,  // Akonadi::PayloadException::PayloadException(const char*)
    1923,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
    1212,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    1268,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    0,
    1251,  // Akonadi::EntityTreeModel::d_func()
    1252,  // Akonadi::EntityTreeModel::d_func() const
    0,
    1266,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    1267,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    0,
    1245,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    1246,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    0,
    1249,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    1250,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    0,
    852,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    863,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    407,  // Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    419,  // Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 5, 15},	// Akonadi::AddressAttribute::AddressAttribute
    {4, 6, 14},	// Akonadi::AddressAttribute::AddressAttribute#
    {4, 7, 16},	// Akonadi::AddressAttribute::AddressAttribute$
    {4, 8, 17},	// Akonadi::AddressAttribute::AddressAttribute$?
    {4, 9, 18},	// Akonadi::AddressAttribute::AddressAttribute$??
    {4, 10, 1},	// Akonadi::AddressAttribute::AddressAttribute$???
    {4, 742, 12},	// Akonadi::AddressAttribute::bcc
    {4, 754, 10},	// Akonadi::AddressAttribute::cc
    {4, 776, 2},	// Akonadi::AddressAttribute::clone
    {4, 882, 5},	// Akonadi::AddressAttribute::deserialize#
    {4, 979, 6},	// Akonadi::AddressAttribute::from
    {4, 1282, 4},	// Akonadi::AddressAttribute::serialized
    {4, 1305, 13},	// Akonadi::AddressAttribute::setBcc?
    {4, 1316, 11},	// Akonadi::AddressAttribute::setCc?
    {4, 1403, 7},	// Akonadi::AddressAttribute::setFrom$
    {4, 1548, 9},	// Akonadi::AddressAttribute::setTo?
    {4, 1630, 8},	// Akonadi::AddressAttribute::to
    {4, 1639, 3},	// Akonadi::AddressAttribute::type
    {4, 1685, 19},	// Akonadi::AddressAttribute::~AddressAttribute
    {5, 18, 58},	// Akonadi::AgentBase::AgentBase#$
    {5, 19, 50},	// Akonadi::AgentBase::AgentBase$
    {5, 60, 66},	// Akonadi::AgentBase::Broken
    {5, 290, 64},	// Akonadi::AgentBase::Idle
    {5, 451, 67},	// Akonadi::AgentBase::NotConfigured
    {5, 518, 65},	// Akonadi::AgentBase::Running
    {5, 679, 45},	// Akonadi::AgentBase::abortRequested
    {5, 680, 51},	// Akonadi::AgentBase::aboutToQuit
    {5, 718, 44},	// Akonadi::AgentBase::advancedStatus?
    {5, 720, 37},	// Akonadi::AgentBase::agentName
    {5, 722, 39},	// Akonadi::AgentBase::agentNameChanged$
    {5, 760, 54},	// Akonadi::AgentBase::changeProcessed
    {5, 761, 52},	// Akonadi::AgentBase::changeRecorder
    {5, 764, 34},	// Akonadi::AgentBase::cleanup
    {5, 821, 38},	// Akonadi::AgentBase::componentData
    {5, 822, 53},	// Akonadi::AgentBase::config
    {5, 823, 48},	// Akonadi::AgentBase::configurationDialogAccepted
    {5, 824, 49},	// Akonadi::AgentBase::configurationDialogRejected
    {5, 827, 31},	// Akonadi::AgentBase::configure$
    {5, 899, 59},	// Akonadi::AgentBase::doSetOnline$
    {5, 939, 43},	// Akonadi::AgentBase::error$
    {5, 1004, 33},	// Akonadi::AgentBase::identifier
    {5, 1058, 55},	// Akonadi::AgentBase::isOnline
    {5, 1134, 20},	// Akonadi::AgentBase::metaObject
    {5, 1164, 47},	// Akonadi::AgentBase::onlineChanged$
    {5, 1189, 41},	// Akonadi::AgentBase::percent$
    {5, 1195, 29},	// Akonadi::AgentBase::progress
    {5, 1197, 30},	// Akonadi::AgentBase::progressMessage
    {5, 1199, 26},	// Akonadi::AgentBase::qt_metacall$$?
    {5, 1201, 21},	// Akonadi::AgentBase::qt_metacast$
    {5, 1206, 35},	// Akonadi::AgentBase::registerObserver#
    {5, 1210, 46},	// Akonadi::AgentBase::reloadConfiguration
    {5, 1292, 36},	// Akonadi::AgentBase::setAgentName$
    {5, 1480, 56},	// Akonadi::AgentBase::setNeedsNetwork$
    {5, 1482, 57},	// Akonadi::AgentBase::setOnline$
    {5, 1597, 63},	// Akonadi::AgentBase::staticMetaObject
    {5, 1599, 27},	// Akonadi::AgentBase::status
    {5, 1600, 62},	// Akonadi::AgentBase::status$
    {5, 1601, 40},	// Akonadi::AgentBase::status$$
    {5, 1602, 28},	// Akonadi::AgentBase::statusMessage
    {5, 1632, 60},	// Akonadi::AgentBase::tr$
    {5, 1633, 22},	// Akonadi::AgentBase::tr$$
    {5, 1634, 24},	// Akonadi::AgentBase::tr$$$
    {5, 1636, 61},	// Akonadi::AgentBase::trUtf8$
    {5, 1637, 23},	// Akonadi::AgentBase::trUtf8$$
    {5, 1638, 25},	// Akonadi::AgentBase::trUtf8$$$
    {5, 1675, 42},	// Akonadi::AgentBase::warning$
    {5, 1680, 32},	// Akonadi::AgentBase::winIdForDialogs
    {5, 1686, 68},	// Akonadi::AgentBase::~AgentBase
    {6, 453, 69},	// Akonadi::AgentBase::Observer::Observer
    {6, 454, 76},	// Akonadi::AgentBase::Observer::Observer#
    {6, 781, 73},	// Akonadi::AgentBase::Observer::collectionAdded##
    {6, 785, 74},	// Akonadi::AgentBase::Observer::collectionChanged#
    {6, 799, 75},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {6, 1074, 70},	// Akonadi::AgentBase::Observer::itemAdded##
    {6, 1077, 71},	// Akonadi::AgentBase::Observer::itemChanged#?
    {6, 1090, 72},	// Akonadi::AgentBase::Observer::itemRemoved#
    {6, 1770, 77},	// Akonadi::AgentBase::Observer::~Observer
    {7, 455, 84},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {7, 456, 85},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {7, 785, 78},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {7, 786, 83},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {7, 797, 82},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {7, 1083, 80},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {7, 1087, 79},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {7, 1097, 81},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {7, 1771, 86},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {9, 20, 102},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {9, 21, 94},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {9, 696, 96},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {9, 704, 95},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {9, 769, 97},	// Akonadi::AgentFilterProxyModel::clearFilters
    {9, 944, 98},	// Akonadi::AgentFilterProxyModel::excludeCapabilities$
    {9, 970, 99},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {9, 1134, 87},	// Akonadi::AgentFilterProxyModel::metaObject
    {9, 1199, 93},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {9, 1201, 88},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {9, 1597, 103},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {9, 1632, 100},	// Akonadi::AgentFilterProxyModel::tr$
    {9, 1633, 89},	// Akonadi::AgentFilterProxyModel::tr$$
    {9, 1634, 91},	// Akonadi::AgentFilterProxyModel::tr$$$
    {9, 1636, 101},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {9, 1637, 90},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {9, 1638, 92},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {9, 1687, 104},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {10, 22, 105},	// Akonadi::AgentInstance::AgentInstance
    {10, 23, 106},	// Akonadi::AgentInstance::AgentInstance#
    {10, 60, 128},	// Akonadi::AgentInstance::Broken
    {10, 290, 126},	// Akonadi::AgentInstance::Idle
    {10, 451, 129},	// Akonadi::AgentInstance::NotConfigured
    {10, 518, 127},	// Akonadi::AgentInstance::Running
    {10, 678, 122},	// Akonadi::AgentInstance::abortCurrentTask
    {10, 825, 125},	// Akonadi::AgentInstance::configure
    {10, 826, 117},	// Akonadi::AgentInstance::configure#
    {10, 1004, 109},	// Akonadi::AgentInstance::identifier
    {10, 1058, 115},	// Akonadi::AgentInstance::isOnline
    {10, 1062, 107},	// Akonadi::AgentInstance::isValid
    {10, 1159, 110},	// Akonadi::AgentInstance::name
    {10, 1170, 120},	// Akonadi::AgentInstance::operator=#
    {10, 1172, 121},	// Akonadi::AgentInstance::operator==#
    {10, 1195, 114},	// Akonadi::AgentInstance::progress
    {10, 1203, 123},	// Akonadi::AgentInstance::reconfigure
    {10, 1232, 124},	// Akonadi::AgentInstance::restart
    {10, 1437, 116},	// Akonadi::AgentInstance::setIsOnline$
    {10, 1478, 111},	// Akonadi::AgentInstance::setName$
    {10, 1599, 112},	// Akonadi::AgentInstance::status
    {10, 1602, 113},	// Akonadi::AgentInstance::statusMessage
    {10, 1614, 118},	// Akonadi::AgentInstance::synchronize
    {10, 1622, 119},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {10, 1639, 108},	// Akonadi::AgentInstance::type
    {10, 1688, 130},	// Akonadi::AgentInstance::~AgentInstance
    {11, 25, 145},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {11, 26, 138},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {11, 27, 146},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$
    {11, 28, 139},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$#
    {11, 825, 147},	// Akonadi::AgentInstanceCreateJob::configure
    {11, 826, 140},	// Akonadi::AgentInstanceCreateJob::configure#
    {11, 1027, 141},	// Akonadi::AgentInstanceCreateJob::instance
    {11, 1134, 131},	// Akonadi::AgentInstanceCreateJob::metaObject
    {11, 1199, 137},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {11, 1201, 132},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {11, 1589, 142},	// Akonadi::AgentInstanceCreateJob::start
    {11, 1597, 148},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {11, 1632, 143},	// Akonadi::AgentInstanceCreateJob::tr$
    {11, 1633, 133},	// Akonadi::AgentInstanceCreateJob::tr$$
    {11, 1634, 135},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {11, 1636, 144},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {11, 1637, 134},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {11, 1638, 136},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {11, 1689, 149},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {12, 29, 168},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {12, 30, 157},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {12, 74, 179},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {12, 217, 177},	// Akonadi::AgentInstanceModel::DescriptionRole
    {12, 300, 181},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {12, 301, 180},	// Akonadi::AgentInstanceModel::InstanceRole
    {12, 405, 178},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {12, 462, 185},	// Akonadi::AgentInstanceModel::OnlineRole
    {12, 488, 184},	// Akonadi::AgentInstanceModel::ProgressRole
    {12, 554, 183},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {12, 555, 182},	// Akonadi::AgentInstanceModel::StatusRole
    {12, 587, 176},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {12, 588, 175},	// Akonadi::AgentInstanceModel::TypeRole
    {12, 605, 186},	// Akonadi::AgentInstanceModel::UserRole
    {12, 817, 169},	// Akonadi::AgentInstanceModel::columnCount
    {12, 818, 158},	// Akonadi::AgentInstanceModel::columnCount#
    {12, 871, 171},	// Akonadi::AgentInstanceModel::data#
    {12, 872, 160},	// Akonadi::AgentInstanceModel::data#$
    {12, 974, 164},	// Akonadi::AgentInstanceModel::flags#
    {12, 993, 172},	// Akonadi::AgentInstanceModel::headerData$$
    {12, 994, 161},	// Akonadi::AgentInstanceModel::headerData$$$
    {12, 1015, 173},	// Akonadi::AgentInstanceModel::index$$
    {12, 1016, 162},	// Akonadi::AgentInstanceModel::index$$#
    {12, 1134, 150},	// Akonadi::AgentInstanceModel::metaObject
    {12, 1180, 163},	// Akonadi::AgentInstanceModel::parent#
    {12, 1199, 156},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {12, 1201, 151},	// Akonadi::AgentInstanceModel::qt_metacast$
    {12, 1249, 170},	// Akonadi::AgentInstanceModel::rowCount
    {12, 1250, 159},	// Akonadi::AgentInstanceModel::rowCount#
    {12, 1370, 165},	// Akonadi::AgentInstanceModel::setData##$
    {12, 1597, 174},	// Akonadi::AgentInstanceModel::staticMetaObject
    {12, 1632, 166},	// Akonadi::AgentInstanceModel::tr$
    {12, 1633, 152},	// Akonadi::AgentInstanceModel::tr$$
    {12, 1634, 154},	// Akonadi::AgentInstanceModel::tr$$$
    {12, 1636, 167},	// Akonadi::AgentInstanceModel::trUtf8$
    {12, 1637, 153},	// Akonadi::AgentInstanceModel::trUtf8$$
    {12, 1638, 155},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {12, 1690, 187},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {13, 31, 205},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {13, 32, 195},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {13, 719, 198},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {13, 775, 202},	// Akonadi::AgentInstanceWidget::clicked#
    {13, 860, 196},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {13, 864, 200},	// Akonadi::AgentInstanceWidget::currentChanged##
    {13, 905, 201},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {13, 1134, 188},	// Akonadi::AgentInstanceWidget::metaObject
    {13, 1199, 194},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {13, 1201, 189},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {13, 1265, 197},	// Akonadi::AgentInstanceWidget::selectedAgentInstances
    {13, 1597, 206},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {13, 1632, 203},	// Akonadi::AgentInstanceWidget::tr$
    {13, 1633, 190},	// Akonadi::AgentInstanceWidget::tr$$
    {13, 1634, 192},	// Akonadi::AgentInstanceWidget::tr$$$
    {13, 1636, 204},	// Akonadi::AgentInstanceWidget::trUtf8$
    {13, 1637, 191},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {13, 1638, 193},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {13, 1666, 199},	// Akonadi::AgentInstanceWidget::view
    {13, 1691, 207},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {14, 1028, 219},	// Akonadi::AgentManager::instance$
    {14, 1030, 225},	// Akonadi::AgentManager::instanceAdded#
    {14, 1032, 230},	// Akonadi::AgentManager::instanceError#$
    {14, 1034, 229},	// Akonadi::AgentManager::instanceNameChanged#
    {14, 1036, 232},	// Akonadi::AgentManager::instanceOnline#$
    {14, 1038, 228},	// Akonadi::AgentManager::instanceProgressChanged#
    {14, 1040, 226},	// Akonadi::AgentManager::instanceRemoved#
    {14, 1042, 227},	// Akonadi::AgentManager::instanceStatusChanged#
    {14, 1044, 231},	// Akonadi::AgentManager::instanceWarning#$
    {14, 1045, 218},	// Akonadi::AgentManager::instances
    {14, 1134, 208},	// Akonadi::AgentManager::metaObject
    {14, 1199, 214},	// Akonadi::AgentManager::qt_metacall$$?
    {14, 1201, 209},	// Akonadi::AgentManager::qt_metacast$
    {14, 1219, 220},	// Akonadi::AgentManager::removeInstance#
    {14, 1273, 215},	// Akonadi::AgentManager::self
    {14, 1597, 235},	// Akonadi::AgentManager::staticMetaObject
    {14, 1616, 221},	// Akonadi::AgentManager::synchronizeCollection#
    {14, 1617, 222},	// Akonadi::AgentManager::synchronizeCollection#$
    {14, 1632, 233},	// Akonadi::AgentManager::tr$
    {14, 1633, 210},	// Akonadi::AgentManager::tr$$
    {14, 1634, 212},	// Akonadi::AgentManager::tr$$$
    {14, 1636, 234},	// Akonadi::AgentManager::trUtf8$
    {14, 1637, 211},	// Akonadi::AgentManager::trUtf8$$
    {14, 1638, 213},	// Akonadi::AgentManager::trUtf8$$$
    {14, 1640, 217},	// Akonadi::AgentManager::type$
    {14, 1642, 223},	// Akonadi::AgentManager::typeAdded#
    {14, 1645, 224},	// Akonadi::AgentManager::typeRemoved#
    {14, 1646, 216},	// Akonadi::AgentManager::types
    {14, 1692, 236},	// Akonadi::AgentManager::~AgentManager
    {15, 33, 237},	// Akonadi::AgentType::AgentType
    {15, 34, 238},	// Akonadi::AgentType::AgentType#
    {15, 753, 246},	// Akonadi::AgentType::capabilities
    {15, 880, 242},	// Akonadi::AgentType::description
    {15, 1001, 244},	// Akonadi::AgentType::icon
    {15, 1002, 243},	// Akonadi::AgentType::iconName
    {15, 1004, 240},	// Akonadi::AgentType::identifier
    {15, 1062, 239},	// Akonadi::AgentType::isValid
    {15, 1145, 245},	// Akonadi::AgentType::mimeTypes
    {15, 1159, 241},	// Akonadi::AgentType::name
    {15, 1170, 247},	// Akonadi::AgentType::operator=#
    {15, 1172, 248},	// Akonadi::AgentType::operator==#
    {15, 1693, 249},	// Akonadi::AgentType::~AgentType
    {16, 35, 263},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {16, 36, 257},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {16, 719, 259},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {16, 723, 258},	// Akonadi::AgentTypeDialog::agentType
    {16, 903, 260},	// Akonadi::AgentTypeDialog::done$
    {16, 1134, 250},	// Akonadi::AgentTypeDialog::metaObject
    {16, 1199, 256},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {16, 1201, 251},	// Akonadi::AgentTypeDialog::qt_metacast$
    {16, 1597, 264},	// Akonadi::AgentTypeDialog::staticMetaObject
    {16, 1632, 261},	// Akonadi::AgentTypeDialog::tr$
    {16, 1633, 252},	// Akonadi::AgentTypeDialog::tr$$
    {16, 1634, 254},	// Akonadi::AgentTypeDialog::tr$$$
    {16, 1636, 262},	// Akonadi::AgentTypeDialog::trUtf8$
    {16, 1637, 253},	// Akonadi::AgentTypeDialog::trUtf8$$
    {16, 1638, 255},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {16, 1694, 265},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {17, 37, 282},	// Akonadi::AgentTypeModel::AgentTypeModel
    {17, 38, 273},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {17, 74, 292},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {17, 217, 290},	// Akonadi::AgentTypeModel::DescriptionRole
    {17, 289, 289},	// Akonadi::AgentTypeModel::IdentifierRole
    {17, 405, 291},	// Akonadi::AgentTypeModel::MimeTypesRole
    {17, 588, 288},	// Akonadi::AgentTypeModel::TypeRole
    {17, 605, 293},	// Akonadi::AgentTypeModel::UserRole
    {17, 817, 283},	// Akonadi::AgentTypeModel::columnCount
    {17, 818, 274},	// Akonadi::AgentTypeModel::columnCount#
    {17, 871, 285},	// Akonadi::AgentTypeModel::data#
    {17, 872, 276},	// Akonadi::AgentTypeModel::data#$
    {17, 974, 279},	// Akonadi::AgentTypeModel::flags#
    {17, 1015, 286},	// Akonadi::AgentTypeModel::index$$
    {17, 1016, 277},	// Akonadi::AgentTypeModel::index$$#
    {17, 1134, 266},	// Akonadi::AgentTypeModel::metaObject
    {17, 1180, 278},	// Akonadi::AgentTypeModel::parent#
    {17, 1199, 272},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {17, 1201, 267},	// Akonadi::AgentTypeModel::qt_metacast$
    {17, 1249, 284},	// Akonadi::AgentTypeModel::rowCount
    {17, 1250, 275},	// Akonadi::AgentTypeModel::rowCount#
    {17, 1597, 287},	// Akonadi::AgentTypeModel::staticMetaObject
    {17, 1632, 280},	// Akonadi::AgentTypeModel::tr$
    {17, 1633, 268},	// Akonadi::AgentTypeModel::tr$$
    {17, 1634, 270},	// Akonadi::AgentTypeModel::tr$$$
    {17, 1636, 281},	// Akonadi::AgentTypeModel::trUtf8$
    {17, 1637, 269},	// Akonadi::AgentTypeModel::trUtf8$$
    {17, 1638, 271},	// Akonadi::AgentTypeModel::trUtf8$$$
    {17, 1695, 294},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {18, 39, 309},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {18, 40, 302},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {18, 689, 306},	// Akonadi::AgentTypeWidget::activated
    {18, 719, 304},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {18, 861, 303},	// Akonadi::AgentTypeWidget::currentAgentType
    {18, 864, 305},	// Akonadi::AgentTypeWidget::currentChanged##
    {18, 1134, 295},	// Akonadi::AgentTypeWidget::metaObject
    {18, 1199, 301},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {18, 1201, 296},	// Akonadi::AgentTypeWidget::qt_metacast$
    {18, 1597, 310},	// Akonadi::AgentTypeWidget::staticMetaObject
    {18, 1632, 307},	// Akonadi::AgentTypeWidget::tr$
    {18, 1633, 297},	// Akonadi::AgentTypeWidget::tr$$
    {18, 1634, 299},	// Akonadi::AgentTypeWidget::tr$$$
    {18, 1636, 308},	// Akonadi::AgentTypeWidget::trUtf8$
    {18, 1637, 298},	// Akonadi::AgentTypeWidget::trUtf8$$
    {18, 1638, 300},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {18, 1696, 311},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {19, 51, 316},	// Akonadi::Attribute::Attribute
    {19, 52, 317},	// Akonadi::Attribute::Attribute#
    {19, 776, 313},	// Akonadi::Attribute::clone
    {19, 882, 315},	// Akonadi::Attribute::deserialize#
    {19, 1282, 314},	// Akonadi::Attribute::serialized
    {19, 1639, 312},	// Akonadi::Attribute::type
    {19, 1697, 318},	// Akonadi::Attribute::~Attribute
    {20, 53, 320},	// Akonadi::AttributeFactory::AttributeFactory
    {20, 54, 321},	// Akonadi::AttributeFactory::AttributeFactory#
    {20, 853, 319},	// Akonadi::AttributeFactory::createAttribute#
    {20, 1698, 322},	// Akonadi::AttributeFactory::~AttributeFactory
    {21, 63, 323},	// Akonadi::CachePolicy::CachePolicy
    {21, 64, 324},	// Akonadi::CachePolicy::CachePolicy#
    {21, 746, 329},	// Akonadi::CachePolicy::cacheTimeout
    {21, 1020, 325},	// Akonadi::CachePolicy::inheritFromParent
    {21, 1049, 331},	// Akonadi::CachePolicy::intervalCheckTime
    {21, 1121, 327},	// Akonadi::CachePolicy::localParts
    {21, 1170, 335},	// Akonadi::CachePolicy::operator=#
    {21, 1172, 336},	// Akonadi::CachePolicy::operator==#
    {21, 1311, 330},	// Akonadi::CachePolicy::setCacheTimeout$
    {21, 1433, 326},	// Akonadi::CachePolicy::setInheritFromParent$
    {21, 1435, 332},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {21, 1460, 328},	// Akonadi::CachePolicy::setLocalParts?
    {21, 1546, 334},	// Akonadi::CachePolicy::setSyncOnDemand$
    {21, 1613, 333},	// Akonadi::CachePolicy::syncOnDemand
    {21, 1699, 337},	// Akonadi::CachePolicy::~CachePolicy
    {22, 75, 357},	// Akonadi::ChangeRecorder::ChangeRecorder
    {22, 76, -25},	// Akonadi::ChangeRecorder::ChangeRecorder#
    {22, 77, 354},	// Akonadi::ChangeRecorder::ChangeRecorder##
    {22, 760, 348},	// Akonadi::ChangeRecorder::changeProcessed
    {22, 762, 352},	// Akonadi::ChangeRecorder::changesAdded
    {22, 917, 350},	// Akonadi::ChangeRecorder::dumpNotificationListToString
    {22, 1054, 347},	// Akonadi::ChangeRecorder::isEmpty
    {22, 1134, 338},	// Akonadi::ChangeRecorder::metaObject
    {22, 1162, 353},	// Akonadi::ChangeRecorder::nothingToReplay
    {22, 1199, 344},	// Akonadi::ChangeRecorder::qt_metacall$$?
    {22, 1201, 339},	// Akonadi::ChangeRecorder::qt_metacast$
    {22, 1225, 351},	// Akonadi::ChangeRecorder::replayNext
    {22, 1318, 349},	// Akonadi::ChangeRecorder::setChangeRecordingEnabled$
    {22, 1345, 346},	// Akonadi::ChangeRecorder::setConfig#
    {22, 1597, 359},	// Akonadi::ChangeRecorder::staticMetaObject
    {22, 1632, 355},	// Akonadi::ChangeRecorder::tr$
    {22, 1633, 340},	// Akonadi::ChangeRecorder::tr$$
    {22, 1634, 342},	// Akonadi::ChangeRecorder::tr$$$
    {22, 1636, 356},	// Akonadi::ChangeRecorder::trUtf8$
    {22, 1637, 341},	// Akonadi::ChangeRecorder::trUtf8$$
    {22, 1638, 343},	// Akonadi::ChangeRecorder::trUtf8$$$
    {22, 1700, 360},	// Akonadi::ChangeRecorder::~ChangeRecorder
    {24, 43, 396},	// Akonadi::Collection::AllRights
    {24, 65, 391},	// Akonadi::Collection::CanChangeCollection
    {24, 66, 388},	// Akonadi::Collection::CanChangeItem
    {24, 67, 392},	// Akonadi::Collection::CanCreateCollection
    {24, 68, 389},	// Akonadi::Collection::CanCreateItem
    {24, 69, 393},	// Akonadi::Collection::CanDeleteCollection
    {24, 70, 390},	// Akonadi::Collection::CanDeleteItem
    {24, 71, 394},	// Akonadi::Collection::CanLinkItem
    {24, 72, 395},	// Akonadi::Collection::CanUnlinkItem
    {24, 81, 361},	// Akonadi::Collection::Collection
    {24, 82, 363},	// Akonadi::Collection::Collection#
    {24, 83, 362},	// Akonadi::Collection::Collection$
    {24, 497, 387},	// Akonadi::Collection::ReadOnly
    {24, 595, 397},	// Akonadi::Collection::UrlShort
    {24, 597, 398},	// Akonadi::Collection::UrlWithName
    {24, 745, 380},	// Akonadi::Collection::cachePolicy
    {24, 842, 369},	// Akonadi::Collection::contentMimeTypes
    {24, 981, 364},	// Akonadi::Collection::fromUrl#
    {24, 1063, 386},	// Akonadi::Collection::isVirtual
    {24, 1138, 377},	// Akonadi::Collection::mimeType
    {24, 1159, 365},	// Akonadi::Collection::name
    {24, 1179, 371},	// Akonadi::Collection::parent
    {24, 1182, 374},	// Akonadi::Collection::parentRemoteId
    {24, 1228, 378},	// Akonadi::Collection::resource
    {24, 1245, 367},	// Akonadi::Collection::rights
    {24, 1247, 376},	// Akonadi::Collection::root
    {24, 1309, 381},	// Akonadi::Collection::setCachePolicy#
    {24, 1359, 370},	// Akonadi::Collection::setContentMimeTypes?
    {24, 1478, 366},	// Akonadi::Collection::setName$
    {24, 1488, 373},	// Akonadi::Collection::setParent#
    {24, 1489, 372},	// Akonadi::Collection::setParent$
    {24, 1493, 375},	// Akonadi::Collection::setParentRemoteId$
    {24, 1516, 379},	// Akonadi::Collection::setResource$
    {24, 1523, 368},	// Akonadi::Collection::setRights$
    {24, 1540, 383},	// Akonadi::Collection::setStatistics#
    {24, 1598, 382},	// Akonadi::Collection::statistics
    {24, 1657, 384},	// Akonadi::Collection::url
    {24, 1658, 385},	// Akonadi::Collection::url$
    {24, 1701, 399},	// Akonadi::Collection::~Collection
    {25, 85, 418},	// Akonadi::CollectionComboBox::CollectionComboBox
    {25, 86, -141},	// Akonadi::CollectionComboBox::CollectionComboBox#
    {25, 87, 408},	// Akonadi::CollectionComboBox::CollectionComboBox##
    {25, 684, 412},	// Akonadi::CollectionComboBox::accessRightsFilter
    {25, 863, 415},	// Akonadi::CollectionComboBox::currentChanged#
    {25, 865, 414},	// Akonadi::CollectionComboBox::currentCollection
    {25, 1134, 400},	// Akonadi::CollectionComboBox::metaObject
    {25, 1140, 410},	// Akonadi::CollectionComboBox::mimeTypeFilter
    {25, 1199, 406},	// Akonadi::CollectionComboBox::qt_metacall$$?
    {25, 1201, 401},	// Akonadi::CollectionComboBox::qt_metacast$
    {25, 1286, 411},	// Akonadi::CollectionComboBox::setAccessRightsFilter$
    {25, 1374, 413},	// Akonadi::CollectionComboBox::setDefaultCollection#
    {25, 1468, 409},	// Akonadi::CollectionComboBox::setMimeTypeFilter?
    {25, 1597, 420},	// Akonadi::CollectionComboBox::staticMetaObject
    {25, 1632, 416},	// Akonadi::CollectionComboBox::tr$
    {25, 1633, 402},	// Akonadi::CollectionComboBox::tr$$
    {25, 1634, 404},	// Akonadi::CollectionComboBox::tr$$$
    {25, 1636, 417},	// Akonadi::CollectionComboBox::trUtf8$
    {25, 1637, 403},	// Akonadi::CollectionComboBox::trUtf8$$
    {25, 1638, 405},	// Akonadi::CollectionComboBox::trUtf8$$$
    {25, 1702, 421},	// Akonadi::CollectionComboBox::~CollectionComboBox
    {26, 89, 433},	// Akonadi::CollectionCopyJob::CollectionCopyJob##
    {26, 90, 429},	// Akonadi::CollectionCopyJob::CollectionCopyJob###
    {26, 900, 430},	// Akonadi::CollectionCopyJob::doStart
    {26, 1134, 422},	// Akonadi::CollectionCopyJob::metaObject
    {26, 1199, 428},	// Akonadi::CollectionCopyJob::qt_metacall$$?
    {26, 1201, 423},	// Akonadi::CollectionCopyJob::qt_metacast$
    {26, 1597, 434},	// Akonadi::CollectionCopyJob::staticMetaObject
    {26, 1632, 431},	// Akonadi::CollectionCopyJob::tr$
    {26, 1633, 424},	// Akonadi::CollectionCopyJob::tr$$
    {26, 1634, 426},	// Akonadi::CollectionCopyJob::tr$$$
    {26, 1636, 432},	// Akonadi::CollectionCopyJob::trUtf8$
    {26, 1637, 425},	// Akonadi::CollectionCopyJob::trUtf8$$
    {26, 1638, 427},	// Akonadi::CollectionCopyJob::trUtf8$$$
    {26, 1703, 435},	// Akonadi::CollectionCopyJob::~CollectionCopyJob
    {27, 92, 449},	// Akonadi::CollectionCreateJob::CollectionCreateJob#
    {27, 93, 443},	// Akonadi::CollectionCreateJob::CollectionCreateJob##
    {27, 779, 444},	// Akonadi::CollectionCreateJob::collection
    {27, 894, 446},	// Akonadi::CollectionCreateJob::doHandleResponse##
    {27, 900, 445},	// Akonadi::CollectionCreateJob::doStart
    {27, 1134, 436},	// Akonadi::CollectionCreateJob::metaObject
    {27, 1199, 442},	// Akonadi::CollectionCreateJob::qt_metacall$$?
    {27, 1201, 437},	// Akonadi::CollectionCreateJob::qt_metacast$
    {27, 1597, 450},	// Akonadi::CollectionCreateJob::staticMetaObject
    {27, 1632, 447},	// Akonadi::CollectionCreateJob::tr$
    {27, 1633, 438},	// Akonadi::CollectionCreateJob::tr$$
    {27, 1634, 440},	// Akonadi::CollectionCreateJob::tr$$$
    {27, 1636, 448},	// Akonadi::CollectionCreateJob::trUtf8$
    {27, 1637, 439},	// Akonadi::CollectionCreateJob::trUtf8$$
    {27, 1638, 441},	// Akonadi::CollectionCreateJob::trUtf8$$$
    {27, 1704, 451},	// Akonadi::CollectionCreateJob::~CollectionCreateJob
    {28, 95, 463},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob#
    {28, 96, 459},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob##
    {28, 900, 460},	// Akonadi::CollectionDeleteJob::doStart
    {28, 1134, 452},	// Akonadi::CollectionDeleteJob::metaObject
    {28, 1199, 458},	// Akonadi::CollectionDeleteJob::qt_metacall$$?
    {28, 1201, 453},	// Akonadi::CollectionDeleteJob::qt_metacast$
    {28, 1597, 464},	// Akonadi::CollectionDeleteJob::staticMetaObject
    {28, 1632, 461},	// Akonadi::CollectionDeleteJob::tr$
    {28, 1633, 454},	// Akonadi::CollectionDeleteJob::tr$$
    {28, 1634, 456},	// Akonadi::CollectionDeleteJob::tr$$$
    {28, 1636, 462},	// Akonadi::CollectionDeleteJob::trUtf8$
    {28, 1637, 455},	// Akonadi::CollectionDeleteJob::trUtf8$$
    {28, 1638, 457},	// Akonadi::CollectionDeleteJob::trUtf8$$$
    {28, 1705, 465},	// Akonadi::CollectionDeleteJob::~CollectionDeleteJob
    {29, 44, 495},	// Akonadi::CollectionDialog::AllowToCreateNewChildCollection
    {29, 98, 489},	// Akonadi::CollectionDialog::CollectionDialog
    {29, 99, -75},	// Akonadi::CollectionDialog::CollectionDialog#
    {29, 100, 474},	// Akonadi::CollectionDialog::CollectionDialog##
    {29, 101, 491},	// Akonadi::CollectionDialog::CollectionDialog$
    {29, 102, 492},	// Akonadi::CollectionDialog::CollectionDialog$#
    {29, 103, 475},	// Akonadi::CollectionDialog::CollectionDialog$##
    {29, 450, 494},	// Akonadi::CollectionDialog::None
    {29, 684, 479},	// Akonadi::CollectionDialog::accessRightsFilter
    {29, 756, 486},	// Akonadi::CollectionDialog::changeCollectionDialogOptions$
    {29, 1134, 466},	// Akonadi::CollectionDialog::metaObject
    {29, 1140, 477},	// Akonadi::CollectionDialog::mimeTypeFilter
    {29, 1199, 472},	// Akonadi::CollectionDialog::qt_metacall$$?
    {29, 1201, 467},	// Akonadi::CollectionDialog::qt_metacast$
    {29, 1266, 484},	// Akonadi::CollectionDialog::selectedCollection
    {29, 1267, 485},	// Akonadi::CollectionDialog::selectedCollections
    {29, 1272, 483},	// Akonadi::CollectionDialog::selectionMode
    {29, 1286, 478},	// Akonadi::CollectionDialog::setAccessRightsFilter$
    {29, 1374, 481},	// Akonadi::CollectionDialog::setDefaultCollection#
    {29, 1378, 480},	// Akonadi::CollectionDialog::setDescription$
    {29, 1468, 476},	// Akonadi::CollectionDialog::setMimeTypeFilter?
    {29, 1529, 482},	// Akonadi::CollectionDialog::setSelectionMode$
    {29, 1597, 493},	// Akonadi::CollectionDialog::staticMetaObject
    {29, 1632, 487},	// Akonadi::CollectionDialog::tr$
    {29, 1633, 468},	// Akonadi::CollectionDialog::tr$$
    {29, 1634, 470},	// Akonadi::CollectionDialog::tr$$$
    {29, 1636, 488},	// Akonadi::CollectionDialog::trUtf8$
    {29, 1637, 469},	// Akonadi::CollectionDialog::trUtf8$$
    {29, 1638, 471},	// Akonadi::CollectionDialog::trUtf8$$$
    {29, 1706, 496},	// Akonadi::CollectionDialog::~CollectionDialog
    {30, 56, 529},	// Akonadi::CollectionFetchJob::Base
    {30, 105, 520},	// Akonadi::CollectionFetchJob::CollectionFetchJob#
    {30, 106, 521},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$
    {30, 107, 504},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$#
    {30, 108, -46},	// Akonadi::CollectionFetchJob::CollectionFetchJob?
    {30, 109, 505},	// Akonadi::CollectionFetchJob::CollectionFetchJob?#
    {30, 110, -49},	// Akonadi::CollectionFetchJob::CollectionFetchJob?$
    {30, 111, -52},	// Akonadi::CollectionFetchJob::CollectionFetchJob?$#
    {30, 278, 530},	// Akonadi::CollectionFetchJob::FirstLevel
    {30, 449, 532},	// Akonadi::CollectionFetchJob::NonOverlappingRoots
    {30, 499, 531},	// Akonadi::CollectionFetchJob::Recursive
    {30, 808, 508},	// Akonadi::CollectionFetchJob::collections
    {30, 811, 514},	// Akonadi::CollectionFetchJob::collectionsReceived?
    {30, 894, 516},	// Akonadi::CollectionFetchJob::doHandleResponse##
    {30, 900, 515},	// Akonadi::CollectionFetchJob::doStart
    {30, 966, 513},	// Akonadi::CollectionFetchJob::fetchScope
    {30, 1009, 527},	// Akonadi::CollectionFetchJob::includeStatistics
    {30, 1010, 511},	// Akonadi::CollectionFetchJob::includeStatistics$
    {30, 1011, 526},	// Akonadi::CollectionFetchJob::includeUnsubscribed
    {30, 1012, 510},	// Akonadi::CollectionFetchJob::includeUnsubscribed$
    {30, 1134, 497},	// Akonadi::CollectionFetchJob::metaObject
    {30, 1199, 503},	// Akonadi::CollectionFetchJob::qt_metacall$$?
    {30, 1201, 498},	// Akonadi::CollectionFetchJob::qt_metacast$
    {30, 1397, 512},	// Akonadi::CollectionFetchJob::setFetchScope#
    {30, 1516, 509},	// Akonadi::CollectionFetchJob::setResource$
    {30, 1584, 517},	// Akonadi::CollectionFetchJob::slotResult#
    {30, 1597, 528},	// Akonadi::CollectionFetchJob::staticMetaObject
    {30, 1632, 518},	// Akonadi::CollectionFetchJob::tr$
    {30, 1633, 499},	// Akonadi::CollectionFetchJob::tr$$
    {30, 1634, 501},	// Akonadi::CollectionFetchJob::tr$$$
    {30, 1636, 519},	// Akonadi::CollectionFetchJob::trUtf8$
    {30, 1637, 500},	// Akonadi::CollectionFetchJob::trUtf8$$
    {30, 1638, 502},	// Akonadi::CollectionFetchJob::trUtf8$$$
    {30, 1707, 533},	// Akonadi::CollectionFetchJob::~CollectionFetchJob
    {31, 41, 551},	// Akonadi::CollectionFetchScope::All
    {31, 112, 534},	// Akonadi::CollectionFetchScope::CollectionFetchScope
    {31, 113, 535},	// Akonadi::CollectionFetchScope::CollectionFetchScope#
    {31, 450, 549},	// Akonadi::CollectionFetchScope::None
    {31, 464, 550},	// Akonadi::CollectionFetchScope::Parent
    {31, 728, 547},	// Akonadi::CollectionFetchScope::ancestorRetrieval
    {31, 842, 545},	// Akonadi::CollectionFetchScope::contentMimeTypes
    {31, 1009, 540},	// Akonadi::CollectionFetchScope::includeStatistics
    {31, 1011, 538},	// Akonadi::CollectionFetchScope::includeUnsubscribed
    {31, 1013, 537},	// Akonadi::CollectionFetchScope::includeUnubscribed
    {31, 1054, 548},	// Akonadi::CollectionFetchScope::isEmpty
    {31, 1170, 536},	// Akonadi::CollectionFetchScope::operator=#
    {31, 1228, 542},	// Akonadi::CollectionFetchScope::resource
    {31, 1296, 546},	// Akonadi::CollectionFetchScope::setAncestorRetrieval$
    {31, 1359, 544},	// Akonadi::CollectionFetchScope::setContentMimeTypes?
    {31, 1427, 541},	// Akonadi::CollectionFetchScope::setIncludeStatistics$
    {31, 1429, 539},	// Akonadi::CollectionFetchScope::setIncludeUnsubscribed$
    {31, 1516, 543},	// Akonadi::CollectionFetchScope::setResource$
    {31, 1708, 552},	// Akonadi::CollectionFetchScope::~CollectionFetchScope
    {32, 114, 570},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel
    {32, 115, 560},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel#
    {32, 704, 562},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilter$
    {32, 706, 561},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilters?
    {32, 769, 565},	// Akonadi::CollectionFilterProxyModel::clearFilters
    {32, 970, 567},	// Akonadi::CollectionFilterProxyModel::filterAcceptsRow$#
    {32, 974, 566},	// Akonadi::CollectionFilterProxyModel::flags#
    {32, 1134, 553},	// Akonadi::CollectionFilterProxyModel::metaObject
    {32, 1141, 563},	// Akonadi::CollectionFilterProxyModel::mimeTypeFilters
    {32, 1199, 559},	// Akonadi::CollectionFilterProxyModel::qt_metacall$$?
    {32, 1201, 554},	// Akonadi::CollectionFilterProxyModel::qt_metacast$
    {32, 1385, 564},	// Akonadi::CollectionFilterProxyModel::setExcludeVirtualCollections$
    {32, 1597, 571},	// Akonadi::CollectionFilterProxyModel::staticMetaObject
    {32, 1632, 568},	// Akonadi::CollectionFilterProxyModel::tr$
    {32, 1633, 555},	// Akonadi::CollectionFilterProxyModel::tr$$
    {32, 1634, 557},	// Akonadi::CollectionFilterProxyModel::tr$$$
    {32, 1636, 569},	// Akonadi::CollectionFilterProxyModel::trUtf8$
    {32, 1637, 556},	// Akonadi::CollectionFilterProxyModel::trUtf8$$
    {32, 1638, 558},	// Akonadi::CollectionFilterProxyModel::trUtf8$$$
    {32, 1709, 572},	// Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel
    {33, 116, 613},	// Akonadi::CollectionModel::CollectionIdRole
    {33, 117, 600},	// Akonadi::CollectionModel::CollectionModel
    {33, 118, -43},	// Akonadi::CollectionModel::CollectionModel#
    {33, 119, 597},	// Akonadi::CollectionModel::CollectionModel##
    {33, 143, 614},	// Akonadi::CollectionModel::CollectionRole
    {33, 458, 611},	// Akonadi::CollectionModel::OldCollectionIdRole
    {33, 459, 612},	// Akonadi::CollectionModel::OldCollectionRole
    {33, 605, 615},	// Akonadi::CollectionModel::UserRole
    {33, 792, 596},	// Akonadi::CollectionModel::collectionForId?
    {33, 817, 602},	// Akonadi::CollectionModel::columnCount
    {33, 818, 583},	// Akonadi::CollectionModel::columnCount#
    {33, 871, 603},	// Akonadi::CollectionModel::data#
    {33, 872, 584},	// Akonadi::CollectionModel::data#$
    {33, 916, 594},	// Akonadi::CollectionModel::dropMimeData#$$$#
    {33, 957, 581},	// Akonadi::CollectionModel::fetchCollectionStatistics$
    {33, 974, 591},	// Akonadi::CollectionModel::flags#
    {33, 993, 606},	// Akonadi::CollectionModel::headerData$$
    {33, 994, 588},	// Akonadi::CollectionModel::headerData$$$
    {33, 1011, 601},	// Akonadi::CollectionModel::includeUnsubscribed
    {33, 1012, 582},	// Akonadi::CollectionModel::includeUnsubscribed$
    {33, 1015, 604},	// Akonadi::CollectionModel::index$$
    {33, 1016, 585},	// Akonadi::CollectionModel::index$$#
    {33, 1134, 573},	// Akonadi::CollectionModel::metaObject
    {33, 1137, 593},	// Akonadi::CollectionModel::mimeData?
    {33, 1145, 595},	// Akonadi::CollectionModel::mimeTypes
    {33, 1180, 586},	// Akonadi::CollectionModel::parent#
    {33, 1199, 579},	// Akonadi::CollectionModel::qt_metacall$$?
    {33, 1201, 574},	// Akonadi::CollectionModel::qt_metacast$
    {33, 1249, 605},	// Akonadi::CollectionModel::rowCount
    {33, 1250, 587},	// Akonadi::CollectionModel::rowCount#
    {33, 1369, 608},	// Akonadi::CollectionModel::setData##
    {33, 1370, 590},	// Akonadi::CollectionModel::setData##$
    {33, 1410, 607},	// Akonadi::CollectionModel::setHeaderData$$#
    {33, 1411, 589},	// Akonadi::CollectionModel::setHeaderData$$#$
    {33, 1597, 610},	// Akonadi::CollectionModel::staticMetaObject
    {33, 1612, 592},	// Akonadi::CollectionModel::supportedDropActions
    {33, 1632, 598},	// Akonadi::CollectionModel::tr$
    {33, 1633, 575},	// Akonadi::CollectionModel::tr$$
    {33, 1634, 577},	// Akonadi::CollectionModel::tr$$$
    {33, 1636, 599},	// Akonadi::CollectionModel::trUtf8$
    {33, 1637, 576},	// Akonadi::CollectionModel::trUtf8$$
    {33, 1638, 578},	// Akonadi::CollectionModel::trUtf8$$$
    {33, 1710, 616},	// Akonadi::CollectionModel::~CollectionModel
    {35, 121, 629},	// Akonadi::CollectionModifyJob::CollectionModifyJob#
    {35, 122, 624},	// Akonadi::CollectionModifyJob::CollectionModifyJob##
    {35, 779, 625},	// Akonadi::CollectionModifyJob::collection
    {35, 900, 626},	// Akonadi::CollectionModifyJob::doStart
    {35, 1134, 617},	// Akonadi::CollectionModifyJob::metaObject
    {35, 1199, 623},	// Akonadi::CollectionModifyJob::qt_metacall$$?
    {35, 1201, 618},	// Akonadi::CollectionModifyJob::qt_metacast$
    {35, 1597, 630},	// Akonadi::CollectionModifyJob::staticMetaObject
    {35, 1632, 627},	// Akonadi::CollectionModifyJob::tr$
    {35, 1633, 619},	// Akonadi::CollectionModifyJob::tr$$
    {35, 1634, 621},	// Akonadi::CollectionModifyJob::tr$$$
    {35, 1636, 628},	// Akonadi::CollectionModifyJob::trUtf8$
    {35, 1637, 620},	// Akonadi::CollectionModifyJob::trUtf8$$
    {35, 1638, 622},	// Akonadi::CollectionModifyJob::trUtf8$$$
    {35, 1711, 631},	// Akonadi::CollectionModifyJob::~CollectionModifyJob
    {36, 124, 643},	// Akonadi::CollectionMoveJob::CollectionMoveJob##
    {36, 125, 639},	// Akonadi::CollectionMoveJob::CollectionMoveJob###
    {36, 900, 640},	// Akonadi::CollectionMoveJob::doStart
    {36, 1134, 632},	// Akonadi::CollectionMoveJob::metaObject
    {36, 1199, 638},	// Akonadi::CollectionMoveJob::qt_metacall$$?
    {36, 1201, 633},	// Akonadi::CollectionMoveJob::qt_metacast$
    {36, 1597, 644},	// Akonadi::CollectionMoveJob::staticMetaObject
    {36, 1632, 641},	// Akonadi::CollectionMoveJob::tr$
    {36, 1633, 634},	// Akonadi::CollectionMoveJob::tr$$
    {36, 1634, 636},	// Akonadi::CollectionMoveJob::tr$$$
    {36, 1636, 642},	// Akonadi::CollectionMoveJob::trUtf8$
    {36, 1637, 635},	// Akonadi::CollectionMoveJob::trUtf8$$
    {36, 1638, 637},	// Akonadi::CollectionMoveJob::trUtf8$$$
    {36, 1712, 645},	// Akonadi::CollectionMoveJob::~CollectionMoveJob
    {37, 62, 664},	// Akonadi::CollectionPropertiesDialog::CachePage
    {37, 128, 660},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#
    {37, 129, 653},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog##
    {37, 130, 661},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?
    {37, 131, 654},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?#
    {37, 282, 663},	// Akonadi::CollectionPropertiesDialog::GeneralPage
    {37, 875, 657},	// Akonadi::CollectionPropertiesDialog::defaultPageObjectName$
    {37, 1134, 646},	// Akonadi::CollectionPropertiesDialog::metaObject
    {37, 1199, 652},	// Akonadi::CollectionPropertiesDialog::qt_metacall$$?
    {37, 1201, 647},	// Akonadi::CollectionPropertiesDialog::qt_metacast$
    {37, 1208, 655},	// Akonadi::CollectionPropertiesDialog::registerPage#
    {37, 1597, 662},	// Akonadi::CollectionPropertiesDialog::staticMetaObject
    {37, 1632, 658},	// Akonadi::CollectionPropertiesDialog::tr$
    {37, 1633, 648},	// Akonadi::CollectionPropertiesDialog::tr$$
    {37, 1634, 650},	// Akonadi::CollectionPropertiesDialog::tr$$$
    {37, 1636, 659},	// Akonadi::CollectionPropertiesDialog::trUtf8$
    {37, 1637, 649},	// Akonadi::CollectionPropertiesDialog::trUtf8$$
    {37, 1638, 651},	// Akonadi::CollectionPropertiesDialog::trUtf8$$$
    {37, 1662, 656},	// Akonadi::CollectionPropertiesDialog::useDefaultPage$
    {37, 1713, 665},	// Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog
    {38, 132, 681},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage
    {38, 133, 673},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage#
    {38, 750, 676},	// Akonadi::CollectionPropertiesPage::canHandle#
    {38, 1115, 674},	// Akonadi::CollectionPropertiesPage::load#
    {38, 1134, 666},	// Akonadi::CollectionPropertiesPage::metaObject
    {38, 1173, 678},	// Akonadi::CollectionPropertiesPage::pageTitle
    {38, 1199, 672},	// Akonadi::CollectionPropertiesPage::qt_metacall$$?
    {38, 1201, 667},	// Akonadi::CollectionPropertiesPage::qt_metacast$
    {38, 1254, 675},	// Akonadi::CollectionPropertiesPage::save#
    {38, 1486, 677},	// Akonadi::CollectionPropertiesPage::setPageTitle$
    {38, 1597, 682},	// Akonadi::CollectionPropertiesPage::staticMetaObject
    {38, 1632, 679},	// Akonadi::CollectionPropertiesPage::tr$
    {38, 1633, 668},	// Akonadi::CollectionPropertiesPage::tr$$
    {38, 1634, 670},	// Akonadi::CollectionPropertiesPage::tr$$$
    {38, 1636, 680},	// Akonadi::CollectionPropertiesPage::trUtf8$
    {38, 1637, 669},	// Akonadi::CollectionPropertiesPage::trUtf8$$
    {38, 1638, 671},	// Akonadi::CollectionPropertiesPage::trUtf8$$$
    {38, 1714, 683},	// Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage
    {39, 134, 685},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory
    {39, 135, 686},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory#
    {39, 857, 687},	// Akonadi::CollectionPropertiesPageFactory::createWidget
    {39, 858, 684},	// Akonadi::CollectionPropertiesPageFactory::createWidget#
    {39, 1715, 688},	// Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory
    {40, 136, 689},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute
    {40, 137, 699},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute#
    {40, 138, 690},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute$$
    {40, 776, 696},	// Akonadi::CollectionQuotaAttribute::clone
    {40, 867, 693},	// Akonadi::CollectionQuotaAttribute::currentValue
    {40, 882, 698},	// Akonadi::CollectionQuotaAttribute::deserialize#
    {40, 1133, 694},	// Akonadi::CollectionQuotaAttribute::maximumValue
    {40, 1282, 697},	// Akonadi::CollectionQuotaAttribute::serialized
    {40, 1367, 691},	// Akonadi::CollectionQuotaAttribute::setCurrentValue$
    {40, 1464, 692},	// Akonadi::CollectionQuotaAttribute::setMaximumValue$
    {40, 1639, 695},	// Akonadi::CollectionQuotaAttribute::type
    {40, 1716, 700},	// Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute
    {41, 140, 720},	// Akonadi::CollectionRequester::CollectionRequester
    {41, 141, -16},	// Akonadi::CollectionRequester::CollectionRequester#
    {41, 142, 709},	// Akonadi::CollectionRequester::CollectionRequester##
    {41, 684, 714},	// Akonadi::CollectionRequester::accessRightsFilter
    {41, 756, 715},	// Akonadi::CollectionRequester::changeCollectionDialogOptions$
    {41, 779, 710},	// Akonadi::CollectionRequester::collection
    {41, 785, 717},	// Akonadi::CollectionRequester::collectionChanged#
    {41, 1134, 701},	// Akonadi::CollectionRequester::metaObject
    {41, 1140, 712},	// Akonadi::CollectionRequester::mimeTypeFilter
    {41, 1199, 707},	// Akonadi::CollectionRequester::qt_metacall$$?
    {41, 1201, 702},	// Akonadi::CollectionRequester::qt_metacast$
    {41, 1286, 713},	// Akonadi::CollectionRequester::setAccessRightsFilter$
    {41, 1320, 716},	// Akonadi::CollectionRequester::setCollection#
    {41, 1468, 711},	// Akonadi::CollectionRequester::setMimeTypeFilter?
    {41, 1597, 722},	// Akonadi::CollectionRequester::staticMetaObject
    {41, 1632, 718},	// Akonadi::CollectionRequester::tr$
    {41, 1633, 703},	// Akonadi::CollectionRequester::tr$$
    {41, 1634, 705},	// Akonadi::CollectionRequester::tr$$$
    {41, 1636, 719},	// Akonadi::CollectionRequester::trUtf8$
    {41, 1637, 704},	// Akonadi::CollectionRequester::trUtf8$$
    {41, 1638, 706},	// Akonadi::CollectionRequester::trUtf8$$$
    {41, 1717, 723},	// Akonadi::CollectionRequester::~CollectionRequester
    {42, 144, 724},	// Akonadi::CollectionStatistics::CollectionStatistics
    {42, 145, 725},	// Akonadi::CollectionStatistics::CollectionStatistics#
    {42, 845, 726},	// Akonadi::CollectionStatistics::count
    {42, 1170, 732},	// Akonadi::CollectionStatistics::operator=#
    {42, 1365, 727},	// Akonadi::CollectionStatistics::setCount$
    {42, 1536, 731},	// Akonadi::CollectionStatistics::setSize$
    {42, 1558, 729},	// Akonadi::CollectionStatistics::setUnreadCount$
    {42, 1576, 730},	// Akonadi::CollectionStatistics::size
    {42, 1648, 728},	// Akonadi::CollectionStatistics::unreadCount
    {42, 1718, 733},	// Akonadi::CollectionStatistics::~CollectionStatistics
    {43, 147, -19},	// Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate#
    {43, 1022, 749},	// Akonadi::CollectionStatisticsDelegate::initStyleOption##
    {43, 1134, 734},	// Akonadi::CollectionStatisticsDelegate::metaObject
    {43, 1175, 748},	// Akonadi::CollectionStatisticsDelegate::paint###
    {43, 1196, 747},	// Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled
    {43, 1199, 740},	// Akonadi::CollectionStatisticsDelegate::qt_metacall$$?
    {43, 1201, 735},	// Akonadi::CollectionStatisticsDelegate::qt_metacast$
    {43, 1500, 746},	// Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled$
    {43, 1560, 744},	// Akonadi::CollectionStatisticsDelegate::setUnreadCountShown$
    {43, 1597, 752},	// Akonadi::CollectionStatisticsDelegate::staticMetaObject
    {43, 1632, 750},	// Akonadi::CollectionStatisticsDelegate::tr$
    {43, 1633, 736},	// Akonadi::CollectionStatisticsDelegate::tr$$
    {43, 1634, 738},	// Akonadi::CollectionStatisticsDelegate::tr$$$
    {43, 1636, 751},	// Akonadi::CollectionStatisticsDelegate::trUtf8$
    {43, 1637, 737},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$
    {43, 1638, 739},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$$
    {43, 1649, 745},	// Akonadi::CollectionStatisticsDelegate::unreadCountShown
    {43, 1656, 743},	// Akonadi::CollectionStatisticsDelegate::updatePalette
    {43, 1719, 753},	// Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate
    {44, 149, 768},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob#
    {44, 150, 761},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob##
    {44, 779, 763},	// Akonadi::CollectionStatisticsJob::collection
    {44, 894, 765},	// Akonadi::CollectionStatisticsJob::doHandleResponse##
    {44, 900, 764},	// Akonadi::CollectionStatisticsJob::doStart
    {44, 1134, 754},	// Akonadi::CollectionStatisticsJob::metaObject
    {44, 1199, 760},	// Akonadi::CollectionStatisticsJob::qt_metacall$$?
    {44, 1201, 755},	// Akonadi::CollectionStatisticsJob::qt_metacast$
    {44, 1597, 769},	// Akonadi::CollectionStatisticsJob::staticMetaObject
    {44, 1598, 762},	// Akonadi::CollectionStatisticsJob::statistics
    {44, 1632, 766},	// Akonadi::CollectionStatisticsJob::tr$
    {44, 1633, 756},	// Akonadi::CollectionStatisticsJob::tr$$
    {44, 1634, 758},	// Akonadi::CollectionStatisticsJob::tr$$$
    {44, 1636, 767},	// Akonadi::CollectionStatisticsJob::trUtf8$
    {44, 1637, 757},	// Akonadi::CollectionStatisticsJob::trUtf8$$
    {44, 1638, 759},	// Akonadi::CollectionStatisticsJob::trUtf8$$$
    {44, 1720, 770},	// Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob
    {45, 151, 784},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel
    {45, 152, 778},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel#
    {45, 500, 796},	// Akonadi::CollectionStatisticsModel::RecursiveSizeRole
    {45, 501, 794},	// Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole
    {45, 502, 793},	// Akonadi::CollectionStatisticsModel::RecursiveTotalRole
    {45, 503, 792},	// Akonadi::CollectionStatisticsModel::RecursiveUnreadRole
    {45, 543, 795},	// Akonadi::CollectionStatisticsModel::SizeRole
    {45, 553, 791},	// Akonadi::CollectionStatisticsModel::StatisticsRole
    {45, 573, 790},	// Akonadi::CollectionStatisticsModel::TotalRole
    {45, 594, 789},	// Akonadi::CollectionStatisticsModel::UnreadRole
    {45, 605, 797},	// Akonadi::CollectionStatisticsModel::UserRole
    {45, 817, 785},	// Akonadi::CollectionStatisticsModel::columnCount
    {45, 818, 779},	// Akonadi::CollectionStatisticsModel::columnCount#
    {45, 871, 786},	// Akonadi::CollectionStatisticsModel::data#
    {45, 872, 780},	// Akonadi::CollectionStatisticsModel::data#$
    {45, 993, 787},	// Akonadi::CollectionStatisticsModel::headerData$$
    {45, 994, 781},	// Akonadi::CollectionStatisticsModel::headerData$$$
    {45, 1134, 771},	// Akonadi::CollectionStatisticsModel::metaObject
    {45, 1199, 777},	// Akonadi::CollectionStatisticsModel::qt_metacall$$?
    {45, 1201, 772},	// Akonadi::CollectionStatisticsModel::qt_metacast$
    {45, 1597, 788},	// Akonadi::CollectionStatisticsModel::staticMetaObject
    {45, 1632, 782},	// Akonadi::CollectionStatisticsModel::tr$
    {45, 1633, 773},	// Akonadi::CollectionStatisticsModel::tr$$
    {45, 1634, 775},	// Akonadi::CollectionStatisticsModel::tr$$$
    {45, 1636, 783},	// Akonadi::CollectionStatisticsModel::trUtf8$
    {45, 1637, 774},	// Akonadi::CollectionStatisticsModel::trUtf8$$
    {45, 1638, 776},	// Akonadi::CollectionStatisticsModel::trUtf8$$$
    {45, 1721, 798},	// Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel
    {46, 155, 821},	// Akonadi::CollectionView::CollectionView
    {46, 156, -58},	// Akonadi::CollectionView::CollectionView#
    {46, 157, -62},	// Akonadi::CollectionView::CollectionView##
    {46, 775, 812},	// Akonadi::CollectionView::clicked#
    {46, 844, 818},	// Akonadi::CollectionView::contextMenuEvent#
    {46, 863, 813},	// Akonadi::CollectionView::currentChanged#
    {46, 864, 814},	// Akonadi::CollectionView::currentChanged##
    {46, 908, 816},	// Akonadi::CollectionView::dragLeaveEvent#
    {46, 910, 815},	// Akonadi::CollectionView::dragMoveEvent#
    {46, 914, 817},	// Akonadi::CollectionView::dropEvent#
    {46, 1134, 799},	// Akonadi::CollectionView::metaObject
    {46, 1199, 805},	// Akonadi::CollectionView::qt_metacall$$?
    {46, 1201, 800},	// Akonadi::CollectionView::qt_metacast$
    {46, 1473, 811},	// Akonadi::CollectionView::setModel#
    {46, 1565, 810},	// Akonadi::CollectionView::setXmlGuiClient#
    {46, 1567, 809},	// Akonadi::CollectionView::setXmlGuiWindow#
    {46, 1597, 824},	// Akonadi::CollectionView::staticMetaObject
    {46, 1632, 819},	// Akonadi::CollectionView::tr$
    {46, 1633, 801},	// Akonadi::CollectionView::tr$$
    {46, 1634, 803},	// Akonadi::CollectionView::tr$$$
    {46, 1636, 820},	// Akonadi::CollectionView::trUtf8$
    {46, 1637, 802},	// Akonadi::CollectionView::trUtf8$$
    {46, 1638, 804},	// Akonadi::CollectionView::trUtf8$$$
    {46, 1722, 825},	// Akonadi::CollectionView::~CollectionView
    {47, 160, 842},	// Akonadi::ContactDefaultActions::ContactDefaultActions
    {47, 161, 833},	// Akonadi::ContactDefaultActions::ContactDefaultActions#
    {47, 831, 834},	// Akonadi::ContactDefaultActions::connectToView#
    {47, 887, 837},	// Akonadi::ContactDefaultActions::dialPhoneNumber#
    {47, 1134, 826},	// Akonadi::ContactDefaultActions::metaObject
    {47, 1199, 832},	// Akonadi::ContactDefaultActions::qt_metacall$$?
    {47, 1201, 827},	// Akonadi::ContactDefaultActions::qt_metacast$
    {47, 1275, 836},	// Akonadi::ContactDefaultActions::sendEmail$$
    {47, 1279, 838},	// Akonadi::ContactDefaultActions::sendSms#
    {47, 1569, 839},	// Akonadi::ContactDefaultActions::showAddress#
    {47, 1575, 835},	// Akonadi::ContactDefaultActions::showUrl#
    {47, 1597, 843},	// Akonadi::ContactDefaultActions::staticMetaObject
    {47, 1632, 840},	// Akonadi::ContactDefaultActions::tr$
    {47, 1633, 828},	// Akonadi::ContactDefaultActions::tr$$
    {47, 1634, 830},	// Akonadi::ContactDefaultActions::tr$$$
    {47, 1636, 841},	// Akonadi::ContactDefaultActions::trUtf8$
    {47, 1637, 829},	// Akonadi::ContactDefaultActions::trUtf8$$
    {47, 1638, 831},	// Akonadi::ContactDefaultActions::trUtf8$$$
    {47, 1723, 844},	// Akonadi::ContactDefaultActions::~ContactDefaultActions
    {48, 163, 862},	// Akonadi::ContactEditor::ContactEditor$
    {48, 164, -138},	// Akonadi::ContactEditor::ContactEditor$#
    {48, 165, 853},	// Akonadi::ContactEditor::ContactEditor$##
    {48, 206, 865},	// Akonadi::ContactEditor::CreateMode
    {48, 231, 866},	// Akonadi::ContactEditor::EditMode
    {48, 838, 858},	// Akonadi::ContactEditor::contactStored#
    {48, 939, 859},	// Akonadi::ContactEditor::error$
    {48, 1117, 856},	// Akonadi::ContactEditor::loadContact#
    {48, 1134, 845},	// Akonadi::ContactEditor::metaObject
    {48, 1199, 851},	// Akonadi::ContactEditor::qt_metacall$$?
    {48, 1201, 846},	// Akonadi::ContactEditor::qt_metacast$
    {48, 1255, 857},	// Akonadi::ContactEditor::saveContact
    {48, 1357, 854},	// Akonadi::ContactEditor::setContactTemplate#
    {48, 1372, 855},	// Akonadi::ContactEditor::setDefaultAddressBook#
    {48, 1597, 864},	// Akonadi::ContactEditor::staticMetaObject
    {48, 1632, 860},	// Akonadi::ContactEditor::tr$
    {48, 1633, 847},	// Akonadi::ContactEditor::tr$$
    {48, 1634, 849},	// Akonadi::ContactEditor::tr$$$
    {48, 1636, 861},	// Akonadi::ContactEditor::trUtf8$
    {48, 1637, 848},	// Akonadi::ContactEditor::trUtf8$$
    {48, 1638, 850},	// Akonadi::ContactEditor::trUtf8$$$
    {48, 1724, 867},	// Akonadi::ContactEditor::~ContactEditor
    {49, 167, 883},	// Akonadi::ContactEditorDialog::ContactEditorDialog$
    {49, 168, -72},	// Akonadi::ContactEditorDialog::ContactEditorDialog$#
    {49, 169, 876},	// Akonadi::ContactEditorDialog::ContactEditorDialog$##
    {49, 206, 886},	// Akonadi::ContactEditorDialog::CreateMode
    {49, 231, 887},	// Akonadi::ContactEditorDialog::EditMode
    {49, 838, 880},	// Akonadi::ContactEditorDialog::contactStored#
    {49, 921, 879},	// Akonadi::ContactEditorDialog::editor
    {49, 1134, 868},	// Akonadi::ContactEditorDialog::metaObject
    {49, 1199, 874},	// Akonadi::ContactEditorDialog::qt_metacall$$?
    {49, 1201, 869},	// Akonadi::ContactEditorDialog::qt_metacast$
    {49, 1347, 877},	// Akonadi::ContactEditorDialog::setContact#
    {49, 1372, 878},	// Akonadi::ContactEditorDialog::setDefaultAddressBook#
    {49, 1597, 885},	// Akonadi::ContactEditorDialog::staticMetaObject
    {49, 1632, 881},	// Akonadi::ContactEditorDialog::tr$
    {49, 1633, 870},	// Akonadi::ContactEditorDialog::tr$$
    {49, 1634, 872},	// Akonadi::ContactEditorDialog::tr$$$
    {49, 1636, 882},	// Akonadi::ContactEditorDialog::trUtf8$
    {49, 1637, 871},	// Akonadi::ContactEditorDialog::trUtf8$$
    {49, 1638, 873},	// Akonadi::ContactEditorDialog::trUtf8$$$
    {49, 1725, 888},	// Akonadi::ContactEditorDialog::~ContactEditorDialog
    {50, 170, 893},	// Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin
    {50, 1117, 890},	// Akonadi::ContactEditorPagePlugin::loadContact#
    {50, 1510, 892},	// Akonadi::ContactEditorPagePlugin::setReadOnly$
    {50, 1608, 891},	// Akonadi::ContactEditorPagePlugin::storeContact#
    {50, 1629, 889},	// Akonadi::ContactEditorPagePlugin::title
    {50, 1726, 894},	// Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin
    {51, 172, 912},	// Akonadi::ContactGroupEditor::ContactGroupEditor$
    {51, 173, 902},	// Akonadi::ContactGroupEditor::ContactGroupEditor$#
    {51, 206, 914},	// Akonadi::ContactGroupEditor::CreateMode
    {51, 231, 915},	// Akonadi::ContactGroupEditor::EditMode
    {51, 835, 908},	// Akonadi::ContactGroupEditor::contactGroupStored#
    {51, 939, 909},	// Akonadi::ContactGroupEditor::error$
    {51, 984, 905},	// Akonadi::ContactGroupEditor::groupNameIsValid$
    {51, 1119, 906},	// Akonadi::ContactGroupEditor::loadContactGroup#
    {51, 1134, 895},	// Akonadi::ContactGroupEditor::metaObject
    {51, 1199, 901},	// Akonadi::ContactGroupEditor::qt_metacall$$?
    {51, 1201, 896},	// Akonadi::ContactGroupEditor::qt_metacast$
    {51, 1256, 907},	// Akonadi::ContactGroupEditor::saveContactGroup
    {51, 1355, 903},	// Akonadi::ContactGroupEditor::setContactGroupTemplate#
    {51, 1372, 904},	// Akonadi::ContactGroupEditor::setDefaultAddressBook#
    {51, 1597, 913},	// Akonadi::ContactGroupEditor::staticMetaObject
    {51, 1632, 910},	// Akonadi::ContactGroupEditor::tr$
    {51, 1633, 897},	// Akonadi::ContactGroupEditor::tr$$
    {51, 1634, 899},	// Akonadi::ContactGroupEditor::tr$$$
    {51, 1636, 911},	// Akonadi::ContactGroupEditor::trUtf8$
    {51, 1637, 898},	// Akonadi::ContactGroupEditor::trUtf8$$
    {51, 1638, 900},	// Akonadi::ContactGroupEditor::trUtf8$$$
    {51, 1727, 916},	// Akonadi::ContactGroupEditor::~ContactGroupEditor
    {52, 175, 932},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$
    {52, 176, 924},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$#
    {52, 206, 934},	// Akonadi::ContactGroupEditorDialog::CreateMode
    {52, 231, 935},	// Akonadi::ContactGroupEditorDialog::EditMode
    {52, 835, 928},	// Akonadi::ContactGroupEditorDialog::contactGroupStored#
    {52, 921, 927},	// Akonadi::ContactGroupEditorDialog::editor
    {52, 1134, 917},	// Akonadi::ContactGroupEditorDialog::metaObject
    {52, 1199, 923},	// Akonadi::ContactGroupEditorDialog::qt_metacall$$?
    {52, 1201, 918},	// Akonadi::ContactGroupEditorDialog::qt_metacast$
    {52, 1351, 925},	// Akonadi::ContactGroupEditorDialog::setContactGroup#
    {52, 1372, 926},	// Akonadi::ContactGroupEditorDialog::setDefaultAddressBook#
    {52, 1581, 929},	// Akonadi::ContactGroupEditorDialog::slotButtonClicked$
    {52, 1597, 933},	// Akonadi::ContactGroupEditorDialog::staticMetaObject
    {52, 1632, 930},	// Akonadi::ContactGroupEditorDialog::tr$
    {52, 1633, 919},	// Akonadi::ContactGroupEditorDialog::tr$$
    {52, 1634, 921},	// Akonadi::ContactGroupEditorDialog::tr$$$
    {52, 1636, 931},	// Akonadi::ContactGroupEditorDialog::trUtf8$
    {52, 1637, 920},	// Akonadi::ContactGroupEditorDialog::trUtf8$$
    {52, 1638, 922},	// Akonadi::ContactGroupEditorDialog::trUtf8$$$
    {52, 1728, 936},	// Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog
    {53, 178, 950},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob#
    {53, 179, 944},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob##
    {53, 180, 951},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$
    {53, 181, 945},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$#
    {53, 839, 946},	// Akonadi::ContactGroupExpandJob::contacts
    {53, 1134, 937},	// Akonadi::ContactGroupExpandJob::metaObject
    {53, 1199, 943},	// Akonadi::ContactGroupExpandJob::qt_metacall$$?
    {53, 1201, 938},	// Akonadi::ContactGroupExpandJob::qt_metacast$
    {53, 1589, 947},	// Akonadi::ContactGroupExpandJob::start
    {53, 1597, 952},	// Akonadi::ContactGroupExpandJob::staticMetaObject
    {53, 1632, 948},	// Akonadi::ContactGroupExpandJob::tr$
    {53, 1633, 939},	// Akonadi::ContactGroupExpandJob::tr$$
    {53, 1634, 941},	// Akonadi::ContactGroupExpandJob::tr$$$
    {53, 1636, 949},	// Akonadi::ContactGroupExpandJob::trUtf8$
    {53, 1637, 940},	// Akonadi::ContactGroupExpandJob::trUtf8$$
    {53, 1638, 942},	// Akonadi::ContactGroupExpandJob::trUtf8$$$
    {53, 1729, 953},	// Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob
    {54, 182, 968},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob
    {54, 183, 961},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob#
    {54, 195, 973},	// Akonadi::ContactGroupSearchJob::ContainsMatch
    {54, 262, 971},	// Akonadi::ContactGroupSearchJob::ExactMatch
    {54, 432, 970},	// Akonadi::ContactGroupSearchJob::Name
    {54, 549, 972},	// Akonadi::ContactGroupSearchJob::StartsWithMatch
    {54, 836, 965},	// Akonadi::ContactGroupSearchJob::contactGroups
    {54, 1134, 954},	// Akonadi::ContactGroupSearchJob::metaObject
    {54, 1199, 960},	// Akonadi::ContactGroupSearchJob::qt_metacall$$?
    {54, 1201, 955},	// Akonadi::ContactGroupSearchJob::qt_metacast$
    {54, 1457, 964},	// Akonadi::ContactGroupSearchJob::setLimit$
    {54, 1503, 962},	// Akonadi::ContactGroupSearchJob::setQuery$$
    {54, 1504, 963},	// Akonadi::ContactGroupSearchJob::setQuery$$$
    {54, 1597, 969},	// Akonadi::ContactGroupSearchJob::staticMetaObject
    {54, 1632, 966},	// Akonadi::ContactGroupSearchJob::tr$
    {54, 1633, 956},	// Akonadi::ContactGroupSearchJob::tr$$
    {54, 1634, 958},	// Akonadi::ContactGroupSearchJob::tr$$$
    {54, 1636, 967},	// Akonadi::ContactGroupSearchJob::trUtf8$
    {54, 1637, 957},	// Akonadi::ContactGroupSearchJob::trUtf8$$
    {54, 1638, 959},	// Akonadi::ContactGroupSearchJob::trUtf8$$$
    {54, 1730, 974},	// Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob
    {55, 184, 989},	// Akonadi::ContactGroupViewer::ContactGroupViewer
    {55, 185, 982},	// Akonadi::ContactGroupViewer::ContactGroupViewer#
    {55, 833, 983},	// Akonadi::ContactGroupViewer::contactGroup
    {55, 925, 986},	// Akonadi::ContactGroupViewer::emailClicked$$
    {55, 1134, 975},	// Akonadi::ContactGroupViewer::metaObject
    {55, 1199, 981},	// Akonadi::ContactGroupViewer::qt_metacall$$?
    {55, 1201, 976},	// Akonadi::ContactGroupViewer::qt_metacast$
    {55, 1351, 985},	// Akonadi::ContactGroupViewer::setContactGroup#
    {55, 1353, 984},	// Akonadi::ContactGroupViewer::setContactGroupFormatter#
    {55, 1597, 990},	// Akonadi::ContactGroupViewer::staticMetaObject
    {55, 1632, 987},	// Akonadi::ContactGroupViewer::tr$
    {55, 1633, 977},	// Akonadi::ContactGroupViewer::tr$$
    {55, 1634, 979},	// Akonadi::ContactGroupViewer::tr$$$
    {55, 1636, 988},	// Akonadi::ContactGroupViewer::trUtf8$
    {55, 1637, 978},	// Akonadi::ContactGroupViewer::trUtf8$$
    {55, 1638, 980},	// Akonadi::ContactGroupViewer::trUtf8$$$
    {55, 1731, 991},	// Akonadi::ContactGroupViewer::~ContactGroupViewer
    {56, 186, 1005},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog
    {56, 187, 999},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog#
    {56, 833, 1000},	// Akonadi::ContactGroupViewerDialog::contactGroup
    {56, 1134, 992},	// Akonadi::ContactGroupViewerDialog::metaObject
    {56, 1199, 998},	// Akonadi::ContactGroupViewerDialog::qt_metacall$$?
    {56, 1201, 993},	// Akonadi::ContactGroupViewerDialog::qt_metacast$
    {56, 1351, 1002},	// Akonadi::ContactGroupViewerDialog::setContactGroup#
    {56, 1597, 1006},	// Akonadi::ContactGroupViewerDialog::staticMetaObject
    {56, 1632, 1003},	// Akonadi::ContactGroupViewerDialog::tr$
    {56, 1633, 994},	// Akonadi::ContactGroupViewerDialog::tr$$
    {56, 1634, 996},	// Akonadi::ContactGroupViewerDialog::tr$$$
    {56, 1636, 1004},	// Akonadi::ContactGroupViewerDialog::trUtf8$
    {56, 1637, 995},	// Akonadi::ContactGroupViewerDialog::trUtf8$$
    {56, 1638, 997},	// Akonadi::ContactGroupViewerDialog::trUtf8$$$
    {56, 1668, 1001},	// Akonadi::ContactGroupViewerDialog::viewer
    {56, 1732, 1007},	// Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog
    {57, 188, 1022},	// Akonadi::ContactSearchJob::ContactSearchJob
    {57, 189, 1015},	// Akonadi::ContactSearchJob::ContactSearchJob#
    {57, 190, 1028},	// Akonadi::ContactSearchJob::ContactUid
    {57, 195, 1031},	// Akonadi::ContactSearchJob::ContainsMatch
    {57, 196, 1032},	// Akonadi::ContactSearchJob::ContainsWordBoundaryMatch
    {57, 233, 1025},	// Akonadi::ContactSearchJob::Email
    {57, 262, 1029},	// Akonadi::ContactSearchJob::ExactMatch
    {57, 432, 1024},	// Akonadi::ContactSearchJob::Name
    {57, 433, 1027},	// Akonadi::ContactSearchJob::NameOrEmail
    {57, 435, 1026},	// Akonadi::ContactSearchJob::NickName
    {57, 549, 1030},	// Akonadi::ContactSearchJob::StartsWithMatch
    {57, 839, 1019},	// Akonadi::ContactSearchJob::contacts
    {57, 1134, 1008},	// Akonadi::ContactSearchJob::metaObject
    {57, 1199, 1014},	// Akonadi::ContactSearchJob::qt_metacall$$?
    {57, 1201, 1009},	// Akonadi::ContactSearchJob::qt_metacast$
    {57, 1457, 1018},	// Akonadi::ContactSearchJob::setLimit$
    {57, 1503, 1016},	// Akonadi::ContactSearchJob::setQuery$$
    {57, 1504, 1017},	// Akonadi::ContactSearchJob::setQuery$$$
    {57, 1597, 1023},	// Akonadi::ContactSearchJob::staticMetaObject
    {57, 1632, 1020},	// Akonadi::ContactSearchJob::tr$
    {57, 1633, 1010},	// Akonadi::ContactSearchJob::tr$$
    {57, 1634, 1012},	// Akonadi::ContactSearchJob::tr$$$
    {57, 1636, 1021},	// Akonadi::ContactSearchJob::trUtf8$
    {57, 1637, 1011},	// Akonadi::ContactSearchJob::trUtf8$$
    {57, 1638, 1013},	// Akonadi::ContactSearchJob::trUtf8$$$
    {57, 1733, 1033},	// Akonadi::ContactSearchJob::~ContactSearchJob
    {58, 191, 1054},	// Akonadi::ContactViewer::ContactViewer
    {58, 192, 1041},	// Akonadi::ContactViewer::ContactViewer#
    {58, 716, 1051},	// Akonadi::ContactViewer::addressClicked#
    {58, 832, 1042},	// Akonadi::ContactViewer::contact
    {58, 925, 1048},	// Akonadi::ContactViewer::emailClicked$$
    {58, 1134, 1034},	// Akonadi::ContactViewer::metaObject
    {58, 1192, 1049},	// Akonadi::ContactViewer::phoneNumberClicked#
    {58, 1199, 1040},	// Akonadi::ContactViewer::qt_metacall$$?
    {58, 1201, 1035},	// Akonadi::ContactViewer::qt_metacast$
    {58, 1202, 1043},	// Akonadi::ContactViewer::rawContact
    {58, 1347, 1045},	// Akonadi::ContactViewer::setContact#
    {58, 1349, 1044},	// Akonadi::ContactViewer::setContactFormatter#
    {58, 1508, 1046},	// Akonadi::ContactViewer::setRawContact#
    {58, 1586, 1050},	// Akonadi::ContactViewer::smsClicked#
    {58, 1597, 1055},	// Akonadi::ContactViewer::staticMetaObject
    {58, 1632, 1052},	// Akonadi::ContactViewer::tr$
    {58, 1633, 1036},	// Akonadi::ContactViewer::tr$$
    {58, 1634, 1038},	// Akonadi::ContactViewer::tr$$$
    {58, 1636, 1053},	// Akonadi::ContactViewer::trUtf8$
    {58, 1637, 1037},	// Akonadi::ContactViewer::trUtf8$$
    {58, 1638, 1039},	// Akonadi::ContactViewer::trUtf8$$$
    {58, 1660, 1047},	// Akonadi::ContactViewer::urlClicked#
    {58, 1734, 1056},	// Akonadi::ContactViewer::~ContactViewer
    {59, 193, 1070},	// Akonadi::ContactViewerDialog::ContactViewerDialog
    {59, 194, 1064},	// Akonadi::ContactViewerDialog::ContactViewerDialog#
    {59, 832, 1065},	// Akonadi::ContactViewerDialog::contact
    {59, 1134, 1057},	// Akonadi::ContactViewerDialog::metaObject
    {59, 1199, 1063},	// Akonadi::ContactViewerDialog::qt_metacall$$?
    {59, 1201, 1058},	// Akonadi::ContactViewerDialog::qt_metacast$
    {59, 1347, 1067},	// Akonadi::ContactViewerDialog::setContact#
    {59, 1597, 1071},	// Akonadi::ContactViewerDialog::staticMetaObject
    {59, 1632, 1068},	// Akonadi::ContactViewerDialog::tr$
    {59, 1633, 1059},	// Akonadi::ContactViewerDialog::tr$$
    {59, 1634, 1061},	// Akonadi::ContactViewerDialog::tr$$$
    {59, 1636, 1069},	// Akonadi::ContactViewerDialog::trUtf8$
    {59, 1637, 1060},	// Akonadi::ContactViewerDialog::trUtf8$$
    {59, 1638, 1062},	// Akonadi::ContactViewerDialog::trUtf8$$$
    {59, 1668, 1066},	// Akonadi::ContactViewerDialog::viewer
    {59, 1735, 1072},	// Akonadi::ContactViewerDialog::~ContactViewerDialog
    {60, 198, 1087},	// Akonadi::Control::Control
    {60, 1134, 1073},	// Akonadi::Control::metaObject
    {60, 1199, 1079},	// Akonadi::Control::qt_metacall$$?
    {60, 1201, 1074},	// Akonadi::Control::qt_metacast$
    {60, 1232, 1084},	// Akonadi::Control::restart
    {60, 1233, 1085},	// Akonadi::Control::restart#
    {60, 1589, 1080},	// Akonadi::Control::start
    {60, 1590, 1081},	// Akonadi::Control::start#
    {60, 1597, 1090},	// Akonadi::Control::staticMetaObject
    {60, 1603, 1082},	// Akonadi::Control::stop
    {60, 1604, 1083},	// Akonadi::Control::stop#
    {60, 1632, 1088},	// Akonadi::Control::tr$
    {60, 1633, 1075},	// Akonadi::Control::tr$$
    {60, 1634, 1077},	// Akonadi::Control::tr$$$
    {60, 1636, 1089},	// Akonadi::Control::trUtf8$
    {60, 1637, 1076},	// Akonadi::Control::trUtf8$$
    {60, 1638, 1078},	// Akonadi::Control::trUtf8$$$
    {60, 1679, 1086},	// Akonadi::Control::widgetNeedsAkonadi#
    {60, 1736, 1091},	// Akonadi::Control::~Control
    {61, 3, 1116},	// Akonadi::Entity::AddIfMissing
    {61, 239, -34},	// Akonadi::Entity::Entity#
    {61, 694, 1106},	// Akonadi::Entity::addAttribute#
    {61, 733, 1111},	// Akonadi::Entity::attribute#
    {61, 734, 1109},	// Akonadi::Entity::attributes
    {61, 767, 1110},	// Akonadi::Entity::clearAttributes
    {61, 869, -37},	// Akonadi::Entity::d_func
    {61, 986, 1108},	// Akonadi::Entity::hasAttribute#
    {61, 1003, 1093},	// Akonadi::Entity::id
    {61, 1062, 1098},	// Akonadi::Entity::isValid
    {61, 1166, 1100},	// Akonadi::Entity::operator!=#
    {61, 1168, 1102},	// Akonadi::Entity::operator<#
    {61, 1170, 1101},	// Akonadi::Entity::operator=#
    {61, 1172, 1099},	// Akonadi::Entity::operator==#
    {61, 1181, -40},	// Akonadi::Entity::parentCollection
    {61, 1211, 1095},	// Akonadi::Entity::remoteId
    {61, 1212, 1097},	// Akonadi::Entity::remoteRevision
    {61, 1214, 1107},	// Akonadi::Entity::removeAttribute#
    {61, 1419, 1092},	// Akonadi::Entity::setId$
    {61, 1491, 1105},	// Akonadi::Entity::setParentCollection#
    {61, 1512, 1094},	// Akonadi::Entity::setRemoteId$
    {61, 1514, 1096},	// Akonadi::Entity::setRemoteRevision$
    {61, 1737, 1117},	// Akonadi::Entity::~Entity
    {62, 240, 1118},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute
    {62, 241, 1133},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute#
    {62, 691, 1125},	// Akonadi::EntityDisplayAttribute::activeIcon
    {62, 692, 1126},	// Akonadi::EntityDisplayAttribute::activeIconName
    {62, 741, 1127},	// Akonadi::EntityDisplayAttribute::backgroundColor
    {62, 776, 1130},	// Akonadi::EntityDisplayAttribute::clone
    {62, 882, 1132},	// Akonadi::EntityDisplayAttribute::deserialize#
    {62, 891, 1120},	// Akonadi::EntityDisplayAttribute::displayName
    {62, 1001, 1122},	// Akonadi::EntityDisplayAttribute::icon
    {62, 1002, 1123},	// Akonadi::EntityDisplayAttribute::iconName
    {62, 1282, 1131},	// Akonadi::EntityDisplayAttribute::serialized
    {62, 1290, 1124},	// Akonadi::EntityDisplayAttribute::setActiveIconName$
    {62, 1303, 1128},	// Akonadi::EntityDisplayAttribute::setBackgroundColor#
    {62, 1380, 1119},	// Akonadi::EntityDisplayAttribute::setDisplayName$
    {62, 1417, 1121},	// Akonadi::EntityDisplayAttribute::setIconName$
    {62, 1639, 1129},	// Akonadi::EntityDisplayAttribute::type
    {62, 1738, 1134},	// Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute
    {63, 242, 1135},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute
    {63, 243, 1140},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute#
    {63, 776, 1137},	// Akonadi::EntityHiddenAttribute::clone
    {63, 882, 1139},	// Akonadi::EntityHiddenAttribute::deserialize#
    {63, 1282, 1138},	// Akonadi::EntityHiddenAttribute::serialized
    {63, 1639, 1136},	// Akonadi::EntityHiddenAttribute::type
    {63, 1739, 1141},	// Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute
    {64, 244, 1168},	// Akonadi::EntityListView::EntityListView
    {64, 245, -105},	// Akonadi::EntityListView::EntityListView#
    {64, 246, 1150},	// Akonadi::EntityListView::EntityListView##
    {64, 775, -108},	// Akonadi::EntityListView::clicked#
    {64, 844, 1165},	// Akonadi::EntityListView::contextMenuEvent#
    {64, 863, -111},	// Akonadi::EntityListView::currentChanged#
    {64, 864, 1161},	// Akonadi::EntityListView::currentChanged##
    {64, 905, -114},	// Akonadi::EntityListView::doubleClicked#
    {64, 910, 1164},	// Akonadi::EntityListView::dragMoveEvent#
    {64, 914, 1163},	// Akonadi::EntityListView::dropEvent#
    {64, 1053, 1154},	// Akonadi::EntityListView::isDropActionMenuEnabled
    {64, 1134, 1142},	// Akonadi::EntityListView::metaObject
    {64, 1199, 1148},	// Akonadi::EntityListView::qt_metacall$$?
    {64, 1201, 1143},	// Akonadi::EntityListView::qt_metacast$
    {64, 1382, 1153},	// Akonadi::EntityListView::setDropActionMenuEnabled$
    {64, 1473, 1152},	// Akonadi::EntityListView::setModel#
    {64, 1565, 1151},	// Akonadi::EntityListView::setXmlGuiClient#
    {64, 1592, 1162},	// Akonadi::EntityListView::startDrag$
    {64, 1597, 1170},	// Akonadi::EntityListView::staticMetaObject
    {64, 1632, 1166},	// Akonadi::EntityListView::tr$
    {64, 1633, 1144},	// Akonadi::EntityListView::tr$$
    {64, 1634, 1146},	// Akonadi::EntityListView::tr$$$
    {64, 1636, 1167},	// Akonadi::EntityListView::trUtf8$
    {64, 1637, 1145},	// Akonadi::EntityListView::trUtf8$$
    {64, 1638, 1147},	// Akonadi::EntityListView::trUtf8$$$
    {64, 1740, 1171},	// Akonadi::EntityListView::~EntityListView
    {65, 247, 1197},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel
    {65, 248, 1179},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel#
    {65, 700, 1183},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter$
    {65, 702, 1181},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters?
    {65, 708, 1182},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter$
    {65, 710, 1180},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters?
    {65, 748, 1190},	// Akonadi::EntityMimeTypeFilterModel::canFetchMore#
    {65, 769, 1186},	// Akonadi::EntityMimeTypeFilterModel::clearFilters
    {65, 817, 1202},	// Akonadi::EntityMimeTypeFilterModel::columnCount
    {65, 818, 1192},	// Akonadi::EntityMimeTypeFilterModel::columnCount#
    {65, 968, 1194},	// Akonadi::EntityMimeTypeFilterModel::filterAcceptsColumn$#
    {65, 970, 1193},	// Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow$#
    {65, 987, 1199},	// Akonadi::EntityMimeTypeFilterModel::hasChildren
    {65, 988, 1189},	// Akonadi::EntityMimeTypeFilterModel::hasChildren#
    {65, 993, 1198},	// Akonadi::EntityMimeTypeFilterModel::headerData$$
    {65, 994, 1188},	// Akonadi::EntityMimeTypeFilterModel::headerData$$$
    {65, 1130, 1200},	// Akonadi::EntityMimeTypeFilterModel::match#$#
    {65, 1131, 1201},	// Akonadi::EntityMimeTypeFilterModel::match#$#$
    {65, 1132, 1191},	// Akonadi::EntityMimeTypeFilterModel::match#$#$$
    {65, 1134, 1172},	// Akonadi::EntityMimeTypeFilterModel::metaObject
    {65, 1139, 1185},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters
    {65, 1142, 1184},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters
    {65, 1199, 1178},	// Akonadi::EntityMimeTypeFilterModel::qt_metacall$$?
    {65, 1201, 1173},	// Akonadi::EntityMimeTypeFilterModel::qt_metacast$
    {65, 1413, 1187},	// Akonadi::EntityMimeTypeFilterModel::setHeaderGroup$
    {65, 1597, 1203},	// Akonadi::EntityMimeTypeFilterModel::staticMetaObject
    {65, 1632, 1195},	// Akonadi::EntityMimeTypeFilterModel::tr$
    {65, 1633, 1174},	// Akonadi::EntityMimeTypeFilterModel::tr$$
    {65, 1634, 1176},	// Akonadi::EntityMimeTypeFilterModel::tr$$$
    {65, 1636, 1196},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$
    {65, 1637, 1175},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$
    {65, 1638, 1177},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$$
    {65, 1741, 1204},	// Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel
    {67, 45, 1277},	// Akonadi::EntityTreeModel::AmazingCompletionRole
    {67, 55, 1281},	// Akonadi::EntityTreeModel::AvailablePartsRole
    {67, 84, 1276},	// Akonadi::EntityTreeModel::CollectionChildOrderRole
    {67, 97, 1284},	// Akonadi::EntityTreeModel::CollectionDerefRole
    {67, 116, 1273},	// Akonadi::EntityTreeModel::CollectionIdRole
    {67, 139, 1283},	// Akonadi::EntityTreeModel::CollectionRefRole
    {67, 143, 1274},	// Akonadi::EntityTreeModel::CollectionRole
    {67, 153, 1289},	// Akonadi::EntityTreeModel::CollectionSyncProgressRole
    {67, 154, 1296},	// Akonadi::EntityTreeModel::CollectionTreeHeaders
    {67, 158, 1279},	// Akonadi::EntityTreeModel::ColumnCountRole
    {67, 235, 1299},	// Akonadi::EntityTreeModel::EndHeaderGroup
    {67, 236, 1292},	// Akonadi::EntityTreeModel::EndRole
    {67, 249, 1295},	// Akonadi::EntityTreeModel::EntityTreeHeaders
    {67, 251, 1256},	// Akonadi::EntityTreeModel::EntityTreeModel#
    {67, 252, -123},	// Akonadi::EntityTreeModel::EntityTreeModel##
    {67, 253, 1253},	// Akonadi::EntityTreeModel::EntityTreeModel###
    {67, 259, 1286},	// Akonadi::EntityTreeModel::EntityUrlRole
    {67, 272, 1305},	// Akonadi::EntityTreeModel::FetchCollectionsRecursive
    {67, 273, 1304},	// Akonadi::EntityTreeModel::FetchFirstLevelChildCollections
    {67, 274, 1303},	// Akonadi::EntityTreeModel::FetchNoCollections
    {67, 275, 1288},	// Akonadi::EntityTreeModel::FetchStateRole
    {67, 276, 1294},	// Akonadi::EntityTreeModel::FetchingState
    {67, 291, 1293},	// Akonadi::EntityTreeModel::IdleState
    {67, 293, 1301},	// Akonadi::EntityTreeModel::ImmediatePopulation
    {67, 304, 1306},	// Akonadi::EntityTreeModel::InvisibleCollectionFetch
    {67, 328, 1270},	// Akonadi::EntityTreeModel::ItemIdRole
    {67, 329, 1297},	// Akonadi::EntityTreeModel::ItemListHeaders
    {67, 343, 1271},	// Akonadi::EntityTreeModel::ItemRole
    {67, 363, 1302},	// Akonadi::EntityTreeModel::LazyPopulation
    {67, 388, 1280},	// Akonadi::EntityTreeModel::LoadedPartsRole
    {67, 404, 1272},	// Akonadi::EntityTreeModel::MimeTypeRole
    {67, 445, 1300},	// Akonadi::EntityTreeModel::NoItemPopulation
    {67, 465, 1278},	// Akonadi::EntityTreeModel::ParentCollectionRole
    {67, 475, 1285},	// Akonadi::EntityTreeModel::PendingCutRole
    {67, 506, 1275},	// Akonadi::EntityTreeModel::RemoteIdRole
    {67, 536, 1282},	// Akonadi::EntityTreeModel::SessionRole
    {67, 569, 1291},	// Akonadi::EntityTreeModel::TerminalUserRole
    {67, 593, 1287},	// Akonadi::EntityTreeModel::UnreadCountRole
    {67, 604, 1298},	// Akonadi::EntityTreeModel::UserHeaders
    {67, 605, 1290},	// Akonadi::EntityTreeModel::UserRole
    {67, 748, 1237},	// Akonadi::EntityTreeModel::canFetchMore#
    {67, 766, 1244},	// Akonadi::EntityTreeModel::clearAndReset
    {67, 788, 1224},	// Akonadi::EntityTreeModel::collectionFetchStrategy
    {67, 790, 1243},	// Akonadi::EntityTreeModel::collectionFetched$
    {67, 817, 1257},	// Akonadi::EntityTreeModel::columnCount
    {67, 818, 1225},	// Akonadi::EntityTreeModel::columnCount#
    {67, 869, -126},	// Akonadi::EntityTreeModel::d_func
    {67, 871, 1259},	// Akonadi::EntityTreeModel::data#
    {67, 872, 1227},	// Akonadi::EntityTreeModel::data#$
    {67, 916, 1233},	// Akonadi::EntityTreeModel::dropMimeData#$$$#
    {67, 930, 1248},	// Akonadi::EntityTreeModel::entityColumnCount$
    {67, 932, -129},	// Akonadi::EntityTreeModel::entityData#$
    {67, 933, -132},	// Akonadi::EntityTreeModel::entityData#$$
    {67, 935, 1247},	// Akonadi::EntityTreeModel::entityHeaderData$$$$
    {67, 937, -135},	// Akonadi::EntityTreeModel::entityMatch##$
    {67, 962, 1238},	// Akonadi::EntityTreeModel::fetchMore#
    {67, 974, 1229},	// Akonadi::EntityTreeModel::flags#
    {67, 987, 1263},	// Akonadi::EntityTreeModel::hasChildren
    {67, 988, 1239},	// Akonadi::EntityTreeModel::hasChildren#
    {67, 993, 1260},	// Akonadi::EntityTreeModel::headerData$$
    {67, 994, 1228},	// Akonadi::EntityTreeModel::headerData$$$
    {67, 1008, 1220},	// Akonadi::EntityTreeModel::includeRootCollection
    {67, 1011, 1215},	// Akonadi::EntityTreeModel::includeUnsubscribed
    {67, 1015, 1262},	// Akonadi::EntityTreeModel::index$$
    {67, 1016, 1235},	// Akonadi::EntityTreeModel::index$$#
    {67, 1088, 1218},	// Akonadi::EntityTreeModel::itemPopulationStrategy
    {67, 1130, 1264},	// Akonadi::EntityTreeModel::match#$#
    {67, 1131, 1265},	// Akonadi::EntityTreeModel::match#$#$
    {67, 1132, 1240},	// Akonadi::EntityTreeModel::match#$#$$
    {67, 1134, 1205},	// Akonadi::EntityTreeModel::metaObject
    {67, 1137, 1232},	// Akonadi::EntityTreeModel::mimeData?
    {67, 1145, 1230},	// Akonadi::EntityTreeModel::mimeTypes
    {67, 1149, 1241},	// Akonadi::EntityTreeModel::modelIndexForCollection##
    {67, 1151, 1242},	// Akonadi::EntityTreeModel::modelIndexesForItem##
    {67, 1180, 1236},	// Akonadi::EntityTreeModel::parent#
    {67, 1199, 1211},	// Akonadi::EntityTreeModel::qt_metacall$$?
    {67, 1201, 1206},	// Akonadi::EntityTreeModel::qt_metacast$
    {67, 1248, 1222},	// Akonadi::EntityTreeModel::rootCollectionDisplayName
    {67, 1249, 1258},	// Akonadi::EntityTreeModel::rowCount
    {67, 1250, 1226},	// Akonadi::EntityTreeModel::rowCount#
    {67, 1324, 1223},	// Akonadi::EntityTreeModel::setCollectionFetchStrategy$
    {67, 1369, 1261},	// Akonadi::EntityTreeModel::setData##
    {67, 1370, 1234},	// Akonadi::EntityTreeModel::setData##$
    {67, 1425, 1219},	// Akonadi::EntityTreeModel::setIncludeRootCollection$
    {67, 1429, 1216},	// Akonadi::EntityTreeModel::setIncludeUnsubscribed$
    {67, 1447, 1217},	// Akonadi::EntityTreeModel::setItemPopulationStrategy$
    {67, 1525, 1221},	// Akonadi::EntityTreeModel::setRootCollectionDisplayName$
    {67, 1534, 1213},	// Akonadi::EntityTreeModel::setShowSystemEntities$
    {67, 1597, 1269},	// Akonadi::EntityTreeModel::staticMetaObject
    {67, 1612, 1231},	// Akonadi::EntityTreeModel::supportedDropActions
    {67, 1624, 1214},	// Akonadi::EntityTreeModel::systemEntitiesShown
    {67, 1632, 1254},	// Akonadi::EntityTreeModel::tr$
    {67, 1633, 1207},	// Akonadi::EntityTreeModel::tr$$
    {67, 1634, 1209},	// Akonadi::EntityTreeModel::tr$$$
    {67, 1636, 1255},	// Akonadi::EntityTreeModel::trUtf8$
    {67, 1637, 1208},	// Akonadi::EntityTreeModel::trUtf8$$
    {67, 1638, 1210},	// Akonadi::EntityTreeModel::trUtf8$$$
    {67, 1742, 1307},	// Akonadi::EntityTreeModel::~EntityTreeModel
    {69, 254, 1338},	// Akonadi::EntityTreeView::EntityTreeView
    {69, 255, -4},	// Akonadi::EntityTreeView::EntityTreeView#
    {69, 256, 1316},	// Akonadi::EntityTreeView::EntityTreeView##
    {69, 775, -7},	// Akonadi::EntityTreeView::clicked#
    {69, 844, 1335},	// Akonadi::EntityTreeView::contextMenuEvent#
    {69, 863, -10},	// Akonadi::EntityTreeView::currentChanged#
    {69, 864, 1330},	// Akonadi::EntityTreeView::currentChanged##
    {69, 905, -13},	// Akonadi::EntityTreeView::doubleClicked#
    {69, 910, 1332},	// Akonadi::EntityTreeView::dragMoveEvent#
    {69, 914, 1333},	// Akonadi::EntityTreeView::dropEvent#
    {69, 1053, 1320},	// Akonadi::EntityTreeView::isDropActionMenuEnabled
    {69, 1057, 1321},	// Akonadi::EntityTreeView::isManualSortingActive
    {69, 1134, 1308},	// Akonadi::EntityTreeView::metaObject
    {69, 1199, 1314},	// Akonadi::EntityTreeView::qt_metacall$$?
    {69, 1201, 1309},	// Akonadi::EntityTreeView::qt_metacast$
    {69, 1376, 1323},	// Akonadi::EntityTreeView::setDefaultPopupMenu$
    {69, 1382, 1319},	// Akonadi::EntityTreeView::setDropActionMenuEnabled$
    {69, 1462, 1322},	// Akonadi::EntityTreeView::setManualSortingActive$
    {69, 1473, 1318},	// Akonadi::EntityTreeView::setModel#
    {69, 1565, 1317},	// Akonadi::EntityTreeView::setXmlGuiClient#
    {69, 1592, 1331},	// Akonadi::EntityTreeView::startDrag$
    {69, 1597, 1340},	// Akonadi::EntityTreeView::staticMetaObject
    {69, 1628, 1334},	// Akonadi::EntityTreeView::timerEvent#
    {69, 1632, 1336},	// Akonadi::EntityTreeView::tr$
    {69, 1633, 1310},	// Akonadi::EntityTreeView::tr$$
    {69, 1634, 1312},	// Akonadi::EntityTreeView::tr$$$
    {69, 1636, 1337},	// Akonadi::EntityTreeView::trUtf8$
    {69, 1637, 1311},	// Akonadi::EntityTreeView::trUtf8$$
    {69, 1638, 1313},	// Akonadi::EntityTreeView::trUtf8$$$
    {69, 1743, 1341},	// Akonadi::EntityTreeView::~EntityTreeView
    {70, 258, 1349},	// Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver#
    {70, 1134, 1342},	// Akonadi::EntityTreeViewStateSaver::metaObject
    {70, 1199, 1348},	// Akonadi::EntityTreeViewStateSaver::qt_metacall$$?
    {70, 1201, 1343},	// Akonadi::EntityTreeViewStateSaver::qt_metacast$
    {70, 1235, 1351},	// Akonadi::EntityTreeViewStateSaver::restoreState#
    {70, 1258, 1350},	// Akonadi::EntityTreeViewStateSaver::saveState#
    {70, 1597, 1354},	// Akonadi::EntityTreeViewStateSaver::staticMetaObject
    {70, 1632, 1352},	// Akonadi::EntityTreeViewStateSaver::tr$
    {70, 1633, 1344},	// Akonadi::EntityTreeViewStateSaver::tr$$
    {70, 1634, 1346},	// Akonadi::EntityTreeViewStateSaver::tr$$$
    {70, 1636, 1353},	// Akonadi::EntityTreeViewStateSaver::trUtf8$
    {70, 1637, 1345},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$
    {70, 1638, 1347},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$$
    {70, 1744, 1355},	// Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver
    {71, 265, -99},	// Akonadi::Exception::Exception#
    {71, 266, -102},	// Akonadi::Exception::Exception$
    {71, 1639, 1361},	// Akonadi::Exception::type
    {71, 1676, 1360},	// Akonadi::Exception::what
    {71, 1745, 1362},	// Akonadi::Exception::~Exception
    {72, 270, 1386},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel##
    {72, 271, 1370},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel###
    {72, 698, 1381},	// Akonadi::FavoriteCollectionsModel::addCollection#
    {72, 793, 1372},	// Akonadi::FavoriteCollectionsModel::collectionIds
    {72, 808, 1371},	// Akonadi::FavoriteCollectionsModel::collections
    {72, 871, 1387},	// Akonadi::FavoriteCollectionsModel::data#
    {72, 872, 1374},	// Akonadi::FavoriteCollectionsModel::data#$
    {72, 916, 1377},	// Akonadi::FavoriteCollectionsModel::dropMimeData#$$$#
    {72, 946, 1373},	// Akonadi::FavoriteCollectionsModel::favoriteLabel#
    {72, 974, 1379},	// Akonadi::FavoriteCollectionsModel::flags#
    {72, 993, 1389},	// Akonadi::FavoriteCollectionsModel::headerData$$
    {72, 994, 1376},	// Akonadi::FavoriteCollectionsModel::headerData$$$
    {72, 1134, 1363},	// Akonadi::FavoriteCollectionsModel::metaObject
    {72, 1145, 1378},	// Akonadi::FavoriteCollectionsModel::mimeTypes
    {72, 1199, 1369},	// Akonadi::FavoriteCollectionsModel::qt_metacall$$?
    {72, 1201, 1364},	// Akonadi::FavoriteCollectionsModel::qt_metacast$
    {72, 1216, 1382},	// Akonadi::FavoriteCollectionsModel::removeCollection#
    {72, 1339, 1380},	// Akonadi::FavoriteCollectionsModel::setCollections?
    {72, 1369, 1388},	// Akonadi::FavoriteCollectionsModel::setData##
    {72, 1370, 1375},	// Akonadi::FavoriteCollectionsModel::setData##$
    {72, 1391, 1383},	// Akonadi::FavoriteCollectionsModel::setFavoriteLabel#$
    {72, 1597, 1390},	// Akonadi::FavoriteCollectionsModel::staticMetaObject
    {72, 1632, 1384},	// Akonadi::FavoriteCollectionsModel::tr$
    {72, 1633, 1365},	// Akonadi::FavoriteCollectionsModel::tr$$
    {72, 1634, 1367},	// Akonadi::FavoriteCollectionsModel::tr$$$
    {72, 1636, 1385},	// Akonadi::FavoriteCollectionsModel::trUtf8$
    {72, 1637, 1366},	// Akonadi::FavoriteCollectionsModel::trUtf8$$
    {72, 1638, 1368},	// Akonadi::FavoriteCollectionsModel::trUtf8$$$
    {72, 1746, 1391},	// Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel
    {73, 281, 1422},	// Akonadi::Item::FullPayload
    {73, 305, 1392},	// Akonadi::Item::Item
    {73, 306, 1395},	// Akonadi::Item::Item#
    {73, 307, -22},	// Akonadi::Item::Item$
    {73, 595, 1424},	// Akonadi::Item::UrlShort
    {73, 596, 1425},	// Akonadi::Item::UrlWithMimeType
    {73, 730, 1420},	// Akonadi::Item::apply#
    {73, 739, 1416},	// Akonadi::Item::availablePayloadMetaTypeIds
    {73, 740, 1419},	// Akonadi::Item::availablePayloadParts
    {73, 771, 1402},	// Akonadi::Item::clearFlag#
    {73, 772, 1404},	// Akonadi::Item::clearFlags
    {73, 773, 1408},	// Akonadi::Item::clearPayload
    {73, 973, 1397},	// Akonadi::Item::flags
    {73, 981, 1396},	// Akonadi::Item::fromUrl#
    {73, 990, 1400},	// Akonadi::Item::hasFlag#
    {73, 991, 1417},	// Akonadi::Item::hasPayload
    {73, 1120, 1407},	// Akonadi::Item::loadedPayloadParts
    {73, 1138, 1415},	// Akonadi::Item::mimeType
    {73, 1152, 1398},	// Akonadi::Item::modificationTime
    {73, 1186, 1406},	// Akonadi::Item::payloadData
    {73, 1244, 1410},	// Akonadi::Item::revision
    {73, 1399, 1401},	// Akonadi::Item::setFlag#
    {73, 1401, 1403},	// Akonadi::Item::setFlags?
    {73, 1405, 1423},	// Akonadi::Item::setFullPayload$
    {73, 1466, 1414},	// Akonadi::Item::setMimeType$
    {73, 1476, 1399},	// Akonadi::Item::setModificationTime#
    {73, 1495, 1405},	// Akonadi::Item::setPayloadFromData#
    {73, 1521, 1409},	// Akonadi::Item::setRevision$
    {73, 1536, 1412},	// Akonadi::Item::setSize$
    {73, 1576, 1413},	// Akonadi::Item::size
    {73, 1606, 1411},	// Akonadi::Item::storageCollectionId
    {73, 1657, 1421},	// Akonadi::Item::url
    {73, 1658, 1418},	// Akonadi::Item::url$
    {73, 1747, 1426},	// Akonadi::Item::~Item
    {74, 309, 1439},	// Akonadi::ItemCopyJob::ItemCopyJob##
    {74, 310, 1434},	// Akonadi::ItemCopyJob::ItemCopyJob###
    {74, 311, 1440},	// Akonadi::ItemCopyJob::ItemCopyJob?#
    {74, 312, 1435},	// Akonadi::ItemCopyJob::ItemCopyJob?##
    {74, 900, 1436},	// Akonadi::ItemCopyJob::doStart
    {74, 1134, 1427},	// Akonadi::ItemCopyJob::metaObject
    {74, 1199, 1433},	// Akonadi::ItemCopyJob::qt_metacall$$?
    {74, 1201, 1428},	// Akonadi::ItemCopyJob::qt_metacast$
    {74, 1597, 1441},	// Akonadi::ItemCopyJob::staticMetaObject
    {74, 1632, 1437},	// Akonadi::ItemCopyJob::tr$
    {74, 1633, 1429},	// Akonadi::ItemCopyJob::tr$$
    {74, 1634, 1431},	// Akonadi::ItemCopyJob::tr$$$
    {74, 1636, 1438},	// Akonadi::ItemCopyJob::trUtf8$
    {74, 1637, 1430},	// Akonadi::ItemCopyJob::trUtf8$$
    {74, 1638, 1432},	// Akonadi::ItemCopyJob::trUtf8$$$
    {74, 1748, 1442},	// Akonadi::ItemCopyJob::~ItemCopyJob
    {75, 314, 1456},	// Akonadi::ItemCreateJob::ItemCreateJob##
    {75, 315, 1450},	// Akonadi::ItemCreateJob::ItemCreateJob###
    {75, 894, 1453},	// Akonadi::ItemCreateJob::doHandleResponse##
    {75, 900, 1452},	// Akonadi::ItemCreateJob::doStart
    {75, 1072, 1451},	// Akonadi::ItemCreateJob::item
    {75, 1134, 1443},	// Akonadi::ItemCreateJob::metaObject
    {75, 1199, 1449},	// Akonadi::ItemCreateJob::qt_metacall$$?
    {75, 1201, 1444},	// Akonadi::ItemCreateJob::qt_metacast$
    {75, 1597, 1457},	// Akonadi::ItemCreateJob::staticMetaObject
    {75, 1632, 1454},	// Akonadi::ItemCreateJob::tr$
    {75, 1633, 1445},	// Akonadi::ItemCreateJob::tr$$
    {75, 1634, 1447},	// Akonadi::ItemCreateJob::tr$$$
    {75, 1636, 1455},	// Akonadi::ItemCreateJob::trUtf8$
    {75, 1637, 1446},	// Akonadi::ItemCreateJob::trUtf8$$
    {75, 1638, 1448},	// Akonadi::ItemCreateJob::trUtf8$$$
    {75, 1749, 1458},	// Akonadi::ItemCreateJob::~ItemCreateJob
    {76, 317, -28},	// Akonadi::ItemDeleteJob::ItemDeleteJob#
    {76, 318, -31},	// Akonadi::ItemDeleteJob::ItemDeleteJob##
    {76, 319, 1474},	// Akonadi::ItemDeleteJob::ItemDeleteJob?
    {76, 320, 1467},	// Akonadi::ItemDeleteJob::ItemDeleteJob?#
    {76, 878, 1469},	// Akonadi::ItemDeleteJob::deletedItems
    {76, 900, 1470},	// Akonadi::ItemDeleteJob::doStart
    {76, 1134, 1459},	// Akonadi::ItemDeleteJob::metaObject
    {76, 1199, 1465},	// Akonadi::ItemDeleteJob::qt_metacall$$?
    {76, 1201, 1460},	// Akonadi::ItemDeleteJob::qt_metacast$
    {76, 1597, 1476},	// Akonadi::ItemDeleteJob::staticMetaObject
    {76, 1632, 1471},	// Akonadi::ItemDeleteJob::tr$
    {76, 1633, 1461},	// Akonadi::ItemDeleteJob::tr$$
    {76, 1634, 1463},	// Akonadi::ItemDeleteJob::tr$$$
    {76, 1636, 1472},	// Akonadi::ItemDeleteJob::trUtf8$
    {76, 1637, 1462},	// Akonadi::ItemDeleteJob::trUtf8$$
    {76, 1638, 1464},	// Akonadi::ItemDeleteJob::trUtf8$$$
    {76, 1750, 1477},	// Akonadi::ItemDeleteJob::~ItemDeleteJob
    {77, 322, -84},	// Akonadi::ItemFetchJob::ItemFetchJob#
    {77, 323, -87},	// Akonadi::ItemFetchJob::ItemFetchJob##
    {77, 324, -90},	// Akonadi::ItemFetchJob::ItemFetchJob?
    {77, 325, -93},	// Akonadi::ItemFetchJob::ItemFetchJob?#
    {77, 894, 1496},	// Akonadi::ItemFetchJob::doHandleResponse##
    {77, 900, 1495},	// Akonadi::ItemFetchJob::doStart
    {77, 966, 1492},	// Akonadi::ItemFetchJob::fetchScope
    {77, 1098, 1489},	// Akonadi::ItemFetchJob::items
    {77, 1102, 1494},	// Akonadi::ItemFetchJob::itemsReceived?
    {77, 1134, 1478},	// Akonadi::ItemFetchJob::metaObject
    {77, 1199, 1484},	// Akonadi::ItemFetchJob::qt_metacall$$?
    {77, 1201, 1479},	// Akonadi::ItemFetchJob::qt_metacast$
    {77, 1320, 1493},	// Akonadi::ItemFetchJob::setCollection#
    {77, 1397, -96},	// Akonadi::ItemFetchJob::setFetchScope#
    {77, 1597, 1503},	// Akonadi::ItemFetchJob::staticMetaObject
    {77, 1632, 1497},	// Akonadi::ItemFetchJob::tr$
    {77, 1633, 1480},	// Akonadi::ItemFetchJob::tr$$
    {77, 1634, 1482},	// Akonadi::ItemFetchJob::tr$$$
    {77, 1636, 1498},	// Akonadi::ItemFetchJob::trUtf8$
    {77, 1637, 1481},	// Akonadi::ItemFetchJob::trUtf8$$
    {77, 1638, 1483},	// Akonadi::ItemFetchJob::trUtf8$$$
    {77, 1751, 1504},	// Akonadi::ItemFetchJob::~ItemFetchJob
    {78, 41, 1529},	// Akonadi::ItemFetchScope::All
    {78, 326, 1505},	// Akonadi::ItemFetchScope::ItemFetchScope
    {78, 327, 1506},	// Akonadi::ItemFetchScope::ItemFetchScope#
    {78, 450, 1527},	// Akonadi::ItemFetchScope::None
    {78, 464, 1528},	// Akonadi::ItemFetchScope::Parent
    {78, 725, 1514},	// Akonadi::ItemFetchScope::allAttributes
    {78, 728, 1519},	// Akonadi::ItemFetchScope::ancestorRetrieval
    {78, 734, 1512},	// Akonadi::ItemFetchScope::attributes
    {78, 744, 1516},	// Akonadi::ItemFetchScope::cacheOnly
    {78, 947, 1526},	// Akonadi::ItemFetchScope::fetchAllAttributes
    {78, 948, 1515},	// Akonadi::ItemFetchScope::fetchAllAttributes$
    {78, 950, 1525},	// Akonadi::ItemFetchScope::fetchAttribute#
    {78, 951, 1513},	// Akonadi::ItemFetchScope::fetchAttribute#$
    {78, 958, 1524},	// Akonadi::ItemFetchScope::fetchFullPayload
    {78, 959, 1511},	// Akonadi::ItemFetchScope::fetchFullPayload$
    {78, 960, 1521},	// Akonadi::ItemFetchScope::fetchModificationTime
    {78, 964, 1523},	// Akonadi::ItemFetchScope::fetchPayloadPart#
    {78, 965, 1509},	// Akonadi::ItemFetchScope::fetchPayloadPart#$
    {78, 982, 1510},	// Akonadi::ItemFetchScope::fullPayload
    {78, 1054, 1522},	// Akonadi::ItemFetchScope::isEmpty
    {78, 1170, 1507},	// Akonadi::ItemFetchScope::operator=#
    {78, 1187, 1508},	// Akonadi::ItemFetchScope::payloadParts
    {78, 1296, 1518},	// Akonadi::ItemFetchScope::setAncestorRetrieval$
    {78, 1307, 1517},	// Akonadi::ItemFetchScope::setCacheOnly$
    {78, 1395, 1520},	// Akonadi::ItemFetchScope::setFetchModificationTime$
    {78, 1752, 1530},	// Akonadi::ItemFetchScope::~ItemFetchScope
    {79, 287, 1564},	// Akonadi::ItemModel::Id
    {79, 288, 1567},	// Akonadi::ItemModel::IdRole
    {79, 330, 1558},	// Akonadi::ItemModel::ItemModel
    {79, 331, 1538},	// Akonadi::ItemModel::ItemModel#
    {79, 343, 1568},	// Akonadi::ItemModel::ItemRole
    {79, 401, 1566},	// Akonadi::ItemModel::MimeType
    {79, 404, 1569},	// Akonadi::ItemModel::MimeTypeRole
    {79, 505, 1565},	// Akonadi::ItemModel::RemoteId
    {79, 605, 1570},	// Akonadi::ItemModel::UserRole
    {79, 779, 1552},	// Akonadi::ItemModel::collection
    {79, 785, 1554},	// Akonadi::ItemModel::collectionChanged#
    {79, 817, 1559},	// Akonadi::ItemModel::columnCount
    {79, 818, 1539},	// Akonadi::ItemModel::columnCount#
    {79, 871, 1560},	// Akonadi::ItemModel::data#
    {79, 872, 1540},	// Akonadi::ItemModel::data#$
    {79, 916, 1551},	// Akonadi::ItemModel::dropMimeData#$$$#
    {79, 966, 1548},	// Akonadi::ItemModel::fetchScope
    {79, 974, 1543},	// Akonadi::ItemModel::flags#
    {79, 993, 1562},	// Akonadi::ItemModel::headerData$$
    {79, 994, 1542},	// Akonadi::ItemModel::headerData$$$
    {79, 1019, 1550},	// Akonadi::ItemModel::indexForItem#$
    {79, 1081, 1549},	// Akonadi::ItemModel::itemForIndex#
    {79, 1134, 1531},	// Akonadi::ItemModel::metaObject
    {79, 1137, 1544},	// Akonadi::ItemModel::mimeData?
    {79, 1145, 1545},	// Akonadi::ItemModel::mimeTypes
    {79, 1199, 1537},	// Akonadi::ItemModel::qt_metacall$$?
    {79, 1201, 1532},	// Akonadi::ItemModel::qt_metacast$
    {79, 1249, 1561},	// Akonadi::ItemModel::rowCount
    {79, 1250, 1541},	// Akonadi::ItemModel::rowCount#
    {79, 1283, 1555},	// Akonadi::ItemModel::session
    {79, 1320, 1553},	// Akonadi::ItemModel::setCollection#
    {79, 1397, 1547},	// Akonadi::ItemModel::setFetchScope#
    {79, 1597, 1563},	// Akonadi::ItemModel::staticMetaObject
    {79, 1612, 1546},	// Akonadi::ItemModel::supportedDropActions
    {79, 1632, 1556},	// Akonadi::ItemModel::tr$
    {79, 1633, 1533},	// Akonadi::ItemModel::tr$$
    {79, 1634, 1535},	// Akonadi::ItemModel::tr$$$
    {79, 1636, 1557},	// Akonadi::ItemModel::trUtf8$
    {79, 1637, 1534},	// Akonadi::ItemModel::trUtf8$$
    {79, 1638, 1536},	// Akonadi::ItemModel::trUtf8$$$
    {79, 1753, 1571},	// Akonadi::ItemModel::~ItemModel
    {80, 333, 1591},	// Akonadi::ItemModifyJob::ItemModifyJob#
    {80, 334, 1579},	// Akonadi::ItemModifyJob::ItemModifyJob##
    {80, 335, 1592},	// Akonadi::ItemModifyJob::ItemModifyJob?
    {80, 336, 1580},	// Akonadi::ItemModifyJob::ItemModifyJob?#
    {80, 888, 1586},	// Akonadi::ItemModifyJob::disableAutomaticConflictHandling
    {80, 889, 1583},	// Akonadi::ItemModifyJob::disableRevisionCheck
    {80, 894, 1588},	// Akonadi::ItemModifyJob::doHandleResponse##
    {80, 900, 1587},	// Akonadi::ItemModifyJob::doStart
    {80, 1005, 1582},	// Akonadi::ItemModifyJob::ignorePayload
    {80, 1072, 1584},	// Akonadi::ItemModifyJob::item
    {80, 1098, 1585},	// Akonadi::ItemModifyJob::items
    {80, 1134, 1572},	// Akonadi::ItemModifyJob::metaObject
    {80, 1199, 1578},	// Akonadi::ItemModifyJob::qt_metacall$$?
    {80, 1201, 1573},	// Akonadi::ItemModifyJob::qt_metacast$
    {80, 1423, 1581},	// Akonadi::ItemModifyJob::setIgnorePayload$
    {80, 1597, 1593},	// Akonadi::ItemModifyJob::staticMetaObject
    {80, 1632, 1589},	// Akonadi::ItemModifyJob::tr$
    {80, 1633, 1574},	// Akonadi::ItemModifyJob::tr$$
    {80, 1634, 1576},	// Akonadi::ItemModifyJob::tr$$$
    {80, 1636, 1590},	// Akonadi::ItemModifyJob::trUtf8$
    {80, 1637, 1575},	// Akonadi::ItemModifyJob::trUtf8$$
    {80, 1638, 1577},	// Akonadi::ItemModifyJob::trUtf8$$$
    {80, 1754, 1594},	// Akonadi::ItemModifyJob::~ItemModifyJob
    {81, 337, 1595},	// Akonadi::ItemMonitor::ItemMonitor
    {81, 966, 1601},	// Akonadi::ItemMonitor::fetchScope
    {81, 1072, 1597},	// Akonadi::ItemMonitor::item
    {81, 1076, 1598},	// Akonadi::ItemMonitor::itemChanged#
    {81, 1089, 1599},	// Akonadi::ItemMonitor::itemRemoved
    {81, 1397, 1600},	// Akonadi::ItemMonitor::setFetchScope#
    {81, 1439, 1596},	// Akonadi::ItemMonitor::setItem#
    {81, 1755, 1602},	// Akonadi::ItemMonitor::~ItemMonitor
    {82, 339, 1617},	// Akonadi::ItemMoveJob::ItemMoveJob##
    {82, 340, 1610},	// Akonadi::ItemMoveJob::ItemMoveJob###
    {82, 341, 1618},	// Akonadi::ItemMoveJob::ItemMoveJob?#
    {82, 342, 1611},	// Akonadi::ItemMoveJob::ItemMoveJob?##
    {82, 884, 1612},	// Akonadi::ItemMoveJob::destinationCollection
    {82, 900, 1614},	// Akonadi::ItemMoveJob::doStart
    {82, 1098, 1613},	// Akonadi::ItemMoveJob::items
    {82, 1134, 1603},	// Akonadi::ItemMoveJob::metaObject
    {82, 1199, 1609},	// Akonadi::ItemMoveJob::qt_metacall$$?
    {82, 1201, 1604},	// Akonadi::ItemMoveJob::qt_metacast$
    {82, 1597, 1619},	// Akonadi::ItemMoveJob::staticMetaObject
    {82, 1632, 1615},	// Akonadi::ItemMoveJob::tr$
    {82, 1633, 1605},	// Akonadi::ItemMoveJob::tr$$
    {82, 1634, 1607},	// Akonadi::ItemMoveJob::tr$$$
    {82, 1636, 1616},	// Akonadi::ItemMoveJob::trUtf8$
    {82, 1637, 1606},	// Akonadi::ItemMoveJob::trUtf8$$
    {82, 1638, 1608},	// Akonadi::ItemMoveJob::trUtf8$$$
    {82, 1756, 1620},	// Akonadi::ItemMoveJob::~ItemMoveJob
    {83, 345, 1639},	// Akonadi::ItemSearchJob::ItemSearchJob$
    {83, 346, 1628},	// Akonadi::ItemSearchJob::ItemSearchJob$#
    {83, 724, 1633},	// Akonadi::ItemSearchJob::akonadiItemIdUri
    {83, 894, 1636},	// Akonadi::ItemSearchJob::doHandleResponse##
    {83, 900, 1635},	// Akonadi::ItemSearchJob::doStart
    {83, 966, 1631},	// Akonadi::ItemSearchJob::fetchScope
    {83, 1098, 1632},	// Akonadi::ItemSearchJob::items
    {83, 1102, 1634},	// Akonadi::ItemSearchJob::itemsReceived?
    {83, 1134, 1621},	// Akonadi::ItemSearchJob::metaObject
    {83, 1199, 1627},	// Akonadi::ItemSearchJob::qt_metacall$$?
    {83, 1201, 1622},	// Akonadi::ItemSearchJob::qt_metacast$
    {83, 1397, 1630},	// Akonadi::ItemSearchJob::setFetchScope#
    {83, 1502, 1629},	// Akonadi::ItemSearchJob::setQuery$
    {83, 1597, 1640},	// Akonadi::ItemSearchJob::staticMetaObject
    {83, 1632, 1637},	// Akonadi::ItemSearchJob::tr$
    {83, 1633, 1623},	// Akonadi::ItemSearchJob::tr$$
    {83, 1634, 1625},	// Akonadi::ItemSearchJob::tr$$$
    {83, 1636, 1638},	// Akonadi::ItemSearchJob::trUtf8$
    {83, 1637, 1624},	// Akonadi::ItemSearchJob::trUtf8$$
    {83, 1638, 1626},	// Akonadi::ItemSearchJob::trUtf8$$$
    {83, 1757, 1641},	// Akonadi::ItemSearchJob::~ItemSearchJob
    {84, 347, 1645},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin
    {84, 348, 1646},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin#
    {84, 883, 1642},	// Akonadi::ItemSerializerPlugin::deserialize###$
    {84, 1185, 1644},	// Akonadi::ItemSerializerPlugin::parts#
    {84, 1281, 1643},	// Akonadi::ItemSerializerPlugin::serialize###$
    {84, 1758, 1647},	// Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin
    {85, 349, 1650},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2
    {85, 350, 1651},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2#
    {85, 731, 1648},	// Akonadi::ItemSerializerPluginV2::apply##
    {85, 738, 1649},	// Akonadi::ItemSerializerPluginV2::availableParts#
    {85, 1759, 1652},	// Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2
    {86, 352, 1675},	// Akonadi::ItemSync::ItemSync#
    {86, 353, 1660},	// Akonadi::ItemSync::ItemSync##
    {86, 431, 1678},	// Akonadi::ItemSync::MultipleTransactions
    {86, 448, 1679},	// Akonadi::ItemSync::NoTransaction
    {86, 541, 1677},	// Akonadi::ItemSync::SingleTransaction
    {86, 879, 1664},	// Akonadi::ItemSync::deliveryDone
    {86, 900, 1670},	// Akonadi::ItemSync::doStart
    {86, 966, 1667},	// Akonadi::ItemSync::fetchScope
    {86, 1134, 1653},	// Akonadi::ItemSync::metaObject
    {86, 1199, 1659},	// Akonadi::ItemSync::qt_metacall$$?
    {86, 1201, 1654},	// Akonadi::ItemSync::qt_metacast$
    {86, 1246, 1668},	// Akonadi::ItemSync::rollback
    {86, 1397, 1666},	// Akonadi::ItemSync::setFetchScope#
    {86, 1407, 1661},	// Akonadi::ItemSync::setFullSyncItems?
    {86, 1431, 1665},	// Akonadi::ItemSync::setIncrementalSyncItems??
    {86, 1542, 1663},	// Akonadi::ItemSync::setStreamingEnabled$
    {86, 1552, 1662},	// Akonadi::ItemSync::setTotalItems$
    {86, 1554, 1669},	// Akonadi::ItemSync::setTransactionMode$
    {86, 1584, 1671},	// Akonadi::ItemSync::slotResult#
    {86, 1597, 1676},	// Akonadi::ItemSync::staticMetaObject
    {86, 1632, 1673},	// Akonadi::ItemSync::tr$
    {86, 1633, 1655},	// Akonadi::ItemSync::tr$$
    {86, 1634, 1657},	// Akonadi::ItemSync::tr$$$
    {86, 1636, 1674},	// Akonadi::ItemSync::trUtf8$
    {86, 1637, 1656},	// Akonadi::ItemSync::trUtf8$$
    {86, 1638, 1658},	// Akonadi::ItemSync::trUtf8$$$
    {86, 1655, 1672},	// Akonadi::ItemSync::updateItem##
    {86, 1760, 1680},	// Akonadi::ItemSync::~ItemSync
    {87, 354, 1702},	// Akonadi::ItemView::ItemView
    {87, 355, -65},	// Akonadi::ItemView::ItemView#
    {87, 356, -69},	// Akonadi::ItemView::ItemView##
    {87, 690, 1694},	// Akonadi::ItemView::activated#
    {87, 775, 1696},	// Akonadi::ItemView::clicked#
    {87, 844, 1699},	// Akonadi::ItemView::contextMenuEvent#
    {87, 863, 1695},	// Akonadi::ItemView::currentChanged#
    {87, 864, 1698},	// Akonadi::ItemView::currentChanged##
    {87, 905, 1697},	// Akonadi::ItemView::doubleClicked#
    {87, 1134, 1681},	// Akonadi::ItemView::metaObject
    {87, 1199, 1687},	// Akonadi::ItemView::qt_metacall$$?
    {87, 1201, 1682},	// Akonadi::ItemView::qt_metacast$
    {87, 1473, 1693},	// Akonadi::ItemView::setModel#
    {87, 1565, 1692},	// Akonadi::ItemView::setXmlGuiClient#
    {87, 1567, 1691},	// Akonadi::ItemView::setXmlGuiWindow#
    {87, 1597, 1705},	// Akonadi::ItemView::staticMetaObject
    {87, 1632, 1700},	// Akonadi::ItemView::tr$
    {87, 1633, 1683},	// Akonadi::ItemView::tr$$
    {87, 1634, 1685},	// Akonadi::ItemView::tr$$$
    {87, 1636, 1701},	// Akonadi::ItemView::trUtf8$
    {87, 1637, 1684},	// Akonadi::ItemView::trUtf8$$
    {87, 1638, 1686},	// Akonadi::ItemView::trUtf8$$$
    {87, 1761, 1706},	// Akonadi::ItemView::~ItemView
    {88, 159, 1731},	// Akonadi::Job::ConnectionFailed
    {88, 357, 1729},	// Akonadi::Job::Job
    {88, 358, 1714},	// Akonadi::Job::Job#
    {88, 359, 1726},	// Akonadi::Job::Job##
    {88, 489, 1732},	// Akonadi::Job::ProtocolVersionMismatch
    {88, 589, 1734},	// Akonadi::Job::Unknown
    {88, 601, 1733},	// Akonadi::Job::UserCanceled
    {88, 603, 1735},	// Akonadi::Job::UserError
    {88, 682, 1717},	// Akonadi::Job::aboutToStart#
    {88, 712, 1721},	// Akonadi::Job::addSubjob#
    {88, 894, 1720},	// Akonadi::Job::doHandleResponse##
    {88, 896, 1723},	// Akonadi::Job::doKill
    {88, 900, 1719},	// Akonadi::Job::doStart
    {88, 926, 1724},	// Akonadi::Job::emitWriteFinished
    {88, 940, 1716},	// Akonadi::Job::errorString
    {88, 1134, 1707},	// Akonadi::Job::metaObject
    {88, 1199, 1713},	// Akonadi::Job::qt_metacall$$?
    {88, 1201, 1708},	// Akonadi::Job::qt_metacast$
    {88, 1222, 1722},	// Akonadi::Job::removeSubjob#
    {88, 1584, 1725},	// Akonadi::Job::slotResult#
    {88, 1589, 1715},	// Akonadi::Job::start
    {88, 1597, 1730},	// Akonadi::Job::staticMetaObject
    {88, 1632, 1727},	// Akonadi::Job::tr$
    {88, 1633, 1709},	// Akonadi::Job::tr$$
    {88, 1634, 1711},	// Akonadi::Job::tr$$$
    {88, 1636, 1728},	// Akonadi::Job::trUtf8$
    {88, 1637, 1710},	// Akonadi::Job::trUtf8$$
    {88, 1638, 1712},	// Akonadi::Job::trUtf8$$$
    {88, 1683, 1718},	// Akonadi::Job::writeFinished#
    {88, 1762, 1736},	// Akonadi::Job::~Job
    {90, 385, 1748},	// Akonadi::LinkJob::LinkJob#?
    {90, 386, 1744},	// Akonadi::LinkJob::LinkJob#?#
    {90, 900, 1745},	// Akonadi::LinkJob::doStart
    {90, 1134, 1737},	// Akonadi::LinkJob::metaObject
    {90, 1199, 1743},	// Akonadi::LinkJob::qt_metacall$$?
    {90, 1201, 1738},	// Akonadi::LinkJob::qt_metacast$
    {90, 1597, 1749},	// Akonadi::LinkJob::staticMetaObject
    {90, 1632, 1746},	// Akonadi::LinkJob::tr$
    {90, 1633, 1739},	// Akonadi::LinkJob::tr$$
    {90, 1634, 1741},	// Akonadi::LinkJob::tr$$$
    {90, 1636, 1747},	// Akonadi::LinkJob::trUtf8$
    {90, 1637, 1740},	// Akonadi::LinkJob::trUtf8$$
    {90, 1638, 1742},	// Akonadi::LinkJob::trUtf8$$$
    {90, 1763, 1750},	// Akonadi::LinkJob::~LinkJob
    {91, 393, 1751},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute
    {91, 394, 1752},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute#
    {91, 776, 1756},	// Akonadi::MessageFolderAttribute::clone
    {91, 882, 1758},	// Akonadi::MessageFolderAttribute::deserialize#
    {91, 1059, 1753},	// Akonadi::MessageFolderAttribute::isOutboundFolder
    {91, 1282, 1757},	// Akonadi::MessageFolderAttribute::serialized
    {91, 1484, 1754},	// Akonadi::MessageFolderAttribute::setOutboundFolder$
    {91, 1639, 1755},	// Akonadi::MessageFolderAttribute::type
    {91, 1764, 1759},	// Akonadi::MessageFolderAttribute::~MessageFolderAttribute
    {92, 211, 1784},	// Akonadi::MessageModel::Date
    {92, 395, 1775},	// Akonadi::MessageModel::MessageModel
    {92, 396, 1767},	// Akonadi::MessageModel::MessageModel#
    {92, 498, 1783},	// Akonadi::MessageModel::Receiver
    {92, 531, 1782},	// Akonadi::MessageModel::Sender
    {92, 542, 1785},	// Akonadi::MessageModel::Size
    {92, 561, 1781},	// Akonadi::MessageModel::Subject
    {92, 817, 1777},	// Akonadi::MessageModel::columnCount
    {92, 818, 1769},	// Akonadi::MessageModel::columnCount#
    {92, 871, 1778},	// Akonadi::MessageModel::data#
    {92, 872, 1770},	// Akonadi::MessageModel::data#$
    {92, 993, 1779},	// Akonadi::MessageModel::headerData$$
    {92, 994, 1771},	// Akonadi::MessageModel::headerData$$$
    {92, 1134, 1760},	// Akonadi::MessageModel::metaObject
    {92, 1145, 1772},	// Akonadi::MessageModel::mimeTypes
    {92, 1199, 1766},	// Akonadi::MessageModel::qt_metacall$$?
    {92, 1201, 1761},	// Akonadi::MessageModel::qt_metacast$
    {92, 1249, 1776},	// Akonadi::MessageModel::rowCount
    {92, 1250, 1768},	// Akonadi::MessageModel::rowCount#
    {92, 1597, 1780},	// Akonadi::MessageModel::staticMetaObject
    {92, 1632, 1773},	// Akonadi::MessageModel::tr$
    {92, 1633, 1762},	// Akonadi::MessageModel::tr$$
    {92, 1634, 1764},	// Akonadi::MessageModel::tr$$$
    {92, 1636, 1774},	// Akonadi::MessageModel::trUtf8$
    {92, 1637, 1763},	// Akonadi::MessageModel::trUtf8$$
    {92, 1638, 1765},	// Akonadi::MessageModel::trUtf8$$$
    {92, 1765, 1786},	// Akonadi::MessageModel::~MessageModel
    {93, 397, 1808},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel
    {93, 398, 1794},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel#
    {93, 818, 1800},	// Akonadi::MessageThreaderProxyModel::columnCount#
    {93, 856, 1799},	// Akonadi::MessageThreaderProxyModel::createIndex$$$
    {93, 988, 1798},	// Akonadi::MessageThreaderProxyModel::hasChildren#
    {93, 1016, 1797},	// Akonadi::MessageThreaderProxyModel::index$$#
    {93, 1124, 1803},	// Akonadi::MessageThreaderProxyModel::mapFromSource#
    {93, 1128, 1804},	// Akonadi::MessageThreaderProxyModel::mapToSource#
    {93, 1134, 1787},	// Akonadi::MessageThreaderProxyModel::metaObject
    {93, 1137, 1802},	// Akonadi::MessageThreaderProxyModel::mimeData?
    {93, 1145, 1801},	// Akonadi::MessageThreaderProxyModel::mimeTypes
    {93, 1180, 1795},	// Akonadi::MessageThreaderProxyModel::parent#
    {93, 1199, 1793},	// Akonadi::MessageThreaderProxyModel::qt_metacall$$?
    {93, 1201, 1788},	// Akonadi::MessageThreaderProxyModel::qt_metacast$
    {93, 1250, 1796},	// Akonadi::MessageThreaderProxyModel::rowCount#
    {93, 1538, 1805},	// Akonadi::MessageThreaderProxyModel::setSourceModel#
    {93, 1597, 1809},	// Akonadi::MessageThreaderProxyModel::staticMetaObject
    {93, 1632, 1806},	// Akonadi::MessageThreaderProxyModel::tr$
    {93, 1633, 1789},	// Akonadi::MessageThreaderProxyModel::tr$$
    {93, 1634, 1791},	// Akonadi::MessageThreaderProxyModel::tr$$$
    {93, 1636, 1807},	// Akonadi::MessageThreaderProxyModel::trUtf8$
    {93, 1637, 1790},	// Akonadi::MessageThreaderProxyModel::trUtf8$$
    {93, 1638, 1792},	// Akonadi::MessageThreaderProxyModel::trUtf8$$$
    {93, 1766, 1810},	// Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel
    {94, 399, 1811},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute
    {94, 400, 1812},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute#
    {94, 776, 1820},	// Akonadi::MessageThreadingAttribute::clone
    {94, 882, 1822},	// Akonadi::MessageThreadingAttribute::deserialize#
    {94, 1190, 1813},	// Akonadi::MessageThreadingAttribute::perfectParents
    {94, 1282, 1821},	// Akonadi::MessageThreadingAttribute::serialized
    {94, 1497, 1814},	// Akonadi::MessageThreadingAttribute::setPerfectParents?
    {94, 1544, 1818},	// Akonadi::MessageThreadingAttribute::setSubjectParents?
    {94, 1556, 1816},	// Akonadi::MessageThreadingAttribute::setUnperfectParents?
    {94, 1610, 1817},	// Akonadi::MessageThreadingAttribute::subjectParents
    {94, 1639, 1819},	// Akonadi::MessageThreadingAttribute::type
    {94, 1647, 1815},	// Akonadi::MessageThreadingAttribute::unperfectParents
    {94, 1767, 1823},	// Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute
    {95, 402, 1824},	// Akonadi::MimeTypeChecker::MimeTypeChecker
    {95, 403, 1825},	// Akonadi::MimeTypeChecker::MimeTypeChecker#
    {95, 714, 1829},	// Akonadi::MimeTypeChecker::addWantedMimeType$
    {95, 841, 1834},	// Akonadi::MimeTypeChecker::containsWantedMimeType?
    {95, 1065, 1832},	// Akonadi::MimeTypeChecker::isWantedCollection#
    {95, 1066, 1836},	// Akonadi::MimeTypeChecker::isWantedCollection#$
    {95, 1068, 1831},	// Akonadi::MimeTypeChecker::isWantedItem#
    {95, 1069, 1835},	// Akonadi::MimeTypeChecker::isWantedItem#$
    {95, 1071, 1833},	// Akonadi::MimeTypeChecker::isWantedMimeType$
    {95, 1170, 1826},	// Akonadi::MimeTypeChecker::operator=#
    {95, 1224, 1830},	// Akonadi::MimeTypeChecker::removeWantedMimeType$
    {95, 1563, 1828},	// Akonadi::MimeTypeChecker::setWantedMimeTypes?
    {95, 1673, 1827},	// Akonadi::MimeTypeChecker::wantedMimeTypes
    {95, 1768, 1837},	// Akonadi::MimeTypeChecker::~MimeTypeChecker
    {96, 407, 1890},	// Akonadi::Monitor::Monitor
    {96, 408, -1},	// Akonadi::Monitor::Monitor#
    {96, 409, 1887},	// Akonadi::Monitor::Monitor##
    {96, 727, 1886},	// Akonadi::Monitor::allMonitored$
    {96, 781, 1874},	// Akonadi::Monitor::collectionAdded##
    {96, 785, 1875},	// Akonadi::Monitor::collectionChanged#
    {96, 786, 1876},	// Akonadi::Monitor::collectionChanged#?
    {96, 787, 1858},	// Akonadi::Monitor::collectionFetchScope
    {96, 795, 1882},	// Akonadi::Monitor::collectionMonitored#$
    {96, 797, 1877},	// Akonadi::Monitor::collectionMoved###
    {96, 799, 1878},	// Akonadi::Monitor::collectionRemoved#
    {96, 801, 1881},	// Akonadi::Monitor::collectionStatisticsChanged?#
    {96, 803, 1879},	// Akonadi::Monitor::collectionSubscribed##
    {96, 807, 1880},	// Akonadi::Monitor::collectionUnsubscribed#
    {96, 809, 1859},	// Akonadi::Monitor::collectionsMonitored
    {96, 953, 1855},	// Akonadi::Monitor::fetchChangedOnly$
    {96, 955, 1852},	// Akonadi::Monitor::fetchCollection$
    {96, 957, 1853},	// Akonadi::Monitor::fetchCollectionStatistics$
    {96, 1007, 1851},	// Akonadi::Monitor::ignoreSession#
    {96, 1052, 1864},	// Akonadi::Monitor::isAllMonitored
    {96, 1074, 1870},	// Akonadi::Monitor::itemAdded##
    {96, 1077, 1868},	// Akonadi::Monitor::itemChanged#?
    {96, 1079, 1856},	// Akonadi::Monitor::itemFetchScope
    {96, 1083, 1872},	// Akonadi::Monitor::itemLinked##
    {96, 1085, 1883},	// Akonadi::Monitor::itemMonitored#$
    {96, 1087, 1869},	// Akonadi::Monitor::itemMoved###
    {96, 1090, 1871},	// Akonadi::Monitor::itemRemoved#
    {96, 1097, 1873},	// Akonadi::Monitor::itemUnlinked##
    {96, 1099, 1860},	// Akonadi::Monitor::itemsMonitored
    {96, 1100, 1861},	// Akonadi::Monitor::itemsMonitoredEx
    {96, 1134, 1838},	// Akonadi::Monitor::metaObject
    {96, 1144, 1885},	// Akonadi::Monitor::mimeTypeMonitored$$
    {96, 1146, 1862},	// Akonadi::Monitor::mimeTypesMonitored
    {96, 1199, 1844},	// Akonadi::Monitor::qt_metacall$$?
    {96, 1201, 1839},	// Akonadi::Monitor::qt_metacast$
    {96, 1230, 1884},	// Akonadi::Monitor::resourceMonitored#$
    {96, 1231, 1863},	// Akonadi::Monitor::resourcesMonitored
    {96, 1283, 1866},	// Akonadi::Monitor::session
    {96, 1293, 1895},	// Akonadi::Monitor::setAllMonitored
    {96, 1294, 1850},	// Akonadi::Monitor::setAllMonitored$
    {96, 1322, 1857},	// Akonadi::Monitor::setCollectionFetchScope#
    {96, 1326, 1891},	// Akonadi::Monitor::setCollectionMonitored#
    {96, 1327, 1846},	// Akonadi::Monitor::setCollectionMonitored#$
    {96, 1329, 1867},	// Akonadi::Monitor::setCollectionMoveTranslationEnabled$
    {96, 1442, 1854},	// Akonadi::Monitor::setItemFetchScope#
    {96, 1444, 1892},	// Akonadi::Monitor::setItemMonitored#
    {96, 1445, 1847},	// Akonadi::Monitor::setItemMonitored#$
    {96, 1470, 1894},	// Akonadi::Monitor::setMimeTypeMonitored$
    {96, 1471, 1849},	// Akonadi::Monitor::setMimeTypeMonitored$$
    {96, 1518, 1893},	// Akonadi::Monitor::setResourceMonitored#
    {96, 1519, 1848},	// Akonadi::Monitor::setResourceMonitored#$
    {96, 1532, 1865},	// Akonadi::Monitor::setSession#
    {96, 1597, 1897},	// Akonadi::Monitor::staticMetaObject
    {96, 1632, 1888},	// Akonadi::Monitor::tr$
    {96, 1633, 1840},	// Akonadi::Monitor::tr$$
    {96, 1634, 1842},	// Akonadi::Monitor::tr$$$
    {96, 1636, 1889},	// Akonadi::Monitor::trUtf8$
    {96, 1637, 1841},	// Akonadi::Monitor::trUtf8$$
    {96, 1638, 1843},	// Akonadi::Monitor::trUtf8$$$
    {96, 1769, 1898},	// Akonadi::Monitor::~Monitor
    {98, 467, 1913},	// Akonadi::PartFetcher::PartFetcher##
    {98, 468, 1906},	// Akonadi::PartFetcher::PartFetcher###
    {98, 1014, 1908},	// Akonadi::PartFetcher::index
    {98, 1072, 1910},	// Akonadi::PartFetcher::item
    {98, 1134, 1899},	// Akonadi::PartFetcher::metaObject
    {98, 1183, 1909},	// Akonadi::PartFetcher::partName
    {98, 1199, 1905},	// Akonadi::PartFetcher::qt_metacall$$?
    {98, 1201, 1900},	// Akonadi::PartFetcher::qt_metacast$
    {98, 1589, 1907},	// Akonadi::PartFetcher::start
    {98, 1597, 1914},	// Akonadi::PartFetcher::staticMetaObject
    {98, 1632, 1911},	// Akonadi::PartFetcher::tr$
    {98, 1633, 1901},	// Akonadi::PartFetcher::tr$$
    {98, 1634, 1903},	// Akonadi::PartFetcher::tr$$$
    {98, 1636, 1912},	// Akonadi::PartFetcher::trUtf8$
    {98, 1637, 1902},	// Akonadi::PartFetcher::trUtf8$$
    {98, 1638, 1904},	// Akonadi::PartFetcher::trUtf8$$$
    {98, 1772, 1915},	// Akonadi::PartFetcher::~PartFetcher
    {99, 470, 1918},	// Akonadi::PayloadBase::PayloadBase
    {99, 471, 1919},	// Akonadi::PayloadBase::PayloadBase#
    {99, 776, 1916},	// Akonadi::PayloadBase::clone
    {99, 1643, 1917},	// Akonadi::PayloadBase::typeName
    {99, 1773, 1920},	// Akonadi::PayloadBase::~PayloadBase
    {100, 473, -117},	// Akonadi::PayloadException::PayloadException#
    {100, 474, -120},	// Akonadi::PayloadException::PayloadException$
    {100, 1639, 1924},	// Akonadi::PayloadException::type
    {100, 1774, 1926},	// Akonadi::PayloadException::~PayloadException
    {101, 482, 1938},	// Akonadi::PreprocessorBase::PreprocessorBase$
    {101, 484, 1942},	// Akonadi::PreprocessorBase::ProcessingCompleted
    {101, 485, 1943},	// Akonadi::PreprocessorBase::ProcessingDelayed
    {101, 486, 1944},	// Akonadi::PreprocessorBase::ProcessingFailed
    {101, 487, 1945},	// Akonadi::PreprocessorBase::ProcessingRefused
    {101, 966, 1937},	// Akonadi::PreprocessorBase::fetchScope
    {101, 972, 1935},	// Akonadi::PreprocessorBase::finishProcessing$
    {101, 1134, 1927},	// Akonadi::PreprocessorBase::metaObject
    {101, 1194, 1934},	// Akonadi::PreprocessorBase::processItem#
    {101, 1199, 1933},	// Akonadi::PreprocessorBase::qt_metacall$$?
    {101, 1201, 1928},	// Akonadi::PreprocessorBase::qt_metacast$
    {101, 1397, 1936},	// Akonadi::PreprocessorBase::setFetchScope#
    {101, 1597, 1941},	// Akonadi::PreprocessorBase::staticMetaObject
    {101, 1632, 1939},	// Akonadi::PreprocessorBase::tr$
    {101, 1633, 1929},	// Akonadi::PreprocessorBase::tr$$
    {101, 1634, 1931},	// Akonadi::PreprocessorBase::tr$$$
    {101, 1636, 1940},	// Akonadi::PreprocessorBase::trUtf8$
    {101, 1637, 1930},	// Akonadi::PreprocessorBase::trUtf8$$
    {101, 1638, 1932},	// Akonadi::PreprocessorBase::trUtf8$$$
    {101, 1775, 1946},	// Akonadi::PreprocessorBase::~PreprocessorBase
    {102, 16, 2006},	// Akonadi::ResourceBase::AfterChangeReplay
    {102, 49, 2007},	// Akonadi::ResourceBase::Append
    {102, 480, 2005},	// Akonadi::ResourceBase::Prepend
    {102, 511, 1967},	// Akonadi::ResourceBase::ResourceBase$
    {102, 677, 1965},	// Akonadi::ResourceBase::abortActivity
    {102, 736, 1959},	// Akonadi::ResourceBase::attributesSynchronized$
    {102, 751, 1992},	// Akonadi::ResourceBase::cancelTask
    {102, 752, 1993},	// Akonadi::ResourceBase::cancelTask$
    {102, 758, -55},	// Akonadi::ResourceBase::changeCommitted#
    {102, 768, 1983},	// Akonadi::ResourceBase::clearCache
    {102, 783, 1969},	// Akonadi::ResourceBase::collectionAttributesRetrieved#
    {102, 805, 1960},	// Akonadi::ResourceBase::collectionTreeSynchronized
    {102, 812, 1975},	// Akonadi::ResourceBase::collectionsRetrievalDone
    {102, 814, 1972},	// Akonadi::ResourceBase::collectionsRetrieved?
    {102, 816, 1973},	// Akonadi::ResourceBase::collectionsRetrievedIncremental??
    {102, 865, 1985},	// Akonadi::ResourceBase::currentCollection
    {102, 866, 1986},	// Akonadi::ResourceBase::currentItem
    {102, 877, 1994},	// Akonadi::ResourceBase::deferTask
    {102, 899, 1995},	// Akonadi::ResourceBase::doSetOnline$
    {102, 917, 1999},	// Akonadi::ResourceBase::dumpNotificationListToString
    {102, 918, 1966},	// Akonadi::ResourceBase::dumpResourceToString
    {102, 919, 2000},	// Akonadi::ResourceBase::dumpSchedulerToString
    {102, 1051, 1984},	// Akonadi::ResourceBase::invalidateCache#
    {102, 1092, 1968},	// Akonadi::ResourceBase::itemRetrieved#
    {102, 1103, 1982},	// Akonadi::ResourceBase::itemsRetrievalDone
    {102, 1105, 1976},	// Akonadi::ResourceBase::itemsRetrieved?
    {102, 1107, 1981},	// Akonadi::ResourceBase::itemsRetrievedIncremental??
    {102, 1134, 1947},	// Akonadi::ResourceBase::metaObject
    {102, 1159, 1955},	// Akonadi::ResourceBase::name
    {102, 1161, 1957},	// Akonadi::ResourceBase::nameChanged$
    {102, 1199, 1953},	// Akonadi::ResourceBase::qt_metacall$$?
    {102, 1201, 1948},	// Akonadi::ResourceBase::qt_metacast$
    {102, 1237, 1962},	// Akonadi::ResourceBase::retrieveCollectionAttributes#
    {102, 1238, 1961},	// Akonadi::ResourceBase::retrieveCollections
    {102, 1240, 1964},	// Akonadi::ResourceBase::retrieveItem#?
    {102, 1242, 1963},	// Akonadi::ResourceBase::retrieveItems#
    {102, 1260, 2003},	// Akonadi::ResourceBase::scheduleCustomTask#$#
    {102, 1261, 1997},	// Akonadi::ResourceBase::scheduleCustomTask#$#$
    {102, 1301, 1956},	// Akonadi::ResourceBase::setAutomaticProgressReporting$
    {102, 1335, 1974},	// Akonadi::ResourceBase::setCollectionStreamingEnabled$
    {102, 1415, 1996},	// Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled$
    {102, 1451, 1978},	// Akonadi::ResourceBase::setItemStreamingEnabled$
    {102, 1453, 1980},	// Akonadi::ResourceBase::setItemSynchronizationFetchScope#
    {102, 1455, 1979},	// Akonadi::ResourceBase::setItemTransactionMode$
    {102, 1478, 1954},	// Akonadi::ResourceBase::setName$
    {102, 1552, 1977},	// Akonadi::ResourceBase::setTotalItems$
    {102, 1597, 2004},	// Akonadi::ResourceBase::staticMetaObject
    {102, 1614, 1987},	// Akonadi::ResourceBase::synchronize
    {102, 1618, 1988},	// Akonadi::ResourceBase::synchronizeCollection$
    {102, 1619, 1989},	// Akonadi::ResourceBase::synchronizeCollection$$
    {102, 1621, 1990},	// Akonadi::ResourceBase::synchronizeCollectionAttributes$
    {102, 1622, 1991},	// Akonadi::ResourceBase::synchronizeCollectionTree
    {102, 1623, 1958},	// Akonadi::ResourceBase::synchronized
    {102, 1626, 1998},	// Akonadi::ResourceBase::taskDone
    {102, 1632, 2001},	// Akonadi::ResourceBase::tr$
    {102, 1633, 1949},	// Akonadi::ResourceBase::tr$$
    {102, 1634, 1951},	// Akonadi::ResourceBase::tr$$$
    {102, 1636, 2002},	// Akonadi::ResourceBase::trUtf8$
    {102, 1637, 1950},	// Akonadi::ResourceBase::trUtf8$$
    {102, 1638, 1952},	// Akonadi::ResourceBase::trUtf8$$$
    {102, 1776, 2008},	// Akonadi::ResourceBase::~ResourceBase
    {103, 514, 2023},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob#
    {103, 515, 2016},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob##
    {103, 804, 2017},	// Akonadi::ResourceSynchronizationJob::collectionTreeOnly
    {103, 1134, 2009},	// Akonadi::ResourceSynchronizationJob::metaObject
    {103, 1199, 2015},	// Akonadi::ResourceSynchronizationJob::qt_metacall$$?
    {103, 1201, 2010},	// Akonadi::ResourceSynchronizationJob::qt_metacast$
    {103, 1228, 2019},	// Akonadi::ResourceSynchronizationJob::resource
    {103, 1337, 2018},	// Akonadi::ResourceSynchronizationJob::setCollectionTreeOnly$
    {103, 1589, 2020},	// Akonadi::ResourceSynchronizationJob::start
    {103, 1597, 2024},	// Akonadi::ResourceSynchronizationJob::staticMetaObject
    {103, 1632, 2021},	// Akonadi::ResourceSynchronizationJob::tr$
    {103, 1633, 2011},	// Akonadi::ResourceSynchronizationJob::tr$$
    {103, 1634, 2013},	// Akonadi::ResourceSynchronizationJob::tr$$$
    {103, 1636, 2022},	// Akonadi::ResourceSynchronizationJob::trUtf8$
    {103, 1637, 2012},	// Akonadi::ResourceSynchronizationJob::trUtf8$$
    {103, 1638, 2014},	// Akonadi::ResourceSynchronizationJob::trUtf8$$$
    {103, 1777, 2025},	// Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob
    {104, 522, 2040},	// Akonadi::SearchCreateJob::SearchCreateJob$$
    {104, 523, 2033},	// Akonadi::SearchCreateJob::SearchCreateJob$$#
    {104, 859, 2035},	// Akonadi::SearchCreateJob::createdCollection
    {104, 894, 2037},	// Akonadi::SearchCreateJob::doHandleResponse##
    {104, 900, 2036},	// Akonadi::SearchCreateJob::doStart
    {104, 1134, 2026},	// Akonadi::SearchCreateJob::metaObject
    {104, 1199, 2032},	// Akonadi::SearchCreateJob::qt_metacall$$?
    {104, 1201, 2027},	// Akonadi::SearchCreateJob::qt_metacast$
    {104, 1506, 2034},	// Akonadi::SearchCreateJob::setQueryLanguage$
    {104, 1597, 2041},	// Akonadi::SearchCreateJob::staticMetaObject
    {104, 1632, 2038},	// Akonadi::SearchCreateJob::tr$
    {104, 1633, 2028},	// Akonadi::SearchCreateJob::tr$$
    {104, 1634, 2030},	// Akonadi::SearchCreateJob::tr$$$
    {104, 1636, 2039},	// Akonadi::SearchCreateJob::trUtf8$
    {104, 1637, 2029},	// Akonadi::SearchCreateJob::trUtf8$$
    {104, 1638, 2031},	// Akonadi::SearchCreateJob::trUtf8$$$
    {104, 1778, 2042},	// Akonadi::SearchCreateJob::~SearchCreateJob
    {105, 529, 2053},	// Akonadi::SelectionProxyModel::SelectionProxyModel#
    {105, 530, 2050},	// Akonadi::SelectionProxyModel::SelectionProxyModel##
    {105, 1134, 2043},	// Akonadi::SelectionProxyModel::metaObject
    {105, 1199, 2049},	// Akonadi::SelectionProxyModel::qt_metacall$$?
    {105, 1201, 2044},	// Akonadi::SelectionProxyModel::qt_metacast$
    {105, 1597, 2054},	// Akonadi::SelectionProxyModel::staticMetaObject
    {105, 1632, 2051},	// Akonadi::SelectionProxyModel::tr$
    {105, 1633, 2045},	// Akonadi::SelectionProxyModel::tr$$
    {105, 1634, 2047},	// Akonadi::SelectionProxyModel::tr$$$
    {105, 1636, 2052},	// Akonadi::SelectionProxyModel::trUtf8$
    {105, 1637, 2046},	// Akonadi::SelectionProxyModel::trUtf8$$
    {105, 1638, 2048},	// Akonadi::SelectionProxyModel::trUtf8$$$
    {105, 1779, 2055},	// Akonadi::SelectionProxyModel::~SelectionProxyModel
    {106, 60, 2079},	// Akonadi::ServerManager::Broken
    {106, 452, 2075},	// Akonadi::ServerManager::NotRunning
    {106, 518, 2077},	// Akonadi::ServerManager::Running
    {106, 548, 2076},	// Akonadi::ServerManager::Starting
    {106, 556, 2078},	// Akonadi::ServerManager::Stopping
    {106, 1060, 2066},	// Akonadi::ServerManager::isRunning
    {106, 1134, 2056},	// Akonadi::ServerManager::metaObject
    {106, 1199, 2062},	// Akonadi::ServerManager::qt_metacall$$?
    {106, 1201, 2057},	// Akonadi::ServerManager::qt_metacast$
    {106, 1273, 2068},	// Akonadi::ServerManager::self
    {106, 1573, 2065},	// Akonadi::ServerManager::showSelfTestDialog#
    {106, 1589, 2063},	// Akonadi::ServerManager::start
    {106, 1593, 2069},	// Akonadi::ServerManager::started
    {106, 1594, 2067},	// Akonadi::ServerManager::state
    {106, 1596, 2071},	// Akonadi::ServerManager::stateChanged$
    {106, 1597, 2074},	// Akonadi::ServerManager::staticMetaObject
    {106, 1603, 2064},	// Akonadi::ServerManager::stop
    {106, 1605, 2070},	// Akonadi::ServerManager::stopped
    {106, 1632, 2072},	// Akonadi::ServerManager::tr$
    {106, 1633, 2058},	// Akonadi::ServerManager::tr$$
    {106, 1634, 2060},	// Akonadi::ServerManager::tr$$$
    {106, 1636, 2073},	// Akonadi::ServerManager::trUtf8$
    {106, 1637, 2059},	// Akonadi::ServerManager::trUtf8$$
    {106, 1638, 2061},	// Akonadi::ServerManager::trUtf8$$$
    {106, 1780, 2080},	// Akonadi::ServerManager::~ServerManager
    {107, 532, 2096},	// Akonadi::Session::Session
    {107, 533, -78},	// Akonadi::Session::Session#
    {107, 534, -81},	// Akonadi::Session::Session##
    {107, 535, 2093},	// Akonadi::Session::Session###
    {107, 765, 2091},	// Akonadi::Session::clear
    {107, 876, 2090},	// Akonadi::Session::defaultSession
    {107, 1134, 2081},	// Akonadi::Session::metaObject
    {107, 1199, 2087},	// Akonadi::Session::qt_metacall$$?
    {107, 1201, 2082},	// Akonadi::Session::qt_metacast$
    {107, 1204, 2092},	// Akonadi::Session::reconnected
    {107, 1284, 2089},	// Akonadi::Session::sessionId
    {107, 1597, 2100},	// Akonadi::Session::staticMetaObject
    {107, 1632, 2094},	// Akonadi::Session::tr$
    {107, 1633, 2083},	// Akonadi::Session::tr$$
    {107, 1634, 2085},	// Akonadi::Session::tr$$$
    {107, 1636, 2095},	// Akonadi::Session::trUtf8$
    {107, 1637, 2084},	// Akonadi::Session::trUtf8$$
    {107, 1638, 2086},	// Akonadi::Session::trUtf8$$$
    {107, 1781, 2101},	// Akonadi::Session::~Session
    {109, 4, 2142},	// Akonadi::StandardActionManager::AddToFavoriteCollections
    {109, 126, 2137},	// Akonadi::StandardActionManager::CollectionProperties
    {109, 199, 2156},	// Akonadi::StandardActionManager::CopyCollectionToDialog
    {109, 200, 2145},	// Akonadi::StandardActionManager::CopyCollectionToMenu
    {109, 201, 2134},	// Akonadi::StandardActionManager::CopyCollections
    {109, 202, 2158},	// Akonadi::StandardActionManager::CopyItemToDialog
    {109, 203, 2146},	// Akonadi::StandardActionManager::CopyItemToMenu
    {109, 204, 2138},	// Akonadi::StandardActionManager::CopyItems
    {109, 205, 2133},	// Akonadi::StandardActionManager::CreateCollection
    {109, 207, 2151},	// Akonadi::StandardActionManager::CreateResource
    {109, 209, 2150},	// Akonadi::StandardActionManager::CutCollections
    {109, 210, 2149},	// Akonadi::StandardActionManager::CutItems
    {109, 214, 2135},	// Akonadi::StandardActionManager::DeleteCollections
    {109, 215, 2140},	// Akonadi::StandardActionManager::DeleteItems
    {109, 216, 2152},	// Akonadi::StandardActionManager::DeleteResources
    {109, 219, 2172},	// Akonadi::StandardActionManager::DialogText
    {109, 220, 2171},	// Akonadi::StandardActionManager::DialogTitle
    {109, 260, 2177},	// Akonadi::StandardActionManager::ErrorMessageText
    {109, 261, 2176},	// Akonadi::StandardActionManager::ErrorMessageTitle
    {109, 362, 2170},	// Akonadi::StandardActionManager::LastType
    {109, 389, 2141},	// Akonadi::StandardActionManager::ManageLocalSubscriptions
    {109, 390, 2175},	// Akonadi::StandardActionManager::MessageBoxAlternativeText
    {109, 391, 2174},	// Akonadi::StandardActionManager::MessageBoxText
    {109, 392, 2173},	// Akonadi::StandardActionManager::MessageBoxTitle
    {109, 410, 2157},	// Akonadi::StandardActionManager::MoveCollectionToDialog
    {109, 411, 2148},	// Akonadi::StandardActionManager::MoveCollectionToMenu
    {109, 412, 2161},	// Akonadi::StandardActionManager::MoveCollectionsToTrash
    {109, 416, 2159},	// Akonadi::StandardActionManager::MoveItemToDialog
    {109, 417, 2147},	// Akonadi::StandardActionManager::MoveItemToMenu
    {109, 418, 2162},	// Akonadi::StandardActionManager::MoveItemsToTrash
    {109, 425, 2165},	// Akonadi::StandardActionManager::MoveToTrashRestoreCollection
    {109, 426, 2166},	// Akonadi::StandardActionManager::MoveToTrashRestoreCollectionAlternative
    {109, 427, 2167},	// Akonadi::StandardActionManager::MoveToTrashRestoreItem
    {109, 428, 2168},	// Akonadi::StandardActionManager::MoveToTrashRestoreItemAlternative
    {109, 469, 2139},	// Akonadi::StandardActionManager::Paste
    {109, 507, 2143},	// Akonadi::StandardActionManager::RemoveFromFavoriteCollections
    {109, 508, 2144},	// Akonadi::StandardActionManager::RenameFavoriteCollection
    {109, 512, 2153},	// Akonadi::StandardActionManager::ResourceProperties
    {109, 516, 2163},	// Akonadi::StandardActionManager::RestoreCollectionsFromTrash
    {109, 517, 2164},	// Akonadi::StandardActionManager::RestoreItemsFromTrash
    {109, 546, 2130},	// Akonadi::StandardActionManager::StandardActionManager#
    {109, 547, 2109},	// Akonadi::StandardActionManager::StandardActionManager##
    {109, 565, 2136},	// Akonadi::StandardActionManager::SynchronizeCollections
    {109, 566, 2160},	// Akonadi::StandardActionManager::SynchronizeCollectionsRecursive
    {109, 567, 2169},	// Akonadi::StandardActionManager::SynchronizeFavoriteCollections
    {109, 568, 2154},	// Akonadi::StandardActionManager::SynchronizeResources
    {109, 571, 2155},	// Akonadi::StandardActionManager::ToggleWorkOffline
    {109, 686, 2116},	// Akonadi::StandardActionManager::action$
    {109, 688, 2127},	// Akonadi::StandardActionManager::actionStateUpdated
    {109, 848, 2114},	// Akonadi::StandardActionManager::createAction$
    {109, 850, 2126},	// Akonadi::StandardActionManager::createActionFolderMenu#$
    {109, 851, 2115},	// Akonadi::StandardActionManager::createAllActions
    {109, 1047, 2131},	// Akonadi::StandardActionManager::interceptAction$
    {109, 1048, 2118},	// Akonadi::StandardActionManager::interceptAction$$
    {109, 1134, 2102},	// Akonadi::StandardActionManager::metaObject
    {109, 1199, 2108},	// Akonadi::StandardActionManager::qt_metacall$$?
    {109, 1201, 2103},	// Akonadi::StandardActionManager::qt_metacast$
    {109, 1267, 2119},	// Akonadi::StandardActionManager::selectedCollections
    {109, 1269, 2120},	// Akonadi::StandardActionManager::selectedItems
    {109, 1288, 2117},	// Akonadi::StandardActionManager::setActionText$#
    {109, 1313, 2124},	// Akonadi::StandardActionManager::setCapabilityFilter?
    {109, 1331, 2125},	// Akonadi::StandardActionManager::setCollectionPropertiesPageNames?
    {109, 1333, 2110},	// Akonadi::StandardActionManager::setCollectionSelectionModel#
    {109, 1362, 2122},	// Akonadi::StandardActionManager::setContextText$$#
    {109, 1363, 2121},	// Akonadi::StandardActionManager::setContextText$$$
    {109, 1389, 2112},	// Akonadi::StandardActionManager::setFavoriteCollectionsModel#
    {109, 1393, 2113},	// Akonadi::StandardActionManager::setFavoriteSelectionModel#
    {109, 1449, 2111},	// Akonadi::StandardActionManager::setItemSelectionModel#
    {109, 1468, 2123},	// Akonadi::StandardActionManager::setMimeTypeFilter?
    {109, 1597, 2132},	// Akonadi::StandardActionManager::staticMetaObject
    {109, 1632, 2128},	// Akonadi::StandardActionManager::tr$
    {109, 1633, 2104},	// Akonadi::StandardActionManager::tr$$
    {109, 1634, 2106},	// Akonadi::StandardActionManager::tr$$$
    {109, 1636, 2129},	// Akonadi::StandardActionManager::trUtf8$
    {109, 1637, 2105},	// Akonadi::StandardActionManager::trUtf8$$
    {109, 1638, 2107},	// Akonadi::StandardActionManager::trUtf8$$$
    {109, 1782, 2178},	// Akonadi::StandardActionManager::~StandardActionManager
    {110, 551, 2201},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel
    {110, 552, 2186},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel#
    {110, 817, 2205},	// Akonadi::StatisticsProxyModel::columnCount
    {110, 818, 2195},	// Akonadi::StatisticsProxyModel::columnCount#
    {110, 829, 2198},	// Akonadi::StatisticsProxyModel::connectNotify$
    {110, 871, 2203},	// Akonadi::StatisticsProxyModel::data#
    {110, 872, 2192},	// Akonadi::StatisticsProxyModel::data#$
    {110, 974, 2194},	// Akonadi::StatisticsProxyModel::flags#
    {110, 993, 2204},	// Akonadi::StatisticsProxyModel::headerData$$
    {110, 994, 2193},	// Akonadi::StatisticsProxyModel::headerData$$$
    {110, 1015, 2202},	// Akonadi::StatisticsProxyModel::index$$
    {110, 1016, 2191},	// Akonadi::StatisticsProxyModel::index$$#
    {110, 1055, 2190},	// Akonadi::StatisticsProxyModel::isExtraColumnsEnabled
    {110, 1061, 2188},	// Akonadi::StatisticsProxyModel::isToolTipEnabled
    {110, 1130, 2206},	// Akonadi::StatisticsProxyModel::match#$#
    {110, 1131, 2207},	// Akonadi::StatisticsProxyModel::match#$#$
    {110, 1132, 2196},	// Akonadi::StatisticsProxyModel::match#$#$$
    {110, 1134, 2179},	// Akonadi::StatisticsProxyModel::metaObject
    {110, 1199, 2185},	// Akonadi::StatisticsProxyModel::qt_metacall$$?
    {110, 1201, 2180},	// Akonadi::StatisticsProxyModel::qt_metacast$
    {110, 1387, 2189},	// Akonadi::StatisticsProxyModel::setExtraColumnsEnabled$
    {110, 1538, 2197},	// Akonadi::StatisticsProxyModel::setSourceModel#
    {110, 1550, 2187},	// Akonadi::StatisticsProxyModel::setToolTipEnabled$
    {110, 1597, 2208},	// Akonadi::StatisticsProxyModel::staticMetaObject
    {110, 1632, 2199},	// Akonadi::StatisticsProxyModel::tr$
    {110, 1633, 2181},	// Akonadi::StatisticsProxyModel::tr$$
    {110, 1634, 2183},	// Akonadi::StatisticsProxyModel::tr$$$
    {110, 1636, 2200},	// Akonadi::StatisticsProxyModel::trUtf8$
    {110, 1637, 2182},	// Akonadi::StatisticsProxyModel::trUtf8$$
    {110, 1638, 2184},	// Akonadi::StatisticsProxyModel::trUtf8$$$
    {110, 1783, 2209},	// Akonadi::StatisticsProxyModel::~StatisticsProxyModel
    {111, 575, 2217},	// Akonadi::TransactionBeginJob::TransactionBeginJob#
    {111, 900, 2218},	// Akonadi::TransactionBeginJob::doStart
    {111, 1134, 2210},	// Akonadi::TransactionBeginJob::metaObject
    {111, 1199, 2216},	// Akonadi::TransactionBeginJob::qt_metacall$$?
    {111, 1201, 2211},	// Akonadi::TransactionBeginJob::qt_metacast$
    {111, 1597, 2221},	// Akonadi::TransactionBeginJob::staticMetaObject
    {111, 1632, 2219},	// Akonadi::TransactionBeginJob::tr$
    {111, 1633, 2212},	// Akonadi::TransactionBeginJob::tr$$
    {111, 1634, 2214},	// Akonadi::TransactionBeginJob::tr$$$
    {111, 1636, 2220},	// Akonadi::TransactionBeginJob::trUtf8$
    {111, 1637, 2213},	// Akonadi::TransactionBeginJob::trUtf8$$
    {111, 1638, 2215},	// Akonadi::TransactionBeginJob::trUtf8$$$
    {111, 1784, 2222},	// Akonadi::TransactionBeginJob::~TransactionBeginJob
    {112, 577, 2230},	// Akonadi::TransactionCommitJob::TransactionCommitJob#
    {112, 900, 2231},	// Akonadi::TransactionCommitJob::doStart
    {112, 1134, 2223},	// Akonadi::TransactionCommitJob::metaObject
    {112, 1199, 2229},	// Akonadi::TransactionCommitJob::qt_metacall$$?
    {112, 1201, 2224},	// Akonadi::TransactionCommitJob::qt_metacast$
    {112, 1597, 2234},	// Akonadi::TransactionCommitJob::staticMetaObject
    {112, 1632, 2232},	// Akonadi::TransactionCommitJob::tr$
    {112, 1633, 2225},	// Akonadi::TransactionCommitJob::tr$$
    {112, 1634, 2227},	// Akonadi::TransactionCommitJob::tr$$$
    {112, 1636, 2233},	// Akonadi::TransactionCommitJob::trUtf8$
    {112, 1637, 2226},	// Akonadi::TransactionCommitJob::trUtf8$$
    {112, 1638, 2228},	// Akonadi::TransactionCommitJob::trUtf8$$$
    {112, 1785, 2235},	// Akonadi::TransactionCommitJob::~TransactionCommitJob
    {113, 579, 2243},	// Akonadi::TransactionRollbackJob::TransactionRollbackJob#
    {113, 900, 2244},	// Akonadi::TransactionRollbackJob::doStart
    {113, 1134, 2236},	// Akonadi::TransactionRollbackJob::metaObject
    {113, 1199, 2242},	// Akonadi::TransactionRollbackJob::qt_metacall$$?
    {113, 1201, 2237},	// Akonadi::TransactionRollbackJob::qt_metacast$
    {113, 1597, 2247},	// Akonadi::TransactionRollbackJob::staticMetaObject
    {113, 1632, 2245},	// Akonadi::TransactionRollbackJob::tr$
    {113, 1633, 2238},	// Akonadi::TransactionRollbackJob::tr$$
    {113, 1634, 2240},	// Akonadi::TransactionRollbackJob::tr$$$
    {113, 1636, 2246},	// Akonadi::TransactionRollbackJob::trUtf8$
    {113, 1637, 2239},	// Akonadi::TransactionRollbackJob::trUtf8$$
    {113, 1638, 2241},	// Akonadi::TransactionRollbackJob::trUtf8$$$
    {113, 1786, 2248},	// Akonadi::TransactionRollbackJob::~TransactionRollbackJob
    {114, 580, 2266},	// Akonadi::TransactionSequence::TransactionSequence
    {114, 581, 2256},	// Akonadi::TransactionSequence::TransactionSequence#
    {114, 712, 2261},	// Akonadi::TransactionSequence::addSubjob#
    {114, 819, 2257},	// Akonadi::TransactionSequence::commit
    {114, 900, 2262},	// Akonadi::TransactionSequence::doStart
    {114, 1134, 2249},	// Akonadi::TransactionSequence::metaObject
    {114, 1199, 2255},	// Akonadi::TransactionSequence::qt_metacall$$?
    {114, 1201, 2250},	// Akonadi::TransactionSequence::qt_metacast$
    {114, 1246, 2258},	// Akonadi::TransactionSequence::rollback
    {114, 1299, 2260},	// Akonadi::TransactionSequence::setAutomaticCommittingEnabled$
    {114, 1421, 2259},	// Akonadi::TransactionSequence::setIgnoreJobFailure#
    {114, 1584, 2263},	// Akonadi::TransactionSequence::slotResult#
    {114, 1597, 2267},	// Akonadi::TransactionSequence::staticMetaObject
    {114, 1632, 2264},	// Akonadi::TransactionSequence::tr$
    {114, 1633, 2251},	// Akonadi::TransactionSequence::tr$$
    {114, 1634, 2253},	// Akonadi::TransactionSequence::tr$$$
    {114, 1636, 2265},	// Akonadi::TransactionSequence::trUtf8$
    {114, 1637, 2252},	// Akonadi::TransactionSequence::trUtf8$$
    {114, 1638, 2254},	// Akonadi::TransactionSequence::trUtf8$$$
    {114, 1787, 2268},	// Akonadi::TransactionSequence::~TransactionSequence
    {115, 582, 2275},	// Akonadi::TransportResourceBase::TransportFailed
    {115, 583, 2269},	// Akonadi::TransportResourceBase::TransportResourceBase
    {115, 584, 2272},	// Akonadi::TransportResourceBase::TransportResourceBase#
    {115, 585, 2274},	// Akonadi::TransportResourceBase::TransportSucceeded
    {115, 1094, 2273},	// Akonadi::TransportResourceBase::itemSent#$
    {115, 1095, 2271},	// Akonadi::TransportResourceBase::itemSent#$$
    {115, 1277, 2270},	// Akonadi::TransportResourceBase::sendItem#
    {115, 1788, 2276},	// Akonadi::TransportResourceBase::~TransportResourceBase
    {116, 591, 2288},	// Akonadi::UnlinkJob::UnlinkJob#?
    {116, 592, 2284},	// Akonadi::UnlinkJob::UnlinkJob#?#
    {116, 900, 2285},	// Akonadi::UnlinkJob::doStart
    {116, 1134, 2277},	// Akonadi::UnlinkJob::metaObject
    {116, 1199, 2283},	// Akonadi::UnlinkJob::qt_metacall$$?
    {116, 1201, 2278},	// Akonadi::UnlinkJob::qt_metacast$
    {116, 1597, 2289},	// Akonadi::UnlinkJob::staticMetaObject
    {116, 1632, 2286},	// Akonadi::UnlinkJob::tr$
    {116, 1633, 2279},	// Akonadi::UnlinkJob::tr$$
    {116, 1634, 2281},	// Akonadi::UnlinkJob::tr$$$
    {116, 1636, 2287},	// Akonadi::UnlinkJob::trUtf8$
    {116, 1637, 2280},	// Akonadi::UnlinkJob::trUtf8$$
    {116, 1638, 2282},	// Akonadi::UnlinkJob::trUtf8$$$
    {116, 1789, 2290},	// Akonadi::UnlinkJob::~UnlinkJob
    {173, 365, 2554},	// QGlobalSpace::LicensedActiveQt
    {173, 366, 2549},	// QGlobalSpace::LicensedCore
    {173, 367, 2555},	// QGlobalSpace::LicensedDBus
    {173, 368, 2553},	// QGlobalSpace::LicensedDeclarative
    {173, 369, 2552},	// QGlobalSpace::LicensedGui
    {173, 370, 2565},	// QGlobalSpace::LicensedHelp
    {173, 371, 2564},	// QGlobalSpace::LicensedMultimedia
    {173, 372, 2547},	// QGlobalSpace::LicensedNetwork
    {173, 373, 2544},	// QGlobalSpace::LicensedOpenGL
    {173, 374, 2546},	// QGlobalSpace::LicensedOpenVG
    {173, 375, 2545},	// QGlobalSpace::LicensedQt3Support
    {173, 376, 2558},	// QGlobalSpace::LicensedQt3SupportLight
    {173, 377, 2563},	// QGlobalSpace::LicensedScript
    {173, 378, 2557},	// QGlobalSpace::LicensedScriptTools
    {173, 379, 2548},	// QGlobalSpace::LicensedSql
    {173, 380, 2550},	// QGlobalSpace::LicensedSvg
    {173, 381, 2556},	// QGlobalSpace::LicensedTest
    {173, 382, 2538},	// QGlobalSpace::LicensedXml
    {173, 383, 2551},	// QGlobalSpace::LicensedXmlPatterns
    {173, 490, 2541},	// QGlobalSpace::QtCriticalMsg
    {173, 491, 2539},	// QGlobalSpace::QtDebugMsg
    {173, 492, 2542},	// QGlobalSpace::QtFatalMsg
    {173, 493, 2543},	// QGlobalSpace::QtSystemMsg
    {173, 494, 2540},	// QGlobalSpace::QtWarningMsg
    {173, 609, 2476},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {173, 610, 2477},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {173, 611, 2484},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {173, 612, 2485},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {173, 613, 2486},	// QGlobalSpace::_CS_LFS64_LIBS
    {173, 614, 2487},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {173, 615, 2480},	// QGlobalSpace::_CS_LFS_CFLAGS
    {173, 616, 2481},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {173, 617, 2482},	// QGlobalSpace::_CS_LFS_LIBS
    {173, 618, 2483},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {173, 619, 2474},	// QGlobalSpace::_CS_PATH
    {173, 620, 2504},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {173, 621, 2505},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {173, 622, 2506},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {173, 623, 2507},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {173, 624, 2508},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {173, 625, 2509},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {173, 626, 2510},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {173, 627, 2511},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {173, 628, 2512},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {173, 629, 2513},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {173, 630, 2514},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {173, 631, 2515},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {173, 632, 2516},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {173, 633, 2517},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {173, 634, 2518},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {173, 635, 2519},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {173, 636, 2520},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {173, 637, 2521},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {173, 638, 2522},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {173, 639, 2523},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {173, 640, 2524},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {173, 641, 2525},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {173, 642, 2526},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {173, 643, 2527},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {173, 644, 2528},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {173, 645, 2529},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {173, 646, 2530},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {173, 647, 2531},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {173, 648, 2532},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {173, 649, 2533},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {173, 650, 2534},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {173, 651, 2535},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {173, 652, 2478},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {173, 653, 2536},	// QGlobalSpace::_CS_V6_ENV
    {173, 654, 2475},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {173, 655, 2537},	// QGlobalSpace::_CS_V7_ENV
    {173, 656, 2479},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {173, 657, 2488},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {173, 658, 2489},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {173, 659, 2490},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {173, 660, 2491},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {173, 661, 2492},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {173, 662, 2493},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {173, 663, 2494},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {173, 664, 2495},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {173, 665, 2496},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {173, 666, 2497},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {173, 667, 2498},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {173, 668, 2499},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {173, 669, 2500},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {173, 670, 2501},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {173, 671, 2502},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {173, 672, 2503},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
    {173, 673, 2561},	// QGlobalSpace::__codecvt_error
    {173, 674, 2562},	// QGlobalSpace::__codecvt_noconv
    {173, 675, 2559},	// QGlobalSpace::__codecvt_ok
    {173, 676, 2560},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 217,
        __smokeakonadi::methods, 2721,
        __smokeakonadi::methodMaps, 2334,
        __smokeakonadi::methodNames, 1789,
        __smokeakonadi::types, 487,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
