#include <kate_includes.h>

#include <smoke.h>
#include <kate_smoke.h>

namespace __smokekate {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KCharsets
      switch(to) {
        case 2: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 3:   //KComponentData
      switch(to) {
        case 3: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 4:   //KConfigBase
      switch(to) {
        case 4: return (void*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 5:   //KIcon
      switch(to) {
        case 48: return (void*)(QIcon*)(KIcon*)xptr;
        case 5: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KStandardDirs
      switch(to) {
        case 7: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 8:   //KTextEditor::Document
      switch(to) {
        case 8: return (void*)(KTextEditor::Document*)xptr;
        default: return xptr;
      }
    case 9:   //KTextEditor::Editor
      switch(to) {
        case 9: return (void*)(KTextEditor::Editor*)xptr;
        default: return xptr;
      }
    case 10:   //KTextEditor::View
      switch(to) {
        case 10: return (void*)(KTextEditor::View*)xptr;
        default: return xptr;
      }
    case 11:   //KUrl
      switch(to) {
        case 88: return (void*)(QUrl*)(KUrl*)xptr;
        case 11: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 12:   //KXMLGUIClient
      switch(to) {
        case 12: return (void*)(KXMLGUIClient*)xptr;
        case 22: return (void*)(Kate::XMLGUIClient*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 13:   //KXMLGUIFactory
      switch(to) {
        case 62: return (void*)(QObject*)(KXMLGUIFactory*)xptr;
        case 13: return (void*)(KXMLGUIFactory*)xptr;
        default: return xptr;
      }
    case 14:   //Kate::Application
      switch(to) {
        case 62: return (void*)(QObject*)(Kate::Application*)xptr;
        case 14: return (void*)(Kate::Application*)xptr;
        default: return xptr;
      }
    case 15:   //Kate::DocumentManager
      switch(to) {
        case 62: return (void*)(QObject*)(Kate::DocumentManager*)xptr;
        case 15: return (void*)(Kate::DocumentManager*)xptr;
        default: return xptr;
      }
    case 16:   //Kate::MainWindow
      switch(to) {
        case 62: return (void*)(QObject*)(Kate::MainWindow*)xptr;
        case 16: return (void*)(Kate::MainWindow*)xptr;
        default: return xptr;
      }
    case 17:   //Kate::Plugin
      switch(to) {
        case 62: return (void*)(QObject*)(Kate::Plugin*)xptr;
        case 17: return (void*)(Kate::Plugin*)xptr;
        default: return xptr;
      }
    case 18:   //Kate::PluginConfigPage
      switch(to) {
        case 92: return (void*)(QWidget*)(Kate::PluginConfigPage*)xptr;
        case 62: return (void*)(QObject*)(Kate::PluginConfigPage*)xptr;
        case 18: return (void*)(Kate::PluginConfigPage*)xptr;
        default: return xptr;
      }
    case 19:   //Kate::PluginConfigPageInterface
      switch(to) {
        case 19: return (void*)(Kate::PluginConfigPageInterface*)xptr;
        default: return xptr;
      }
    case 20:   //Kate::PluginManager
      switch(to) {
        case 62: return (void*)(QObject*)(Kate::PluginManager*)xptr;
        case 20: return (void*)(Kate::PluginManager*)xptr;
        default: return xptr;
      }
    case 21:   //Kate::PluginView
      switch(to) {
        case 62: return (void*)(QObject*)(Kate::PluginView*)xptr;
        case 21: return (void*)(Kate::PluginView*)xptr;
        default: return xptr;
      }
    case 22:   //Kate::XMLGUIClient
      switch(to) {
        case 12: return (void*)(KXMLGUIClient*)(Kate::XMLGUIClient*)xptr;
        case 22: return (void*)(Kate::XMLGUIClient*)xptr;
        default: return xptr;
      }
    case 23:   //QAction
      switch(to) {
        case 23: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 24:   //QActionEvent
      switch(to) {
        case 24: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QBool
      switch(to) {
        case 25: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 26:   //QBrush
      switch(to) {
        case 26: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 27:   //QByteArray
      switch(to) {
        case 27: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 28:   //QChar
      switch(to) {
        case 28: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 29:   //QChildEvent
      switch(to) {
        case 29: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QCloseEvent
      switch(to) {
        case 30: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QColor
      switch(to) {
        case 31: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 32:   //QContextMenuEvent
      switch(to) {
        case 32: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QCursor
      switch(to) {
        case 33: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 34:   //QDataStream
      switch(to) {
        case 34: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 35:   //QDomDocument
      switch(to) {
        case 37: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 35: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 36:   //QDomElement
      switch(to) {
        case 37: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 36: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 37:   //QDomNode
      switch(to) {
        case 37: return (void*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 38:   //QDragEnterEvent
      switch(to) {
        case 38: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QDragLeaveEvent
      switch(to) {
        case 39: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QDragMoveEvent
      switch(to) {
        case 40: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDropEvent
      switch(to) {
        case 41: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QEvent
      switch(to) {
        case 42: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QFocusEvent
      switch(to) {
        case 43: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QFont
      switch(to) {
        case 44: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 46:   //QHashDummyValue
      switch(to) {
        case 46: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 47:   //QHideEvent
      switch(to) {
        case 47: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QIcon
      switch(to) {
        case 48: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 49:   //QImage
      switch(to) {
        case 49: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 50:   //QIncompatibleFlag
      switch(to) {
        case 50: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 51:   //QInputMethodEvent
      switch(to) {
        case 51: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QKeyEvent
      switch(to) {
        case 52: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QKeySequence
      switch(to) {
        case 53: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 54:   //QLatin1String
      switch(to) {
        case 54: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 55:   //QLine
      switch(to) {
        case 55: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 56:   //QLineF
      switch(to) {
        case 56: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 57:   //QMargins
      switch(to) {
        case 57: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 58:   //QMatrix
      switch(to) {
        case 58: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 59:   //QMetaObject
      switch(to) {
        case 59: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 60:   //QMouseEvent
      switch(to) {
        case 60: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QMoveEvent
      switch(to) {
        case 61: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QObject
      switch(to) {
        case 62: return (void*)(QObject*)xptr;
        case 20: return (void*)(Kate::PluginManager*)(QObject*)xptr;
        case 15: return (void*)(Kate::DocumentManager*)(QObject*)xptr;
        case 21: return (void*)(Kate::PluginView*)(QObject*)xptr;
        case 18: return (void*)(Kate::PluginConfigPage*)(QObject*)xptr;
        case 16: return (void*)(Kate::MainWindow*)(QObject*)xptr;
        case 17: return (void*)(Kate::Plugin*)(QObject*)xptr;
        case 14: return (void*)(Kate::Application*)(QObject*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPainterPath
      switch(to) {
        case 65: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 66:   //QPalette
      switch(to) {
        case 66: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 67:   //QPixmap
      switch(to) {
        case 67: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 68:   //QPoint
      switch(to) {
        case 68: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 69:   //QPointF
      switch(to) {
        case 69: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 70:   //QPolygon
      switch(to) {
        case 70: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygonF
      switch(to) {
        case 71: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 72:   //QRect
      switch(to) {
        case 72: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 73:   //QRectF
      switch(to) {
        case 73: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 74:   //QRegExp
      switch(to) {
        case 74: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 75:   //QRegion
      switch(to) {
        case 75: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 76:   //QResizeEvent
      switch(to) {
        case 76: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 77:   //QShowEvent
      switch(to) {
        case 77: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QSize
      switch(to) {
        case 78: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 79:   //QSizeF
      switch(to) {
        case 79: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 80:   //QSizePolicy
      switch(to) {
        case 80: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 81:   //QString::Null
      switch(to) {
        case 81: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 82:   //QStringRef
      switch(to) {
        case 82: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 83:   //QStyle
      switch(to) {
        case 83: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 84:   //QTabletEvent
      switch(to) {
        case 84: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 85:   //QTextStream
      switch(to) {
        case 85: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 86:   //QTimerEvent
      switch(to) {
        case 86: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 87:   //QTransform
      switch(to) {
        case 87: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 88:   //QUrl
      switch(to) {
        case 88: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 89:   //QVariant
      switch(to) {
        case 89: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 90:   //QVariantComparisonHelper
      switch(to) {
        case 90: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 91:   //QWheelEvent
      switch(to) {
        case 91: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 92:   //QWidget
      switch(to) {
        case 62: return (void*)(QObject*)(QWidget*)xptr;
        case 92: return (void*)(QWidget*)xptr;
        case 18: return (void*)(Kate::PluginConfigPage*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 0,	// 1: QObject
    92, 0,	// 3: QWidget
    12, 0,	// 5: KXMLGUIClient
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Kate__MainWindow(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Kate__Application(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__DocumentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__MainWindow(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginConfigPageInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginView(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__XMLGUIClient(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//2
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//3
    { "KConfigBase", true, 0, 0, 0, 0, 0 },	//4
    { "KIcon", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//7
    { "KTextEditor::Document", true, 0, 0, 0, 0, 0 },	//8
    { "KTextEditor::Editor", true, 0, 0, 0, 0, 0 },	//9
    { "KTextEditor::View", true, 0, 0, 0, 0, 0 },	//10
    { "KUrl", true, 0, 0, 0, 0, 0 },	//11
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//12
    { "KXMLGUIFactory", true, 0, 0, 0, 0, 0 },	//13
    { "Kate::Application", false, 1, xcall_Kate__Application, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::Application) },	//14
    { "Kate::DocumentManager", false, 1, xcall_Kate__DocumentManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::DocumentManager) },	//15
    { "Kate::MainWindow", false, 1, xcall_Kate__MainWindow, xenum_Kate__MainWindow, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::MainWindow) },	//16
    { "Kate::Plugin", false, 1, xcall_Kate__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::Plugin) },	//17
    { "Kate::PluginConfigPage", false, 3, xcall_Kate__PluginConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginConfigPage) },	//18
    { "Kate::PluginConfigPageInterface", false, 0, xcall_Kate__PluginConfigPageInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Kate::PluginConfigPageInterface) },	//19
    { "Kate::PluginManager", false, 1, xcall_Kate__PluginManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginManager) },	//20
    { "Kate::PluginView", false, 1, xcall_Kate__PluginView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginView) },	//21
    { "Kate::XMLGUIClient", false, 5, xcall_Kate__XMLGUIClient, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Kate::XMLGUIClient) },	//22
    { "QAction", true, 0, 0, 0, 0, 0 },	//23
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QBool", true, 0, 0, 0, 0, 0 },	//25
    { "QBrush", true, 0, 0, 0, 0, 0 },	//26
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//27
    { "QChar", true, 0, 0, 0, 0, 0 },	//28
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QColor", true, 0, 0, 0, 0, 0 },	//31
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QCursor", true, 0, 0, 0, 0, 0 },	//33
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//34
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//35
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//36
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//37
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QFont", true, 0, 0, 0, 0, 0 },	//44
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//45
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//46
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QIcon", true, 0, 0, 0, 0, 0 },	//48
    { "QImage", true, 0, 0, 0, 0, 0 },	//49
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//50
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//53
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//54
    { "QLine", true, 0, 0, 0, 0, 0 },	//55
    { "QLineF", true, 0, 0, 0, 0, 0 },	//56
    { "QMargins", true, 0, 0, 0, 0, 0 },	//57
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//58
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//59
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QObject", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//65
    { "QPalette", true, 0, 0, 0, 0, 0 },	//66
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//67
    { "QPoint", true, 0, 0, 0, 0, 0 },	//68
    { "QPointF", true, 0, 0, 0, 0, 0 },	//69
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//71
    { "QRect", true, 0, 0, 0, 0, 0 },	//72
    { "QRectF", true, 0, 0, 0, 0, 0 },	//73
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//74
    { "QRegion", true, 0, 0, 0, 0, 0 },	//75
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//76
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QSize", true, 0, 0, 0, 0, 0 },	//78
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//79
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//80
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//81
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//82
    { "QStyle", true, 0, 0, 0, 0, 0 },	//83
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//84
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//85
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//86
    { "QTransform", true, 0, 0, 0, 0, 0 },	//87
    { "QUrl", true, 0, 0, 0, 0, 0 },	//88
    { "QVariant", true, 0, 0, 0, 0, 0 },	//89
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//90
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//91
    { "QWidget", true, 0, 0, 0, 0, 0 },	//92
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KCharsets*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KComponentData", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "KConfig::OpenFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "KConfigBase*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "KConfigBase::WriteConfigFlag", 4, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KIcon", 5, Smoke::t_class|Smoke::tf_stack },	//8
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//10
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "KStandardDirs*", 7, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KTextEditor::Document*", 8, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KTextEditor::Editor*", 9, Smoke::t_class|Smoke::tf_ptr },	//15
    { "KTextEditor::View*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KUrl::CleanPathOption", 11, Smoke::t_enum|Smoke::tf_stack },	//17
    { "KUrl::DirectoryOption", 11, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KUrl::EncodedPathAndQueryOption", 11, Smoke::t_enum|Smoke::tf_stack },	//19
    { "KUrl::EqualsOption", 11, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KUrl::QueryItemsOption", 11, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KXMLGUIClient::ReverseStateChange", 12, Smoke::t_enum|Smoke::tf_stack },	//22
    { "KXMLGUIFactory*", 13, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Kate::Application*", 14, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Kate::DocumentManager*", 15, Smoke::t_class|Smoke::tf_ptr },	//25
    { "Kate::MainWindow*", 16, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Kate::MainWindow::Position", 16, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Kate::Plugin*", 17, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Kate::PluginConfigPage*", 18, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Kate::PluginConfigPageInterface*", 19, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Kate::PluginManager*", 20, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Kate::PluginView*", 21, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Kate::XMLGUIClient*", 22, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QAction*", 23, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QActionEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QBool", 25, Smoke::t_class|Smoke::tf_stack },	//36
    { "QBrush&", 26, Smoke::t_class|Smoke::tf_ref },	//37
    { "QByteArray&", 27, Smoke::t_class|Smoke::tf_ref },	//38
    { "QChar", 28, Smoke::t_class|Smoke::tf_stack },	//39
    { "QChar&", 28, Smoke::t_class|Smoke::tf_ref },	//40
    { "QChildEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QCloseEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QColor&", 31, Smoke::t_class|Smoke::tf_ref },	//43
    { "QContextMenuEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QCursor&", 33, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDataStream&", 34, Smoke::t_class|Smoke::tf_ref },	//46
    { "QDomDocument", 35, Smoke::t_class|Smoke::tf_stack },	//47
    { "QDragEnterEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QDragLeaveEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDragMoveEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QDropEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFocusEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QFont&", 44, Smoke::t_class|Smoke::tf_ref },	//82
    { "QHideEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QIcon&", 48, Smoke::t_class|Smoke::tf_ref },	//85
    { "QImage&", 49, Smoke::t_class|Smoke::tf_ref },	//86
    { "QIncompatibleFlag", 50, Smoke::t_class|Smoke::tf_stack },	//87
    { "QInputMethodEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QKeyEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QKeySequence&", 53, Smoke::t_class|Smoke::tf_ref },	//90
    { "QLine", 55, Smoke::t_class|Smoke::tf_stack },	//91
    { "QLine&", 55, Smoke::t_class|Smoke::tf_ref },	//92
    { "QLineF", 56, Smoke::t_class|Smoke::tf_stack },	//93
    { "QLineF&", 56, Smoke::t_class|Smoke::tf_ref },	//94
    { "QList<KTextEditor::Document*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QMatrix&", 58, Smoke::t_class|Smoke::tf_ref },	//96
    { "QMetaObject::Call", 59, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QMouseEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QMoveEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QObject*", 62, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QPainterPath", 65, Smoke::t_class|Smoke::tf_stack },	//104
    { "QPainterPath&", 65, Smoke::t_class|Smoke::tf_ref },	//105
    { "QPalette&", 66, Smoke::t_class|Smoke::tf_ref },	//106
    { "QPixmap&", 67, Smoke::t_class|Smoke::tf_ref },	//107
    { "QPoint", 68, Smoke::t_class|Smoke::tf_stack },	//108
    { "QPoint&", 68, Smoke::t_class|Smoke::tf_ref },	//109
    { "QPointF", 69, Smoke::t_class|Smoke::tf_stack },	//110
    { "QPointF&", 69, Smoke::t_class|Smoke::tf_ref },	//111
    { "QPolygon", 70, Smoke::t_class|Smoke::tf_stack },	//112
    { "QPolygon&", 70, Smoke::t_class|Smoke::tf_ref },	//113
    { "QPolygonF", 71, Smoke::t_class|Smoke::tf_stack },	//114
    { "QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRect&", 72, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRectF&", 73, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRegExp&", 74, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRegion", 75, Smoke::t_class|Smoke::tf_stack },	//119
    { "QRegion&", 75, Smoke::t_class|Smoke::tf_ref },	//120
    { "QResizeEvent*", 76, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QShowEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QSize", 78, Smoke::t_class|Smoke::tf_stack },	//123
    { "QSize&", 78, Smoke::t_class|Smoke::tf_ref },	//124
    { "QSizeF&", 79, Smoke::t_class|Smoke::tf_ref },	//125
    { "QSizePolicy&", 80, Smoke::t_class|Smoke::tf_ref },	//126
    { "QSizePolicy::ControlType", 80, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//128
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//129
    { "QString::Null", 81, Smoke::t_class|Smoke::tf_stack },	//130
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//132
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//133
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//134
    { "QStyle&", 83, Smoke::t_class|Smoke::tf_ref },	//135
    { "QTabletEvent*", 84, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QTextStream&", 85, Smoke::t_class|Smoke::tf_ref },	//137
    { "QTimerEvent*", 86, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QTransform", 87, Smoke::t_class|Smoke::tf_stack },	//139
    { "QTransform&", 87, Smoke::t_class|Smoke::tf_ref },	//140
    { "QUrl&", 88, Smoke::t_class|Smoke::tf_ref },	//141
    { "QUrl::FormattingOption", 88, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QVariant", 89, Smoke::t_class|Smoke::tf_stack },	//143
    { "QVariant&", 89, Smoke::t_class|Smoke::tf_ref },	//144
    { "QVariant::Type&", 89, Smoke::t_enum|Smoke::tf_ref },	//145
    { "QWheelEvent*", 91, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QWidget*", 92, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QWidget::RenderFlag", 92, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtMsgType", 45, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForActiveQtModule", 45, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForCoreModule", 45, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForDBusModule", 45, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForDeclarativeModule", 45, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForGuiModule", 45, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForHelpModule", 45, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForMultimediaModule", 45, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForNetworkModule", 45, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForOpenGLModule", 45, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForOpenVGModule", 45, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForQt3SupportLightModule", 45, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForQt3SupportModule", 45, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForScriptModule", 45, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForScriptToolsModule", 45, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForSqlModule", 45, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForSvgModule", 45, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForTestModule", 45, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QtValidLicenseForXmlModule", 45, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QtValidLicenseForXmlPatternsModule", 45, Smoke::t_enum|Smoke::tf_stack },	//240
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//241
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//242
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//243
    { "const KComponentData&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const KUrl&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const Kate::PluginConfigPageInterface&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const Kate::XMLGUIClient&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QBrush&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QByteArray", 27, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//249
    { "const QByteArray&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QChar&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QColor&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QCursor&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QDomDocument&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QDomElement&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QDomNode&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QFont&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QHashDummyValue&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QIcon&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QImage&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QKeySequence&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QLatin1String&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QLine&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QLineF&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QList<Kate::MainWindow*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QMargins&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QMatrix&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QMetaObject&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QMetaObject*", 59, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//270
    { "const QObject*", 62, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//271
    { "const QPainterPath&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QPalette&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QPixmap&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QPoint", 68, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//275
    { "const QPoint&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QPointF", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//277
    { "const QPointF&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QPolygon&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QRect&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QRectF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QRegExp&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QRegion&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QSize", 78, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//285
    { "const QSize&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QSizeF", 79, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//287
    { "const QSizeF&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QSizePolicy&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//290
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//293
    { "const QStringRef&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QTransform&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QUrl&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QVariant&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QVariant::Type", 89, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//298
    { "const QVariantComparisonHelper&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//300
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//301
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//302
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//303
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//304
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//305
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//306
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//307
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//308
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//309
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    255, 0,	//1  const QDomElement&
    244, 0,	//3  const KComponentData&
    291, 242, 242, 0,	//5  const QString&, bool, bool
    291, 0,	//9  const QString&
    291, 242, 0,	//11  const QString&, bool
    254, 242, 0,	//14  const QDomDocument&, bool
    291, 22, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    304, 307, 0,	//20  int, void*
    300, 0,	//23  const char*
    300, 300, 0,	//25  const char*, const char*
    300, 300, 304, 0,	//28  const char*, const char*, int
    97, 304, 308, 0,	//32  QMetaObject::Call, int, void**
    307, 0,	//36  void*
    245, 0,	//38  const KUrl&
    245, 291, 0,	//40  const KUrl&, const QString&
    14, 0,	//43  KTextEditor::Document*
    95, 0,	//45  QList<KTextEditor::Document*>
    16, 0,	//47  KTextEditor::View*
    52, 0,	//49  QEvent*
    291, 27, 274, 291, 0,	//51  const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&
    28, 291, 27, 274, 291, 0,	//56  Kate::Plugin*, const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&
    147, 27, 0,	//62  QWidget*, Kate::MainWindow::Position
    147, 0,	//65  QWidget*
    30, 306, 0,	//67  Kate::PluginConfigPageInterface*, unsigned int
    24, 300, 0,	//70  Kate::Application*, const char*
    26, 0,	//73  Kate::MainWindow*
    5, 291, 0,	//75  KConfigBase*, const QString&
    24, 0,	//78  Kate::Application*
    147, 300, 0,	//80  QWidget*, const char*
    306, 147, 300, 0,	//83  unsigned int, QWidget*, const char*
    306, 0,	//87  unsigned int
    246, 0,	//89  const Kate::PluginConfigPageInterface&
    306, 147, 0,	//91  unsigned int, QWidget*
    247, 0,	//94  const Kate::XMLGUIClient&
    169, 304, 0,	//96  Qt::DockWidgetArea, int
    276, 302, 0,	//99  const QPoint&, double
    302, 278, 0,	//102  double, const QPointF&
    193, 74, 0,	//105  Qt::MouseButton, QFlags<Qt::MouseButton>
    267, 267, 0,	//108  const QMargins&, const QMargins&
    302, 288, 0,	//111  double, const QSizeF&
    46, 86, 0,	//114  QDataStream&, QImage&
    46, 289, 0,	//117  QDataStream&, const QSizePolicy&
    182, 304, 0,	//120  Qt::InputMethodHint, int
    281, 281, 0,	//123  const QRect&, const QRect&
    286, 286, 0,	//126  const QSize&, const QSize&
    46, 295, 0,	//129  QDataStream&, const QTransform&
    278, 268, 0,	//132  const QPointF&, const QMatrix&
    263, 295, 0,	//135  const QLine&, const QTransform&
    219, 79, 0,	//138  Qt::WindowState, QFlags<Qt::WindowState>
    288, 302, 0,	//141  const QSizeF&, double
    46, 263, 0,	//144  QDataStream&, const QLine&
    288, 288, 0,	//147  const QSizeF&, const QSizeF&
    250, 250, 0,	//150  const QByteArray&, const QByteArray&
    262, 294, 0,	//153  const QLatin1String&, const QStringRef&
    193, 193, 0,	//156  Qt::MouseButton, Qt::MouseButton
    17, 55, 0,	//159  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    17, 17, 0,	//162  KUrl::CleanPathOption, KUrl::CleanPathOption
    297, 299, 0,	//165  const QVariant&, const QVariantComparisonHelper&
    36, 36, 0,	//168  QBool, QBool
    6, 304, 0,	//171  KConfigBase::WriteConfigFlag, int
    149, 65, 0,	//174  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    130, 130, 0,	//177  QString::Null, QString::Null
    46, 282, 0,	//180  QDataStream&, const QRectF&
    39, 291, 0,	//183  QChar, const QString&
    84, 60, 0,	//186  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    46, 273, 0,	//189  QDataStream&, const QPalette&
    10, 0,	//192  KIconLoader::Group&
    46, 250, 0,	//194  QDataStream&, const QByteArray&
    280, 295, 0,	//197  const QPolygonF&, const QTransform&
    210, 210, 0,	//200  Qt::ToolBarArea, Qt::ToolBarArea
    21, 304, 0,	//203  KUrl::QueryItemsOption, int
    148, 304, 0,	//206  QWidget::RenderFlag, int
    171, 304, 0,	//209  Qt::DropAction, int
    46, 292, 0,	//212  QDataStream&, const QStringList&
    19, 19, 0,	//215  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    4, 53, 0,	//218  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    149, 149, 0,	//221  Qt::AlignmentFlag, Qt::AlignmentFlag
    46, 43, 0,	//224  QDataStream&, QColor&
    46, 283, 0,	//227  QDataStream&, const QRegExp&
    142, 304, 0,	//230  QUrl::FormattingOption, int
    250, 300, 0,	//233  const QByteArray&, const char*
    18, 18, 0,	//236  KUrl::DirectoryOption, KUrl::DirectoryOption
    169, 66, 0,	//239  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    263, 268, 0,	//242  const QLine&, const QMatrix&
    18, 56, 0,	//245  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    264, 268, 0,	//248  const QLineF&, const QMatrix&
    195, 195, 0,	//251  Qt::Orientation, Qt::Orientation
    272, 268, 0,	//254  const QPainterPath&, const QMatrix&
    210, 304, 0,	//257  Qt::ToolBarArea, int
    46, 111, 0,	//260  QDataStream&, QPointF&
    191, 304, 0,	//263  Qt::MatchFlag, int
    46, 261, 0,	//266  QDataStream&, const QKeySequence&
    46, 253, 0,	//269  QDataStream&, const QCursor&
    176, 176, 0,	//272  Qt::GestureFlag, Qt::GestureFlag
    84, 84, 0,	//275  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    243, 250, 0,	//278  char, const QByteArray&
    300, 250, 0,	//281  const char*, const QByteArray&
    46, 38, 0,	//284  QDataStream&, QByteArray&
    46, 144, 0,	//287  QDataStream&, QVariant&
    46, 118, 0,	//290  QDataStream&, QRegExp&
    278, 278, 0,	//293  const QPointF&, const QPointF&
    295, 302, 0,	//296  const QTransform&, double
    294, 294, 0,	//299  const QStringRef&, const QStringRef&
    39, 39, 0,	//302  QChar, QChar
    272, 295, 0,	//305  const QPainterPath&, const QTransform&
    46, 248, 0,	//308  QDataStream&, const QBrush&
    46, 120, 0,	//311  QDataStream&, QRegion&
    278, 302, 0,	//314  const QPointF&, double
    19, 304, 0,	//317  KUrl::EncodedPathAndQueryOption, int
    191, 73, 0,	//320  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    176, 304, 0,	//323  Qt::GestureFlag, int
    127, 127, 0,	//326  QSizePolicy::ControlType, QSizePolicy::ControlType
    46, 45, 0,	//329  QDataStream&, QCursor&
    188, 72, 0,	//332  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    191, 191, 0,	//335  Qt::MatchFlag, Qt::MatchFlag
    46, 140, 0,	//338  QDataStream&, QTransform&
    279, 268, 0,	//341  const QPolygon&, const QMatrix&
    291, 130, 0,	//344  const QString&, QString::Null
    46, 125, 0,	//347  QDataStream&, QSizeF&
    278, 0,	//350  const QPointF&
    185, 185, 0,	//352  Qt::ItemFlag, Qt::ItemFlag
    46, 274, 0,	//355  QDataStream&, const QPixmap&
    220, 80, 0,	//358  Qt::WindowType, QFlags<Qt::WindowType>
    278, 295, 0,	//361  const QPointF&, const QTransform&
    185, 71, 0,	//364  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    213, 78, 0,	//367  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    46, 296, 0,	//370  QDataStream&, const QUrl&
    127, 61, 0,	//373  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    46, 297, 0,	//376  QDataStream&, const QVariant&
    46, 92, 0,	//379  QDataStream&, QLine&
    188, 188, 0,	//382  Qt::KeyboardModifier, Qt::KeyboardModifier
    149, 304, 0,	//385  Qt::AlignmentFlag, int
    276, 268, 0,	//388  const QPoint&, const QMatrix&
    188, 304, 0,	//391  Qt::KeyboardModifier, int
    185, 304, 0,	//394  Qt::ItemFlag, int
    180, 69, 0,	//397  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    276, 276, 0,	//400  const QPoint&, const QPoint&
    131, 304, 0,	//403  QString::SectionFlag, int
    220, 304, 0,	//406  Qt::WindowType, int
    148, 148, 0,	//409  QWidget::RenderFlag, QWidget::RenderFlag
    294, 291, 0,	//412  const QStringRef&, const QString&
    258, 258, 0,	//415  const QHashDummyValue&, const QHashDummyValue&
    20, 20, 0,	//418  KUrl::EqualsOption, KUrl::EqualsOption
    142, 142, 0,	//421  QUrl::FormattingOption, QUrl::FormattingOption
    46, 85, 0,	//424  QDataStream&, QIcon&
    46, 279, 0,	//427  QDataStream&, const QPolygon&
    213, 304, 0,	//430  Qt::TouchPointState, int
    148, 64, 0,	//433  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    294, 300, 0,	//436  const QStringRef&, const char*
    17, 304, 0,	//439  KUrl::CleanPathOption, int
    21, 21, 0,	//442  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    6, 6, 0,	//445  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    4, 304, 0,	//448  KConfig::OpenFlag, int
    46, 264, 0,	//451  QDataStream&, const QLineF&
    46, 37, 0,	//454  QDataStream&, QBrush&
    46, 278, 0,	//457  QDataStream&, const QPointF&
    276, 303, 0,	//460  const QPoint&, float
    291, 291, 0,	//463  const QString&, const QString&
    291, 294, 0,	//466  const QString&, const QStringRef&
    20, 304, 0,	//469  KUrl::EqualsOption, int
    127, 304, 0,	//472  QSizePolicy::ControlType, int
    46, 126, 0,	//475  QDataStream&, QSizePolicy&
    300, 294, 0,	//478  const char*, const QStringRef&
    46, 96, 0,	//481  QDataStream&, QMatrix&
    193, 304, 0,	//484  Qt::MouseButton, int
    46, 124, 0,	//487  QDataStream&, QSize&
    182, 182, 0,	//490  Qt::InputMethodHint, Qt::InputMethodHint
    46, 145, 0,	//493  QDataStream&, QVariant::Type&
    207, 76, 0,	//496  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    264, 295, 0,	//499  const QLineF&, const QTransform&
    294, 262, 0,	//502  const QStringRef&, const QLatin1String&
    46, 280, 0,	//505  QDataStream&, const QPolygonF&
    46, 288, 0,	//508  QDataStream&, const QSizeF&
    210, 77, 0,	//511  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    46, 257, 0,	//514  QDataStream&, const QFont&
    20, 58, 0,	//517  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    46, 268, 0,	//520  QDataStream&, const QMatrix&
    219, 219, 0,	//523  Qt::WindowState, Qt::WindowState
    142, 63, 0,	//526  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    46, 115, 0,	//529  QDataStream&, QPolygonF&
    46, 106, 0,	//532  QDataStream&, QPalette&
    46, 272, 0,	//535  QDataStream&, const QPainterPath&
    282, 282, 0,	//538  const QRectF&, const QRectF&
    302, 286, 0,	//541  double, const QSize&
    302, 276, 0,	//544  double, const QPoint&
    46, 276, 0,	//547  QDataStream&, const QPoint&
    46, 260, 0,	//550  QDataStream&, const QImage&
    250, 243, 0,	//553  const QByteArray&, char
    46, 82, 0,	//556  QDataStream&, QFont&
    131, 62, 0,	//559  QString::SectionFlag, QFlags<QString::SectionFlag>
    46, 286, 0,	//562  QDataStream&, const QSize&
    46, 117, 0,	//565  QDataStream&, QRectF&
    46, 251, 0,	//568  QDataStream&, const QChar&
    242, 36, 0,	//571  bool, QBool
    21, 59, 0,	//574  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    279, 295, 0,	//577  const QPolygon&, const QTransform&
    36, 242, 0,	//580  QBool, bool
    219, 304, 0,	//583  Qt::WindowState, int
    46, 133, 0,	//586  QDataStream&, QStringList&
    46, 281, 0,	//589  QDataStream&, const QRect&
    18, 304, 0,	//592  KUrl::DirectoryOption, int
    46, 284, 0,	//595  QDataStream&, const QRegion&
    169, 169, 0,	//598  Qt::DockWidgetArea, Qt::DockWidgetArea
    46, 252, 0,	//601  QDataStream&, const QColor&
    220, 220, 0,	//604  Qt::WindowType, Qt::WindowType
    286, 302, 0,	//607  const QSize&, double
    130, 291, 0,	//610  QString::Null, const QString&
    182, 70, 0,	//613  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    4, 4, 0,	//616  KConfig::OpenFlag, KConfig::OpenFlag
    46, 109, 0,	//619  QDataStream&, QPoint&
    46, 90, 0,	//622  QDataStream&, QKeySequence&
    284, 295, 0,	//625  const QRegion&, const QTransform&
    131, 131, 0,	//628  QString::SectionFlag, QString::SectionFlag
    84, 304, 0,	//631  QIODevice::OpenModeFlag, int
    304, 276, 0,	//634  int, const QPoint&
    176, 68, 0,	//637  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    280, 268, 0,	//640  const QPolygonF&, const QMatrix&
    276, 0,	//643  const QPoint&
    46, 113, 0,	//645  QDataStream&, QPolygon&
    137, 256, 0,	//648  QTextStream&, const QDomNode&
    19, 57, 0,	//651  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    46, 129, 0,	//654  QDataStream&, QString&
    46, 291, 0,	//657  QDataStream&, const QString&
    46, 40, 0,	//660  QDataStream&, QChar&
    207, 207, 0,	//663  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    46, 107, 0,	//666  QDataStream&, QPixmap&
    6, 54, 0,	//669  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    46, 116, 0,	//672  QDataStream&, QRect&
    180, 304, 0,	//675  Qt::ImageConversionFlag, int
    46, 259, 0,	//678  QDataStream&, const QIcon&
    46, 298, 0,	//681  QDataStream&, const QVariant::Type
    46, 94, 0,	//684  QDataStream&, QLineF&
    46, 105, 0,	//687  QDataStream&, QPainterPath&
    213, 213, 0,	//690  Qt::TouchPointState, Qt::TouchPointState
    207, 304, 0,	//693  Qt::TextInteractionFlag, int
    276, 295, 0,	//696  const QPoint&, const QTransform&
    276, 304, 0,	//699  const QPoint&, int
    180, 180, 0,	//702  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    171, 67, 0,	//705  Qt::DropAction, QFlags<Qt::DropAction>
    171, 171, 0,	//708  Qt::DropAction, Qt::DropAction
    195, 304, 0,	//711  Qt::Orientation, int
    284, 268, 0,	//714  const QRegion&, const QMatrix&
    303, 276, 0,	//717  float, const QPoint&
    46, 141, 0,	//720  QDataStream&, QUrl&
    291, 39, 0,	//723  const QString&, QChar
    195, 75, 0,	//726  Qt::Orientation, QFlags<Qt::Orientation>
    10, 304, 0,	//729  KIconLoader::Group&, int
    100, 52, 0,	//732  QObject*, QEvent*
    138, 0,	//735  QTimerEvent*
    41, 0,	//737  QChildEvent*
    242, 0,	//739  bool
    304, 0,	//741  int
    98, 0,	//743  QMouseEvent*
    146, 0,	//745  QWheelEvent*
    89, 0,	//747  QKeyEvent*
    81, 0,	//749  QFocusEvent*
    103, 0,	//751  QPaintEvent*
    99, 0,	//753  QMoveEvent*
    121, 0,	//755  QResizeEvent*
    42, 0,	//757  QCloseEvent*
    44, 0,	//759  QContextMenuEvent*
    136, 0,	//761  QTabletEvent*
    35, 0,	//763  QActionEvent*
    48, 0,	//765  QDragEnterEvent*
    50, 0,	//767  QDragMoveEvent*
    49, 0,	//769  QDragLeaveEvent*
    51, 0,	//771  QDropEvent*
    122, 0,	//773  QShowEvent*
    83, 0,	//775  QHideEvent*
    241, 0,	//777  _XEvent*
    101, 0,	//779  QPaintDevice::PaintDeviceMetric
    88, 0,	//781  QInputMethodEvent*
    183, 0,	//783  Qt::InputMethodQuery
    135, 0,	//785  QStyle&
    273, 0,	//787  const QPalette&
    257, 0,	//789  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Application",	//1
    "Application$",	//2
    "Bottom",	//3
    "DocumentManager",	//4
    "DocumentManager$",	//5
    "DrawChildren",	//6
    "DrawWindowBackground",	//7
    "IgnoreMask",	//8
    "Left",	//9
    "LicensedActiveQt",	//10
    "LicensedCore",	//11
    "LicensedDBus",	//12
    "LicensedDeclarative",	//13
    "LicensedGui",	//14
    "LicensedHelp",	//15
    "LicensedMultimedia",	//16
    "LicensedNetwork",	//17
    "LicensedOpenGL",	//18
    "LicensedOpenVG",	//19
    "LicensedQt3Support",	//20
    "LicensedQt3SupportLight",	//21
    "LicensedScript",	//22
    "LicensedScriptTools",	//23
    "LicensedSql",	//24
    "LicensedSvg",	//25
    "LicensedTest",	//26
    "LicensedXml",	//27
    "LicensedXmlPatterns",	//28
    "MainWindow",	//29
    "MainWindow$",	//30
    "Plugin",	//31
    "Plugin#",	//32
    "Plugin#$",	//33
    "PluginConfigPage",	//34
    "PluginConfigPage#",	//35
    "PluginConfigPage#$",	//36
    "PluginConfigPageInterface",	//37
    "PluginConfigPageInterface#",	//38
    "PluginManager",	//39
    "PluginManager$",	//40
    "PluginView",	//41
    "PluginView#",	//42
    "Q_COMPLEX_TYPE",	//43
    "Q_DUMMY_TYPE",	//44
    "Q_MOVABLE_TYPE",	//45
    "Q_PRIMITIVE_TYPE",	//46
    "Q_STATIC_TYPE",	//47
    "QtCriticalMsg",	//48
    "QtDebugMsg",	//49
    "QtFatalMsg",	//50
    "QtSystemMsg",	//51
    "QtWarningMsg",	//52
    "Right",	//53
    "StateNoReverse",	//54
    "StateReverse",	//55
    "Top",	//56
    "XMLGUIClient",	//57
    "XMLGUIClient#",	//58
    "action",	//59
    "actionCollection",	//60
    "actionEvent",	//61
    "activateView",	//62
    "activateView#",	//63
    "activeMainWindow",	//64
    "activeView",	//65
    "application",	//66
    "apply",	//67
    "centralWidget",	//68
    "changeEvent",	//69
    "changed",	//70
    "childEvent",	//71
    "closeDocument",	//72
    "closeDocument#",	//73
    "closeDocumentList",	//74
    "closeDocumentList?",	//75
    "closeEvent",	//76
    "componentData",	//77
    "configPage",	//78
    "configPage$",	//79
    "configPage$#",	//80
    "configPage$#$",	//81
    "configPageFullName",	//82
    "configPageFullName$",	//83
    "configPageIcon",	//84
    "configPageIcon$",	//85
    "configPageName",	//86
    "configPageName$",	//87
    "configPages",	//88
    "connectNotify",	//89
    "contextMenuEvent",	//90
    "createToolView",	//91
    "createToolView#$$#$",	//92
    "createToolView$$#$",	//93
    "createView",	//94
    "createView#",	//95
    "customEvent",	//96
    "defaults",	//97
    "devType",	//98
    "disconnectNotify",	//99
    "documentCreated",	//100
    "documentCreated#",	//101
    "documentDeleted",	//102
    "documentDeleted#",	//103
    "documentManager",	//104
    "documentWillBeDeleted",	//105
    "documentWillBeDeleted#",	//106
    "documents",	//107
    "domDocument",	//108
    "dragEnterEvent",	//109
    "dragLeaveEvent",	//110
    "dragMoveEvent",	//111
    "dropEvent",	//112
    "editor",	//113
    "enabledChange",	//114
    "enterEvent",	//115
    "event",	//116
    "eventFilter",	//117
    "findUrl",	//118
    "findUrl#",	//119
    "focusInEvent",	//120
    "focusNextPrevChild",	//121
    "focusOutEvent",	//122
    "fontChange",	//123
    "guiFactory",	//124
    "heightForWidth",	//125
    "hideEvent",	//126
    "hideToolView",	//127
    "hideToolView#",	//128
    "inputMethodEvent",	//129
    "inputMethodQuery",	//130
    "keyPressEvent",	//131
    "keyReleaseEvent",	//132
    "languageChange",	//133
    "leaveEvent",	//134
    "loadPlugin",	//135
    "loadPlugin$",	//136
    "loadPlugin$$",	//137
    "localXMLFile",	//138
    "mainWindow",	//139
    "mainWindows",	//140
    "metaObject",	//141
    "metric",	//142
    "minimumSizeHint",	//143
    "mouseDoubleClickEvent",	//144
    "mouseMoveEvent",	//145
    "mousePressEvent",	//146
    "mouseReleaseEvent",	//147
    "moveEvent",	//148
    "moveToolView",	//149
    "moveToolView#$",	//150
    "openUrl",	//151
    "openUrl#",	//152
    "openUrl#$",	//153
    "operator!=",	//154
    "operator!=##",	//155
    "operator!=#$",	//156
    "operator!=$#",	//157
    "operator*",	//158
    "operator*##",	//159
    "operator*#$",	//160
    "operator*$#",	//161
    "operator+",	//162
    "operator+##",	//163
    "operator+#$",	//164
    "operator+$#",	//165
    "operator+$$",	//166
    "operator++",	//167
    "operator++$",	//168
    "operator++$$",	//169
    "operator-",	//170
    "operator-#",	//171
    "operator-##",	//172
    "operator-#$",	//173
    "operator/",	//174
    "operator/#$",	//175
    "operator<",	//176
    "operator<##",	//177
    "operator<#$",	//178
    "operator<$#",	//179
    "operator<<",	//180
    "operator<<##",	//181
    "operator<<#$",	//182
    "operator<<#?",	//183
    "operator<=",	//184
    "operator<=##",	//185
    "operator<=#$",	//186
    "operator<=$#",	//187
    "operator==",	//188
    "operator==##",	//189
    "operator==#$",	//190
    "operator==$#",	//191
    "operator>",	//192
    "operator>##",	//193
    "operator>#$",	//194
    "operator>$#",	//195
    "operator>=",	//196
    "operator>=##",	//197
    "operator>=#$",	//198
    "operator>=$#",	//199
    "operator>>",	//200
    "operator>>##",	//201
    "operator>>#$",	//202
    "operator>>#?",	//203
    "operator|",	//204
    "operator|$$",	//205
    "paintEngine",	//206
    "paintEvent",	//207
    "paletteChange",	//208
    "plugin",	//209
    "plugin$",	//210
    "pluginAvailable",	//211
    "pluginAvailable$",	//212
    "pluginConfigPageInterfaceNumber",	//213
    "pluginManager",	//214
    "qt_metacall",	//215
    "qt_metacall$$?",	//216
    "qt_metacast",	//217
    "qt_metacast$",	//218
    "readSessionConfig",	//219
    "readSessionConfig#$",	//220
    "reset",	//221
    "resizeEvent",	//222
    "setComponentData",	//223
    "setDOMDocument",	//224
    "setLocalXMLFile",	//225
    "setVisible",	//226
    "setXML",	//227
    "setXMLFile",	//228
    "showEvent",	//229
    "showPluginConfigPage",	//230
    "showPluginConfigPage#$",	//231
    "showToolView",	//232
    "showToolView#",	//233
    "sizeHint",	//234
    "stateChanged",	//235
    "staticMetaObject",	//236
    "styleChange",	//237
    "tabletEvent",	//238
    "timerEvent",	//239
    "tr",	//240
    "tr$",	//241
    "tr$$",	//242
    "tr$$$",	//243
    "trUtf8",	//244
    "trUtf8$",	//245
    "trUtf8$$",	//246
    "trUtf8$$$",	//247
    "unhandledShortcutOverride",	//248
    "unhandledShortcutOverride#",	//249
    "unloadPlugin",	//250
    "unloadPlugin$",	//251
    "unloadPlugin$$",	//252
    "viewChanged",	//253
    "viewCreated",	//254
    "viewCreated#",	//255
    "virtual_hook",	//256
    "wheelEvent",	//257
    "window",	//258
    "windowActivationChange",	//259
    "writeSessionConfig",	//260
    "writeSessionConfig#$",	//261
    "x11Event",	//262
    "xmlFile",	//263
    "~Application",	//264
    "~DocumentManager",	//265
    "~MainWindow",	//266
    "~Plugin",	//267
    "~PluginConfigPage",	//268
    "~PluginConfigPageInterface",	//269
    "~PluginManager",	//270
    "~PluginView",	//271
    "~XMLGUIClient",	//272
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {12, 59, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 34, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {12, 60, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {12, 77, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 3, 0},	//3 KXMLGUIClient::componentData() const
    {12, 108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 47, 0},	//4 KXMLGUIClient::domDocument() const
    {12, 263, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 128, 0},	//5 KXMLGUIClient::xmlFile() const
    {12, 138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 128, 0},	//6 KXMLGUIClient::localXMLFile() const
    {12, 223, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {12, 228, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {12, 225, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {12, 227, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {12, 224, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {12, 235, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {12, 256, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {12, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {12, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {14, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 1},	//16 Kate::Application::metaObject() const
    {14, 217, 23, 1, Smoke::mf_virtual, 307, 2},	//17 Kate::Application::qt_metacast(const char*)
    {14, 240, 25, 2, Smoke::mf_static, 128, 3},	//18 Kate::Application::tr(const char*, const char*)
    {14, 244, 25, 2, Smoke::mf_static, 128, 4},	//19 Kate::Application::trUtf8(const char*, const char*)
    {14, 240, 28, 3, Smoke::mf_static, 128, 5},	//20 Kate::Application::tr(const char*, const char*, int)
    {14, 244, 28, 3, Smoke::mf_static, 128, 6},	//21 Kate::Application::trUtf8(const char*, const char*, int)
    {14, 215, 32, 3, Smoke::mf_virtual, 304, 7},	//22 Kate::Application::qt_metacall(QMetaObject::Call, int, void**)
    {14, 1, 36, 1, Smoke::mf_ctor, 24, 8},	//23 Kate::Application::Application(void*)
    {14, 104, 0, 0, 0, 25, 9},	//24 Kate::Application::documentManager()
    {14, 214, 0, 0, 0, 31, 10},	//25 Kate::Application::pluginManager()
    {14, 113, 0, 0, 0, 15, 11},	//26 Kate::Application::editor()
    {14, 64, 0, 0, 0, 26, 12},	//27 Kate::Application::activeMainWindow()
    {14, 140, 0, 0, Smoke::mf_const, 266, 13},	//28 Kate::Application::mainWindows() const
    {14, 240, 23, 1, Smoke::mf_static, 128, 14},	//29 Kate::Application::tr(const char*)
    {14, 244, 23, 1, Smoke::mf_static, 128, 15},	//30 Kate::Application::trUtf8(const char*)
    {14, 236, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 269, 16},	//31 Kate::Application::staticMetaObject() const
    {14, 264, 0, 0, Smoke::mf_dtor, 0, 17 },	//32 Kate::Application::~Application()
    {15, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 1},	//33 Kate::DocumentManager::metaObject() const
    {15, 217, 23, 1, Smoke::mf_virtual, 307, 2},	//34 Kate::DocumentManager::qt_metacast(const char*)
    {15, 240, 25, 2, Smoke::mf_static, 128, 3},	//35 Kate::DocumentManager::tr(const char*, const char*)
    {15, 244, 25, 2, Smoke::mf_static, 128, 4},	//36 Kate::DocumentManager::trUtf8(const char*, const char*)
    {15, 240, 28, 3, Smoke::mf_static, 128, 5},	//37 Kate::DocumentManager::tr(const char*, const char*, int)
    {15, 244, 28, 3, Smoke::mf_static, 128, 6},	//38 Kate::DocumentManager::trUtf8(const char*, const char*, int)
    {15, 215, 32, 3, Smoke::mf_virtual, 304, 7},	//39 Kate::DocumentManager::qt_metacall(QMetaObject::Call, int, void**)
    {15, 4, 36, 1, Smoke::mf_ctor, 25, 8},	//40 Kate::DocumentManager::DocumentManager(void*)
    {15, 107, 0, 0, Smoke::mf_const, 265, 9},	//41 Kate::DocumentManager::documents() const
    {15, 118, 38, 1, Smoke::mf_const, 14, 10},	//42 Kate::DocumentManager::findUrl(const KUrl&) const
    {15, 151, 40, 2, 0, 14, 11},	//43 Kate::DocumentManager::openUrl(const KUrl&, const QString&)
    {15, 72, 43, 1, 0, 242, 12},	//44 Kate::DocumentManager::closeDocument(KTextEditor::Document*)
    {15, 74, 45, 1, 0, 242, 13},	//45 Kate::DocumentManager::closeDocumentList(QList<KTextEditor::Document*>)
    {15, 100, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//46 Kate::DocumentManager::documentCreated(KTextEditor::Document*)
    {15, 105, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//47 Kate::DocumentManager::documentWillBeDeleted(KTextEditor::Document*)
    {15, 102, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//48 Kate::DocumentManager::documentDeleted(KTextEditor::Document*)
    {15, 240, 23, 1, Smoke::mf_static, 128, 17},	//49 Kate::DocumentManager::tr(const char*)
    {15, 244, 23, 1, Smoke::mf_static, 128, 18},	//50 Kate::DocumentManager::trUtf8(const char*)
    {15, 151, 38, 1, 0, 14, 19},	//51 Kate::DocumentManager::openUrl(const KUrl&)
    {15, 236, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 269, 20},	//52 Kate::DocumentManager::staticMetaObject() const
    {15, 265, 0, 0, Smoke::mf_dtor, 0, 21 },	//53 Kate::DocumentManager::~DocumentManager()
    {16, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 1},	//54 Kate::MainWindow::metaObject() const
    {16, 217, 23, 1, Smoke::mf_virtual, 307, 2},	//55 Kate::MainWindow::qt_metacast(const char*)
    {16, 240, 25, 2, Smoke::mf_static, 128, 3},	//56 Kate::MainWindow::tr(const char*, const char*)
    {16, 244, 25, 2, Smoke::mf_static, 128, 4},	//57 Kate::MainWindow::trUtf8(const char*, const char*)
    {16, 240, 28, 3, Smoke::mf_static, 128, 5},	//58 Kate::MainWindow::tr(const char*, const char*, int)
    {16, 244, 28, 3, Smoke::mf_static, 128, 6},	//59 Kate::MainWindow::trUtf8(const char*, const char*, int)
    {16, 215, 32, 3, Smoke::mf_virtual, 304, 7},	//60 Kate::MainWindow::qt_metacall(QMetaObject::Call, int, void**)
    {16, 29, 36, 1, Smoke::mf_ctor, 26, 8},	//61 Kate::MainWindow::MainWindow(void*)
    {16, 124, 0, 0, Smoke::mf_const, 23, 9},	//62 Kate::MainWindow::guiFactory() const
    {16, 258, 0, 0, Smoke::mf_const, 147, 10},	//63 Kate::MainWindow::window() const
    {16, 68, 0, 0, Smoke::mf_const, 147, 11},	//64 Kate::MainWindow::centralWidget() const
    {16, 65, 0, 0, 0, 16, 12},	//65 Kate::MainWindow::activeView()
    {16, 62, 43, 1, 0, 16, 13},	//66 Kate::MainWindow::activateView(KTextEditor::Document*)
    {16, 151, 40, 2, 0, 16, 14},	//67 Kate::MainWindow::openUrl(const KUrl&, const QString&)
    {16, 253, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//68 Kate::MainWindow::viewChanged()
    {16, 254, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//69 Kate::MainWindow::viewCreated(KTextEditor::View*)
    {16, 248, 49, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//70 Kate::MainWindow::unhandledShortcutOverride(QEvent*)
    {16, 91, 51, 4, 0, 147, 18},	//71 Kate::MainWindow::createToolView(const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&)
    {16, 91, 56, 5, 0, 147, 19},	//72 Kate::MainWindow::createToolView(Kate::Plugin*, const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&)
    {16, 149, 62, 2, 0, 242, 20},	//73 Kate::MainWindow::moveToolView(QWidget*, Kate::MainWindow::Position)
    {16, 232, 65, 1, 0, 242, 21},	//74 Kate::MainWindow::showToolView(QWidget*)
    {16, 127, 65, 1, 0, 242, 22},	//75 Kate::MainWindow::hideToolView(QWidget*)
    {16, 230, 67, 2, 0, 0, 23},	//76 Kate::MainWindow::showPluginConfigPage(Kate::PluginConfigPageInterface*, unsigned int)
    {16, 240, 23, 1, Smoke::mf_static, 128, 24},	//77 Kate::MainWindow::tr(const char*)
    {16, 244, 23, 1, Smoke::mf_static, 128, 25},	//78 Kate::MainWindow::trUtf8(const char*)
    {16, 151, 38, 1, 0, 16, 26},	//79 Kate::MainWindow::openUrl(const KUrl&)
    {16, 236, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 269, 27},	//80 Kate::MainWindow::staticMetaObject() const
    {16, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 28},	//81 Kate::MainWindow::Left (enum)
    {16, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 29},	//82 Kate::MainWindow::Right (enum)
    {16, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 30},	//83 Kate::MainWindow::Top (enum)
    {16, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 31},	//84 Kate::MainWindow::Bottom (enum)
    {16, 266, 0, 0, Smoke::mf_dtor, 0, 32 },	//85 Kate::MainWindow::~MainWindow()
    {17, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 1},	//86 Kate::Plugin::metaObject() const
    {17, 217, 23, 1, Smoke::mf_virtual, 307, 2},	//87 Kate::Plugin::qt_metacast(const char*)
    {17, 240, 25, 2, Smoke::mf_static, 128, 3},	//88 Kate::Plugin::tr(const char*, const char*)
    {17, 244, 25, 2, Smoke::mf_static, 128, 4},	//89 Kate::Plugin::trUtf8(const char*, const char*)
    {17, 240, 28, 3, Smoke::mf_static, 128, 5},	//90 Kate::Plugin::tr(const char*, const char*, int)
    {17, 244, 28, 3, Smoke::mf_static, 128, 6},	//91 Kate::Plugin::trUtf8(const char*, const char*, int)
    {17, 215, 32, 3, Smoke::mf_virtual, 304, 7},	//92 Kate::Plugin::qt_metacall(QMetaObject::Call, int, void**)
    {17, 31, 70, 2, Smoke::mf_ctor, 28, 8},	//93 Kate::Plugin::Plugin(Kate::Application*, const char*)
    {17, 66, 0, 0, Smoke::mf_const, 24, 9},	//94 Kate::Plugin::application() const
    {17, 94, 73, 1, Smoke::mf_virtual, 32, 10},	//95 Kate::Plugin::createView(Kate::MainWindow*)
    {17, 219, 75, 2, Smoke::mf_virtual, 0, 11},	//96 Kate::Plugin::readSessionConfig(KConfigBase*, const QString&)
    {17, 260, 75, 2, Smoke::mf_virtual, 0, 12},	//97 Kate::Plugin::writeSessionConfig(KConfigBase*, const QString&)
    {17, 240, 23, 1, Smoke::mf_static, 128, 13},	//98 Kate::Plugin::tr(const char*)
    {17, 244, 23, 1, Smoke::mf_static, 128, 14},	//99 Kate::Plugin::trUtf8(const char*)
    {17, 31, 0, 0, Smoke::mf_ctor, 28, 15},	//100 Kate::Plugin::Plugin()
    {17, 31, 78, 1, Smoke::mf_ctor, 28, 16},	//101 Kate::Plugin::Plugin(Kate::Application*)
    {17, 236, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 269, 17},	//102 Kate::Plugin::staticMetaObject() const
    {17, 267, 0, 0, Smoke::mf_dtor, 0, 18 },	//103 Kate::Plugin::~Plugin()
    {18, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 1},	//104 Kate::PluginConfigPage::metaObject() const
    {18, 217, 23, 1, Smoke::mf_virtual, 307, 2},	//105 Kate::PluginConfigPage::qt_metacast(const char*)
    {18, 240, 25, 2, Smoke::mf_static, 128, 3},	//106 Kate::PluginConfigPage::tr(const char*, const char*)
    {18, 244, 25, 2, Smoke::mf_static, 128, 4},	//107 Kate::PluginConfigPage::trUtf8(const char*, const char*)
    {18, 240, 28, 3, Smoke::mf_static, 128, 5},	//108 Kate::PluginConfigPage::tr(const char*, const char*, int)
    {18, 244, 28, 3, Smoke::mf_static, 128, 6},	//109 Kate::PluginConfigPage::trUtf8(const char*, const char*, int)
    {18, 215, 32, 3, Smoke::mf_virtual, 304, 7},	//110 Kate::PluginConfigPage::qt_metacall(QMetaObject::Call, int, void**)
    {18, 34, 80, 2, Smoke::mf_ctor, 29, 8},	//111 Kate::PluginConfigPage::PluginConfigPage(QWidget*, const char*)
    {18, 67, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//112 Kate::PluginConfigPage::apply() [pure virtual]
    {18, 221, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//113 Kate::PluginConfigPage::reset() [pure virtual]
    {18, 97, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//114 Kate::PluginConfigPage::defaults() [pure virtual]
    {18, 70, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//115 Kate::PluginConfigPage::changed()
    {18, 240, 23, 1, Smoke::mf_static, 128, 13},	//116 Kate::PluginConfigPage::tr(const char*)
    {18, 244, 23, 1, Smoke::mf_static, 128, 14},	//117 Kate::PluginConfigPage::trUtf8(const char*)
    {18, 34, 0, 0, Smoke::mf_ctor, 29, 15},	//118 Kate::PluginConfigPage::PluginConfigPage()
    {18, 34, 65, 1, Smoke::mf_ctor, 29, 16},	//119 Kate::PluginConfigPage::PluginConfigPage(QWidget*)
    {18, 236, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 269, 17},	//120 Kate::PluginConfigPage::staticMetaObject() const
    {18, 268, 0, 0, Smoke::mf_dtor, 0, 18 },	//121 Kate::PluginConfigPage::~PluginConfigPage()
    {19, 37, 0, 0, Smoke::mf_ctor, 30, 1},	//122 Kate::PluginConfigPageInterface::PluginConfigPageInterface()
    {19, 213, 0, 0, Smoke::mf_const, 306, 2},	//123 Kate::PluginConfigPageInterface::pluginConfigPageInterfaceNumber() const
    {19, 88, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 306, 3},	//124 Kate::PluginConfigPageInterface::configPages() const [pure virtual]
    {19, 78, 83, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 29, 4},	//125 Kate::PluginConfigPageInterface::configPage(unsigned int, QWidget*, const char*) [pure virtual]
    {19, 86, 87, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 5},	//126 Kate::PluginConfigPageInterface::configPageName(unsigned int) const [pure virtual]
    {19, 82, 87, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 6},	//127 Kate::PluginConfigPageInterface::configPageFullName(unsigned int) const [pure virtual]
    {19, 84, 87, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 8, 7},	//128 Kate::PluginConfigPageInterface::configPageIcon(unsigned int) const [pure virtual]
    {19, 37, 89, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 8},	//129 Kate::PluginConfigPageInterface::PluginConfigPageInterface(const Kate::PluginConfigPageInterface&)
    {19, 78, 0, 0, 0, 29, 9},	//130 Kate::PluginConfigPageInterface::configPage()
    {19, 78, 87, 1, 0, 29, 10},	//131 Kate::PluginConfigPageInterface::configPage(unsigned int)
    {19, 78, 91, 2, 0, 29, 11},	//132 Kate::PluginConfigPageInterface::configPage(unsigned int, QWidget*)
    {19, 86, 0, 0, Smoke::mf_const, 128, 12},	//133 Kate::PluginConfigPageInterface::configPageName() const
    {19, 82, 0, 0, Smoke::mf_const, 128, 13},	//134 Kate::PluginConfigPageInterface::configPageFullName() const
    {19, 84, 0, 0, Smoke::mf_const, 8, 14},	//135 Kate::PluginConfigPageInterface::configPageIcon() const
    {19, 269, 0, 0, Smoke::mf_dtor, 0, 15 },	//136 Kate::PluginConfigPageInterface::~PluginConfigPageInterface()
    {20, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 1},	//137 Kate::PluginManager::metaObject() const
    {20, 217, 23, 1, Smoke::mf_virtual, 307, 2},	//138 Kate::PluginManager::qt_metacast(const char*)
    {20, 240, 25, 2, Smoke::mf_static, 128, 3},	//139 Kate::PluginManager::tr(const char*, const char*)
    {20, 244, 25, 2, Smoke::mf_static, 128, 4},	//140 Kate::PluginManager::trUtf8(const char*, const char*)
    {20, 240, 28, 3, Smoke::mf_static, 128, 5},	//141 Kate::PluginManager::tr(const char*, const char*, int)
    {20, 244, 28, 3, Smoke::mf_static, 128, 6},	//142 Kate::PluginManager::trUtf8(const char*, const char*, int)
    {20, 215, 32, 3, Smoke::mf_virtual, 304, 7},	//143 Kate::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {20, 39, 36, 1, Smoke::mf_ctor, 31, 8},	//144 Kate::PluginManager::PluginManager(void*)
    {20, 209, 9, 1, 0, 28, 9},	//145 Kate::PluginManager::plugin(const QString&)
    {20, 211, 9, 1, 0, 242, 10},	//146 Kate::PluginManager::pluginAvailable(const QString&)
    {20, 135, 11, 2, 0, 28, 11},	//147 Kate::PluginManager::loadPlugin(const QString&, bool)
    {20, 250, 11, 2, 0, 0, 12},	//148 Kate::PluginManager::unloadPlugin(const QString&, bool)
    {20, 240, 23, 1, Smoke::mf_static, 128, 13},	//149 Kate::PluginManager::tr(const char*)
    {20, 244, 23, 1, Smoke::mf_static, 128, 14},	//150 Kate::PluginManager::trUtf8(const char*)
    {20, 135, 9, 1, 0, 28, 15},	//151 Kate::PluginManager::loadPlugin(const QString&)
    {20, 250, 9, 1, 0, 0, 16},	//152 Kate::PluginManager::unloadPlugin(const QString&)
    {20, 236, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 269, 17},	//153 Kate::PluginManager::staticMetaObject() const
    {20, 270, 0, 0, Smoke::mf_dtor, 0, 18 },	//154 Kate::PluginManager::~PluginManager()
    {21, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 1},	//155 Kate::PluginView::metaObject() const
    {21, 217, 23, 1, Smoke::mf_virtual, 307, 2},	//156 Kate::PluginView::qt_metacast(const char*)
    {21, 240, 25, 2, Smoke::mf_static, 128, 3},	//157 Kate::PluginView::tr(const char*, const char*)
    {21, 244, 25, 2, Smoke::mf_static, 128, 4},	//158 Kate::PluginView::trUtf8(const char*, const char*)
    {21, 240, 28, 3, Smoke::mf_static, 128, 5},	//159 Kate::PluginView::tr(const char*, const char*, int)
    {21, 244, 28, 3, Smoke::mf_static, 128, 6},	//160 Kate::PluginView::trUtf8(const char*, const char*, int)
    {21, 215, 32, 3, Smoke::mf_virtual, 304, 7},	//161 Kate::PluginView::qt_metacall(QMetaObject::Call, int, void**)
    {21, 41, 73, 1, Smoke::mf_ctor, 32, 8},	//162 Kate::PluginView::PluginView(Kate::MainWindow*)
    {21, 139, 0, 0, Smoke::mf_const, 26, 9},	//163 Kate::PluginView::mainWindow() const
    {21, 219, 75, 2, Smoke::mf_virtual, 0, 10},	//164 Kate::PluginView::readSessionConfig(KConfigBase*, const QString&)
    {21, 260, 75, 2, Smoke::mf_virtual, 0, 11},	//165 Kate::PluginView::writeSessionConfig(KConfigBase*, const QString&)
    {21, 240, 23, 1, Smoke::mf_static, 128, 12},	//166 Kate::PluginView::tr(const char*)
    {21, 244, 23, 1, Smoke::mf_static, 128, 13},	//167 Kate::PluginView::trUtf8(const char*)
    {21, 236, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 269, 14},	//168 Kate::PluginView::staticMetaObject() const
    {21, 271, 0, 0, Smoke::mf_dtor, 0, 15 },	//169 Kate::PluginView::~PluginView()
    {22, 57, 3, 1, Smoke::mf_ctor, 33, 1},	//170 Kate::XMLGUIClient::XMLGUIClient(const KComponentData&)
    {22, 57, 94, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 2},	//171 Kate::XMLGUIClient::XMLGUIClient(const Kate::XMLGUIClient&)
    {22, 272, 0, 0, Smoke::mf_dtor, 0, 3 },	//172 Kate::XMLGUIClient::~XMLGUIClient()
    {45, 204, 96, 2, Smoke::mf_static, 87, 1},	//173 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {45, 158, 99, 2, Smoke::mf_static, 275, 2},	//174 QGlobalSpace::operator*(const QPoint&, double)
    {45, 158, 102, 2, Smoke::mf_static, 277, 3},	//175 QGlobalSpace::operator*(double, const QPointF&)
    {45, 204, 105, 2, Smoke::mf_static, 74, 4},	//176 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {45, 154, 108, 2, Smoke::mf_static, 242, 5},	//177 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {45, 158, 111, 2, Smoke::mf_static, 287, 6},	//178 QGlobalSpace::operator*(double, const QSizeF&)
    {45, 200, 114, 2, Smoke::mf_static, 46, 7},	//179 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {45, 180, 117, 2, Smoke::mf_static, 46, 8},	//180 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {45, 204, 120, 2, Smoke::mf_static, 87, 9},	//181 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {45, 154, 123, 2, Smoke::mf_static, 242, 10},	//182 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {45, 162, 126, 2, Smoke::mf_static, 285, 11},	//183 QGlobalSpace::operator+(const QSize&, const QSize&)
    {45, 180, 129, 2, Smoke::mf_static, 46, 12},	//184 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {45, 158, 132, 2, Smoke::mf_static, 110, 13},	//185 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {45, 158, 135, 2, Smoke::mf_static, 91, 14},	//186 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {45, 188, 108, 2, Smoke::mf_static, 242, 15},	//187 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {45, 204, 138, 2, Smoke::mf_static, 79, 16},	//188 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {45, 158, 141, 2, Smoke::mf_static, 287, 17},	//189 QGlobalSpace::operator*(const QSizeF&, double)
    {45, 180, 144, 2, Smoke::mf_static, 46, 18},	//190 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {45, 170, 147, 2, Smoke::mf_static, 287, 19},	//191 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {45, 196, 150, 2, Smoke::mf_static, 242, 20},	//192 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {45, 188, 153, 2, Smoke::mf_static, 242, 21},	//193 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {45, 204, 156, 2, Smoke::mf_static, 74, 22},	//194 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {45, 204, 159, 2, Smoke::mf_static, 55, 23},	//195 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {45, 204, 162, 2, Smoke::mf_static, 55, 24},	//196 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {45, 154, 165, 2, Smoke::mf_static, 242, 25},	//197 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {45, 188, 168, 2, Smoke::mf_static, 242, 26},	//198 QGlobalSpace::operator==(QBool, QBool)
    {45, 204, 171, 2, Smoke::mf_static, 87, 27},	//199 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {45, 204, 174, 2, Smoke::mf_static, 65, 28},	//200 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {45, 188, 177, 2, Smoke::mf_static, 242, 29},	//201 QGlobalSpace::operator==(QString::Null, QString::Null)
    {45, 180, 180, 2, Smoke::mf_static, 46, 30},	//202 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {45, 162, 183, 2, Smoke::mf_static, 290, 31},	//203 QGlobalSpace::operator+(QChar, const QString&)
    {45, 204, 186, 2, Smoke::mf_static, 60, 32},	//204 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {45, 180, 189, 2, Smoke::mf_static, 46, 33},	//205 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {45, 167, 192, 1, Smoke::mf_static, 10, 34},	//206 QGlobalSpace::operator++(KIconLoader::Group&)
    {45, 180, 194, 2, Smoke::mf_static, 46, 35},	//207 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {45, 158, 197, 2, Smoke::mf_static, 114, 36},	//208 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {45, 204, 200, 2, Smoke::mf_static, 77, 37},	//209 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {45, 204, 203, 2, Smoke::mf_static, 87, 38},	//210 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {45, 162, 147, 2, Smoke::mf_static, 287, 39},	//211 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {45, 204, 206, 2, Smoke::mf_static, 87, 40},	//212 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {45, 204, 209, 2, Smoke::mf_static, 87, 41},	//213 QGlobalSpace::operator|(Qt::DropAction, int)
    {45, 180, 212, 2, Smoke::mf_static, 46, 42},	//214 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {45, 204, 215, 2, Smoke::mf_static, 57, 43},	//215 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {45, 204, 218, 2, Smoke::mf_static, 53, 44},	//216 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {45, 204, 221, 2, Smoke::mf_static, 65, 45},	//217 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {45, 200, 224, 2, Smoke::mf_static, 46, 46},	//218 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {45, 180, 227, 2, Smoke::mf_static, 46, 47},	//219 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {45, 204, 230, 2, Smoke::mf_static, 87, 48},	//220 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {45, 176, 233, 2, Smoke::mf_static, 242, 49},	//221 QGlobalSpace::operator<(const QByteArray&, const char*)
    {45, 204, 236, 2, Smoke::mf_static, 56, 50},	//222 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {45, 204, 239, 2, Smoke::mf_static, 66, 51},	//223 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {45, 158, 242, 2, Smoke::mf_static, 91, 52},	//224 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {45, 204, 245, 2, Smoke::mf_static, 56, 53},	//225 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {45, 158, 248, 2, Smoke::mf_static, 93, 54},	//226 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {45, 204, 251, 2, Smoke::mf_static, 75, 55},	//227 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {45, 158, 254, 2, Smoke::mf_static, 104, 56},	//228 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {45, 204, 257, 2, Smoke::mf_static, 87, 57},	//229 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {45, 200, 260, 2, Smoke::mf_static, 46, 58},	//230 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {45, 204, 263, 2, Smoke::mf_static, 87, 59},	//231 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {45, 180, 266, 2, Smoke::mf_static, 46, 60},	//232 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {45, 180, 269, 2, Smoke::mf_static, 46, 61},	//233 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {45, 204, 272, 2, Smoke::mf_static, 68, 62},	//234 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {45, 204, 275, 2, Smoke::mf_static, 60, 63},	//235 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {45, 162, 278, 2, Smoke::mf_static, 249, 64},	//236 QGlobalSpace::operator+(char, const QByteArray&)
    {45, 174, 99, 2, Smoke::mf_static, 275, 65},	//237 QGlobalSpace::operator/(const QPoint&, double)
    {45, 188, 281, 2, Smoke::mf_static, 242, 66},	//238 QGlobalSpace::operator==(const char*, const QByteArray&)
    {45, 200, 284, 2, Smoke::mf_static, 46, 67},	//239 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {45, 200, 287, 2, Smoke::mf_static, 46, 68},	//240 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {45, 200, 290, 2, Smoke::mf_static, 46, 69},	//241 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {45, 188, 293, 2, Smoke::mf_static, 242, 70},	//242 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {45, 174, 296, 2, Smoke::mf_static, 139, 71},	//243 QGlobalSpace::operator/(const QTransform&, double)
    {45, 154, 299, 2, Smoke::mf_static, 242, 72},	//244 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {45, 176, 302, 2, Smoke::mf_static, 242, 73},	//245 QGlobalSpace::operator<(QChar, QChar)
    {45, 158, 305, 2, Smoke::mf_static, 104, 74},	//246 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {45, 180, 308, 2, Smoke::mf_static, 46, 75},	//247 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {45, 200, 311, 2, Smoke::mf_static, 46, 76},	//248 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {45, 158, 314, 2, Smoke::mf_static, 277, 77},	//249 QGlobalSpace::operator*(const QPointF&, double)
    {45, 204, 317, 2, Smoke::mf_static, 87, 78},	//250 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {45, 188, 126, 2, Smoke::mf_static, 242, 79},	//251 QGlobalSpace::operator==(const QSize&, const QSize&)
    {45, 204, 320, 2, Smoke::mf_static, 73, 80},	//252 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {45, 204, 323, 2, Smoke::mf_static, 87, 81},	//253 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {45, 154, 150, 2, Smoke::mf_static, 242, 82},	//254 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {45, 204, 326, 2, Smoke::mf_static, 61, 83},	//255 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {45, 200, 329, 2, Smoke::mf_static, 46, 84},	//256 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {45, 204, 332, 2, Smoke::mf_static, 72, 85},	//257 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {45, 174, 141, 2, Smoke::mf_static, 287, 86},	//258 QGlobalSpace::operator/(const QSizeF&, double)
    {45, 204, 335, 2, Smoke::mf_static, 73, 87},	//259 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {45, 200, 338, 2, Smoke::mf_static, 46, 88},	//260 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {45, 158, 341, 2, Smoke::mf_static, 112, 89},	//261 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {45, 192, 302, 2, Smoke::mf_static, 242, 90},	//262 QGlobalSpace::operator>(QChar, QChar)
    {45, 196, 281, 2, Smoke::mf_static, 242, 91},	//263 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {45, 188, 344, 2, Smoke::mf_static, 242, 92},	//264 QGlobalSpace::operator==(const QString&, QString::Null)
    {45, 176, 150, 2, Smoke::mf_static, 242, 93},	//265 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {45, 200, 347, 2, Smoke::mf_static, 46, 94},	//266 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {45, 170, 350, 1, Smoke::mf_static, 277, 95},	//267 QGlobalSpace::operator-(const QPointF&)
    {45, 204, 352, 2, Smoke::mf_static, 71, 96},	//268 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {45, 180, 355, 2, Smoke::mf_static, 46, 97},	//269 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {45, 204, 358, 2, Smoke::mf_static, 80, 98},	//270 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {45, 158, 361, 2, Smoke::mf_static, 110, 99},	//271 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {45, 204, 364, 2, Smoke::mf_static, 71, 100},	//272 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {45, 204, 367, 2, Smoke::mf_static, 78, 101},	//273 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {45, 196, 299, 2, Smoke::mf_static, 242, 102},	//274 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {45, 188, 165, 2, Smoke::mf_static, 242, 103},	//275 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {45, 180, 370, 2, Smoke::mf_static, 46, 104},	//276 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {45, 204, 373, 2, Smoke::mf_static, 61, 105},	//277 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {45, 180, 376, 2, Smoke::mf_static, 46, 106},	//278 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {45, 200, 379, 2, Smoke::mf_static, 46, 107},	//279 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {45, 204, 382, 2, Smoke::mf_static, 72, 108},	//280 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {45, 176, 281, 2, Smoke::mf_static, 242, 109},	//281 QGlobalSpace::operator<(const char*, const QByteArray&)
    {45, 204, 385, 2, Smoke::mf_static, 87, 110},	//282 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {45, 158, 388, 2, Smoke::mf_static, 108, 111},	//283 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {45, 204, 391, 2, Smoke::mf_static, 87, 112},	//284 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {45, 204, 394, 2, Smoke::mf_static, 87, 113},	//285 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {45, 154, 126, 2, Smoke::mf_static, 242, 114},	//286 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {45, 204, 397, 2, Smoke::mf_static, 69, 115},	//287 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {45, 184, 233, 2, Smoke::mf_static, 242, 116},	//288 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {45, 154, 400, 2, Smoke::mf_static, 242, 117},	//289 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {45, 204, 403, 2, Smoke::mf_static, 87, 118},	//290 QGlobalSpace::operator|(QString::SectionFlag, int)
    {45, 204, 406, 2, Smoke::mf_static, 87, 119},	//291 QGlobalSpace::operator|(Qt::WindowType, int)
    {45, 204, 409, 2, Smoke::mf_static, 64, 120},	//292 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {45, 188, 412, 2, Smoke::mf_static, 242, 121},	//293 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {45, 188, 415, 2, Smoke::mf_static, 242, 122},	//294 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {45, 204, 418, 2, Smoke::mf_static, 58, 123},	//295 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {45, 204, 421, 2, Smoke::mf_static, 63, 124},	//296 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {45, 200, 424, 2, Smoke::mf_static, 46, 125},	//297 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {45, 180, 427, 2, Smoke::mf_static, 46, 126},	//298 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {45, 158, 296, 2, Smoke::mf_static, 139, 127},	//299 QGlobalSpace::operator*(const QTransform&, double)
    {45, 204, 430, 2, Smoke::mf_static, 87, 128},	//300 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {45, 176, 299, 2, Smoke::mf_static, 242, 129},	//301 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {45, 204, 433, 2, Smoke::mf_static, 64, 130},	//302 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {45, 154, 436, 2, Smoke::mf_static, 242, 131},	//303 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {45, 154, 281, 2, Smoke::mf_static, 242, 132},	//304 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {45, 192, 299, 2, Smoke::mf_static, 242, 133},	//305 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {45, 204, 439, 2, Smoke::mf_static, 87, 134},	//306 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {45, 204, 442, 2, Smoke::mf_static, 59, 135},	//307 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {45, 204, 445, 2, Smoke::mf_static, 54, 136},	//308 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {45, 204, 448, 2, Smoke::mf_static, 87, 137},	//309 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {45, 180, 451, 2, Smoke::mf_static, 46, 138},	//310 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {45, 200, 454, 2, Smoke::mf_static, 46, 139},	//311 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {45, 180, 457, 2, Smoke::mf_static, 46, 140},	//312 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {45, 158, 460, 2, Smoke::mf_static, 275, 141},	//313 QGlobalSpace::operator*(const QPoint&, float)
    {45, 162, 463, 2, Smoke::mf_static, 290, 142},	//314 QGlobalSpace::operator+(const QString&, const QString&)
    {45, 154, 233, 2, Smoke::mf_static, 242, 143},	//315 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {45, 154, 466, 2, Smoke::mf_static, 242, 144},	//316 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {45, 204, 469, 2, Smoke::mf_static, 87, 145},	//317 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {45, 204, 472, 2, Smoke::mf_static, 87, 146},	//318 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {45, 200, 475, 2, Smoke::mf_static, 46, 147},	//319 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {45, 192, 150, 2, Smoke::mf_static, 242, 148},	//320 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {45, 188, 400, 2, Smoke::mf_static, 242, 149},	//321 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {45, 188, 478, 2, Smoke::mf_static, 242, 150},	//322 QGlobalSpace::operator==(const char*, const QStringRef&)
    {45, 162, 281, 2, Smoke::mf_static, 249, 151},	//323 QGlobalSpace::operator+(const char*, const QByteArray&)
    {45, 200, 481, 2, Smoke::mf_static, 46, 152},	//324 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {45, 204, 484, 2, Smoke::mf_static, 87, 153},	//325 QGlobalSpace::operator|(Qt::MouseButton, int)
    {45, 184, 299, 2, Smoke::mf_static, 242, 154},	//326 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {45, 200, 487, 2, Smoke::mf_static, 46, 155},	//327 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {45, 204, 490, 2, Smoke::mf_static, 70, 156},	//328 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {45, 200, 493, 2, Smoke::mf_static, 46, 157},	//329 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {45, 188, 302, 2, Smoke::mf_static, 242, 158},	//330 QGlobalSpace::operator==(QChar, QChar)
    {45, 204, 496, 2, Smoke::mf_static, 76, 159},	//331 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {45, 154, 412, 2, Smoke::mf_static, 242, 160},	//332 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {45, 158, 499, 2, Smoke::mf_static, 93, 161},	//333 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {45, 154, 502, 2, Smoke::mf_static, 242, 162},	//334 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {45, 180, 505, 2, Smoke::mf_static, 46, 163},	//335 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {45, 180, 508, 2, Smoke::mf_static, 46, 164},	//336 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {45, 204, 511, 2, Smoke::mf_static, 77, 165},	//337 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {45, 180, 514, 2, Smoke::mf_static, 46, 166},	//338 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {45, 204, 517, 2, Smoke::mf_static, 58, 167},	//339 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {45, 180, 520, 2, Smoke::mf_static, 46, 168},	//340 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {45, 154, 153, 2, Smoke::mf_static, 242, 169},	//341 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {45, 154, 302, 2, Smoke::mf_static, 242, 170},	//342 QGlobalSpace::operator!=(QChar, QChar)
    {45, 204, 523, 2, Smoke::mf_static, 79, 171},	//343 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {45, 204, 526, 2, Smoke::mf_static, 63, 172},	//344 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {45, 188, 147, 2, Smoke::mf_static, 242, 173},	//345 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {45, 200, 529, 2, Smoke::mf_static, 46, 174},	//346 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {45, 200, 532, 2, Smoke::mf_static, 46, 175},	//347 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {45, 180, 535, 2, Smoke::mf_static, 46, 176},	//348 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {45, 188, 299, 2, Smoke::mf_static, 242, 177},	//349 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {45, 154, 538, 2, Smoke::mf_static, 242, 178},	//350 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {45, 158, 541, 2, Smoke::mf_static, 285, 179},	//351 QGlobalSpace::operator*(double, const QSize&)
    {45, 196, 233, 2, Smoke::mf_static, 242, 180},	//352 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {45, 158, 544, 2, Smoke::mf_static, 275, 181},	//353 QGlobalSpace::operator*(double, const QPoint&)
    {45, 180, 547, 2, Smoke::mf_static, 46, 182},	//354 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {45, 180, 550, 2, Smoke::mf_static, 46, 183},	//355 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {45, 162, 553, 2, Smoke::mf_static, 249, 184},	//356 QGlobalSpace::operator+(const QByteArray&, char)
    {45, 174, 314, 2, Smoke::mf_static, 277, 185},	//357 QGlobalSpace::operator/(const QPointF&, double)
    {45, 196, 302, 2, Smoke::mf_static, 242, 186},	//358 QGlobalSpace::operator>=(QChar, QChar)
    {45, 184, 150, 2, Smoke::mf_static, 242, 187},	//359 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {45, 200, 556, 2, Smoke::mf_static, 46, 188},	//360 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {45, 204, 559, 2, Smoke::mf_static, 62, 189},	//361 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {45, 180, 562, 2, Smoke::mf_static, 46, 190},	//362 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {45, 192, 281, 2, Smoke::mf_static, 242, 191},	//363 QGlobalSpace::operator>(const char*, const QByteArray&)
    {45, 200, 565, 2, Smoke::mf_static, 46, 192},	//364 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {45, 180, 568, 2, Smoke::mf_static, 46, 193},	//365 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {45, 188, 538, 2, Smoke::mf_static, 242, 194},	//366 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {45, 154, 571, 2, Smoke::mf_static, 242, 195},	//367 QGlobalSpace::operator!=(bool, QBool)
    {45, 204, 574, 2, Smoke::mf_static, 59, 196},	//368 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {45, 158, 577, 2, Smoke::mf_static, 112, 197},	//369 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {45, 154, 580, 2, Smoke::mf_static, 242, 198},	//370 QGlobalSpace::operator!=(QBool, bool)
    {45, 204, 583, 2, Smoke::mf_static, 87, 199},	//371 QGlobalSpace::operator|(Qt::WindowState, int)
    {45, 170, 400, 2, Smoke::mf_static, 275, 200},	//372 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {45, 200, 586, 2, Smoke::mf_static, 46, 201},	//373 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {45, 162, 233, 2, Smoke::mf_static, 249, 202},	//374 QGlobalSpace::operator+(const QByteArray&, const char*)
    {45, 180, 589, 2, Smoke::mf_static, 46, 203},	//375 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {45, 154, 147, 2, Smoke::mf_static, 242, 204},	//376 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {45, 184, 281, 2, Smoke::mf_static, 242, 205},	//377 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {45, 204, 592, 2, Smoke::mf_static, 87, 206},	//378 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {45, 180, 595, 2, Smoke::mf_static, 46, 207},	//379 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {45, 204, 598, 2, Smoke::mf_static, 66, 208},	//380 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {45, 188, 466, 2, Smoke::mf_static, 242, 209},	//381 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {45, 180, 601, 2, Smoke::mf_static, 46, 210},	//382 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {45, 204, 604, 2, Smoke::mf_static, 80, 211},	//383 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {45, 158, 607, 2, Smoke::mf_static, 285, 212},	//384 QGlobalSpace::operator*(const QSize&, double)
    {45, 188, 610, 2, Smoke::mf_static, 242, 213},	//385 QGlobalSpace::operator==(QString::Null, const QString&)
    {45, 204, 613, 2, Smoke::mf_static, 70, 214},	//386 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {45, 204, 616, 2, Smoke::mf_static, 53, 215},	//387 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {45, 200, 619, 2, Smoke::mf_static, 46, 216},	//388 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {45, 188, 233, 2, Smoke::mf_static, 242, 217},	//389 QGlobalSpace::operator==(const QByteArray&, const char*)
    {45, 200, 622, 2, Smoke::mf_static, 46, 218},	//390 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {45, 192, 233, 2, Smoke::mf_static, 242, 219},	//391 QGlobalSpace::operator>(const QByteArray&, const char*)
    {45, 162, 400, 2, Smoke::mf_static, 275, 220},	//392 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {45, 184, 302, 2, Smoke::mf_static, 242, 221},	//393 QGlobalSpace::operator<=(QChar, QChar)
    {45, 158, 625, 2, Smoke::mf_static, 119, 222},	//394 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {45, 154, 610, 2, Smoke::mf_static, 242, 223},	//395 QGlobalSpace::operator!=(QString::Null, const QString&)
    {45, 204, 628, 2, Smoke::mf_static, 62, 224},	//396 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {45, 154, 344, 2, Smoke::mf_static, 242, 225},	//397 QGlobalSpace::operator!=(const QString&, QString::Null)
    {45, 204, 631, 2, Smoke::mf_static, 87, 226},	//398 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {45, 158, 634, 2, Smoke::mf_static, 275, 227},	//399 QGlobalSpace::operator*(int, const QPoint&)
    {45, 204, 637, 2, Smoke::mf_static, 68, 228},	//400 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {45, 158, 640, 2, Smoke::mf_static, 114, 229},	//401 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {45, 170, 643, 1, Smoke::mf_static, 275, 230},	//402 QGlobalSpace::operator-(const QPoint&)
    {45, 200, 645, 2, Smoke::mf_static, 46, 231},	//403 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {45, 180, 648, 2, Smoke::mf_static, 137, 232},	//404 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {45, 204, 651, 2, Smoke::mf_static, 57, 233},	//405 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {45, 200, 654, 2, Smoke::mf_static, 46, 234},	//406 QGlobalSpace::operator>>(QDataStream&, QString&)
    {45, 188, 150, 2, Smoke::mf_static, 242, 235},	//407 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {45, 180, 657, 2, Smoke::mf_static, 46, 236},	//408 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {45, 170, 293, 2, Smoke::mf_static, 277, 237},	//409 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {45, 200, 660, 2, Smoke::mf_static, 46, 238},	//410 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {45, 162, 296, 2, Smoke::mf_static, 139, 239},	//411 QGlobalSpace::operator+(const QTransform&, double)
    {45, 204, 663, 2, Smoke::mf_static, 76, 240},	//412 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {45, 188, 436, 2, Smoke::mf_static, 242, 241},	//413 QGlobalSpace::operator==(const QStringRef&, const char*)
    {45, 154, 478, 2, Smoke::mf_static, 242, 242},	//414 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {45, 200, 666, 2, Smoke::mf_static, 46, 243},	//415 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {45, 162, 150, 2, Smoke::mf_static, 249, 244},	//416 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {45, 204, 669, 2, Smoke::mf_static, 54, 245},	//417 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {45, 200, 672, 2, Smoke::mf_static, 46, 246},	//418 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {45, 204, 675, 2, Smoke::mf_static, 87, 247},	//419 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {45, 180, 678, 2, Smoke::mf_static, 46, 248},	//420 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {45, 180, 681, 2, Smoke::mf_static, 46, 249},	//421 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {45, 174, 607, 2, Smoke::mf_static, 285, 250},	//422 QGlobalSpace::operator/(const QSize&, double)
    {45, 200, 684, 2, Smoke::mf_static, 46, 251},	//423 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {45, 200, 687, 2, Smoke::mf_static, 46, 252},	//424 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {45, 188, 571, 2, Smoke::mf_static, 242, 253},	//425 QGlobalSpace::operator==(bool, QBool)
    {45, 204, 690, 2, Smoke::mf_static, 78, 254},	//426 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {45, 204, 693, 2, Smoke::mf_static, 87, 255},	//427 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {45, 158, 696, 2, Smoke::mf_static, 108, 256},	//428 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {45, 154, 293, 2, Smoke::mf_static, 242, 257},	//429 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {45, 158, 699, 2, Smoke::mf_static, 275, 258},	//430 QGlobalSpace::operator*(const QPoint&, int)
    {45, 204, 702, 2, Smoke::mf_static, 69, 259},	//431 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {45, 170, 126, 2, Smoke::mf_static, 285, 260},	//432 QGlobalSpace::operator-(const QSize&, const QSize&)
    {45, 204, 705, 2, Smoke::mf_static, 67, 261},	//433 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {45, 204, 708, 2, Smoke::mf_static, 67, 262},	//434 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {45, 204, 711, 2, Smoke::mf_static, 87, 263},	//435 QGlobalSpace::operator|(Qt::Orientation, int)
    {45, 162, 293, 2, Smoke::mf_static, 277, 264},	//436 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {45, 158, 714, 2, Smoke::mf_static, 119, 265},	//437 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {45, 188, 580, 2, Smoke::mf_static, 242, 266},	//438 QGlobalSpace::operator==(QBool, bool)
    {45, 188, 123, 2, Smoke::mf_static, 242, 267},	//439 QGlobalSpace::operator==(const QRect&, const QRect&)
    {45, 158, 717, 2, Smoke::mf_static, 275, 268},	//440 QGlobalSpace::operator*(float, const QPoint&)
    {45, 200, 720, 2, Smoke::mf_static, 46, 269},	//441 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {45, 162, 723, 2, Smoke::mf_static, 290, 270},	//442 QGlobalSpace::operator+(const QString&, QChar)
    {45, 154, 177, 2, Smoke::mf_static, 242, 271},	//443 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {45, 204, 726, 2, Smoke::mf_static, 75, 272},	//444 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {45, 154, 168, 2, Smoke::mf_static, 242, 273},	//445 QGlobalSpace::operator!=(QBool, QBool)
    {45, 188, 502, 2, Smoke::mf_static, 242, 274},	//446 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {45, 170, 296, 2, Smoke::mf_static, 139, 275},	//447 QGlobalSpace::operator-(const QTransform&, double)
    {45, 167, 729, 2, Smoke::mf_static, 9, 276},	//448 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {45, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 277},	//449 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {45, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 278},	//450 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {45, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 279},	//451 QGlobalSpace::Q_STATIC_TYPE (enum)
    {45, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 280},	//452 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {45, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 281},	//453 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {45, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 282},	//454 QGlobalSpace::LicensedGui (enum)
    {45, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 283},	//455 QGlobalSpace::LicensedXml (enum)
    {45, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 284},	//456 QGlobalSpace::LicensedQt3SupportLight (enum)
    {45, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 285},	//457 QGlobalSpace::LicensedScript (enum)
    {45, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 286},	//458 QGlobalSpace::LicensedOpenVG (enum)
    {45, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 287},	//459 QGlobalSpace::LicensedDBus (enum)
    {45, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 288},	//460 QGlobalSpace::LicensedTest (enum)
    {45, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 289},	//461 QGlobalSpace::LicensedActiveQt (enum)
    {45, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 290},	//462 QGlobalSpace::LicensedScriptTools (enum)
    {45, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 291},	//463 QGlobalSpace::LicensedSvg (enum)
    {45, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 292},	//464 QGlobalSpace::LicensedDeclarative (enum)
    {45, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 293},	//465 QGlobalSpace::LicensedSql (enum)
    {45, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 294},	//466 QGlobalSpace::LicensedOpenGL (enum)
    {45, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 295},	//467 QGlobalSpace::LicensedCore (enum)
    {45, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 296},	//468 QGlobalSpace::QtDebugMsg (enum)
    {45, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 297},	//469 QGlobalSpace::QtWarningMsg (enum)
    {45, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 298},	//470 QGlobalSpace::QtCriticalMsg (enum)
    {45, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 299},	//471 QGlobalSpace::QtFatalMsg (enum)
    {45, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 300},	//472 QGlobalSpace::QtSystemMsg (enum)
    {45, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 301},	//473 QGlobalSpace::LicensedHelp (enum)
    {45, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 302},	//474 QGlobalSpace::LicensedMultimedia (enum)
    {45, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 303},	//475 QGlobalSpace::LicensedQt3Support (enum)
    {45, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 304},	//476 QGlobalSpace::LicensedXmlPatterns (enum)
    {45, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 305},	//477 QGlobalSpace::LicensedNetwork (enum)
    {62, 116, 49, 1, Smoke::mf_virtual, 242, 0},	//478 QObject::event(QEvent*)
    {62, 117, 732, 2, Smoke::mf_virtual, 242, 0},	//479 QObject::eventFilter(QObject*, QEvent*)
    {62, 239, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//480 QObject::timerEvent(QTimerEvent*)
    {62, 71, 737, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//481 QObject::childEvent(QChildEvent*)
    {62, 96, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//482 QObject::customEvent(QEvent*)
    {62, 89, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//483 QObject::connectNotify(const char*)
    {62, 99, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//484 QObject::disconnectNotify(const char*)
    {92, 98, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 0},	//485 QWidget::devType() const
    {92, 226, 739, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//486 QWidget::setVisible(bool)
    {92, 234, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 123, 0},	//487 QWidget::sizeHint() const
    {92, 143, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 123, 0},	//488 QWidget::minimumSizeHint() const
    {92, 125, 741, 1, Smoke::mf_const|Smoke::mf_virtual, 304, 0},	//489 QWidget::heightForWidth(int) const
    {92, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 102, 0},	//490 QWidget::paintEngine() const
    {92, 116, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 242, 0},	//491 QWidget::event(QEvent*)
    {92, 146, 743, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//492 QWidget::mousePressEvent(QMouseEvent*)
    {92, 147, 743, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//493 QWidget::mouseReleaseEvent(QMouseEvent*)
    {92, 144, 743, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//494 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {92, 145, 743, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//495 QWidget::mouseMoveEvent(QMouseEvent*)
    {92, 257, 745, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//496 QWidget::wheelEvent(QWheelEvent*)
    {92, 131, 747, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//497 QWidget::keyPressEvent(QKeyEvent*)
    {92, 132, 747, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//498 QWidget::keyReleaseEvent(QKeyEvent*)
    {92, 120, 749, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//499 QWidget::focusInEvent(QFocusEvent*)
    {92, 122, 749, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//500 QWidget::focusOutEvent(QFocusEvent*)
    {92, 115, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//501 QWidget::enterEvent(QEvent*)
    {92, 134, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//502 QWidget::leaveEvent(QEvent*)
    {92, 207, 751, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//503 QWidget::paintEvent(QPaintEvent*)
    {92, 148, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//504 QWidget::moveEvent(QMoveEvent*)
    {92, 222, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//505 QWidget::resizeEvent(QResizeEvent*)
    {92, 76, 757, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//506 QWidget::closeEvent(QCloseEvent*)
    {92, 90, 759, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//507 QWidget::contextMenuEvent(QContextMenuEvent*)
    {92, 238, 761, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//508 QWidget::tabletEvent(QTabletEvent*)
    {92, 61, 763, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//509 QWidget::actionEvent(QActionEvent*)
    {92, 109, 765, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//510 QWidget::dragEnterEvent(QDragEnterEvent*)
    {92, 111, 767, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//511 QWidget::dragMoveEvent(QDragMoveEvent*)
    {92, 110, 769, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//512 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {92, 112, 771, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//513 QWidget::dropEvent(QDropEvent*)
    {92, 229, 773, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//514 QWidget::showEvent(QShowEvent*)
    {92, 126, 775, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//515 QWidget::hideEvent(QHideEvent*)
    {92, 262, 777, 1, Smoke::mf_protected|Smoke::mf_virtual, 242, 0},	//516 QWidget::x11Event(_XEvent*)
    {92, 69, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//517 QWidget::changeEvent(QEvent*)
    {92, 142, 779, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 304, 0},	//518 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {92, 129, 781, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//519 QWidget::inputMethodEvent(QInputMethodEvent*)
    {92, 130, 783, 1, Smoke::mf_const|Smoke::mf_virtual, 143, 0},	//520 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {92, 121, 739, 1, Smoke::mf_protected|Smoke::mf_virtual, 242, 0},	//521 QWidget::focusNextPrevChild(bool)
    {92, 237, 785, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//522 QWidget::styleChange(QStyle&)
    {92, 114, 739, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//523 QWidget::enabledChange(bool)
    {92, 208, 787, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//524 QWidget::paletteChange(const QPalette&)
    {92, 123, 789, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//525 QWidget::fontChange(const QFont&)
    {92, 259, 739, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//526 QWidget::windowActivationChange(bool)
    {92, 133, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//527 QWidget::languageChange()
    {92, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 44},	//528 QWidget::DrawWindowBackground (enum)
    {92, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 45},	//529 QWidget::DrawChildren (enum)
    {92, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 46},	//530 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    170,  // Kate::XMLGUIClient::XMLGUIClient(const KComponentData&)
    171,  // Kate::XMLGUIClient::XMLGUIClient(const Kate::XMLGUIClient&)
    0,
    177,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    182,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    197,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    244,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    254,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    286,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    289,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    334,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    341,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    342,  // QGlobalSpace::operator!=(QChar, QChar)
    350,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    376,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    429,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    443,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    445,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    303,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    315,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    332,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    370,  // QGlobalSpace::operator!=(QBool, bool)
    395,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    304,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    316,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    367,  // QGlobalSpace::operator!=(bool, QBool)
    397,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    414,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    0,
    185,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    186,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    208,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    224,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    226,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    228,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    246,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    261,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    271,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    283,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    333,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    369,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    394,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    401,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    428,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    437,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    174,  // QGlobalSpace::operator*(const QPoint&, double)
    189,  // QGlobalSpace::operator*(const QSizeF&, double)
    249,  // QGlobalSpace::operator*(const QPointF&, double)
    299,  // QGlobalSpace::operator*(const QTransform&, double)
    313,  // QGlobalSpace::operator*(const QPoint&, float)
    384,  // QGlobalSpace::operator*(const QSize&, double)
    430,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    175,  // QGlobalSpace::operator*(double, const QPointF&)
    178,  // QGlobalSpace::operator*(double, const QSizeF&)
    351,  // QGlobalSpace::operator*(double, const QSize&)
    353,  // QGlobalSpace::operator*(double, const QPoint&)
    399,  // QGlobalSpace::operator*(int, const QPoint&)
    440,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    183,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    211,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    392,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    416,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    436,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    203,  // QGlobalSpace::operator+(QChar, const QString&)
    356,  // QGlobalSpace::operator+(const QByteArray&, char)
    374,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    411,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    236,  // QGlobalSpace::operator+(char, const QByteArray&)
    323,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    442,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    267,  // QGlobalSpace::operator-(const QPointF&)
    402,  // QGlobalSpace::operator-(const QPoint&)
    0,
    191,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    372,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    409,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    432,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    237,  // QGlobalSpace::operator/(const QPoint&, double)
    243,  // QGlobalSpace::operator/(const QTransform&, double)
    258,  // QGlobalSpace::operator/(const QSizeF&, double)
    357,  // QGlobalSpace::operator/(const QPointF&, double)
    422,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    245,  // QGlobalSpace::operator<(QChar, QChar)
    265,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    301,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    180,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    184,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    190,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    202,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    205,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    207,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    219,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    232,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    233,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    247,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    269,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    276,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    278,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    298,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    310,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    312,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    335,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    336,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    338,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    340,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    348,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    354,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    355,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    362,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    365,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    375,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    379,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    382,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    404,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    420,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    0,
    408,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    421,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    326,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    359,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    393,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    187,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    193,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    198,  // QGlobalSpace::operator==(QBool, QBool)
    201,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    242,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    251,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    275,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    294,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    321,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    330,  // QGlobalSpace::operator==(QChar, QChar)
    345,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    349,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    366,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    407,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    439,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    446,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    293,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    385,  // QGlobalSpace::operator==(QString::Null, const QString&)
    389,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    413,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    438,  // QGlobalSpace::operator==(QBool, bool)
    0,
    238,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    264,  // QGlobalSpace::operator==(const QString&, QString::Null)
    322,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    381,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    425,  // QGlobalSpace::operator==(bool, QBool)
    0,
    262,  // QGlobalSpace::operator>(QChar, QChar)
    305,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    320,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    192,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    274,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    358,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    179,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    218,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    230,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    239,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    240,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    241,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    248,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    256,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    260,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    266,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    279,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    297,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    311,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    319,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    324,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    327,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    346,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    347,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    360,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    364,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    388,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    390,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    403,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    410,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    415,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    418,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    423,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    424,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    441,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    329,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    406,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    173,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    176,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    181,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    188,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    194,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    195,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    196,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    199,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    200,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    204,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    209,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    210,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    212,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    213,  // QGlobalSpace::operator|(Qt::DropAction, int)
    215,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    216,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    217,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    220,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    222,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    223,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    225,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    227,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    229,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    231,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    234,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    235,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    250,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    252,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    253,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    255,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    257,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    259,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    268,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    270,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    272,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    273,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    277,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    280,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    282,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    284,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    285,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    287,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    290,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    291,  // QGlobalSpace::operator|(Qt::WindowType, int)
    292,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    295,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    296,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    300,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    302,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    306,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    307,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    308,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    309,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    317,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    318,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    325,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    328,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    331,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    337,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    339,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    343,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    344,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    361,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    368,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    371,  // QGlobalSpace::operator|(Qt::WindowState, int)
    378,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    380,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    383,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    386,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    387,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    396,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    398,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    400,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    405,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    412,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    417,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    419,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    426,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    427,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    431,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    433,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    434,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    435,  // QGlobalSpace::operator|(Qt::Orientation, int)
    444,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {14, 2, 23},	// Kate::Application::Application$
    {14, 64, 27},	// Kate::Application::activeMainWindow
    {14, 104, 24},	// Kate::Application::documentManager
    {14, 113, 26},	// Kate::Application::editor
    {14, 140, 28},	// Kate::Application::mainWindows
    {14, 141, 16},	// Kate::Application::metaObject
    {14, 214, 25},	// Kate::Application::pluginManager
    {14, 216, 22},	// Kate::Application::qt_metacall$$?
    {14, 218, 17},	// Kate::Application::qt_metacast$
    {14, 236, 31},	// Kate::Application::staticMetaObject
    {14, 241, 29},	// Kate::Application::tr$
    {14, 242, 18},	// Kate::Application::tr$$
    {14, 243, 20},	// Kate::Application::tr$$$
    {14, 245, 30},	// Kate::Application::trUtf8$
    {14, 246, 19},	// Kate::Application::trUtf8$$
    {14, 247, 21},	// Kate::Application::trUtf8$$$
    {14, 264, 32},	// Kate::Application::~Application
    {15, 5, 40},	// Kate::DocumentManager::DocumentManager$
    {15, 73, 44},	// Kate::DocumentManager::closeDocument#
    {15, 75, 45},	// Kate::DocumentManager::closeDocumentList?
    {15, 101, 46},	// Kate::DocumentManager::documentCreated#
    {15, 103, 48},	// Kate::DocumentManager::documentDeleted#
    {15, 106, 47},	// Kate::DocumentManager::documentWillBeDeleted#
    {15, 107, 41},	// Kate::DocumentManager::documents
    {15, 119, 42},	// Kate::DocumentManager::findUrl#
    {15, 141, 33},	// Kate::DocumentManager::metaObject
    {15, 152, 51},	// Kate::DocumentManager::openUrl#
    {15, 153, 43},	// Kate::DocumentManager::openUrl#$
    {15, 216, 39},	// Kate::DocumentManager::qt_metacall$$?
    {15, 218, 34},	// Kate::DocumentManager::qt_metacast$
    {15, 236, 52},	// Kate::DocumentManager::staticMetaObject
    {15, 241, 49},	// Kate::DocumentManager::tr$
    {15, 242, 35},	// Kate::DocumentManager::tr$$
    {15, 243, 37},	// Kate::DocumentManager::tr$$$
    {15, 245, 50},	// Kate::DocumentManager::trUtf8$
    {15, 246, 36},	// Kate::DocumentManager::trUtf8$$
    {15, 247, 38},	// Kate::DocumentManager::trUtf8$$$
    {15, 265, 53},	// Kate::DocumentManager::~DocumentManager
    {16, 3, 84},	// Kate::MainWindow::Bottom
    {16, 9, 81},	// Kate::MainWindow::Left
    {16, 30, 61},	// Kate::MainWindow::MainWindow$
    {16, 53, 82},	// Kate::MainWindow::Right
    {16, 56, 83},	// Kate::MainWindow::Top
    {16, 63, 66},	// Kate::MainWindow::activateView#
    {16, 65, 65},	// Kate::MainWindow::activeView
    {16, 68, 64},	// Kate::MainWindow::centralWidget
    {16, 92, 72},	// Kate::MainWindow::createToolView#$$#$
    {16, 93, 71},	// Kate::MainWindow::createToolView$$#$
    {16, 124, 62},	// Kate::MainWindow::guiFactory
    {16, 128, 75},	// Kate::MainWindow::hideToolView#
    {16, 141, 54},	// Kate::MainWindow::metaObject
    {16, 150, 73},	// Kate::MainWindow::moveToolView#$
    {16, 152, 79},	// Kate::MainWindow::openUrl#
    {16, 153, 67},	// Kate::MainWindow::openUrl#$
    {16, 216, 60},	// Kate::MainWindow::qt_metacall$$?
    {16, 218, 55},	// Kate::MainWindow::qt_metacast$
    {16, 231, 76},	// Kate::MainWindow::showPluginConfigPage#$
    {16, 233, 74},	// Kate::MainWindow::showToolView#
    {16, 236, 80},	// Kate::MainWindow::staticMetaObject
    {16, 241, 77},	// Kate::MainWindow::tr$
    {16, 242, 56},	// Kate::MainWindow::tr$$
    {16, 243, 58},	// Kate::MainWindow::tr$$$
    {16, 245, 78},	// Kate::MainWindow::trUtf8$
    {16, 246, 57},	// Kate::MainWindow::trUtf8$$
    {16, 247, 59},	// Kate::MainWindow::trUtf8$$$
    {16, 249, 70},	// Kate::MainWindow::unhandledShortcutOverride#
    {16, 253, 68},	// Kate::MainWindow::viewChanged
    {16, 255, 69},	// Kate::MainWindow::viewCreated#
    {16, 258, 63},	// Kate::MainWindow::window
    {16, 266, 85},	// Kate::MainWindow::~MainWindow
    {17, 31, 100},	// Kate::Plugin::Plugin
    {17, 32, 101},	// Kate::Plugin::Plugin#
    {17, 33, 93},	// Kate::Plugin::Plugin#$
    {17, 66, 94},	// Kate::Plugin::application
    {17, 95, 95},	// Kate::Plugin::createView#
    {17, 141, 86},	// Kate::Plugin::metaObject
    {17, 216, 92},	// Kate::Plugin::qt_metacall$$?
    {17, 218, 87},	// Kate::Plugin::qt_metacast$
    {17, 220, 96},	// Kate::Plugin::readSessionConfig#$
    {17, 236, 102},	// Kate::Plugin::staticMetaObject
    {17, 241, 98},	// Kate::Plugin::tr$
    {17, 242, 88},	// Kate::Plugin::tr$$
    {17, 243, 90},	// Kate::Plugin::tr$$$
    {17, 245, 99},	// Kate::Plugin::trUtf8$
    {17, 246, 89},	// Kate::Plugin::trUtf8$$
    {17, 247, 91},	// Kate::Plugin::trUtf8$$$
    {17, 261, 97},	// Kate::Plugin::writeSessionConfig#$
    {17, 267, 103},	// Kate::Plugin::~Plugin
    {18, 34, 118},	// Kate::PluginConfigPage::PluginConfigPage
    {18, 35, 119},	// Kate::PluginConfigPage::PluginConfigPage#
    {18, 36, 111},	// Kate::PluginConfigPage::PluginConfigPage#$
    {18, 67, 112},	// Kate::PluginConfigPage::apply
    {18, 70, 115},	// Kate::PluginConfigPage::changed
    {18, 97, 114},	// Kate::PluginConfigPage::defaults
    {18, 141, 104},	// Kate::PluginConfigPage::metaObject
    {18, 216, 110},	// Kate::PluginConfigPage::qt_metacall$$?
    {18, 218, 105},	// Kate::PluginConfigPage::qt_metacast$
    {18, 221, 113},	// Kate::PluginConfigPage::reset
    {18, 236, 120},	// Kate::PluginConfigPage::staticMetaObject
    {18, 241, 116},	// Kate::PluginConfigPage::tr$
    {18, 242, 106},	// Kate::PluginConfigPage::tr$$
    {18, 243, 108},	// Kate::PluginConfigPage::tr$$$
    {18, 245, 117},	// Kate::PluginConfigPage::trUtf8$
    {18, 246, 107},	// Kate::PluginConfigPage::trUtf8$$
    {18, 247, 109},	// Kate::PluginConfigPage::trUtf8$$$
    {18, 268, 121},	// Kate::PluginConfigPage::~PluginConfigPage
    {19, 37, 122},	// Kate::PluginConfigPageInterface::PluginConfigPageInterface
    {19, 38, 129},	// Kate::PluginConfigPageInterface::PluginConfigPageInterface#
    {19, 78, 130},	// Kate::PluginConfigPageInterface::configPage
    {19, 79, 131},	// Kate::PluginConfigPageInterface::configPage$
    {19, 80, 132},	// Kate::PluginConfigPageInterface::configPage$#
    {19, 81, 125},	// Kate::PluginConfigPageInterface::configPage$#$
    {19, 82, 134},	// Kate::PluginConfigPageInterface::configPageFullName
    {19, 83, 127},	// Kate::PluginConfigPageInterface::configPageFullName$
    {19, 84, 135},	// Kate::PluginConfigPageInterface::configPageIcon
    {19, 85, 128},	// Kate::PluginConfigPageInterface::configPageIcon$
    {19, 86, 133},	// Kate::PluginConfigPageInterface::configPageName
    {19, 87, 126},	// Kate::PluginConfigPageInterface::configPageName$
    {19, 88, 124},	// Kate::PluginConfigPageInterface::configPages
    {19, 213, 123},	// Kate::PluginConfigPageInterface::pluginConfigPageInterfaceNumber
    {19, 269, 136},	// Kate::PluginConfigPageInterface::~PluginConfigPageInterface
    {20, 40, 144},	// Kate::PluginManager::PluginManager$
    {20, 136, 151},	// Kate::PluginManager::loadPlugin$
    {20, 137, 147},	// Kate::PluginManager::loadPlugin$$
    {20, 141, 137},	// Kate::PluginManager::metaObject
    {20, 210, 145},	// Kate::PluginManager::plugin$
    {20, 212, 146},	// Kate::PluginManager::pluginAvailable$
    {20, 216, 143},	// Kate::PluginManager::qt_metacall$$?
    {20, 218, 138},	// Kate::PluginManager::qt_metacast$
    {20, 236, 153},	// Kate::PluginManager::staticMetaObject
    {20, 241, 149},	// Kate::PluginManager::tr$
    {20, 242, 139},	// Kate::PluginManager::tr$$
    {20, 243, 141},	// Kate::PluginManager::tr$$$
    {20, 245, 150},	// Kate::PluginManager::trUtf8$
    {20, 246, 140},	// Kate::PluginManager::trUtf8$$
    {20, 247, 142},	// Kate::PluginManager::trUtf8$$$
    {20, 251, 152},	// Kate::PluginManager::unloadPlugin$
    {20, 252, 148},	// Kate::PluginManager::unloadPlugin$$
    {20, 270, 154},	// Kate::PluginManager::~PluginManager
    {21, 42, 162},	// Kate::PluginView::PluginView#
    {21, 139, 163},	// Kate::PluginView::mainWindow
    {21, 141, 155},	// Kate::PluginView::metaObject
    {21, 216, 161},	// Kate::PluginView::qt_metacall$$?
    {21, 218, 156},	// Kate::PluginView::qt_metacast$
    {21, 220, 164},	// Kate::PluginView::readSessionConfig#$
    {21, 236, 168},	// Kate::PluginView::staticMetaObject
    {21, 241, 166},	// Kate::PluginView::tr$
    {21, 242, 157},	// Kate::PluginView::tr$$
    {21, 243, 159},	// Kate::PluginView::tr$$$
    {21, 245, 167},	// Kate::PluginView::trUtf8$
    {21, 246, 158},	// Kate::PluginView::trUtf8$$
    {21, 247, 160},	// Kate::PluginView::trUtf8$$$
    {21, 261, 165},	// Kate::PluginView::writeSessionConfig#$
    {21, 271, 169},	// Kate::PluginView::~PluginView
    {22, 58, -1},	// Kate::XMLGUIClient::XMLGUIClient#
    {22, 272, 172},	// Kate::XMLGUIClient::~XMLGUIClient
    {45, 10, 461},	// QGlobalSpace::LicensedActiveQt
    {45, 11, 467},	// QGlobalSpace::LicensedCore
    {45, 12, 459},	// QGlobalSpace::LicensedDBus
    {45, 13, 464},	// QGlobalSpace::LicensedDeclarative
    {45, 14, 454},	// QGlobalSpace::LicensedGui
    {45, 15, 473},	// QGlobalSpace::LicensedHelp
    {45, 16, 474},	// QGlobalSpace::LicensedMultimedia
    {45, 17, 477},	// QGlobalSpace::LicensedNetwork
    {45, 18, 466},	// QGlobalSpace::LicensedOpenGL
    {45, 19, 458},	// QGlobalSpace::LicensedOpenVG
    {45, 20, 475},	// QGlobalSpace::LicensedQt3Support
    {45, 21, 456},	// QGlobalSpace::LicensedQt3SupportLight
    {45, 22, 457},	// QGlobalSpace::LicensedScript
    {45, 23, 462},	// QGlobalSpace::LicensedScriptTools
    {45, 24, 465},	// QGlobalSpace::LicensedSql
    {45, 25, 463},	// QGlobalSpace::LicensedSvg
    {45, 26, 460},	// QGlobalSpace::LicensedTest
    {45, 27, 455},	// QGlobalSpace::LicensedXml
    {45, 28, 476},	// QGlobalSpace::LicensedXmlPatterns
    {45, 43, 449},	// QGlobalSpace::Q_COMPLEX_TYPE
    {45, 44, 453},	// QGlobalSpace::Q_DUMMY_TYPE
    {45, 45, 452},	// QGlobalSpace::Q_MOVABLE_TYPE
    {45, 46, 450},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {45, 47, 451},	// QGlobalSpace::Q_STATIC_TYPE
    {45, 48, 470},	// QGlobalSpace::QtCriticalMsg
    {45, 49, 468},	// QGlobalSpace::QtDebugMsg
    {45, 50, 471},	// QGlobalSpace::QtFatalMsg
    {45, 51, 472},	// QGlobalSpace::QtSystemMsg
    {45, 52, 469},	// QGlobalSpace::QtWarningMsg
    {45, 155, -4},	// QGlobalSpace::operator!=##
    {45, 156, -20},	// QGlobalSpace::operator!=#$
    {45, 157, -26},	// QGlobalSpace::operator!=$#
    {45, 159, -32},	// QGlobalSpace::operator*##
    {45, 160, -49},	// QGlobalSpace::operator*#$
    {45, 161, -57},	// QGlobalSpace::operator*$#
    {45, 163, -64},	// QGlobalSpace::operator+##
    {45, 164, -70},	// QGlobalSpace::operator+#$
    {45, 165, -75},	// QGlobalSpace::operator+$#
    {45, 166, 314},	// QGlobalSpace::operator+$$
    {45, 168, 206},	// QGlobalSpace::operator++$
    {45, 169, 448},	// QGlobalSpace::operator++$$
    {45, 171, -79},	// QGlobalSpace::operator-#
    {45, 172, -82},	// QGlobalSpace::operator-##
    {45, 173, 447},	// QGlobalSpace::operator-#$
    {45, 175, -87},	// QGlobalSpace::operator/#$
    {45, 177, -93},	// QGlobalSpace::operator<##
    {45, 178, 221},	// QGlobalSpace::operator<#$
    {45, 179, 281},	// QGlobalSpace::operator<$#
    {45, 181, -97},	// QGlobalSpace::operator<<##
    {45, 182, -128},	// QGlobalSpace::operator<<#$
    {45, 183, 214},	// QGlobalSpace::operator<<#?
    {45, 185, -131},	// QGlobalSpace::operator<=##
    {45, 186, 288},	// QGlobalSpace::operator<=#$
    {45, 187, 377},	// QGlobalSpace::operator<=$#
    {45, 189, -135},	// QGlobalSpace::operator==##
    {45, 190, -152},	// QGlobalSpace::operator==#$
    {45, 191, -158},	// QGlobalSpace::operator==$#
    {45, 193, -164},	// QGlobalSpace::operator>##
    {45, 194, 391},	// QGlobalSpace::operator>#$
    {45, 195, 363},	// QGlobalSpace::operator>$#
    {45, 197, -168},	// QGlobalSpace::operator>=##
    {45, 198, 352},	// QGlobalSpace::operator>=#$
    {45, 199, 263},	// QGlobalSpace::operator>=$#
    {45, 201, -172},	// QGlobalSpace::operator>>##
    {45, 202, -202},	// QGlobalSpace::operator>>#$
    {45, 203, 373},	// QGlobalSpace::operator>>#?
    {45, 205, -205},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_kparts_Smoke();
SMOKE_IMPORT void init_ktexteditor_Smoke();

static bool initialized = false;
Smoke *kate_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kate_Smoke() {
    init_kdeui_Smoke();
    init_kparts_Smoke();
    init_ktexteditor_Smoke();
    if (initialized) return;
    kate_Smoke = new Smoke(
        "kate",
        __smokekate::classes, 92,
        __smokekate::methods, 531,
        __smokekate::methodMaps, 224,
        __smokekate::methodNames, 272,
        __smokekate::types, 309,
        __smokekate::inheritanceList,
        __smokekate::argumentList,
        __smokekate::ambiguousMethodList,
        __smokekate::cast );
    initialized = true;
}

void delete_kate_Smoke() { delete kate_Smoke; }

}
