#include <kutils_includes.h>

#include <smoke.h>
#include <kutils_smoke.h>

namespace __smokekutils {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KCModule
      switch(to) {
        case 95: return (void*)(QWidget*)(KCModule*)xptr;
        case 64: return (void*)(QObject*)(KCModule*)xptr;
        case 2: return (void*)(KCModule*)xptr;
        case 3: return (void*)(KCModuleContainer*)(KCModule*)xptr;
        case 24: return (void*)(KSettings::PluginPage*)(KCModule*)xptr;
        default: return xptr;
      }
    case 3:   //KCModuleContainer
      switch(to) {
        case 2: return (void*)(KCModule*)(KCModuleContainer*)xptr;
        case 95: return (void*)(QWidget*)(KCModuleContainer*)xptr;
        case 64: return (void*)(QObject*)(KCModuleContainer*)xptr;
        case 3: return (void*)(KCModuleContainer*)xptr;
        default: return xptr;
      }
    case 4:   //KCModuleInfo
      switch(to) {
        case 4: return (void*)(KCModuleInfo*)xptr;
        default: return xptr;
      }
    case 5:   //KCModuleProxy
      switch(to) {
        case 95: return (void*)(QWidget*)(KCModuleProxy*)xptr;
        case 64: return (void*)(QObject*)(KCModuleProxy*)xptr;
        case 5: return (void*)(KCModuleProxy*)xptr;
        default: return xptr;
      }
    case 6:   //KCMultiDialog
      switch(to) {
        case 17: return (void*)(KPageDialog*)(KCMultiDialog*)xptr;
        case 10: return (void*)(KDialog*)(KCMultiDialog*)xptr;
        case 39: return (void*)(QDialog*)(KCMultiDialog*)xptr;
        case 95: return (void*)(QWidget*)(KCMultiDialog*)xptr;
        case 64: return (void*)(QObject*)(KCMultiDialog*)xptr;
        case 6: return (void*)(KCMultiDialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(KCMultiDialog*)xptr;
        default: return xptr;
      }
    case 7:   //KCMultiDialogPrivate
      switch(to) {
        case 7: return (void*)(KCMultiDialogPrivate*)xptr;
        default: return xptr;
      }
    case 8:   //KCharsets
      switch(to) {
        case 8: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 9:   //KComponentData
      switch(to) {
        case 9: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 10:   //KDialog
      switch(to) {
        case 39: return (void*)(QDialog*)(KDialog*)xptr;
        case 95: return (void*)(QWidget*)(KDialog*)xptr;
        case 64: return (void*)(QObject*)(KDialog*)xptr;
        case 10: return (void*)(KDialog*)xptr;
        case 21: return (void*)(KPrintPreview*)(KDialog*)xptr;
        case 6: return (void*)(KCMultiDialog*)(KDialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 11:   //KEmoticons
      switch(to) {
        case 64: return (void*)(QObject*)(KEmoticons*)xptr;
        case 11: return (void*)(KEmoticons*)xptr;
        default: return xptr;
      }
    case 12:   //KEmoticonsProvider
      switch(to) {
        case 64: return (void*)(QObject*)(KEmoticonsProvider*)xptr;
        case 12: return (void*)(KEmoticonsProvider*)xptr;
        default: return xptr;
      }
    case 13:   //KEmoticonsTheme
      switch(to) {
        case 13: return (void*)(KEmoticonsTheme*)xptr;
        default: return xptr;
      }
    case 14:   //KIdleTime
      switch(to) {
        case 64: return (void*)(QObject*)(KIdleTime*)xptr;
        case 14: return (void*)(KIdleTime*)xptr;
        default: return xptr;
      }
    case 15:   //KLocale
      switch(to) {
        case 15: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 16:   //KLocalizedString
      switch(to) {
        case 16: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 17:   //KPageDialog
      switch(to) {
        case 10: return (void*)(KDialog*)(KPageDialog*)xptr;
        case 39: return (void*)(QDialog*)(KPageDialog*)xptr;
        case 95: return (void*)(QWidget*)(KPageDialog*)xptr;
        case 64: return (void*)(QObject*)(KPageDialog*)xptr;
        case 17: return (void*)(KPageDialog*)xptr;
        case 6: return (void*)(KCMultiDialog*)(KPageDialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(KPageDialog*)xptr;
        default: return xptr;
      }
    case 18:   //KPageWidget
      switch(to) {
        case 95: return (void*)(QWidget*)(KPageWidget*)xptr;
        case 64: return (void*)(QObject*)(KPageWidget*)xptr;
        case 18: return (void*)(KPageWidget*)xptr;
        default: return xptr;
      }
    case 19:   //KPageWidgetItem
      switch(to) {
        case 64: return (void*)(QObject*)(KPageWidgetItem*)xptr;
        case 19: return (void*)(KPageWidgetItem*)xptr;
        default: return xptr;
      }
    case 20:   //KPluginSelector
      switch(to) {
        case 95: return (void*)(QWidget*)(KPluginSelector*)xptr;
        case 64: return (void*)(QObject*)(KPluginSelector*)xptr;
        case 20: return (void*)(KPluginSelector*)xptr;
        default: return xptr;
      }
    case 21:   //KPrintPreview
      switch(to) {
        case 10: return (void*)(KDialog*)(KPrintPreview*)xptr;
        case 39: return (void*)(QDialog*)(KPrintPreview*)xptr;
        case 95: return (void*)(QWidget*)(KPrintPreview*)xptr;
        case 64: return (void*)(QObject*)(KPrintPreview*)xptr;
        case 21: return (void*)(KPrintPreview*)xptr;
        default: return xptr;
      }
    case 22:   //KServiceAction
      switch(to) {
        case 22: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 23:   //KSettings::Dialog
      switch(to) {
        case 6: return (void*)(KCMultiDialog*)(KSettings::Dialog*)xptr;
        case 17: return (void*)(KPageDialog*)(KSettings::Dialog*)xptr;
        case 10: return (void*)(KDialog*)(KSettings::Dialog*)xptr;
        case 39: return (void*)(QDialog*)(KSettings::Dialog*)xptr;
        case 95: return (void*)(QWidget*)(KSettings::Dialog*)xptr;
        case 64: return (void*)(QObject*)(KSettings::Dialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)xptr;
        default: return xptr;
      }
    case 24:   //KSettings::PluginPage
      switch(to) {
        case 2: return (void*)(KCModule*)(KSettings::PluginPage*)xptr;
        case 95: return (void*)(QWidget*)(KSettings::PluginPage*)xptr;
        case 64: return (void*)(QObject*)(KSettings::PluginPage*)xptr;
        case 24: return (void*)(KSettings::PluginPage*)xptr;
        default: return xptr;
      }
    case 25:   //KStandardDirs
      switch(to) {
        case 25: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 26:   //QActionEvent
      switch(to) {
        case 26: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QBool
      switch(to) {
        case 27: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 28:   //QBrush
      switch(to) {
        case 28: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 29:   //QByteArray
      switch(to) {
        case 29: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 30:   //QChar
      switch(to) {
        case 30: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 31:   //QChildEvent
      switch(to) {
        case 31: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QCloseEvent
      switch(to) {
        case 32: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QColor
      switch(to) {
        case 33: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 34:   //QContextMenuEvent
      switch(to) {
        case 34: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QCursor
      switch(to) {
        case 35: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 36:   //QDataStream
      switch(to) {
        case 36: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 37:   //QDate
      switch(to) {
        case 37: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 38:   //QDateTime
      switch(to) {
        case 38: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 39:   //QDialog
      switch(to) {
        case 95: return (void*)(QWidget*)(QDialog*)xptr;
        case 64: return (void*)(QObject*)(QDialog*)xptr;
        case 39: return (void*)(QDialog*)xptr;
        case 21: return (void*)(KPrintPreview*)(QDialog*)xptr;
        case 6: return (void*)(KCMultiDialog*)(QDialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 40:   //QDragEnterEvent
      switch(to) {
        case 40: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDragLeaveEvent
      switch(to) {
        case 41: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDragMoveEvent
      switch(to) {
        case 42: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QDropEvent
      switch(to) {
        case 43: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QEvent
      switch(to) {
        case 44: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QFocusEvent
      switch(to) {
        case 45: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QFont
      switch(to) {
        case 46: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 48:   //QHashDummyValue
      switch(to) {
        case 48: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 49:   //QHideEvent
      switch(to) {
        case 49: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QIcon
      switch(to) {
        case 50: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 51:   //QImage
      switch(to) {
        case 51: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 52:   //QIncompatibleFlag
      switch(to) {
        case 52: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 53:   //QInputMethodEvent
      switch(to) {
        case 53: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QKeyEvent
      switch(to) {
        case 54: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QKeySequence
      switch(to) {
        case 55: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 56:   //QLatin1String
      switch(to) {
        case 56: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 57:   //QLine
      switch(to) {
        case 57: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 58:   //QLineF
      switch(to) {
        case 58: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 59:   //QMargins
      switch(to) {
        case 59: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 60:   //QMatrix
      switch(to) {
        case 60: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 61:   //QMetaObject
      switch(to) {
        case 61: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 62:   //QMouseEvent
      switch(to) {
        case 62: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 63:   //QMoveEvent
      switch(to) {
        case 63: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 64:   //QObject
      switch(to) {
        case 64: return (void*)(QObject*)xptr;
        case 14: return (void*)(KIdleTime*)(QObject*)xptr;
        case 21: return (void*)(KPrintPreview*)(QObject*)xptr;
        case 6: return (void*)(KCMultiDialog*)(QObject*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(QObject*)xptr;
        case 5: return (void*)(KCModuleProxy*)(QObject*)xptr;
        case 12: return (void*)(KEmoticonsProvider*)(QObject*)xptr;
        case 3: return (void*)(KCModuleContainer*)(QObject*)xptr;
        case 11: return (void*)(KEmoticons*)(QObject*)xptr;
        case 24: return (void*)(KSettings::PluginPage*)(QObject*)xptr;
        case 20: return (void*)(KPluginSelector*)(QObject*)xptr;
        default: return xptr;
      }
    case 65:   //QPaintEngine
      switch(to) {
        case 65: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 66:   //QPaintEvent
      switch(to) {
        case 66: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QPainterPath
      switch(to) {
        case 67: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 68:   //QPalette
      switch(to) {
        case 68: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 69:   //QPixmap
      switch(to) {
        case 69: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 70:   //QPoint
      switch(to) {
        case 70: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 71:   //QPointF
      switch(to) {
        case 71: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 72:   //QPolygon
      switch(to) {
        case 72: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 73:   //QPolygonF
      switch(to) {
        case 73: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 74:   //QPrinter
      switch(to) {
        case 74: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 75:   //QRect
      switch(to) {
        case 75: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 76:   //QRectF
      switch(to) {
        case 76: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 77:   //QRegExp
      switch(to) {
        case 77: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 78:   //QRegion
      switch(to) {
        case 78: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 79:   //QResizeEvent
      switch(to) {
        case 79: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QShowEvent
      switch(to) {
        case 80: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 81:   //QSize
      switch(to) {
        case 81: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 82:   //QSizeF
      switch(to) {
        case 82: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 83:   //QSizePolicy
      switch(to) {
        case 83: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 84:   //QString::Null
      switch(to) {
        case 84: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 85:   //QStringRef
      switch(to) {
        case 85: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 86:   //QStyle
      switch(to) {
        case 86: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 87:   //QTabletEvent
      switch(to) {
        case 87: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 88:   //QTime
      switch(to) {
        case 88: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 89:   //QTimerEvent
      switch(to) {
        case 89: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 90:   //QTransform
      switch(to) {
        case 90: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 91:   //QUrl
      switch(to) {
        case 91: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 92:   //QVariant
      switch(to) {
        case 92: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 93:   //QVariantComparisonHelper
      switch(to) {
        case 93: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 94:   //QWheelEvent
      switch(to) {
        case 94: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QWidget
      switch(to) {
        case 64: return (void*)(QObject*)(QWidget*)xptr;
        case 95: return (void*)(QWidget*)xptr;
        case 21: return (void*)(KPrintPreview*)(QWidget*)xptr;
        case 6: return (void*)(KCMultiDialog*)(QWidget*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(QWidget*)xptr;
        case 5: return (void*)(KCModuleProxy*)(QWidget*)xptr;
        case 3: return (void*)(KCModuleContainer*)(QWidget*)xptr;
        case 24: return (void*)(KSettings::PluginPage*)(QWidget*)xptr;
        case 20: return (void*)(KPluginSelector*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    2, 0,	// 1: KCModule
    95, 0,	// 3: QWidget
    17, 0,	// 5: KPageDialog
    64, 0,	// 7: QObject
    10, 0,	// 9: KDialog
    6, 0,	// 11: KCMultiDialog
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEmoticonsProvider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KPluginSelector(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KCModuleContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_KCModuleProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_KCMultiDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KEmoticons(Smoke::Index, void*, Smoke::Stack);
void xcall_KEmoticonsProvider(Smoke::Index, void*, Smoke::Stack);
void xcall_KIdleTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginSelector(Smoke::Index, void*, Smoke::Stack);
void xcall_KPrintPreview(Smoke::Index, void*, Smoke::Stack);
void xcall_KSettings__Dialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KSettings__PluginPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", true, 0, 0, 0, 0, 0 },	//1
    { "KCModule", true, 0, 0, 0, 0, 0 },	//2
    { "KCModuleContainer", false, 1, xcall_KCModuleContainer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCModuleContainer) },	//3
    { "KCModuleInfo", true, 0, 0, 0, 0, 0 },	//4
    { "KCModuleProxy", false, 3, xcall_KCModuleProxy, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCModuleProxy) },	//5
    { "KCMultiDialog", false, 5, xcall_KCMultiDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCMultiDialog) },	//6
    { "KCMultiDialogPrivate", true, 0, 0, 0, 0, 0 },	//7
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//8
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//9
    { "KDialog", true, 0, 0, 0, 0, 0 },	//10
    { "KEmoticons", false, 7, xcall_KEmoticons, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KEmoticons) },	//11
    { "KEmoticonsProvider", false, 7, xcall_KEmoticonsProvider, xenum_KEmoticonsProvider, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KEmoticonsProvider) },	//12
    { "KEmoticonsTheme", true, 0, 0, 0, 0, 0 },	//13
    { "KIdleTime", false, 7, xcall_KIdleTime, 0, Smoke::cf_virtual, sizeof(KIdleTime) },	//14
    { "KLocale", true, 0, 0, 0, 0, 0 },	//15
    { "KLocalizedString", true, 0, 0, 0, 0, 0 },	//16
    { "KPageDialog", true, 0, 0, 0, 0, 0 },	//17
    { "KPageWidget", true, 0, 0, 0, 0, 0 },	//18
    { "KPageWidgetItem", true, 0, 0, 0, 0, 0 },	//19
    { "KPluginSelector", false, 3, xcall_KPluginSelector, xenum_KPluginSelector, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginSelector) },	//20
    { "KPrintPreview", false, 9, xcall_KPrintPreview, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPrintPreview) },	//21
    { "KServiceAction", true, 0, 0, 0, 0, 0 },	//22
    { "KSettings::Dialog", false, 11, xcall_KSettings__Dialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSettings::Dialog) },	//23
    { "KSettings::PluginPage", false, 1, xcall_KSettings__PluginPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSettings::PluginPage) },	//24
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//25
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QBool", true, 0, 0, 0, 0, 0 },	//27
    { "QBrush", true, 0, 0, 0, 0, 0 },	//28
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//29
    { "QChar", true, 0, 0, 0, 0, 0 },	//30
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QColor", true, 0, 0, 0, 0, 0 },	//33
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QCursor", true, 0, 0, 0, 0, 0 },	//35
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//36
    { "QDate", true, 0, 0, 0, 0, 0 },	//37
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//38
    { "QDialog", true, 0, 0, 0, 0, 0 },	//39
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QFont", true, 0, 0, 0, 0, 0 },	//46
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//47
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//48
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QIcon", true, 0, 0, 0, 0, 0 },	//50
    { "QImage", true, 0, 0, 0, 0, 0 },	//51
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//52
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//55
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//56
    { "QLine", true, 0, 0, 0, 0, 0 },	//57
    { "QLineF", true, 0, 0, 0, 0, 0 },	//58
    { "QMargins", true, 0, 0, 0, 0, 0 },	//59
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//60
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//61
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//62
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//63
    { "QObject", true, 0, 0, 0, 0, 0 },	//64
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//65
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//67
    { "QPalette", true, 0, 0, 0, 0, 0 },	//68
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//69
    { "QPoint", true, 0, 0, 0, 0, 0 },	//70
    { "QPointF", true, 0, 0, 0, 0, 0 },	//71
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//72
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//73
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//74
    { "QRect", true, 0, 0, 0, 0, 0 },	//75
    { "QRectF", true, 0, 0, 0, 0, 0 },	//76
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//77
    { "QRegion", true, 0, 0, 0, 0, 0 },	//78
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//80
    { "QSize", true, 0, 0, 0, 0, 0 },	//81
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//82
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//83
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//84
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//85
    { "QStyle", true, 0, 0, 0, 0, 0 },	//86
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//87
    { "QTime", true, 0, 0, 0, 0, 0 },	//88
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//89
    { "QTransform", true, 0, 0, 0, 0, 0 },	//90
    { "QUrl", true, 0, 0, 0, 0, 0 },	//91
    { "QVariant", true, 0, 0, 0, 0, 0 },	//92
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//93
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QWidget", true, 0, 0, 0, 0, 0 },	//95
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCModule*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KCModule::Button", 2, Smoke::t_enum|Smoke::tf_stack },	//2
    { "KCModuleContainer*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KCModuleInfo", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "KCModuleLoader::ErrorReporting", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KCModuleProxy*", 5, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KCMultiDialog*", 6, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KCMultiDialogPrivate&", 7, Smoke::t_class|Smoke::tf_ref },	//8
    { "KCharsets*", 8, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KComponentData", 9, Smoke::t_class|Smoke::tf_stack },	//10
    { "KConfig::OpenFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KConfigBase::WriteConfigFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "KDialog::ButtonCode", 10, Smoke::t_enum|Smoke::tf_stack },	//13
    { "KDialog::CaptionFlag", 10, Smoke::t_enum|Smoke::tf_stack },	//14
    { "KEmoticons*", 11, Smoke::t_class|Smoke::tf_ptr },	//15
    { "KEmoticonsProvider*", 12, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KEmoticonsProvider::AddEmoticonOption", 12, Smoke::t_enum|Smoke::tf_stack },	//17
    { "KEmoticonsTheme", 13, Smoke::t_class|Smoke::tf_stack },	//18
    { "KEmoticonsTheme::ParseModeEnum", 13, Smoke::t_enum|Smoke::tf_stack },	//19
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//22
    { "KIdleTime*", 14, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KLocale*", 15, Smoke::t_class|Smoke::tf_ptr },	//24
    { "KLocale::DateTimeComponent", 15, Smoke::t_enum|Smoke::tf_stack },	//25
    { "KLocale::DateTimeFormatOption", 15, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KLocale::TimeFormatOption", 15, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KLocale::TimeProcessingOption", 15, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KLocalizedString", 16, Smoke::t_class|Smoke::tf_stack },	//29
    { "KPageWidget*", 18, Smoke::t_class|Smoke::tf_ptr },	//30
    { "KPageWidgetItem*", 19, Smoke::t_class|Smoke::tf_ptr },	//31
    { "KPluginSelector*", 20, Smoke::t_class|Smoke::tf_ptr },	//32
    { "KPluginSelector::PluginLoadMethod", 20, Smoke::t_enum|Smoke::tf_stack },	//33
    { "KPrintPreview*", 21, Smoke::t_class|Smoke::tf_ptr },	//34
    { "KServiceAction&", 22, Smoke::t_class|Smoke::tf_ref },	//35
    { "KSettings::Dialog*", 23, Smoke::t_class|Smoke::tf_ptr },	//36
    { "KSettings::PluginPage*", 24, Smoke::t_class|Smoke::tf_ptr },	//37
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "KStandardDirs*", 25, Smoke::t_class|Smoke::tf_ptr },	//39
    { "KSycocaFactoryId", 47, Smoke::t_enum|Smoke::tf_stack },	//40
    { "KSycocaType", 47, Smoke::t_enum|Smoke::tf_stack },	//41
    { "KUrl::CleanPathOption", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "KUrl::DirectoryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KUrl::EncodedPathAndQueryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "KUrl::EqualsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "KUrl::QueryItemsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QActionEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QBool", 27, Smoke::t_class|Smoke::tf_stack },	//48
    { "QBrush&", 28, Smoke::t_class|Smoke::tf_ref },	//49
    { "QByteArray", 29, Smoke::t_class|Smoke::tf_stack },	//50
    { "QByteArray&", 29, Smoke::t_class|Smoke::tf_ref },	//51
    { "QChar", 30, Smoke::t_class|Smoke::tf_stack },	//52
    { "QChar&", 30, Smoke::t_class|Smoke::tf_ref },	//53
    { "QChildEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QCloseEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QColor&", 33, Smoke::t_class|Smoke::tf_ref },	//56
    { "QContextMenuEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QCursor&", 35, Smoke::t_class|Smoke::tf_ref },	//58
    { "QDataStream&", 36, Smoke::t_class|Smoke::tf_ref },	//59
    { "QDate&", 37, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDateTime&", 38, Smoke::t_class|Smoke::tf_ref },	//61
    { "QDragEnterEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDragLeaveEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QDragMoveEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QDropEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QFlags<KCModule::Button>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<KDialog::ButtonCode>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<KDialog::CaptionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<KEmoticonsTheme::ParseModeEnum>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<KLocale::DateTimeComponent>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<KLocale::DateTimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<KLocale::TimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<KLocale::TimeProcessingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFocusEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QFont&", 46, Smoke::t_class|Smoke::tf_ref },	//105
    { "QHash<QChar,QList<Emoticon> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QHash<QString,QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QHash<int,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QHideEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QIcon&", 50, Smoke::t_class|Smoke::tf_ref },	//111
    { "QImage&", 51, Smoke::t_class|Smoke::tf_ref },	//112
    { "QIncompatibleFlag", 52, Smoke::t_class|Smoke::tf_stack },	//113
    { "QInputMethodEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QKeyEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QKeySequence&", 55, Smoke::t_class|Smoke::tf_ref },	//116
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QLine", 57, Smoke::t_class|Smoke::tf_stack },	//118
    { "QLine&", 57, Smoke::t_class|Smoke::tf_ref },	//119
    { "QLineF", 58, Smoke::t_class|Smoke::tf_stack },	//120
    { "QLineF&", 58, Smoke::t_class|Smoke::tf_ref },	//121
    { "QList<KCModuleProxy*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//122
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//123
    { "QList<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//124
    { "QMatrix&", 60, Smoke::t_class|Smoke::tf_ref },	//125
    { "QMetaObject::Call", 61, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QMouseEvent*", 62, Smoke::t_class|Smoke::tf_ptr },	//127
    { "QMoveEvent*", 63, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QObject*", 64, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QPaintEngine*", 65, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QPaintEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QPainterPath", 67, Smoke::t_class|Smoke::tf_stack },	//133
    { "QPainterPath&", 67, Smoke::t_class|Smoke::tf_ref },	//134
    { "QPalette&", 68, Smoke::t_class|Smoke::tf_ref },	//135
    { "QPixmap&", 69, Smoke::t_class|Smoke::tf_ref },	//136
    { "QPoint", 70, Smoke::t_class|Smoke::tf_stack },	//137
    { "QPoint&", 70, Smoke::t_class|Smoke::tf_ref },	//138
    { "QPointF", 71, Smoke::t_class|Smoke::tf_stack },	//139
    { "QPointF&", 71, Smoke::t_class|Smoke::tf_ref },	//140
    { "QPolygon", 72, Smoke::t_class|Smoke::tf_stack },	//141
    { "QPolygon&", 72, Smoke::t_class|Smoke::tf_ref },	//142
    { "QPolygonF", 73, Smoke::t_class|Smoke::tf_stack },	//143
    { "QPolygonF&", 73, Smoke::t_class|Smoke::tf_ref },	//144
    { "QPrinter*", 74, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QRect&", 75, Smoke::t_class|Smoke::tf_ref },	//146
    { "QRectF&", 76, Smoke::t_class|Smoke::tf_ref },	//147
    { "QRegExp&", 77, Smoke::t_class|Smoke::tf_ref },	//148
    { "QRegion", 78, Smoke::t_class|Smoke::tf_stack },	//149
    { "QRegion&", 78, Smoke::t_class|Smoke::tf_ref },	//150
    { "QResizeEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QShowEvent*", 80, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QSize", 81, Smoke::t_class|Smoke::tf_stack },	//153
    { "QSize&", 81, Smoke::t_class|Smoke::tf_ref },	//154
    { "QSizeF&", 82, Smoke::t_class|Smoke::tf_ref },	//155
    { "QSizePolicy&", 83, Smoke::t_class|Smoke::tf_ref },	//156
    { "QSizePolicy::ControlType", 83, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//158
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//159
    { "QString::Null", 84, Smoke::t_class|Smoke::tf_stack },	//160
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//162
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//163
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//164
    { "QStyle&", 86, Smoke::t_class|Smoke::tf_ref },	//165
    { "QTabletEvent*", 87, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QTime&", 88, Smoke::t_class|Smoke::tf_ref },	//167
    { "QTimerEvent*", 89, Smoke::t_class|Smoke::tf_ptr },	//168
    { "QTransform", 90, Smoke::t_class|Smoke::tf_stack },	//169
    { "QTransform&", 90, Smoke::t_class|Smoke::tf_ref },	//170
    { "QUrl&", 91, Smoke::t_class|Smoke::tf_ref },	//171
    { "QUrl::FormattingOption", 91, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QVariant", 92, Smoke::t_class|Smoke::tf_stack },	//173
    { "QVariant&", 92, Smoke::t_class|Smoke::tf_ref },	//174
    { "QVariant::Type&", 92, Smoke::t_enum|Smoke::tf_ref },	//175
    { "QWheelEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QWidget*", 95, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QWidget::RenderFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QtMsgType", 47, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QtValidLicenseForActiveQtModule", 47, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QtValidLicenseForCoreModule", 47, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QtValidLicenseForDBusModule", 47, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QtValidLicenseForDeclarativeModule", 47, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QtValidLicenseForGuiModule", 47, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QtValidLicenseForHelpModule", 47, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QtValidLicenseForMultimediaModule", 47, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QtValidLicenseForNetworkModule", 47, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QtValidLicenseForOpenGLModule", 47, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QtValidLicenseForOpenVGModule", 47, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QtValidLicenseForQt3SupportLightModule", 47, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QtValidLicenseForQt3SupportModule", 47, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QtValidLicenseForScriptModule", 47, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QtValidLicenseForScriptToolsModule", 47, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QtValidLicenseForSqlModule", 47, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QtValidLicenseForSvgModule", 47, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QtValidLicenseForTestModule", 47, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QtValidLicenseForXmlModule", 47, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QtValidLicenseForXmlPatternsModule", 47, Smoke::t_enum|Smoke::tf_stack },	//270
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//271
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//272
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//273
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//274
    { "const KCModuleInfo&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const KComponentData&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const KEmoticonsTheme&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const KServiceAction&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const KSharedPtr<KService>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const KSharedPtr<KSharedConfig>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QBrush&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QByteArray", 29, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//282
    { "const QByteArray&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QChar&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QColor&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QCursor&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QDate&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QDateTime&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QFont&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QHashDummyValue&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QIcon&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QImage&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QKeySequence&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QLatin1String&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QLine&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QLineF&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QList<KCModuleProxy*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QList<KPluginInfo>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QMargins&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QMatrix&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QMetaObject&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QMetaObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//303
    { "const QObject*", 64, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//304
    { "const QPainterPath&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QPalette&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QPixmap&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QPoint", 70, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//308
    { "const QPoint&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QPointF", 71, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//310
    { "const QPointF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QPolygon&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QPolygonF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QRect&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QRectF&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QRegExp&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QRegion&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QSize", 81, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//318
    { "const QSize&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QSizeF", 82, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//320
    { "const QSizeF&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QSizePolicy&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//323
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//326
    { "const QStringRef&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QTime&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QTransform&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QUrl&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QVariant&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QVariant::Type", 92, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//332
    { "const QVariantComparisonHelper&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//334
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//335
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//336
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//337
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//338
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//339
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//340
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//341
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//342
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//343
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    152, 0,	//1  QShowEvent*
    334, 0,	//3  const char*
    334, 334, 0,	//5  const char*, const char*
    334, 334, 338, 0,	//8  const char*, const char*, int
    126, 338, 342, 0,	//12  QMetaObject::Call, int, void**
    177, 325, 0,	//16  QWidget*, const QStringList&
    177, 324, 0,	//19  QWidget*, const QString&
    324, 0,	//22  const QString&
    177, 0,	//24  QWidget*
    297, 0,	//26  const QList<KCModuleProxy*>&
    275, 177, 325, 0,	//28  const KCModuleInfo&, QWidget*, const QStringList&
    324, 177, 325, 0,	//32  const QString&, QWidget*, const QStringList&
    279, 177, 325, 0,	//36  const KSharedPtr<KService>&, QWidget*, const QStringList&
    272, 0,	//40  bool
    6, 0,	//42  KCModuleProxy*
    275, 0,	//44  const KCModuleInfo&
    275, 177, 0,	//46  const KCModuleInfo&, QWidget*
    324, 177, 0,	//49  const QString&, QWidget*
    279, 0,	//52  const KSharedPtr<KService>&
    279, 177, 0,	//54  const KSharedPtr<KService>&, QWidget*
    324, 325, 0,	//57  const QString&, const QStringList&
    275, 31, 325, 0,	//60  const KCModuleInfo&, KPageWidgetItem*, const QStringList&
    70, 0,	//64  QFlags<KDialog::ButtonCode>
    283, 0,	//66  const QByteArray&
    30, 177, 103, 0,	//68  KPageWidget*, QWidget*, QFlags<Qt::WindowType>
    8, 30, 177, 103, 0,	//72  KCMultiDialogPrivate&, KPageWidget*, QWidget*, QFlags<Qt::WindowType>
    275, 31, 0,	//77  const KCModuleInfo&, KPageWidgetItem*
    30, 177, 0,	//80  KPageWidget*, QWidget*
    8, 30, 177, 0,	//83  KCMultiDialogPrivate&, KPageWidget*, QWidget*
    324, 272, 0,	//87  const QString&, bool
    109, 0,	//90  QHideEvent*
    55, 0,	//92  QCloseEvent*
    115, 0,	//94  QKeyEvent*
    338, 0,	//96  int
    277, 0,	//98  const KEmoticonsTheme&
    324, 279, 0,	//100  const QString&, const KSharedPtr<KService>&
    72, 0,	//103  QFlags<KEmoticonsTheme::ParseModeEnum>
    129, 0,	//105  QObject*
    324, 324, 17, 0,	//107  const QString&, const QString&, KEmoticonsProvider::AddEmoticonOption
    158, 162, 0,	//111  QString, QStringList
    158, 0,	//114  QString
    324, 324, 0,	//116  const QString&, const QString&
    338, 338, 0,	//119  int, int
    324, 324, 324, 38, 0,	//122  const QString&, const QString&, const QString&, KSharedPtr<KSharedConfig>
    276, 324, 324, 280, 0,	//127  const KComponentData&, const QString&, const QString&, const KSharedPtr<KSharedConfig>&
    298, 33, 324, 324, 280, 0,	//132  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&
    324, 324, 324, 0,	//138  const QString&, const QString&, const QString&
    276, 0,	//142  const KComponentData&
    276, 324, 0,	//144  const KComponentData&, const QString&
    276, 324, 324, 0,	//147  const KComponentData&, const QString&, const QString&
    298, 0,	//151  const QList<KPluginInfo>&
    298, 33, 0,	//153  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod
    298, 33, 324, 0,	//156  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&
    298, 33, 324, 324, 0,	//160  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&
    145, 177, 0,	//165  QPrinter*, QWidget*
    145, 0,	//168  QPrinter*
    325, 177, 0,	//170  const QStringList&, QWidget*
    325, 0,	//173  const QStringList&
    276, 177, 299, 0,	//175  const KComponentData&, QWidget*, const QList<QVariant>&
    276, 177, 0,	//179  const KComponentData&, QWidget*
    151, 0,	//182  QResizeEvent*
    57, 0,	//184  QContextMenuEvent*
    129, 66, 0,	//186  QObject*, QEvent*
    199, 338, 0,	//189  Qt::DockWidgetArea, int
    309, 336, 0,	//192  const QPoint&, double
    336, 311, 0,	//195  double, const QPointF&
    223, 97, 0,	//198  Qt::MouseButton, QFlags<Qt::MouseButton>
    300, 300, 0,	//201  const QMargins&, const QMargins&
    336, 321, 0,	//204  double, const QSizeF&
    59, 112, 0,	//207  QDataStream&, QImage&
    59, 322, 0,	//210  QDataStream&, const QSizePolicy&
    212, 338, 0,	//213  Qt::InputMethodHint, int
    26, 26, 0,	//216  KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption
    314, 314, 0,	//219  const QRect&, const QRect&
    319, 319, 0,	//222  const QSize&, const QSize&
    59, 329, 0,	//225  QDataStream&, const QTransform&
    59, 278, 0,	//228  QDataStream&, const KServiceAction&
    311, 301, 0,	//231  const QPointF&, const QMatrix&
    295, 329, 0,	//234  const QLine&, const QTransform&
    19, 338, 0,	//237  KEmoticonsTheme::ParseModeEnum, int
    249, 102, 0,	//240  Qt::WindowState, QFlags<Qt::WindowState>
    321, 336, 0,	//243  const QSizeF&, double
    59, 295, 0,	//246  QDataStream&, const QLine&
    321, 321, 0,	//249  const QSizeF&, const QSizeF&
    27, 75, 0,	//252  KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>
    283, 283, 0,	//255  const QByteArray&, const QByteArray&
    294, 327, 0,	//258  const QLatin1String&, const QStringRef&
    223, 223, 0,	//261  Qt::MouseButton, Qt::MouseButton
    42, 77, 0,	//264  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    42, 42, 0,	//267  KUrl::CleanPathOption, KUrl::CleanPathOption
    331, 333, 0,	//270  const QVariant&, const QVariantComparisonHelper&
    19, 19, 0,	//273  KEmoticonsTheme::ParseModeEnum, KEmoticonsTheme::ParseModeEnum
    48, 48, 0,	//276  QBool, QBool
    12, 338, 0,	//279  KConfigBase::WriteConfigFlag, int
    179, 88, 0,	//282  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    160, 160, 0,	//285  QString::Null, QString::Null
    59, 35, 0,	//288  QDataStream&, KServiceAction&
    59, 315, 0,	//291  QDataStream&, const QRectF&
    52, 324, 0,	//294  QChar, const QString&
    110, 82, 0,	//297  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    13, 13, 0,	//300  KDialog::ButtonCode, KDialog::ButtonCode
    59, 306, 0,	//303  QDataStream&, const QPalette&
    22, 0,	//306  KIconLoader::Group&
    59, 283, 0,	//308  QDataStream&, const QByteArray&
    313, 329, 0,	//311  const QPolygonF&, const QTransform&
    240, 240, 0,	//314  Qt::ToolBarArea, Qt::ToolBarArea
    46, 338, 0,	//317  KUrl::QueryItemsOption, int
    178, 338, 0,	//320  QWidget::RenderFlag, int
    201, 338, 0,	//323  Qt::DropAction, int
    59, 325, 0,	//326  QDataStream&, const QStringList&
    44, 44, 0,	//329  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    11, 68, 0,	//332  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    179, 179, 0,	//335  Qt::AlignmentFlag, Qt::AlignmentFlag
    59, 56, 0,	//338  QDataStream&, QColor&
    59, 316, 0,	//341  QDataStream&, const QRegExp&
    172, 338, 0,	//344  QUrl::FormattingOption, int
    283, 334, 0,	//347  const QByteArray&, const char*
    43, 43, 0,	//350  KUrl::DirectoryOption, KUrl::DirectoryOption
    199, 89, 0,	//353  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    14, 14, 0,	//356  KDialog::CaptionFlag, KDialog::CaptionFlag
    295, 301, 0,	//359  const QLine&, const QMatrix&
    43, 78, 0,	//362  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    296, 301, 0,	//365  const QLineF&, const QMatrix&
    225, 225, 0,	//368  Qt::Orientation, Qt::Orientation
    240, 338, 0,	//371  Qt::ToolBarArea, int
    305, 301, 0,	//374  const QPainterPath&, const QMatrix&
    59, 140, 0,	//377  QDataStream&, QPointF&
    221, 338, 0,	//380  Qt::MatchFlag, int
    59, 293, 0,	//383  QDataStream&, const QKeySequence&
    59, 286, 0,	//386  QDataStream&, const QCursor&
    206, 206, 0,	//389  Qt::GestureFlag, Qt::GestureFlag
    59, 60, 0,	//392  QDataStream&, QDate&
    110, 110, 0,	//395  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    273, 283, 0,	//398  char, const QByteArray&
    334, 283, 0,	//401  const char*, const QByteArray&
    59, 51, 0,	//404  QDataStream&, QByteArray&
    59, 174, 0,	//407  QDataStream&, QVariant&
    13, 338, 0,	//410  KDialog::ButtonCode, int
    59, 148, 0,	//413  QDataStream&, QRegExp&
    311, 311, 0,	//416  const QPointF&, const QPointF&
    329, 336, 0,	//419  const QTransform&, double
    25, 73, 0,	//422  KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>
    327, 327, 0,	//425  const QStringRef&, const QStringRef&
    52, 52, 0,	//428  QChar, QChar
    305, 329, 0,	//431  const QPainterPath&, const QTransform&
    59, 281, 0,	//434  QDataStream&, const QBrush&
    13, 70, 0,	//437  KDialog::ButtonCode, QFlags<KDialog::ButtonCode>
    26, 338, 0,	//440  KLocale::DateTimeFormatOption, int
    59, 150, 0,	//443  QDataStream&, QRegion&
    311, 336, 0,	//446  const QPointF&, double
    44, 338, 0,	//449  KUrl::EncodedPathAndQueryOption, int
    59, 287, 0,	//452  QDataStream&, const QDate&
    221, 96, 0,	//455  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    206, 338, 0,	//458  Qt::GestureFlag, int
    157, 157, 0,	//461  QSizePolicy::ControlType, QSizePolicy::ControlType
    59, 58, 0,	//464  QDataStream&, QCursor&
    218, 95, 0,	//467  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    221, 221, 0,	//470  Qt::MatchFlag, Qt::MatchFlag
    59, 170, 0,	//473  QDataStream&, QTransform&
    312, 301, 0,	//476  const QPolygon&, const QMatrix&
    324, 160, 0,	//479  const QString&, QString::Null
    2, 67, 0,	//482  KCModule::Button, QFlags<KCModule::Button>
    117, 338, 0,	//485  QLibrary::LoadHint, int
    59, 155, 0,	//488  QDataStream&, QSizeF&
    311, 0,	//491  const QPointF&
    215, 215, 0,	//493  Qt::ItemFlag, Qt::ItemFlag
    59, 307, 0,	//496  QDataStream&, const QPixmap&
    250, 103, 0,	//499  Qt::WindowType, QFlags<Qt::WindowType>
    311, 329, 0,	//502  const QPointF&, const QTransform&
    215, 94, 0,	//505  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    243, 101, 0,	//508  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    59, 330, 0,	//511  QDataStream&, const QUrl&
    157, 84, 0,	//514  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    334, 334, 334, 0,	//517  const char*, const char*, const char*
    59, 331, 0,	//521  QDataStream&, const QVariant&
    59, 119, 0,	//524  QDataStream&, QLine&
    218, 218, 0,	//527  Qt::KeyboardModifier, Qt::KeyboardModifier
    179, 338, 0,	//530  Qt::AlignmentFlag, int
    218, 338, 0,	//533  Qt::KeyboardModifier, int
    309, 301, 0,	//536  const QPoint&, const QMatrix&
    215, 338, 0,	//539  Qt::ItemFlag, int
    28, 28, 0,	//542  KLocale::TimeProcessingOption, KLocale::TimeProcessingOption
    210, 92, 0,	//545  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    309, 309, 0,	//548  const QPoint&, const QPoint&
    161, 338, 0,	//551  QString::SectionFlag, int
    250, 338, 0,	//554  Qt::WindowType, int
    178, 178, 0,	//557  QWidget::RenderFlag, QWidget::RenderFlag
    327, 324, 0,	//560  const QStringRef&, const QString&
    290, 290, 0,	//563  const QHashDummyValue&, const QHashDummyValue&
    45, 45, 0,	//566  KUrl::EqualsOption, KUrl::EqualsOption
    172, 172, 0,	//569  QUrl::FormattingOption, QUrl::FormattingOption
    59, 111, 0,	//572  QDataStream&, QIcon&
    59, 312, 0,	//575  QDataStream&, const QPolygon&
    243, 338, 0,	//578  Qt::TouchPointState, int
    14, 71, 0,	//581  KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>
    178, 87, 0,	//584  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    327, 334, 0,	//587  const QStringRef&, const char*
    42, 338, 0,	//590  KUrl::CleanPathOption, int
    46, 46, 0,	//593  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    12, 12, 0,	//596  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    11, 338, 0,	//599  KConfig::OpenFlag, int
    59, 296, 0,	//602  QDataStream&, const QLineF&
    59, 49, 0,	//605  QDataStream&, QBrush&
    59, 311, 0,	//608  QDataStream&, const QPointF&
    309, 337, 0,	//611  const QPoint&, float
    27, 27, 0,	//614  KLocale::TimeFormatOption, KLocale::TimeFormatOption
    324, 327, 0,	//617  const QString&, const QStringRef&
    45, 338, 0,	//620  KUrl::EqualsOption, int
    14, 338, 0,	//623  KDialog::CaptionFlag, int
    157, 338, 0,	//626  QSizePolicy::ControlType, int
    59, 156, 0,	//629  QDataStream&, QSizePolicy&
    334, 327, 0,	//632  const char*, const QStringRef&
    223, 338, 0,	//635  Qt::MouseButton, int
    59, 125, 0,	//638  QDataStream&, QMatrix&
    59, 154, 0,	//641  QDataStream&, QSize&
    212, 212, 0,	//644  Qt::InputMethodHint, Qt::InputMethodHint
    28, 76, 0,	//647  KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>
    59, 175, 0,	//650  QDataStream&, QVariant::Type&
    237, 99, 0,	//653  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    296, 329, 0,	//656  const QLineF&, const QTransform&
    327, 294, 0,	//659  const QStringRef&, const QLatin1String&
    59, 313, 0,	//662  QDataStream&, const QPolygonF&
    59, 321, 0,	//665  QDataStream&, const QSizeF&
    240, 100, 0,	//668  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    59, 289, 0,	//671  QDataStream&, const QFont&
    45, 80, 0,	//674  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    28, 338, 0,	//677  KLocale::TimeProcessingOption, int
    59, 301, 0,	//680  QDataStream&, const QMatrix&
    117, 117, 0,	//683  QLibrary::LoadHint, QLibrary::LoadHint
    249, 249, 0,	//686  Qt::WindowState, Qt::WindowState
    172, 86, 0,	//689  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    59, 144, 0,	//692  QDataStream&, QPolygonF&
    59, 305, 0,	//695  QDataStream&, const QPainterPath&
    59, 135, 0,	//698  QDataStream&, QPalette&
    315, 315, 0,	//701  const QRectF&, const QRectF&
    336, 319, 0,	//704  double, const QSize&
    2, 2, 0,	//707  KCModule::Button, KCModule::Button
    336, 309, 0,	//710  double, const QPoint&
    59, 309, 0,	//713  QDataStream&, const QPoint&
    59, 292, 0,	//716  QDataStream&, const QImage&
    283, 273, 0,	//719  const QByteArray&, char
    59, 105, 0,	//722  QDataStream&, QFont&
    161, 85, 0,	//725  QString::SectionFlag, QFlags<QString::SectionFlag>
    59, 319, 0,	//728  QDataStream&, const QSize&
    26, 74, 0,	//731  KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>
    59, 147, 0,	//734  QDataStream&, QRectF&
    59, 284, 0,	//737  QDataStream&, const QChar&
    272, 48, 0,	//740  bool, QBool
    46, 81, 0,	//743  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    312, 329, 0,	//746  const QPolygon&, const QTransform&
    48, 272, 0,	//749  QBool, bool
    249, 338, 0,	//752  Qt::WindowState, int
    59, 163, 0,	//755  QDataStream&, QStringList&
    59, 314, 0,	//758  QDataStream&, const QRect&
    43, 338, 0,	//761  KUrl::DirectoryOption, int
    199, 199, 0,	//764  Qt::DockWidgetArea, Qt::DockWidgetArea
    59, 317, 0,	//767  QDataStream&, const QRegion&
    25, 25, 0,	//770  KLocale::DateTimeComponent, KLocale::DateTimeComponent
    59, 285, 0,	//773  QDataStream&, const QColor&
    250, 250, 0,	//776  Qt::WindowType, Qt::WindowType
    319, 336, 0,	//779  const QSize&, double
    160, 324, 0,	//782  QString::Null, const QString&
    212, 93, 0,	//785  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    11, 11, 0,	//788  KConfig::OpenFlag, KConfig::OpenFlag
    59, 138, 0,	//791  QDataStream&, QPoint&
    59, 61, 0,	//794  QDataStream&, QDateTime&
    59, 328, 0,	//797  QDataStream&, const QTime&
    59, 116, 0,	//800  QDataStream&, QKeySequence&
    27, 338, 0,	//803  KLocale::TimeFormatOption, int
    317, 329, 0,	//806  const QRegion&, const QTransform&
    2, 338, 0,	//809  KCModule::Button, int
    161, 161, 0,	//812  QString::SectionFlag, QString::SectionFlag
    110, 338, 0,	//815  QIODevice::OpenModeFlag, int
    338, 309, 0,	//818  int, const QPoint&
    206, 91, 0,	//821  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    313, 301, 0,	//824  const QPolygonF&, const QMatrix&
    309, 0,	//827  const QPoint&
    59, 142, 0,	//829  QDataStream&, QPolygon&
    44, 79, 0,	//832  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    59, 159, 0,	//835  QDataStream&, QString&
    59, 324, 0,	//838  QDataStream&, const QString&
    59, 53, 0,	//841  QDataStream&, QChar&
    237, 237, 0,	//844  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    59, 136, 0,	//847  QDataStream&, QPixmap&
    19, 72, 0,	//850  KEmoticonsTheme::ParseModeEnum, QFlags<KEmoticonsTheme::ParseModeEnum>
    12, 69, 0,	//853  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    59, 146, 0,	//856  QDataStream&, QRect&
    25, 338, 0,	//859  KLocale::DateTimeComponent, int
    210, 338, 0,	//862  Qt::ImageConversionFlag, int
    59, 291, 0,	//865  QDataStream&, const QIcon&
    59, 332, 0,	//868  QDataStream&, const QVariant::Type
    59, 121, 0,	//871  QDataStream&, QLineF&
    59, 134, 0,	//874  QDataStream&, QPainterPath&
    243, 243, 0,	//877  Qt::TouchPointState, Qt::TouchPointState
    237, 338, 0,	//880  Qt::TextInteractionFlag, int
    309, 329, 0,	//883  const QPoint&, const QTransform&
    59, 288, 0,	//886  QDataStream&, const QDateTime&
    59, 167, 0,	//889  QDataStream&, QTime&
    309, 338, 0,	//892  const QPoint&, int
    210, 210, 0,	//895  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    201, 90, 0,	//898  Qt::DropAction, QFlags<Qt::DropAction>
    201, 201, 0,	//901  Qt::DropAction, Qt::DropAction
    225, 338, 0,	//904  Qt::Orientation, int
    317, 301, 0,	//907  const QRegion&, const QMatrix&
    337, 309, 0,	//910  float, const QPoint&
    59, 171, 0,	//913  QDataStream&, QUrl&
    117, 83, 0,	//916  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    324, 52, 0,	//919  const QString&, QChar
    225, 98, 0,	//922  Qt::Orientation, QFlags<Qt::Orientation>
    22, 338, 0,	//925  KIconLoader::Group&, int
    66, 0,	//928  QEvent*
    168, 0,	//930  QTimerEvent*
    54, 0,	//932  QChildEvent*
    127, 0,	//934  QMouseEvent*
    176, 0,	//936  QWheelEvent*
    104, 0,	//938  QFocusEvent*
    132, 0,	//940  QPaintEvent*
    128, 0,	//942  QMoveEvent*
    166, 0,	//944  QTabletEvent*
    47, 0,	//946  QActionEvent*
    62, 0,	//948  QDragEnterEvent*
    64, 0,	//950  QDragMoveEvent*
    63, 0,	//952  QDragLeaveEvent*
    65, 0,	//954  QDropEvent*
    271, 0,	//956  _XEvent*
    130, 0,	//958  QPaintDevice::PaintDeviceMetric
    114, 0,	//960  QInputMethodEvent*
    213, 0,	//962  Qt::InputMethodQuery
    165, 0,	//964  QStyle&
    306, 0,	//966  const QPalette&
    289, 0,	//968  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AppNameCaption",	//2
    "Apply",	//3
    "Cancel",	//4
    "Close",	//5
    "Copy",	//6
    "Default",	//7
    "DelayedPopup",	//8
    "Details",	//9
    "Dialog",	//10
    "Dialog#",	//11
    "Dialog?",	//12
    "Dialog?#",	//13
    "DoNotCopy",	//14
    "DrawChildren",	//15
    "DrawWindowBackground",	//16
    "Export",	//17
    "HIGCompliantCaption",	//18
    "Help",	//19
    "IgnoreConfigFile",	//20
    "IgnoreMask",	//21
    "InstantPopup",	//22
    "KCModuleContainer",	//23
    "KCModuleContainer#",	//24
    "KCModuleContainer#$",	//25
    "KCModuleContainer#?",	//26
    "KCModuleProxy",	//27
    "KCModuleProxy#",	//28
    "KCModuleProxy##",	//29
    "KCModuleProxy##?",	//30
    "KCModuleProxy$",	//31
    "KCModuleProxy$#",	//32
    "KCModuleProxy$#?",	//33
    "KCModuleProxy?",	//34
    "KCModuleProxy?#",	//35
    "KCModuleProxy?#?",	//36
    "KCMultiDialog",	//37
    "KCMultiDialog#",	//38
    "KCMultiDialog##",	//39
    "KCMultiDialog###",	//40
    "KCMultiDialog###$",	//41
    "KCMultiDialog##$",	//42
    "KEmoticons",	//43
    "KEmoticonsProvider",	//44
    "KEmoticonsProvider#",	//45
    "KPluginSelector",	//46
    "KPluginSelector#",	//47
    "KPrintPreview",	//48
    "KPrintPreview#",	//49
    "KPrintPreview##",	//50
    "KST_CTimeInfo",	//51
    "KST_KCustom",	//52
    "KST_KDEDesktopMimeType",	//53
    "KST_KFolderMimeType",	//54
    "KST_KImageIO",	//55
    "KST_KImageIOFormat",	//56
    "KST_KMimeType",	//57
    "KST_KMimeTypeEntry",	//58
    "KST_KMimeTypeFactory",	//59
    "KST_KProtocolInfo",	//60
    "KST_KProtocolInfoFactory",	//61
    "KST_KService",	//62
    "KST_KServiceFactory",	//63
    "KST_KServiceGroup",	//64
    "KST_KServiceGroupFactory",	//65
    "KST_KServiceSeparator",	//66
    "KST_KServiceType",	//67
    "KST_KServiceTypeFactory",	//68
    "KST_KSycocaEntry",	//69
    "LicensedActiveQt",	//70
    "LicensedCore",	//71
    "LicensedDBus",	//72
    "LicensedDeclarative",	//73
    "LicensedGui",	//74
    "LicensedHelp",	//75
    "LicensedMultimedia",	//76
    "LicensedNetwork",	//77
    "LicensedOpenGL",	//78
    "LicensedOpenVG",	//79
    "LicensedQt3Support",	//80
    "LicensedQt3SupportLight",	//81
    "LicensedScript",	//82
    "LicensedScriptTools",	//83
    "LicensedSql",	//84
    "LicensedSvg",	//85
    "LicensedTest",	//86
    "LicensedXml",	//87
    "LicensedXmlPatterns",	//88
    "ModifiedCaption",	//89
    "No",	//90
    "NoAdditionalButton",	//91
    "NoCaptionFlags",	//92
    "NoDefault",	//93
    "None",	//94
    "Ok",	//95
    "PluginPage",	//96
    "PluginPage#",	//97
    "PluginPage##",	//98
    "PluginPage##?",	//99
    "Q_COMPLEX_TYPE",	//100
    "Q_DUMMY_TYPE",	//101
    "Q_MOVABLE_TYPE",	//102
    "Q_PRIMITIVE_TYPE",	//103
    "Q_STATIC_TYPE",	//104
    "QtCriticalMsg",	//105
    "QtDebugMsg",	//106
    "QtFatalMsg",	//107
    "QtSystemMsg",	//108
    "QtWarningMsg",	//109
    "ReadConfigFile",	//110
    "Rejected",	//111
    "Reset",	//112
    "Try",	//113
    "User1",	//114
    "User2",	//115
    "User3",	//116
    "Yes",	//117
    "aboutData",	//118
    "accept",	//119
    "actionEvent",	//120
    "addEmoticon",	//121
    "addEmoticon$$",	//122
    "addEmoticon$$$",	//123
    "addEmoticonIndex",	//124
    "addEmoticonIndex$?",	//125
    "addEmoticonsMap",	//126
    "addEmoticonsMap$?",	//127
    "addIdleTimeout",	//128
    "addIdleTimeout$",	//129
    "addModule",	//130
    "addModule#",	//131
    "addModule##",	//132
    "addModule##?",	//133
    "addModule$",	//134
    "addModule$?",	//135
    "addPluginInfos",	//136
    "addPluginInfos?",	//137
    "addPlugins",	//138
    "addPlugins#",	//139
    "addPlugins#$",	//140
    "addPlugins#$$",	//141
    "addPlugins#$$?",	//142
    "addPlugins$",	//143
    "addPlugins$$",	//144
    "addPlugins$$$",	//145
    "addPlugins$$$?",	//146
    "addPlugins?",	//147
    "addPlugins?$",	//148
    "addPlugins?$$",	//149
    "addPlugins?$$$",	//150
    "addPlugins?$$$?",	//151
    "allModules",	//152
    "allowComponentSelection",	//153
    "buttons",	//154
    "catchNextResumeEvent",	//155
    "changeEvent",	//156
    "changed",	//157
    "changed#",	//158
    "changed$",	//159
    "changedModules",	//160
    "childClosed",	//161
    "childEvent",	//162
    "clear",	//163
    "clearEmoticonsMap",	//164
    "closeEvent",	//165
    "componentData",	//166
    "configCommitted",	//167
    "configCommitted#",	//168
    "connectNotify",	//169
    "contextMenuEvent",	//170
    "createNew",	//171
    "currentThemeName",	//172
    "customEvent",	//173
    "dbusPath",	//174
    "dbusService",	//175
    "defaults",	//176
    "deleteClient",	//177
    "devType",	//178
    "disconnectNotify",	//179
    "done",	//180
    "dragEnterEvent",	//181
    "dragLeaveEvent",	//182
    "dragMoveEvent",	//183
    "dropEvent",	//184
    "emoticonsIndex",	//185
    "emoticonsMap",	//186
    "enabledChange",	//187
    "enterEvent",	//188
    "event",	//189
    "eventFilter",	//190
    "fileName",	//191
    "focusInEvent",	//192
    "focusNextPrevChild",	//193
    "focusOutEvent",	//194
    "fontChange",	//195
    "heightForWidth",	//196
    "hideEvent",	//197
    "i18n",	//198
    "i18n$",	//199
    "i18nc",	//200
    "i18nc$$",	//201
    "idleTime",	//202
    "idleTimeouts",	//203
    "inputMethodEvent",	//204
    "inputMethodQuery",	//205
    "installTheme",	//206
    "installTheme$",	//207
    "instance",	//208
    "isAvailable",	//209
    "isDefault",	//210
    "keyPressEvent",	//211
    "keyReleaseEvent",	//212
    "ki18n",	//213
    "ki18n$",	//214
    "ki18nc",	//215
    "ki18nc$$",	//216
    "ki18ncp",	//217
    "ki18ncp$$$",	//218
    "ki18np",	//219
    "ki18np$$",	//220
    "languageChange",	//221
    "leaveEvent",	//222
    "load",	//223
    "loadTheme",	//224
    "loadTheme$",	//225
    "metaObject",	//226
    "metric",	//227
    "minimumSizeHint",	//228
    "moduleInfo",	//229
    "mouseDoubleClickEvent",	//230
    "mouseMoveEvent",	//231
    "mousePressEvent",	//232
    "mouseReleaseEvent",	//233
    "moveEvent",	//234
    "newTheme",	//235
    "newTheme$?",	//236
    "operator!=",	//237
    "operator!=##",	//238
    "operator!=#$",	//239
    "operator!=$#",	//240
    "operator*",	//241
    "operator*##",	//242
    "operator*#$",	//243
    "operator*$#",	//244
    "operator+",	//245
    "operator+##",	//246
    "operator+#$",	//247
    "operator+$#",	//248
    "operator+$$",	//249
    "operator++",	//250
    "operator++$",	//251
    "operator++$$",	//252
    "operator-",	//253
    "operator-#",	//254
    "operator-##",	//255
    "operator-#$",	//256
    "operator/",	//257
    "operator/#$",	//258
    "operator<",	//259
    "operator<##",	//260
    "operator<#$",	//261
    "operator<$#",	//262
    "operator<<",	//263
    "operator<<##",	//264
    "operator<<#$",	//265
    "operator<<#?",	//266
    "operator<=",	//267
    "operator<=##",	//268
    "operator<=#$",	//269
    "operator<=$#",	//270
    "operator==",	//271
    "operator==##",	//272
    "operator==#$",	//273
    "operator==$#",	//274
    "operator>",	//275
    "operator>##",	//276
    "operator>#$",	//277
    "operator>$#",	//278
    "operator>=",	//279
    "operator>=##",	//280
    "operator>=#$",	//281
    "operator>=$#",	//282
    "operator>>",	//283
    "operator>>##",	//284
    "operator>>#$",	//285
    "operator>>#?",	//286
    "operator|",	//287
    "operator|$$",	//288
    "paintEngine",	//289
    "paintEvent",	//290
    "paletteChange",	//291
    "parseMode",	//292
    "pluginInfos",	//293
    "pluginSelectionChanged",	//294
    "pluginSelector",	//295
    "qt_metacall",	//296
    "qt_metacall$$?",	//297
    "qt_metacast",	//298
    "qt_metacast$",	//299
    "quickHelp",	//300
    "quickHelpChanged",	//301
    "realModule",	//302
    "reject",	//303
    "removeAllIdleTimeouts",	//304
    "removeEmoticon",	//305
    "removeEmoticon$",	//306
    "removeEmoticonIndex",	//307
    "removeEmoticonIndex$?",	//308
    "removeEmoticonsMap",	//309
    "removeEmoticonsMap$",	//310
    "removeIdleTimeout",	//311
    "removeIdleTimeout$",	//312
    "resizeEvent",	//313
    "resumingFromIdle",	//314
    "rootOnlyMessage",	//315
    "save",	//316
    "setAllModules",	//317
    "setAllModules?",	//318
    "setAllowComponentSelection",	//319
    "setAllowComponentSelection$",	//320
    "setButtons",	//321
    "setButtons$",	//322
    "setCaption",	//323
    "setChangedModules",	//324
    "setChangedModules?",	//325
    "setComponentBlacklist",	//326
    "setComponentBlacklist?",	//327
    "setKCMArguments",	//328
    "setKCMArguments?",	//329
    "setParseMode",	//330
    "setParseMode$",	//331
    "setPlainCaption",	//332
    "setTheme",	//333
    "setTheme#",	//334
    "setTheme$",	//335
    "setThemeName",	//336
    "setThemeName$",	//337
    "setVisible",	//338
    "showEvent",	//339
    "showEvent#",	//340
    "simulateUserActivity",	//341
    "sizeHint",	//342
    "slotApplyClicked",	//343
    "slotButtonClicked",	//344
    "slotDefaultClicked",	//345
    "slotHelpClicked",	//346
    "slotOkClicked",	//347
    "slotUser1Clicked",	//348
    "staticMetaObject",	//349
    "stopCatchingResumeEvent",	//350
    "styleChange",	//351
    "tabletEvent",	//352
    "theme",	//353
    "theme$",	//354
    "themeList",	//355
    "themeName",	//356
    "themePath",	//357
    "timeoutReached",	//358
    "timeoutReached$",	//359
    "timeoutReached$$",	//360
    "timerEvent",	//361
    "tr",	//362
    "tr$",	//363
    "tr$$",	//364
    "tr$$$",	//365
    "tr2i18n",	//366
    "tr2i18n$",	//367
    "tr2i18n$$",	//368
    "trUtf8",	//369
    "trUtf8$",	//370
    "trUtf8$$",	//371
    "trUtf8$$$",	//372
    "updatePluginsState",	//373
    "useRootOnlyMessage",	//374
    "wheelEvent",	//375
    "windowActivationChange",	//376
    "x11Event",	//377
    "~Dialog",	//378
    "~KCModuleContainer",	//379
    "~KCModuleProxy",	//380
    "~KCMultiDialog",	//381
    "~KEmoticons",	//382
    "~KEmoticonsProvider",	//383
    "~KIdleTime",	//384
    "~KPluginSelector",	//385
    "~KPrintPreview",	//386
    "~PluginPage",	//387
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {2, 300, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 158, 0},	//1 KCModule::quickHelp() const
    {2, 118, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2 KCModule::aboutData() const
    {2, 339, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3 KCModule::showEvent(QShowEvent*)
    {2, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 2, 4},	//4 KCModule::NoAdditionalButton (enum)
    {2, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 2, 5},	//5 KCModule::Help (enum)
    {2, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 2, 6},	//6 KCModule::Default (enum)
    {2, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 2, 7},	//7 KCModule::Apply (enum)
    {2, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 2, 8},	//8 KCModule::Export (enum)
    {3, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//9 KCModuleContainer::metaObject() const
    {3, 298, 3, 1, Smoke::mf_virtual, 341, 2},	//10 KCModuleContainer::qt_metacast(const char*)
    {3, 362, 5, 2, Smoke::mf_static, 158, 3},	//11 KCModuleContainer::tr(const char*, const char*)
    {3, 369, 5, 2, Smoke::mf_static, 158, 4},	//12 KCModuleContainer::trUtf8(const char*, const char*)
    {3, 362, 8, 3, Smoke::mf_static, 158, 5},	//13 KCModuleContainer::tr(const char*, const char*, int)
    {3, 369, 8, 3, Smoke::mf_static, 158, 6},	//14 KCModuleContainer::trUtf8(const char*, const char*, int)
    {3, 296, 12, 3, Smoke::mf_virtual, 338, 7},	//15 KCModuleContainer::qt_metacall(QMetaObject::Call, int, void**)
    {3, 23, 16, 2, Smoke::mf_ctor, 3, 8},	//16 KCModuleContainer::KCModuleContainer(QWidget*, const QStringList&)
    {3, 23, 19, 2, Smoke::mf_ctor, 3, 9},	//17 KCModuleContainer::KCModuleContainer(QWidget*, const QString&)
    {3, 130, 22, 1, 0, 0, 10},	//18 KCModuleContainer::addModule(const QString&)
    {3, 316, 0, 0, Smoke::mf_virtual, 0, 11},	//19 KCModuleContainer::save()
    {3, 223, 0, 0, Smoke::mf_virtual, 0, 12},	//20 KCModuleContainer::load()
    {3, 176, 0, 0, Smoke::mf_virtual, 0, 13},	//21 KCModuleContainer::defaults()
    {3, 362, 3, 1, Smoke::mf_static, 158, 14},	//22 KCModuleContainer::tr(const char*)
    {3, 369, 3, 1, Smoke::mf_static, 158, 15},	//23 KCModuleContainer::trUtf8(const char*)
    {3, 23, 24, 1, Smoke::mf_ctor, 3, 16},	//24 KCModuleContainer::KCModuleContainer(QWidget*)
    {3, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 17},	//25 KCModuleContainer::staticMetaObject() const
    {3, 160, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 122, 18},	//26 KCModuleContainer::changedModules() const
    {3, 324, 26, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 19},	//27 KCModuleContainer::setChangedModules(const QList<KCModuleProxy*>&)
    {3, 152, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 122, 20},	//28 KCModuleContainer::allModules() const
    {3, 317, 26, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 21},	//29 KCModuleContainer::setAllModules(const QList<KCModuleProxy*>&)
    {3, 379, 0, 0, Smoke::mf_dtor, 0, 22 },	//30 KCModuleContainer::~KCModuleContainer()
    {5, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//31 KCModuleProxy::metaObject() const
    {5, 298, 3, 1, Smoke::mf_virtual, 341, 2},	//32 KCModuleProxy::qt_metacast(const char*)
    {5, 362, 5, 2, Smoke::mf_static, 158, 3},	//33 KCModuleProxy::tr(const char*, const char*)
    {5, 369, 5, 2, Smoke::mf_static, 158, 4},	//34 KCModuleProxy::trUtf8(const char*, const char*)
    {5, 362, 8, 3, Smoke::mf_static, 158, 5},	//35 KCModuleProxy::tr(const char*, const char*, int)
    {5, 369, 8, 3, Smoke::mf_static, 158, 6},	//36 KCModuleProxy::trUtf8(const char*, const char*, int)
    {5, 296, 12, 3, Smoke::mf_virtual, 338, 7},	//37 KCModuleProxy::qt_metacall(QMetaObject::Call, int, void**)
    {5, 27, 28, 3, Smoke::mf_ctor, 6, 8},	//38 KCModuleProxy::KCModuleProxy(const KCModuleInfo&, QWidget*, const QStringList&)
    {5, 27, 32, 3, Smoke::mf_ctor, 6, 9},	//39 KCModuleProxy::KCModuleProxy(const QString&, QWidget*, const QStringList&)
    {5, 27, 36, 3, Smoke::mf_ctor, 6, 10},	//40 KCModuleProxy::KCModuleProxy(const KSharedPtr<KService>&, QWidget*, const QStringList&)
    {5, 223, 0, 0, 0, 0, 11},	//41 KCModuleProxy::load()
    {5, 316, 0, 0, 0, 0, 12},	//42 KCModuleProxy::save()
    {5, 300, 0, 0, Smoke::mf_const, 158, 13},	//43 KCModuleProxy::quickHelp() const
    {5, 118, 0, 0, Smoke::mf_const, 274, 14},	//44 KCModuleProxy::aboutData() const
    {5, 154, 0, 0, Smoke::mf_const, 67, 15},	//45 KCModuleProxy::buttons() const
    {5, 315, 0, 0, Smoke::mf_const, 158, 16},	//46 KCModuleProxy::rootOnlyMessage() const
    {5, 374, 0, 0, Smoke::mf_const, 272, 17},	//47 KCModuleProxy::useRootOnlyMessage() const
    {5, 166, 0, 0, Smoke::mf_const, 10, 18},	//48 KCModuleProxy::componentData() const
    {5, 157, 0, 0, Smoke::mf_const, 272, 19},	//49 KCModuleProxy::changed() const
    {5, 302, 0, 0, Smoke::mf_const, 1, 20},	//50 KCModuleProxy::realModule() const
    {5, 229, 0, 0, Smoke::mf_const, 4, 21},	//51 KCModuleProxy::moduleInfo() const
    {5, 175, 0, 0, Smoke::mf_const, 158, 22},	//52 KCModuleProxy::dbusService() const
    {5, 174, 0, 0, Smoke::mf_const, 158, 23},	//53 KCModuleProxy::dbusPath() const
    {5, 228, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 153, 24},	//54 KCModuleProxy::minimumSizeHint() const
    {5, 176, 0, 0, Smoke::mf_slot, 0, 25},	//55 KCModuleProxy::defaults()
    {5, 177, 0, 0, Smoke::mf_slot, 0, 26},	//56 KCModuleProxy::deleteClient()
    {5, 157, 40, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//57 KCModuleProxy::changed(bool)
    {5, 157, 42, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//58 KCModuleProxy::changed(KCModuleProxy*)
    {5, 161, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//59 KCModuleProxy::childClosed()
    {5, 301, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//60 KCModuleProxy::quickHelpChanged()
    {5, 339, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//61 KCModuleProxy::showEvent(QShowEvent*)
    {5, 362, 3, 1, Smoke::mf_static, 158, 32},	//62 KCModuleProxy::tr(const char*)
    {5, 369, 3, 1, Smoke::mf_static, 158, 33},	//63 KCModuleProxy::trUtf8(const char*)
    {5, 27, 44, 1, Smoke::mf_ctor, 6, 34},	//64 KCModuleProxy::KCModuleProxy(const KCModuleInfo&)
    {5, 27, 46, 2, Smoke::mf_ctor, 6, 35},	//65 KCModuleProxy::KCModuleProxy(const KCModuleInfo&, QWidget*)
    {5, 27, 22, 1, Smoke::mf_ctor, 6, 36},	//66 KCModuleProxy::KCModuleProxy(const QString&)
    {5, 27, 49, 2, Smoke::mf_ctor, 6, 37},	//67 KCModuleProxy::KCModuleProxy(const QString&, QWidget*)
    {5, 27, 52, 1, Smoke::mf_ctor, 6, 38},	//68 KCModuleProxy::KCModuleProxy(const KSharedPtr<KService>&)
    {5, 27, 54, 2, Smoke::mf_ctor, 6, 39},	//69 KCModuleProxy::KCModuleProxy(const KSharedPtr<KService>&, QWidget*)
    {5, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 40},	//70 KCModuleProxy::staticMetaObject() const
    {5, 380, 0, 0, Smoke::mf_dtor, 0, 41 },	//71 KCModuleProxy::~KCModuleProxy()
    {6, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//72 KCMultiDialog::metaObject() const
    {6, 298, 3, 1, Smoke::mf_virtual, 341, 2},	//73 KCMultiDialog::qt_metacast(const char*)
    {6, 362, 5, 2, Smoke::mf_static, 158, 3},	//74 KCMultiDialog::tr(const char*, const char*)
    {6, 369, 5, 2, Smoke::mf_static, 158, 4},	//75 KCMultiDialog::trUtf8(const char*, const char*)
    {6, 362, 8, 3, Smoke::mf_static, 158, 5},	//76 KCMultiDialog::tr(const char*, const char*, int)
    {6, 369, 8, 3, Smoke::mf_static, 158, 6},	//77 KCMultiDialog::trUtf8(const char*, const char*, int)
    {6, 296, 12, 3, Smoke::mf_virtual, 338, 7},	//78 KCMultiDialog::qt_metacall(QMetaObject::Call, int, void**)
    {6, 37, 24, 1, Smoke::mf_ctor, 7, 8},	//79 KCMultiDialog::KCMultiDialog(QWidget*)
    {6, 130, 57, 2, 0, 31, 9},	//80 KCMultiDialog::addModule(const QString&, const QStringList&)
    {6, 130, 60, 3, 0, 31, 10},	//81 KCMultiDialog::addModule(const KCModuleInfo&, KPageWidgetItem*, const QStringList&)
    {6, 163, 0, 0, 0, 0, 11},	//82 KCMultiDialog::clear()
    {6, 321, 64, 1, 0, 0, 12},	//83 KCMultiDialog::setButtons(QFlags<KDialog::ButtonCode>)
    {6, 167, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//84 KCMultiDialog::configCommitted()
    {6, 167, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//85 KCMultiDialog::configCommitted(const QByteArray&)
    {6, 37, 68, 3, Smoke::mf_ctor|Smoke::mf_protected, 7, 15},	//86 KCMultiDialog::KCMultiDialog(KPageWidget*, QWidget*, QFlags<Qt::WindowType>)
    {6, 37, 72, 4, Smoke::mf_ctor|Smoke::mf_protected, 7, 16},	//87 KCMultiDialog::KCMultiDialog(KCMultiDialogPrivate&, KPageWidget*, QWidget*, QFlags<Qt::WindowType>)
    {6, 345, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 17},	//88 KCMultiDialog::slotDefaultClicked()
    {6, 348, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 18},	//89 KCMultiDialog::slotUser1Clicked()
    {6, 343, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 19},	//90 KCMultiDialog::slotApplyClicked()
    {6, 347, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 20},	//91 KCMultiDialog::slotOkClicked()
    {6, 346, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 21},	//92 KCMultiDialog::slotHelpClicked()
    {6, 362, 3, 1, Smoke::mf_static, 158, 22},	//93 KCMultiDialog::tr(const char*)
    {6, 369, 3, 1, Smoke::mf_static, 158, 23},	//94 KCMultiDialog::trUtf8(const char*)
    {6, 37, 0, 0, Smoke::mf_ctor, 7, 24},	//95 KCMultiDialog::KCMultiDialog()
    {6, 130, 22, 1, 0, 31, 25},	//96 KCMultiDialog::addModule(const QString&)
    {6, 130, 44, 1, 0, 31, 26},	//97 KCMultiDialog::addModule(const KCModuleInfo&)
    {6, 130, 77, 2, 0, 31, 27},	//98 KCMultiDialog::addModule(const KCModuleInfo&, KPageWidgetItem*)
    {6, 37, 80, 2, Smoke::mf_ctor|Smoke::mf_protected, 7, 28},	//99 KCMultiDialog::KCMultiDialog(KPageWidget*, QWidget*)
    {6, 37, 83, 3, Smoke::mf_ctor|Smoke::mf_protected, 7, 29},	//100 KCMultiDialog::KCMultiDialog(KCMultiDialogPrivate&, KPageWidget*, QWidget*)
    {6, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 30},	//101 KCMultiDialog::staticMetaObject() const
    {6, 381, 0, 0, Smoke::mf_dtor, 0, 31 },	//102 KCMultiDialog::~KCMultiDialog()
    {10, 342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 153, 0},	//103 KDialog::sizeHint() const
    {10, 228, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 153, 0},	//104 KDialog::minimumSizeHint() const
    {10, 323, 22, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//105 KDialog::setCaption(const QString&)
    {10, 323, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//106 KDialog::setCaption(const QString&, bool)
    {10, 332, 22, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//107 KDialog::setPlainCaption(const QString&)
    {10, 197, 90, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//108 KDialog::hideEvent(QHideEvent*)
    {10, 165, 92, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//109 KDialog::closeEvent(QCloseEvent*)
    {10, 211, 94, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//110 KDialog::keyPressEvent(QKeyEvent*)
    {10, 344, 96, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//111 KDialog::slotButtonClicked(int)
    {10, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 10},	//112 KDialog::None (enum)
    {10, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 11},	//113 KDialog::Help (enum)
    {10, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 12},	//114 KDialog::Default (enum)
    {10, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 13},	//115 KDialog::Ok (enum)
    {10, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 14},	//116 KDialog::Apply (enum)
    {10, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 15},	//117 KDialog::Try (enum)
    {10, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 16},	//118 KDialog::Cancel (enum)
    {10, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 17},	//119 KDialog::Close (enum)
    {10, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 18},	//120 KDialog::No (enum)
    {10, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 19},	//121 KDialog::Yes (enum)
    {10, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 20},	//122 KDialog::Reset (enum)
    {10, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 21},	//123 KDialog::Details (enum)
    {10, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 22},	//124 KDialog::User1 (enum)
    {10, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 23},	//125 KDialog::User2 (enum)
    {10, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 24},	//126 KDialog::User3 (enum)
    {10, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 25},	//127 KDialog::NoDefault (enum)
    {10, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 26},	//128 KDialog::NoCaptionFlags (enum)
    {10, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 27},	//129 KDialog::AppNameCaption (enum)
    {10, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 28},	//130 KDialog::ModifiedCaption (enum)
    {10, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 29},	//131 KDialog::HIGCompliantCaption (enum)
    {11, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//132 KEmoticons::metaObject() const
    {11, 298, 3, 1, Smoke::mf_virtual, 341, 2},	//133 KEmoticons::qt_metacast(const char*)
    {11, 362, 5, 2, Smoke::mf_static, 158, 3},	//134 KEmoticons::tr(const char*, const char*)
    {11, 369, 5, 2, Smoke::mf_static, 158, 4},	//135 KEmoticons::trUtf8(const char*, const char*)
    {11, 362, 8, 3, Smoke::mf_static, 158, 5},	//136 KEmoticons::tr(const char*, const char*, int)
    {11, 369, 8, 3, Smoke::mf_static, 158, 6},	//137 KEmoticons::trUtf8(const char*, const char*, int)
    {11, 296, 12, 3, Smoke::mf_virtual, 338, 7},	//138 KEmoticons::qt_metacall(QMetaObject::Call, int, void**)
    {11, 43, 0, 0, Smoke::mf_ctor, 15, 8},	//139 KEmoticons::KEmoticons()
    {11, 353, 0, 0, 0, 18, 9},	//140 KEmoticons::theme()
    {11, 353, 22, 1, 0, 18, 10},	//141 KEmoticons::theme(const QString&)
    {11, 172, 0, 0, Smoke::mf_static, 158, 11},	//142 KEmoticons::currentThemeName()
    {11, 355, 0, 0, Smoke::mf_static, 162, 12},	//143 KEmoticons::themeList()
    {11, 333, 98, 1, Smoke::mf_static, 0, 13},	//144 KEmoticons::setTheme(const KEmoticonsTheme&)
    {11, 333, 22, 1, Smoke::mf_static, 0, 14},	//145 KEmoticons::setTheme(const QString&)
    {11, 235, 100, 2, 0, 18, 15},	//146 KEmoticons::newTheme(const QString&, const KSharedPtr<KService>&)
    {11, 206, 22, 1, 0, 162, 16},	//147 KEmoticons::installTheme(const QString&)
    {11, 330, 103, 1, Smoke::mf_static, 0, 17},	//148 KEmoticons::setParseMode(QFlags<KEmoticonsTheme::ParseModeEnum>)
    {11, 292, 0, 0, Smoke::mf_static, 72, 18},	//149 KEmoticons::parseMode()
    {11, 362, 3, 1, Smoke::mf_static, 158, 19},	//150 KEmoticons::tr(const char*)
    {11, 369, 3, 1, Smoke::mf_static, 158, 20},	//151 KEmoticons::trUtf8(const char*)
    {11, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 21},	//152 KEmoticons::staticMetaObject() const
    {11, 382, 0, 0, Smoke::mf_dtor, 0, 22 },	//153 KEmoticons::~KEmoticons()
    {12, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//154 KEmoticonsProvider::metaObject() const
    {12, 298, 3, 1, Smoke::mf_virtual, 341, 2},	//155 KEmoticonsProvider::qt_metacast(const char*)
    {12, 362, 5, 2, Smoke::mf_static, 158, 3},	//156 KEmoticonsProvider::tr(const char*, const char*)
    {12, 369, 5, 2, Smoke::mf_static, 158, 4},	//157 KEmoticonsProvider::trUtf8(const char*, const char*)
    {12, 362, 8, 3, Smoke::mf_static, 158, 5},	//158 KEmoticonsProvider::tr(const char*, const char*, int)
    {12, 369, 8, 3, Smoke::mf_static, 158, 6},	//159 KEmoticonsProvider::trUtf8(const char*, const char*, int)
    {12, 296, 12, 3, Smoke::mf_virtual, 338, 7},	//160 KEmoticonsProvider::qt_metacall(QMetaObject::Call, int, void**)
    {12, 44, 105, 1, Smoke::mf_ctor, 16, 8},	//161 KEmoticonsProvider::KEmoticonsProvider(QObject*)
    {12, 224, 22, 1, Smoke::mf_virtual, 272, 9},	//162 KEmoticonsProvider::loadTheme(const QString&)
    {12, 305, 22, 1, Smoke::mf_virtual, 272, 10},	//163 KEmoticonsProvider::removeEmoticon(const QString&)
    {12, 121, 107, 3, Smoke::mf_virtual, 272, 11},	//164 KEmoticonsProvider::addEmoticon(const QString&, const QString&, KEmoticonsProvider::AddEmoticonOption)
    {12, 316, 0, 0, Smoke::mf_virtual, 0, 12},	//165 KEmoticonsProvider::save()
    {12, 356, 0, 0, Smoke::mf_const, 158, 13},	//166 KEmoticonsProvider::themeName() const
    {12, 336, 22, 1, 0, 0, 14},	//167 KEmoticonsProvider::setThemeName(const QString&)
    {12, 357, 0, 0, Smoke::mf_const, 158, 15},	//168 KEmoticonsProvider::themePath() const
    {12, 191, 0, 0, Smoke::mf_const, 158, 16},	//169 KEmoticonsProvider::fileName() const
    {12, 186, 0, 0, Smoke::mf_const, 107, 17},	//170 KEmoticonsProvider::emoticonsMap() const
    {12, 185, 0, 0, Smoke::mf_const, 106, 18},	//171 KEmoticonsProvider::emoticonsIndex() const
    {12, 171, 0, 0, Smoke::mf_virtual, 0, 19},	//172 KEmoticonsProvider::createNew()
    {12, 164, 0, 0, Smoke::mf_protected, 0, 20},	//173 KEmoticonsProvider::clearEmoticonsMap()
    {12, 126, 111, 2, Smoke::mf_protected, 0, 21},	//174 KEmoticonsProvider::addEmoticonsMap(QString, QStringList)
    {12, 309, 114, 1, Smoke::mf_protected, 0, 22},	//175 KEmoticonsProvider::removeEmoticonsMap(QString)
    {12, 124, 57, 2, Smoke::mf_protected, 0, 23},	//176 KEmoticonsProvider::addEmoticonIndex(const QString&, const QStringList&)
    {12, 307, 57, 2, Smoke::mf_protected, 0, 24},	//177 KEmoticonsProvider::removeEmoticonIndex(const QString&, const QStringList&)
    {12, 362, 3, 1, Smoke::mf_static, 158, 25},	//178 KEmoticonsProvider::tr(const char*)
    {12, 369, 3, 1, Smoke::mf_static, 158, 26},	//179 KEmoticonsProvider::trUtf8(const char*)
    {12, 44, 0, 0, Smoke::mf_ctor, 16, 27},	//180 KEmoticonsProvider::KEmoticonsProvider()
    {12, 121, 116, 2, 0, 272, 28},	//181 KEmoticonsProvider::addEmoticon(const QString&, const QString&)
    {12, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 29},	//182 KEmoticonsProvider::staticMetaObject() const
    {12, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 30},	//183 KEmoticonsProvider::DoNotCopy (enum)
    {12, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 31},	//184 KEmoticonsProvider::Copy (enum)
    {12, 383, 0, 0, Smoke::mf_dtor, 0, 32 },	//185 KEmoticonsProvider::~KEmoticonsProvider()
    {14, 226, 0, 0, Smoke::mf_const, 303, 1},	//186 KIdleTime::metaObject() const
    {14, 298, 3, 1, 0, 341, 2},	//187 KIdleTime::qt_metacast(const char*)
    {14, 362, 5, 2, Smoke::mf_static, 158, 3},	//188 KIdleTime::tr(const char*, const char*)
    {14, 369, 5, 2, Smoke::mf_static, 158, 4},	//189 KIdleTime::trUtf8(const char*, const char*)
    {14, 362, 8, 3, Smoke::mf_static, 158, 5},	//190 KIdleTime::tr(const char*, const char*, int)
    {14, 369, 8, 3, Smoke::mf_static, 158, 6},	//191 KIdleTime::trUtf8(const char*, const char*, int)
    {14, 296, 12, 3, 0, 338, 7},	//192 KIdleTime::qt_metacall(QMetaObject::Call, int, void**)
    {14, 208, 0, 0, Smoke::mf_static, 23, 8},	//193 KIdleTime::instance()
    {14, 202, 0, 0, Smoke::mf_const, 338, 9},	//194 KIdleTime::idleTime() const
    {14, 203, 0, 0, Smoke::mf_const, 108, 10},	//195 KIdleTime::idleTimeouts() const
    {14, 341, 0, 0, 0, 0, 11},	//196 KIdleTime::simulateUserActivity()
    {14, 128, 96, 1, Smoke::mf_slot, 338, 12},	//197 KIdleTime::addIdleTimeout(int)
    {14, 311, 96, 1, Smoke::mf_slot, 0, 13},	//198 KIdleTime::removeIdleTimeout(int)
    {14, 304, 0, 0, Smoke::mf_slot, 0, 14},	//199 KIdleTime::removeAllIdleTimeouts()
    {14, 155, 0, 0, Smoke::mf_slot, 0, 15},	//200 KIdleTime::catchNextResumeEvent()
    {14, 350, 0, 0, Smoke::mf_slot, 0, 16},	//201 KIdleTime::stopCatchingResumeEvent()
    {14, 314, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//202 KIdleTime::resumingFromIdle()
    {14, 358, 96, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//203 KIdleTime::timeoutReached(int)
    {14, 358, 119, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//204 KIdleTime::timeoutReached(int, int)
    {14, 362, 3, 1, Smoke::mf_static, 158, 20},	//205 KIdleTime::tr(const char*)
    {14, 369, 3, 1, Smoke::mf_static, 158, 21},	//206 KIdleTime::trUtf8(const char*)
    {14, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 22},	//207 KIdleTime::staticMetaObject() const
    {14, 384, 0, 0, Smoke::mf_dtor, 0, 23 },	//208 KIdleTime::~KIdleTime()
    {20, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//209 KPluginSelector::metaObject() const
    {20, 298, 3, 1, Smoke::mf_virtual, 341, 2},	//210 KPluginSelector::qt_metacast(const char*)
    {20, 362, 5, 2, Smoke::mf_static, 158, 3},	//211 KPluginSelector::tr(const char*, const char*)
    {20, 369, 5, 2, Smoke::mf_static, 158, 4},	//212 KPluginSelector::trUtf8(const char*, const char*)
    {20, 362, 8, 3, Smoke::mf_static, 158, 5},	//213 KPluginSelector::tr(const char*, const char*, int)
    {20, 369, 8, 3, Smoke::mf_static, 158, 6},	//214 KPluginSelector::trUtf8(const char*, const char*, int)
    {20, 296, 12, 3, Smoke::mf_virtual, 338, 7},	//215 KPluginSelector::qt_metacall(QMetaObject::Call, int, void**)
    {20, 46, 24, 1, Smoke::mf_ctor, 32, 8},	//216 KPluginSelector::KPluginSelector(QWidget*)
    {20, 138, 122, 4, 0, 0, 9},	//217 KPluginSelector::addPlugins(const QString&, const QString&, const QString&, KSharedPtr<KSharedConfig>)
    {20, 138, 127, 4, 0, 0, 10},	//218 KPluginSelector::addPlugins(const KComponentData&, const QString&, const QString&, const KSharedPtr<KSharedConfig>&)
    {20, 138, 132, 5, 0, 0, 11},	//219 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&)
    {20, 223, 0, 0, 0, 0, 12},	//220 KPluginSelector::load()
    {20, 316, 0, 0, 0, 0, 13},	//221 KPluginSelector::save()
    {20, 176, 0, 0, 0, 0, 14},	//222 KPluginSelector::defaults()
    {20, 210, 0, 0, Smoke::mf_const, 272, 15},	//223 KPluginSelector::isDefault() const
    {20, 373, 0, 0, 0, 0, 16},	//224 KPluginSelector::updatePluginsState()
    {20, 157, 40, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//225 KPluginSelector::changed(bool)
    {20, 167, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//226 KPluginSelector::configCommitted(const QByteArray&)
    {20, 362, 3, 1, Smoke::mf_static, 158, 19},	//227 KPluginSelector::tr(const char*)
    {20, 369, 3, 1, Smoke::mf_static, 158, 20},	//228 KPluginSelector::trUtf8(const char*)
    {20, 46, 0, 0, Smoke::mf_ctor, 32, 21},	//229 KPluginSelector::KPluginSelector()
    {20, 138, 22, 1, 0, 0, 22},	//230 KPluginSelector::addPlugins(const QString&)
    {20, 138, 116, 2, 0, 0, 23},	//231 KPluginSelector::addPlugins(const QString&, const QString&)
    {20, 138, 138, 3, 0, 0, 24},	//232 KPluginSelector::addPlugins(const QString&, const QString&, const QString&)
    {20, 138, 142, 1, 0, 0, 25},	//233 KPluginSelector::addPlugins(const KComponentData&)
    {20, 138, 144, 2, 0, 0, 26},	//234 KPluginSelector::addPlugins(const KComponentData&, const QString&)
    {20, 138, 147, 3, 0, 0, 27},	//235 KPluginSelector::addPlugins(const KComponentData&, const QString&, const QString&)
    {20, 138, 151, 1, 0, 0, 28},	//236 KPluginSelector::addPlugins(const QList<KPluginInfo>&)
    {20, 138, 153, 2, 0, 0, 29},	//237 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod)
    {20, 138, 156, 3, 0, 0, 30},	//238 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&)
    {20, 138, 160, 4, 0, 0, 31},	//239 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&)
    {20, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 32},	//240 KPluginSelector::staticMetaObject() const
    {20, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 33},	//241 KPluginSelector::ReadConfigFile (enum)
    {20, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 34},	//242 KPluginSelector::IgnoreConfigFile (enum)
    {20, 385, 0, 0, Smoke::mf_dtor, 0, 35 },	//243 KPluginSelector::~KPluginSelector()
    {21, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//244 KPrintPreview::metaObject() const
    {21, 298, 3, 1, Smoke::mf_virtual, 341, 2},	//245 KPrintPreview::qt_metacast(const char*)
    {21, 362, 5, 2, Smoke::mf_static, 158, 3},	//246 KPrintPreview::tr(const char*, const char*)
    {21, 369, 5, 2, Smoke::mf_static, 158, 4},	//247 KPrintPreview::trUtf8(const char*, const char*)
    {21, 362, 8, 3, Smoke::mf_static, 158, 5},	//248 KPrintPreview::tr(const char*, const char*, int)
    {21, 369, 8, 3, Smoke::mf_static, 158, 6},	//249 KPrintPreview::trUtf8(const char*, const char*, int)
    {21, 296, 12, 3, Smoke::mf_virtual, 338, 7},	//250 KPrintPreview::qt_metacall(QMetaObject::Call, int, void**)
    {21, 48, 165, 2, Smoke::mf_ctor, 34, 8},	//251 KPrintPreview::KPrintPreview(QPrinter*, QWidget*)
    {21, 209, 0, 0, Smoke::mf_static, 272, 9},	//252 KPrintPreview::isAvailable()
    {21, 339, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//253 KPrintPreview::showEvent(QShowEvent*)
    {21, 362, 3, 1, Smoke::mf_static, 158, 11},	//254 KPrintPreview::tr(const char*)
    {21, 369, 3, 1, Smoke::mf_static, 158, 12},	//255 KPrintPreview::trUtf8(const char*)
    {21, 48, 168, 1, Smoke::mf_ctor, 34, 13},	//256 KPrintPreview::KPrintPreview(QPrinter*)
    {21, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 14},	//257 KPrintPreview::staticMetaObject() const
    {21, 386, 0, 0, Smoke::mf_dtor, 0, 15 },	//258 KPrintPreview::~KPrintPreview()
    {23, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//259 KSettings::Dialog::metaObject() const
    {23, 298, 3, 1, Smoke::mf_virtual, 341, 2},	//260 KSettings::Dialog::qt_metacast(const char*)
    {23, 362, 5, 2, Smoke::mf_static, 158, 3},	//261 KSettings::Dialog::tr(const char*, const char*)
    {23, 369, 5, 2, Smoke::mf_static, 158, 4},	//262 KSettings::Dialog::trUtf8(const char*, const char*)
    {23, 362, 8, 3, Smoke::mf_static, 158, 5},	//263 KSettings::Dialog::tr(const char*, const char*, int)
    {23, 369, 8, 3, Smoke::mf_static, 158, 6},	//264 KSettings::Dialog::trUtf8(const char*, const char*, int)
    {23, 296, 12, 3, Smoke::mf_virtual, 338, 7},	//265 KSettings::Dialog::qt_metacall(QMetaObject::Call, int, void**)
    {23, 10, 24, 1, Smoke::mf_ctor, 36, 8},	//266 KSettings::Dialog::Dialog(QWidget*)
    {23, 10, 170, 2, Smoke::mf_ctor, 36, 9},	//267 KSettings::Dialog::Dialog(const QStringList&, QWidget*)
    {23, 136, 151, 1, 0, 0, 10},	//268 KSettings::Dialog::addPluginInfos(const QList<KPluginInfo>&)
    {23, 328, 173, 1, 0, 0, 11},	//269 KSettings::Dialog::setKCMArguments(const QStringList&)
    {23, 326, 173, 1, 0, 0, 12},	//270 KSettings::Dialog::setComponentBlacklist(const QStringList&)
    {23, 319, 40, 1, 0, 0, 13},	//271 KSettings::Dialog::setAllowComponentSelection(bool)
    {23, 153, 0, 0, Smoke::mf_const, 272, 14},	//272 KSettings::Dialog::allowComponentSelection() const
    {23, 293, 0, 0, Smoke::mf_const, 123, 15},	//273 KSettings::Dialog::pluginInfos() const
    {23, 339, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//274 KSettings::Dialog::showEvent(QShowEvent*)
    {23, 294, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//275 KSettings::Dialog::pluginSelectionChanged()
    {23, 362, 3, 1, Smoke::mf_static, 158, 18},	//276 KSettings::Dialog::tr(const char*)
    {23, 369, 3, 1, Smoke::mf_static, 158, 19},	//277 KSettings::Dialog::trUtf8(const char*)
    {23, 10, 0, 0, Smoke::mf_ctor, 36, 20},	//278 KSettings::Dialog::Dialog()
    {23, 10, 173, 1, Smoke::mf_ctor, 36, 21},	//279 KSettings::Dialog::Dialog(const QStringList&)
    {23, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 22},	//280 KSettings::Dialog::staticMetaObject() const
    {23, 378, 0, 0, Smoke::mf_dtor, 0, 23 },	//281 KSettings::Dialog::~Dialog()
    {24, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//282 KSettings::PluginPage::metaObject() const
    {24, 298, 3, 1, Smoke::mf_virtual, 341, 2},	//283 KSettings::PluginPage::qt_metacast(const char*)
    {24, 362, 5, 2, Smoke::mf_static, 158, 3},	//284 KSettings::PluginPage::tr(const char*, const char*)
    {24, 369, 5, 2, Smoke::mf_static, 158, 4},	//285 KSettings::PluginPage::trUtf8(const char*, const char*)
    {24, 362, 8, 3, Smoke::mf_static, 158, 5},	//286 KSettings::PluginPage::tr(const char*, const char*, int)
    {24, 369, 8, 3, Smoke::mf_static, 158, 6},	//287 KSettings::PluginPage::trUtf8(const char*, const char*, int)
    {24, 296, 12, 3, Smoke::mf_virtual, 338, 7},	//288 KSettings::PluginPage::qt_metacall(QMetaObject::Call, int, void**)
    {24, 96, 175, 3, Smoke::mf_ctor, 37, 8},	//289 KSettings::PluginPage::PluginPage(const KComponentData&, QWidget*, const QList<QVariant>&)
    {24, 295, 0, 0, 0, 32, 9},	//290 KSettings::PluginPage::pluginSelector()
    {24, 223, 0, 0, Smoke::mf_virtual, 0, 10},	//291 KSettings::PluginPage::load()
    {24, 316, 0, 0, Smoke::mf_virtual, 0, 11},	//292 KSettings::PluginPage::save()
    {24, 176, 0, 0, Smoke::mf_virtual, 0, 12},	//293 KSettings::PluginPage::defaults()
    {24, 362, 3, 1, Smoke::mf_static, 158, 13},	//294 KSettings::PluginPage::tr(const char*)
    {24, 369, 3, 1, Smoke::mf_static, 158, 14},	//295 KSettings::PluginPage::trUtf8(const char*)
    {24, 96, 142, 1, Smoke::mf_ctor, 37, 15},	//296 KSettings::PluginPage::PluginPage(const KComponentData&)
    {24, 96, 179, 2, Smoke::mf_ctor, 37, 16},	//297 KSettings::PluginPage::PluginPage(const KComponentData&, QWidget*)
    {24, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 17},	//298 KSettings::PluginPage::staticMetaObject() const
    {24, 387, 0, 0, Smoke::mf_dtor, 0, 18 },	//299 KSettings::PluginPage::~PluginPage()
    {39, 338, 40, 1, Smoke::mf_virtual, 0, 0},	//300 QDialog::setVisible(bool)
    {39, 180, 96, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//301 QDialog::done(int)
    {39, 119, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//302 QDialog::accept()
    {39, 303, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//303 QDialog::reject()
    {39, 339, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//304 QDialog::showEvent(QShowEvent*)
    {39, 313, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//305 QDialog::resizeEvent(QResizeEvent*)
    {39, 170, 184, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//306 QDialog::contextMenuEvent(QContextMenuEvent*)
    {39, 190, 186, 2, Smoke::mf_protected|Smoke::mf_virtual, 272, 0},	//307 QDialog::eventFilter(QObject*, QEvent*)
    {47, 287, 189, 2, Smoke::mf_static, 113, 1},	//308 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {47, 241, 192, 2, Smoke::mf_static, 308, 2},	//309 QGlobalSpace::operator*(const QPoint&, double)
    {47, 241, 195, 2, Smoke::mf_static, 310, 3},	//310 QGlobalSpace::operator*(double, const QPointF&)
    {47, 287, 198, 2, Smoke::mf_static, 97, 4},	//311 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {47, 237, 201, 2, Smoke::mf_static, 272, 5},	//312 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {47, 241, 204, 2, Smoke::mf_static, 320, 6},	//313 QGlobalSpace::operator*(double, const QSizeF&)
    {47, 283, 207, 2, Smoke::mf_static, 59, 7},	//314 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {47, 263, 210, 2, Smoke::mf_static, 59, 8},	//315 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {47, 287, 213, 2, Smoke::mf_static, 113, 9},	//316 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {47, 287, 216, 2, Smoke::mf_static, 74, 10},	//317 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    {47, 237, 219, 2, Smoke::mf_static, 272, 11},	//318 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {47, 245, 222, 2, Smoke::mf_static, 318, 12},	//319 QGlobalSpace::operator+(const QSize&, const QSize&)
    {47, 263, 225, 2, Smoke::mf_static, 59, 13},	//320 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {47, 263, 228, 2, Smoke::mf_static, 59, 14},	//321 QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    {47, 241, 231, 2, Smoke::mf_static, 139, 15},	//322 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {47, 241, 234, 2, Smoke::mf_static, 118, 16},	//323 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {47, 271, 201, 2, Smoke::mf_static, 272, 17},	//324 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {47, 287, 237, 2, Smoke::mf_static, 113, 18},	//325 QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, int)
    {47, 287, 240, 2, Smoke::mf_static, 102, 19},	//326 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {47, 241, 243, 2, Smoke::mf_static, 320, 20},	//327 QGlobalSpace::operator*(const QSizeF&, double)
    {47, 263, 246, 2, Smoke::mf_static, 59, 21},	//328 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {47, 253, 249, 2, Smoke::mf_static, 320, 22},	//329 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {47, 287, 252, 2, Smoke::mf_static, 75, 23},	//330 QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    {47, 279, 255, 2, Smoke::mf_static, 272, 24},	//331 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {47, 271, 258, 2, Smoke::mf_static, 272, 25},	//332 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {47, 287, 261, 2, Smoke::mf_static, 97, 26},	//333 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {47, 287, 264, 2, Smoke::mf_static, 77, 27},	//334 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {47, 287, 267, 2, Smoke::mf_static, 77, 28},	//335 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {47, 237, 270, 2, Smoke::mf_static, 272, 29},	//336 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {47, 287, 273, 2, Smoke::mf_static, 72, 30},	//337 QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, KEmoticonsTheme::ParseModeEnum)
    {47, 271, 276, 2, Smoke::mf_static, 272, 31},	//338 QGlobalSpace::operator==(QBool, QBool)
    {47, 287, 279, 2, Smoke::mf_static, 113, 32},	//339 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {47, 287, 282, 2, Smoke::mf_static, 88, 33},	//340 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {47, 271, 285, 2, Smoke::mf_static, 272, 34},	//341 QGlobalSpace::operator==(QString::Null, QString::Null)
    {47, 283, 288, 2, Smoke::mf_static, 59, 35},	//342 QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    {47, 198, 3, 1, Smoke::mf_static, 158, 36},	//343 QGlobalSpace::i18n(const char*)
    {47, 263, 291, 2, Smoke::mf_static, 59, 37},	//344 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {47, 245, 294, 2, Smoke::mf_static, 323, 38},	//345 QGlobalSpace::operator+(QChar, const QString&)
    {47, 287, 297, 2, Smoke::mf_static, 82, 39},	//346 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {47, 287, 300, 2, Smoke::mf_static, 70, 40},	//347 QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    {47, 263, 303, 2, Smoke::mf_static, 59, 41},	//348 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {47, 250, 306, 1, Smoke::mf_static, 22, 42},	//349 QGlobalSpace::operator++(KIconLoader::Group&)
    {47, 263, 308, 2, Smoke::mf_static, 59, 43},	//350 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {47, 241, 311, 2, Smoke::mf_static, 143, 44},	//351 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {47, 287, 314, 2, Smoke::mf_static, 100, 45},	//352 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {47, 287, 317, 2, Smoke::mf_static, 113, 46},	//353 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {47, 245, 249, 2, Smoke::mf_static, 320, 47},	//354 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {47, 287, 320, 2, Smoke::mf_static, 113, 48},	//355 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {47, 287, 323, 2, Smoke::mf_static, 113, 49},	//356 QGlobalSpace::operator|(Qt::DropAction, int)
    {47, 263, 326, 2, Smoke::mf_static, 59, 50},	//357 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {47, 287, 329, 2, Smoke::mf_static, 79, 51},	//358 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {47, 287, 332, 2, Smoke::mf_static, 68, 52},	//359 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {47, 287, 335, 2, Smoke::mf_static, 88, 53},	//360 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {47, 283, 338, 2, Smoke::mf_static, 59, 54},	//361 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {47, 263, 341, 2, Smoke::mf_static, 59, 55},	//362 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {47, 287, 344, 2, Smoke::mf_static, 113, 56},	//363 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {47, 259, 347, 2, Smoke::mf_static, 272, 57},	//364 QGlobalSpace::operator<(const QByteArray&, const char*)
    {47, 366, 5, 2, Smoke::mf_static, 158, 58},	//365 QGlobalSpace::tr2i18n(const char*, const char*)
    {47, 366, 3, 1, Smoke::mf_static, 158, 59},	//366 QGlobalSpace::tr2i18n(const char*)
    {47, 287, 350, 2, Smoke::mf_static, 78, 60},	//367 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {47, 200, 5, 2, Smoke::mf_static, 158, 61},	//368 QGlobalSpace::i18nc(const char*, const char*)
    {47, 287, 353, 2, Smoke::mf_static, 89, 62},	//369 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {47, 287, 356, 2, Smoke::mf_static, 71, 63},	//370 QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    {47, 241, 359, 2, Smoke::mf_static, 118, 64},	//371 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {47, 287, 362, 2, Smoke::mf_static, 78, 65},	//372 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {47, 241, 365, 2, Smoke::mf_static, 120, 66},	//373 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {47, 287, 368, 2, Smoke::mf_static, 98, 67},	//374 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {47, 287, 371, 2, Smoke::mf_static, 113, 68},	//375 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {47, 241, 374, 2, Smoke::mf_static, 133, 69},	//376 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {47, 283, 377, 2, Smoke::mf_static, 59, 70},	//377 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {47, 287, 380, 2, Smoke::mf_static, 113, 71},	//378 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {47, 263, 383, 2, Smoke::mf_static, 59, 72},	//379 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {47, 263, 386, 2, Smoke::mf_static, 59, 73},	//380 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {47, 287, 389, 2, Smoke::mf_static, 91, 74},	//381 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {47, 283, 392, 2, Smoke::mf_static, 59, 75},	//382 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {47, 287, 395, 2, Smoke::mf_static, 82, 76},	//383 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {47, 245, 398, 2, Smoke::mf_static, 282, 77},	//384 QGlobalSpace::operator+(char, const QByteArray&)
    {47, 257, 192, 2, Smoke::mf_static, 308, 78},	//385 QGlobalSpace::operator/(const QPoint&, double)
    {47, 271, 401, 2, Smoke::mf_static, 272, 79},	//386 QGlobalSpace::operator==(const char*, const QByteArray&)
    {47, 283, 404, 2, Smoke::mf_static, 59, 80},	//387 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {47, 283, 407, 2, Smoke::mf_static, 59, 81},	//388 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {47, 287, 410, 2, Smoke::mf_static, 113, 82},	//389 QGlobalSpace::operator|(KDialog::ButtonCode, int)
    {47, 283, 413, 2, Smoke::mf_static, 59, 83},	//390 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {47, 271, 416, 2, Smoke::mf_static, 272, 84},	//391 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {47, 257, 419, 2, Smoke::mf_static, 169, 85},	//392 QGlobalSpace::operator/(const QTransform&, double)
    {47, 287, 422, 2, Smoke::mf_static, 73, 86},	//393 QGlobalSpace::operator|(KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>)
    {47, 215, 5, 2, Smoke::mf_static, 29, 87},	//394 QGlobalSpace::ki18nc(const char*, const char*)
    {47, 237, 425, 2, Smoke::mf_static, 272, 88},	//395 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {47, 259, 428, 2, Smoke::mf_static, 272, 89},	//396 QGlobalSpace::operator<(QChar, QChar)
    {47, 241, 431, 2, Smoke::mf_static, 133, 90},	//397 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {47, 263, 434, 2, Smoke::mf_static, 59, 91},	//398 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {47, 287, 437, 2, Smoke::mf_static, 70, 92},	//399 QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    {47, 287, 440, 2, Smoke::mf_static, 113, 93},	//400 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    {47, 283, 443, 2, Smoke::mf_static, 59, 94},	//401 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {47, 241, 446, 2, Smoke::mf_static, 310, 95},	//402 QGlobalSpace::operator*(const QPointF&, double)
    {47, 287, 449, 2, Smoke::mf_static, 113, 96},	//403 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {47, 271, 222, 2, Smoke::mf_static, 272, 97},	//404 QGlobalSpace::operator==(const QSize&, const QSize&)
    {47, 263, 452, 2, Smoke::mf_static, 59, 98},	//405 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {47, 287, 455, 2, Smoke::mf_static, 96, 99},	//406 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {47, 287, 458, 2, Smoke::mf_static, 113, 100},	//407 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {47, 237, 255, 2, Smoke::mf_static, 272, 101},	//408 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {47, 287, 461, 2, Smoke::mf_static, 84, 102},	//409 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {47, 283, 464, 2, Smoke::mf_static, 59, 103},	//410 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {47, 287, 467, 2, Smoke::mf_static, 95, 104},	//411 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {47, 257, 243, 2, Smoke::mf_static, 320, 105},	//412 QGlobalSpace::operator/(const QSizeF&, double)
    {47, 287, 470, 2, Smoke::mf_static, 96, 106},	//413 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {47, 283, 473, 2, Smoke::mf_static, 59, 107},	//414 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {47, 275, 428, 2, Smoke::mf_static, 272, 108},	//415 QGlobalSpace::operator>(QChar, QChar)
    {47, 241, 476, 2, Smoke::mf_static, 141, 109},	//416 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {47, 279, 401, 2, Smoke::mf_static, 272, 110},	//417 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {47, 271, 479, 2, Smoke::mf_static, 272, 111},	//418 QGlobalSpace::operator==(const QString&, QString::Null)
    {47, 287, 482, 2, Smoke::mf_static, 67, 112},	//419 QGlobalSpace::operator|(KCModule::Button, QFlags<KCModule::Button>)
    {47, 259, 255, 2, Smoke::mf_static, 272, 113},	//420 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {47, 287, 485, 2, Smoke::mf_static, 113, 114},	//421 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {47, 283, 488, 2, Smoke::mf_static, 59, 115},	//422 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {47, 253, 491, 1, Smoke::mf_static, 310, 116},	//423 QGlobalSpace::operator-(const QPointF&)
    {47, 287, 493, 2, Smoke::mf_static, 94, 117},	//424 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {47, 263, 496, 2, Smoke::mf_static, 59, 118},	//425 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {47, 287, 499, 2, Smoke::mf_static, 103, 119},	//426 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {47, 241, 502, 2, Smoke::mf_static, 139, 120},	//427 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {47, 287, 505, 2, Smoke::mf_static, 94, 121},	//428 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {47, 287, 508, 2, Smoke::mf_static, 101, 122},	//429 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {47, 279, 425, 2, Smoke::mf_static, 272, 123},	//430 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {47, 271, 270, 2, Smoke::mf_static, 272, 124},	//431 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {47, 263, 511, 2, Smoke::mf_static, 59, 125},	//432 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {47, 287, 514, 2, Smoke::mf_static, 84, 126},	//433 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {47, 217, 517, 3, Smoke::mf_static, 29, 127},	//434 QGlobalSpace::ki18ncp(const char*, const char*, const char*)
    {47, 263, 521, 2, Smoke::mf_static, 59, 128},	//435 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {47, 283, 524, 2, Smoke::mf_static, 59, 129},	//436 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {47, 287, 527, 2, Smoke::mf_static, 95, 130},	//437 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {47, 259, 401, 2, Smoke::mf_static, 272, 131},	//438 QGlobalSpace::operator<(const char*, const QByteArray&)
    {47, 287, 530, 2, Smoke::mf_static, 113, 132},	//439 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {47, 287, 533, 2, Smoke::mf_static, 113, 133},	//440 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {47, 241, 536, 2, Smoke::mf_static, 137, 134},	//441 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {47, 287, 539, 2, Smoke::mf_static, 113, 135},	//442 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {47, 287, 542, 2, Smoke::mf_static, 76, 136},	//443 QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    {47, 237, 222, 2, Smoke::mf_static, 272, 137},	//444 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {47, 287, 545, 2, Smoke::mf_static, 92, 138},	//445 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {47, 267, 347, 2, Smoke::mf_static, 272, 139},	//446 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {47, 237, 548, 2, Smoke::mf_static, 272, 140},	//447 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {47, 287, 551, 2, Smoke::mf_static, 113, 141},	//448 QGlobalSpace::operator|(QString::SectionFlag, int)
    {47, 287, 554, 2, Smoke::mf_static, 113, 142},	//449 QGlobalSpace::operator|(Qt::WindowType, int)
    {47, 287, 557, 2, Smoke::mf_static, 87, 143},	//450 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {47, 271, 560, 2, Smoke::mf_static, 272, 144},	//451 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {47, 271, 563, 2, Smoke::mf_static, 272, 145},	//452 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {47, 287, 566, 2, Smoke::mf_static, 80, 146},	//453 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {47, 287, 569, 2, Smoke::mf_static, 86, 147},	//454 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {47, 283, 572, 2, Smoke::mf_static, 59, 148},	//455 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {47, 263, 575, 2, Smoke::mf_static, 59, 149},	//456 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {47, 287, 578, 2, Smoke::mf_static, 113, 150},	//457 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {47, 241, 419, 2, Smoke::mf_static, 169, 151},	//458 QGlobalSpace::operator*(const QTransform&, double)
    {47, 287, 581, 2, Smoke::mf_static, 71, 152},	//459 QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    {47, 259, 425, 2, Smoke::mf_static, 272, 153},	//460 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {47, 287, 584, 2, Smoke::mf_static, 87, 154},	//461 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {47, 237, 587, 2, Smoke::mf_static, 272, 155},	//462 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {47, 237, 401, 2, Smoke::mf_static, 272, 156},	//463 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {47, 275, 425, 2, Smoke::mf_static, 272, 157},	//464 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {47, 287, 590, 2, Smoke::mf_static, 113, 158},	//465 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {47, 287, 593, 2, Smoke::mf_static, 81, 159},	//466 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {47, 287, 596, 2, Smoke::mf_static, 69, 160},	//467 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {47, 287, 599, 2, Smoke::mf_static, 113, 161},	//468 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {47, 263, 602, 2, Smoke::mf_static, 59, 162},	//469 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {47, 283, 605, 2, Smoke::mf_static, 59, 163},	//470 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {47, 263, 608, 2, Smoke::mf_static, 59, 164},	//471 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {47, 241, 611, 2, Smoke::mf_static, 308, 165},	//472 QGlobalSpace::operator*(const QPoint&, float)
    {47, 287, 614, 2, Smoke::mf_static, 75, 166},	//473 QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    {47, 245, 116, 2, Smoke::mf_static, 323, 167},	//474 QGlobalSpace::operator+(const QString&, const QString&)
    {47, 237, 347, 2, Smoke::mf_static, 272, 168},	//475 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {47, 237, 617, 2, Smoke::mf_static, 272, 169},	//476 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {47, 287, 620, 2, Smoke::mf_static, 113, 170},	//477 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {47, 287, 623, 2, Smoke::mf_static, 113, 171},	//478 QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    {47, 287, 626, 2, Smoke::mf_static, 113, 172},	//479 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {47, 283, 629, 2, Smoke::mf_static, 59, 173},	//480 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {47, 275, 255, 2, Smoke::mf_static, 272, 174},	//481 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {47, 271, 548, 2, Smoke::mf_static, 272, 175},	//482 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {47, 271, 632, 2, Smoke::mf_static, 272, 176},	//483 QGlobalSpace::operator==(const char*, const QStringRef&)
    {47, 245, 401, 2, Smoke::mf_static, 282, 177},	//484 QGlobalSpace::operator+(const char*, const QByteArray&)
    {47, 287, 635, 2, Smoke::mf_static, 113, 178},	//485 QGlobalSpace::operator|(Qt::MouseButton, int)
    {47, 283, 638, 2, Smoke::mf_static, 59, 179},	//486 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {47, 267, 425, 2, Smoke::mf_static, 272, 180},	//487 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {47, 283, 641, 2, Smoke::mf_static, 59, 181},	//488 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {47, 287, 644, 2, Smoke::mf_static, 93, 182},	//489 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {47, 287, 647, 2, Smoke::mf_static, 76, 183},	//490 QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    {47, 283, 650, 2, Smoke::mf_static, 59, 184},	//491 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {47, 271, 428, 2, Smoke::mf_static, 272, 185},	//492 QGlobalSpace::operator==(QChar, QChar)
    {47, 287, 653, 2, Smoke::mf_static, 99, 186},	//493 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {47, 237, 560, 2, Smoke::mf_static, 272, 187},	//494 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {47, 241, 656, 2, Smoke::mf_static, 120, 188},	//495 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {47, 237, 659, 2, Smoke::mf_static, 272, 189},	//496 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {47, 263, 662, 2, Smoke::mf_static, 59, 190},	//497 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {47, 263, 665, 2, Smoke::mf_static, 59, 191},	//498 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {47, 287, 668, 2, Smoke::mf_static, 100, 192},	//499 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {47, 263, 671, 2, Smoke::mf_static, 59, 193},	//500 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {47, 287, 674, 2, Smoke::mf_static, 80, 194},	//501 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {47, 287, 677, 2, Smoke::mf_static, 113, 195},	//502 QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    {47, 263, 680, 2, Smoke::mf_static, 59, 196},	//503 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {47, 237, 258, 2, Smoke::mf_static, 272, 197},	//504 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {47, 237, 428, 2, Smoke::mf_static, 272, 198},	//505 QGlobalSpace::operator!=(QChar, QChar)
    {47, 287, 683, 2, Smoke::mf_static, 83, 199},	//506 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {47, 287, 686, 2, Smoke::mf_static, 102, 200},	//507 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {47, 287, 689, 2, Smoke::mf_static, 86, 201},	//508 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {47, 271, 249, 2, Smoke::mf_static, 272, 202},	//509 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {47, 283, 692, 2, Smoke::mf_static, 59, 203},	//510 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {47, 263, 695, 2, Smoke::mf_static, 59, 204},	//511 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {47, 283, 698, 2, Smoke::mf_static, 59, 205},	//512 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {47, 271, 425, 2, Smoke::mf_static, 272, 206},	//513 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {47, 237, 701, 2, Smoke::mf_static, 272, 207},	//514 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {47, 241, 704, 2, Smoke::mf_static, 318, 208},	//515 QGlobalSpace::operator*(double, const QSize&)
    {47, 287, 707, 2, Smoke::mf_static, 67, 209},	//516 QGlobalSpace::operator|(KCModule::Button, KCModule::Button)
    {47, 279, 347, 2, Smoke::mf_static, 272, 210},	//517 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {47, 241, 710, 2, Smoke::mf_static, 308, 211},	//518 QGlobalSpace::operator*(double, const QPoint&)
    {47, 263, 713, 2, Smoke::mf_static, 59, 212},	//519 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {47, 263, 716, 2, Smoke::mf_static, 59, 213},	//520 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {47, 245, 719, 2, Smoke::mf_static, 282, 214},	//521 QGlobalSpace::operator+(const QByteArray&, char)
    {47, 257, 446, 2, Smoke::mf_static, 310, 215},	//522 QGlobalSpace::operator/(const QPointF&, double)
    {47, 279, 428, 2, Smoke::mf_static, 272, 216},	//523 QGlobalSpace::operator>=(QChar, QChar)
    {47, 267, 255, 2, Smoke::mf_static, 272, 217},	//524 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {47, 283, 722, 2, Smoke::mf_static, 59, 218},	//525 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {47, 287, 725, 2, Smoke::mf_static, 85, 219},	//526 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {47, 263, 728, 2, Smoke::mf_static, 59, 220},	//527 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {47, 275, 401, 2, Smoke::mf_static, 272, 221},	//528 QGlobalSpace::operator>(const char*, const QByteArray&)
    {47, 287, 731, 2, Smoke::mf_static, 74, 222},	//529 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    {47, 283, 734, 2, Smoke::mf_static, 59, 223},	//530 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {47, 263, 737, 2, Smoke::mf_static, 59, 224},	//531 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {47, 271, 701, 2, Smoke::mf_static, 272, 225},	//532 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {47, 237, 740, 2, Smoke::mf_static, 272, 226},	//533 QGlobalSpace::operator!=(bool, QBool)
    {47, 287, 743, 2, Smoke::mf_static, 81, 227},	//534 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {47, 241, 746, 2, Smoke::mf_static, 141, 228},	//535 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {47, 237, 749, 2, Smoke::mf_static, 272, 229},	//536 QGlobalSpace::operator!=(QBool, bool)
    {47, 287, 752, 2, Smoke::mf_static, 113, 230},	//537 QGlobalSpace::operator|(Qt::WindowState, int)
    {47, 253, 548, 2, Smoke::mf_static, 308, 231},	//538 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {47, 283, 755, 2, Smoke::mf_static, 59, 232},	//539 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {47, 245, 347, 2, Smoke::mf_static, 282, 233},	//540 QGlobalSpace::operator+(const QByteArray&, const char*)
    {47, 263, 758, 2, Smoke::mf_static, 59, 234},	//541 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {47, 237, 249, 2, Smoke::mf_static, 272, 235},	//542 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {47, 267, 401, 2, Smoke::mf_static, 272, 236},	//543 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {47, 287, 761, 2, Smoke::mf_static, 113, 237},	//544 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {47, 213, 3, 1, Smoke::mf_static, 29, 238},	//545 QGlobalSpace::ki18n(const char*)
    {47, 287, 764, 2, Smoke::mf_static, 89, 239},	//546 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {47, 263, 767, 2, Smoke::mf_static, 59, 240},	//547 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {47, 271, 617, 2, Smoke::mf_static, 272, 241},	//548 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {47, 287, 770, 2, Smoke::mf_static, 73, 242},	//549 QGlobalSpace::operator|(KLocale::DateTimeComponent, KLocale::DateTimeComponent)
    {47, 263, 773, 2, Smoke::mf_static, 59, 243},	//550 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {47, 287, 776, 2, Smoke::mf_static, 103, 244},	//551 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {47, 241, 779, 2, Smoke::mf_static, 318, 245},	//552 QGlobalSpace::operator*(const QSize&, double)
    {47, 271, 782, 2, Smoke::mf_static, 272, 246},	//553 QGlobalSpace::operator==(QString::Null, const QString&)
    {47, 287, 785, 2, Smoke::mf_static, 93, 247},	//554 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {47, 287, 788, 2, Smoke::mf_static, 68, 248},	//555 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {47, 283, 791, 2, Smoke::mf_static, 59, 249},	//556 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {47, 271, 347, 2, Smoke::mf_static, 272, 250},	//557 QGlobalSpace::operator==(const QByteArray&, const char*)
    {47, 283, 794, 2, Smoke::mf_static, 59, 251},	//558 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {47, 263, 797, 2, Smoke::mf_static, 59, 252},	//559 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {47, 283, 800, 2, Smoke::mf_static, 59, 253},	//560 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {47, 275, 347, 2, Smoke::mf_static, 272, 254},	//561 QGlobalSpace::operator>(const QByteArray&, const char*)
    {47, 245, 548, 2, Smoke::mf_static, 308, 255},	//562 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {47, 267, 428, 2, Smoke::mf_static, 272, 256},	//563 QGlobalSpace::operator<=(QChar, QChar)
    {47, 287, 803, 2, Smoke::mf_static, 113, 257},	//564 QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    {47, 241, 806, 2, Smoke::mf_static, 149, 258},	//565 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {47, 237, 782, 2, Smoke::mf_static, 272, 259},	//566 QGlobalSpace::operator!=(QString::Null, const QString&)
    {47, 287, 809, 2, Smoke::mf_static, 113, 260},	//567 QGlobalSpace::operator|(KCModule::Button, int)
    {47, 287, 812, 2, Smoke::mf_static, 85, 261},	//568 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {47, 237, 479, 2, Smoke::mf_static, 272, 262},	//569 QGlobalSpace::operator!=(const QString&, QString::Null)
    {47, 287, 815, 2, Smoke::mf_static, 113, 263},	//570 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {47, 241, 818, 2, Smoke::mf_static, 308, 264},	//571 QGlobalSpace::operator*(int, const QPoint&)
    {47, 287, 821, 2, Smoke::mf_static, 91, 265},	//572 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {47, 241, 824, 2, Smoke::mf_static, 143, 266},	//573 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {47, 253, 827, 1, Smoke::mf_static, 308, 267},	//574 QGlobalSpace::operator-(const QPoint&)
    {47, 283, 829, 2, Smoke::mf_static, 59, 268},	//575 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {47, 287, 832, 2, Smoke::mf_static, 79, 269},	//576 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {47, 283, 835, 2, Smoke::mf_static, 59, 270},	//577 QGlobalSpace::operator>>(QDataStream&, QString&)
    {47, 271, 255, 2, Smoke::mf_static, 272, 271},	//578 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {47, 263, 838, 2, Smoke::mf_static, 59, 272},	//579 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {47, 253, 416, 2, Smoke::mf_static, 310, 273},	//580 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {47, 283, 841, 2, Smoke::mf_static, 59, 274},	//581 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {47, 245, 419, 2, Smoke::mf_static, 169, 275},	//582 QGlobalSpace::operator+(const QTransform&, double)
    {47, 287, 844, 2, Smoke::mf_static, 99, 276},	//583 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {47, 271, 587, 2, Smoke::mf_static, 272, 277},	//584 QGlobalSpace::operator==(const QStringRef&, const char*)
    {47, 237, 632, 2, Smoke::mf_static, 272, 278},	//585 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {47, 283, 847, 2, Smoke::mf_static, 59, 279},	//586 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {47, 245, 255, 2, Smoke::mf_static, 282, 280},	//587 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {47, 287, 850, 2, Smoke::mf_static, 72, 281},	//588 QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, QFlags<KEmoticonsTheme::ParseModeEnum>)
    {47, 287, 853, 2, Smoke::mf_static, 69, 282},	//589 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {47, 283, 856, 2, Smoke::mf_static, 59, 283},	//590 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {47, 287, 859, 2, Smoke::mf_static, 113, 284},	//591 QGlobalSpace::operator|(KLocale::DateTimeComponent, int)
    {47, 287, 862, 2, Smoke::mf_static, 113, 285},	//592 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {47, 263, 865, 2, Smoke::mf_static, 59, 286},	//593 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {47, 263, 868, 2, Smoke::mf_static, 59, 287},	//594 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {47, 257, 779, 2, Smoke::mf_static, 318, 288},	//595 QGlobalSpace::operator/(const QSize&, double)
    {47, 283, 871, 2, Smoke::mf_static, 59, 289},	//596 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {47, 283, 874, 2, Smoke::mf_static, 59, 290},	//597 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {47, 271, 740, 2, Smoke::mf_static, 272, 291},	//598 QGlobalSpace::operator==(bool, QBool)
    {47, 287, 877, 2, Smoke::mf_static, 101, 292},	//599 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {47, 287, 880, 2, Smoke::mf_static, 113, 293},	//600 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {47, 241, 883, 2, Smoke::mf_static, 137, 294},	//601 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {47, 263, 886, 2, Smoke::mf_static, 59, 295},	//602 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {47, 219, 5, 2, Smoke::mf_static, 29, 296},	//603 QGlobalSpace::ki18np(const char*, const char*)
    {47, 283, 889, 2, Smoke::mf_static, 59, 297},	//604 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {47, 237, 416, 2, Smoke::mf_static, 272, 298},	//605 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {47, 241, 892, 2, Smoke::mf_static, 308, 299},	//606 QGlobalSpace::operator*(const QPoint&, int)
    {47, 287, 895, 2, Smoke::mf_static, 92, 300},	//607 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {47, 253, 222, 2, Smoke::mf_static, 318, 301},	//608 QGlobalSpace::operator-(const QSize&, const QSize&)
    {47, 287, 898, 2, Smoke::mf_static, 90, 302},	//609 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {47, 287, 901, 2, Smoke::mf_static, 90, 303},	//610 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {47, 287, 904, 2, Smoke::mf_static, 113, 304},	//611 QGlobalSpace::operator|(Qt::Orientation, int)
    {47, 245, 416, 2, Smoke::mf_static, 310, 305},	//612 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {47, 241, 907, 2, Smoke::mf_static, 149, 306},	//613 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {47, 271, 749, 2, Smoke::mf_static, 272, 307},	//614 QGlobalSpace::operator==(QBool, bool)
    {47, 271, 219, 2, Smoke::mf_static, 272, 308},	//615 QGlobalSpace::operator==(const QRect&, const QRect&)
    {47, 241, 910, 2, Smoke::mf_static, 308, 309},	//616 QGlobalSpace::operator*(float, const QPoint&)
    {47, 283, 913, 2, Smoke::mf_static, 59, 310},	//617 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {47, 287, 916, 2, Smoke::mf_static, 83, 311},	//618 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {47, 245, 919, 2, Smoke::mf_static, 323, 312},	//619 QGlobalSpace::operator+(const QString&, QChar)
    {47, 237, 285, 2, Smoke::mf_static, 272, 313},	//620 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {47, 287, 922, 2, Smoke::mf_static, 98, 314},	//621 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {47, 237, 276, 2, Smoke::mf_static, 272, 315},	//622 QGlobalSpace::operator!=(QBool, QBool)
    {47, 271, 659, 2, Smoke::mf_static, 272, 316},	//623 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {47, 253, 419, 2, Smoke::mf_static, 169, 317},	//624 QGlobalSpace::operator-(const QTransform&, double)
    {47, 250, 925, 2, Smoke::mf_static, 21, 318},	//625 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {47, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 339, 319},	//626 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {47, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 339, 320},	//627 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {47, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 339, 321},	//628 QGlobalSpace::Q_STATIC_TYPE (enum)
    {47, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 339, 322},	//629 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {47, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 339, 323},	//630 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {47, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 324},	//631 QGlobalSpace::LicensedGui (enum)
    {47, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 325},	//632 QGlobalSpace::LicensedXml (enum)
    {47, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 326},	//633 QGlobalSpace::LicensedQt3SupportLight (enum)
    {47, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 327},	//634 QGlobalSpace::KST_KSycocaEntry (enum)
    {47, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 328},	//635 QGlobalSpace::KST_KService (enum)
    {47, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 329},	//636 QGlobalSpace::KST_KServiceType (enum)
    {47, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 330},	//637 QGlobalSpace::KST_KMimeType (enum)
    {47, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 331},	//638 QGlobalSpace::KST_KFolderMimeType (enum)
    {47, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 332},	//639 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {47, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 333},	//640 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {47, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 334},	//641 QGlobalSpace::KST_KServiceGroup (enum)
    {47, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 335},	//642 QGlobalSpace::KST_KImageIOFormat (enum)
    {47, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 336},	//643 QGlobalSpace::KST_KProtocolInfo (enum)
    {47, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 337},	//644 QGlobalSpace::KST_KServiceSeparator (enum)
    {47, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 338},	//645 QGlobalSpace::KST_KCustom (enum)
    {47, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 339},	//646 QGlobalSpace::LicensedScript (enum)
    {47, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 340},	//647 QGlobalSpace::LicensedOpenVG (enum)
    {47, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 341},	//648 QGlobalSpace::LicensedDBus (enum)
    {47, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 342},	//649 QGlobalSpace::LicensedTest (enum)
    {47, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 252, 343},	//650 QGlobalSpace::LicensedActiveQt (enum)
    {47, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 344},	//651 QGlobalSpace::LicensedScriptTools (enum)
    {47, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 267, 345},	//652 QGlobalSpace::LicensedSvg (enum)
    {47, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 346},	//653 QGlobalSpace::LicensedDeclarative (enum)
    {47, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 347},	//654 QGlobalSpace::LicensedSql (enum)
    {47, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 348},	//655 QGlobalSpace::LicensedOpenGL (enum)
    {47, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 253, 349},	//656 QGlobalSpace::LicensedCore (enum)
    {47, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 350},	//657 QGlobalSpace::QtDebugMsg (enum)
    {47, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 351},	//658 QGlobalSpace::QtWarningMsg (enum)
    {47, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 352},	//659 QGlobalSpace::QtCriticalMsg (enum)
    {47, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 353},	//660 QGlobalSpace::QtFatalMsg (enum)
    {47, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 354},	//661 QGlobalSpace::QtSystemMsg (enum)
    {47, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 355},	//662 QGlobalSpace::LicensedHelp (enum)
    {47, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 356},	//663 QGlobalSpace::LicensedMultimedia (enum)
    {47, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 357},	//664 QGlobalSpace::LicensedQt3Support (enum)
    {47, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 358},	//665 QGlobalSpace::KST_KServiceFactory (enum)
    {47, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 359},	//666 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {47, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 360},	//667 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {47, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 361},	//668 QGlobalSpace::KST_KImageIO (enum)
    {47, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 362},	//669 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {47, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 363},	//670 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {47, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 364},	//671 QGlobalSpace::KST_CTimeInfo (enum)
    {47, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 365},	//672 QGlobalSpace::LicensedXmlPatterns (enum)
    {47, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 366},	//673 QGlobalSpace::LicensedNetwork (enum)
    {64, 189, 928, 1, Smoke::mf_virtual, 272, 0},	//674 QObject::event(QEvent*)
    {64, 190, 186, 2, Smoke::mf_virtual, 272, 0},	//675 QObject::eventFilter(QObject*, QEvent*)
    {64, 361, 930, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//676 QObject::timerEvent(QTimerEvent*)
    {64, 162, 932, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//677 QObject::childEvent(QChildEvent*)
    {64, 173, 928, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//678 QObject::customEvent(QEvent*)
    {64, 169, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//679 QObject::connectNotify(const char*)
    {64, 179, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//680 QObject::disconnectNotify(const char*)
    {95, 178, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 338, 0},	//681 QWidget::devType() const
    {95, 338, 40, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//682 QWidget::setVisible(bool)
    {95, 342, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 153, 0},	//683 QWidget::sizeHint() const
    {95, 228, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 153, 0},	//684 QWidget::minimumSizeHint() const
    {95, 196, 96, 1, Smoke::mf_const|Smoke::mf_virtual, 338, 0},	//685 QWidget::heightForWidth(int) const
    {95, 289, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 131, 0},	//686 QWidget::paintEngine() const
    {95, 189, 928, 1, Smoke::mf_protected|Smoke::mf_virtual, 272, 0},	//687 QWidget::event(QEvent*)
    {95, 232, 934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//688 QWidget::mousePressEvent(QMouseEvent*)
    {95, 233, 934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//689 QWidget::mouseReleaseEvent(QMouseEvent*)
    {95, 230, 934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//690 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {95, 231, 934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//691 QWidget::mouseMoveEvent(QMouseEvent*)
    {95, 375, 936, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//692 QWidget::wheelEvent(QWheelEvent*)
    {95, 211, 94, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//693 QWidget::keyPressEvent(QKeyEvent*)
    {95, 212, 94, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//694 QWidget::keyReleaseEvent(QKeyEvent*)
    {95, 192, 938, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//695 QWidget::focusInEvent(QFocusEvent*)
    {95, 194, 938, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//696 QWidget::focusOutEvent(QFocusEvent*)
    {95, 188, 928, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//697 QWidget::enterEvent(QEvent*)
    {95, 222, 928, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//698 QWidget::leaveEvent(QEvent*)
    {95, 290, 940, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//699 QWidget::paintEvent(QPaintEvent*)
    {95, 234, 942, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//700 QWidget::moveEvent(QMoveEvent*)
    {95, 313, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//701 QWidget::resizeEvent(QResizeEvent*)
    {95, 165, 92, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//702 QWidget::closeEvent(QCloseEvent*)
    {95, 170, 184, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//703 QWidget::contextMenuEvent(QContextMenuEvent*)
    {95, 352, 944, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//704 QWidget::tabletEvent(QTabletEvent*)
    {95, 120, 946, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//705 QWidget::actionEvent(QActionEvent*)
    {95, 181, 948, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//706 QWidget::dragEnterEvent(QDragEnterEvent*)
    {95, 183, 950, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//707 QWidget::dragMoveEvent(QDragMoveEvent*)
    {95, 182, 952, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//708 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {95, 184, 954, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//709 QWidget::dropEvent(QDropEvent*)
    {95, 339, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//710 QWidget::showEvent(QShowEvent*)
    {95, 197, 90, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//711 QWidget::hideEvent(QHideEvent*)
    {95, 377, 956, 1, Smoke::mf_protected|Smoke::mf_virtual, 272, 0},	//712 QWidget::x11Event(_XEvent*)
    {95, 156, 928, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//713 QWidget::changeEvent(QEvent*)
    {95, 227, 958, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 338, 0},	//714 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {95, 204, 960, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//715 QWidget::inputMethodEvent(QInputMethodEvent*)
    {95, 205, 962, 1, Smoke::mf_const|Smoke::mf_virtual, 173, 0},	//716 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {95, 193, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 272, 0},	//717 QWidget::focusNextPrevChild(bool)
    {95, 351, 964, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//718 QWidget::styleChange(QStyle&)
    {95, 187, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//719 QWidget::enabledChange(bool)
    {95, 291, 966, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//720 QWidget::paletteChange(const QPalette&)
    {95, 195, 968, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//721 QWidget::fontChange(const QFont&)
    {95, 376, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//722 QWidget::windowActivationChange(bool)
    {95, 221, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//723 QWidget::languageChange()
    {95, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 44},	//724 QWidget::DrawWindowBackground (enum)
    {95, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 45},	//725 QWidget::DrawChildren (enum)
    {95, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 46},	//726 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    312,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    318,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    336,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    395,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    408,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    444,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    447,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    496,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    504,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    505,  // QGlobalSpace::operator!=(QChar, QChar)
    514,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    542,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    605,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    620,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    622,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    462,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    475,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    494,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    536,  // QGlobalSpace::operator!=(QBool, bool)
    566,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    463,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    476,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    533,  // QGlobalSpace::operator!=(bool, QBool)
    569,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    585,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    0,
    322,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    323,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    351,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    371,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    373,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    376,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    397,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    416,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    427,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    441,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    495,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    535,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    565,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    573,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    601,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    613,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    309,  // QGlobalSpace::operator*(const QPoint&, double)
    327,  // QGlobalSpace::operator*(const QSizeF&, double)
    402,  // QGlobalSpace::operator*(const QPointF&, double)
    458,  // QGlobalSpace::operator*(const QTransform&, double)
    472,  // QGlobalSpace::operator*(const QPoint&, float)
    552,  // QGlobalSpace::operator*(const QSize&, double)
    606,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    310,  // QGlobalSpace::operator*(double, const QPointF&)
    313,  // QGlobalSpace::operator*(double, const QSizeF&)
    515,  // QGlobalSpace::operator*(double, const QSize&)
    518,  // QGlobalSpace::operator*(double, const QPoint&)
    571,  // QGlobalSpace::operator*(int, const QPoint&)
    616,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    319,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    354,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    562,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    587,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    612,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    345,  // QGlobalSpace::operator+(QChar, const QString&)
    521,  // QGlobalSpace::operator+(const QByteArray&, char)
    540,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    582,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    384,  // QGlobalSpace::operator+(char, const QByteArray&)
    484,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    619,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    423,  // QGlobalSpace::operator-(const QPointF&)
    574,  // QGlobalSpace::operator-(const QPoint&)
    0,
    329,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    538,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    580,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    608,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    385,  // QGlobalSpace::operator/(const QPoint&, double)
    392,  // QGlobalSpace::operator/(const QTransform&, double)
    412,  // QGlobalSpace::operator/(const QSizeF&, double)
    522,  // QGlobalSpace::operator/(const QPointF&, double)
    595,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    396,  // QGlobalSpace::operator<(QChar, QChar)
    420,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    460,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    315,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    320,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    321,  // QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    328,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    344,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    348,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    350,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    362,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    379,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    380,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    398,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    405,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    425,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    432,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    435,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    456,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    469,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    471,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    497,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    498,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    500,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    503,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    511,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    519,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    520,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    527,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    531,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    541,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    547,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    550,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    559,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    593,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    602,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    0,
    579,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    594,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    487,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    524,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    563,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    324,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    332,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    338,  // QGlobalSpace::operator==(QBool, QBool)
    341,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    391,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    404,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    431,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    452,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    482,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    492,  // QGlobalSpace::operator==(QChar, QChar)
    509,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    513,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    532,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    578,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    615,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    623,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    451,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    553,  // QGlobalSpace::operator==(QString::Null, const QString&)
    557,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    584,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    614,  // QGlobalSpace::operator==(QBool, bool)
    0,
    386,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    418,  // QGlobalSpace::operator==(const QString&, QString::Null)
    483,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    548,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    598,  // QGlobalSpace::operator==(bool, QBool)
    0,
    415,  // QGlobalSpace::operator>(QChar, QChar)
    464,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    481,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    331,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    430,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    523,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    314,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    342,  // QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    361,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    377,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    382,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    387,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    388,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    390,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    401,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    410,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    414,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    422,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    436,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    455,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    470,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    480,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    486,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    488,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    510,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    512,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    525,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    530,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    556,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    558,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    560,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    575,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    581,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    586,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    590,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    596,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    597,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    604,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    617,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    491,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    577,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    308,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    311,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    316,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    317,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    325,  // QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, int)
    326,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    330,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    333,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    334,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    335,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    337,  // QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, KEmoticonsTheme::ParseModeEnum)
    339,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    340,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    346,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    347,  // QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    352,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    353,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    355,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    356,  // QGlobalSpace::operator|(Qt::DropAction, int)
    358,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    359,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    360,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    363,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    367,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    369,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    370,  // QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    372,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    374,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    375,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    378,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    381,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    383,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    389,  // QGlobalSpace::operator|(KDialog::ButtonCode, int)
    393,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>)
    399,  // QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    400,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    403,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    406,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    407,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    409,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    411,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    413,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    419,  // QGlobalSpace::operator|(KCModule::Button, QFlags<KCModule::Button>)
    421,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    424,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    426,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    428,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    429,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    433,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    437,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    439,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    440,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    442,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    443,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    445,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    448,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    449,  // QGlobalSpace::operator|(Qt::WindowType, int)
    450,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    453,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    454,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    457,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    459,  // QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    461,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    465,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    466,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    467,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    468,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    473,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    477,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    478,  // QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    479,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    485,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    489,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    490,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    493,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    499,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    501,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    502,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    506,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    507,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    508,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    516,  // QGlobalSpace::operator|(KCModule::Button, KCModule::Button)
    526,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    529,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    534,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    537,  // QGlobalSpace::operator|(Qt::WindowState, int)
    544,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    546,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    549,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, KLocale::DateTimeComponent)
    551,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    554,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    555,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    564,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    567,  // QGlobalSpace::operator|(KCModule::Button, int)
    568,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    570,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    572,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    576,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    583,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    588,  // QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, QFlags<KEmoticonsTheme::ParseModeEnum>)
    589,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    591,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, int)
    592,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    599,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    600,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    607,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    609,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    610,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    611,  // QGlobalSpace::operator|(Qt::Orientation, int)
    618,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    621,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {3, 24, 24},	// KCModuleContainer::KCModuleContainer#
    {3, 25, 17},	// KCModuleContainer::KCModuleContainer#$
    {3, 26, 16},	// KCModuleContainer::KCModuleContainer#?
    {3, 134, 18},	// KCModuleContainer::addModule$
    {3, 152, 28},	// KCModuleContainer::allModules
    {3, 160, 26},	// KCModuleContainer::changedModules
    {3, 176, 21},	// KCModuleContainer::defaults
    {3, 223, 20},	// KCModuleContainer::load
    {3, 226, 9},	// KCModuleContainer::metaObject
    {3, 297, 15},	// KCModuleContainer::qt_metacall$$?
    {3, 299, 10},	// KCModuleContainer::qt_metacast$
    {3, 316, 19},	// KCModuleContainer::save
    {3, 318, 29},	// KCModuleContainer::setAllModules?
    {3, 325, 27},	// KCModuleContainer::setChangedModules?
    {3, 349, 25},	// KCModuleContainer::staticMetaObject
    {3, 363, 22},	// KCModuleContainer::tr$
    {3, 364, 11},	// KCModuleContainer::tr$$
    {3, 365, 13},	// KCModuleContainer::tr$$$
    {3, 370, 23},	// KCModuleContainer::trUtf8$
    {3, 371, 12},	// KCModuleContainer::trUtf8$$
    {3, 372, 14},	// KCModuleContainer::trUtf8$$$
    {3, 379, 30},	// KCModuleContainer::~KCModuleContainer
    {5, 28, 64},	// KCModuleProxy::KCModuleProxy#
    {5, 29, 65},	// KCModuleProxy::KCModuleProxy##
    {5, 30, 38},	// KCModuleProxy::KCModuleProxy##?
    {5, 31, 66},	// KCModuleProxy::KCModuleProxy$
    {5, 32, 67},	// KCModuleProxy::KCModuleProxy$#
    {5, 33, 39},	// KCModuleProxy::KCModuleProxy$#?
    {5, 34, 68},	// KCModuleProxy::KCModuleProxy?
    {5, 35, 69},	// KCModuleProxy::KCModuleProxy?#
    {5, 36, 40},	// KCModuleProxy::KCModuleProxy?#?
    {5, 118, 44},	// KCModuleProxy::aboutData
    {5, 154, 45},	// KCModuleProxy::buttons
    {5, 157, 49},	// KCModuleProxy::changed
    {5, 158, 58},	// KCModuleProxy::changed#
    {5, 159, 57},	// KCModuleProxy::changed$
    {5, 161, 59},	// KCModuleProxy::childClosed
    {5, 166, 48},	// KCModuleProxy::componentData
    {5, 174, 53},	// KCModuleProxy::dbusPath
    {5, 175, 52},	// KCModuleProxy::dbusService
    {5, 176, 55},	// KCModuleProxy::defaults
    {5, 177, 56},	// KCModuleProxy::deleteClient
    {5, 223, 41},	// KCModuleProxy::load
    {5, 226, 31},	// KCModuleProxy::metaObject
    {5, 228, 54},	// KCModuleProxy::minimumSizeHint
    {5, 229, 51},	// KCModuleProxy::moduleInfo
    {5, 297, 37},	// KCModuleProxy::qt_metacall$$?
    {5, 299, 32},	// KCModuleProxy::qt_metacast$
    {5, 300, 43},	// KCModuleProxy::quickHelp
    {5, 301, 60},	// KCModuleProxy::quickHelpChanged
    {5, 302, 50},	// KCModuleProxy::realModule
    {5, 315, 46},	// KCModuleProxy::rootOnlyMessage
    {5, 316, 42},	// KCModuleProxy::save
    {5, 340, 61},	// KCModuleProxy::showEvent#
    {5, 349, 70},	// KCModuleProxy::staticMetaObject
    {5, 363, 62},	// KCModuleProxy::tr$
    {5, 364, 33},	// KCModuleProxy::tr$$
    {5, 365, 35},	// KCModuleProxy::tr$$$
    {5, 370, 63},	// KCModuleProxy::trUtf8$
    {5, 371, 34},	// KCModuleProxy::trUtf8$$
    {5, 372, 36},	// KCModuleProxy::trUtf8$$$
    {5, 374, 47},	// KCModuleProxy::useRootOnlyMessage
    {5, 380, 71},	// KCModuleProxy::~KCModuleProxy
    {6, 37, 95},	// KCMultiDialog::KCMultiDialog
    {6, 38, 79},	// KCMultiDialog::KCMultiDialog#
    {6, 39, 99},	// KCMultiDialog::KCMultiDialog##
    {6, 40, 100},	// KCMultiDialog::KCMultiDialog###
    {6, 41, 87},	// KCMultiDialog::KCMultiDialog###$
    {6, 42, 86},	// KCMultiDialog::KCMultiDialog##$
    {6, 131, 97},	// KCMultiDialog::addModule#
    {6, 132, 98},	// KCMultiDialog::addModule##
    {6, 133, 81},	// KCMultiDialog::addModule##?
    {6, 134, 96},	// KCMultiDialog::addModule$
    {6, 135, 80},	// KCMultiDialog::addModule$?
    {6, 163, 82},	// KCMultiDialog::clear
    {6, 167, 84},	// KCMultiDialog::configCommitted
    {6, 168, 85},	// KCMultiDialog::configCommitted#
    {6, 226, 72},	// KCMultiDialog::metaObject
    {6, 297, 78},	// KCMultiDialog::qt_metacall$$?
    {6, 299, 73},	// KCMultiDialog::qt_metacast$
    {6, 322, 83},	// KCMultiDialog::setButtons$
    {6, 343, 90},	// KCMultiDialog::slotApplyClicked
    {6, 345, 88},	// KCMultiDialog::slotDefaultClicked
    {6, 346, 92},	// KCMultiDialog::slotHelpClicked
    {6, 347, 91},	// KCMultiDialog::slotOkClicked
    {6, 348, 89},	// KCMultiDialog::slotUser1Clicked
    {6, 349, 101},	// KCMultiDialog::staticMetaObject
    {6, 363, 93},	// KCMultiDialog::tr$
    {6, 364, 74},	// KCMultiDialog::tr$$
    {6, 365, 76},	// KCMultiDialog::tr$$$
    {6, 370, 94},	// KCMultiDialog::trUtf8$
    {6, 371, 75},	// KCMultiDialog::trUtf8$$
    {6, 372, 77},	// KCMultiDialog::trUtf8$$$
    {6, 381, 102},	// KCMultiDialog::~KCMultiDialog
    {11, 43, 139},	// KEmoticons::KEmoticons
    {11, 172, 142},	// KEmoticons::currentThemeName
    {11, 207, 147},	// KEmoticons::installTheme$
    {11, 226, 132},	// KEmoticons::metaObject
    {11, 236, 146},	// KEmoticons::newTheme$?
    {11, 292, 149},	// KEmoticons::parseMode
    {11, 297, 138},	// KEmoticons::qt_metacall$$?
    {11, 299, 133},	// KEmoticons::qt_metacast$
    {11, 331, 148},	// KEmoticons::setParseMode$
    {11, 334, 144},	// KEmoticons::setTheme#
    {11, 335, 145},	// KEmoticons::setTheme$
    {11, 349, 152},	// KEmoticons::staticMetaObject
    {11, 353, 140},	// KEmoticons::theme
    {11, 354, 141},	// KEmoticons::theme$
    {11, 355, 143},	// KEmoticons::themeList
    {11, 363, 150},	// KEmoticons::tr$
    {11, 364, 134},	// KEmoticons::tr$$
    {11, 365, 136},	// KEmoticons::tr$$$
    {11, 370, 151},	// KEmoticons::trUtf8$
    {11, 371, 135},	// KEmoticons::trUtf8$$
    {11, 372, 137},	// KEmoticons::trUtf8$$$
    {11, 382, 153},	// KEmoticons::~KEmoticons
    {12, 6, 184},	// KEmoticonsProvider::Copy
    {12, 14, 183},	// KEmoticonsProvider::DoNotCopy
    {12, 44, 180},	// KEmoticonsProvider::KEmoticonsProvider
    {12, 45, 161},	// KEmoticonsProvider::KEmoticonsProvider#
    {12, 122, 181},	// KEmoticonsProvider::addEmoticon$$
    {12, 123, 164},	// KEmoticonsProvider::addEmoticon$$$
    {12, 125, 176},	// KEmoticonsProvider::addEmoticonIndex$?
    {12, 127, 174},	// KEmoticonsProvider::addEmoticonsMap$?
    {12, 164, 173},	// KEmoticonsProvider::clearEmoticonsMap
    {12, 171, 172},	// KEmoticonsProvider::createNew
    {12, 185, 171},	// KEmoticonsProvider::emoticonsIndex
    {12, 186, 170},	// KEmoticonsProvider::emoticonsMap
    {12, 191, 169},	// KEmoticonsProvider::fileName
    {12, 225, 162},	// KEmoticonsProvider::loadTheme$
    {12, 226, 154},	// KEmoticonsProvider::metaObject
    {12, 297, 160},	// KEmoticonsProvider::qt_metacall$$?
    {12, 299, 155},	// KEmoticonsProvider::qt_metacast$
    {12, 306, 163},	// KEmoticonsProvider::removeEmoticon$
    {12, 308, 177},	// KEmoticonsProvider::removeEmoticonIndex$?
    {12, 310, 175},	// KEmoticonsProvider::removeEmoticonsMap$
    {12, 316, 165},	// KEmoticonsProvider::save
    {12, 337, 167},	// KEmoticonsProvider::setThemeName$
    {12, 349, 182},	// KEmoticonsProvider::staticMetaObject
    {12, 356, 166},	// KEmoticonsProvider::themeName
    {12, 357, 168},	// KEmoticonsProvider::themePath
    {12, 363, 178},	// KEmoticonsProvider::tr$
    {12, 364, 156},	// KEmoticonsProvider::tr$$
    {12, 365, 158},	// KEmoticonsProvider::tr$$$
    {12, 370, 179},	// KEmoticonsProvider::trUtf8$
    {12, 371, 157},	// KEmoticonsProvider::trUtf8$$
    {12, 372, 159},	// KEmoticonsProvider::trUtf8$$$
    {12, 383, 185},	// KEmoticonsProvider::~KEmoticonsProvider
    {14, 129, 197},	// KIdleTime::addIdleTimeout$
    {14, 155, 200},	// KIdleTime::catchNextResumeEvent
    {14, 202, 194},	// KIdleTime::idleTime
    {14, 203, 195},	// KIdleTime::idleTimeouts
    {14, 208, 193},	// KIdleTime::instance
    {14, 226, 186},	// KIdleTime::metaObject
    {14, 297, 192},	// KIdleTime::qt_metacall$$?
    {14, 299, 187},	// KIdleTime::qt_metacast$
    {14, 304, 199},	// KIdleTime::removeAllIdleTimeouts
    {14, 312, 198},	// KIdleTime::removeIdleTimeout$
    {14, 314, 202},	// KIdleTime::resumingFromIdle
    {14, 341, 196},	// KIdleTime::simulateUserActivity
    {14, 349, 207},	// KIdleTime::staticMetaObject
    {14, 350, 201},	// KIdleTime::stopCatchingResumeEvent
    {14, 359, 203},	// KIdleTime::timeoutReached$
    {14, 360, 204},	// KIdleTime::timeoutReached$$
    {14, 363, 205},	// KIdleTime::tr$
    {14, 364, 188},	// KIdleTime::tr$$
    {14, 365, 190},	// KIdleTime::tr$$$
    {14, 370, 206},	// KIdleTime::trUtf8$
    {14, 371, 189},	// KIdleTime::trUtf8$$
    {14, 372, 191},	// KIdleTime::trUtf8$$$
    {14, 384, 208},	// KIdleTime::~KIdleTime
    {20, 20, 242},	// KPluginSelector::IgnoreConfigFile
    {20, 46, 229},	// KPluginSelector::KPluginSelector
    {20, 47, 216},	// KPluginSelector::KPluginSelector#
    {20, 110, 241},	// KPluginSelector::ReadConfigFile
    {20, 139, 233},	// KPluginSelector::addPlugins#
    {20, 140, 234},	// KPluginSelector::addPlugins#$
    {20, 141, 235},	// KPluginSelector::addPlugins#$$
    {20, 142, 218},	// KPluginSelector::addPlugins#$$?
    {20, 143, 230},	// KPluginSelector::addPlugins$
    {20, 144, 231},	// KPluginSelector::addPlugins$$
    {20, 145, 232},	// KPluginSelector::addPlugins$$$
    {20, 146, 217},	// KPluginSelector::addPlugins$$$?
    {20, 147, 236},	// KPluginSelector::addPlugins?
    {20, 148, 237},	// KPluginSelector::addPlugins?$
    {20, 149, 238},	// KPluginSelector::addPlugins?$$
    {20, 150, 239},	// KPluginSelector::addPlugins?$$$
    {20, 151, 219},	// KPluginSelector::addPlugins?$$$?
    {20, 159, 225},	// KPluginSelector::changed$
    {20, 168, 226},	// KPluginSelector::configCommitted#
    {20, 176, 222},	// KPluginSelector::defaults
    {20, 210, 223},	// KPluginSelector::isDefault
    {20, 223, 220},	// KPluginSelector::load
    {20, 226, 209},	// KPluginSelector::metaObject
    {20, 297, 215},	// KPluginSelector::qt_metacall$$?
    {20, 299, 210},	// KPluginSelector::qt_metacast$
    {20, 316, 221},	// KPluginSelector::save
    {20, 349, 240},	// KPluginSelector::staticMetaObject
    {20, 363, 227},	// KPluginSelector::tr$
    {20, 364, 211},	// KPluginSelector::tr$$
    {20, 365, 213},	// KPluginSelector::tr$$$
    {20, 370, 228},	// KPluginSelector::trUtf8$
    {20, 371, 212},	// KPluginSelector::trUtf8$$
    {20, 372, 214},	// KPluginSelector::trUtf8$$$
    {20, 373, 224},	// KPluginSelector::updatePluginsState
    {20, 385, 243},	// KPluginSelector::~KPluginSelector
    {21, 49, 256},	// KPrintPreview::KPrintPreview#
    {21, 50, 251},	// KPrintPreview::KPrintPreview##
    {21, 209, 252},	// KPrintPreview::isAvailable
    {21, 226, 244},	// KPrintPreview::metaObject
    {21, 297, 250},	// KPrintPreview::qt_metacall$$?
    {21, 299, 245},	// KPrintPreview::qt_metacast$
    {21, 340, 253},	// KPrintPreview::showEvent#
    {21, 349, 257},	// KPrintPreview::staticMetaObject
    {21, 363, 254},	// KPrintPreview::tr$
    {21, 364, 246},	// KPrintPreview::tr$$
    {21, 365, 248},	// KPrintPreview::tr$$$
    {21, 370, 255},	// KPrintPreview::trUtf8$
    {21, 371, 247},	// KPrintPreview::trUtf8$$
    {21, 372, 249},	// KPrintPreview::trUtf8$$$
    {21, 386, 258},	// KPrintPreview::~KPrintPreview
    {23, 10, 278},	// KSettings::Dialog::Dialog
    {23, 11, 266},	// KSettings::Dialog::Dialog#
    {23, 12, 279},	// KSettings::Dialog::Dialog?
    {23, 13, 267},	// KSettings::Dialog::Dialog?#
    {23, 137, 268},	// KSettings::Dialog::addPluginInfos?
    {23, 153, 272},	// KSettings::Dialog::allowComponentSelection
    {23, 226, 259},	// KSettings::Dialog::metaObject
    {23, 293, 273},	// KSettings::Dialog::pluginInfos
    {23, 294, 275},	// KSettings::Dialog::pluginSelectionChanged
    {23, 297, 265},	// KSettings::Dialog::qt_metacall$$?
    {23, 299, 260},	// KSettings::Dialog::qt_metacast$
    {23, 320, 271},	// KSettings::Dialog::setAllowComponentSelection$
    {23, 327, 270},	// KSettings::Dialog::setComponentBlacklist?
    {23, 329, 269},	// KSettings::Dialog::setKCMArguments?
    {23, 340, 274},	// KSettings::Dialog::showEvent#
    {23, 349, 280},	// KSettings::Dialog::staticMetaObject
    {23, 363, 276},	// KSettings::Dialog::tr$
    {23, 364, 261},	// KSettings::Dialog::tr$$
    {23, 365, 263},	// KSettings::Dialog::tr$$$
    {23, 370, 277},	// KSettings::Dialog::trUtf8$
    {23, 371, 262},	// KSettings::Dialog::trUtf8$$
    {23, 372, 264},	// KSettings::Dialog::trUtf8$$$
    {23, 378, 281},	// KSettings::Dialog::~Dialog
    {24, 97, 296},	// KSettings::PluginPage::PluginPage#
    {24, 98, 297},	// KSettings::PluginPage::PluginPage##
    {24, 99, 289},	// KSettings::PluginPage::PluginPage##?
    {24, 176, 293},	// KSettings::PluginPage::defaults
    {24, 223, 291},	// KSettings::PluginPage::load
    {24, 226, 282},	// KSettings::PluginPage::metaObject
    {24, 295, 290},	// KSettings::PluginPage::pluginSelector
    {24, 297, 288},	// KSettings::PluginPage::qt_metacall$$?
    {24, 299, 283},	// KSettings::PluginPage::qt_metacast$
    {24, 316, 292},	// KSettings::PluginPage::save
    {24, 349, 298},	// KSettings::PluginPage::staticMetaObject
    {24, 363, 294},	// KSettings::PluginPage::tr$
    {24, 364, 284},	// KSettings::PluginPage::tr$$
    {24, 365, 286},	// KSettings::PluginPage::tr$$$
    {24, 370, 295},	// KSettings::PluginPage::trUtf8$
    {24, 371, 285},	// KSettings::PluginPage::trUtf8$$
    {24, 372, 287},	// KSettings::PluginPage::trUtf8$$$
    {24, 387, 299},	// KSettings::PluginPage::~PluginPage
    {47, 51, 671},	// QGlobalSpace::KST_CTimeInfo
    {47, 52, 645},	// QGlobalSpace::KST_KCustom
    {47, 53, 639},	// QGlobalSpace::KST_KDEDesktopMimeType
    {47, 54, 638},	// QGlobalSpace::KST_KFolderMimeType
    {47, 55, 668},	// QGlobalSpace::KST_KImageIO
    {47, 56, 642},	// QGlobalSpace::KST_KImageIOFormat
    {47, 57, 637},	// QGlobalSpace::KST_KMimeType
    {47, 58, 640},	// QGlobalSpace::KST_KMimeTypeEntry
    {47, 59, 670},	// QGlobalSpace::KST_KMimeTypeFactory
    {47, 60, 643},	// QGlobalSpace::KST_KProtocolInfo
    {47, 61, 669},	// QGlobalSpace::KST_KProtocolInfoFactory
    {47, 62, 635},	// QGlobalSpace::KST_KService
    {47, 63, 665},	// QGlobalSpace::KST_KServiceFactory
    {47, 64, 641},	// QGlobalSpace::KST_KServiceGroup
    {47, 65, 667},	// QGlobalSpace::KST_KServiceGroupFactory
    {47, 66, 644},	// QGlobalSpace::KST_KServiceSeparator
    {47, 67, 636},	// QGlobalSpace::KST_KServiceType
    {47, 68, 666},	// QGlobalSpace::KST_KServiceTypeFactory
    {47, 69, 634},	// QGlobalSpace::KST_KSycocaEntry
    {47, 70, 650},	// QGlobalSpace::LicensedActiveQt
    {47, 71, 656},	// QGlobalSpace::LicensedCore
    {47, 72, 648},	// QGlobalSpace::LicensedDBus
    {47, 73, 653},	// QGlobalSpace::LicensedDeclarative
    {47, 74, 631},	// QGlobalSpace::LicensedGui
    {47, 75, 662},	// QGlobalSpace::LicensedHelp
    {47, 76, 663},	// QGlobalSpace::LicensedMultimedia
    {47, 77, 673},	// QGlobalSpace::LicensedNetwork
    {47, 78, 655},	// QGlobalSpace::LicensedOpenGL
    {47, 79, 647},	// QGlobalSpace::LicensedOpenVG
    {47, 80, 664},	// QGlobalSpace::LicensedQt3Support
    {47, 81, 633},	// QGlobalSpace::LicensedQt3SupportLight
    {47, 82, 646},	// QGlobalSpace::LicensedScript
    {47, 83, 651},	// QGlobalSpace::LicensedScriptTools
    {47, 84, 654},	// QGlobalSpace::LicensedSql
    {47, 85, 652},	// QGlobalSpace::LicensedSvg
    {47, 86, 649},	// QGlobalSpace::LicensedTest
    {47, 87, 632},	// QGlobalSpace::LicensedXml
    {47, 88, 672},	// QGlobalSpace::LicensedXmlPatterns
    {47, 100, 626},	// QGlobalSpace::Q_COMPLEX_TYPE
    {47, 101, 630},	// QGlobalSpace::Q_DUMMY_TYPE
    {47, 102, 629},	// QGlobalSpace::Q_MOVABLE_TYPE
    {47, 103, 627},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {47, 104, 628},	// QGlobalSpace::Q_STATIC_TYPE
    {47, 105, 659},	// QGlobalSpace::QtCriticalMsg
    {47, 106, 657},	// QGlobalSpace::QtDebugMsg
    {47, 107, 660},	// QGlobalSpace::QtFatalMsg
    {47, 108, 661},	// QGlobalSpace::QtSystemMsg
    {47, 109, 658},	// QGlobalSpace::QtWarningMsg
    {47, 199, 343},	// QGlobalSpace::i18n$
    {47, 201, 368},	// QGlobalSpace::i18nc$$
    {47, 214, 545},	// QGlobalSpace::ki18n$
    {47, 216, 394},	// QGlobalSpace::ki18nc$$
    {47, 218, 434},	// QGlobalSpace::ki18ncp$$$
    {47, 220, 603},	// QGlobalSpace::ki18np$$
    {47, 238, -1},	// QGlobalSpace::operator!=##
    {47, 239, -17},	// QGlobalSpace::operator!=#$
    {47, 240, -23},	// QGlobalSpace::operator!=$#
    {47, 242, -29},	// QGlobalSpace::operator*##
    {47, 243, -46},	// QGlobalSpace::operator*#$
    {47, 244, -54},	// QGlobalSpace::operator*$#
    {47, 246, -61},	// QGlobalSpace::operator+##
    {47, 247, -67},	// QGlobalSpace::operator+#$
    {47, 248, -72},	// QGlobalSpace::operator+$#
    {47, 249, 474},	// QGlobalSpace::operator+$$
    {47, 251, 349},	// QGlobalSpace::operator++$
    {47, 252, 625},	// QGlobalSpace::operator++$$
    {47, 254, -76},	// QGlobalSpace::operator-#
    {47, 255, -79},	// QGlobalSpace::operator-##
    {47, 256, 624},	// QGlobalSpace::operator-#$
    {47, 258, -84},	// QGlobalSpace::operator/#$
    {47, 260, -90},	// QGlobalSpace::operator<##
    {47, 261, 364},	// QGlobalSpace::operator<#$
    {47, 262, 438},	// QGlobalSpace::operator<$#
    {47, 264, -94},	// QGlobalSpace::operator<<##
    {47, 265, -128},	// QGlobalSpace::operator<<#$
    {47, 266, 357},	// QGlobalSpace::operator<<#?
    {47, 268, -131},	// QGlobalSpace::operator<=##
    {47, 269, 446},	// QGlobalSpace::operator<=#$
    {47, 270, 543},	// QGlobalSpace::operator<=$#
    {47, 272, -135},	// QGlobalSpace::operator==##
    {47, 273, -152},	// QGlobalSpace::operator==#$
    {47, 274, -158},	// QGlobalSpace::operator==$#
    {47, 276, -164},	// QGlobalSpace::operator>##
    {47, 277, 561},	// QGlobalSpace::operator>#$
    {47, 278, 528},	// QGlobalSpace::operator>$#
    {47, 280, -168},	// QGlobalSpace::operator>=##
    {47, 281, 517},	// QGlobalSpace::operator>=#$
    {47, 282, 417},	// QGlobalSpace::operator>=$#
    {47, 284, -172},	// QGlobalSpace::operator>>##
    {47, 285, -206},	// QGlobalSpace::operator>>#$
    {47, 286, 539},	// QGlobalSpace::operator>>#?
    {47, 288, -209},	// QGlobalSpace::operator|$$
    {47, 367, 366},	// QGlobalSpace::tr2i18n$
    {47, 368, 365},	// QGlobalSpace::tr2i18n$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *kutils_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kutils_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    kutils_Smoke = new Smoke(
        "kutils",
        __smokekutils::classes, 95,
        __smokekutils::methods, 727,
        __smokekutils::methodMaps, 357,
        __smokekutils::methodNames, 387,
        __smokekutils::types, 343,
        __smokekutils::inheritanceList,
        __smokekutils::argumentList,
        __smokekutils::ambiguousMethodList,
        __smokekutils::cast );
    initialized = true;
}

void delete_kutils_Smoke() { delete kutils_Smoke; }

}
