#include <okular_includes.h>

#include <smoke.h>
#include <okular_smoke.h>

namespace __smokeokular {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KCharsets
      switch(to) {
        case 2: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 3:   //KComponentData
      switch(to) {
        case 3: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 4:   //KConfigDialog
      switch(to) {
        case 4: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 5:   //KIcon
      switch(to) {
        case 5: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KStandardDirs
      switch(to) {
        case 7: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 8:   //KUrl
      switch(to) {
        case 8: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 9:   //KXMLGUIClient
      switch(to) {
        case 9: return (void*)(KXMLGUIClient*)xptr;
        case 43: return (void*)(Okular::GuiInterface*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 10:   //Okular::Action
      switch(to) {
        case 10: return (void*)(Okular::Action*)xptr;
        case 59: return (void*)(Okular::SoundAction*)(Okular::Action*)xptr;
        case 19: return (void*)(Okular::BrowseAction*)(Okular::Action*)xptr;
        case 23: return (void*)(Okular::DocumentAction*)(Okular::Action*)xptr;
        case 29: return (void*)(Okular::ExecuteAction*)(Okular::Action*)xptr;
        case 57: return (void*)(Okular::ScriptAction*)(Okular::Action*)xptr;
        case 42: return (void*)(Okular::GotoAction*)(Okular::Action*)xptr;
        default: return xptr;
      }
    case 11:   //Okular::ActionPrivate
      switch(to) {
        case 11: return (void*)(Okular::ActionPrivate*)xptr;
        default: return xptr;
      }
    case 12:   //Okular::Annotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)xptr;
        case 64: return (void*)(Okular::TextAnnotation*)(Okular::Annotation*)xptr;
        case 44: return (void*)(Okular::HighlightAnnotation*)(Okular::Annotation*)xptr;
        case 63: return (void*)(Okular::StampAnnotation*)(Okular::Annotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)(Okular::Annotation*)xptr;
        case 60: return (void*)(Okular::SoundAnnotation*)(Okular::Annotation*)xptr;
        case 31: return (void*)(Okular::FileAttachmentAnnotation*)(Okular::Annotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)(Okular::Annotation*)xptr;
        case 41: return (void*)(Okular::GeomAnnotation*)(Okular::Annotation*)xptr;
        case 20: return (void*)(Okular::CaretAnnotation*)(Okular::Annotation*)xptr;
        default: return xptr;
      }
    case 13:   //Okular::Annotation::Style
      switch(to) {
        case 13: return (void*)(Okular::Annotation::Style*)xptr;
        default: return xptr;
      }
    case 14:   //Okular::Annotation::Window
      switch(to) {
        case 14: return (void*)(Okular::Annotation::Window*)xptr;
        default: return xptr;
      }
    case 15:   //Okular::AnnotationObjectRect
      switch(to) {
        case 50: return (void*)(Okular::ObjectRect*)(Okular::AnnotationObjectRect*)xptr;
        case 15: return (void*)(Okular::AnnotationObjectRect*)xptr;
        default: return xptr;
      }
    case 16:   //Okular::AnnotationPrivate
      switch(to) {
        case 16: return (void*)(Okular::AnnotationPrivate*)xptr;
        default: return xptr;
      }
    case 17:   //Okular::AnnotationUtils
      switch(to) {
        case 17: return (void*)(Okular::AnnotationUtils*)xptr;
        default: return xptr;
      }
    case 18:   //Okular::BookmarkManager
      switch(to) {
        case 18: return (void*)(Okular::BookmarkManager*)xptr;
        default: return xptr;
      }
    case 19:   //Okular::BrowseAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::BrowseAction*)xptr;
        case 19: return (void*)(Okular::BrowseAction*)xptr;
        default: return xptr;
      }
    case 20:   //Okular::CaretAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::CaretAnnotation*)xptr;
        case 20: return (void*)(Okular::CaretAnnotation*)xptr;
        default: return xptr;
      }
    case 21:   //Okular::ConfigInterface
      switch(to) {
        case 21: return (void*)(Okular::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 22:   //Okular::Document
      switch(to) {
        case 89: return (void*)(QObject*)(Okular::Document*)xptr;
        case 22: return (void*)(Okular::Document*)xptr;
        default: return xptr;
      }
    case 23:   //Okular::DocumentAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::DocumentAction*)xptr;
        case 23: return (void*)(Okular::DocumentAction*)xptr;
        default: return xptr;
      }
    case 24:   //Okular::DocumentInfo
      switch(to) {
        case 79: return (void*)(QDomDocument*)(Okular::DocumentInfo*)xptr;
        case 81: return (void*)(QDomNode*)(Okular::DocumentInfo*)xptr;
        case 24: return (void*)(Okular::DocumentInfo*)xptr;
        default: return xptr;
      }
    case 25:   //Okular::DocumentObserver
      switch(to) {
        case 25: return (void*)(Okular::DocumentObserver*)xptr;
        default: return xptr;
      }
    case 26:   //Okular::DocumentSynopsis
      switch(to) {
        case 79: return (void*)(QDomDocument*)(Okular::DocumentSynopsis*)xptr;
        case 81: return (void*)(QDomNode*)(Okular::DocumentSynopsis*)xptr;
        case 26: return (void*)(Okular::DocumentSynopsis*)xptr;
        default: return xptr;
      }
    case 27:   //Okular::DocumentViewport
      switch(to) {
        case 27: return (void*)(Okular::DocumentViewport*)xptr;
        default: return xptr;
      }
    case 28:   //Okular::EmbeddedFile
      switch(to) {
        case 28: return (void*)(Okular::EmbeddedFile*)xptr;
        default: return xptr;
      }
    case 29:   //Okular::ExecuteAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::ExecuteAction*)xptr;
        case 29: return (void*)(Okular::ExecuteAction*)xptr;
        default: return xptr;
      }
    case 30:   //Okular::ExportFormat
      switch(to) {
        case 30: return (void*)(Okular::ExportFormat*)xptr;
        default: return xptr;
      }
    case 31:   //Okular::FileAttachmentAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::FileAttachmentAnnotation*)xptr;
        case 31: return (void*)(Okular::FileAttachmentAnnotation*)xptr;
        default: return xptr;
      }
    case 32:   //Okular::FilePrinter
      switch(to) {
        case 32: return (void*)(Okular::FilePrinter*)xptr;
        default: return xptr;
      }
    case 33:   //Okular::FontInfo
      switch(to) {
        case 33: return (void*)(Okular::FontInfo*)xptr;
        default: return xptr;
      }
    case 34:   //Okular::FormField
      switch(to) {
        case 34: return (void*)(Okular::FormField*)xptr;
        case 35: return (void*)(Okular::FormFieldButton*)(Okular::FormField*)xptr;
        case 38: return (void*)(Okular::FormFieldText*)(Okular::FormField*)xptr;
        case 36: return (void*)(Okular::FormFieldChoice*)(Okular::FormField*)xptr;
        default: return xptr;
      }
    case 35:   //Okular::FormFieldButton
      switch(to) {
        case 34: return (void*)(Okular::FormField*)(Okular::FormFieldButton*)xptr;
        case 35: return (void*)(Okular::FormFieldButton*)xptr;
        default: return xptr;
      }
    case 36:   //Okular::FormFieldChoice
      switch(to) {
        case 34: return (void*)(Okular::FormField*)(Okular::FormFieldChoice*)xptr;
        case 36: return (void*)(Okular::FormFieldChoice*)xptr;
        default: return xptr;
      }
    case 37:   //Okular::FormFieldPrivate
      switch(to) {
        case 37: return (void*)(Okular::FormFieldPrivate*)xptr;
        default: return xptr;
      }
    case 38:   //Okular::FormFieldText
      switch(to) {
        case 34: return (void*)(Okular::FormField*)(Okular::FormFieldText*)xptr;
        case 38: return (void*)(Okular::FormFieldText*)xptr;
        default: return xptr;
      }
    case 39:   //Okular::Generator
      switch(to) {
        case 89: return (void*)(QObject*)(Okular::Generator*)xptr;
        case 39: return (void*)(Okular::Generator*)xptr;
        case 66: return (void*)(Okular::TextDocumentGenerator*)(Okular::Generator*)xptr;
        default: return xptr;
      }
    case 40:   //Okular::GeneratorPrivate
      switch(to) {
        case 40: return (void*)(Okular::GeneratorPrivate*)xptr;
        default: return xptr;
      }
    case 41:   //Okular::GeomAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::GeomAnnotation*)xptr;
        case 41: return (void*)(Okular::GeomAnnotation*)xptr;
        default: return xptr;
      }
    case 42:   //Okular::GotoAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::GotoAction*)xptr;
        case 42: return (void*)(Okular::GotoAction*)xptr;
        default: return xptr;
      }
    case 43:   //Okular::GuiInterface
      switch(to) {
        case 9: return (void*)(KXMLGUIClient*)(Okular::GuiInterface*)xptr;
        case 43: return (void*)(Okular::GuiInterface*)xptr;
        default: return xptr;
      }
    case 44:   //Okular::HighlightAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::HighlightAnnotation*)xptr;
        case 44: return (void*)(Okular::HighlightAnnotation*)xptr;
        default: return xptr;
      }
    case 45:   //Okular::InkAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::InkAnnotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)xptr;
        default: return xptr;
      }
    case 46:   //Okular::LineAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::LineAnnotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)xptr;
        default: return xptr;
      }
    case 47:   //Okular::MovieAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::MovieAction*)xptr;
        case 47: return (void*)(Okular::MovieAction*)xptr;
        default: return xptr;
      }
    case 48:   //Okular::NormalizedPoint
      switch(to) {
        case 48: return (void*)(Okular::NormalizedPoint*)xptr;
        default: return xptr;
      }
    case 49:   //Okular::NormalizedRect
      switch(to) {
        case 49: return (void*)(Okular::NormalizedRect*)xptr;
        default: return xptr;
      }
    case 50:   //Okular::ObjectRect
      switch(to) {
        case 50: return (void*)(Okular::ObjectRect*)xptr;
        case 61: return (void*)(Okular::SourceRefObjectRect*)(Okular::ObjectRect*)xptr;
        case 15: return (void*)(Okular::AnnotationObjectRect*)(Okular::ObjectRect*)xptr;
        default: return xptr;
      }
    case 51:   //Okular::Page
      switch(to) {
        case 51: return (void*)(Okular::Page*)xptr;
        default: return xptr;
      }
    case 52:   //Okular::PageSize
      switch(to) {
        case 52: return (void*)(Okular::PageSize*)xptr;
        default: return xptr;
      }
    case 53:   //Okular::PageTransition
      switch(to) {
        case 53: return (void*)(Okular::PageTransition*)xptr;
        default: return xptr;
      }
    case 54:   //Okular::PixmapRequest
      switch(to) {
        case 54: return (void*)(Okular::PixmapRequest*)xptr;
        default: return xptr;
      }
    case 55:   //Okular::PrintInterface
      switch(to) {
        case 55: return (void*)(Okular::PrintInterface*)xptr;
        default: return xptr;
      }
    case 56:   //Okular::RegularAreaRect
      switch(to) {
        case 56: return (void*)(Okular::RegularAreaRect*)xptr;
        default: return xptr;
      }
    case 57:   //Okular::ScriptAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::ScriptAction*)xptr;
        case 57: return (void*)(Okular::ScriptAction*)xptr;
        default: return xptr;
      }
    case 58:   //Okular::Sound
      switch(to) {
        case 58: return (void*)(Okular::Sound*)xptr;
        default: return xptr;
      }
    case 59:   //Okular::SoundAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::SoundAction*)xptr;
        case 59: return (void*)(Okular::SoundAction*)xptr;
        default: return xptr;
      }
    case 60:   //Okular::SoundAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::SoundAnnotation*)xptr;
        case 60: return (void*)(Okular::SoundAnnotation*)xptr;
        default: return xptr;
      }
    case 61:   //Okular::SourceRefObjectRect
      switch(to) {
        case 50: return (void*)(Okular::ObjectRect*)(Okular::SourceRefObjectRect*)xptr;
        case 61: return (void*)(Okular::SourceRefObjectRect*)xptr;
        default: return xptr;
      }
    case 62:   //Okular::SourceReference
      switch(to) {
        case 62: return (void*)(Okular::SourceReference*)xptr;
        default: return xptr;
      }
    case 63:   //Okular::StampAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::StampAnnotation*)xptr;
        case 63: return (void*)(Okular::StampAnnotation*)xptr;
        default: return xptr;
      }
    case 64:   //Okular::TextAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::TextAnnotation*)xptr;
        case 64: return (void*)(Okular::TextAnnotation*)xptr;
        default: return xptr;
      }
    case 65:   //Okular::TextDocumentConverter
      switch(to) {
        case 89: return (void*)(QObject*)(Okular::TextDocumentConverter*)xptr;
        case 65: return (void*)(Okular::TextDocumentConverter*)xptr;
        default: return xptr;
      }
    case 66:   //Okular::TextDocumentGenerator
      switch(to) {
        case 39: return (void*)(Okular::Generator*)(Okular::TextDocumentGenerator*)xptr;
        case 89: return (void*)(QObject*)(Okular::TextDocumentGenerator*)xptr;
        case 66: return (void*)(Okular::TextDocumentGenerator*)xptr;
        default: return xptr;
      }
    case 67:   //Okular::TextEntity
      switch(to) {
        case 67: return (void*)(Okular::TextEntity*)xptr;
        default: return xptr;
      }
    case 68:   //Okular::TextPage
      switch(to) {
        case 68: return (void*)(Okular::TextPage*)xptr;
        default: return xptr;
      }
    case 69:   //Okular::TextSelection
      switch(to) {
        case 69: return (void*)(Okular::TextSelection*)xptr;
        default: return xptr;
      }
    case 70:   //Okular::Utils
      switch(to) {
        case 70: return (void*)(Okular::Utils*)xptr;
        default: return xptr;
      }
    case 71:   //Okular::View
      switch(to) {
        case 71: return (void*)(Okular::View*)xptr;
        default: return xptr;
      }
    case 72:   //Okular::VisiblePageRect
      switch(to) {
        case 72: return (void*)(Okular::VisiblePageRect*)xptr;
        default: return xptr;
      }
    case 73:   //QAction
      switch(to) {
        case 73: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 74:   //QBool
      switch(to) {
        case 74: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 75:   //QByteArray
      switch(to) {
        case 75: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 76:   //QChildEvent
      switch(to) {
        case 76: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 77:   //QColor
      switch(to) {
        case 77: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 78:   //QDateTime
      switch(to) {
        case 78: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 79:   //QDomDocument
      switch(to) {
        case 81: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 79: return (void*)(QDomDocument*)xptr;
        case 24: return (void*)(Okular::DocumentInfo*)(QDomDocument*)xptr;
        case 26: return (void*)(Okular::DocumentSynopsis*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 80:   //QDomElement
      switch(to) {
        case 81: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 80: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 81:   //QDomNode
      switch(to) {
        case 81: return (void*)(QDomNode*)xptr;
        case 24: return (void*)(Okular::DocumentInfo*)(QDomNode*)xptr;
        case 26: return (void*)(Okular::DocumentSynopsis*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 82:   //QEvent
      switch(to) {
        case 82: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QFont
      switch(to) {
        case 83: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 85:   //QImage
      switch(to) {
        case 85: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 86:   //QMatrix
      switch(to) {
        case 86: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 87:   //QMetaObject
      switch(to) {
        case 87: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 88:   //QMutex
      switch(to) {
        case 88: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 89:   //QObject
      switch(to) {
        case 89: return (void*)(QObject*)xptr;
        case 39: return (void*)(Okular::Generator*)(QObject*)xptr;
        case 22: return (void*)(Okular::Document*)(QObject*)xptr;
        case 66: return (void*)(Okular::TextDocumentGenerator*)(QObject*)xptr;
        case 65: return (void*)(Okular::TextDocumentConverter*)(QObject*)xptr;
        default: return xptr;
      }
    case 90:   //QPainterPath
      switch(to) {
        case 90: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 91:   //QPixmap
      switch(to) {
        case 91: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 92:   //QPolygonF
      switch(to) {
        case 92: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 93:   //QPrinter
      switch(to) {
        case 93: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 94:   //QRect
      switch(to) {
        case 94: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 95:   //QRectF
      switch(to) {
        case 95: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 96:   //QRegExp
      switch(to) {
        case 96: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 97:   //QSize
      switch(to) {
        case 97: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 98:   //QSizeF
      switch(to) {
        case 98: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 99:   //QTextBlock
      switch(to) {
        case 99: return (void*)(QTextBlock*)xptr;
        default: return xptr;
      }
    case 100:   //QTextDocument
      switch(to) {
        case 100: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QVariant
      switch(to) {
        case 102: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 103:   //QWidget
      switch(to) {
        case 103: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    50, 0,	// 1: Okular::ObjectRect
    10, 0,	// 3: Okular::Action
    12, 0,	// 5: Okular::Annotation
    89, 0,	// 7: QObject
    79, 0,	// 9: QDomDocument
    34, 0,	// 11: Okular::FormField
    9, 0,	// 13: KXMLGUIClient
    0, 0,	// 15: Okular::RegularArea
    39, 0,	// 17: Okular::Generator
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Sound(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Document(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldText(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Generator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__PageTransition(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Annotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__HighlightAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__CaretAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FilePrinter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ExportFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentAction(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldChoice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FontInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentViewport(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ObjectRect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Page(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__LineAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__GeomAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Okular__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Annotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationUtils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__BrowseAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__CaretAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentSynopsis(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentViewport(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__EmbeddedFile(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExecuteAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExportFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FileAttachmentAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FilePrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FontInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormField(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldChoice(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldText(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Generator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GeomAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GotoAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GuiInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__HighlightAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__InkAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__LineAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Page(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageSize(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageTransition(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PixmapRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PrintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__RegularAreaRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ScriptAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Sound(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceRefObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceReference(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__StampAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentConverter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Utils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__VisiblePageRect(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//2
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//3
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//4
    { "KIcon", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//7
    { "KUrl", true, 0, 0, 0, 0, 0 },	//8
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//9
    { "Okular::Action", false, 0, xcall_Okular__Action, xenum_Okular__Action, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Action) },	//10
    { "Okular::ActionPrivate", true, 0, 0, 0, 0, 0 },	//11
    { "Okular::Annotation", false, 0, xcall_Okular__Annotation, xenum_Okular__Annotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Annotation) },	//12
    { "Okular::Annotation::Style", true, 0, 0, 0, 0, 0 },	//13
    { "Okular::Annotation::Window", true, 0, 0, 0, 0, 0 },	//14
    { "Okular::AnnotationObjectRect", false, 1, xcall_Okular__AnnotationObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::AnnotationObjectRect) },	//15
    { "Okular::AnnotationPrivate", true, 0, 0, 0, 0, 0 },	//16
    { "Okular::AnnotationUtils", false, 0, xcall_Okular__AnnotationUtils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::AnnotationUtils) },	//17
    { "Okular::BookmarkManager", true, 0, 0, 0, 0, 0 },	//18
    { "Okular::BrowseAction", false, 3, xcall_Okular__BrowseAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::BrowseAction) },	//19
    { "Okular::CaretAnnotation", false, 5, xcall_Okular__CaretAnnotation, xenum_Okular__CaretAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::CaretAnnotation) },	//20
    { "Okular::ConfigInterface", false, 0, xcall_Okular__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ConfigInterface) },	//21
    { "Okular::Document", false, 7, xcall_Okular__Document, xenum_Okular__Document, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Document) },	//22
    { "Okular::DocumentAction", false, 3, xcall_Okular__DocumentAction, xenum_Okular__DocumentAction, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::DocumentAction) },	//23
    { "Okular::DocumentInfo", false, 9, xcall_Okular__DocumentInfo, xenum_Okular__DocumentInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentInfo) },	//24
    { "Okular::DocumentObserver", true, 0, 0, 0, 0, 0 },	//25
    { "Okular::DocumentSynopsis", false, 9, xcall_Okular__DocumentSynopsis, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentSynopsis) },	//26
    { "Okular::DocumentViewport", false, 0, xcall_Okular__DocumentViewport, xenum_Okular__DocumentViewport, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentViewport) },	//27
    { "Okular::EmbeddedFile", false, 0, xcall_Okular__EmbeddedFile, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::EmbeddedFile) },	//28
    { "Okular::ExecuteAction", false, 3, xcall_Okular__ExecuteAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ExecuteAction) },	//29
    { "Okular::ExportFormat", false, 0, xcall_Okular__ExportFormat, xenum_Okular__ExportFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::ExportFormat) },	//30
    { "Okular::FileAttachmentAnnotation", false, 5, xcall_Okular__FileAttachmentAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FileAttachmentAnnotation) },	//31
    { "Okular::FilePrinter", false, 0, xcall_Okular__FilePrinter, xenum_Okular__FilePrinter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FilePrinter) },	//32
    { "Okular::FontInfo", false, 0, xcall_Okular__FontInfo, xenum_Okular__FontInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FontInfo) },	//33
    { "Okular::FormField", false, 0, xcall_Okular__FormField, xenum_Okular__FormField, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormField) },	//34
    { "Okular::FormFieldButton", false, 11, xcall_Okular__FormFieldButton, xenum_Okular__FormFieldButton, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldButton) },	//35
    { "Okular::FormFieldChoice", false, 11, xcall_Okular__FormFieldChoice, xenum_Okular__FormFieldChoice, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldChoice) },	//36
    { "Okular::FormFieldPrivate", true, 0, 0, 0, 0, 0 },	//37
    { "Okular::FormFieldText", false, 11, xcall_Okular__FormFieldText, xenum_Okular__FormFieldText, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldText) },	//38
    { "Okular::Generator", false, 7, xcall_Okular__Generator, xenum_Okular__Generator, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Generator) },	//39
    { "Okular::GeneratorPrivate", true, 0, 0, 0, 0, 0 },	//40
    { "Okular::GeomAnnotation", false, 5, xcall_Okular__GeomAnnotation, xenum_Okular__GeomAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GeomAnnotation) },	//41
    { "Okular::GotoAction", false, 3, xcall_Okular__GotoAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GotoAction) },	//42
    { "Okular::GuiInterface", false, 13, xcall_Okular__GuiInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::GuiInterface) },	//43
    { "Okular::HighlightAnnotation", false, 5, xcall_Okular__HighlightAnnotation, xenum_Okular__HighlightAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::HighlightAnnotation) },	//44
    { "Okular::InkAnnotation", false, 5, xcall_Okular__InkAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::InkAnnotation) },	//45
    { "Okular::LineAnnotation", false, 5, xcall_Okular__LineAnnotation, xenum_Okular__LineAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::LineAnnotation) },	//46
    { "Okular::MovieAction", true, 0, 0, 0, 0, 0 },	//47
    { "Okular::NormalizedPoint", false, 0, xcall_Okular__NormalizedPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedPoint) },	//48
    { "Okular::NormalizedRect", false, 0, xcall_Okular__NormalizedRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedRect) },	//49
    { "Okular::ObjectRect", false, 0, xcall_Okular__ObjectRect, xenum_Okular__ObjectRect, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ObjectRect) },	//50
    { "Okular::Page", false, 0, xcall_Okular__Page, xenum_Okular__Page, Smoke::cf_constructor, sizeof(Okular::Page) },	//51
    { "Okular::PageSize", false, 0, xcall_Okular__PageSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageSize) },	//52
    { "Okular::PageTransition", false, 0, xcall_Okular__PageTransition, xenum_Okular__PageTransition, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageTransition) },	//53
    { "Okular::PixmapRequest", false, 0, xcall_Okular__PixmapRequest, 0, Smoke::cf_constructor, sizeof(Okular::PixmapRequest) },	//54
    { "Okular::PrintInterface", false, 0, xcall_Okular__PrintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::PrintInterface) },	//55
    { "Okular::RegularAreaRect", false, 15, xcall_Okular__RegularAreaRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::RegularAreaRect) },	//56
    { "Okular::ScriptAction", false, 3, xcall_Okular__ScriptAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ScriptAction) },	//57
    { "Okular::Sound", false, 0, xcall_Okular__Sound, xenum_Okular__Sound, Smoke::cf_constructor, sizeof(Okular::Sound) },	//58
    { "Okular::SoundAction", false, 3, xcall_Okular__SoundAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAction) },	//59
    { "Okular::SoundAnnotation", false, 5, xcall_Okular__SoundAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAnnotation) },	//60
    { "Okular::SourceRefObjectRect", false, 1, xcall_Okular__SourceRefObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::SourceRefObjectRect) },	//61
    { "Okular::SourceReference", false, 0, xcall_Okular__SourceReference, 0, Smoke::cf_constructor, sizeof(Okular::SourceReference) },	//62
    { "Okular::StampAnnotation", false, 5, xcall_Okular__StampAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::StampAnnotation) },	//63
    { "Okular::TextAnnotation", false, 5, xcall_Okular__TextAnnotation, xenum_Okular__TextAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextAnnotation) },	//64
    { "Okular::TextDocumentConverter", false, 7, xcall_Okular__TextDocumentConverter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentConverter) },	//65
    { "Okular::TextDocumentGenerator", false, 17, xcall_Okular__TextDocumentGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentGenerator) },	//66
    { "Okular::TextEntity", false, 0, xcall_Okular__TextEntity, 0, Smoke::cf_constructor, sizeof(Okular::TextEntity) },	//67
    { "Okular::TextPage", false, 0, xcall_Okular__TextPage, xenum_Okular__TextPage, Smoke::cf_constructor, sizeof(Okular::TextPage) },	//68
    { "Okular::TextSelection", true, 0, 0, 0, 0, 0 },	//69
    { "Okular::Utils", false, 0, xcall_Okular__Utils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::Utils) },	//70
    { "Okular::View", true, 0, 0, 0, 0, 0 },	//71
    { "Okular::VisiblePageRect", false, 0, xcall_Okular__VisiblePageRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::VisiblePageRect) },	//72
    { "QAction", true, 0, 0, 0, 0, 0 },	//73
    { "QBool", true, 0, 0, 0, 0, 0 },	//74
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//75
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//76
    { "QColor", true, 0, 0, 0, 0, 0 },	//77
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//78
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//79
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//80
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//81
    { "QEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QFont", true, 0, 0, 0, 0, 0 },	//83
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//84
    { "QImage", true, 0, 0, 0, 0, 0 },	//85
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//86
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//87
    { "QMutex", true, 0, 0, 0, 0, 0 },	//88
    { "QObject", true, 0, 0, 0, 0, 0 },	//89
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//90
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//91
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//92
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//93
    { "QRect", true, 0, 0, 0, 0, 0 },	//94
    { "QRectF", true, 0, 0, 0, 0, 0 },	//95
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//96
    { "QSize", true, 0, 0, 0, 0, 0 },	//97
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//98
    { "QTextBlock", true, 0, 0, 0, 0, 0 },	//99
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QVariant", true, 0, 0, 0, 0, 0 },	//102
    { "QWidget", true, 0, 0, 0, 0, 0 },	//103
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KCharsets*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KComponentData", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "KConfigDialog*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KIcon", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "KStandardDirs*", 7, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KSycocaFactoryId", 84, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KSycocaType", 84, Smoke::t_enum|Smoke::tf_stack },	//12
    { "KUrl", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "KXMLGUIClient*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KXMLGUIClient::ReverseStateChange", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "Okular::Action*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Okular::Action::ActionType", 10, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Okular::ActionPrivate&", 11, Smoke::t_class|Smoke::tf_ref },	//18
    { "Okular::ActionPrivate*", 11, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Okular::Annotation*", 12, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Okular::Annotation::Flag", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Okular::Annotation::LineEffect", 12, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Okular::Annotation::LineStyle", 12, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Okular::Annotation::RevisionScope", 12, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Okular::Annotation::RevisionType", 12, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Okular::Annotation::Style&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "Okular::Annotation::SubType", 12, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Okular::Annotation::Window&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "Okular::AnnotationObjectRect*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Okular::AnnotationPrivate&", 16, Smoke::t_class|Smoke::tf_ref },	//30
    { "Okular::AnnotationPrivate*", 16, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Okular::AnnotationUtils*", 17, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Okular::BookmarkManager*", 18, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Okular::BrowseAction*", 19, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Okular::CaretAnnotation*", 20, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Okular::CaretAnnotation::CaretSymbol", 20, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Okular::ConfigInterface*", 21, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Okular::Document*", 22, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Okular::Document::PixmapRequestFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Okular::Document::PrintingType", 22, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Okular::Document::SaveCapability", 22, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Okular::Document::SearchStatus", 22, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Okular::Document::SearchType", 22, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Okular::DocumentAction*", 23, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Okular::DocumentAction::DocumentActionType", 23, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Okular::DocumentInfo*", 24, Smoke::t_class|Smoke::tf_ptr },	//46
    { "Okular::DocumentInfo::Key", 24, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Okular::DocumentObserver*", 25, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Okular::DocumentSynopsis*", 26, Smoke::t_class|Smoke::tf_ptr },	//49
    { "Okular::DocumentViewport", 27, Smoke::t_class|Smoke::tf_stack },	//50
    { "Okular::DocumentViewport*", 27, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Okular::DocumentViewport::Position", 27, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Okular::EmbeddedFile*", 28, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Okular::ExecuteAction*", 29, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Okular::ExportFormat", 30, Smoke::t_class|Smoke::tf_stack },	//55
    { "Okular::ExportFormat&", 30, Smoke::t_class|Smoke::tf_ref },	//56
    { "Okular::ExportFormat*", 30, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Okular::ExportFormat::StandardExportFormat", 30, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Okular::FileAttachmentAnnotation*", 31, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Okular::FilePrinter*", 32, Smoke::t_class|Smoke::tf_ptr },	//60
    { "Okular::FilePrinter::FileDeletePolicy", 32, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Okular::FilePrinter::PageSelectPolicy", 32, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Okular::FontInfo", 33, Smoke::t_class|Smoke::tf_stack },	//63
    { "Okular::FontInfo&", 33, Smoke::t_class|Smoke::tf_ref },	//64
    { "Okular::FontInfo*", 33, Smoke::t_class|Smoke::tf_ptr },	//65
    { "Okular::FontInfo::EmbedType", 33, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Okular::FontInfo::FontType", 33, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Okular::FormField*", 34, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Okular::FormField::FieldType", 34, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Okular::FormFieldButton*", 35, Smoke::t_class|Smoke::tf_ptr },	//70
    { "Okular::FormFieldButton::ButtonType", 35, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Okular::FormFieldChoice*", 36, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Okular::FormFieldChoice::ChoiceType", 36, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Okular::FormFieldPrivate&", 37, Smoke::t_class|Smoke::tf_ref },	//74
    { "Okular::FormFieldPrivate*", 37, Smoke::t_class|Smoke::tf_ptr },	//75
    { "Okular::FormFieldText*", 38, Smoke::t_class|Smoke::tf_ptr },	//76
    { "Okular::FormFieldText::TextType", 38, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Okular::GenerationType", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Okular::Generator*", 39, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Okular::Generator::GeneratorFeature", 39, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Okular::Generator::PageSizeMetric", 39, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Okular::Generator::PrintError", 39, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Okular::GeneratorPrivate&", 40, Smoke::t_class|Smoke::tf_ref },	//83
    { "Okular::GeneratorPrivate*", 40, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Okular::GeomAnnotation*", 41, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Okular::GeomAnnotation::GeomType", 41, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Okular::GotoAction*", 42, Smoke::t_class|Smoke::tf_ptr },	//87
    { "Okular::GuiInterface*", 43, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Okular::HighlightAnnotation*", 44, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Okular::HighlightAnnotation::HighlightType", 44, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Okular::InkAnnotation*", 45, Smoke::t_class|Smoke::tf_ptr },	//91
    { "Okular::LineAnnotation*", 46, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Okular::LineAnnotation::LineIntent", 46, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Okular::LineAnnotation::TermStyle", 46, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Okular::MergeSide", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Okular::NormalizedPoint", 48, Smoke::t_class|Smoke::tf_stack },	//96
    { "Okular::NormalizedPoint&", 48, Smoke::t_class|Smoke::tf_ref },	//97
    { "Okular::NormalizedPoint*", 48, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Okular::NormalizedRect", 49, Smoke::t_class|Smoke::tf_stack },	//99
    { "Okular::NormalizedRect&", 49, Smoke::t_class|Smoke::tf_ref },	//100
    { "Okular::NormalizedRect*", 49, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Okular::ObjectRect*", 50, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Okular::ObjectRect::ObjectType", 50, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Okular::Page*", 51, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Okular::Page::PageAction", 51, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Okular::PageSize", 52, Smoke::t_class|Smoke::tf_stack },	//106
    { "Okular::PageSize&", 52, Smoke::t_class|Smoke::tf_ref },	//107
    { "Okular::PageSize*", 52, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Okular::PageTransition&", 53, Smoke::t_class|Smoke::tf_ref },	//109
    { "Okular::PageTransition*", 53, Smoke::t_class|Smoke::tf_ptr },	//110
    { "Okular::PageTransition::Alignment", 53, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Okular::PageTransition::Direction", 53, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Okular::PageTransition::Type", 53, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Okular::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Okular::PixmapRequest*", 54, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Okular::PrintInterface*", 55, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Okular::RegularAreaRect&", 56, Smoke::t_class|Smoke::tf_ref },	//117
    { "Okular::RegularAreaRect*", 56, Smoke::t_class|Smoke::tf_ptr },	//118
    { "Okular::Rotation", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Okular::ScriptAction*", 57, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Okular::ScriptType", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Okular::SearchDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Okular::Sound*", 58, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Okular::Sound::SoundEncoding", 58, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Okular::Sound::SoundType", 58, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Okular::SoundAction*", 59, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Okular::SoundAnnotation*", 60, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Okular::SourceRefObjectRect*", 61, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Okular::SourceReference*", 62, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Okular::StampAnnotation*", 63, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Okular::TextAnnotation*", 64, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Okular::TextAnnotation::InplaceIntent", 64, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Okular::TextAnnotation::TextType", 64, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Okular::TextDocumentConverter*", 65, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Okular::TextDocumentGenerator*", 66, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Okular::TextEntity*", 67, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Okular::TextPage*", 68, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Okular::TextPage::TextAreaInclusionBehaviour", 68, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Okular::TextSelection*", 69, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Okular::Utils*", 70, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Okular::View*", 71, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Okular::VisiblePageRect*", 72, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QAction*", 73, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QBool", 74, Smoke::t_class|Smoke::tf_stack },	//144
    { "QByteArray", 75, Smoke::t_class|Smoke::tf_stack },	//145
    { "QByteArray*", 75, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QChildEvent*", 76, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QColor", 77, Smoke::t_class|Smoke::tf_stack },	//148
    { "QDateTime", 78, Smoke::t_class|Smoke::tf_stack },	//149
    { "QDomDocument", 79, Smoke::t_class|Smoke::tf_stack },	//150
    { "QDomDocument&", 79, Smoke::t_class|Smoke::tf_ref },	//151
    { "QDomElement", 80, Smoke::t_class|Smoke::tf_stack },	//152
    { "QDomElement&", 80, Smoke::t_class|Smoke::tf_ref },	//153
    { "QDomNode&", 81, Smoke::t_class|Smoke::tf_ref },	//154
    { "QEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QFlags<Okular::Document::PixmapRequestFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//156
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//157
    { "QFont", 83, Smoke::t_class|Smoke::tf_stack },	//158
    { "QImage", 85, Smoke::t_class|Smoke::tf_stack },	//159
    { "QLinkedList<Okular::Annotation*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//160
    { "QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//161
    { "QLinkedList<Okular::FormField*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//162
    { "QLinkedList<Okular::NormalizedPoint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//163
    { "QList<Okular::ExportFormat>", 0, Smoke::t_voidp|Smoke::tf_stack },	//164
    { "QList<Okular::FontInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//165
    { "QList<Okular::HighlightAnnotation::Quad>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//166
    { "QList<Okular::PageSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//167
    { "QList<Okular::TextEntity*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//168
    { "QList<QLinkedList<Okular::NormalizedPoint> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//169
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//170
    { "QMetaObject::Call", 87, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QMutex*", 88, Smoke::t_class|Smoke::tf_ptr },	//172
    { "QObject*", 89, Smoke::t_class|Smoke::tf_ptr },	//173
    { "QPainterPath&", 90, Smoke::t_class|Smoke::tf_ref },	//174
    { "QPixmap*", 91, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QPrinter&", 93, Smoke::t_class|Smoke::tf_ref },	//176
    { "QPrinter::Orientation", 93, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QRect", 94, Smoke::t_class|Smoke::tf_stack },	//178
    { "QRegExp&", 96, Smoke::t_class|Smoke::tf_ref },	//179
    { "QSize", 97, Smoke::t_class|Smoke::tf_stack },	//180
    { "QSizeF", 98, Smoke::t_class|Smoke::tf_stack },	//181
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//182
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//183
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//184
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//185
    { "QTextBlock", 99, Smoke::t_class|Smoke::tf_stack },	//186
    { "QTextDocument*", 100, Smoke::t_class|Smoke::tf_ptr },	//187
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//188
    { "QVariant", 102, Smoke::t_class|Smoke::tf_stack },	//189
    { "QVector<Okular::Page*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//190
    { "QWidget*", 103, Smoke::t_class|Smoke::tf_ptr },	//191
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QtMsgType", 84, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QtValidLicenseForActiveQtModule", 84, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QtValidLicenseForCoreModule", 84, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QtValidLicenseForDBusModule", 84, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QtValidLicenseForDeclarativeModule", 84, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QtValidLicenseForGuiModule", 84, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QtValidLicenseForHelpModule", 84, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QtValidLicenseForMultimediaModule", 84, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QtValidLicenseForNetworkModule", 84, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QtValidLicenseForOpenGLModule", 84, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QtValidLicenseForOpenVGModule", 84, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QtValidLicenseForQt3SupportLightModule", 84, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QtValidLicenseForQt3SupportModule", 84, Smoke::t_enum|Smoke::tf_stack },	//276
    { "QtValidLicenseForScriptModule", 84, Smoke::t_enum|Smoke::tf_stack },	//277
    { "QtValidLicenseForScriptToolsModule", 84, Smoke::t_enum|Smoke::tf_stack },	//278
    { "QtValidLicenseForSqlModule", 84, Smoke::t_enum|Smoke::tf_stack },	//279
    { "QtValidLicenseForSvgModule", 84, Smoke::t_enum|Smoke::tf_stack },	//280
    { "QtValidLicenseForTestModule", 84, Smoke::t_enum|Smoke::tf_stack },	//281
    { "QtValidLicenseForXmlModule", 84, Smoke::t_enum|Smoke::tf_stack },	//282
    { "QtValidLicenseForXmlPatternsModule", 84, Smoke::t_enum|Smoke::tf_stack },	//283
    { "__codecvt_result", 84, Smoke::t_enum|Smoke::tf_stack },	//284
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//285
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//286
    { "const KComponentData&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const KComponentData*", 3, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//288
    { "const KIcon&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const KSharedPtr<KMimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const KUrl&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const Okular::Action*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//292
    { "const Okular::ActionPrivate*", 11, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//293
    { "const Okular::Annotation*", 12, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//294
    { "const Okular::Annotation::Style&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const Okular::Annotation::Window&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const Okular::AnnotationObjectRect&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const Okular::AnnotationPrivate*", 16, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//298
    { "const Okular::AnnotationUtils&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const Okular::ConfigInterface&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const Okular::Document*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//301
    { "const Okular::DocumentInfo&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const Okular::DocumentInfo*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//303
    { "const Okular::DocumentSynopsis&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const Okular::DocumentSynopsis*", 26, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//305
    { "const Okular::DocumentViewport&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const Okular::EmbeddedFile&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const Okular::ExportFormat&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const Okular::FilePrinter&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const Okular::FontInfo&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const Okular::FormFieldPrivate*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//311
    { "const Okular::GeneratorPrivate*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//312
    { "const Okular::GuiInterface&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const Okular::MovieAction*", 47, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//314
    { "const Okular::NormalizedPoint&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const Okular::NormalizedRect&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const Okular::NormalizedRect*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//317
    { "const Okular::ObjectRect&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const Okular::ObjectRect*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//319
    { "const Okular::Page*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//320
    { "const Okular::PageSize&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const Okular::PageTransition&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const Okular::PageTransition*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//323
    { "const Okular::PrintInterface&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const Okular::RegularAreaRect&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const Okular::RegularAreaRect*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//326
    { "const Okular::SourceRefObjectRect&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const Okular::SourceReference*", 62, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//328
    { "const Okular::Utils&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const Okular::VisiblePageRect&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QByteArray&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QColor&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QDateTime&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QDomDocument&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QDomElement&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QDomNode&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QFont&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QImage*", 85, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//338
    { "const QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QLinkedList<Okular::FormField*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QLinkedList<Okular::NormalizedPoint>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QLinkedList<Okular::ObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QLinkedList<Okular::PixmapRequest*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QLinkedList<Okular::SourceRefObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QList<Okular::Annotation*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QList<Okular::EmbeddedFile*>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//346
    { "const QList<Okular::TextEntity*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QList<QLinkedList<Okular::NormalizedPoint> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QMatrix&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QMetaObject&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QMetaObject*", 87, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//353
    { "const QObject*", 89, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//354
    { "const QPainterPath&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QPolygonF&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QRect&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QRectF&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QRegExp&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//360
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//362
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//364
    { "const QTextBlock&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QVariant&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QVector<Okular::VisiblePageRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//368
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//369
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//370
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//371
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//372
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//373
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//374
    { "void(*)(const Okular::Annotation*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//375
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//376
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//377
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//378
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    335, 0,	//1  const QDomElement&
    287, 0,	//3  const KComponentData&
    361, 285, 285, 0,	//5  const QString&, bool, bool
    361, 0,	//9  const QString&
    361, 285, 0,	//11  const QString&, bool
    334, 285, 0,	//14  const QDomDocument&, bool
    361, 15, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    372, 376, 0,	//20  int, void*
    366, 0,	//23  const QVariant&
    18, 0,	//25  Okular::ActionPrivate&
    333, 0,	//27  const QDateTime&
    372, 0,	//29  int
    316, 0,	//31  const Okular::NormalizedRect&
    315, 0,	//33  const Okular::NormalizedPoint&
    375, 0,	//35  void(*)(const Okular::Annotation*)
    154, 151, 0,	//37  QDomNode&, QDomDocument&
    30, 0,	//40  Okular::AnnotationPrivate&
    30, 336, 0,	//42  Okular::AnnotationPrivate&, const QDomNode&
    20, 0,	//45  Okular::Annotation*
    370, 370, 0,	//47  double, double
    370, 370, 370, 370, 0,	//50  double, double, double, double
    351, 0,	//55  const QMatrix&
    297, 0,	//57  const Okular::AnnotationObjectRect&
    294, 153, 151, 0,	//59  const Okular::Annotation*, QDomElement&, QDomDocument&
    336, 361, 0,	//63  const QDomNode&, const QString&
    294, 370, 370, 0,	//66  const Okular::Annotation*, double, double
    299, 0,	//70  const Okular::AnnotationUtils&
    336, 0,	//72  const QDomNode&
    36, 0,	//74  Okular::CaretAnnotation::CaretSymbol
    4, 0,	//76  KConfigDialog*
    300, 0,	//78  const Okular::ConfigInterface&
    368, 0,	//80  const char*
    368, 368, 0,	//82  const char*, const char*
    368, 368, 372, 0,	//85  const char*, const char*, int
    171, 372, 377, 0,	//89  QMetaObject::Call, int, void**
    191, 0,	//93  QWidget*
    361, 291, 290, 0,	//95  const QString&, const KUrl&, const KSharedPtr<KMimeType>&
    48, 0,	//99  Okular::DocumentObserver*
    367, 372, 0,	//101  const QVector<Okular::VisiblePageRect*>&, int
    114, 0,	//104  Okular::Permission
    361, 308, 0,	//106  const QString&, const Okular::ExportFormat&
    361, 366, 0,	//109  const QString&, const QVariant&
    372, 372, 285, 0,	//112  int, int, bool
    306, 372, 285, 0,	//116  const Okular::DocumentViewport&, int, bool
    306, 0,	//120  const Okular::DocumentViewport&
    372, 372, 0,	//122  int, int
    343, 0,	//125  const QLinkedList<Okular::PixmapRequest*>&
    343, 156, 0,	//127  const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>
    374, 0,	//130  unsigned int
    372, 20, 0,	//132  int, Okular::Annotation*
    294, 0,	//135  const Okular::Annotation*
    372, 20, 285, 0,	//137  int, Okular::Annotation*, bool
    372, 345, 0,	//141  int, const QList<Okular::Annotation*>&
    372, 118, 332, 0,	//144  int, Okular::RegularAreaRect*, const QColor&
    372, 361, 285, 201, 43, 285, 332, 285, 0,	//148  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool
    372, 43, 0,	//157  int, Okular::Document::SearchType
    292, 0,	//160  const Okular::Action*
    328, 0,	//162  const Okular::SourceReference*
    176, 0,	//164  QPrinter&
    41, 0,	//166  Okular::Document::SaveCapability
    361, 183, 0,	//168  const QString&, QString*
    141, 0,	//171  Okular::View*
    310, 0,	//173  const Okular::FontInfo&
    361, 291, 0,	//175  const QString&, const KUrl&
    372, 370, 370, 0,	//178  int, double, double
    285, 0,	//182  bool
    321, 0,	//184  const Okular::PageSize&
    291, 0,	//186  const KUrl&
    361, 372, 0,	//188  const QString&, int
    372, 42, 0,	//191  int, Okular::Document::SearchStatus
    361, 372, 372, 286, 0,	//194  const QString&, int, int, bool*
    314, 0,	//199  const Okular::MovieAction*
    367, 0,	//201  const QVector<Okular::VisiblePageRect*>&
    306, 372, 0,	//203  const Okular::DocumentViewport&, int
    372, 361, 285, 201, 43, 285, 332, 0,	//206  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&
    45, 0,	//214  Okular::DocumentAction::DocumentActionType
    361, 361, 361, 0,	//216  const QString&, const QString&, const QString&
    47, 361, 0,	//220  Okular::DocumentInfo::Key, const QString&
    47, 0,	//223  Okular::DocumentInfo::Key
    302, 0,	//225  const Okular::DocumentInfo&
    361, 361, 0,	//227  const QString&, const QString&
    334, 0,	//230  const QDomDocument&
    304, 0,	//232  const Okular::DocumentSynopsis&
    307, 0,	//234  const Okular::EmbeddedFile&
    361, 290, 0,	//236  const QString&, const KSharedPtr<KMimeType>&
    289, 361, 290, 0,	//239  const KIcon&, const QString&, const KSharedPtr<KMimeType>&
    308, 0,	//243  const Okular::ExportFormat&
    58, 0,	//245  Okular::ExportFormat::StandardExportFormat
    53, 0,	//247  Okular::EmbeddedFile*
    176, 360, 177, 61, 62, 361, 0,	//249  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&
    176, 360, 61, 62, 361, 0,	//256  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&
    176, 363, 61, 0,	//262  QPrinter&, const QStringList&, Okular::FilePrinter::FileDeletePolicy
    176, 372, 372, 350, 0,	//266  QPrinter&, int, int, const QList<int>&
    176, 372, 350, 0,	//271  QPrinter&, int, const QList<int>&
    350, 0,	//275  const QList<int>&
    176, 362, 61, 62, 361, 0,	//277  QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&
    176, 362, 61, 62, 361, 177, 0,	//283  QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&, QPrinter::Orientation
    176, 61, 62, 285, 361, 361, 0,	//290  QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&
    176, 61, 62, 285, 361, 361, 177, 0,	//297  QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&, QPrinter::Orientation
    176, 361, 0,	//305  QPrinter&, const QString&
    176, 61, 361, 0,	//308  QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&
    176, 62, 361, 285, 361, 0,	//312  QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&
    176, 177, 0,	//318  QPrinter&, QPrinter::Orientation
    309, 0,	//321  const Okular::FilePrinter&
    176, 360, 177, 0,	//323  QPrinter&, const QString, QPrinter::Orientation
    176, 360, 177, 61, 0,	//327  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy
    176, 360, 177, 61, 62, 0,	//332  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy
    176, 360, 0,	//338  QPrinter&, const QString
    176, 360, 61, 0,	//341  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy
    176, 360, 61, 62, 0,	//345  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy
    176, 363, 0,	//350  QPrinter&, const QStringList&
    67, 0,	//353  Okular::FontInfo::FontType
    66, 0,	//355  Okular::FontInfo::EmbedType
    74, 0,	//357  Okular::FormFieldPrivate&
    16, 0,	//359  Okular::Action*
    173, 349, 0,	//361  QObject*, const QList<QVariant>&
    361, 190, 0,	//364  const QString&, QVector<Okular::Page*>&
    331, 190, 0,	//367  const QByteArray&, QVector<Okular::Page*>&
    115, 0,	//370  Okular::PixmapRequest*
    104, 0,	//372  Okular::Page*
    119, 119, 0,	//374  Okular::Rotation, Okular::Rotation
    321, 321, 0,	//377  const Okular::PageSize&, const Okular::PageSize&
    80, 0,	//380  Okular::Generator::GeneratorFeature
    104, 137, 0,	//382  Okular::Page*, Okular::TextPage*
    80, 285, 0,	//385  Okular::Generator::GeneratorFeature, bool
    372, 316, 0,	//388  int, const Okular::NormalizedRect&
    310, 146, 0,	//391  const Okular::FontInfo&, QByteArray*
    83, 173, 349, 0,	//394  Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&
    86, 0,	//398  Okular::GeomAnnotation::GeomType
    332, 0,	//400  const QColor&
    361, 306, 0,	//402  const QString&, const Okular::DocumentViewport&
    313, 0,	//405  const Okular::GuiInterface&
    90, 0,	//407  Okular::HighlightAnnotation::HighlightType
    348, 0,	//409  const QList<QLinkedList<Okular::NormalizedPoint> >&
    341, 0,	//411  const QLinkedList<Okular::NormalizedPoint>&
    94, 0,	//413  Okular::LineAnnotation::TermStyle
    370, 0,	//415  double
    93, 0,	//417  Okular::LineAnnotation::LineIntent
    372, 372, 372, 372, 0,	//419  int, int, int, int
    357, 370, 370, 0,	//424  const QRect&, double, double
    358, 0,	//428  const QRectF&
    317, 0,	//430  const Okular::NormalizedRect*
    370, 370, 370, 370, 285, 103, 376, 0,	//432  double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*
    316, 285, 103, 376, 0,	//440  const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*
    356, 103, 376, 0,	//445  const QPolygonF&, Okular::ObjectRect::ObjectType, void*
    318, 0,	//449  const Okular::ObjectRect&
    103, 0,	//451  Okular::ObjectRect::ObjectType
    376, 0,	//453  void*
    355, 0,	//455  const QPainterPath&
    374, 370, 370, 119, 0,	//457  unsigned int, double, double, Okular::Rotation
    372, 372, 372, 0,	//462  int, int, int
    372, 361, 122, 201, 326, 0,	//466  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*
    326, 0,	//472  const Okular::RegularAreaRect*
    326, 138, 0,	//474  const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour
    315, 183, 0,	//477  const Okular::NormalizedPoint&, QString*
    139, 0,	//480  Okular::TextSelection*
    103, 370, 370, 370, 370, 0,	//482  Okular::ObjectRect::ObjectType, double, double, double, double
    103, 370, 370, 370, 370, 371, 0,	//488  Okular::ObjectRect::ObjectType, double, double, double, double, double*
    105, 0,	//495  Okular::Page::PageAction
    372, 175, 0,	//497  int, QPixmap*
    137, 0,	//500  Okular::TextPage*
    342, 0,	//502  const QLinkedList<Okular::ObjectRect*>&
    344, 0,	//504  const QLinkedList<Okular::SourceRefObjectRect*>&
    110, 0,	//506  Okular::PageTransition*
    105, 16, 0,	//508  Okular::Page::PageAction, Okular::Action*
    340, 0,	//511  const QLinkedList<Okular::FormField*>&
    372, 361, 122, 201, 0,	//513  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity
    370, 370, 361, 0,	//518  double, double, const QString&
    113, 0,	//522  Okular::PageTransition::Type
    322, 0,	//524  const Okular::PageTransition&
    111, 0,	//526  Okular::PageTransition::Alignment
    112, 0,	//528  Okular::PageTransition::Direction
    372, 372, 372, 372, 372, 285, 0,	//530  int, int, int, int, int, bool
    324, 0,	//537  const Okular::PrintInterface&
    325, 0,	//539  const Okular::RegularAreaRect&
    121, 361, 0,	//541  Okular::ScriptType, const QString&
    331, 0,	//544  const QByteArray&
    124, 0,	//546  Okular::Sound::SoundEncoding
    370, 285, 285, 285, 123, 0,	//548  double, bool, bool, bool, Okular::Sound*
    123, 0,	//554  Okular::Sound*
    315, 376, 0,	//556  const Okular::NormalizedPoint&, void*
    327, 0,	//559  const Okular::SourceRefObjectRect&
    361, 372, 372, 0,	//561  const QString&, int, int
    133, 0,	//565  Okular::TextAnnotation::TextType
    337, 0,	//567  const QFont&
    315, 372, 0,	//569  const Okular::NormalizedPoint&, int
    132, 0,	//572  Okular::TextAnnotation::InplaceIntent
    16, 372, 372, 0,	//574  Okular::Action*, int, int
    20, 372, 372, 0,	//578  Okular::Annotation*, int, int
    372, 361, 365, 0,	//582  int, const QString&, const QTextBlock&
    187, 365, 0,	//586  QTextDocument*, const QTextBlock&
    134, 173, 349, 0,	//589  Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&
    361, 101, 0,	//593  const QString&, Okular::NormalizedRect*
    347, 0,	//596  const QList<Okular::TextEntity*>&
    357, 372, 372, 372, 0,	//598  const QRect&, int, int, int
    338, 0,	//603  const QImage*
    329, 0,	//605  const Okular::Utils&
    330, 0,	//607  const Okular::VisiblePageRect&
    155, 0,	//609  QEvent*
    173, 155, 0,	//611  QObject*, QEvent*
    188, 0,	//614  QTimerEvent*
    147, 0,	//616  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "ACaret",	//1
    "AFileAttachment",	//2
    "AGeom",	//3
    "AHighlight",	//4
    "AInk",	//5
    "ALaw",	//6
    "ALine",	//7
    "AMovie",	//8
    "ASound",	//9
    "AStamp",	//10
    "AText",	//11
    "A_BASE",	//12
    "Accepted",	//13
    "Action",	//14
    "Action#",	//15
    "AllDocument",	//16
    "Annotation",	//17
    "Annotation#",	//18
    "Annotation##",	//19
    "AnnotationObjectRect",	//20
    "AnnotationObjectRect#",	//21
    "AnnotationUtils",	//22
    "AnnotationUtils#",	//23
    "AnyPixelTextAreaInclusionBehaviour",	//24
    "ApplicationDeletesFiles",	//25
    "ApplicationSelectsPages",	//26
    "Arrow",	//27
    "Author",	//28
    "BeingMoved",	//29
    "Beveled",	//30
    "Blinds",	//31
    "Box",	//32
    "Browse",	//33
    "BrowseAction",	//34
    "BrowseAction$",	//35
    "Butt",	//36
    "CIDTrueType",	//37
    "CIDTrueTypeOT",	//38
    "CIDType0",	//39
    "CIDType0C",	//40
    "CIDType0COT",	//41
    "Callout",	//42
    "Cancelled",	//43
    "CaretAnnotation",	//44
    "CaretAnnotation#",	//45
    "Category",	//46
    "Center",	//47
    "CentralPixelTextAreaInclusionBehaviour",	//48
    "CheckBox",	//49
    "Circle",	//50
    "Close",	//51
    "ClosedArrow",	//52
    "Closing",	//53
    "Cloudy",	//54
    "ComboBox",	//55
    "Completed",	//56
    "ConfigInterface",	//57
    "ConfigInterface#",	//58
    "Copyright",	//59
    "Cover",	//60
    "CreationDate",	//61
    "Creator",	//62
    "Dashed",	//63
    "Delete",	//64
    "DenyDelete",	//65
    "DenyPrint",	//66
    "DenyWrite",	//67
    "Description",	//68
    "Diamond",	//69
    "Dimension",	//70
    "Dissolve",	//71
    "DocAction",	//72
    "Document",	//73
    "Document#",	//74
    "DocumentAction",	//75
    "DocumentAction$",	//76
    "DocumentInfo",	//77
    "DocumentInfo#",	//78
    "DocumentSize",	//79
    "DocumentSynopsis",	//80
    "DocumentSynopsis#",	//81
    "DocumentViewport",	//82
    "DocumentViewport#",	//83
    "DocumentViewport$",	//84
    "Embedded",	//85
    "EmbeddedFile",	//86
    "EmbeddedFile#",	//87
    "EmbeddedSubset",	//88
    "EndPresentation",	//89
    "Execute",	//90
    "ExecuteAction",	//91
    "ExecuteAction$$",	//92
    "ExportFormat",	//93
    "ExportFormat#",	//94
    "ExportFormat#$?",	//95
    "ExportFormat$?",	//96
    "External",	//97
    "ExternallyDrawn",	//98
    "Fade",	//99
    "FileAttachmentAnnotation",	//100
    "FileAttachmentAnnotation#",	//101
    "FileConversionPrintError",	//102
    "FilePath",	//103
    "FilePrinter",	//104
    "FilePrinter#",	//105
    "FileSelect",	//106
    "Find",	//107
    "FixedRotation",	//108
    "FixedSize",	//109
    "Fly",	//110
    "FontInfo",	//111
    "FontInfo#",	//112
    "FormButton",	//113
    "FormChoice",	//114
    "FormField",	//115
    "FormField#",	//116
    "FormFieldButton",	//117
    "FormFieldChoice",	//118
    "FormFieldText",	//119
    "FormSignature",	//120
    "FormText",	//121
    "FullyEmbedded",	//122
    "Generator",	//123
    "Generator##?",	//124
    "Generator#?",	//125
    "GeomAnnotation",	//126
    "GeomAnnotation#",	//127
    "Glitter",	//128
    "GoToPage",	//129
    "GoogleAll",	//130
    "GoogleAny",	//131
    "Goto",	//132
    "GotoAction",	//133
    "GotoAction$#",	//134
    "GotoAction$$",	//135
    "Group",	//136
    "GuiInterface",	//137
    "GuiInterface#",	//138
    "HTML",	//139
    "Hidden",	//140
    "Highlight",	//141
    "HighlightAnnotation",	//142
    "HighlightAnnotation#",	//143
    "HistoryBack",	//144
    "HistoryForward",	//145
    "Horizontal",	//146
    "Image",	//147
    "InPlace",	//148
    "InkAnnotation",	//149
    "InkAnnotation#",	//150
    "InscribedCircle",	//151
    "InscribedSquare",	//152
    "Inset",	//153
    "InvalidPrinterStatePrintError",	//154
    "Inward",	//155
    "KST_CTimeInfo",	//156
    "KST_KCustom",	//157
    "KST_KDEDesktopMimeType",	//158
    "KST_KFolderMimeType",	//159
    "KST_KImageIO",	//160
    "KST_KImageIOFormat",	//161
    "KST_KMimeType",	//162
    "KST_KMimeTypeEntry",	//163
    "KST_KMimeTypeFactory",	//164
    "KST_KProtocolInfo",	//165
    "KST_KProtocolInfoFactory",	//166
    "KST_KService",	//167
    "KST_KServiceFactory",	//168
    "KST_KServiceGroup",	//169
    "KST_KServiceGroupFactory",	//170
    "KST_KServiceSeparator",	//171
    "KST_KServiceType",	//172
    "KST_KServiceTypeFactory",	//173
    "KST_KSycocaEntry",	//174
    "Keywords",	//175
    "LicensedActiveQt",	//176
    "LicensedCore",	//177
    "LicensedDBus",	//178
    "LicensedDeclarative",	//179
    "LicensedGui",	//180
    "LicensedHelp",	//181
    "LicensedMultimedia",	//182
    "LicensedNetwork",	//183
    "LicensedOpenGL",	//184
    "LicensedOpenVG",	//185
    "LicensedQt3Support",	//186
    "LicensedQt3SupportLight",	//187
    "LicensedScript",	//188
    "LicensedScriptTools",	//189
    "LicensedSql",	//190
    "LicensedSvg",	//191
    "LicensedTest",	//192
    "LicensedXml",	//193
    "LicensedXmlPatterns",	//194
    "LineAnnotation",	//195
    "LineAnnotation#",	//196
    "Linked",	//197
    "ListBox",	//198
    "Marked",	//199
    "MatchFound",	//200
    "MimeType",	//201
    "ModificationDate",	//202
    "Movie",	//203
    "Multiline",	//204
    "NativePrinting",	//205
    "NextMatch",	//206
    "NoBinaryToPrintError",	//207
    "NoEffect",	//208
    "NoFileToPrintError",	//209
    "NoMatchFound",	//210
    "NoOption",	//211
    "NoPrintError",	//212
    "NoPrinting",	//213
    "None",	//214
    "Normal",	//215
    "NormalizedPoint",	//216
    "NormalizedPoint#",	//217
    "NormalizedPoint$$",	//218
    "NormalizedPoint$$$$",	//219
    "NormalizedRect",	//220
    "NormalizedRect#",	//221
    "NormalizedRect#$$",	//222
    "NormalizedRect$$$$",	//223
    "NotEmbedded",	//224
    "OAnnotation",	//225
    "ObjectRect",	//226
    "ObjectRect#",	//227
    "ObjectRect#$$",	//228
    "ObjectRect#$$$",	//229
    "ObjectRect$$$$$$$",	//230
    "OpenArrow",	//231
    "OpenDocumentText",	//232
    "Opening",	//233
    "Outward",	//234
    "P",	//235
    "PDF",	//236
    "Page",	//237
    "Page$$$$",	//238
    "PageFirst",	//239
    "PageLast",	//240
    "PageNext",	//241
    "PagePrev",	//242
    "PageSize",	//243
    "PageSize#",	//244
    "PageSize$$$",	//245
    "PageSizes",	//246
    "PageTransition",	//247
    "PageTransition#",	//248
    "PageTransition$",	//249
    "Pages",	//250
    "PagesSize",	//251
    "PixmapRequest",	//252
    "PixmapRequest$$$$$$",	//253
    "PlainText",	//254
    "Points",	//255
    "PolygonCloud",	//256
    "PostscriptPrinting",	//257
    "Presentation",	//258
    "PreviousMatch",	//259
    "PrintInterface",	//260
    "PrintInterface#",	//261
    "PrintNative",	//262
    "PrintPostscript",	//263
    "PrintToFile",	//264
    "PrintToFilePrintError",	//265
    "PrintingProcessCrashPrintError",	//266
    "PrintingProcessStartPrintError",	//267
    "Producer",	//268
    "Push",	//269
    "Q_COMPLEX_TYPE",	//270
    "Q_DUMMY_TYPE",	//271
    "Q_MOVABLE_TYPE",	//272
    "Q_PRIMITIVE_TYPE",	//273
    "Q_STATIC_TYPE",	//274
    "QtCriticalMsg",	//275
    "QtDebugMsg",	//276
    "QtFatalMsg",	//277
    "QtSystemMsg",	//278
    "QtWarningMsg",	//279
    "Quit",	//280
    "RClosedArrow",	//281
    "ROpenArrow",	//282
    "Radio",	//283
    "Raw",	//284
    "ReadRawData",	//285
    "RegularAreaRect",	//286
    "RegularAreaRect#",	//287
    "Rejected",	//288
    "RemoveAllPrevious",	//289
    "Replace",	//290
    "Reply",	//291
    "SaveAnnotationsCapability",	//292
    "SaveFormsCapability",	//293
    "Script",	//294
    "ScriptAction",	//295
    "ScriptAction$$",	//296
    "SearchCancelled",	//297
    "Signed",	//298
    "Slash",	//299
    "Solid",	//300
    "Sound",	//301
    "Sound#",	//302
    "Sound$",	//303
    "SoundAction",	//304
    "SoundAction$$$$#",	//305
    "SoundAnnotation",	//306
    "SoundAnnotation#",	//307
    "SourceRef",	//308
    "SourceRefObjectRect",	//309
    "SourceRefObjectRect#",	//310
    "SourceRefObjectRect#$",	//311
    "SourceReference",	//312
    "SourceReference$$",	//313
    "SourceReference$$$",	//314
    "Split",	//315
    "Square",	//316
    "Squiggly",	//317
    "StampAnnotation",	//318
    "StampAnnotation#",	//319
    "StateNoReverse",	//320
    "StateReverse",	//321
    "StrikeOut",	//322
    "Subject",	//323
    "SystemDeletesFiles",	//324
    "SystemSelectsPages",	//325
    "TeXFontMetric",	//326
    "TeXFreeTypeHandled",	//327
    "TeXPK",	//328
    "TeXVirtual",	//329
    "TemporaryFileOpenPrintError",	//330
    "TextAnnotation",	//331
    "TextAnnotation#",	//332
    "TextDocumentConverter",	//333
    "TextDocumentGenerator",	//334
    "TextDocumentGenerator##?",	//335
    "TextEntity",	//336
    "TextEntity$#",	//337
    "TextExtraction",	//338
    "TextPage",	//339
    "TextPage?",	//340
    "Threaded",	//341
    "Title",	//342
    "ToggleHidingOnMouse",	//343
    "TopLeft",	//344
    "TrueType",	//345
    "TrueTypeOT",	//346
    "Type1",	//347
    "Type1C",	//348
    "Type1COT",	//349
    "Type3",	//350
    "TypeWriter",	//351
    "UnableToFindFilePrintError",	//352
    "Uncover",	//353
    "Underline",	//354
    "Unknown",	//355
    "UnknownPrintError",	//356
    "Unmarked",	//357
    "Utils",	//358
    "Utils#",	//359
    "Vertical",	//360
    "VisiblePageRect",	//361
    "VisiblePageRect#",	//362
    "VisiblePageRect$",	//363
    "VisiblePageRect$#",	//364
    "Wipe",	//365
    "__codecvt_error",	//366
    "__codecvt_noconv",	//367
    "__codecvt_ok",	//368
    "__codecvt_partial",	//369
    "action",	//370
    "actionCollection",	//371
    "actionTip",	//372
    "actionType",	//373
    "activationAction",	//374
    "addAction",	//375
    "addAction#$$",	//376
    "addAnnotation",	//377
    "addAnnotation#",	//378
    "addAnnotation#$$",	//379
    "addMetaData",	//380
    "addMetaData$$",	//381
    "addMetaData$$$",	//382
    "addObserver",	//383
    "addObserver#",	//384
    "addPageAnnotation",	//385
    "addPageAnnotation$#",	//386
    "addPages",	//387
    "addPages#",	//388
    "addTitle",	//389
    "addTitle$$#",	//390
    "alignment",	//391
    "allPagesSize",	//392
    "angle",	//393
    "annotation",	//394
    "annotationGeometry",	//395
    "annotationGeometry#$$",	//396
    "annotations",	//397
    "append",	//398
    "append$#",	//399
    "area",	//400
    "asynchronous",	//401
    "author",	//402
    "bitsPerSample",	//403
    "bookmarkManager",	//404
    "bookmarkedPageList",	//405
    "bookmarkedPageRange",	//406
    "bottom",	//407
    "boundingBox",	//408
    "boundingRect",	//409
    "boundingRect$$",	//410
    "boundingRectangle",	//411
    "buttonType",	//412
    "calculateViewport",	//413
    "calculateViewport##",	//414
    "canBeExtracted",	//415
    "canBeMoved",	//416
    "canBeSpellChecked",	//417
    "canConfigurePrinter",	//418
    "canExportToText",	//419
    "canGeneratePixmap",	//420
    "canGenerateTextPage",	//421
    "canModifyPageAnnotation",	//422
    "canModifyPageAnnotation#",	//423
    "canProvideFontInformation",	//424
    "canRemovePageAnnotation",	//425
    "canRemovePageAnnotation#",	//426
    "canSaveChanges",	//427
    "canSaveChanges$",	//428
    "cancelSearch",	//429
    "caption",	//430
    "caretSymbol",	//431
    "center",	//432
    "channels",	//433
    "childEvent",	//434
    "choiceType",	//435
    "choices",	//436
    "close",	//437
    "closeDocument",	//438
    "column",	//439
    "componentData",	//440
    "configurableGenerators",	//441
    "connectNotify",	//442
    "contains",	//443
    "contains$$",	//444
    "contains$$$$",	//445
    "contents",	//446
    "continueSearch",	//447
    "continueSearch$",	//448
    "continueSearch$$",	//449
    "convert",	//450
    "convert$",	//451
    "copies",	//452
    "copies#$",	//453
    "createAnnotation",	//454
    "createAnnotation#",	//455
    "creationDate",	//456
    "cupsAvailable",	//457
    "cupsOptions",	//458
    "cupsOptions#",	//459
    "cupsOptions#$",	//460
    "currentChoices",	//461
    "currentDocument",	//462
    "currentPage",	//463
    "customEvent",	//464
    "d_func",	//465
    "data",	//466
    "deleteAnnotations",	//467
    "deleteFile",	//468
    "deleteFile#$$",	//469
    "deletePixmap",	//470
    "deletePixmap$",	//471
    "deletePixmaps",	//472
    "deleteRects",	//473
    "deleteSourceReferences",	//474
    "description",	//475
    "destViewport",	//476
    "destination",	//477
    "destination#$",	//478
    "destinationName",	//479
    "detectCupsConfig",	//480
    "detectCupsService",	//481
    "direction",	//482
    "disconnectNotify",	//483
    "distanceSqr",	//484
    "distanceSqr$$$$",	//485
    "doCloseDocument",	//486
    "doPrintFiles",	//487
    "doPrintFiles#?$$$",	//488
    "doPrintFiles#?$$$$",	//489
    "document",	//490
    "documentActionType",	//491
    "documentInfo",	//492
    "documentMetaData",	//493
    "documentMetaData$",	//494
    "documentMetaData$#",	//495
    "documentSynopsis",	//496
    "domDocument",	//497
    "dpiX",	//498
    "dpiY",	//499
    "duration",	//500
    "dynamicSourceReference",	//501
    "dynamicSourceReference$$$",	//502
    "embedType",	//503
    "embeddedFile",	//504
    "embeddedFiles",	//505
    "error",	//506
    "error$$",	//507
    "event",	//508
    "eventFilter",	//509
    "exportFormats",	//510
    "exportTo",	//511
    "exportTo$#",	//512
    "exportToText",	//513
    "exportToText$",	//514
    "file",	//515
    "fileIconName",	//516
    "fileName",	//517
    "fillConfigDialog",	//518
    "fillConfigDialog#",	//519
    "findChildElement",	//520
    "findChildElement#$",	//521
    "findText",	//522
    "findText$$$$",	//523
    "findText$$$$#",	//524
    "flags",	//525
    "fontData",	//526
    "fontData#",	//527
    "fontReadingEnded",	//528
    "fontReadingProgress",	//529
    "fontReadingProgress$",	//530
    "fontsForPage",	//531
    "fontsForPage$",	//532
    "formFields",	//533
    "fromQRectF",	//534
    "fromQRectF#",	//535
    "generateDocumentInfo",	//536
    "generateDocumentSynopsis",	//537
    "generatePixmap",	//538
    "generatePixmap#",	//539
    "generateTextPage",	//540
    "generateTextPage#",	//541
    "generator",	//542
    "geometricalInnerColor",	//543
    "geometricalPointWidth",	//544
    "geometricalType",	//545
    "geometry",	//546
    "geometry$$",	//547
    "get",	//548
    "get$",	//549
    "getKeyString",	//550
    "getKeyString$",	//551
    "getKeyTitle",	//552
    "getKeyTitle$",	//553
    "gotFont",	//554
    "gotFont#",	//555
    "guiClient",	//556
    "hasAnnotations",	//557
    "hasFeature",	//558
    "hasFeature$",	//559
    "hasHighlights",	//560
    "hasHighlights$",	//561
    "hasObjectRect",	//562
    "hasObjectRect$$$$",	//563
    "hasPixmap",	//564
    "hasPixmap$",	//565
    "hasPixmap$$",	//566
    "hasPixmap$$$",	//567
    "hasTextPage",	//568
    "hasTransition",	//569
    "height",	//570
    "highlightQuads",	//571
    "highlightType",	//572
    "historyAtBegin",	//573
    "historyAtEnd",	//574
    "icon",	//575
    "id",	//576
    "image",	//577
    "image#",	//578
    "imageBoundingBox",	//579
    "imageBoundingBox#",	//580
    "inkPaths",	//581
    "inplaceAlignment",	//582
    "inplaceCallout",	//583
    "inplaceCallout$",	//584
    "inplaceIntent",	//585
    "inplaceText",	//586
    "intersects",	//587
    "intersects#",	//588
    "intersects$$$$",	//589
    "isAllowed",	//590
    "isAllowed$",	//591
    "isBottom",	//592
    "isBottom#",	//593
    "isBottomOrLevel",	//594
    "isBottomOrLevel#",	//595
    "isBoundingBoxKnown",	//596
    "isEditable",	//597
    "isExternal",	//598
    "isLeft",	//599
    "isLeft#",	//600
    "isNull",	//601
    "isOpened",	//602
    "isPassword",	//603
    "isReadOnly",	//604
    "isRectangular",	//605
    "isRichText",	//606
    "isRight",	//607
    "isRight#",	//608
    "isTop",	//609
    "isTop#",	//610
    "isTopOrLevel",	//611
    "isTopOrLevel#",	//612
    "isValid",	//613
    "isVisible",	//614
    "jobname",	//615
    "jobname#$",	//616
    "label",	//617
    "left",	//618
    "lineClosed",	//619
    "lineEndStyle",	//620
    "lineInnerColor",	//621
    "lineIntent",	//622
    "lineLeadingBackwardPoint",	//623
    "lineLeadingForwardPoint",	//624
    "linePoints",	//625
    "lineStartStyle",	//626
    "linkEndPresentation",	//627
    "linkFind",	//628
    "linkGoToPage",	//629
    "linkPresentation",	//630
    "loadDocument",	//631
    "loadDocument$?",	//632
    "loadDocumentFromData",	//633
    "loadDocumentFromData#?",	//634
    "localXMLFile",	//635
    "m_object",	//636
    "m_objectType",	//637
    "m_path",	//638
    "m_transformedPath",	//639
    "maximumLength",	//640
    "mediaPageSize",	//641
    "mediaPageSize#",	//642
    "mediaPaperSource",	//643
    "mediaPaperSource#",	//644
    "metaData",	//645
    "metaData$",	//646
    "metaData$#",	//647
    "metaObject",	//648
    "mimeType",	//649
    "mix",	//650
    "modificationDate",	//651
    "modifyPageAnnotation",	//652
    "modifyPageAnnotation$#",	//653
    "modifyPageAnnotation$#$",	//654
    "muLaw",	//655
    "multiSelect",	//656
    "name",	//657
    "nativeId",	//658
    "nearestObjectRect",	//659
    "nearestObjectRect$$$$$$",	//660
    "notice",	//661
    "notice$$",	//662
    "number",	//663
    "object",	//664
    "objectRect",	//665
    "objectRect$$$$$",	//666
    "objectType",	//667
    "openDialogAfterCreation",	//668
    "openDocument",	//669
    "openDocument$#?",	//670
    "openDocumentArchive",	//671
    "openDocumentArchive$#",	//672
    "openUrl",	//673
    "openUrl#",	//674
    "operator!=",	//675
    "operator!=#",	//676
    "operator&",	//677
    "operator&#",	//678
    "operator<",	//679
    "operator<#",	//680
    "operator=",	//681
    "operator=#",	//682
    "operator==",	//683
    "operator==#",	//684
    "operator|",	//685
    "operator|#",	//686
    "operator|=",	//687
    "operator|=#",	//688
    "optionCollateCopies",	//689
    "optionCollateCopies#",	//690
    "optionCupsProperties",	//691
    "optionCupsProperties#",	//692
    "optionDoubleSidedPrinting",	//693
    "optionDoubleSidedPrinting#",	//694
    "optionMedia",	//695
    "optionMedia#",	//696
    "optionOrientation",	//697
    "optionOrientation#",	//698
    "optionOrientation#$",	//699
    "optionPageMargins",	//700
    "optionPageMargins#",	//701
    "optionPageOrder",	//702
    "optionPageOrder#",	//703
    "orientation",	//704
    "page",	//705
    "page$",	//706
    "pageAction",	//707
    "pageAction$",	//708
    "pageList",	//709
    "pageList#$$?",	//710
    "pageList#$?",	//711
    "pageListToPageRange",	//712
    "pageListToPageRange?",	//713
    "pageNumber",	//714
    "pageRange",	//715
    "pageRange#$?",	//716
    "pageSizeChanged",	//717
    "pageSizeChanged##",	//718
    "pageSizeString",	//719
    "pageSizeString$",	//720
    "pageSizes",	//721
    "pages",	//722
    "pages#$$$$",	//723
    "pagesSizeMetric",	//724
    "parameters",	//725
    "pdf2psAvailable",	//726
    "print",	//727
    "print#",	//728
    "printArguments",	//729
    "printArguments#$$$$$",	//730
    "printArguments#$$$$$$",	//731
    "printConfigurationWidget",	//732
    "printError",	//733
    "printError$",	//734
    "printFile",	//735
    "printFile#$",	//736
    "printFile#$$",	//737
    "printFile#$$$",	//738
    "printFile#$$$$",	//739
    "printFile#$$$$$",	//740
    "printFiles",	//741
    "printFiles#?",	//742
    "printFiles#?$",	//743
    "printingSupport",	//744
    "priority",	//745
    "processAction",	//746
    "processAction#",	//747
    "processMovieAction",	//748
    "processMovieAction#",	//749
    "processSourceReference",	//750
    "processSourceReference#",	//751
    "ps2pdfAvailable",	//752
    "psPaperSize",	//753
    "psPaperSize#",	//754
    "qt_metacall",	//755
    "qt_metacall$$?",	//756
    "qt_metacast",	//757
    "qt_metacast$",	//758
    "quit",	//759
    "ratio",	//760
    "realDpiX",	//761
    "realDpiY",	//762
    "rect",	//763
    "region",	//764
    "registerView",	//765
    "registerView#",	//766
    "removeAnnotation",	//767
    "removeAnnotation#",	//768
    "removeObserver",	//769
    "removeObserver#",	//770
    "removePageAnnotation",	//771
    "removePageAnnotation$#",	//772
    "removePageAnnotations",	//773
    "removePageAnnotations$?",	//774
    "reparseConfig",	//775
    "repeat",	//776
    "requestFontData",	//777
    "requestFontData##",	//778
    "requestPixmaps",	//779
    "requestPixmaps?",	//780
    "requestPixmaps?$",	//781
    "requestTextPage",	//782
    "requestTextPage$",	//783
    "resetSearch",	//784
    "resetSearch$",	//785
    "revisions",	//786
    "right",	//787
    "rotateRect",	//788
    "rotateRect#$$$",	//789
    "rotation",	//790
    "rotationChanged",	//791
    "rotationChanged$$",	//792
    "roundedGeometry",	//793
    "roundedGeometry$$",	//794
    "row",	//795
    "samplingRate",	//796
    "saveChanges",	//797
    "saveChanges$",	//798
    "saveChanges$$",	//799
    "saveDocumentArchive",	//800
    "saveDocumentArchive$",	//801
    "scale",	//802
    "script",	//803
    "scriptType",	//804
    "searchFinished",	//805
    "searchFinished$$",	//806
    "searchText",	//807
    "searchText$$$$$$#",	//808
    "searchText$$$$$$#$",	//809
    "set",	//810
    "set$$",	//811
    "set$$$",	//812
    "setActivationAction",	//813
    "setActivationAction#",	//814
    "setAlignment",	//815
    "setAlignment$",	//816
    "setAngle",	//817
    "setAngle$",	//818
    "setAnnotationEditingEnabled",	//819
    "setAnnotationEditingEnabled$",	//820
    "setAuthor",	//821
    "setAuthor$",	//822
    "setBitsPerSample",	//823
    "setBitsPerSample$",	//824
    "setBottom",	//825
    "setBottom$",	//826
    "setBoundingBox",	//827
    "setBoundingBox#",	//828
    "setBoundingRectangle",	//829
    "setBoundingRectangle#",	//830
    "setCanBeExtracted",	//831
    "setCanBeExtracted$",	//832
    "setCaretSymbol",	//833
    "setCaretSymbol$",	//834
    "setChannels",	//835
    "setChannels$",	//836
    "setComponentData",	//837
    "setContents",	//838
    "setContents$",	//839
    "setCreationDate",	//840
    "setCreationDate#",	//841
    "setCurrentChoices",	//842
    "setCurrentChoices?",	//843
    "setDOMDocument",	//844
    "setDirection",	//845
    "setDirection$",	//846
    "setDisposeDataFunction",	//847
    "setDisposeDataFunction$",	//848
    "setDuration",	//849
    "setDuration$",	//850
    "setEmbedType",	//851
    "setEmbedType$",	//852
    "setEmbeddedFile",	//853
    "setEmbeddedFile#",	//854
    "setFeature",	//855
    "setFeature$",	//856
    "setFeature$$",	//857
    "setFile",	//858
    "setFile$",	//859
    "setFileIconName",	//860
    "setFileIconName$",	//861
    "setFlags",	//862
    "setFlags$",	//863
    "setFormFields",	//864
    "setFormFields?",	//865
    "setGeometricalInnerColor",	//866
    "setGeometricalInnerColor#",	//867
    "setGeometricalPointWidth",	//868
    "setGeometricalPointWidth$",	//869
    "setGeometricalType",	//870
    "setGeometricalType$",	//871
    "setHighlightType",	//872
    "setHighlightType$",	//873
    "setInkPaths",	//874
    "setInkPaths?",	//875
    "setInplaceAlignment",	//876
    "setInplaceAlignment$",	//877
    "setInplaceCallout",	//878
    "setInplaceCallout#$",	//879
    "setInplaceIntent",	//880
    "setInplaceIntent$",	//881
    "setInplaceText",	//882
    "setInplaceText$",	//883
    "setIsRectangular",	//884
    "setIsRectangular$",	//885
    "setLabel",	//886
    "setLabel$",	//887
    "setLeft",	//888
    "setLeft$",	//889
    "setLineClosed",	//890
    "setLineClosed$",	//891
    "setLineEndStyle",	//892
    "setLineEndStyle$",	//893
    "setLineInnerColor",	//894
    "setLineInnerColor#",	//895
    "setLineIntent",	//896
    "setLineIntent$",	//897
    "setLineLeadingBackwardPoint",	//898
    "setLineLeadingBackwardPoint$",	//899
    "setLineLeadingForwardPoint",	//900
    "setLineLeadingForwardPoint$",	//901
    "setLinePoints",	//902
    "setLinePoints?",	//903
    "setLineStartStyle",	//904
    "setLineStartStyle$",	//905
    "setLocalXMLFile",	//906
    "setM_object",	//907
    "setM_object$",	//908
    "setM_objectType",	//909
    "setM_objectType$",	//910
    "setM_path",	//911
    "setM_path#",	//912
    "setM_transformedPath",	//913
    "setM_transformedPath#",	//914
    "setModificationDate",	//915
    "setModificationDate#",	//916
    "setName",	//917
    "setName$",	//918
    "setNativeId",	//919
    "setNativeId#",	//920
    "setNextDocumentDestination",	//921
    "setNextDocumentDestination$",	//922
    "setNextDocumentViewport",	//923
    "setNextDocumentViewport#",	//924
    "setNextViewport",	//925
    "setObjectRects",	//926
    "setObjectRects?",	//927
    "setPageAction",	//928
    "setPageAction$#",	//929
    "setPageNumber",	//930
    "setPageNumber$",	//931
    "setPageSize",	//932
    "setPageSize#",	//933
    "setPageTextSelection",	//934
    "setPageTextSelection$##",	//935
    "setPixmap",	//936
    "setPixmap$#",	//937
    "setPrevViewport",	//938
    "setRect",	//939
    "setRect#",	//940
    "setRight",	//941
    "setRight$",	//942
    "setRotation",	//943
    "setRotation$",	//944
    "setSamplingRate",	//945
    "setSamplingRate$",	//946
    "setScale",	//947
    "setScale$",	//948
    "setShowCaption",	//949
    "setShowCaption$",	//950
    "setSound",	//951
    "setSound#",	//952
    "setSoundEncoding",	//953
    "setSoundEncoding$",	//954
    "setSoundIconName",	//955
    "setSoundIconName$",	//956
    "setSourceReferences",	//957
    "setSourceReferences?",	//958
    "setStampIconName",	//959
    "setStampIconName$",	//960
    "setState",	//961
    "setState$",	//962
    "setText",	//963
    "setText$",	//964
    "setTextFont",	//965
    "setTextFont#",	//966
    "setTextIcon",	//967
    "setTextIcon$",	//968
    "setTextPage",	//969
    "setTextPage#",	//970
    "setTextType",	//971
    "setTextType$",	//972
    "setTop",	//973
    "setTop$",	//974
    "setTransition",	//975
    "setTransition#",	//976
    "setType",	//977
    "setType$",	//978
    "setUniqueName",	//979
    "setUniqueName$",	//980
    "setViewport",	//981
    "setViewport#",	//982
    "setViewport#$",	//983
    "setViewport#$$",	//984
    "setViewportPage",	//985
    "setViewportPage$",	//986
    "setViewportPage$$",	//987
    "setViewportPage$$$",	//988
    "setVisiblePageRects",	//989
    "setVisiblePageRects?",	//990
    "setVisiblePageRects?$",	//991
    "setX",	//992
    "setX$",	//993
    "setXML",	//994
    "setXMLFile",	//995
    "setY",	//996
    "setY$",	//997
    "setZoom",	//998
    "setZoom$",	//999
    "setZoom$$",	//1000
    "showCaption",	//1001
    "siblings",	//1002
    "signalPixmapRequestDone",	//1003
    "signalPixmapRequestDone#",	//1004
    "signalTextGenerationDone",	//1005
    "signalTextGenerationDone##",	//1006
    "size",	//1007
    "sound",	//1008
    "soundEncoding",	//1009
    "soundIconName",	//1010
    "soundType",	//1011
    "sourceReferenceActivated",	//1012
    "sourceReferenceActivated$$$$",	//1013
    "stampIconName",	//1014
    "standardFormat",	//1015
    "standardFormat$",	//1016
    "startFontReading",	//1017
    "state",	//1018
    "stateChanged",	//1019
    "staticMetaObject",	//1020
    "stopFontReading",	//1021
    "store",	//1022
    "store##",	//1023
    "storeAnnotation",	//1024
    "storeAnnotation###",	//1025
    "style",	//1026
    "subType",	//1027
    "supportedMimeTypes",	//1028
    "supportsPageSizes",	//1029
    "supportsPrintToFile",	//1030
    "supportsSearching",	//1031
    "synchronous",	//1032
    "text",	//1033
    "text#",	//1034
    "text#$",	//1035
    "textAlignment",	//1036
    "textArea",	//1037
    "textArea#",	//1038
    "textFont",	//1039
    "textIcon",	//1040
    "textPage",	//1041
    "textPage#",	//1042
    "textSelection",	//1043
    "textSelectionColor",	//1044
    "textType",	//1045
    "timerEvent",	//1046
    "toString",	//1047
    "top",	//1048
    "totalOrientation",	//1049
    "tr",	//1050
    "tr$",	//1051
    "tr$$",	//1052
    "tr$$$",	//1053
    "trUtf8",	//1054
    "trUtf8$",	//1055
    "trUtf8$$",	//1056
    "trUtf8$$$",	//1057
    "transform",	//1058
    "transform#",	//1059
    "transformedArea",	//1060
    "transformedArea#",	//1061
    "transformedBoundingRectangle",	//1062
    "transformedInkPaths",	//1063
    "transformedInplaceCallout",	//1064
    "transformedInplaceCallout$",	//1065
    "transformedLinePoints",	//1066
    "transition",	//1067
    "translate",	//1068
    "translate#",	//1069
    "type",	//1070
    "uiName",	//1071
    "uniqueName",	//1072
    "unregisterView",	//1073
    "unregisterView#",	//1074
    "updatePageBoundingBox",	//1075
    "updatePageBoundingBox$#",	//1076
    "url",	//1077
    "userMutex",	//1078
    "viewport",	//1079
    "virtual_hook",	//1080
    "visiblePageRects",	//1081
    "volume",	//1082
    "warning",	//1083
    "warning$$",	//1084
    "widget",	//1085
    "width",	//1086
    "window",	//1087
    "wordAt",	//1088
    "wordAt#",	//1089
    "wordAt#$",	//1090
    "words",	//1091
    "words#$",	//1092
    "x",	//1093
    "xmlFile",	//1094
    "y",	//1095
    "~Action",	//1096
    "~Annotation",	//1097
    "~AnnotationObjectRect",	//1098
    "~AnnotationUtils",	//1099
    "~BrowseAction",	//1100
    "~CaretAnnotation",	//1101
    "~ConfigInterface",	//1102
    "~Document",	//1103
    "~DocumentAction",	//1104
    "~DocumentInfo",	//1105
    "~DocumentSynopsis",	//1106
    "~DocumentViewport",	//1107
    "~EmbeddedFile",	//1108
    "~ExecuteAction",	//1109
    "~ExportFormat",	//1110
    "~FileAttachmentAnnotation",	//1111
    "~FilePrinter",	//1112
    "~FontInfo",	//1113
    "~FormField",	//1114
    "~FormFieldButton",	//1115
    "~FormFieldChoice",	//1116
    "~FormFieldText",	//1117
    "~Generator",	//1118
    "~GeomAnnotation",	//1119
    "~GotoAction",	//1120
    "~GuiInterface",	//1121
    "~HighlightAnnotation",	//1122
    "~InkAnnotation",	//1123
    "~LineAnnotation",	//1124
    "~NormalizedPoint",	//1125
    "~NormalizedRect",	//1126
    "~ObjectRect",	//1127
    "~Page",	//1128
    "~PageSize",	//1129
    "~PageTransition",	//1130
    "~PixmapRequest",	//1131
    "~PrintInterface",	//1132
    "~RegularAreaRect",	//1133
    "~ScriptAction",	//1134
    "~Sound",	//1135
    "~SoundAction",	//1136
    "~SoundAnnotation",	//1137
    "~SourceRefObjectRect",	//1138
    "~SourceReference",	//1139
    "~StampAnnotation",	//1140
    "~TextAnnotation",	//1141
    "~TextDocumentConverter",	//1142
    "~TextDocumentGenerator",	//1143
    "~TextEntity",	//1144
    "~TextPage",	//1145
    "~Utils",	//1146
    "~VisiblePageRect",	//1147
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 370, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 143, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {9, 371, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {9, 440, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 3, 0},	//3 KXMLGUIClient::componentData() const
    {9, 497, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 150, 0},	//4 KXMLGUIClient::domDocument() const
    {9, 1094, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 182, 0},	//5 KXMLGUIClient::xmlFile() const
    {9, 635, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 182, 0},	//6 KXMLGUIClient::localXMLFile() const
    {9, 837, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {9, 995, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {9, 906, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {9, 994, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {9, 844, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {9, 1019, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {9, 1080, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {9, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {9, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {10, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 17, 1},	//16 Okular::Action::actionType() const [pure virtual]
    {10, 372, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 182, 2},	//17 Okular::Action::actionTip() const
    {10, 919, 23, 1, 0, 0, 3},	//18 Okular::Action::setNativeId(const QVariant&)
    {10, 658, 0, 0, Smoke::mf_const, 189, 4},	//19 Okular::Action::nativeId() const
    {10, 14, 25, 1, Smoke::mf_ctor|Smoke::mf_protected, 16, 5},	//20 Okular::Action::Action(Okular::ActionPrivate&)
    {10, 465, 0, 0, Smoke::mf_protected, 19, 6},	//21 Okular::Action::d_func()
    {10, 465, 0, 0, Smoke::mf_const|Smoke::mf_protected, 293, 7},	//22 Okular::Action::d_func() const
    {10, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 8},	//23 Okular::Action::Goto (enum)
    {10, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 9},	//24 Okular::Action::Execute (enum)
    {10, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 10},	//25 Okular::Action::Browse (enum)
    {10, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 11},	//26 Okular::Action::DocAction (enum)
    {10, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 12},	//27 Okular::Action::Sound (enum)
    {10, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 13},	//28 Okular::Action::Movie (enum)
    {10, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 14},	//29 Okular::Action::Script (enum)
    {10, 1096, 0, 0, Smoke::mf_dtor, 0, 15 },	//30 Okular::Action::~Action()
    {12, 821, 9, 1, 0, 0, 1},	//31 Okular::Annotation::setAuthor(const QString&)
    {12, 402, 0, 0, Smoke::mf_const, 182, 2},	//32 Okular::Annotation::author() const
    {12, 838, 9, 1, 0, 0, 3},	//33 Okular::Annotation::setContents(const QString&)
    {12, 446, 0, 0, Smoke::mf_const, 182, 4},	//34 Okular::Annotation::contents() const
    {12, 979, 9, 1, 0, 0, 5},	//35 Okular::Annotation::setUniqueName(const QString&)
    {12, 1072, 0, 0, Smoke::mf_const, 182, 6},	//36 Okular::Annotation::uniqueName() const
    {12, 915, 27, 1, 0, 0, 7},	//37 Okular::Annotation::setModificationDate(const QDateTime&)
    {12, 651, 0, 0, Smoke::mf_const, 149, 8},	//38 Okular::Annotation::modificationDate() const
    {12, 840, 27, 1, 0, 0, 9},	//39 Okular::Annotation::setCreationDate(const QDateTime&)
    {12, 456, 0, 0, Smoke::mf_const, 149, 10},	//40 Okular::Annotation::creationDate() const
    {12, 862, 29, 1, 0, 0, 11},	//41 Okular::Annotation::setFlags(int)
    {12, 525, 0, 0, Smoke::mf_const, 372, 12},	//42 Okular::Annotation::flags() const
    {12, 829, 31, 1, 0, 0, 13},	//43 Okular::Annotation::setBoundingRectangle(const Okular::NormalizedRect&)
    {12, 411, 0, 0, Smoke::mf_const, 99, 14},	//44 Okular::Annotation::boundingRectangle() const
    {12, 1062, 0, 0, Smoke::mf_const, 99, 15},	//45 Okular::Annotation::transformedBoundingRectangle() const
    {12, 1068, 33, 1, 0, 0, 16},	//46 Okular::Annotation::translate(const Okular::NormalizedPoint&)
    {12, 1026, 0, 0, 0, 26, 17},	//47 Okular::Annotation::style()
    {12, 1026, 0, 0, Smoke::mf_const, 295, 18},	//48 Okular::Annotation::style() const
    {12, 1087, 0, 0, 0, 28, 19},	//49 Okular::Annotation::window()
    {12, 1087, 0, 0, Smoke::mf_const, 296, 20},	//50 Okular::Annotation::window() const
    {12, 786, 0, 0, 0, 161, 21},	//51 Okular::Annotation::revisions()
    {12, 786, 0, 0, Smoke::mf_const, 339, 22},	//52 Okular::Annotation::revisions() const
    {12, 919, 23, 1, 0, 0, 23},	//53 Okular::Annotation::setNativeId(const QVariant&)
    {12, 658, 0, 0, Smoke::mf_const, 189, 24},	//54 Okular::Annotation::nativeId() const
    {12, 847, 35, 1, 0, 0, 25},	//55 Okular::Annotation::setDisposeDataFunction(void(*)(const Okular::Annotation*))
    {12, 416, 0, 0, Smoke::mf_const, 285, 26},	//56 Okular::Annotation::canBeMoved() const
    {12, 668, 0, 0, Smoke::mf_const, 285, 27},	//57 Okular::Annotation::openDialogAfterCreation() const
    {12, 1027, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 28},	//58 Okular::Annotation::subType() const [pure virtual]
    {12, 1022, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 29},	//59 Okular::Annotation::store(QDomNode&, QDomDocument&) const
    {12, 17, 40, 1, Smoke::mf_ctor|Smoke::mf_protected, 20, 30},	//60 Okular::Annotation::Annotation(Okular::AnnotationPrivate&)
    {12, 17, 42, 2, Smoke::mf_ctor|Smoke::mf_protected, 20, 31},	//61 Okular::Annotation::Annotation(Okular::AnnotationPrivate&, const QDomNode&)
    {12, 465, 0, 0, Smoke::mf_protected, 31, 32},	//62 Okular::Annotation::d_func()
    {12, 465, 0, 0, Smoke::mf_const|Smoke::mf_protected, 298, 33},	//63 Okular::Annotation::d_func() const
    {12, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 34},	//64 Okular::Annotation::AText (enum)
    {12, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 35},	//65 Okular::Annotation::ALine (enum)
    {12, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 36},	//66 Okular::Annotation::AGeom (enum)
    {12, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 37},	//67 Okular::Annotation::AHighlight (enum)
    {12, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 38},	//68 Okular::Annotation::AStamp (enum)
    {12, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 39},	//69 Okular::Annotation::AInk (enum)
    {12, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 40},	//70 Okular::Annotation::ACaret (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 41},	//71 Okular::Annotation::AFileAttachment (enum)
    {12, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 42},	//72 Okular::Annotation::ASound (enum)
    {12, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 43},	//73 Okular::Annotation::AMovie (enum)
    {12, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 44},	//74 Okular::Annotation::A_BASE (enum)
    {12, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 45},	//75 Okular::Annotation::Hidden (enum)
    {12, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 46},	//76 Okular::Annotation::FixedSize (enum)
    {12, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 47},	//77 Okular::Annotation::FixedRotation (enum)
    {12, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 48},	//78 Okular::Annotation::DenyPrint (enum)
    {12, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 49},	//79 Okular::Annotation::DenyWrite (enum)
    {12, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 50},	//80 Okular::Annotation::DenyDelete (enum)
    {12, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 51},	//81 Okular::Annotation::ToggleHidingOnMouse (enum)
    {12, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 52},	//82 Okular::Annotation::External (enum)
    {12, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 53},	//83 Okular::Annotation::ExternallyDrawn (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 54},	//84 Okular::Annotation::BeingMoved (enum)
    {12, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 55},	//85 Okular::Annotation::Solid (enum)
    {12, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 56},	//86 Okular::Annotation::Dashed (enum)
    {12, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 57},	//87 Okular::Annotation::Beveled (enum)
    {12, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 58},	//88 Okular::Annotation::Inset (enum)
    {12, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 59},	//89 Okular::Annotation::Underline (enum)
    {12, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 60},	//90 Okular::Annotation::NoEffect (enum)
    {12, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 61},	//91 Okular::Annotation::Cloudy (enum)
    {12, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 62},	//92 Okular::Annotation::Reply (enum)
    {12, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 63},	//93 Okular::Annotation::Group (enum)
    {12, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 64},	//94 Okular::Annotation::Delete (enum)
    {12, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 65},	//95 Okular::Annotation::None (enum)
    {12, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 66},	//96 Okular::Annotation::Marked (enum)
    {12, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 67},	//97 Okular::Annotation::Unmarked (enum)
    {12, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 68},	//98 Okular::Annotation::Accepted (enum)
    {12, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 69},	//99 Okular::Annotation::Rejected (enum)
    {12, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 70},	//100 Okular::Annotation::Cancelled (enum)
    {12, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 71},	//101 Okular::Annotation::Completed (enum)
    {12, 1097, 0, 0, Smoke::mf_dtor, 0, 72 },	//102 Okular::Annotation::~Annotation()
    {15, 20, 45, 1, Smoke::mf_ctor, 29, 1},	//103 Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    {15, 394, 0, 0, Smoke::mf_const, 20, 2},	//104 Okular::AnnotationObjectRect::annotation() const
    {15, 409, 47, 2, Smoke::mf_const|Smoke::mf_virtual, 178, 3},	//105 Okular::AnnotationObjectRect::boundingRect(double, double) const
    {15, 443, 50, 4, Smoke::mf_const|Smoke::mf_virtual, 285, 4},	//106 Okular::AnnotationObjectRect::contains(double, double, double, double) const
    {15, 1058, 55, 1, Smoke::mf_virtual, 0, 5},	//107 Okular::AnnotationObjectRect::transform(const QMatrix&)
    {15, 20, 57, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 6},	//108 Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    {15, 1098, 0, 0, Smoke::mf_dtor, 0, 7 },	//109 Okular::AnnotationObjectRect::~AnnotationObjectRect()
    {17, 454, 1, 1, Smoke::mf_static, 20, 1},	//110 Okular::AnnotationUtils::createAnnotation(const QDomElement&)
    {17, 1024, 59, 3, Smoke::mf_static, 0, 2},	//111 Okular::AnnotationUtils::storeAnnotation(const Okular::Annotation*, QDomElement&, QDomDocument&)
    {17, 520, 63, 2, Smoke::mf_static, 152, 3},	//112 Okular::AnnotationUtils::findChildElement(const QDomNode&, const QString&)
    {17, 395, 66, 3, Smoke::mf_static, 178, 4},	//113 Okular::AnnotationUtils::annotationGeometry(const Okular::Annotation*, double, double)
    {17, 22, 0, 0, Smoke::mf_ctor, 32, 5},	//114 Okular::AnnotationUtils::AnnotationUtils()
    {17, 22, 70, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 6},	//115 Okular::AnnotationUtils::AnnotationUtils(const Okular::AnnotationUtils&)
    {17, 1099, 0, 0, Smoke::mf_dtor, 0, 7 },	//116 Okular::AnnotationUtils::~AnnotationUtils()
    {19, 34, 9, 1, Smoke::mf_ctor, 34, 1},	//117 Okular::BrowseAction::BrowseAction(const QString&)
    {19, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//118 Okular::BrowseAction::actionType() const
    {19, 372, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 182, 3},	//119 Okular::BrowseAction::actionTip() const
    {19, 1077, 0, 0, Smoke::mf_const, 182, 4},	//120 Okular::BrowseAction::url() const
    {19, 1100, 0, 0, Smoke::mf_dtor, 0, 5 },	//121 Okular::BrowseAction::~BrowseAction()
    {20, 44, 0, 0, Smoke::mf_ctor, 35, 1},	//122 Okular::CaretAnnotation::CaretAnnotation()
    {20, 44, 72, 1, Smoke::mf_ctor, 35, 2},	//123 Okular::CaretAnnotation::CaretAnnotation(const QDomNode&)
    {20, 833, 74, 1, 0, 0, 3},	//124 Okular::CaretAnnotation::setCaretSymbol(Okular::CaretAnnotation::CaretSymbol)
    {20, 431, 0, 0, Smoke::mf_const, 36, 4},	//125 Okular::CaretAnnotation::caretSymbol() const
    {20, 1027, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 5},	//126 Okular::CaretAnnotation::subType() const
    {20, 1022, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//127 Okular::CaretAnnotation::store(QDomNode&, QDomDocument&) const
    {20, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 7},	//128 Okular::CaretAnnotation::None (enum)
    {20, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 8},	//129 Okular::CaretAnnotation::P (enum)
    {20, 1101, 0, 0, Smoke::mf_dtor, 0, 9 },	//130 Okular::CaretAnnotation::~CaretAnnotation()
    {21, 775, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 285, 1},	//131 Okular::ConfigInterface::reparseConfig() [pure virtual]
    {21, 387, 76, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//132 Okular::ConfigInterface::addPages(KConfigDialog*) [pure virtual]
    {21, 57, 0, 0, Smoke::mf_ctor, 37, 3},	//133 Okular::ConfigInterface::ConfigInterface()
    {21, 57, 78, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 4},	//134 Okular::ConfigInterface::ConfigInterface(const Okular::ConfigInterface&)
    {21, 1102, 0, 0, Smoke::mf_dtor, 0, 5 },	//135 Okular::ConfigInterface::~ConfigInterface()
    {22, 648, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 353, 1},	//136 Okular::Document::metaObject() const
    {22, 757, 80, 1, Smoke::mf_virtual, 376, 2},	//137 Okular::Document::qt_metacast(const char*)
    {22, 1050, 82, 2, Smoke::mf_static, 182, 3},	//138 Okular::Document::tr(const char*, const char*)
    {22, 1054, 82, 2, Smoke::mf_static, 182, 4},	//139 Okular::Document::trUtf8(const char*, const char*)
    {22, 1050, 85, 3, Smoke::mf_static, 182, 5},	//140 Okular::Document::tr(const char*, const char*, int)
    {22, 1054, 85, 3, Smoke::mf_static, 182, 6},	//141 Okular::Document::trUtf8(const char*, const char*, int)
    {22, 755, 89, 3, Smoke::mf_virtual, 372, 7},	//142 Okular::Document::qt_metacall(QMetaObject::Call, int, void**)
    {22, 73, 93, 1, Smoke::mf_ctor, 38, 8},	//143 Okular::Document::Document(QWidget*)
    {22, 669, 95, 3, 0, 285, 9},	//144 Okular::Document::openDocument(const QString&, const KUrl&, const KSharedPtr<KMimeType>&)
    {22, 438, 0, 0, 0, 0, 10},	//145 Okular::Document::closeDocument()
    {22, 383, 99, 1, 0, 0, 11},	//146 Okular::Document::addObserver(Okular::DocumentObserver*)
    {22, 769, 99, 1, 0, 0, 12},	//147 Okular::Document::removeObserver(Okular::DocumentObserver*)
    {22, 775, 0, 0, 0, 0, 13},	//148 Okular::Document::reparseConfig()
    {22, 1085, 0, 0, Smoke::mf_const, 191, 14},	//149 Okular::Document::widget() const
    {22, 602, 0, 0, Smoke::mf_const, 285, 15},	//150 Okular::Document::isOpened() const
    {22, 492, 0, 0, Smoke::mf_const, 303, 16},	//151 Okular::Document::documentInfo() const
    {22, 496, 0, 0, Smoke::mf_const, 305, 17},	//152 Okular::Document::documentSynopsis() const
    {22, 1017, 0, 0, 0, 0, 18},	//153 Okular::Document::startFontReading()
    {22, 1021, 0, 0, 0, 0, 19},	//154 Okular::Document::stopFontReading()
    {22, 424, 0, 0, Smoke::mf_const, 285, 20},	//155 Okular::Document::canProvideFontInformation() const
    {22, 505, 0, 0, Smoke::mf_const, 346, 21},	//156 Okular::Document::embeddedFiles() const
    {22, 705, 29, 1, Smoke::mf_const, 320, 22},	//157 Okular::Document::page(int) const
    {22, 1079, 0, 0, Smoke::mf_const, 306, 23},	//158 Okular::Document::viewport() const
    {22, 989, 101, 2, 0, 0, 24},	//159 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&, int)
    {22, 1081, 0, 0, Smoke::mf_const, 367, 25},	//160 Okular::Document::visiblePageRects() const
    {22, 463, 0, 0, Smoke::mf_const, 374, 26},	//161 Okular::Document::currentPage() const
    {22, 722, 0, 0, Smoke::mf_const, 374, 27},	//162 Okular::Document::pages() const
    {22, 462, 0, 0, Smoke::mf_const, 13, 28},	//163 Okular::Document::currentDocument() const
    {22, 590, 104, 1, Smoke::mf_const, 285, 29},	//164 Okular::Document::isAllowed(Okular::Permission) const
    {22, 1031, 0, 0, Smoke::mf_const, 285, 30},	//165 Okular::Document::supportsSearching() const
    {22, 1029, 0, 0, Smoke::mf_const, 285, 31},	//166 Okular::Document::supportsPageSizes() const
    {22, 721, 0, 0, Smoke::mf_const, 167, 32},	//167 Okular::Document::pageSizes() const
    {22, 419, 0, 0, Smoke::mf_const, 285, 33},	//168 Okular::Document::canExportToText() const
    {22, 513, 9, 1, Smoke::mf_const, 285, 34},	//169 Okular::Document::exportToText(const QString&) const
    {22, 510, 0, 0, Smoke::mf_const, 164, 35},	//170 Okular::Document::exportFormats() const
    {22, 511, 106, 2, Smoke::mf_const, 285, 36},	//171 Okular::Document::exportTo(const QString&, const Okular::ExportFormat&) const
    {22, 573, 0, 0, Smoke::mf_const, 285, 37},	//172 Okular::Document::historyAtBegin() const
    {22, 574, 0, 0, Smoke::mf_const, 285, 38},	//173 Okular::Document::historyAtEnd() const
    {22, 645, 109, 2, Smoke::mf_const, 189, 39},	//174 Okular::Document::metaData(const QString&, const QVariant&) const
    {22, 790, 0, 0, Smoke::mf_const, 119, 40},	//175 Okular::Document::rotation() const
    {22, 392, 0, 0, Smoke::mf_const, 181, 41},	//176 Okular::Document::allPagesSize() const
    {22, 719, 29, 1, Smoke::mf_const, 182, 42},	//177 Okular::Document::pageSizeString(int) const
    {22, 556, 0, 0, 0, 14, 43},	//178 Okular::Document::guiClient()
    {22, 985, 112, 3, 0, 0, 44},	//179 Okular::Document::setViewportPage(int, int, bool)
    {22, 981, 116, 3, 0, 0, 45},	//180 Okular::Document::setViewport(const Okular::DocumentViewport&, int, bool)
    {22, 938, 0, 0, 0, 0, 46},	//181 Okular::Document::setPrevViewport()
    {22, 925, 0, 0, 0, 0, 47},	//182 Okular::Document::setNextViewport()
    {22, 923, 120, 1, 0, 0, 48},	//183 Okular::Document::setNextDocumentViewport(const Okular::DocumentViewport&)
    {22, 921, 9, 1, 0, 0, 49},	//184 Okular::Document::setNextDocumentDestination(const QString&)
    {22, 998, 122, 2, 0, 0, 50},	//185 Okular::Document::setZoom(int, int)
    {22, 779, 125, 1, 0, 0, 51},	//186 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&)
    {22, 779, 127, 2, 0, 0, 52},	//187 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>)
    {22, 782, 130, 1, 0, 0, 53},	//188 Okular::Document::requestTextPage(unsigned int)
    {22, 385, 132, 2, 0, 0, 54},	//189 Okular::Document::addPageAnnotation(int, Okular::Annotation*)
    {22, 422, 135, 1, Smoke::mf_const, 285, 55},	//190 Okular::Document::canModifyPageAnnotation(const Okular::Annotation*) const
    {22, 652, 132, 2, 0, 0, 56},	//191 Okular::Document::modifyPageAnnotation(int, Okular::Annotation*)
    {22, 652, 137, 3, 0, 0, 57},	//192 Okular::Document::modifyPageAnnotation(int, Okular::Annotation*, bool)
    {22, 425, 135, 1, Smoke::mf_const, 285, 58},	//193 Okular::Document::canRemovePageAnnotation(const Okular::Annotation*) const
    {22, 771, 132, 2, 0, 0, 59},	//194 Okular::Document::removePageAnnotation(int, Okular::Annotation*)
    {22, 773, 141, 2, 0, 0, 60},	//195 Okular::Document::removePageAnnotations(int, const QList<Okular::Annotation*>&)
    {22, 934, 144, 3, 0, 0, 61},	//196 Okular::Document::setPageTextSelection(int, Okular::RegularAreaRect*, const QColor&)
    {22, 807, 148, 8, 0, 0, 62},	//197 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool)
    {22, 447, 29, 1, 0, 0, 63},	//198 Okular::Document::continueSearch(int)
    {22, 447, 157, 2, 0, 0, 64},	//199 Okular::Document::continueSearch(int, Okular::Document::SearchType)
    {22, 784, 29, 1, 0, 0, 65},	//200 Okular::Document::resetSearch(int)
    {22, 404, 0, 0, Smoke::mf_const, 33, 66},	//201 Okular::Document::bookmarkManager() const
    {22, 746, 160, 1, 0, 0, 67},	//202 Okular::Document::processAction(const Okular::Action*)
    {22, 405, 0, 0, Smoke::mf_const, 170, 68},	//203 Okular::Document::bookmarkedPageList() const
    {22, 406, 0, 0, Smoke::mf_const, 182, 69},	//204 Okular::Document::bookmarkedPageRange() const
    {22, 750, 162, 1, 0, 0, 70},	//205 Okular::Document::processSourceReference(const Okular::SourceReference*)
    {22, 418, 0, 0, Smoke::mf_const, 285, 71},	//206 Okular::Document::canConfigurePrinter() const
    {22, 744, 0, 0, Smoke::mf_const, 40, 72},	//207 Okular::Document::printingSupport() const
    {22, 1030, 0, 0, Smoke::mf_const, 285, 73},	//208 Okular::Document::supportsPrintToFile() const
    {22, 727, 164, 1, 0, 285, 74},	//209 Okular::Document::print(QPrinter&)
    {22, 733, 0, 0, Smoke::mf_const, 182, 75},	//210 Okular::Document::printError() const
    {22, 732, 0, 0, Smoke::mf_const, 191, 76},	//211 Okular::Document::printConfigurationWidget() const
    {22, 518, 76, 1, 0, 0, 77},	//212 Okular::Document::fillConfigDialog(KConfigDialog*)
    {22, 441, 0, 0, Smoke::mf_const, 372, 78},	//213 Okular::Document::configurableGenerators() const
    {22, 1028, 0, 0, Smoke::mf_const, 184, 79},	//214 Okular::Document::supportedMimeTypes() const
    {22, 440, 0, 0, Smoke::mf_const, 288, 80},	//215 Okular::Document::componentData() const
    {22, 427, 166, 1, Smoke::mf_const, 285, 81},	//216 Okular::Document::canSaveChanges(Okular::Document::SaveCapability) const
    {22, 427, 0, 0, Smoke::mf_const, 285, 82},	//217 Okular::Document::canSaveChanges() const
    {22, 797, 9, 1, 0, 285, 83},	//218 Okular::Document::saveChanges(const QString&)
    {22, 797, 168, 2, 0, 285, 84},	//219 Okular::Document::saveChanges(const QString&, QString*)
    {22, 765, 171, 1, 0, 0, 85},	//220 Okular::Document::registerView(Okular::View*)
    {22, 1073, 171, 1, 0, 0, 86},	//221 Okular::Document::unregisterView(Okular::View*)
    {22, 526, 173, 1, Smoke::mf_const, 145, 87},	//222 Okular::Document::fontData(const Okular::FontInfo&) const
    {22, 671, 175, 2, 0, 285, 88},	//223 Okular::Document::openDocumentArchive(const QString&, const KUrl&)
    {22, 800, 9, 1, 0, 285, 89},	//224 Okular::Document::saveDocumentArchive(const QString&)
    {22, 501, 178, 3, 0, 328, 90},	//225 Okular::Document::dynamicSourceReference(int, double, double)
    {22, 704, 0, 0, Smoke::mf_const, 177, 91},	//226 Okular::Document::orientation() const
    {22, 819, 182, 1, 0, 0, 92},	//227 Okular::Document::setAnnotationEditingEnabled(bool)
    {22, 943, 29, 1, Smoke::mf_slot, 0, 93},	//228 Okular::Document::setRotation(int)
    {22, 932, 184, 1, Smoke::mf_slot, 0, 94},	//229 Okular::Document::setPageSize(const Okular::PageSize&)
    {22, 429, 0, 0, Smoke::mf_slot, 0, 95},	//230 Okular::Document::cancelSearch()
    {22, 437, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 96},	//231 Okular::Document::close()
    {22, 759, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 97},	//232 Okular::Document::quit()
    {22, 628, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 98},	//233 Okular::Document::linkFind()
    {22, 629, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 99},	//234 Okular::Document::linkGoToPage()
    {22, 630, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 100},	//235 Okular::Document::linkPresentation()
    {22, 627, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 101},	//236 Okular::Document::linkEndPresentation()
    {22, 673, 186, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 102},	//237 Okular::Document::openUrl(const KUrl&)
    {22, 506, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 103},	//238 Okular::Document::error(const QString&, int)
    {22, 1083, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 104},	//239 Okular::Document::warning(const QString&, int)
    {22, 661, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 105},	//240 Okular::Document::notice(const QString&, int)
    {22, 554, 173, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 106},	//241 Okular::Document::gotFont(const Okular::FontInfo&)
    {22, 529, 29, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 107},	//242 Okular::Document::fontReadingProgress(int)
    {22, 528, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 108},	//243 Okular::Document::fontReadingEnded()
    {22, 805, 191, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 109},	//244 Okular::Document::searchFinished(int, Okular::Document::SearchStatus)
    {22, 1012, 194, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 110},	//245 Okular::Document::sourceReferenceActivated(const QString&, int, int, bool*)
    {22, 748, 199, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 111},	//246 Okular::Document::processMovieAction(const Okular::MovieAction*)
    {22, 1050, 80, 1, Smoke::mf_static, 182, 112},	//247 Okular::Document::tr(const char*)
    {22, 1054, 80, 1, Smoke::mf_static, 182, 113},	//248 Okular::Document::trUtf8(const char*)
    {22, 989, 201, 1, 0, 0, 114},	//249 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&)
    {22, 645, 9, 1, Smoke::mf_const, 189, 115},	//250 Okular::Document::metaData(const QString&) const
    {22, 985, 29, 1, 0, 0, 116},	//251 Okular::Document::setViewportPage(int)
    {22, 985, 122, 2, 0, 0, 117},	//252 Okular::Document::setViewportPage(int, int)
    {22, 981, 120, 1, 0, 0, 118},	//253 Okular::Document::setViewport(const Okular::DocumentViewport&)
    {22, 981, 203, 2, 0, 0, 119},	//254 Okular::Document::setViewport(const Okular::DocumentViewport&, int)
    {22, 998, 29, 1, 0, 0, 120},	//255 Okular::Document::setZoom(int)
    {22, 807, 206, 7, 0, 0, 121},	//256 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&)
    {22, 1020, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 352, 122},	//257 Okular::Document::staticMetaObject() const
    {22, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 123},	//258 Okular::Document::NoOption (enum)
    {22, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 124},	//259 Okular::Document::RemoveAllPrevious (enum)
    {22, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 125},	//260 Okular::Document::NextMatch (enum)
    {22, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 126},	//261 Okular::Document::PreviousMatch (enum)
    {22, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 127},	//262 Okular::Document::AllDocument (enum)
    {22, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 128},	//263 Okular::Document::GoogleAll (enum)
    {22, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 129},	//264 Okular::Document::GoogleAny (enum)
    {22, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 130},	//265 Okular::Document::MatchFound (enum)
    {22, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 131},	//266 Okular::Document::NoMatchFound (enum)
    {22, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 132},	//267 Okular::Document::SearchCancelled (enum)
    {22, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 133},	//268 Okular::Document::NoPrinting (enum)
    {22, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 134},	//269 Okular::Document::NativePrinting (enum)
    {22, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 135},	//270 Okular::Document::PostscriptPrinting (enum)
    {22, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 136},	//271 Okular::Document::SaveFormsCapability (enum)
    {22, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 137},	//272 Okular::Document::SaveAnnotationsCapability (enum)
    {22, 1103, 0, 0, Smoke::mf_dtor, 0, 138 },	//273 Okular::Document::~Document()
    {23, 75, 214, 1, Smoke::mf_ctor, 44, 1},	//274 Okular::DocumentAction::DocumentAction(Okular::DocumentAction::DocumentActionType)
    {23, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//275 Okular::DocumentAction::actionType() const
    {23, 372, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 182, 3},	//276 Okular::DocumentAction::actionTip() const
    {23, 491, 0, 0, Smoke::mf_const, 45, 4},	//277 Okular::DocumentAction::documentActionType() const
    {23, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 5},	//278 Okular::DocumentAction::PageFirst (enum)
    {23, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 6},	//279 Okular::DocumentAction::PagePrev (enum)
    {23, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 7},	//280 Okular::DocumentAction::PageNext (enum)
    {23, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 8},	//281 Okular::DocumentAction::PageLast (enum)
    {23, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 9},	//282 Okular::DocumentAction::HistoryBack (enum)
    {23, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 10},	//283 Okular::DocumentAction::HistoryForward (enum)
    {23, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 11},	//284 Okular::DocumentAction::Quit (enum)
    {23, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 12},	//285 Okular::DocumentAction::Presentation (enum)
    {23, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 13},	//286 Okular::DocumentAction::EndPresentation (enum)
    {23, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 14},	//287 Okular::DocumentAction::Find (enum)
    {23, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 15},	//288 Okular::DocumentAction::GoToPage (enum)
    {23, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 16},	//289 Okular::DocumentAction::Close (enum)
    {23, 1104, 0, 0, Smoke::mf_dtor, 0, 17 },	//290 Okular::DocumentAction::~DocumentAction()
    {24, 77, 0, 0, Smoke::mf_ctor, 46, 1},	//291 Okular::DocumentInfo::DocumentInfo()
    {24, 810, 216, 3, 0, 0, 2},	//292 Okular::DocumentInfo::set(const QString&, const QString&, const QString&)
    {24, 810, 220, 2, 0, 0, 3},	//293 Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    {24, 548, 9, 1, Smoke::mf_const, 182, 4},	//294 Okular::DocumentInfo::get(const QString&) const
    {24, 550, 223, 1, Smoke::mf_static, 182, 5},	//295 Okular::DocumentInfo::getKeyString(Okular::DocumentInfo::Key)
    {24, 552, 223, 1, Smoke::mf_static, 182, 6},	//296 Okular::DocumentInfo::getKeyTitle(Okular::DocumentInfo::Key)
    {24, 77, 225, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 7},	//297 Okular::DocumentInfo::DocumentInfo(const Okular::DocumentInfo&)
    {24, 810, 227, 2, 0, 0, 8},	//298 Okular::DocumentInfo::set(const QString&, const QString&)
    {24, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 9},	//299 Okular::DocumentInfo::Title (enum)
    {24, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 10},	//300 Okular::DocumentInfo::Subject (enum)
    {24, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 11},	//301 Okular::DocumentInfo::Description (enum)
    {24, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 12},	//302 Okular::DocumentInfo::Author (enum)
    {24, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 13},	//303 Okular::DocumentInfo::Creator (enum)
    {24, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 14},	//304 Okular::DocumentInfo::Producer (enum)
    {24, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 15},	//305 Okular::DocumentInfo::Copyright (enum)
    {24, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 16},	//306 Okular::DocumentInfo::Pages (enum)
    {24, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 17},	//307 Okular::DocumentInfo::CreationDate (enum)
    {24, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 18},	//308 Okular::DocumentInfo::ModificationDate (enum)
    {24, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 19},	//309 Okular::DocumentInfo::MimeType (enum)
    {24, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 20},	//310 Okular::DocumentInfo::Category (enum)
    {24, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 21},	//311 Okular::DocumentInfo::Keywords (enum)
    {24, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 22},	//312 Okular::DocumentInfo::FilePath (enum)
    {24, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 23},	//313 Okular::DocumentInfo::DocumentSize (enum)
    {24, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 24},	//314 Okular::DocumentInfo::PagesSize (enum)
    {24, 1105, 0, 0, Smoke::mf_dtor, 0, 25 },	//315 Okular::DocumentInfo::~DocumentInfo()
    {26, 80, 0, 0, Smoke::mf_ctor, 49, 1},	//316 Okular::DocumentSynopsis::DocumentSynopsis()
    {26, 80, 230, 1, Smoke::mf_ctor, 49, 2},	//317 Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    {26, 80, 232, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 3},	//318 Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    {26, 1106, 0, 0, Smoke::mf_dtor, 0, 4 },	//319 Okular::DocumentSynopsis::~DocumentSynopsis()
    {27, 82, 29, 1, Smoke::mf_ctor, 51, 1},	//320 Okular::DocumentViewport::DocumentViewport(int)
    {27, 82, 9, 1, Smoke::mf_ctor, 51, 2},	//321 Okular::DocumentViewport::DocumentViewport(const QString&)
    {27, 1047, 0, 0, Smoke::mf_const, 182, 3},	//322 Okular::DocumentViewport::toString() const
    {27, 613, 0, 0, Smoke::mf_const, 285, 4},	//323 Okular::DocumentViewport::isValid() const
    {27, 683, 120, 1, Smoke::mf_const, 285, 5},	//324 Okular::DocumentViewport::operator==(const Okular::DocumentViewport&) const
    {27, 679, 120, 1, Smoke::mf_const, 285, 6},	//325 Okular::DocumentViewport::operator<(const Okular::DocumentViewport&) const
    {27, 82, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 7},	//326 Okular::DocumentViewport::DocumentViewport(const Okular::DocumentViewport&)
    {27, 82, 0, 0, Smoke::mf_ctor, 51, 8},	//327 Okular::DocumentViewport::DocumentViewport()
    {27, 714, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 372, 9},	//328 Okular::DocumentViewport::pageNumber() const
    {27, 930, 29, 1, Smoke::mf_attribute, 0, 10},	//329 Okular::DocumentViewport::setPageNumber(int)
    {27, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 11},	//330 Okular::DocumentViewport::Center (enum)
    {27, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 12},	//331 Okular::DocumentViewport::TopLeft (enum)
    {27, 1107, 0, 0, Smoke::mf_dtor, 0, 13 },	//332 Okular::DocumentViewport::~DocumentViewport()
    {28, 86, 0, 0, Smoke::mf_ctor, 53, 1},	//333 Okular::EmbeddedFile::EmbeddedFile()
    {28, 657, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 182, 2},	//334 Okular::EmbeddedFile::name() const [pure virtual]
    {28, 475, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 182, 3},	//335 Okular::EmbeddedFile::description() const [pure virtual]
    {28, 466, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 4},	//336 Okular::EmbeddedFile::data() const [pure virtual]
    {28, 1007, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 372, 5},	//337 Okular::EmbeddedFile::size() const [pure virtual]
    {28, 651, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 149, 6},	//338 Okular::EmbeddedFile::modificationDate() const [pure virtual]
    {28, 456, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 149, 7},	//339 Okular::EmbeddedFile::creationDate() const [pure virtual]
    {28, 86, 234, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 8},	//340 Okular::EmbeddedFile::EmbeddedFile(const Okular::EmbeddedFile&)
    {28, 1108, 0, 0, Smoke::mf_dtor, 0, 9 },	//341 Okular::EmbeddedFile::~EmbeddedFile()
    {29, 91, 227, 2, Smoke::mf_ctor, 54, 1},	//342 Okular::ExecuteAction::ExecuteAction(const QString&, const QString&)
    {29, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//343 Okular::ExecuteAction::actionType() const
    {29, 372, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 182, 3},	//344 Okular::ExecuteAction::actionTip() const
    {29, 517, 0, 0, Smoke::mf_const, 182, 4},	//345 Okular::ExecuteAction::fileName() const
    {29, 725, 0, 0, Smoke::mf_const, 182, 5},	//346 Okular::ExecuteAction::parameters() const
    {29, 1109, 0, 0, Smoke::mf_dtor, 0, 6 },	//347 Okular::ExecuteAction::~ExecuteAction()
    {30, 93, 0, 0, Smoke::mf_ctor, 57, 1},	//348 Okular::ExportFormat::ExportFormat()
    {30, 93, 236, 2, Smoke::mf_ctor, 57, 2},	//349 Okular::ExportFormat::ExportFormat(const QString&, const KSharedPtr<KMimeType>&)
    {30, 93, 239, 3, Smoke::mf_ctor, 57, 3},	//350 Okular::ExportFormat::ExportFormat(const KIcon&, const QString&, const KSharedPtr<KMimeType>&)
    {30, 93, 243, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 4},	//351 Okular::ExportFormat::ExportFormat(const Okular::ExportFormat&)
    {30, 681, 243, 1, 0, 56, 5},	//352 Okular::ExportFormat::operator=(const Okular::ExportFormat&)
    {30, 475, 0, 0, Smoke::mf_const, 182, 6},	//353 Okular::ExportFormat::description() const
    {30, 649, 0, 0, Smoke::mf_const, 8, 7},	//354 Okular::ExportFormat::mimeType() const
    {30, 575, 0, 0, Smoke::mf_const, 6, 8},	//355 Okular::ExportFormat::icon() const
    {30, 601, 0, 0, Smoke::mf_const, 285, 9},	//356 Okular::ExportFormat::isNull() const
    {30, 1015, 245, 1, Smoke::mf_static, 55, 10},	//357 Okular::ExportFormat::standardFormat(Okular::ExportFormat::StandardExportFormat)
    {30, 683, 243, 1, Smoke::mf_const, 285, 11},	//358 Okular::ExportFormat::operator==(const Okular::ExportFormat&) const
    {30, 675, 243, 1, Smoke::mf_const, 285, 12},	//359 Okular::ExportFormat::operator!=(const Okular::ExportFormat&) const
    {30, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 13},	//360 Okular::ExportFormat::PlainText (enum)
    {30, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 14},	//361 Okular::ExportFormat::PDF (enum)
    {30, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 15},	//362 Okular::ExportFormat::OpenDocumentText (enum)
    {30, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 16},	//363 Okular::ExportFormat::HTML (enum)
    {30, 1110, 0, 0, Smoke::mf_dtor, 0, 17 },	//364 Okular::ExportFormat::~ExportFormat()
    {31, 100, 0, 0, Smoke::mf_ctor, 59, 1},	//365 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation()
    {31, 100, 72, 1, Smoke::mf_ctor, 59, 2},	//366 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation(const QDomNode&)
    {31, 516, 0, 0, Smoke::mf_const, 182, 3},	//367 Okular::FileAttachmentAnnotation::fileIconName() const
    {31, 860, 9, 1, 0, 0, 4},	//368 Okular::FileAttachmentAnnotation::setFileIconName(const QString&)
    {31, 504, 0, 0, Smoke::mf_const, 53, 5},	//369 Okular::FileAttachmentAnnotation::embeddedFile() const
    {31, 853, 247, 1, 0, 0, 6},	//370 Okular::FileAttachmentAnnotation::setEmbeddedFile(Okular::EmbeddedFile*)
    {31, 1027, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 7},	//371 Okular::FileAttachmentAnnotation::subType() const
    {31, 1022, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//372 Okular::FileAttachmentAnnotation::store(QDomNode&, QDomDocument&) const
    {31, 1111, 0, 0, Smoke::mf_dtor, 0, 9 },	//373 Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation()
    {32, 735, 249, 6, Smoke::mf_static, 372, 1},	//374 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    {32, 735, 256, 5, Smoke::mf_static, 372, 2},	//375 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    {32, 741, 262, 3, Smoke::mf_static, 372, 3},	//376 Okular::FilePrinter::printFiles(QPrinter&, const QStringList&, Okular::FilePrinter::FileDeletePolicy)
    {32, 709, 266, 4, Smoke::mf_static, 170, 4},	//377 Okular::FilePrinter::pageList(QPrinter&, int, int, const QList<int>&)
    {32, 709, 271, 3, Smoke::mf_static, 170, 5},	//378 Okular::FilePrinter::pageList(QPrinter&, int, const QList<int>&)
    {32, 715, 271, 3, Smoke::mf_static, 182, 6},	//379 Okular::FilePrinter::pageRange(QPrinter&, int, const QList<int>&)
    {32, 712, 275, 1, Smoke::mf_static, 182, 7},	//380 Okular::FilePrinter::pageListToPageRange(const QList<int>&)
    {32, 752, 0, 0, Smoke::mf_static, 285, 8},	//381 Okular::FilePrinter::ps2pdfAvailable()
    {32, 726, 0, 0, Smoke::mf_static, 285, 9},	//382 Okular::FilePrinter::pdf2psAvailable()
    {32, 457, 0, 0, Smoke::mf_static, 285, 10},	//383 Okular::FilePrinter::cupsAvailable()
    {32, 753, 164, 1, Smoke::mf_static, 180, 11},	//384 Okular::FilePrinter::psPaperSize(QPrinter&)
    {32, 733, 29, 1, Smoke::mf_static, 82, 12},	//385 Okular::FilePrinter::printError(int)
    {32, 481, 0, 0, Smoke::mf_protected, 285, 13},	//386 Okular::FilePrinter::detectCupsService()
    {32, 480, 0, 0, Smoke::mf_protected, 285, 14},	//387 Okular::FilePrinter::detectCupsConfig()
    {32, 487, 277, 5, Smoke::mf_protected, 372, 15},	//388 Okular::FilePrinter::doPrintFiles(QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    {32, 487, 283, 6, Smoke::mf_protected, 372, 16},	//389 Okular::FilePrinter::doPrintFiles(QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&, QPrinter::Orientation)
    {32, 729, 290, 6, Smoke::mf_protected, 184, 17},	//390 Okular::FilePrinter::printArguments(QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&)
    {32, 729, 297, 7, Smoke::mf_protected, 184, 18},	//391 Okular::FilePrinter::printArguments(QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&, QPrinter::Orientation)
    {32, 477, 305, 2, Smoke::mf_protected, 184, 19},	//392 Okular::FilePrinter::destination(QPrinter&, const QString&)
    {32, 452, 305, 2, Smoke::mf_protected, 184, 20},	//393 Okular::FilePrinter::copies(QPrinter&, const QString&)
    {32, 615, 305, 2, Smoke::mf_protected, 184, 21},	//394 Okular::FilePrinter::jobname(QPrinter&, const QString&)
    {32, 468, 308, 3, Smoke::mf_protected, 184, 22},	//395 Okular::FilePrinter::deleteFile(QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&)
    {32, 722, 312, 5, Smoke::mf_protected, 184, 23},	//396 Okular::FilePrinter::pages(QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&)
    {32, 458, 164, 1, Smoke::mf_protected, 184, 24},	//397 Okular::FilePrinter::cupsOptions(QPrinter&)
    {32, 458, 318, 2, Smoke::mf_protected, 184, 25},	//398 Okular::FilePrinter::cupsOptions(QPrinter&, QPrinter::Orientation)
    {32, 695, 164, 1, Smoke::mf_protected, 184, 26},	//399 Okular::FilePrinter::optionMedia(QPrinter&)
    {32, 641, 164, 1, Smoke::mf_protected, 182, 27},	//400 Okular::FilePrinter::mediaPageSize(QPrinter&)
    {32, 643, 164, 1, Smoke::mf_protected, 182, 28},	//401 Okular::FilePrinter::mediaPaperSource(QPrinter&)
    {32, 697, 164, 1, Smoke::mf_protected, 184, 29},	//402 Okular::FilePrinter::optionOrientation(QPrinter&)
    {32, 697, 318, 2, Smoke::mf_protected, 184, 30},	//403 Okular::FilePrinter::optionOrientation(QPrinter&, QPrinter::Orientation)
    {32, 693, 164, 1, Smoke::mf_protected, 184, 31},	//404 Okular::FilePrinter::optionDoubleSidedPrinting(QPrinter&)
    {32, 702, 164, 1, Smoke::mf_protected, 184, 32},	//405 Okular::FilePrinter::optionPageOrder(QPrinter&)
    {32, 689, 164, 1, Smoke::mf_protected, 184, 33},	//406 Okular::FilePrinter::optionCollateCopies(QPrinter&)
    {32, 700, 164, 1, Smoke::mf_protected, 184, 34},	//407 Okular::FilePrinter::optionPageMargins(QPrinter&)
    {32, 691, 164, 1, Smoke::mf_protected, 184, 35},	//408 Okular::FilePrinter::optionCupsProperties(QPrinter&)
    {32, 104, 0, 0, Smoke::mf_ctor, 60, 36},	//409 Okular::FilePrinter::FilePrinter()
    {32, 104, 321, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 37},	//410 Okular::FilePrinter::FilePrinter(const Okular::FilePrinter&)
    {32, 735, 323, 3, Smoke::mf_static, 372, 38},	//411 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation)
    {32, 735, 327, 4, Smoke::mf_static, 372, 39},	//412 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy)
    {32, 735, 332, 5, Smoke::mf_static, 372, 40},	//413 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy)
    {32, 735, 338, 2, Smoke::mf_static, 372, 41},	//414 Okular::FilePrinter::printFile(QPrinter&, const QString)
    {32, 735, 341, 3, Smoke::mf_static, 372, 42},	//415 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy)
    {32, 735, 345, 4, Smoke::mf_static, 372, 43},	//416 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy)
    {32, 741, 350, 2, Smoke::mf_static, 372, 44},	//417 Okular::FilePrinter::printFiles(QPrinter&, const QStringList&)
    {32, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 45},	//418 Okular::FilePrinter::ApplicationDeletesFiles (enum)
    {32, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 46},	//419 Okular::FilePrinter::SystemDeletesFiles (enum)
    {32, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 47},	//420 Okular::FilePrinter::ApplicationSelectsPages (enum)
    {32, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 48},	//421 Okular::FilePrinter::SystemSelectsPages (enum)
    {32, 1112, 0, 0, Smoke::mf_dtor, 0, 49 },	//422 Okular::FilePrinter::~FilePrinter()
    {33, 111, 0, 0, Smoke::mf_ctor, 65, 1},	//423 Okular::FontInfo::FontInfo()
    {33, 111, 173, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//424 Okular::FontInfo::FontInfo(const Okular::FontInfo&)
    {33, 657, 0, 0, Smoke::mf_const, 182, 3},	//425 Okular::FontInfo::name() const
    {33, 917, 9, 1, 0, 0, 4},	//426 Okular::FontInfo::setName(const QString&)
    {33, 1070, 0, 0, Smoke::mf_const, 67, 5},	//427 Okular::FontInfo::type() const
    {33, 977, 353, 1, 0, 0, 6},	//428 Okular::FontInfo::setType(Okular::FontInfo::FontType)
    {33, 503, 0, 0, Smoke::mf_const, 66, 7},	//429 Okular::FontInfo::embedType() const
    {33, 851, 355, 1, 0, 0, 8},	//430 Okular::FontInfo::setEmbedType(Okular::FontInfo::EmbedType)
    {33, 515, 0, 0, Smoke::mf_const, 182, 9},	//431 Okular::FontInfo::file() const
    {33, 858, 9, 1, 0, 0, 10},	//432 Okular::FontInfo::setFile(const QString&)
    {33, 415, 0, 0, Smoke::mf_const, 285, 11},	//433 Okular::FontInfo::canBeExtracted() const
    {33, 831, 182, 1, 0, 0, 12},	//434 Okular::FontInfo::setCanBeExtracted(bool)
    {33, 919, 23, 1, 0, 0, 13},	//435 Okular::FontInfo::setNativeId(const QVariant&)
    {33, 658, 0, 0, Smoke::mf_const, 189, 14},	//436 Okular::FontInfo::nativeId() const
    {33, 681, 173, 1, 0, 64, 15},	//437 Okular::FontInfo::operator=(const Okular::FontInfo&)
    {33, 683, 173, 1, Smoke::mf_const, 285, 16},	//438 Okular::FontInfo::operator==(const Okular::FontInfo&) const
    {33, 675, 173, 1, Smoke::mf_const, 285, 17},	//439 Okular::FontInfo::operator!=(const Okular::FontInfo&) const
    {33, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 18},	//440 Okular::FontInfo::Unknown (enum)
    {33, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 19},	//441 Okular::FontInfo::Type1 (enum)
    {33, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 20},	//442 Okular::FontInfo::Type1C (enum)
    {33, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 21},	//443 Okular::FontInfo::Type1COT (enum)
    {33, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 22},	//444 Okular::FontInfo::Type3 (enum)
    {33, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 23},	//445 Okular::FontInfo::TrueType (enum)
    {33, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 24},	//446 Okular::FontInfo::TrueTypeOT (enum)
    {33, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 25},	//447 Okular::FontInfo::CIDType0 (enum)
    {33, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 26},	//448 Okular::FontInfo::CIDType0C (enum)
    {33, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 27},	//449 Okular::FontInfo::CIDType0COT (enum)
    {33, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 28},	//450 Okular::FontInfo::CIDTrueType (enum)
    {33, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 29},	//451 Okular::FontInfo::CIDTrueTypeOT (enum)
    {33, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 30},	//452 Okular::FontInfo::TeXPK (enum)
    {33, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 31},	//453 Okular::FontInfo::TeXVirtual (enum)
    {33, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 32},	//454 Okular::FontInfo::TeXFontMetric (enum)
    {33, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 33},	//455 Okular::FontInfo::TeXFreeTypeHandled (enum)
    {33, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 34},	//456 Okular::FontInfo::NotEmbedded (enum)
    {33, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 35},	//457 Okular::FontInfo::EmbeddedSubset (enum)
    {33, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 36},	//458 Okular::FontInfo::FullyEmbedded (enum)
    {33, 1113, 0, 0, Smoke::mf_dtor, 0, 37 },	//459 Okular::FontInfo::~FontInfo()
    {34, 1070, 0, 0, Smoke::mf_const, 69, 1},	//460 Okular::FormField::type() const
    {34, 763, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 2},	//461 Okular::FormField::rect() const [pure virtual]
    {34, 576, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 372, 3},	//462 Okular::FormField::id() const [pure virtual]
    {34, 657, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 182, 4},	//463 Okular::FormField::name() const [pure virtual]
    {34, 1071, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 182, 5},	//464 Okular::FormField::uiName() const [pure virtual]
    {34, 604, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 6},	//465 Okular::FormField::isReadOnly() const
    {34, 614, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 7},	//466 Okular::FormField::isVisible() const
    {34, 374, 0, 0, Smoke::mf_const, 16, 8},	//467 Okular::FormField::activationAction() const
    {34, 115, 357, 1, Smoke::mf_ctor|Smoke::mf_protected, 68, 9},	//468 Okular::FormField::FormField(Okular::FormFieldPrivate&)
    {34, 465, 0, 0, Smoke::mf_protected, 75, 10},	//469 Okular::FormField::d_func()
    {34, 465, 0, 0, Smoke::mf_const|Smoke::mf_protected, 311, 11},	//470 Okular::FormField::d_func() const
    {34, 813, 359, 1, Smoke::mf_protected, 0, 12},	//471 Okular::FormField::setActivationAction(Okular::Action*)
    {34, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 13},	//472 Okular::FormField::FormButton (enum)
    {34, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 14},	//473 Okular::FormField::FormText (enum)
    {34, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 15},	//474 Okular::FormField::FormChoice (enum)
    {34, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 16},	//475 Okular::FormField::FormSignature (enum)
    {34, 1114, 0, 0, Smoke::mf_dtor, 0, 17 },	//476 Okular::FormField::~FormField()
    {35, 412, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 71, 1},	//477 Okular::FormFieldButton::buttonType() const [pure virtual]
    {35, 430, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 182, 2},	//478 Okular::FormFieldButton::caption() const [pure virtual]
    {35, 1018, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 285, 3},	//479 Okular::FormFieldButton::state() const [pure virtual]
    {35, 961, 182, 1, Smoke::mf_virtual, 0, 4},	//480 Okular::FormFieldButton::setState(bool)
    {35, 1002, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 170, 5},	//481 Okular::FormFieldButton::siblings() const [pure virtual]
    {35, 117, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 70, 6},	//482 Okular::FormFieldButton::FormFieldButton()
    {35, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 7},	//483 Okular::FormFieldButton::Push (enum)
    {35, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 8},	//484 Okular::FormFieldButton::CheckBox (enum)
    {35, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 9},	//485 Okular::FormFieldButton::Radio (enum)
    {35, 1115, 0, 0, Smoke::mf_dtor, 0, 10 },	//486 Okular::FormFieldButton::~FormFieldButton()
    {36, 435, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 73, 1},	//487 Okular::FormFieldChoice::choiceType() const [pure virtual]
    {36, 436, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 184, 2},	//488 Okular::FormFieldChoice::choices() const [pure virtual]
    {36, 597, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 3},	//489 Okular::FormFieldChoice::isEditable() const
    {36, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 4},	//490 Okular::FormFieldChoice::multiSelect() const
    {36, 461, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 170, 5},	//491 Okular::FormFieldChoice::currentChoices() const [pure virtual]
    {36, 842, 275, 1, Smoke::mf_virtual, 0, 6},	//492 Okular::FormFieldChoice::setCurrentChoices(const QList<int>&)
    {36, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 157, 7},	//493 Okular::FormFieldChoice::textAlignment() const
    {36, 417, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 8},	//494 Okular::FormFieldChoice::canBeSpellChecked() const
    {36, 118, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 72, 9},	//495 Okular::FormFieldChoice::FormFieldChoice()
    {36, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 10},	//496 Okular::FormFieldChoice::ComboBox (enum)
    {36, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 11},	//497 Okular::FormFieldChoice::ListBox (enum)
    {36, 1116, 0, 0, Smoke::mf_dtor, 0, 12 },	//498 Okular::FormFieldChoice::~FormFieldChoice()
    {38, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 77, 1},	//499 Okular::FormFieldText::textType() const [pure virtual]
    {38, 1033, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 182, 2},	//500 Okular::FormFieldText::text() const [pure virtual]
    {38, 963, 9, 1, Smoke::mf_virtual, 0, 3},	//501 Okular::FormFieldText::setText(const QString&)
    {38, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 4},	//502 Okular::FormFieldText::isPassword() const
    {38, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 5},	//503 Okular::FormFieldText::isRichText() const
    {38, 640, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 372, 6},	//504 Okular::FormFieldText::maximumLength() const
    {38, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 157, 7},	//505 Okular::FormFieldText::textAlignment() const
    {38, 417, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 8},	//506 Okular::FormFieldText::canBeSpellChecked() const
    {38, 119, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 76, 9},	//507 Okular::FormFieldText::FormFieldText()
    {38, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 10},	//508 Okular::FormFieldText::Normal (enum)
    {38, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 11},	//509 Okular::FormFieldText::Multiline (enum)
    {38, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 12},	//510 Okular::FormFieldText::FileSelect (enum)
    {38, 1117, 0, 0, Smoke::mf_dtor, 0, 13 },	//511 Okular::FormFieldText::~FormFieldText()
    {39, 648, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 353, 1},	//512 Okular::Generator::metaObject() const
    {39, 757, 80, 1, Smoke::mf_virtual, 376, 2},	//513 Okular::Generator::qt_metacast(const char*)
    {39, 1050, 82, 2, Smoke::mf_static, 182, 3},	//514 Okular::Generator::tr(const char*, const char*)
    {39, 1054, 82, 2, Smoke::mf_static, 182, 4},	//515 Okular::Generator::trUtf8(const char*, const char*)
    {39, 1050, 85, 3, Smoke::mf_static, 182, 5},	//516 Okular::Generator::tr(const char*, const char*, int)
    {39, 1054, 85, 3, Smoke::mf_static, 182, 6},	//517 Okular::Generator::trUtf8(const char*, const char*, int)
    {39, 755, 89, 3, Smoke::mf_virtual, 372, 7},	//518 Okular::Generator::qt_metacall(QMetaObject::Call, int, void**)
    {39, 123, 361, 2, Smoke::mf_ctor, 79, 8},	//519 Okular::Generator::Generator(QObject*, const QList<QVariant>&)
    {39, 631, 364, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 285, 9},	//520 Okular::Generator::loadDocument(const QString&, QVector<Okular::Page*>&) [pure virtual]
    {39, 633, 367, 2, Smoke::mf_virtual, 285, 10},	//521 Okular::Generator::loadDocumentFromData(const QByteArray&, QVector<Okular::Page*>&)
    {39, 438, 0, 0, 0, 285, 11},	//522 Okular::Generator::closeDocument()
    {39, 420, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 12},	//523 Okular::Generator::canGeneratePixmap() const
    {39, 538, 370, 1, Smoke::mf_virtual, 0, 13},	//524 Okular::Generator::generatePixmap(Okular::PixmapRequest*)
    {39, 421, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 14},	//525 Okular::Generator::canGenerateTextPage() const
    {39, 540, 372, 1, Smoke::mf_virtual, 0, 15},	//526 Okular::Generator::generateTextPage(Okular::Page*)
    {39, 536, 0, 0, Smoke::mf_virtual, 303, 16},	//527 Okular::Generator::generateDocumentInfo()
    {39, 537, 0, 0, Smoke::mf_virtual, 305, 17},	//528 Okular::Generator::generateDocumentSynopsis()
    {39, 531, 29, 1, Smoke::mf_virtual, 165, 18},	//529 Okular::Generator::fontsForPage(int)
    {39, 505, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 346, 19},	//530 Okular::Generator::embeddedFiles() const
    {39, 724, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 81, 20},	//531 Okular::Generator::pagesSizeMetric() const
    {39, 590, 104, 1, Smoke::mf_const|Smoke::mf_virtual, 285, 21},	//532 Okular::Generator::isAllowed(Okular::Permission) const
    {39, 791, 374, 2, Smoke::mf_virtual, 0, 22},	//533 Okular::Generator::rotationChanged(Okular::Rotation, Okular::Rotation)
    {39, 721, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 167, 23},	//534 Okular::Generator::pageSizes() const
    {39, 717, 377, 2, Smoke::mf_virtual, 0, 24},	//535 Okular::Generator::pageSizeChanged(const Okular::PageSize&, const Okular::PageSize&)
    {39, 727, 164, 1, Smoke::mf_virtual, 285, 25},	//536 Okular::Generator::print(QPrinter&)
    {39, 645, 109, 2, Smoke::mf_const|Smoke::mf_virtual, 189, 26},	//537 Okular::Generator::metaData(const QString&, const QVariant&) const
    {39, 510, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 27},	//538 Okular::Generator::exportFormats() const
    {39, 511, 106, 2, Smoke::mf_virtual, 285, 28},	//539 Okular::Generator::exportTo(const QString&, const Okular::ExportFormat&)
    {39, 558, 380, 1, Smoke::mf_const, 285, 29},	//540 Okular::Generator::hasFeature(Okular::Generator::GeneratorFeature) const
    {39, 506, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//541 Okular::Generator::error(const QString&, int)
    {39, 1083, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//542 Okular::Generator::warning(const QString&, int)
    {39, 661, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//543 Okular::Generator::notice(const QString&, int)
    {39, 1003, 370, 1, Smoke::mf_protected, 0, 33},	//544 Okular::Generator::signalPixmapRequestDone(Okular::PixmapRequest*)
    {39, 1005, 382, 2, Smoke::mf_protected, 0, 34},	//545 Okular::Generator::signalTextGenerationDone(Okular::Page*, Okular::TextPage*)
    {39, 486, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 285, 35},	//546 Okular::Generator::doCloseDocument() [pure virtual]
    {39, 577, 370, 1, Smoke::mf_protected|Smoke::mf_virtual, 159, 36},	//547 Okular::Generator::image(Okular::PixmapRequest*)
    {39, 1041, 372, 1, Smoke::mf_protected|Smoke::mf_virtual, 137, 37},	//548 Okular::Generator::textPage(Okular::Page*)
    {39, 490, 0, 0, Smoke::mf_const|Smoke::mf_protected, 301, 38},	//549 Okular::Generator::document() const
    {39, 855, 385, 2, Smoke::mf_protected, 0, 39},	//550 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature, bool)
    {39, 493, 109, 2, Smoke::mf_const|Smoke::mf_protected, 189, 40},	//551 Okular::Generator::documentMetaData(const QString&, const QVariant&) const
    {39, 1078, 0, 0, Smoke::mf_const|Smoke::mf_protected, 172, 41},	//552 Okular::Generator::userMutex() const
    {39, 1075, 388, 2, Smoke::mf_protected, 0, 42},	//553 Okular::Generator::updatePageBoundingBox(int, const Okular::NormalizedRect&)
    {39, 777, 391, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 43},	//554 Okular::Generator::requestFontData(const Okular::FontInfo&, QByteArray*)
    {39, 501, 178, 3, Smoke::mf_protected|Smoke::mf_slot, 328, 44},	//555 Okular::Generator::dynamicSourceReference(int, double, double)
    {39, 733, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 82, 45},	//556 Okular::Generator::printError() const
    {39, 123, 394, 3, Smoke::mf_ctor|Smoke::mf_protected, 79, 46},	//557 Okular::Generator::Generator(Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&)
    {39, 465, 0, 0, Smoke::mf_protected, 84, 47},	//558 Okular::Generator::d_func()
    {39, 465, 0, 0, Smoke::mf_const|Smoke::mf_protected, 312, 48},	//559 Okular::Generator::d_func() const
    {39, 1050, 80, 1, Smoke::mf_static, 182, 49},	//560 Okular::Generator::tr(const char*)
    {39, 1054, 80, 1, Smoke::mf_static, 182, 50},	//561 Okular::Generator::trUtf8(const char*)
    {39, 855, 380, 1, Smoke::mf_protected, 0, 51},	//562 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature)
    {39, 493, 9, 1, Smoke::mf_const|Smoke::mf_protected, 189, 52},	//563 Okular::Generator::documentMetaData(const QString&) const
    {39, 1020, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 352, 53},	//564 Okular::Generator::staticMetaObject() const
    {39, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 54},	//565 Okular::Generator::Threaded (enum)
    {39, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 55},	//566 Okular::Generator::TextExtraction (enum)
    {39, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 56},	//567 Okular::Generator::ReadRawData (enum)
    {39, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 57},	//568 Okular::Generator::FontInfo (enum)
    {39, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 58},	//569 Okular::Generator::PageSizes (enum)
    {39, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 59},	//570 Okular::Generator::PrintNative (enum)
    {39, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 60},	//571 Okular::Generator::PrintPostscript (enum)
    {39, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 61},	//572 Okular::Generator::PrintToFile (enum)
    {39, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 62},	//573 Okular::Generator::None (enum)
    {39, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 63},	//574 Okular::Generator::Points (enum)
    {39, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 64},	//575 Okular::Generator::NoPrintError (enum)
    {39, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 65},	//576 Okular::Generator::UnknownPrintError (enum)
    {39, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 66},	//577 Okular::Generator::TemporaryFileOpenPrintError (enum)
    {39, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 67},	//578 Okular::Generator::FileConversionPrintError (enum)
    {39, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 68},	//579 Okular::Generator::PrintingProcessCrashPrintError (enum)
    {39, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 69},	//580 Okular::Generator::PrintingProcessStartPrintError (enum)
    {39, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 70},	//581 Okular::Generator::PrintToFilePrintError (enum)
    {39, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 71},	//582 Okular::Generator::InvalidPrinterStatePrintError (enum)
    {39, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 72},	//583 Okular::Generator::UnableToFindFilePrintError (enum)
    {39, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 73},	//584 Okular::Generator::NoFileToPrintError (enum)
    {39, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 74},	//585 Okular::Generator::NoBinaryToPrintError (enum)
    {39, 1118, 0, 0, Smoke::mf_dtor, 0, 75 },	//586 Okular::Generator::~Generator()
    {41, 126, 0, 0, Smoke::mf_ctor, 85, 1},	//587 Okular::GeomAnnotation::GeomAnnotation()
    {41, 126, 72, 1, Smoke::mf_ctor, 85, 2},	//588 Okular::GeomAnnotation::GeomAnnotation(const QDomNode&)
    {41, 870, 398, 1, 0, 0, 3},	//589 Okular::GeomAnnotation::setGeometricalType(Okular::GeomAnnotation::GeomType)
    {41, 545, 0, 0, Smoke::mf_const, 86, 4},	//590 Okular::GeomAnnotation::geometricalType() const
    {41, 866, 400, 1, 0, 0, 5},	//591 Okular::GeomAnnotation::setGeometricalInnerColor(const QColor&)
    {41, 543, 0, 0, Smoke::mf_const, 148, 6},	//592 Okular::GeomAnnotation::geometricalInnerColor() const
    {41, 868, 29, 1, 0, 0, 7},	//593 Okular::GeomAnnotation::setGeometricalPointWidth(int)
    {41, 544, 0, 0, Smoke::mf_const, 372, 8},	//594 Okular::GeomAnnotation::geometricalPointWidth() const
    {41, 1027, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 9},	//595 Okular::GeomAnnotation::subType() const
    {41, 1022, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 10},	//596 Okular::GeomAnnotation::store(QDomNode&, QDomDocument&) const
    {41, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 11},	//597 Okular::GeomAnnotation::InscribedSquare (enum)
    {41, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 12},	//598 Okular::GeomAnnotation::InscribedCircle (enum)
    {41, 1119, 0, 0, Smoke::mf_dtor, 0, 13 },	//599 Okular::GeomAnnotation::~GeomAnnotation()
    {42, 133, 402, 2, Smoke::mf_ctor, 87, 1},	//600 Okular::GotoAction::GotoAction(const QString&, const Okular::DocumentViewport&)
    {42, 133, 227, 2, Smoke::mf_ctor, 87, 2},	//601 Okular::GotoAction::GotoAction(const QString&, const QString&)
    {42, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 3},	//602 Okular::GotoAction::actionType() const
    {42, 372, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 182, 4},	//603 Okular::GotoAction::actionTip() const
    {42, 598, 0, 0, Smoke::mf_const, 285, 5},	//604 Okular::GotoAction::isExternal() const
    {42, 517, 0, 0, Smoke::mf_const, 182, 6},	//605 Okular::GotoAction::fileName() const
    {42, 476, 0, 0, Smoke::mf_const, 50, 7},	//606 Okular::GotoAction::destViewport() const
    {42, 479, 0, 0, Smoke::mf_const, 182, 8},	//607 Okular::GotoAction::destinationName() const
    {42, 1120, 0, 0, Smoke::mf_dtor, 0, 9 },	//608 Okular::GotoAction::~GotoAction()
    {43, 556, 0, 0, 0, 14, 1},	//609 Okular::GuiInterface::guiClient()
    {43, 137, 0, 0, Smoke::mf_ctor, 88, 2},	//610 Okular::GuiInterface::GuiInterface()
    {43, 137, 405, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 3},	//611 Okular::GuiInterface::GuiInterface(const Okular::GuiInterface&)
    {43, 1121, 0, 0, Smoke::mf_dtor, 0, 4 },	//612 Okular::GuiInterface::~GuiInterface()
    {44, 142, 0, 0, Smoke::mf_ctor, 89, 1},	//613 Okular::HighlightAnnotation::HighlightAnnotation()
    {44, 142, 72, 1, Smoke::mf_ctor, 89, 2},	//614 Okular::HighlightAnnotation::HighlightAnnotation(const QDomNode&)
    {44, 872, 407, 1, 0, 0, 3},	//615 Okular::HighlightAnnotation::setHighlightType(Okular::HighlightAnnotation::HighlightType)
    {44, 572, 0, 0, Smoke::mf_const, 90, 4},	//616 Okular::HighlightAnnotation::highlightType() const
    {44, 571, 0, 0, 0, 166, 5},	//617 Okular::HighlightAnnotation::highlightQuads()
    {44, 1027, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 6},	//618 Okular::HighlightAnnotation::subType() const
    {44, 1022, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//619 Okular::HighlightAnnotation::store(QDomNode&, QDomDocument&) const
    {44, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 8},	//620 Okular::HighlightAnnotation::Highlight (enum)
    {44, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 9},	//621 Okular::HighlightAnnotation::Squiggly (enum)
    {44, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 10},	//622 Okular::HighlightAnnotation::Underline (enum)
    {44, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 11},	//623 Okular::HighlightAnnotation::StrikeOut (enum)
    {44, 1122, 0, 0, Smoke::mf_dtor, 0, 12 },	//624 Okular::HighlightAnnotation::~HighlightAnnotation()
    {45, 149, 0, 0, Smoke::mf_ctor, 91, 1},	//625 Okular::InkAnnotation::InkAnnotation()
    {45, 149, 72, 1, Smoke::mf_ctor, 91, 2},	//626 Okular::InkAnnotation::InkAnnotation(const QDomNode&)
    {45, 874, 409, 1, 0, 0, 3},	//627 Okular::InkAnnotation::setInkPaths(const QList<QLinkedList<Okular::NormalizedPoint> >&)
    {45, 581, 0, 0, Smoke::mf_const, 169, 4},	//628 Okular::InkAnnotation::inkPaths() const
    {45, 1063, 0, 0, Smoke::mf_const, 169, 5},	//629 Okular::InkAnnotation::transformedInkPaths() const
    {45, 1027, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 6},	//630 Okular::InkAnnotation::subType() const
    {45, 1022, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//631 Okular::InkAnnotation::store(QDomNode&, QDomDocument&) const
    {45, 1123, 0, 0, Smoke::mf_dtor, 0, 8 },	//632 Okular::InkAnnotation::~InkAnnotation()
    {46, 195, 0, 0, Smoke::mf_ctor, 92, 1},	//633 Okular::LineAnnotation::LineAnnotation()
    {46, 195, 72, 1, Smoke::mf_ctor, 92, 2},	//634 Okular::LineAnnotation::LineAnnotation(const QDomNode&)
    {46, 902, 411, 1, 0, 0, 3},	//635 Okular::LineAnnotation::setLinePoints(const QLinkedList<Okular::NormalizedPoint>&)
    {46, 625, 0, 0, Smoke::mf_const, 163, 4},	//636 Okular::LineAnnotation::linePoints() const
    {46, 1066, 0, 0, Smoke::mf_const, 163, 5},	//637 Okular::LineAnnotation::transformedLinePoints() const
    {46, 904, 413, 1, 0, 0, 6},	//638 Okular::LineAnnotation::setLineStartStyle(Okular::LineAnnotation::TermStyle)
    {46, 626, 0, 0, Smoke::mf_const, 94, 7},	//639 Okular::LineAnnotation::lineStartStyle() const
    {46, 892, 413, 1, 0, 0, 8},	//640 Okular::LineAnnotation::setLineEndStyle(Okular::LineAnnotation::TermStyle)
    {46, 620, 0, 0, Smoke::mf_const, 94, 9},	//641 Okular::LineAnnotation::lineEndStyle() const
    {46, 890, 182, 1, 0, 0, 10},	//642 Okular::LineAnnotation::setLineClosed(bool)
    {46, 619, 0, 0, Smoke::mf_const, 285, 11},	//643 Okular::LineAnnotation::lineClosed() const
    {46, 894, 400, 1, 0, 0, 12},	//644 Okular::LineAnnotation::setLineInnerColor(const QColor&)
    {46, 621, 0, 0, Smoke::mf_const, 148, 13},	//645 Okular::LineAnnotation::lineInnerColor() const
    {46, 900, 415, 1, 0, 0, 14},	//646 Okular::LineAnnotation::setLineLeadingForwardPoint(double)
    {46, 624, 0, 0, Smoke::mf_const, 370, 15},	//647 Okular::LineAnnotation::lineLeadingForwardPoint() const
    {46, 898, 415, 1, 0, 0, 16},	//648 Okular::LineAnnotation::setLineLeadingBackwardPoint(double)
    {46, 623, 0, 0, Smoke::mf_const, 370, 17},	//649 Okular::LineAnnotation::lineLeadingBackwardPoint() const
    {46, 949, 182, 1, 0, 0, 18},	//650 Okular::LineAnnotation::setShowCaption(bool)
    {46, 1001, 0, 0, Smoke::mf_const, 285, 19},	//651 Okular::LineAnnotation::showCaption() const
    {46, 896, 417, 1, 0, 0, 20},	//652 Okular::LineAnnotation::setLineIntent(Okular::LineAnnotation::LineIntent)
    {46, 622, 0, 0, Smoke::mf_const, 93, 21},	//653 Okular::LineAnnotation::lineIntent() const
    {46, 1027, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 22},	//654 Okular::LineAnnotation::subType() const
    {46, 1022, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 23},	//655 Okular::LineAnnotation::store(QDomNode&, QDomDocument&) const
    {46, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 24},	//656 Okular::LineAnnotation::Square (enum)
    {46, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 25},	//657 Okular::LineAnnotation::Circle (enum)
    {46, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 26},	//658 Okular::LineAnnotation::Diamond (enum)
    {46, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 27},	//659 Okular::LineAnnotation::OpenArrow (enum)
    {46, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 28},	//660 Okular::LineAnnotation::ClosedArrow (enum)
    {46, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 29},	//661 Okular::LineAnnotation::None (enum)
    {46, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 30},	//662 Okular::LineAnnotation::Butt (enum)
    {46, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 31},	//663 Okular::LineAnnotation::ROpenArrow (enum)
    {46, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 32},	//664 Okular::LineAnnotation::RClosedArrow (enum)
    {46, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 33},	//665 Okular::LineAnnotation::Slash (enum)
    {46, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 34},	//666 Okular::LineAnnotation::Unknown (enum)
    {46, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 35},	//667 Okular::LineAnnotation::Arrow (enum)
    {46, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 36},	//668 Okular::LineAnnotation::Dimension (enum)
    {46, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 37},	//669 Okular::LineAnnotation::PolygonCloud (enum)
    {46, 1124, 0, 0, Smoke::mf_dtor, 0, 38 },	//670 Okular::LineAnnotation::~LineAnnotation()
    {48, 216, 0, 0, Smoke::mf_ctor, 98, 1},	//671 Okular::NormalizedPoint::NormalizedPoint()
    {48, 216, 47, 2, Smoke::mf_ctor, 98, 2},	//672 Okular::NormalizedPoint::NormalizedPoint(double, double)
    {48, 216, 419, 4, Smoke::mf_ctor, 98, 3},	//673 Okular::NormalizedPoint::NormalizedPoint(int, int, int, int)
    {48, 681, 33, 1, 0, 97, 4},	//674 Okular::NormalizedPoint::operator=(const Okular::NormalizedPoint&)
    {48, 1058, 55, 1, 0, 0, 5},	//675 Okular::NormalizedPoint::transform(const QMatrix&)
    {48, 216, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 6},	//676 Okular::NormalizedPoint::NormalizedPoint(const Okular::NormalizedPoint&)
    {48, 1093, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 370, 7},	//677 Okular::NormalizedPoint::x() const
    {48, 992, 415, 1, Smoke::mf_attribute, 0, 8},	//678 Okular::NormalizedPoint::setX(double)
    {48, 1095, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 370, 9},	//679 Okular::NormalizedPoint::y() const
    {48, 996, 415, 1, Smoke::mf_attribute, 0, 10},	//680 Okular::NormalizedPoint::setY(double)
    {48, 1125, 0, 0, Smoke::mf_dtor, 0, 11 },	//681 Okular::NormalizedPoint::~NormalizedPoint()
    {49, 220, 0, 0, Smoke::mf_ctor, 101, 1},	//682 Okular::NormalizedRect::NormalizedRect()
    {49, 220, 50, 4, Smoke::mf_ctor, 101, 2},	//683 Okular::NormalizedRect::NormalizedRect(double, double, double, double)
    {49, 220, 424, 3, Smoke::mf_ctor, 101, 3},	//684 Okular::NormalizedRect::NormalizedRect(const QRect&, double, double)
    {49, 220, 31, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 4},	//685 Okular::NormalizedRect::NormalizedRect(const Okular::NormalizedRect&)
    {49, 681, 31, 1, 0, 100, 5},	//686 Okular::NormalizedRect::operator=(const Okular::NormalizedRect&)
    {49, 534, 428, 1, Smoke::mf_static, 99, 6},	//687 Okular::NormalizedRect::fromQRectF(const QRectF&)
    {49, 601, 0, 0, Smoke::mf_const, 285, 7},	//688 Okular::NormalizedRect::isNull() const
    {49, 443, 47, 2, Smoke::mf_const, 285, 8},	//689 Okular::NormalizedRect::contains(double, double) const
    {49, 587, 31, 1, Smoke::mf_const, 285, 9},	//690 Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    {49, 587, 430, 1, Smoke::mf_const, 285, 10},	//691 Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    {49, 587, 50, 4, Smoke::mf_const, 285, 11},	//692 Okular::NormalizedRect::intersects(double, double, double, double) const
    {49, 546, 122, 2, Smoke::mf_const, 178, 12},	//693 Okular::NormalizedRect::geometry(int, int) const
    {49, 793, 122, 2, Smoke::mf_const, 178, 13},	//694 Okular::NormalizedRect::roundedGeometry(int, int) const
    {49, 685, 31, 1, Smoke::mf_const, 99, 14},	//695 Okular::NormalizedRect::operator|(const Okular::NormalizedRect&) const
    {49, 687, 31, 1, 0, 100, 15},	//696 Okular::NormalizedRect::operator|=(const Okular::NormalizedRect&)
    {49, 677, 31, 1, Smoke::mf_const, 99, 16},	//697 Okular::NormalizedRect::operator&(const Okular::NormalizedRect&) const
    {49, 683, 31, 1, Smoke::mf_const, 285, 17},	//698 Okular::NormalizedRect::operator==(const Okular::NormalizedRect&) const
    {49, 432, 0, 0, Smoke::mf_const, 96, 18},	//699 Okular::NormalizedRect::center() const
    {49, 1058, 55, 1, 0, 0, 19},	//700 Okular::NormalizedRect::transform(const QMatrix&)
    {49, 592, 33, 1, Smoke::mf_const, 285, 20},	//701 Okular::NormalizedRect::isBottom(const Okular::NormalizedPoint&) const
    {49, 609, 33, 1, Smoke::mf_const, 285, 21},	//702 Okular::NormalizedRect::isTop(const Okular::NormalizedPoint&) const
    {49, 594, 33, 1, Smoke::mf_const, 285, 22},	//703 Okular::NormalizedRect::isBottomOrLevel(const Okular::NormalizedPoint&) const
    {49, 611, 33, 1, Smoke::mf_const, 285, 23},	//704 Okular::NormalizedRect::isTopOrLevel(const Okular::NormalizedPoint&) const
    {49, 599, 33, 1, Smoke::mf_const, 285, 24},	//705 Okular::NormalizedRect::isLeft(const Okular::NormalizedPoint&) const
    {49, 607, 33, 1, Smoke::mf_const, 285, 25},	//706 Okular::NormalizedRect::isRight(const Okular::NormalizedPoint&) const
    {49, 618, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 370, 26},	//707 Okular::NormalizedRect::left() const
    {49, 888, 415, 1, Smoke::mf_attribute, 0, 27},	//708 Okular::NormalizedRect::setLeft(double)
    {49, 1048, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 370, 28},	//709 Okular::NormalizedRect::top() const
    {49, 973, 415, 1, Smoke::mf_attribute, 0, 29},	//710 Okular::NormalizedRect::setTop(double)
    {49, 787, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 370, 30},	//711 Okular::NormalizedRect::right() const
    {49, 941, 415, 1, Smoke::mf_attribute, 0, 31},	//712 Okular::NormalizedRect::setRight(double)
    {49, 407, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 370, 32},	//713 Okular::NormalizedRect::bottom() const
    {49, 825, 415, 1, Smoke::mf_attribute, 0, 33},	//714 Okular::NormalizedRect::setBottom(double)
    {49, 1126, 0, 0, Smoke::mf_dtor, 0, 34 },	//715 Okular::NormalizedRect::~NormalizedRect()
    {50, 226, 432, 7, Smoke::mf_ctor, 102, 1},	//716 Okular::ObjectRect::ObjectRect(double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*)
    {50, 226, 440, 4, Smoke::mf_ctor, 102, 2},	//717 Okular::ObjectRect::ObjectRect(const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*)
    {50, 226, 445, 3, Smoke::mf_ctor, 102, 3},	//718 Okular::ObjectRect::ObjectRect(const QPolygonF&, Okular::ObjectRect::ObjectType, void*)
    {50, 667, 0, 0, Smoke::mf_const, 103, 4},	//719 Okular::ObjectRect::objectType() const
    {50, 664, 0, 0, Smoke::mf_const, 369, 5},	//720 Okular::ObjectRect::object() const
    {50, 764, 0, 0, Smoke::mf_const, 355, 6},	//721 Okular::ObjectRect::region() const
    {50, 409, 47, 2, Smoke::mf_const|Smoke::mf_virtual, 178, 7},	//722 Okular::ObjectRect::boundingRect(double, double) const
    {50, 443, 50, 4, Smoke::mf_const|Smoke::mf_virtual, 285, 8},	//723 Okular::ObjectRect::contains(double, double, double, double) const
    {50, 1058, 55, 1, Smoke::mf_virtual, 0, 9},	//724 Okular::ObjectRect::transform(const QMatrix&)
    {50, 484, 50, 4, Smoke::mf_const, 370, 10},	//725 Okular::ObjectRect::distanceSqr(double, double, double, double) const
    {50, 226, 449, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 11},	//726 Okular::ObjectRect::ObjectRect(const Okular::ObjectRect&)
    {50, 637, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 103, 12},	//727 Okular::ObjectRect::m_objectType() const
    {50, 909, 451, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//728 Okular::ObjectRect::setM_objectType(Okular::ObjectRect::ObjectType)
    {50, 636, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 376, 14},	//729 Okular::ObjectRect::m_object() const
    {50, 907, 453, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//730 Okular::ObjectRect::setM_object(void*)
    {50, 638, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 174, 16},	//731 Okular::ObjectRect::m_path() const
    {50, 911, 455, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 17},	//732 Okular::ObjectRect::setM_path(const QPainterPath&)
    {50, 639, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 174, 18},	//733 Okular::ObjectRect::m_transformedPath() const
    {50, 913, 455, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 19},	//734 Okular::ObjectRect::setM_transformedPath(const QPainterPath&)
    {50, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 20},	//735 Okular::ObjectRect::Action (enum)
    {50, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 21},	//736 Okular::ObjectRect::Image (enum)
    {50, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 22},	//737 Okular::ObjectRect::OAnnotation (enum)
    {50, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 23},	//738 Okular::ObjectRect::SourceRef (enum)
    {50, 1127, 0, 0, Smoke::mf_dtor, 0, 24 },	//739 Okular::ObjectRect::~ObjectRect()
    {51, 237, 457, 4, Smoke::mf_ctor, 104, 1},	//740 Okular::Page::Page(unsigned int, double, double, Okular::Rotation)
    {51, 663, 0, 0, Smoke::mf_const, 372, 2},	//741 Okular::Page::number() const
    {51, 704, 0, 0, Smoke::mf_const, 119, 3},	//742 Okular::Page::orientation() const
    {51, 790, 0, 0, Smoke::mf_const, 119, 4},	//743 Okular::Page::rotation() const
    {51, 1049, 0, 0, Smoke::mf_const, 119, 5},	//744 Okular::Page::totalOrientation() const
    {51, 1086, 0, 0, Smoke::mf_const, 370, 6},	//745 Okular::Page::width() const
    {51, 570, 0, 0, Smoke::mf_const, 370, 7},	//746 Okular::Page::height() const
    {51, 760, 0, 0, Smoke::mf_const, 370, 8},	//747 Okular::Page::ratio() const
    {51, 408, 0, 0, Smoke::mf_const, 99, 9},	//748 Okular::Page::boundingBox() const
    {51, 596, 0, 0, Smoke::mf_const, 285, 10},	//749 Okular::Page::isBoundingBoxKnown() const
    {51, 827, 31, 1, 0, 0, 11},	//750 Okular::Page::setBoundingBox(const Okular::NormalizedRect&)
    {51, 564, 462, 3, Smoke::mf_const, 285, 12},	//751 Okular::Page::hasPixmap(int, int, int) const
    {51, 568, 0, 0, Smoke::mf_const, 285, 13},	//752 Okular::Page::hasTextPage() const
    {51, 562, 50, 4, Smoke::mf_const, 285, 14},	//753 Okular::Page::hasObjectRect(double, double, double, double) const
    {51, 560, 29, 1, Smoke::mf_const, 285, 15},	//754 Okular::Page::hasHighlights(int) const
    {51, 569, 0, 0, Smoke::mf_const, 285, 16},	//755 Okular::Page::hasTransition() const
    {51, 557, 0, 0, Smoke::mf_const, 285, 17},	//756 Okular::Page::hasAnnotations() const
    {51, 522, 466, 5, Smoke::mf_const, 118, 18},	//757 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*) const
    {51, 1033, 472, 1, Smoke::mf_const, 182, 19},	//758 Okular::Page::text(const Okular::RegularAreaRect*) const
    {51, 1033, 474, 2, Smoke::mf_const, 182, 20},	//759 Okular::Page::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {51, 1091, 474, 2, Smoke::mf_const, 168, 21},	//760 Okular::Page::words(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {51, 1088, 477, 2, Smoke::mf_const, 118, 22},	//761 Okular::Page::wordAt(const Okular::NormalizedPoint&, QString*) const
    {51, 1037, 480, 1, Smoke::mf_const, 118, 23},	//762 Okular::Page::textArea(Okular::TextSelection*) const
    {51, 665, 482, 5, Smoke::mf_const, 319, 24},	//763 Okular::Page::objectRect(Okular::ObjectRect::ObjectType, double, double, double, double) const
    {51, 659, 488, 6, Smoke::mf_const, 319, 25},	//764 Okular::Page::nearestObjectRect(Okular::ObjectRect::ObjectType, double, double, double, double, double*) const
    {51, 1067, 0, 0, Smoke::mf_const, 323, 26},	//765 Okular::Page::transition() const
    {51, 397, 0, 0, Smoke::mf_const, 160, 27},	//766 Okular::Page::annotations() const
    {51, 707, 495, 1, Smoke::mf_const, 292, 28},	//767 Okular::Page::pageAction(Okular::Page::PageAction) const
    {51, 533, 0, 0, Smoke::mf_const, 162, 29},	//768 Okular::Page::formFields() const
    {51, 936, 497, 2, 0, 0, 30},	//769 Okular::Page::setPixmap(int, QPixmap*)
    {51, 969, 500, 1, 0, 0, 31},	//770 Okular::Page::setTextPage(Okular::TextPage*)
    {51, 926, 502, 1, 0, 0, 32},	//771 Okular::Page::setObjectRects(const QLinkedList<Okular::ObjectRect*>&)
    {51, 957, 504, 1, 0, 0, 33},	//772 Okular::Page::setSourceReferences(const QLinkedList<Okular::SourceRefObjectRect*>&)
    {51, 849, 415, 1, 0, 0, 34},	//773 Okular::Page::setDuration(double)
    {51, 500, 0, 0, Smoke::mf_const, 370, 35},	//774 Okular::Page::duration() const
    {51, 886, 9, 1, 0, 0, 36},	//775 Okular::Page::setLabel(const QString&)
    {51, 617, 0, 0, Smoke::mf_const, 182, 37},	//776 Okular::Page::label() const
    {51, 1043, 0, 0, Smoke::mf_const, 326, 38},	//777 Okular::Page::textSelection() const
    {51, 1044, 0, 0, Smoke::mf_const, 148, 39},	//778 Okular::Page::textSelectionColor() const
    {51, 377, 45, 1, 0, 0, 40},	//779 Okular::Page::addAnnotation(Okular::Annotation*)
    {51, 767, 45, 1, 0, 285, 41},	//780 Okular::Page::removeAnnotation(Okular::Annotation*)
    {51, 975, 506, 1, 0, 0, 42},	//781 Okular::Page::setTransition(Okular::PageTransition*)
    {51, 928, 508, 2, 0, 0, 43},	//782 Okular::Page::setPageAction(Okular::Page::PageAction, Okular::Action*)
    {51, 864, 511, 1, 0, 0, 44},	//783 Okular::Page::setFormFields(const QLinkedList<Okular::FormField*>&)
    {51, 470, 29, 1, 0, 0, 45},	//784 Okular::Page::deletePixmap(int)
    {51, 472, 0, 0, 0, 0, 46},	//785 Okular::Page::deletePixmaps()
    {51, 473, 0, 0, 0, 0, 47},	//786 Okular::Page::deleteRects()
    {51, 474, 0, 0, 0, 0, 48},	//787 Okular::Page::deleteSourceReferences()
    {51, 467, 0, 0, 0, 0, 49},	//788 Okular::Page::deleteAnnotations()
    {51, 564, 29, 1, Smoke::mf_const, 285, 50},	//789 Okular::Page::hasPixmap(int) const
    {51, 564, 122, 2, Smoke::mf_const, 285, 51},	//790 Okular::Page::hasPixmap(int, int) const
    {51, 560, 0, 0, Smoke::mf_const, 285, 52},	//791 Okular::Page::hasHighlights() const
    {51, 522, 513, 4, Smoke::mf_const, 118, 53},	//792 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity) const
    {51, 1033, 0, 0, Smoke::mf_const, 182, 54},	//793 Okular::Page::text() const
    {51, 1088, 33, 1, Smoke::mf_const, 118, 55},	//794 Okular::Page::wordAt(const Okular::NormalizedPoint&) const
    {51, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 56},	//795 Okular::Page::Opening (enum)
    {51, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 57},	//796 Okular::Page::Closing (enum)
    {51, 1128, 0, 0, Smoke::mf_dtor, 0, 58 },	//797 Okular::Page::~Page()
    {52, 243, 0, 0, Smoke::mf_ctor, 108, 1},	//798 Okular::PageSize::PageSize()
    {52, 243, 518, 3, Smoke::mf_ctor, 108, 2},	//799 Okular::PageSize::PageSize(double, double, const QString&)
    {52, 243, 184, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 3},	//800 Okular::PageSize::PageSize(const Okular::PageSize&)
    {52, 1086, 0, 0, Smoke::mf_const, 370, 4},	//801 Okular::PageSize::width() const
    {52, 570, 0, 0, Smoke::mf_const, 370, 5},	//802 Okular::PageSize::height() const
    {52, 657, 0, 0, Smoke::mf_const, 182, 6},	//803 Okular::PageSize::name() const
    {52, 601, 0, 0, Smoke::mf_const, 285, 7},	//804 Okular::PageSize::isNull() const
    {52, 681, 184, 1, 0, 107, 8},	//805 Okular::PageSize::operator=(const Okular::PageSize&)
    {52, 683, 184, 1, Smoke::mf_const, 285, 9},	//806 Okular::PageSize::operator==(const Okular::PageSize&) const
    {52, 675, 184, 1, Smoke::mf_const, 285, 10},	//807 Okular::PageSize::operator!=(const Okular::PageSize&) const
    {52, 1129, 0, 0, Smoke::mf_dtor, 0, 11 },	//808 Okular::PageSize::~PageSize()
    {53, 247, 522, 1, Smoke::mf_ctor, 110, 1},	//809 Okular::PageTransition::PageTransition(Okular::PageTransition::Type)
    {53, 247, 524, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 110, 2},	//810 Okular::PageTransition::PageTransition(const Okular::PageTransition&)
    {53, 681, 524, 1, 0, 109, 3},	//811 Okular::PageTransition::operator=(const Okular::PageTransition&)
    {53, 1070, 0, 0, Smoke::mf_const, 113, 4},	//812 Okular::PageTransition::type() const
    {53, 500, 0, 0, Smoke::mf_const, 372, 5},	//813 Okular::PageTransition::duration() const
    {53, 391, 0, 0, Smoke::mf_const, 111, 6},	//814 Okular::PageTransition::alignment() const
    {53, 482, 0, 0, Smoke::mf_const, 112, 7},	//815 Okular::PageTransition::direction() const
    {53, 393, 0, 0, Smoke::mf_const, 372, 8},	//816 Okular::PageTransition::angle() const
    {53, 802, 0, 0, Smoke::mf_const, 370, 9},	//817 Okular::PageTransition::scale() const
    {53, 605, 0, 0, Smoke::mf_const, 285, 10},	//818 Okular::PageTransition::isRectangular() const
    {53, 977, 522, 1, 0, 0, 11},	//819 Okular::PageTransition::setType(Okular::PageTransition::Type)
    {53, 849, 29, 1, 0, 0, 12},	//820 Okular::PageTransition::setDuration(int)
    {53, 815, 526, 1, 0, 0, 13},	//821 Okular::PageTransition::setAlignment(Okular::PageTransition::Alignment)
    {53, 845, 528, 1, 0, 0, 14},	//822 Okular::PageTransition::setDirection(Okular::PageTransition::Direction)
    {53, 817, 29, 1, 0, 0, 15},	//823 Okular::PageTransition::setAngle(int)
    {53, 947, 415, 1, 0, 0, 16},	//824 Okular::PageTransition::setScale(double)
    {53, 884, 182, 1, 0, 0, 17},	//825 Okular::PageTransition::setIsRectangular(bool)
    {53, 247, 0, 0, Smoke::mf_ctor, 110, 18},	//826 Okular::PageTransition::PageTransition()
    {53, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 19},	//827 Okular::PageTransition::Replace (enum)
    {53, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 20},	//828 Okular::PageTransition::Split (enum)
    {53, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 21},	//829 Okular::PageTransition::Blinds (enum)
    {53, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 22},	//830 Okular::PageTransition::Box (enum)
    {53, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 23},	//831 Okular::PageTransition::Wipe (enum)
    {53, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 24},	//832 Okular::PageTransition::Dissolve (enum)
    {53, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 25},	//833 Okular::PageTransition::Glitter (enum)
    {53, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 26},	//834 Okular::PageTransition::Fly (enum)
    {53, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 27},	//835 Okular::PageTransition::Push (enum)
    {53, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 28},	//836 Okular::PageTransition::Cover (enum)
    {53, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 29},	//837 Okular::PageTransition::Uncover (enum)
    {53, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 30},	//838 Okular::PageTransition::Fade (enum)
    {53, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 31},	//839 Okular::PageTransition::Horizontal (enum)
    {53, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 32},	//840 Okular::PageTransition::Vertical (enum)
    {53, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 33},	//841 Okular::PageTransition::Inward (enum)
    {53, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 34},	//842 Okular::PageTransition::Outward (enum)
    {53, 1130, 0, 0, Smoke::mf_dtor, 0, 35 },	//843 Okular::PageTransition::~PageTransition()
    {54, 252, 530, 6, Smoke::mf_ctor, 115, 1},	//844 Okular::PixmapRequest::PixmapRequest(int, int, int, int, int, bool)
    {54, 576, 0, 0, Smoke::mf_const, 372, 2},	//845 Okular::PixmapRequest::id() const
    {54, 714, 0, 0, Smoke::mf_const, 372, 3},	//846 Okular::PixmapRequest::pageNumber() const
    {54, 1086, 0, 0, Smoke::mf_const, 372, 4},	//847 Okular::PixmapRequest::width() const
    {54, 570, 0, 0, Smoke::mf_const, 372, 5},	//848 Okular::PixmapRequest::height() const
    {54, 745, 0, 0, Smoke::mf_const, 372, 6},	//849 Okular::PixmapRequest::priority() const
    {54, 401, 0, 0, Smoke::mf_const, 285, 7},	//850 Okular::PixmapRequest::asynchronous() const
    {54, 705, 0, 0, Smoke::mf_const, 104, 8},	//851 Okular::PixmapRequest::page() const
    {54, 1131, 0, 0, Smoke::mf_dtor, 0, 9 },	//852 Okular::PixmapRequest::~PixmapRequest()
    {55, 732, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 191, 1},	//853 Okular::PrintInterface::printConfigurationWidget() const [pure virtual]
    {55, 260, 0, 0, Smoke::mf_ctor, 116, 2},	//854 Okular::PrintInterface::PrintInterface()
    {55, 260, 537, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 116, 3},	//855 Okular::PrintInterface::PrintInterface(const Okular::PrintInterface&)
    {55, 1132, 0, 0, Smoke::mf_dtor, 0, 4 },	//856 Okular::PrintInterface::~PrintInterface()
    {56, 286, 0, 0, Smoke::mf_ctor, 118, 1},	//857 Okular::RegularAreaRect::RegularAreaRect()
    {56, 286, 539, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 118, 2},	//858 Okular::RegularAreaRect::RegularAreaRect(const Okular::RegularAreaRect&)
    {56, 681, 539, 1, 0, 117, 3},	//859 Okular::RegularAreaRect::operator=(const Okular::RegularAreaRect&)
    {56, 1133, 0, 0, Smoke::mf_dtor, 0, 4 },	//860 Okular::RegularAreaRect::~RegularAreaRect()
    {57, 295, 541, 2, Smoke::mf_ctor, 120, 1},	//861 Okular::ScriptAction::ScriptAction(Okular::ScriptType, const QString&)
    {57, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//862 Okular::ScriptAction::actionType() const
    {57, 372, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 182, 3},	//863 Okular::ScriptAction::actionTip() const
    {57, 804, 0, 0, Smoke::mf_const, 121, 4},	//864 Okular::ScriptAction::scriptType() const
    {57, 803, 0, 0, Smoke::mf_const, 182, 5},	//865 Okular::ScriptAction::script() const
    {57, 1134, 0, 0, Smoke::mf_dtor, 0, 6 },	//866 Okular::ScriptAction::~ScriptAction()
    {58, 301, 544, 1, Smoke::mf_ctor, 123, 1},	//867 Okular::Sound::Sound(const QByteArray&)
    {58, 301, 9, 1, Smoke::mf_ctor, 123, 2},	//868 Okular::Sound::Sound(const QString&)
    {58, 1011, 0, 0, Smoke::mf_const, 125, 3},	//869 Okular::Sound::soundType() const
    {58, 1077, 0, 0, Smoke::mf_const, 182, 4},	//870 Okular::Sound::url() const
    {58, 466, 0, 0, Smoke::mf_const, 145, 5},	//871 Okular::Sound::data() const
    {58, 945, 415, 1, 0, 0, 6},	//872 Okular::Sound::setSamplingRate(double)
    {58, 796, 0, 0, Smoke::mf_const, 370, 7},	//873 Okular::Sound::samplingRate() const
    {58, 835, 29, 1, 0, 0, 8},	//874 Okular::Sound::setChannels(int)
    {58, 433, 0, 0, Smoke::mf_const, 372, 9},	//875 Okular::Sound::channels() const
    {58, 823, 29, 1, 0, 0, 10},	//876 Okular::Sound::setBitsPerSample(int)
    {58, 403, 0, 0, Smoke::mf_const, 372, 11},	//877 Okular::Sound::bitsPerSample() const
    {58, 953, 546, 1, 0, 0, 12},	//878 Okular::Sound::setSoundEncoding(Okular::Sound::SoundEncoding)
    {58, 1009, 0, 0, Smoke::mf_const, 124, 13},	//879 Okular::Sound::soundEncoding() const
    {58, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 14},	//880 Okular::Sound::External (enum)
    {58, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 15},	//881 Okular::Sound::Embedded (enum)
    {58, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 16},	//882 Okular::Sound::Raw (enum)
    {58, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 17},	//883 Okular::Sound::Signed (enum)
    {58, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 18},	//884 Okular::Sound::muLaw (enum)
    {58, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 19},	//885 Okular::Sound::ALaw (enum)
    {58, 1135, 0, 0, Smoke::mf_dtor, 0, 20 },	//886 Okular::Sound::~Sound()
    {59, 304, 548, 5, Smoke::mf_ctor, 126, 1},	//887 Okular::SoundAction::SoundAction(double, bool, bool, bool, Okular::Sound*)
    {59, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//888 Okular::SoundAction::actionType() const
    {59, 372, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 182, 3},	//889 Okular::SoundAction::actionTip() const
    {59, 1082, 0, 0, Smoke::mf_const, 370, 4},	//890 Okular::SoundAction::volume() const
    {59, 1032, 0, 0, Smoke::mf_const, 285, 5},	//891 Okular::SoundAction::synchronous() const
    {59, 776, 0, 0, Smoke::mf_const, 285, 6},	//892 Okular::SoundAction::repeat() const
    {59, 650, 0, 0, Smoke::mf_const, 285, 7},	//893 Okular::SoundAction::mix() const
    {59, 1008, 0, 0, Smoke::mf_const, 123, 8},	//894 Okular::SoundAction::sound() const
    {59, 1136, 0, 0, Smoke::mf_dtor, 0, 9 },	//895 Okular::SoundAction::~SoundAction()
    {60, 306, 0, 0, Smoke::mf_ctor, 127, 1},	//896 Okular::SoundAnnotation::SoundAnnotation()
    {60, 306, 72, 1, Smoke::mf_ctor, 127, 2},	//897 Okular::SoundAnnotation::SoundAnnotation(const QDomNode&)
    {60, 1010, 0, 0, Smoke::mf_const, 182, 3},	//898 Okular::SoundAnnotation::soundIconName() const
    {60, 955, 9, 1, 0, 0, 4},	//899 Okular::SoundAnnotation::setSoundIconName(const QString&)
    {60, 1008, 0, 0, Smoke::mf_const, 123, 5},	//900 Okular::SoundAnnotation::sound() const
    {60, 951, 554, 1, 0, 0, 6},	//901 Okular::SoundAnnotation::setSound(Okular::Sound*)
    {60, 1027, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 7},	//902 Okular::SoundAnnotation::subType() const
    {60, 1022, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//903 Okular::SoundAnnotation::store(QDomNode&, QDomDocument&) const
    {60, 1137, 0, 0, Smoke::mf_dtor, 0, 9 },	//904 Okular::SoundAnnotation::~SoundAnnotation()
    {61, 309, 556, 2, Smoke::mf_ctor, 128, 1},	//905 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::NormalizedPoint&, void*)
    {61, 409, 47, 2, Smoke::mf_const|Smoke::mf_virtual, 178, 2},	//906 Okular::SourceRefObjectRect::boundingRect(double, double) const
    {61, 443, 50, 4, Smoke::mf_const|Smoke::mf_virtual, 285, 3},	//907 Okular::SourceRefObjectRect::contains(double, double, double, double) const
    {61, 309, 559, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 128, 4},	//908 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::SourceRefObjectRect&)
    {61, 1138, 0, 0, Smoke::mf_dtor, 0, 5 },	//909 Okular::SourceRefObjectRect::~SourceRefObjectRect()
    {62, 312, 561, 3, Smoke::mf_ctor, 129, 1},	//910 Okular::SourceReference::SourceReference(const QString&, int, int)
    {62, 517, 0, 0, Smoke::mf_const, 182, 2},	//911 Okular::SourceReference::fileName() const
    {62, 795, 0, 0, Smoke::mf_const, 372, 3},	//912 Okular::SourceReference::row() const
    {62, 439, 0, 0, Smoke::mf_const, 372, 4},	//913 Okular::SourceReference::column() const
    {62, 312, 188, 2, Smoke::mf_ctor, 129, 5},	//914 Okular::SourceReference::SourceReference(const QString&, int)
    {62, 1139, 0, 0, Smoke::mf_dtor, 0, 6 },	//915 Okular::SourceReference::~SourceReference()
    {63, 318, 0, 0, Smoke::mf_ctor, 130, 1},	//916 Okular::StampAnnotation::StampAnnotation()
    {63, 318, 72, 1, Smoke::mf_ctor, 130, 2},	//917 Okular::StampAnnotation::StampAnnotation(const QDomNode&)
    {63, 959, 9, 1, 0, 0, 3},	//918 Okular::StampAnnotation::setStampIconName(const QString&)
    {63, 1014, 0, 0, Smoke::mf_const, 182, 4},	//919 Okular::StampAnnotation::stampIconName() const
    {63, 1027, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 5},	//920 Okular::StampAnnotation::subType() const
    {63, 1022, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//921 Okular::StampAnnotation::store(QDomNode&, QDomDocument&) const
    {63, 1140, 0, 0, Smoke::mf_dtor, 0, 7 },	//922 Okular::StampAnnotation::~StampAnnotation()
    {64, 331, 0, 0, Smoke::mf_ctor, 131, 1},	//923 Okular::TextAnnotation::TextAnnotation()
    {64, 331, 72, 1, Smoke::mf_ctor, 131, 2},	//924 Okular::TextAnnotation::TextAnnotation(const QDomNode&)
    {64, 971, 565, 1, 0, 0, 3},	//925 Okular::TextAnnotation::setTextType(Okular::TextAnnotation::TextType)
    {64, 1045, 0, 0, Smoke::mf_const, 133, 4},	//926 Okular::TextAnnotation::textType() const
    {64, 967, 9, 1, 0, 0, 5},	//927 Okular::TextAnnotation::setTextIcon(const QString&)
    {64, 1040, 0, 0, Smoke::mf_const, 182, 6},	//928 Okular::TextAnnotation::textIcon() const
    {64, 965, 567, 1, 0, 0, 7},	//929 Okular::TextAnnotation::setTextFont(const QFont&)
    {64, 1039, 0, 0, Smoke::mf_const, 158, 8},	//930 Okular::TextAnnotation::textFont() const
    {64, 876, 29, 1, 0, 0, 9},	//931 Okular::TextAnnotation::setInplaceAlignment(int)
    {64, 582, 0, 0, Smoke::mf_const, 372, 10},	//932 Okular::TextAnnotation::inplaceAlignment() const
    {64, 882, 9, 1, 0, 0, 11},	//933 Okular::TextAnnotation::setInplaceText(const QString&)
    {64, 586, 0, 0, Smoke::mf_const, 182, 12},	//934 Okular::TextAnnotation::inplaceText() const
    {64, 878, 569, 2, 0, 0, 13},	//935 Okular::TextAnnotation::setInplaceCallout(const Okular::NormalizedPoint&, int)
    {64, 583, 29, 1, Smoke::mf_const, 96, 14},	//936 Okular::TextAnnotation::inplaceCallout(int) const
    {64, 1064, 29, 1, Smoke::mf_const, 96, 15},	//937 Okular::TextAnnotation::transformedInplaceCallout(int) const
    {64, 880, 572, 1, 0, 0, 16},	//938 Okular::TextAnnotation::setInplaceIntent(Okular::TextAnnotation::InplaceIntent)
    {64, 585, 0, 0, Smoke::mf_const, 132, 17},	//939 Okular::TextAnnotation::inplaceIntent() const
    {64, 1027, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 18},	//940 Okular::TextAnnotation::subType() const
    {64, 1022, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 19},	//941 Okular::TextAnnotation::store(QDomNode&, QDomDocument&) const
    {64, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 20},	//942 Okular::TextAnnotation::Linked (enum)
    {64, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 21},	//943 Okular::TextAnnotation::InPlace (enum)
    {64, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 22},	//944 Okular::TextAnnotation::Unknown (enum)
    {64, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 23},	//945 Okular::TextAnnotation::Callout (enum)
    {64, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 24},	//946 Okular::TextAnnotation::TypeWriter (enum)
    {64, 1141, 0, 0, Smoke::mf_dtor, 0, 25 },	//947 Okular::TextAnnotation::~TextAnnotation()
    {65, 648, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 353, 1},	//948 Okular::TextDocumentConverter::metaObject() const
    {65, 757, 80, 1, Smoke::mf_virtual, 376, 2},	//949 Okular::TextDocumentConverter::qt_metacast(const char*)
    {65, 1050, 82, 2, Smoke::mf_static, 182, 3},	//950 Okular::TextDocumentConverter::tr(const char*, const char*)
    {65, 1054, 82, 2, Smoke::mf_static, 182, 4},	//951 Okular::TextDocumentConverter::trUtf8(const char*, const char*)
    {65, 1050, 85, 3, Smoke::mf_static, 182, 5},	//952 Okular::TextDocumentConverter::tr(const char*, const char*, int)
    {65, 1054, 85, 3, Smoke::mf_static, 182, 6},	//953 Okular::TextDocumentConverter::trUtf8(const char*, const char*, int)
    {65, 755, 89, 3, Smoke::mf_virtual, 372, 7},	//954 Okular::TextDocumentConverter::qt_metacall(QMetaObject::Call, int, void**)
    {65, 333, 0, 0, Smoke::mf_ctor, 134, 8},	//955 Okular::TextDocumentConverter::TextDocumentConverter()
    {65, 450, 9, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 187, 9},	//956 Okular::TextDocumentConverter::convert(const QString&) [pure virtual]
    {65, 375, 574, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//957 Okular::TextDocumentConverter::addAction(Okular::Action*, int, int)
    {65, 377, 578, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//958 Okular::TextDocumentConverter::addAnnotation(Okular::Annotation*, int, int)
    {65, 389, 582, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//959 Okular::TextDocumentConverter::addTitle(int, const QString&, const QTextBlock&)
    {65, 380, 216, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//960 Okular::TextDocumentConverter::addMetaData(const QString&, const QString&, const QString&)
    {65, 380, 220, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//961 Okular::TextDocumentConverter::addMetaData(Okular::DocumentInfo::Key, const QString&)
    {65, 506, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//962 Okular::TextDocumentConverter::error(const QString&, int)
    {65, 1083, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//963 Okular::TextDocumentConverter::warning(const QString&, int)
    {65, 661, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//964 Okular::TextDocumentConverter::notice(const QString&, int)
    {65, 413, 586, 2, Smoke::mf_protected, 50, 18},	//965 Okular::TextDocumentConverter::calculateViewport(QTextDocument*, const QTextBlock&)
    {65, 542, 0, 0, Smoke::mf_const|Smoke::mf_protected, 135, 19},	//966 Okular::TextDocumentConverter::generator() const
    {65, 1050, 80, 1, Smoke::mf_static, 182, 20},	//967 Okular::TextDocumentConverter::tr(const char*)
    {65, 1054, 80, 1, Smoke::mf_static, 182, 21},	//968 Okular::TextDocumentConverter::trUtf8(const char*)
    {65, 1020, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 352, 22},	//969 Okular::TextDocumentConverter::staticMetaObject() const
    {65, 1142, 0, 0, Smoke::mf_dtor, 0, 23 },	//970 Okular::TextDocumentConverter::~TextDocumentConverter()
    {66, 648, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 353, 1},	//971 Okular::TextDocumentGenerator::metaObject() const
    {66, 757, 80, 1, Smoke::mf_virtual, 376, 2},	//972 Okular::TextDocumentGenerator::qt_metacast(const char*)
    {66, 1050, 82, 2, Smoke::mf_static, 182, 3},	//973 Okular::TextDocumentGenerator::tr(const char*, const char*)
    {66, 1054, 82, 2, Smoke::mf_static, 182, 4},	//974 Okular::TextDocumentGenerator::trUtf8(const char*, const char*)
    {66, 1050, 85, 3, Smoke::mf_static, 182, 5},	//975 Okular::TextDocumentGenerator::tr(const char*, const char*, int)
    {66, 1054, 85, 3, Smoke::mf_static, 182, 6},	//976 Okular::TextDocumentGenerator::trUtf8(const char*, const char*, int)
    {66, 755, 89, 3, Smoke::mf_virtual, 372, 7},	//977 Okular::TextDocumentGenerator::qt_metacall(QMetaObject::Call, int, void**)
    {66, 334, 589, 3, Smoke::mf_ctor, 135, 8},	//978 Okular::TextDocumentGenerator::TextDocumentGenerator(Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&)
    {66, 631, 364, 2, Smoke::mf_virtual, 285, 9},	//979 Okular::TextDocumentGenerator::loadDocument(const QString&, QVector<Okular::Page*>&)
    {66, 420, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 10},	//980 Okular::TextDocumentGenerator::canGeneratePixmap() const
    {66, 538, 370, 1, Smoke::mf_virtual, 0, 11},	//981 Okular::TextDocumentGenerator::generatePixmap(Okular::PixmapRequest*)
    {66, 727, 164, 1, Smoke::mf_virtual, 285, 12},	//982 Okular::TextDocumentGenerator::print(QPrinter&)
    {66, 510, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 13},	//983 Okular::TextDocumentGenerator::exportFormats() const
    {66, 511, 106, 2, Smoke::mf_virtual, 285, 14},	//984 Okular::TextDocumentGenerator::exportTo(const QString&, const Okular::ExportFormat&)
    {66, 536, 0, 0, Smoke::mf_virtual, 303, 15},	//985 Okular::TextDocumentGenerator::generateDocumentInfo()
    {66, 537, 0, 0, Smoke::mf_virtual, 305, 16},	//986 Okular::TextDocumentGenerator::generateDocumentSynopsis()
    {66, 486, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 285, 17},	//987 Okular::TextDocumentGenerator::doCloseDocument()
    {66, 1041, 372, 1, Smoke::mf_protected|Smoke::mf_virtual, 137, 18},	//988 Okular::TextDocumentGenerator::textPage(Okular::Page*)
    {66, 1050, 80, 1, Smoke::mf_static, 182, 19},	//989 Okular::TextDocumentGenerator::tr(const char*)
    {66, 1054, 80, 1, Smoke::mf_static, 182, 20},	//990 Okular::TextDocumentGenerator::trUtf8(const char*)
    {66, 1020, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 352, 21},	//991 Okular::TextDocumentGenerator::staticMetaObject() const
    {66, 1143, 0, 0, Smoke::mf_dtor, 0, 22 },	//992 Okular::TextDocumentGenerator::~TextDocumentGenerator()
    {67, 336, 593, 2, Smoke::mf_ctor, 136, 1},	//993 Okular::TextEntity::TextEntity(const QString&, Okular::NormalizedRect*)
    {67, 1033, 0, 0, Smoke::mf_const, 182, 2},	//994 Okular::TextEntity::text() const
    {67, 400, 0, 0, Smoke::mf_const, 101, 3},	//995 Okular::TextEntity::area() const
    {67, 1060, 55, 1, Smoke::mf_const, 99, 4},	//996 Okular::TextEntity::transformedArea(const QMatrix&) const
    {67, 1144, 0, 0, Smoke::mf_dtor, 0, 5 },	//997 Okular::TextEntity::~TextEntity()
    {68, 339, 0, 0, Smoke::mf_ctor, 137, 1},	//998 Okular::TextPage::TextPage()
    {68, 339, 596, 1, Smoke::mf_ctor, 137, 2},	//999 Okular::TextPage::TextPage(const QList<Okular::TextEntity*>&)
    {68, 398, 593, 2, 0, 0, 3},	//1000 Okular::TextPage::append(const QString&, Okular::NormalizedRect*)
    {68, 522, 466, 5, 0, 118, 4},	//1001 Okular::TextPage::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*)
    {68, 1033, 472, 1, Smoke::mf_const, 182, 5},	//1002 Okular::TextPage::text(const Okular::RegularAreaRect*) const
    {68, 1033, 474, 2, Smoke::mf_const, 182, 6},	//1003 Okular::TextPage::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {68, 1091, 474, 2, Smoke::mf_const, 168, 7},	//1004 Okular::TextPage::words(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {68, 1088, 477, 2, Smoke::mf_const, 118, 8},	//1005 Okular::TextPage::wordAt(const Okular::NormalizedPoint&, QString*) const
    {68, 1037, 480, 1, Smoke::mf_const, 118, 9},	//1006 Okular::TextPage::textArea(Okular::TextSelection*) const
    {68, 1033, 0, 0, Smoke::mf_const, 182, 10},	//1007 Okular::TextPage::text() const
    {68, 1088, 33, 1, Smoke::mf_const, 118, 11},	//1008 Okular::TextPage::wordAt(const Okular::NormalizedPoint&) const
    {68, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 12},	//1009 Okular::TextPage::AnyPixelTextAreaInclusionBehaviour (enum)
    {68, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 13},	//1010 Okular::TextPage::CentralPixelTextAreaInclusionBehaviour (enum)
    {68, 1145, 0, 0, Smoke::mf_dtor, 0, 14 },	//1011 Okular::TextPage::~TextPage()
    {70, 788, 598, 4, Smoke::mf_static, 178, 1},	//1012 Okular::Utils::rotateRect(const QRect&, int, int, int)
    {70, 498, 0, 0, Smoke::mf_static, 370, 2},	//1013 Okular::Utils::dpiX()
    {70, 499, 0, 0, Smoke::mf_static, 370, 3},	//1014 Okular::Utils::dpiY()
    {70, 761, 0, 0, Smoke::mf_static, 370, 4},	//1015 Okular::Utils::realDpiX()
    {70, 762, 0, 0, Smoke::mf_static, 370, 5},	//1016 Okular::Utils::realDpiY()
    {70, 579, 603, 1, Smoke::mf_static, 99, 6},	//1017 Okular::Utils::imageBoundingBox(const QImage*)
    {70, 358, 0, 0, Smoke::mf_ctor, 140, 7},	//1018 Okular::Utils::Utils()
    {70, 358, 605, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 140, 8},	//1019 Okular::Utils::Utils(const Okular::Utils&)
    {70, 1146, 0, 0, Smoke::mf_dtor, 0, 9 },	//1020 Okular::Utils::~Utils()
    {72, 361, 388, 2, Smoke::mf_ctor, 142, 1},	//1021 Okular::VisiblePageRect::VisiblePageRect(int, const Okular::NormalizedRect&)
    {72, 361, 607, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 142, 2},	//1022 Okular::VisiblePageRect::VisiblePageRect(const Okular::VisiblePageRect&)
    {72, 361, 0, 0, Smoke::mf_ctor, 142, 3},	//1023 Okular::VisiblePageRect::VisiblePageRect()
    {72, 361, 29, 1, Smoke::mf_ctor, 142, 4},	//1024 Okular::VisiblePageRect::VisiblePageRect(int)
    {72, 714, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 372, 5},	//1025 Okular::VisiblePageRect::pageNumber() const
    {72, 930, 29, 1, Smoke::mf_attribute, 0, 6},	//1026 Okular::VisiblePageRect::setPageNumber(int)
    {72, 763, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 100, 7},	//1027 Okular::VisiblePageRect::rect() const
    {72, 939, 31, 1, Smoke::mf_attribute, 0, 8},	//1028 Okular::VisiblePageRect::setRect(const Okular::NormalizedRect&)
    {72, 1147, 0, 0, Smoke::mf_dtor, 0, 9 },	//1029 Okular::VisiblePageRect::~VisiblePageRect()
    {84, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 1},	//1030 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {84, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 2},	//1031 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {84, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 3},	//1032 QGlobalSpace::Q_STATIC_TYPE (enum)
    {84, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 4},	//1033 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {84, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 5},	//1034 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {84, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 6},	//1035 QGlobalSpace::LicensedGui (enum)
    {84, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 7},	//1036 QGlobalSpace::LicensedXml (enum)
    {84, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 8},	//1037 QGlobalSpace::LicensedQt3SupportLight (enum)
    {84, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 9},	//1038 QGlobalSpace::KST_KSycocaEntry (enum)
    {84, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 10},	//1039 QGlobalSpace::KST_KService (enum)
    {84, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 11},	//1040 QGlobalSpace::KST_KServiceType (enum)
    {84, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 12},	//1041 QGlobalSpace::KST_KMimeType (enum)
    {84, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 13},	//1042 QGlobalSpace::KST_KFolderMimeType (enum)
    {84, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 14},	//1043 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {84, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 15},	//1044 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {84, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 16},	//1045 QGlobalSpace::KST_KServiceGroup (enum)
    {84, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 17},	//1046 QGlobalSpace::KST_KImageIOFormat (enum)
    {84, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 18},	//1047 QGlobalSpace::KST_KProtocolInfo (enum)
    {84, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 19},	//1048 QGlobalSpace::KST_KServiceSeparator (enum)
    {84, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 20},	//1049 QGlobalSpace::KST_KCustom (enum)
    {84, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 21},	//1050 QGlobalSpace::LicensedScript (enum)
    {84, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 22},	//1051 QGlobalSpace::LicensedOpenVG (enum)
    {84, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 267, 23},	//1052 QGlobalSpace::LicensedDBus (enum)
    {84, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 24},	//1053 QGlobalSpace::LicensedTest (enum)
    {84, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 25},	//1054 QGlobalSpace::LicensedActiveQt (enum)
    {84, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 26},	//1055 QGlobalSpace::LicensedScriptTools (enum)
    {84, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 27},	//1056 QGlobalSpace::LicensedSvg (enum)
    {84, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 28},	//1057 QGlobalSpace::LicensedDeclarative (enum)
    {84, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 29},	//1058 QGlobalSpace::LicensedSql (enum)
    {84, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 30},	//1059 QGlobalSpace::LicensedOpenGL (enum)
    {84, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 31},	//1060 QGlobalSpace::LicensedCore (enum)
    {84, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 32},	//1061 QGlobalSpace::QtDebugMsg (enum)
    {84, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 33},	//1062 QGlobalSpace::QtWarningMsg (enum)
    {84, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 34},	//1063 QGlobalSpace::QtCriticalMsg (enum)
    {84, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 35},	//1064 QGlobalSpace::QtFatalMsg (enum)
    {84, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 36},	//1065 QGlobalSpace::QtSystemMsg (enum)
    {84, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 37},	//1066 QGlobalSpace::LicensedHelp (enum)
    {84, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 271, 38},	//1067 QGlobalSpace::LicensedMultimedia (enum)
    {84, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 39},	//1068 QGlobalSpace::LicensedQt3Support (enum)
    {84, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 40},	//1069 QGlobalSpace::KST_KServiceFactory (enum)
    {84, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 41},	//1070 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {84, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 42},	//1071 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {84, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 43},	//1072 QGlobalSpace::KST_KImageIO (enum)
    {84, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 44},	//1073 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {84, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 45},	//1074 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {84, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 46},	//1075 QGlobalSpace::KST_CTimeInfo (enum)
    {84, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 47},	//1076 QGlobalSpace::LicensedXmlPatterns (enum)
    {84, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 48},	//1077 QGlobalSpace::LicensedNetwork (enum)
    {84, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 49},	//1078 QGlobalSpace::__codecvt_ok (enum)
    {84, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 50},	//1079 QGlobalSpace::__codecvt_partial (enum)
    {84, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 51},	//1080 QGlobalSpace::__codecvt_error (enum)
    {84, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 52},	//1081 QGlobalSpace::__codecvt_noconv (enum)
    {89, 508, 609, 1, Smoke::mf_virtual, 285, 0},	//1082 QObject::event(QEvent*)
    {89, 509, 611, 2, Smoke::mf_virtual, 285, 0},	//1083 QObject::eventFilter(QObject*, QEvent*)
    {89, 1046, 614, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1084 QObject::timerEvent(QTimerEvent*)
    {89, 434, 616, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1085 QObject::childEvent(QChildEvent*)
    {89, 464, 609, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1086 QObject::customEvent(QEvent*)
    {89, 442, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1087 QObject::connectNotify(const char*)
    {89, 483, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1088 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    62,  // Okular::Annotation::d_func()
    63,  // Okular::Annotation::d_func() const
    0,
    51,  // Okular::Annotation::revisions()
    52,  // Okular::Annotation::revisions() const
    0,
    47,  // Okular::Annotation::style()
    48,  // Okular::Annotation::style() const
    0,
    49,  // Okular::Annotation::window()
    50,  // Okular::Annotation::window() const
    0,
    103,  // Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    108,  // Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    0,
    690,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    691,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    0,
    558,  // Okular::Generator::d_func()
    559,  // Okular::Generator::d_func() const
    0,
    21,  // Okular::Action::d_func()
    22,  // Okular::Action::d_func() const
    0,
    317,  // Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    318,  // Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    0,
    320,  // Okular::DocumentViewport::DocumentViewport(int)
    321,  // Okular::DocumentViewport::DocumentViewport(const QString&)
    0,
    293,  // Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    298,  // Okular::DocumentInfo::set(const QString&, const QString&)
    0,
    411,  // Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation)
    415,  // Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy)
    0,
    412,  // Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy)
    416,  // Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy)
    0,
    375,  // Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    413,  // Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy)
    0,
    469,  // Okular::FormField::d_func()
    470,  // Okular::FormField::d_func() const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 15, 20},	// Okular::Action::Action#
    {10, 33, 25},	// Okular::Action::Browse
    {10, 72, 26},	// Okular::Action::DocAction
    {10, 90, 24},	// Okular::Action::Execute
    {10, 132, 23},	// Okular::Action::Goto
    {10, 203, 28},	// Okular::Action::Movie
    {10, 294, 29},	// Okular::Action::Script
    {10, 301, 27},	// Okular::Action::Sound
    {10, 372, 17},	// Okular::Action::actionTip
    {10, 373, 16},	// Okular::Action::actionType
    {10, 465, -22},	// Okular::Action::d_func
    {10, 658, 19},	// Okular::Action::nativeId
    {10, 920, 18},	// Okular::Action::setNativeId#
    {10, 1096, 30},	// Okular::Action::~Action
    {12, 1, 70},	// Okular::Annotation::ACaret
    {12, 2, 71},	// Okular::Annotation::AFileAttachment
    {12, 3, 66},	// Okular::Annotation::AGeom
    {12, 4, 67},	// Okular::Annotation::AHighlight
    {12, 5, 69},	// Okular::Annotation::AInk
    {12, 7, 65},	// Okular::Annotation::ALine
    {12, 8, 73},	// Okular::Annotation::AMovie
    {12, 9, 72},	// Okular::Annotation::ASound
    {12, 10, 68},	// Okular::Annotation::AStamp
    {12, 11, 64},	// Okular::Annotation::AText
    {12, 12, 74},	// Okular::Annotation::A_BASE
    {12, 13, 98},	// Okular::Annotation::Accepted
    {12, 18, 60},	// Okular::Annotation::Annotation#
    {12, 19, 61},	// Okular::Annotation::Annotation##
    {12, 29, 84},	// Okular::Annotation::BeingMoved
    {12, 30, 87},	// Okular::Annotation::Beveled
    {12, 43, 100},	// Okular::Annotation::Cancelled
    {12, 54, 91},	// Okular::Annotation::Cloudy
    {12, 56, 101},	// Okular::Annotation::Completed
    {12, 63, 86},	// Okular::Annotation::Dashed
    {12, 64, 94},	// Okular::Annotation::Delete
    {12, 65, 80},	// Okular::Annotation::DenyDelete
    {12, 66, 78},	// Okular::Annotation::DenyPrint
    {12, 67, 79},	// Okular::Annotation::DenyWrite
    {12, 97, 82},	// Okular::Annotation::External
    {12, 98, 83},	// Okular::Annotation::ExternallyDrawn
    {12, 108, 77},	// Okular::Annotation::FixedRotation
    {12, 109, 76},	// Okular::Annotation::FixedSize
    {12, 136, 93},	// Okular::Annotation::Group
    {12, 140, 75},	// Okular::Annotation::Hidden
    {12, 153, 88},	// Okular::Annotation::Inset
    {12, 199, 96},	// Okular::Annotation::Marked
    {12, 208, 90},	// Okular::Annotation::NoEffect
    {12, 214, 95},	// Okular::Annotation::None
    {12, 288, 99},	// Okular::Annotation::Rejected
    {12, 291, 92},	// Okular::Annotation::Reply
    {12, 300, 85},	// Okular::Annotation::Solid
    {12, 343, 81},	// Okular::Annotation::ToggleHidingOnMouse
    {12, 354, 89},	// Okular::Annotation::Underline
    {12, 357, 97},	// Okular::Annotation::Unmarked
    {12, 402, 32},	// Okular::Annotation::author
    {12, 411, 44},	// Okular::Annotation::boundingRectangle
    {12, 416, 56},	// Okular::Annotation::canBeMoved
    {12, 446, 34},	// Okular::Annotation::contents
    {12, 456, 40},	// Okular::Annotation::creationDate
    {12, 465, -1},	// Okular::Annotation::d_func
    {12, 525, 42},	// Okular::Annotation::flags
    {12, 651, 38},	// Okular::Annotation::modificationDate
    {12, 658, 54},	// Okular::Annotation::nativeId
    {12, 668, 57},	// Okular::Annotation::openDialogAfterCreation
    {12, 786, -4},	// Okular::Annotation::revisions
    {12, 822, 31},	// Okular::Annotation::setAuthor$
    {12, 830, 43},	// Okular::Annotation::setBoundingRectangle#
    {12, 839, 33},	// Okular::Annotation::setContents$
    {12, 841, 39},	// Okular::Annotation::setCreationDate#
    {12, 848, 55},	// Okular::Annotation::setDisposeDataFunction$
    {12, 863, 41},	// Okular::Annotation::setFlags$
    {12, 916, 37},	// Okular::Annotation::setModificationDate#
    {12, 920, 53},	// Okular::Annotation::setNativeId#
    {12, 980, 35},	// Okular::Annotation::setUniqueName$
    {12, 1023, 59},	// Okular::Annotation::store##
    {12, 1026, -7},	// Okular::Annotation::style
    {12, 1027, 58},	// Okular::Annotation::subType
    {12, 1062, 45},	// Okular::Annotation::transformedBoundingRectangle
    {12, 1069, 46},	// Okular::Annotation::translate#
    {12, 1072, 36},	// Okular::Annotation::uniqueName
    {12, 1087, -10},	// Okular::Annotation::window
    {12, 1097, 102},	// Okular::Annotation::~Annotation
    {15, 21, -13},	// Okular::AnnotationObjectRect::AnnotationObjectRect#
    {15, 394, 104},	// Okular::AnnotationObjectRect::annotation
    {15, 410, 105},	// Okular::AnnotationObjectRect::boundingRect$$
    {15, 445, 106},	// Okular::AnnotationObjectRect::contains$$$$
    {15, 1059, 107},	// Okular::AnnotationObjectRect::transform#
    {15, 1098, 109},	// Okular::AnnotationObjectRect::~AnnotationObjectRect
    {17, 22, 114},	// Okular::AnnotationUtils::AnnotationUtils
    {17, 23, 115},	// Okular::AnnotationUtils::AnnotationUtils#
    {17, 396, 113},	// Okular::AnnotationUtils::annotationGeometry#$$
    {17, 455, 110},	// Okular::AnnotationUtils::createAnnotation#
    {17, 521, 112},	// Okular::AnnotationUtils::findChildElement#$
    {17, 1025, 111},	// Okular::AnnotationUtils::storeAnnotation###
    {17, 1099, 116},	// Okular::AnnotationUtils::~AnnotationUtils
    {19, 35, 117},	// Okular::BrowseAction::BrowseAction$
    {19, 372, 119},	// Okular::BrowseAction::actionTip
    {19, 373, 118},	// Okular::BrowseAction::actionType
    {19, 1077, 120},	// Okular::BrowseAction::url
    {19, 1100, 121},	// Okular::BrowseAction::~BrowseAction
    {20, 44, 122},	// Okular::CaretAnnotation::CaretAnnotation
    {20, 45, 123},	// Okular::CaretAnnotation::CaretAnnotation#
    {20, 214, 128},	// Okular::CaretAnnotation::None
    {20, 235, 129},	// Okular::CaretAnnotation::P
    {20, 431, 125},	// Okular::CaretAnnotation::caretSymbol
    {20, 834, 124},	// Okular::CaretAnnotation::setCaretSymbol$
    {20, 1023, 127},	// Okular::CaretAnnotation::store##
    {20, 1027, 126},	// Okular::CaretAnnotation::subType
    {20, 1101, 130},	// Okular::CaretAnnotation::~CaretAnnotation
    {21, 57, 133},	// Okular::ConfigInterface::ConfigInterface
    {21, 58, 134},	// Okular::ConfigInterface::ConfigInterface#
    {21, 388, 132},	// Okular::ConfigInterface::addPages#
    {21, 775, 131},	// Okular::ConfigInterface::reparseConfig
    {21, 1102, 135},	// Okular::ConfigInterface::~ConfigInterface
    {22, 16, 262},	// Okular::Document::AllDocument
    {22, 74, 143},	// Okular::Document::Document#
    {22, 130, 263},	// Okular::Document::GoogleAll
    {22, 131, 264},	// Okular::Document::GoogleAny
    {22, 200, 265},	// Okular::Document::MatchFound
    {22, 205, 269},	// Okular::Document::NativePrinting
    {22, 206, 260},	// Okular::Document::NextMatch
    {22, 210, 266},	// Okular::Document::NoMatchFound
    {22, 211, 258},	// Okular::Document::NoOption
    {22, 213, 268},	// Okular::Document::NoPrinting
    {22, 257, 270},	// Okular::Document::PostscriptPrinting
    {22, 259, 261},	// Okular::Document::PreviousMatch
    {22, 289, 259},	// Okular::Document::RemoveAllPrevious
    {22, 292, 272},	// Okular::Document::SaveAnnotationsCapability
    {22, 293, 271},	// Okular::Document::SaveFormsCapability
    {22, 297, 267},	// Okular::Document::SearchCancelled
    {22, 384, 146},	// Okular::Document::addObserver#
    {22, 386, 189},	// Okular::Document::addPageAnnotation$#
    {22, 392, 176},	// Okular::Document::allPagesSize
    {22, 404, 201},	// Okular::Document::bookmarkManager
    {22, 405, 203},	// Okular::Document::bookmarkedPageList
    {22, 406, 204},	// Okular::Document::bookmarkedPageRange
    {22, 418, 206},	// Okular::Document::canConfigurePrinter
    {22, 419, 168},	// Okular::Document::canExportToText
    {22, 423, 190},	// Okular::Document::canModifyPageAnnotation#
    {22, 424, 155},	// Okular::Document::canProvideFontInformation
    {22, 426, 193},	// Okular::Document::canRemovePageAnnotation#
    {22, 427, 217},	// Okular::Document::canSaveChanges
    {22, 428, 216},	// Okular::Document::canSaveChanges$
    {22, 429, 230},	// Okular::Document::cancelSearch
    {22, 437, 231},	// Okular::Document::close
    {22, 438, 145},	// Okular::Document::closeDocument
    {22, 440, 215},	// Okular::Document::componentData
    {22, 441, 213},	// Okular::Document::configurableGenerators
    {22, 448, 198},	// Okular::Document::continueSearch$
    {22, 449, 199},	// Okular::Document::continueSearch$$
    {22, 462, 163},	// Okular::Document::currentDocument
    {22, 463, 161},	// Okular::Document::currentPage
    {22, 492, 151},	// Okular::Document::documentInfo
    {22, 496, 152},	// Okular::Document::documentSynopsis
    {22, 502, 225},	// Okular::Document::dynamicSourceReference$$$
    {22, 505, 156},	// Okular::Document::embeddedFiles
    {22, 507, 238},	// Okular::Document::error$$
    {22, 510, 170},	// Okular::Document::exportFormats
    {22, 512, 171},	// Okular::Document::exportTo$#
    {22, 514, 169},	// Okular::Document::exportToText$
    {22, 519, 212},	// Okular::Document::fillConfigDialog#
    {22, 527, 222},	// Okular::Document::fontData#
    {22, 528, 243},	// Okular::Document::fontReadingEnded
    {22, 530, 242},	// Okular::Document::fontReadingProgress$
    {22, 555, 241},	// Okular::Document::gotFont#
    {22, 556, 178},	// Okular::Document::guiClient
    {22, 573, 172},	// Okular::Document::historyAtBegin
    {22, 574, 173},	// Okular::Document::historyAtEnd
    {22, 591, 164},	// Okular::Document::isAllowed$
    {22, 602, 150},	// Okular::Document::isOpened
    {22, 627, 236},	// Okular::Document::linkEndPresentation
    {22, 628, 233},	// Okular::Document::linkFind
    {22, 629, 234},	// Okular::Document::linkGoToPage
    {22, 630, 235},	// Okular::Document::linkPresentation
    {22, 646, 250},	// Okular::Document::metaData$
    {22, 647, 174},	// Okular::Document::metaData$#
    {22, 648, 136},	// Okular::Document::metaObject
    {22, 653, 191},	// Okular::Document::modifyPageAnnotation$#
    {22, 654, 192},	// Okular::Document::modifyPageAnnotation$#$
    {22, 662, 240},	// Okular::Document::notice$$
    {22, 670, 144},	// Okular::Document::openDocument$#?
    {22, 672, 223},	// Okular::Document::openDocumentArchive$#
    {22, 674, 237},	// Okular::Document::openUrl#
    {22, 704, 226},	// Okular::Document::orientation
    {22, 706, 157},	// Okular::Document::page$
    {22, 720, 177},	// Okular::Document::pageSizeString$
    {22, 721, 167},	// Okular::Document::pageSizes
    {22, 722, 162},	// Okular::Document::pages
    {22, 728, 209},	// Okular::Document::print#
    {22, 732, 211},	// Okular::Document::printConfigurationWidget
    {22, 733, 210},	// Okular::Document::printError
    {22, 744, 207},	// Okular::Document::printingSupport
    {22, 747, 202},	// Okular::Document::processAction#
    {22, 749, 246},	// Okular::Document::processMovieAction#
    {22, 751, 205},	// Okular::Document::processSourceReference#
    {22, 756, 142},	// Okular::Document::qt_metacall$$?
    {22, 758, 137},	// Okular::Document::qt_metacast$
    {22, 759, 232},	// Okular::Document::quit
    {22, 766, 220},	// Okular::Document::registerView#
    {22, 770, 147},	// Okular::Document::removeObserver#
    {22, 772, 194},	// Okular::Document::removePageAnnotation$#
    {22, 774, 195},	// Okular::Document::removePageAnnotations$?
    {22, 775, 148},	// Okular::Document::reparseConfig
    {22, 780, 186},	// Okular::Document::requestPixmaps?
    {22, 781, 187},	// Okular::Document::requestPixmaps?$
    {22, 783, 188},	// Okular::Document::requestTextPage$
    {22, 785, 200},	// Okular::Document::resetSearch$
    {22, 790, 175},	// Okular::Document::rotation
    {22, 798, 218},	// Okular::Document::saveChanges$
    {22, 799, 219},	// Okular::Document::saveChanges$$
    {22, 801, 224},	// Okular::Document::saveDocumentArchive$
    {22, 806, 244},	// Okular::Document::searchFinished$$
    {22, 808, 256},	// Okular::Document::searchText$$$$$$#
    {22, 809, 197},	// Okular::Document::searchText$$$$$$#$
    {22, 820, 227},	// Okular::Document::setAnnotationEditingEnabled$
    {22, 922, 184},	// Okular::Document::setNextDocumentDestination$
    {22, 924, 183},	// Okular::Document::setNextDocumentViewport#
    {22, 925, 182},	// Okular::Document::setNextViewport
    {22, 933, 229},	// Okular::Document::setPageSize#
    {22, 935, 196},	// Okular::Document::setPageTextSelection$##
    {22, 938, 181},	// Okular::Document::setPrevViewport
    {22, 944, 228},	// Okular::Document::setRotation$
    {22, 982, 253},	// Okular::Document::setViewport#
    {22, 983, 254},	// Okular::Document::setViewport#$
    {22, 984, 180},	// Okular::Document::setViewport#$$
    {22, 986, 251},	// Okular::Document::setViewportPage$
    {22, 987, 252},	// Okular::Document::setViewportPage$$
    {22, 988, 179},	// Okular::Document::setViewportPage$$$
    {22, 990, 249},	// Okular::Document::setVisiblePageRects?
    {22, 991, 159},	// Okular::Document::setVisiblePageRects?$
    {22, 999, 255},	// Okular::Document::setZoom$
    {22, 1000, 185},	// Okular::Document::setZoom$$
    {22, 1013, 245},	// Okular::Document::sourceReferenceActivated$$$$
    {22, 1017, 153},	// Okular::Document::startFontReading
    {22, 1020, 257},	// Okular::Document::staticMetaObject
    {22, 1021, 154},	// Okular::Document::stopFontReading
    {22, 1028, 214},	// Okular::Document::supportedMimeTypes
    {22, 1029, 166},	// Okular::Document::supportsPageSizes
    {22, 1030, 208},	// Okular::Document::supportsPrintToFile
    {22, 1031, 165},	// Okular::Document::supportsSearching
    {22, 1051, 247},	// Okular::Document::tr$
    {22, 1052, 138},	// Okular::Document::tr$$
    {22, 1053, 140},	// Okular::Document::tr$$$
    {22, 1055, 248},	// Okular::Document::trUtf8$
    {22, 1056, 139},	// Okular::Document::trUtf8$$
    {22, 1057, 141},	// Okular::Document::trUtf8$$$
    {22, 1074, 221},	// Okular::Document::unregisterView#
    {22, 1079, 158},	// Okular::Document::viewport
    {22, 1081, 160},	// Okular::Document::visiblePageRects
    {22, 1084, 239},	// Okular::Document::warning$$
    {22, 1085, 149},	// Okular::Document::widget
    {22, 1103, 273},	// Okular::Document::~Document
    {23, 51, 289},	// Okular::DocumentAction::Close
    {23, 76, 274},	// Okular::DocumentAction::DocumentAction$
    {23, 89, 286},	// Okular::DocumentAction::EndPresentation
    {23, 107, 287},	// Okular::DocumentAction::Find
    {23, 129, 288},	// Okular::DocumentAction::GoToPage
    {23, 144, 282},	// Okular::DocumentAction::HistoryBack
    {23, 145, 283},	// Okular::DocumentAction::HistoryForward
    {23, 239, 278},	// Okular::DocumentAction::PageFirst
    {23, 240, 281},	// Okular::DocumentAction::PageLast
    {23, 241, 280},	// Okular::DocumentAction::PageNext
    {23, 242, 279},	// Okular::DocumentAction::PagePrev
    {23, 258, 285},	// Okular::DocumentAction::Presentation
    {23, 280, 284},	// Okular::DocumentAction::Quit
    {23, 372, 276},	// Okular::DocumentAction::actionTip
    {23, 373, 275},	// Okular::DocumentAction::actionType
    {23, 491, 277},	// Okular::DocumentAction::documentActionType
    {23, 1104, 290},	// Okular::DocumentAction::~DocumentAction
    {24, 28, 302},	// Okular::DocumentInfo::Author
    {24, 46, 310},	// Okular::DocumentInfo::Category
    {24, 59, 305},	// Okular::DocumentInfo::Copyright
    {24, 61, 307},	// Okular::DocumentInfo::CreationDate
    {24, 62, 303},	// Okular::DocumentInfo::Creator
    {24, 68, 301},	// Okular::DocumentInfo::Description
    {24, 77, 291},	// Okular::DocumentInfo::DocumentInfo
    {24, 78, 297},	// Okular::DocumentInfo::DocumentInfo#
    {24, 79, 313},	// Okular::DocumentInfo::DocumentSize
    {24, 103, 312},	// Okular::DocumentInfo::FilePath
    {24, 175, 311},	// Okular::DocumentInfo::Keywords
    {24, 201, 309},	// Okular::DocumentInfo::MimeType
    {24, 202, 308},	// Okular::DocumentInfo::ModificationDate
    {24, 250, 306},	// Okular::DocumentInfo::Pages
    {24, 251, 314},	// Okular::DocumentInfo::PagesSize
    {24, 268, 304},	// Okular::DocumentInfo::Producer
    {24, 323, 300},	// Okular::DocumentInfo::Subject
    {24, 342, 299},	// Okular::DocumentInfo::Title
    {24, 549, 294},	// Okular::DocumentInfo::get$
    {24, 551, 295},	// Okular::DocumentInfo::getKeyString$
    {24, 553, 296},	// Okular::DocumentInfo::getKeyTitle$
    {24, 811, -31},	// Okular::DocumentInfo::set$$
    {24, 812, 292},	// Okular::DocumentInfo::set$$$
    {24, 1105, 315},	// Okular::DocumentInfo::~DocumentInfo
    {26, 80, 316},	// Okular::DocumentSynopsis::DocumentSynopsis
    {26, 81, -25},	// Okular::DocumentSynopsis::DocumentSynopsis#
    {26, 1106, 319},	// Okular::DocumentSynopsis::~DocumentSynopsis
    {27, 47, 330},	// Okular::DocumentViewport::Center
    {27, 82, 327},	// Okular::DocumentViewport::DocumentViewport
    {27, 83, 326},	// Okular::DocumentViewport::DocumentViewport#
    {27, 84, -28},	// Okular::DocumentViewport::DocumentViewport$
    {27, 344, 331},	// Okular::DocumentViewport::TopLeft
    {27, 613, 323},	// Okular::DocumentViewport::isValid
    {27, 680, 325},	// Okular::DocumentViewport::operator<#
    {27, 684, 324},	// Okular::DocumentViewport::operator==#
    {27, 714, 328},	// Okular::DocumentViewport::pageNumber
    {27, 931, 329},	// Okular::DocumentViewport::setPageNumber$
    {27, 1047, 322},	// Okular::DocumentViewport::toString
    {27, 1107, 332},	// Okular::DocumentViewport::~DocumentViewport
    {28, 86, 333},	// Okular::EmbeddedFile::EmbeddedFile
    {28, 87, 340},	// Okular::EmbeddedFile::EmbeddedFile#
    {28, 456, 339},	// Okular::EmbeddedFile::creationDate
    {28, 466, 336},	// Okular::EmbeddedFile::data
    {28, 475, 335},	// Okular::EmbeddedFile::description
    {28, 651, 338},	// Okular::EmbeddedFile::modificationDate
    {28, 657, 334},	// Okular::EmbeddedFile::name
    {28, 1007, 337},	// Okular::EmbeddedFile::size
    {28, 1108, 341},	// Okular::EmbeddedFile::~EmbeddedFile
    {29, 92, 342},	// Okular::ExecuteAction::ExecuteAction$$
    {29, 372, 344},	// Okular::ExecuteAction::actionTip
    {29, 373, 343},	// Okular::ExecuteAction::actionType
    {29, 517, 345},	// Okular::ExecuteAction::fileName
    {29, 725, 346},	// Okular::ExecuteAction::parameters
    {29, 1109, 347},	// Okular::ExecuteAction::~ExecuteAction
    {30, 93, 348},	// Okular::ExportFormat::ExportFormat
    {30, 94, 351},	// Okular::ExportFormat::ExportFormat#
    {30, 95, 350},	// Okular::ExportFormat::ExportFormat#$?
    {30, 96, 349},	// Okular::ExportFormat::ExportFormat$?
    {30, 139, 363},	// Okular::ExportFormat::HTML
    {30, 232, 362},	// Okular::ExportFormat::OpenDocumentText
    {30, 236, 361},	// Okular::ExportFormat::PDF
    {30, 254, 360},	// Okular::ExportFormat::PlainText
    {30, 475, 353},	// Okular::ExportFormat::description
    {30, 575, 355},	// Okular::ExportFormat::icon
    {30, 601, 356},	// Okular::ExportFormat::isNull
    {30, 649, 354},	// Okular::ExportFormat::mimeType
    {30, 676, 359},	// Okular::ExportFormat::operator!=#
    {30, 682, 352},	// Okular::ExportFormat::operator=#
    {30, 684, 358},	// Okular::ExportFormat::operator==#
    {30, 1016, 357},	// Okular::ExportFormat::standardFormat$
    {30, 1110, 364},	// Okular::ExportFormat::~ExportFormat
    {31, 100, 365},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation
    {31, 101, 366},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation#
    {31, 504, 369},	// Okular::FileAttachmentAnnotation::embeddedFile
    {31, 516, 367},	// Okular::FileAttachmentAnnotation::fileIconName
    {31, 854, 370},	// Okular::FileAttachmentAnnotation::setEmbeddedFile#
    {31, 861, 368},	// Okular::FileAttachmentAnnotation::setFileIconName$
    {31, 1023, 372},	// Okular::FileAttachmentAnnotation::store##
    {31, 1027, 371},	// Okular::FileAttachmentAnnotation::subType
    {31, 1111, 373},	// Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation
    {32, 25, 418},	// Okular::FilePrinter::ApplicationDeletesFiles
    {32, 26, 420},	// Okular::FilePrinter::ApplicationSelectsPages
    {32, 104, 409},	// Okular::FilePrinter::FilePrinter
    {32, 105, 410},	// Okular::FilePrinter::FilePrinter#
    {32, 324, 419},	// Okular::FilePrinter::SystemDeletesFiles
    {32, 325, 421},	// Okular::FilePrinter::SystemSelectsPages
    {32, 453, 393},	// Okular::FilePrinter::copies#$
    {32, 457, 383},	// Okular::FilePrinter::cupsAvailable
    {32, 459, 397},	// Okular::FilePrinter::cupsOptions#
    {32, 460, 398},	// Okular::FilePrinter::cupsOptions#$
    {32, 469, 395},	// Okular::FilePrinter::deleteFile#$$
    {32, 478, 392},	// Okular::FilePrinter::destination#$
    {32, 480, 387},	// Okular::FilePrinter::detectCupsConfig
    {32, 481, 386},	// Okular::FilePrinter::detectCupsService
    {32, 488, 388},	// Okular::FilePrinter::doPrintFiles#?$$$
    {32, 489, 389},	// Okular::FilePrinter::doPrintFiles#?$$$$
    {32, 616, 394},	// Okular::FilePrinter::jobname#$
    {32, 642, 400},	// Okular::FilePrinter::mediaPageSize#
    {32, 644, 401},	// Okular::FilePrinter::mediaPaperSource#
    {32, 690, 406},	// Okular::FilePrinter::optionCollateCopies#
    {32, 692, 408},	// Okular::FilePrinter::optionCupsProperties#
    {32, 694, 404},	// Okular::FilePrinter::optionDoubleSidedPrinting#
    {32, 696, 399},	// Okular::FilePrinter::optionMedia#
    {32, 698, 402},	// Okular::FilePrinter::optionOrientation#
    {32, 699, 403},	// Okular::FilePrinter::optionOrientation#$
    {32, 701, 407},	// Okular::FilePrinter::optionPageMargins#
    {32, 703, 405},	// Okular::FilePrinter::optionPageOrder#
    {32, 710, 377},	// Okular::FilePrinter::pageList#$$?
    {32, 711, 378},	// Okular::FilePrinter::pageList#$?
    {32, 713, 380},	// Okular::FilePrinter::pageListToPageRange?
    {32, 716, 379},	// Okular::FilePrinter::pageRange#$?
    {32, 723, 396},	// Okular::FilePrinter::pages#$$$$
    {32, 726, 382},	// Okular::FilePrinter::pdf2psAvailable
    {32, 730, 390},	// Okular::FilePrinter::printArguments#$$$$$
    {32, 731, 391},	// Okular::FilePrinter::printArguments#$$$$$$
    {32, 734, 385},	// Okular::FilePrinter::printError$
    {32, 736, 414},	// Okular::FilePrinter::printFile#$
    {32, 737, -34},	// Okular::FilePrinter::printFile#$$
    {32, 738, -37},	// Okular::FilePrinter::printFile#$$$
    {32, 739, -40},	// Okular::FilePrinter::printFile#$$$$
    {32, 740, 374},	// Okular::FilePrinter::printFile#$$$$$
    {32, 742, 417},	// Okular::FilePrinter::printFiles#?
    {32, 743, 376},	// Okular::FilePrinter::printFiles#?$
    {32, 752, 381},	// Okular::FilePrinter::ps2pdfAvailable
    {32, 754, 384},	// Okular::FilePrinter::psPaperSize#
    {32, 1112, 422},	// Okular::FilePrinter::~FilePrinter
    {33, 37, 450},	// Okular::FontInfo::CIDTrueType
    {33, 38, 451},	// Okular::FontInfo::CIDTrueTypeOT
    {33, 39, 447},	// Okular::FontInfo::CIDType0
    {33, 40, 448},	// Okular::FontInfo::CIDType0C
    {33, 41, 449},	// Okular::FontInfo::CIDType0COT
    {33, 88, 457},	// Okular::FontInfo::EmbeddedSubset
    {33, 111, 423},	// Okular::FontInfo::FontInfo
    {33, 112, 424},	// Okular::FontInfo::FontInfo#
    {33, 122, 458},	// Okular::FontInfo::FullyEmbedded
    {33, 224, 456},	// Okular::FontInfo::NotEmbedded
    {33, 326, 454},	// Okular::FontInfo::TeXFontMetric
    {33, 327, 455},	// Okular::FontInfo::TeXFreeTypeHandled
    {33, 328, 452},	// Okular::FontInfo::TeXPK
    {33, 329, 453},	// Okular::FontInfo::TeXVirtual
    {33, 345, 445},	// Okular::FontInfo::TrueType
    {33, 346, 446},	// Okular::FontInfo::TrueTypeOT
    {33, 347, 441},	// Okular::FontInfo::Type1
    {33, 348, 442},	// Okular::FontInfo::Type1C
    {33, 349, 443},	// Okular::FontInfo::Type1COT
    {33, 350, 444},	// Okular::FontInfo::Type3
    {33, 355, 440},	// Okular::FontInfo::Unknown
    {33, 415, 433},	// Okular::FontInfo::canBeExtracted
    {33, 503, 429},	// Okular::FontInfo::embedType
    {33, 515, 431},	// Okular::FontInfo::file
    {33, 657, 425},	// Okular::FontInfo::name
    {33, 658, 436},	// Okular::FontInfo::nativeId
    {33, 676, 439},	// Okular::FontInfo::operator!=#
    {33, 682, 437},	// Okular::FontInfo::operator=#
    {33, 684, 438},	// Okular::FontInfo::operator==#
    {33, 832, 434},	// Okular::FontInfo::setCanBeExtracted$
    {33, 852, 430},	// Okular::FontInfo::setEmbedType$
    {33, 859, 432},	// Okular::FontInfo::setFile$
    {33, 918, 426},	// Okular::FontInfo::setName$
    {33, 920, 435},	// Okular::FontInfo::setNativeId#
    {33, 978, 428},	// Okular::FontInfo::setType$
    {33, 1070, 427},	// Okular::FontInfo::type
    {33, 1113, 459},	// Okular::FontInfo::~FontInfo
    {34, 113, 472},	// Okular::FormField::FormButton
    {34, 114, 474},	// Okular::FormField::FormChoice
    {34, 116, 468},	// Okular::FormField::FormField#
    {34, 120, 475},	// Okular::FormField::FormSignature
    {34, 121, 473},	// Okular::FormField::FormText
    {34, 374, 467},	// Okular::FormField::activationAction
    {34, 465, -43},	// Okular::FormField::d_func
    {34, 576, 462},	// Okular::FormField::id
    {34, 604, 465},	// Okular::FormField::isReadOnly
    {34, 614, 466},	// Okular::FormField::isVisible
    {34, 657, 463},	// Okular::FormField::name
    {34, 763, 461},	// Okular::FormField::rect
    {34, 814, 471},	// Okular::FormField::setActivationAction#
    {34, 1070, 460},	// Okular::FormField::type
    {34, 1071, 464},	// Okular::FormField::uiName
    {34, 1114, 476},	// Okular::FormField::~FormField
    {35, 49, 484},	// Okular::FormFieldButton::CheckBox
    {35, 117, 482},	// Okular::FormFieldButton::FormFieldButton
    {35, 269, 483},	// Okular::FormFieldButton::Push
    {35, 283, 485},	// Okular::FormFieldButton::Radio
    {35, 412, 477},	// Okular::FormFieldButton::buttonType
    {35, 430, 478},	// Okular::FormFieldButton::caption
    {35, 962, 480},	// Okular::FormFieldButton::setState$
    {35, 1002, 481},	// Okular::FormFieldButton::siblings
    {35, 1018, 479},	// Okular::FormFieldButton::state
    {35, 1115, 486},	// Okular::FormFieldButton::~FormFieldButton
    {36, 55, 496},	// Okular::FormFieldChoice::ComboBox
    {36, 118, 495},	// Okular::FormFieldChoice::FormFieldChoice
    {36, 198, 497},	// Okular::FormFieldChoice::ListBox
    {36, 417, 494},	// Okular::FormFieldChoice::canBeSpellChecked
    {36, 435, 487},	// Okular::FormFieldChoice::choiceType
    {36, 436, 488},	// Okular::FormFieldChoice::choices
    {36, 461, 491},	// Okular::FormFieldChoice::currentChoices
    {36, 597, 489},	// Okular::FormFieldChoice::isEditable
    {36, 656, 490},	// Okular::FormFieldChoice::multiSelect
    {36, 843, 492},	// Okular::FormFieldChoice::setCurrentChoices?
    {36, 1036, 493},	// Okular::FormFieldChoice::textAlignment
    {36, 1116, 498},	// Okular::FormFieldChoice::~FormFieldChoice
    {38, 106, 510},	// Okular::FormFieldText::FileSelect
    {38, 119, 507},	// Okular::FormFieldText::FormFieldText
    {38, 204, 509},	// Okular::FormFieldText::Multiline
    {38, 215, 508},	// Okular::FormFieldText::Normal
    {38, 417, 506},	// Okular::FormFieldText::canBeSpellChecked
    {38, 603, 502},	// Okular::FormFieldText::isPassword
    {38, 606, 503},	// Okular::FormFieldText::isRichText
    {38, 640, 504},	// Okular::FormFieldText::maximumLength
    {38, 964, 501},	// Okular::FormFieldText::setText$
    {38, 1033, 500},	// Okular::FormFieldText::text
    {38, 1036, 505},	// Okular::FormFieldText::textAlignment
    {38, 1045, 499},	// Okular::FormFieldText::textType
    {38, 1117, 511},	// Okular::FormFieldText::~FormFieldText
    {39, 102, 578},	// Okular::Generator::FileConversionPrintError
    {39, 111, 568},	// Okular::Generator::FontInfo
    {39, 124, 557},	// Okular::Generator::Generator##?
    {39, 125, 519},	// Okular::Generator::Generator#?
    {39, 154, 582},	// Okular::Generator::InvalidPrinterStatePrintError
    {39, 207, 585},	// Okular::Generator::NoBinaryToPrintError
    {39, 209, 584},	// Okular::Generator::NoFileToPrintError
    {39, 212, 575},	// Okular::Generator::NoPrintError
    {39, 214, 573},	// Okular::Generator::None
    {39, 246, 569},	// Okular::Generator::PageSizes
    {39, 255, 574},	// Okular::Generator::Points
    {39, 262, 570},	// Okular::Generator::PrintNative
    {39, 263, 571},	// Okular::Generator::PrintPostscript
    {39, 264, 572},	// Okular::Generator::PrintToFile
    {39, 265, 581},	// Okular::Generator::PrintToFilePrintError
    {39, 266, 579},	// Okular::Generator::PrintingProcessCrashPrintError
    {39, 267, 580},	// Okular::Generator::PrintingProcessStartPrintError
    {39, 285, 567},	// Okular::Generator::ReadRawData
    {39, 330, 577},	// Okular::Generator::TemporaryFileOpenPrintError
    {39, 338, 566},	// Okular::Generator::TextExtraction
    {39, 341, 565},	// Okular::Generator::Threaded
    {39, 352, 583},	// Okular::Generator::UnableToFindFilePrintError
    {39, 356, 576},	// Okular::Generator::UnknownPrintError
    {39, 420, 523},	// Okular::Generator::canGeneratePixmap
    {39, 421, 525},	// Okular::Generator::canGenerateTextPage
    {39, 438, 522},	// Okular::Generator::closeDocument
    {39, 465, -19},	// Okular::Generator::d_func
    {39, 486, 546},	// Okular::Generator::doCloseDocument
    {39, 490, 549},	// Okular::Generator::document
    {39, 494, 563},	// Okular::Generator::documentMetaData$
    {39, 495, 551},	// Okular::Generator::documentMetaData$#
    {39, 502, 555},	// Okular::Generator::dynamicSourceReference$$$
    {39, 505, 530},	// Okular::Generator::embeddedFiles
    {39, 507, 541},	// Okular::Generator::error$$
    {39, 510, 538},	// Okular::Generator::exportFormats
    {39, 512, 539},	// Okular::Generator::exportTo$#
    {39, 532, 529},	// Okular::Generator::fontsForPage$
    {39, 536, 527},	// Okular::Generator::generateDocumentInfo
    {39, 537, 528},	// Okular::Generator::generateDocumentSynopsis
    {39, 539, 524},	// Okular::Generator::generatePixmap#
    {39, 541, 526},	// Okular::Generator::generateTextPage#
    {39, 559, 540},	// Okular::Generator::hasFeature$
    {39, 578, 547},	// Okular::Generator::image#
    {39, 591, 532},	// Okular::Generator::isAllowed$
    {39, 632, 520},	// Okular::Generator::loadDocument$?
    {39, 634, 521},	// Okular::Generator::loadDocumentFromData#?
    {39, 647, 537},	// Okular::Generator::metaData$#
    {39, 648, 512},	// Okular::Generator::metaObject
    {39, 662, 543},	// Okular::Generator::notice$$
    {39, 718, 535},	// Okular::Generator::pageSizeChanged##
    {39, 721, 534},	// Okular::Generator::pageSizes
    {39, 724, 531},	// Okular::Generator::pagesSizeMetric
    {39, 728, 536},	// Okular::Generator::print#
    {39, 733, 556},	// Okular::Generator::printError
    {39, 756, 518},	// Okular::Generator::qt_metacall$$?
    {39, 758, 513},	// Okular::Generator::qt_metacast$
    {39, 778, 554},	// Okular::Generator::requestFontData##
    {39, 792, 533},	// Okular::Generator::rotationChanged$$
    {39, 856, 562},	// Okular::Generator::setFeature$
    {39, 857, 550},	// Okular::Generator::setFeature$$
    {39, 1004, 544},	// Okular::Generator::signalPixmapRequestDone#
    {39, 1006, 545},	// Okular::Generator::signalTextGenerationDone##
    {39, 1020, 564},	// Okular::Generator::staticMetaObject
    {39, 1042, 548},	// Okular::Generator::textPage#
    {39, 1051, 560},	// Okular::Generator::tr$
    {39, 1052, 514},	// Okular::Generator::tr$$
    {39, 1053, 516},	// Okular::Generator::tr$$$
    {39, 1055, 561},	// Okular::Generator::trUtf8$
    {39, 1056, 515},	// Okular::Generator::trUtf8$$
    {39, 1057, 517},	// Okular::Generator::trUtf8$$$
    {39, 1076, 553},	// Okular::Generator::updatePageBoundingBox$#
    {39, 1078, 552},	// Okular::Generator::userMutex
    {39, 1084, 542},	// Okular::Generator::warning$$
    {39, 1118, 586},	// Okular::Generator::~Generator
    {41, 126, 587},	// Okular::GeomAnnotation::GeomAnnotation
    {41, 127, 588},	// Okular::GeomAnnotation::GeomAnnotation#
    {41, 151, 598},	// Okular::GeomAnnotation::InscribedCircle
    {41, 152, 597},	// Okular::GeomAnnotation::InscribedSquare
    {41, 543, 592},	// Okular::GeomAnnotation::geometricalInnerColor
    {41, 544, 594},	// Okular::GeomAnnotation::geometricalPointWidth
    {41, 545, 590},	// Okular::GeomAnnotation::geometricalType
    {41, 867, 591},	// Okular::GeomAnnotation::setGeometricalInnerColor#
    {41, 869, 593},	// Okular::GeomAnnotation::setGeometricalPointWidth$
    {41, 871, 589},	// Okular::GeomAnnotation::setGeometricalType$
    {41, 1023, 596},	// Okular::GeomAnnotation::store##
    {41, 1027, 595},	// Okular::GeomAnnotation::subType
    {41, 1119, 599},	// Okular::GeomAnnotation::~GeomAnnotation
    {42, 134, 600},	// Okular::GotoAction::GotoAction$#
    {42, 135, 601},	// Okular::GotoAction::GotoAction$$
    {42, 372, 603},	// Okular::GotoAction::actionTip
    {42, 373, 602},	// Okular::GotoAction::actionType
    {42, 476, 606},	// Okular::GotoAction::destViewport
    {42, 479, 607},	// Okular::GotoAction::destinationName
    {42, 517, 605},	// Okular::GotoAction::fileName
    {42, 598, 604},	// Okular::GotoAction::isExternal
    {42, 1120, 608},	// Okular::GotoAction::~GotoAction
    {43, 137, 610},	// Okular::GuiInterface::GuiInterface
    {43, 138, 611},	// Okular::GuiInterface::GuiInterface#
    {43, 556, 609},	// Okular::GuiInterface::guiClient
    {43, 1121, 612},	// Okular::GuiInterface::~GuiInterface
    {44, 141, 620},	// Okular::HighlightAnnotation::Highlight
    {44, 142, 613},	// Okular::HighlightAnnotation::HighlightAnnotation
    {44, 143, 614},	// Okular::HighlightAnnotation::HighlightAnnotation#
    {44, 317, 621},	// Okular::HighlightAnnotation::Squiggly
    {44, 322, 623},	// Okular::HighlightAnnotation::StrikeOut
    {44, 354, 622},	// Okular::HighlightAnnotation::Underline
    {44, 571, 617},	// Okular::HighlightAnnotation::highlightQuads
    {44, 572, 616},	// Okular::HighlightAnnotation::highlightType
    {44, 873, 615},	// Okular::HighlightAnnotation::setHighlightType$
    {44, 1023, 619},	// Okular::HighlightAnnotation::store##
    {44, 1027, 618},	// Okular::HighlightAnnotation::subType
    {44, 1122, 624},	// Okular::HighlightAnnotation::~HighlightAnnotation
    {45, 149, 625},	// Okular::InkAnnotation::InkAnnotation
    {45, 150, 626},	// Okular::InkAnnotation::InkAnnotation#
    {45, 581, 628},	// Okular::InkAnnotation::inkPaths
    {45, 875, 627},	// Okular::InkAnnotation::setInkPaths?
    {45, 1023, 631},	// Okular::InkAnnotation::store##
    {45, 1027, 630},	// Okular::InkAnnotation::subType
    {45, 1063, 629},	// Okular::InkAnnotation::transformedInkPaths
    {45, 1123, 632},	// Okular::InkAnnotation::~InkAnnotation
    {46, 27, 667},	// Okular::LineAnnotation::Arrow
    {46, 36, 662},	// Okular::LineAnnotation::Butt
    {46, 50, 657},	// Okular::LineAnnotation::Circle
    {46, 52, 660},	// Okular::LineAnnotation::ClosedArrow
    {46, 69, 658},	// Okular::LineAnnotation::Diamond
    {46, 70, 668},	// Okular::LineAnnotation::Dimension
    {46, 195, 633},	// Okular::LineAnnotation::LineAnnotation
    {46, 196, 634},	// Okular::LineAnnotation::LineAnnotation#
    {46, 214, 661},	// Okular::LineAnnotation::None
    {46, 231, 659},	// Okular::LineAnnotation::OpenArrow
    {46, 256, 669},	// Okular::LineAnnotation::PolygonCloud
    {46, 281, 664},	// Okular::LineAnnotation::RClosedArrow
    {46, 282, 663},	// Okular::LineAnnotation::ROpenArrow
    {46, 299, 665},	// Okular::LineAnnotation::Slash
    {46, 316, 656},	// Okular::LineAnnotation::Square
    {46, 355, 666},	// Okular::LineAnnotation::Unknown
    {46, 619, 643},	// Okular::LineAnnotation::lineClosed
    {46, 620, 641},	// Okular::LineAnnotation::lineEndStyle
    {46, 621, 645},	// Okular::LineAnnotation::lineInnerColor
    {46, 622, 653},	// Okular::LineAnnotation::lineIntent
    {46, 623, 649},	// Okular::LineAnnotation::lineLeadingBackwardPoint
    {46, 624, 647},	// Okular::LineAnnotation::lineLeadingForwardPoint
    {46, 625, 636},	// Okular::LineAnnotation::linePoints
    {46, 626, 639},	// Okular::LineAnnotation::lineStartStyle
    {46, 891, 642},	// Okular::LineAnnotation::setLineClosed$
    {46, 893, 640},	// Okular::LineAnnotation::setLineEndStyle$
    {46, 895, 644},	// Okular::LineAnnotation::setLineInnerColor#
    {46, 897, 652},	// Okular::LineAnnotation::setLineIntent$
    {46, 899, 648},	// Okular::LineAnnotation::setLineLeadingBackwardPoint$
    {46, 901, 646},	// Okular::LineAnnotation::setLineLeadingForwardPoint$
    {46, 903, 635},	// Okular::LineAnnotation::setLinePoints?
    {46, 905, 638},	// Okular::LineAnnotation::setLineStartStyle$
    {46, 950, 650},	// Okular::LineAnnotation::setShowCaption$
    {46, 1001, 651},	// Okular::LineAnnotation::showCaption
    {46, 1023, 655},	// Okular::LineAnnotation::store##
    {46, 1027, 654},	// Okular::LineAnnotation::subType
    {46, 1066, 637},	// Okular::LineAnnotation::transformedLinePoints
    {46, 1124, 670},	// Okular::LineAnnotation::~LineAnnotation
    {48, 216, 671},	// Okular::NormalizedPoint::NormalizedPoint
    {48, 217, 676},	// Okular::NormalizedPoint::NormalizedPoint#
    {48, 218, 672},	// Okular::NormalizedPoint::NormalizedPoint$$
    {48, 219, 673},	// Okular::NormalizedPoint::NormalizedPoint$$$$
    {48, 682, 674},	// Okular::NormalizedPoint::operator=#
    {48, 993, 678},	// Okular::NormalizedPoint::setX$
    {48, 997, 680},	// Okular::NormalizedPoint::setY$
    {48, 1059, 675},	// Okular::NormalizedPoint::transform#
    {48, 1093, 677},	// Okular::NormalizedPoint::x
    {48, 1095, 679},	// Okular::NormalizedPoint::y
    {48, 1125, 681},	// Okular::NormalizedPoint::~NormalizedPoint
    {49, 220, 682},	// Okular::NormalizedRect::NormalizedRect
    {49, 221, 685},	// Okular::NormalizedRect::NormalizedRect#
    {49, 222, 684},	// Okular::NormalizedRect::NormalizedRect#$$
    {49, 223, 683},	// Okular::NormalizedRect::NormalizedRect$$$$
    {49, 407, 713},	// Okular::NormalizedRect::bottom
    {49, 432, 699},	// Okular::NormalizedRect::center
    {49, 444, 689},	// Okular::NormalizedRect::contains$$
    {49, 535, 687},	// Okular::NormalizedRect::fromQRectF#
    {49, 547, 693},	// Okular::NormalizedRect::geometry$$
    {49, 588, -16},	// Okular::NormalizedRect::intersects#
    {49, 589, 692},	// Okular::NormalizedRect::intersects$$$$
    {49, 593, 701},	// Okular::NormalizedRect::isBottom#
    {49, 595, 703},	// Okular::NormalizedRect::isBottomOrLevel#
    {49, 600, 705},	// Okular::NormalizedRect::isLeft#
    {49, 601, 688},	// Okular::NormalizedRect::isNull
    {49, 608, 706},	// Okular::NormalizedRect::isRight#
    {49, 610, 702},	// Okular::NormalizedRect::isTop#
    {49, 612, 704},	// Okular::NormalizedRect::isTopOrLevel#
    {49, 618, 707},	// Okular::NormalizedRect::left
    {49, 678, 697},	// Okular::NormalizedRect::operator&#
    {49, 682, 686},	// Okular::NormalizedRect::operator=#
    {49, 684, 698},	// Okular::NormalizedRect::operator==#
    {49, 686, 695},	// Okular::NormalizedRect::operator|#
    {49, 688, 696},	// Okular::NormalizedRect::operator|=#
    {49, 787, 711},	// Okular::NormalizedRect::right
    {49, 794, 694},	// Okular::NormalizedRect::roundedGeometry$$
    {49, 826, 714},	// Okular::NormalizedRect::setBottom$
    {49, 889, 708},	// Okular::NormalizedRect::setLeft$
    {49, 942, 712},	// Okular::NormalizedRect::setRight$
    {49, 974, 710},	// Okular::NormalizedRect::setTop$
    {49, 1048, 709},	// Okular::NormalizedRect::top
    {49, 1059, 700},	// Okular::NormalizedRect::transform#
    {49, 1126, 715},	// Okular::NormalizedRect::~NormalizedRect
    {50, 14, 735},	// Okular::ObjectRect::Action
    {50, 147, 736},	// Okular::ObjectRect::Image
    {50, 225, 737},	// Okular::ObjectRect::OAnnotation
    {50, 227, 726},	// Okular::ObjectRect::ObjectRect#
    {50, 228, 718},	// Okular::ObjectRect::ObjectRect#$$
    {50, 229, 717},	// Okular::ObjectRect::ObjectRect#$$$
    {50, 230, 716},	// Okular::ObjectRect::ObjectRect$$$$$$$
    {50, 308, 738},	// Okular::ObjectRect::SourceRef
    {50, 410, 722},	// Okular::ObjectRect::boundingRect$$
    {50, 445, 723},	// Okular::ObjectRect::contains$$$$
    {50, 485, 725},	// Okular::ObjectRect::distanceSqr$$$$
    {50, 636, 729},	// Okular::ObjectRect::m_object
    {50, 637, 727},	// Okular::ObjectRect::m_objectType
    {50, 638, 731},	// Okular::ObjectRect::m_path
    {50, 639, 733},	// Okular::ObjectRect::m_transformedPath
    {50, 664, 720},	// Okular::ObjectRect::object
    {50, 667, 719},	// Okular::ObjectRect::objectType
    {50, 764, 721},	// Okular::ObjectRect::region
    {50, 908, 730},	// Okular::ObjectRect::setM_object$
    {50, 910, 728},	// Okular::ObjectRect::setM_objectType$
    {50, 912, 732},	// Okular::ObjectRect::setM_path#
    {50, 914, 734},	// Okular::ObjectRect::setM_transformedPath#
    {50, 1059, 724},	// Okular::ObjectRect::transform#
    {50, 1127, 739},	// Okular::ObjectRect::~ObjectRect
    {51, 53, 796},	// Okular::Page::Closing
    {51, 233, 795},	// Okular::Page::Opening
    {51, 238, 740},	// Okular::Page::Page$$$$
    {51, 378, 779},	// Okular::Page::addAnnotation#
    {51, 397, 766},	// Okular::Page::annotations
    {51, 408, 748},	// Okular::Page::boundingBox
    {51, 467, 788},	// Okular::Page::deleteAnnotations
    {51, 471, 784},	// Okular::Page::deletePixmap$
    {51, 472, 785},	// Okular::Page::deletePixmaps
    {51, 473, 786},	// Okular::Page::deleteRects
    {51, 474, 787},	// Okular::Page::deleteSourceReferences
    {51, 500, 774},	// Okular::Page::duration
    {51, 523, 792},	// Okular::Page::findText$$$$
    {51, 524, 757},	// Okular::Page::findText$$$$#
    {51, 533, 768},	// Okular::Page::formFields
    {51, 557, 756},	// Okular::Page::hasAnnotations
    {51, 560, 791},	// Okular::Page::hasHighlights
    {51, 561, 754},	// Okular::Page::hasHighlights$
    {51, 563, 753},	// Okular::Page::hasObjectRect$$$$
    {51, 565, 789},	// Okular::Page::hasPixmap$
    {51, 566, 790},	// Okular::Page::hasPixmap$$
    {51, 567, 751},	// Okular::Page::hasPixmap$$$
    {51, 568, 752},	// Okular::Page::hasTextPage
    {51, 569, 755},	// Okular::Page::hasTransition
    {51, 570, 746},	// Okular::Page::height
    {51, 596, 749},	// Okular::Page::isBoundingBoxKnown
    {51, 617, 776},	// Okular::Page::label
    {51, 660, 764},	// Okular::Page::nearestObjectRect$$$$$$
    {51, 663, 741},	// Okular::Page::number
    {51, 666, 763},	// Okular::Page::objectRect$$$$$
    {51, 704, 742},	// Okular::Page::orientation
    {51, 708, 767},	// Okular::Page::pageAction$
    {51, 760, 747},	// Okular::Page::ratio
    {51, 768, 780},	// Okular::Page::removeAnnotation#
    {51, 790, 743},	// Okular::Page::rotation
    {51, 828, 750},	// Okular::Page::setBoundingBox#
    {51, 850, 773},	// Okular::Page::setDuration$
    {51, 865, 783},	// Okular::Page::setFormFields?
    {51, 887, 775},	// Okular::Page::setLabel$
    {51, 927, 771},	// Okular::Page::setObjectRects?
    {51, 929, 782},	// Okular::Page::setPageAction$#
    {51, 937, 769},	// Okular::Page::setPixmap$#
    {51, 958, 772},	// Okular::Page::setSourceReferences?
    {51, 970, 770},	// Okular::Page::setTextPage#
    {51, 976, 781},	// Okular::Page::setTransition#
    {51, 1033, 793},	// Okular::Page::text
    {51, 1034, 758},	// Okular::Page::text#
    {51, 1035, 759},	// Okular::Page::text#$
    {51, 1038, 762},	// Okular::Page::textArea#
    {51, 1043, 777},	// Okular::Page::textSelection
    {51, 1044, 778},	// Okular::Page::textSelectionColor
    {51, 1049, 744},	// Okular::Page::totalOrientation
    {51, 1067, 765},	// Okular::Page::transition
    {51, 1086, 745},	// Okular::Page::width
    {51, 1089, 794},	// Okular::Page::wordAt#
    {51, 1090, 761},	// Okular::Page::wordAt#$
    {51, 1092, 760},	// Okular::Page::words#$
    {51, 1128, 797},	// Okular::Page::~Page
    {52, 243, 798},	// Okular::PageSize::PageSize
    {52, 244, 800},	// Okular::PageSize::PageSize#
    {52, 245, 799},	// Okular::PageSize::PageSize$$$
    {52, 570, 802},	// Okular::PageSize::height
    {52, 601, 804},	// Okular::PageSize::isNull
    {52, 657, 803},	// Okular::PageSize::name
    {52, 676, 807},	// Okular::PageSize::operator!=#
    {52, 682, 805},	// Okular::PageSize::operator=#
    {52, 684, 806},	// Okular::PageSize::operator==#
    {52, 1086, 801},	// Okular::PageSize::width
    {52, 1129, 808},	// Okular::PageSize::~PageSize
    {53, 31, 829},	// Okular::PageTransition::Blinds
    {53, 32, 830},	// Okular::PageTransition::Box
    {53, 60, 836},	// Okular::PageTransition::Cover
    {53, 71, 832},	// Okular::PageTransition::Dissolve
    {53, 99, 838},	// Okular::PageTransition::Fade
    {53, 110, 834},	// Okular::PageTransition::Fly
    {53, 128, 833},	// Okular::PageTransition::Glitter
    {53, 146, 839},	// Okular::PageTransition::Horizontal
    {53, 155, 841},	// Okular::PageTransition::Inward
    {53, 234, 842},	// Okular::PageTransition::Outward
    {53, 247, 826},	// Okular::PageTransition::PageTransition
    {53, 248, 810},	// Okular::PageTransition::PageTransition#
    {53, 249, 809},	// Okular::PageTransition::PageTransition$
    {53, 269, 835},	// Okular::PageTransition::Push
    {53, 290, 827},	// Okular::PageTransition::Replace
    {53, 315, 828},	// Okular::PageTransition::Split
    {53, 353, 837},	// Okular::PageTransition::Uncover
    {53, 360, 840},	// Okular::PageTransition::Vertical
    {53, 365, 831},	// Okular::PageTransition::Wipe
    {53, 391, 814},	// Okular::PageTransition::alignment
    {53, 393, 816},	// Okular::PageTransition::angle
    {53, 482, 815},	// Okular::PageTransition::direction
    {53, 500, 813},	// Okular::PageTransition::duration
    {53, 605, 818},	// Okular::PageTransition::isRectangular
    {53, 682, 811},	// Okular::PageTransition::operator=#
    {53, 802, 817},	// Okular::PageTransition::scale
    {53, 816, 821},	// Okular::PageTransition::setAlignment$
    {53, 818, 823},	// Okular::PageTransition::setAngle$
    {53, 846, 822},	// Okular::PageTransition::setDirection$
    {53, 850, 820},	// Okular::PageTransition::setDuration$
    {53, 885, 825},	// Okular::PageTransition::setIsRectangular$
    {53, 948, 824},	// Okular::PageTransition::setScale$
    {53, 978, 819},	// Okular::PageTransition::setType$
    {53, 1070, 812},	// Okular::PageTransition::type
    {53, 1130, 843},	// Okular::PageTransition::~PageTransition
    {54, 253, 844},	// Okular::PixmapRequest::PixmapRequest$$$$$$
    {54, 401, 850},	// Okular::PixmapRequest::asynchronous
    {54, 570, 848},	// Okular::PixmapRequest::height
    {54, 576, 845},	// Okular::PixmapRequest::id
    {54, 705, 851},	// Okular::PixmapRequest::page
    {54, 714, 846},	// Okular::PixmapRequest::pageNumber
    {54, 745, 849},	// Okular::PixmapRequest::priority
    {54, 1086, 847},	// Okular::PixmapRequest::width
    {54, 1131, 852},	// Okular::PixmapRequest::~PixmapRequest
    {55, 260, 854},	// Okular::PrintInterface::PrintInterface
    {55, 261, 855},	// Okular::PrintInterface::PrintInterface#
    {55, 732, 853},	// Okular::PrintInterface::printConfigurationWidget
    {55, 1132, 856},	// Okular::PrintInterface::~PrintInterface
    {56, 286, 857},	// Okular::RegularAreaRect::RegularAreaRect
    {56, 287, 858},	// Okular::RegularAreaRect::RegularAreaRect#
    {56, 682, 859},	// Okular::RegularAreaRect::operator=#
    {56, 1133, 860},	// Okular::RegularAreaRect::~RegularAreaRect
    {57, 296, 861},	// Okular::ScriptAction::ScriptAction$$
    {57, 372, 863},	// Okular::ScriptAction::actionTip
    {57, 373, 862},	// Okular::ScriptAction::actionType
    {57, 803, 865},	// Okular::ScriptAction::script
    {57, 804, 864},	// Okular::ScriptAction::scriptType
    {57, 1134, 866},	// Okular::ScriptAction::~ScriptAction
    {58, 6, 885},	// Okular::Sound::ALaw
    {58, 85, 881},	// Okular::Sound::Embedded
    {58, 97, 880},	// Okular::Sound::External
    {58, 284, 882},	// Okular::Sound::Raw
    {58, 298, 883},	// Okular::Sound::Signed
    {58, 302, 867},	// Okular::Sound::Sound#
    {58, 303, 868},	// Okular::Sound::Sound$
    {58, 403, 877},	// Okular::Sound::bitsPerSample
    {58, 433, 875},	// Okular::Sound::channels
    {58, 466, 871},	// Okular::Sound::data
    {58, 655, 884},	// Okular::Sound::muLaw
    {58, 796, 873},	// Okular::Sound::samplingRate
    {58, 824, 876},	// Okular::Sound::setBitsPerSample$
    {58, 836, 874},	// Okular::Sound::setChannels$
    {58, 946, 872},	// Okular::Sound::setSamplingRate$
    {58, 954, 878},	// Okular::Sound::setSoundEncoding$
    {58, 1009, 879},	// Okular::Sound::soundEncoding
    {58, 1011, 869},	// Okular::Sound::soundType
    {58, 1077, 870},	// Okular::Sound::url
    {58, 1135, 886},	// Okular::Sound::~Sound
    {59, 305, 887},	// Okular::SoundAction::SoundAction$$$$#
    {59, 372, 889},	// Okular::SoundAction::actionTip
    {59, 373, 888},	// Okular::SoundAction::actionType
    {59, 650, 893},	// Okular::SoundAction::mix
    {59, 776, 892},	// Okular::SoundAction::repeat
    {59, 1008, 894},	// Okular::SoundAction::sound
    {59, 1032, 891},	// Okular::SoundAction::synchronous
    {59, 1082, 890},	// Okular::SoundAction::volume
    {59, 1136, 895},	// Okular::SoundAction::~SoundAction
    {60, 306, 896},	// Okular::SoundAnnotation::SoundAnnotation
    {60, 307, 897},	// Okular::SoundAnnotation::SoundAnnotation#
    {60, 952, 901},	// Okular::SoundAnnotation::setSound#
    {60, 956, 899},	// Okular::SoundAnnotation::setSoundIconName$
    {60, 1008, 900},	// Okular::SoundAnnotation::sound
    {60, 1010, 898},	// Okular::SoundAnnotation::soundIconName
    {60, 1023, 903},	// Okular::SoundAnnotation::store##
    {60, 1027, 902},	// Okular::SoundAnnotation::subType
    {60, 1137, 904},	// Okular::SoundAnnotation::~SoundAnnotation
    {61, 310, 908},	// Okular::SourceRefObjectRect::SourceRefObjectRect#
    {61, 311, 905},	// Okular::SourceRefObjectRect::SourceRefObjectRect#$
    {61, 410, 906},	// Okular::SourceRefObjectRect::boundingRect$$
    {61, 445, 907},	// Okular::SourceRefObjectRect::contains$$$$
    {61, 1138, 909},	// Okular::SourceRefObjectRect::~SourceRefObjectRect
    {62, 313, 914},	// Okular::SourceReference::SourceReference$$
    {62, 314, 910},	// Okular::SourceReference::SourceReference$$$
    {62, 439, 913},	// Okular::SourceReference::column
    {62, 517, 911},	// Okular::SourceReference::fileName
    {62, 795, 912},	// Okular::SourceReference::row
    {62, 1139, 915},	// Okular::SourceReference::~SourceReference
    {63, 318, 916},	// Okular::StampAnnotation::StampAnnotation
    {63, 319, 917},	// Okular::StampAnnotation::StampAnnotation#
    {63, 960, 918},	// Okular::StampAnnotation::setStampIconName$
    {63, 1014, 919},	// Okular::StampAnnotation::stampIconName
    {63, 1023, 921},	// Okular::StampAnnotation::store##
    {63, 1027, 920},	// Okular::StampAnnotation::subType
    {63, 1140, 922},	// Okular::StampAnnotation::~StampAnnotation
    {64, 42, 945},	// Okular::TextAnnotation::Callout
    {64, 148, 943},	// Okular::TextAnnotation::InPlace
    {64, 197, 942},	// Okular::TextAnnotation::Linked
    {64, 331, 923},	// Okular::TextAnnotation::TextAnnotation
    {64, 332, 924},	// Okular::TextAnnotation::TextAnnotation#
    {64, 351, 946},	// Okular::TextAnnotation::TypeWriter
    {64, 355, 944},	// Okular::TextAnnotation::Unknown
    {64, 582, 932},	// Okular::TextAnnotation::inplaceAlignment
    {64, 584, 936},	// Okular::TextAnnotation::inplaceCallout$
    {64, 585, 939},	// Okular::TextAnnotation::inplaceIntent
    {64, 586, 934},	// Okular::TextAnnotation::inplaceText
    {64, 877, 931},	// Okular::TextAnnotation::setInplaceAlignment$
    {64, 879, 935},	// Okular::TextAnnotation::setInplaceCallout#$
    {64, 881, 938},	// Okular::TextAnnotation::setInplaceIntent$
    {64, 883, 933},	// Okular::TextAnnotation::setInplaceText$
    {64, 966, 929},	// Okular::TextAnnotation::setTextFont#
    {64, 968, 927},	// Okular::TextAnnotation::setTextIcon$
    {64, 972, 925},	// Okular::TextAnnotation::setTextType$
    {64, 1023, 941},	// Okular::TextAnnotation::store##
    {64, 1027, 940},	// Okular::TextAnnotation::subType
    {64, 1039, 930},	// Okular::TextAnnotation::textFont
    {64, 1040, 928},	// Okular::TextAnnotation::textIcon
    {64, 1045, 926},	// Okular::TextAnnotation::textType
    {64, 1065, 937},	// Okular::TextAnnotation::transformedInplaceCallout$
    {64, 1141, 947},	// Okular::TextAnnotation::~TextAnnotation
    {65, 333, 955},	// Okular::TextDocumentConverter::TextDocumentConverter
    {65, 376, 957},	// Okular::TextDocumentConverter::addAction#$$
    {65, 379, 958},	// Okular::TextDocumentConverter::addAnnotation#$$
    {65, 381, 961},	// Okular::TextDocumentConverter::addMetaData$$
    {65, 382, 960},	// Okular::TextDocumentConverter::addMetaData$$$
    {65, 390, 959},	// Okular::TextDocumentConverter::addTitle$$#
    {65, 414, 965},	// Okular::TextDocumentConverter::calculateViewport##
    {65, 451, 956},	// Okular::TextDocumentConverter::convert$
    {65, 507, 962},	// Okular::TextDocumentConverter::error$$
    {65, 542, 966},	// Okular::TextDocumentConverter::generator
    {65, 648, 948},	// Okular::TextDocumentConverter::metaObject
    {65, 662, 964},	// Okular::TextDocumentConverter::notice$$
    {65, 756, 954},	// Okular::TextDocumentConverter::qt_metacall$$?
    {65, 758, 949},	// Okular::TextDocumentConverter::qt_metacast$
    {65, 1020, 969},	// Okular::TextDocumentConverter::staticMetaObject
    {65, 1051, 967},	// Okular::TextDocumentConverter::tr$
    {65, 1052, 950},	// Okular::TextDocumentConverter::tr$$
    {65, 1053, 952},	// Okular::TextDocumentConverter::tr$$$
    {65, 1055, 968},	// Okular::TextDocumentConverter::trUtf8$
    {65, 1056, 951},	// Okular::TextDocumentConverter::trUtf8$$
    {65, 1057, 953},	// Okular::TextDocumentConverter::trUtf8$$$
    {65, 1084, 963},	// Okular::TextDocumentConverter::warning$$
    {65, 1142, 970},	// Okular::TextDocumentConverter::~TextDocumentConverter
    {66, 335, 978},	// Okular::TextDocumentGenerator::TextDocumentGenerator##?
    {66, 420, 980},	// Okular::TextDocumentGenerator::canGeneratePixmap
    {66, 486, 987},	// Okular::TextDocumentGenerator::doCloseDocument
    {66, 510, 983},	// Okular::TextDocumentGenerator::exportFormats
    {66, 512, 984},	// Okular::TextDocumentGenerator::exportTo$#
    {66, 536, 985},	// Okular::TextDocumentGenerator::generateDocumentInfo
    {66, 537, 986},	// Okular::TextDocumentGenerator::generateDocumentSynopsis
    {66, 539, 981},	// Okular::TextDocumentGenerator::generatePixmap#
    {66, 632, 979},	// Okular::TextDocumentGenerator::loadDocument$?
    {66, 648, 971},	// Okular::TextDocumentGenerator::metaObject
    {66, 728, 982},	// Okular::TextDocumentGenerator::print#
    {66, 756, 977},	// Okular::TextDocumentGenerator::qt_metacall$$?
    {66, 758, 972},	// Okular::TextDocumentGenerator::qt_metacast$
    {66, 1020, 991},	// Okular::TextDocumentGenerator::staticMetaObject
    {66, 1042, 988},	// Okular::TextDocumentGenerator::textPage#
    {66, 1051, 989},	// Okular::TextDocumentGenerator::tr$
    {66, 1052, 973},	// Okular::TextDocumentGenerator::tr$$
    {66, 1053, 975},	// Okular::TextDocumentGenerator::tr$$$
    {66, 1055, 990},	// Okular::TextDocumentGenerator::trUtf8$
    {66, 1056, 974},	// Okular::TextDocumentGenerator::trUtf8$$
    {66, 1057, 976},	// Okular::TextDocumentGenerator::trUtf8$$$
    {66, 1143, 992},	// Okular::TextDocumentGenerator::~TextDocumentGenerator
    {67, 337, 993},	// Okular::TextEntity::TextEntity$#
    {67, 400, 995},	// Okular::TextEntity::area
    {67, 1033, 994},	// Okular::TextEntity::text
    {67, 1061, 996},	// Okular::TextEntity::transformedArea#
    {67, 1144, 997},	// Okular::TextEntity::~TextEntity
    {68, 24, 1009},	// Okular::TextPage::AnyPixelTextAreaInclusionBehaviour
    {68, 48, 1010},	// Okular::TextPage::CentralPixelTextAreaInclusionBehaviour
    {68, 339, 998},	// Okular::TextPage::TextPage
    {68, 340, 999},	// Okular::TextPage::TextPage?
    {68, 399, 1000},	// Okular::TextPage::append$#
    {68, 524, 1001},	// Okular::TextPage::findText$$$$#
    {68, 1033, 1007},	// Okular::TextPage::text
    {68, 1034, 1002},	// Okular::TextPage::text#
    {68, 1035, 1003},	// Okular::TextPage::text#$
    {68, 1038, 1006},	// Okular::TextPage::textArea#
    {68, 1089, 1008},	// Okular::TextPage::wordAt#
    {68, 1090, 1005},	// Okular::TextPage::wordAt#$
    {68, 1092, 1004},	// Okular::TextPage::words#$
    {68, 1145, 1011},	// Okular::TextPage::~TextPage
    {70, 358, 1018},	// Okular::Utils::Utils
    {70, 359, 1019},	// Okular::Utils::Utils#
    {70, 498, 1013},	// Okular::Utils::dpiX
    {70, 499, 1014},	// Okular::Utils::dpiY
    {70, 580, 1017},	// Okular::Utils::imageBoundingBox#
    {70, 761, 1015},	// Okular::Utils::realDpiX
    {70, 762, 1016},	// Okular::Utils::realDpiY
    {70, 789, 1012},	// Okular::Utils::rotateRect#$$$
    {70, 1146, 1020},	// Okular::Utils::~Utils
    {72, 361, 1023},	// Okular::VisiblePageRect::VisiblePageRect
    {72, 362, 1022},	// Okular::VisiblePageRect::VisiblePageRect#
    {72, 363, 1024},	// Okular::VisiblePageRect::VisiblePageRect$
    {72, 364, 1021},	// Okular::VisiblePageRect::VisiblePageRect$#
    {72, 714, 1025},	// Okular::VisiblePageRect::pageNumber
    {72, 763, 1027},	// Okular::VisiblePageRect::rect
    {72, 931, 1026},	// Okular::VisiblePageRect::setPageNumber$
    {72, 940, 1028},	// Okular::VisiblePageRect::setRect#
    {72, 1147, 1029},	// Okular::VisiblePageRect::~VisiblePageRect
    {84, 156, 1075},	// QGlobalSpace::KST_CTimeInfo
    {84, 157, 1049},	// QGlobalSpace::KST_KCustom
    {84, 158, 1043},	// QGlobalSpace::KST_KDEDesktopMimeType
    {84, 159, 1042},	// QGlobalSpace::KST_KFolderMimeType
    {84, 160, 1072},	// QGlobalSpace::KST_KImageIO
    {84, 161, 1046},	// QGlobalSpace::KST_KImageIOFormat
    {84, 162, 1041},	// QGlobalSpace::KST_KMimeType
    {84, 163, 1044},	// QGlobalSpace::KST_KMimeTypeEntry
    {84, 164, 1074},	// QGlobalSpace::KST_KMimeTypeFactory
    {84, 165, 1047},	// QGlobalSpace::KST_KProtocolInfo
    {84, 166, 1073},	// QGlobalSpace::KST_KProtocolInfoFactory
    {84, 167, 1039},	// QGlobalSpace::KST_KService
    {84, 168, 1069},	// QGlobalSpace::KST_KServiceFactory
    {84, 169, 1045},	// QGlobalSpace::KST_KServiceGroup
    {84, 170, 1071},	// QGlobalSpace::KST_KServiceGroupFactory
    {84, 171, 1048},	// QGlobalSpace::KST_KServiceSeparator
    {84, 172, 1040},	// QGlobalSpace::KST_KServiceType
    {84, 173, 1070},	// QGlobalSpace::KST_KServiceTypeFactory
    {84, 174, 1038},	// QGlobalSpace::KST_KSycocaEntry
    {84, 176, 1054},	// QGlobalSpace::LicensedActiveQt
    {84, 177, 1060},	// QGlobalSpace::LicensedCore
    {84, 178, 1052},	// QGlobalSpace::LicensedDBus
    {84, 179, 1057},	// QGlobalSpace::LicensedDeclarative
    {84, 180, 1035},	// QGlobalSpace::LicensedGui
    {84, 181, 1066},	// QGlobalSpace::LicensedHelp
    {84, 182, 1067},	// QGlobalSpace::LicensedMultimedia
    {84, 183, 1077},	// QGlobalSpace::LicensedNetwork
    {84, 184, 1059},	// QGlobalSpace::LicensedOpenGL
    {84, 185, 1051},	// QGlobalSpace::LicensedOpenVG
    {84, 186, 1068},	// QGlobalSpace::LicensedQt3Support
    {84, 187, 1037},	// QGlobalSpace::LicensedQt3SupportLight
    {84, 188, 1050},	// QGlobalSpace::LicensedScript
    {84, 189, 1055},	// QGlobalSpace::LicensedScriptTools
    {84, 190, 1058},	// QGlobalSpace::LicensedSql
    {84, 191, 1056},	// QGlobalSpace::LicensedSvg
    {84, 192, 1053},	// QGlobalSpace::LicensedTest
    {84, 193, 1036},	// QGlobalSpace::LicensedXml
    {84, 194, 1076},	// QGlobalSpace::LicensedXmlPatterns
    {84, 270, 1030},	// QGlobalSpace::Q_COMPLEX_TYPE
    {84, 271, 1034},	// QGlobalSpace::Q_DUMMY_TYPE
    {84, 272, 1033},	// QGlobalSpace::Q_MOVABLE_TYPE
    {84, 273, 1031},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {84, 274, 1032},	// QGlobalSpace::Q_STATIC_TYPE
    {84, 275, 1063},	// QGlobalSpace::QtCriticalMsg
    {84, 276, 1061},	// QGlobalSpace::QtDebugMsg
    {84, 277, 1064},	// QGlobalSpace::QtFatalMsg
    {84, 278, 1065},	// QGlobalSpace::QtSystemMsg
    {84, 279, 1062},	// QGlobalSpace::QtWarningMsg
    {84, 366, 1080},	// QGlobalSpace::__codecvt_error
    {84, 367, 1081},	// QGlobalSpace::__codecvt_noconv
    {84, 368, 1078},	// QGlobalSpace::__codecvt_ok
    {84, 369, 1079},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtxml_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *okular_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_okular_Smoke() {
    init_qtcore_Smoke();
    init_qtxml_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    okular_Smoke = new Smoke(
        "okular",
        __smokeokular::classes, 103,
        __smokeokular::methods, 1089,
        __smokeokular::methodMaps, 1052,
        __smokeokular::methodNames, 1147,
        __smokeokular::types, 378,
        __smokeokular::inheritanceList,
        __smokeokular::argumentList,
        __smokeokular::ambiguousMethodList,
        __smokeokular::cast );
    initialized = true;
}

void delete_okular_Smoke() { delete okular_Smoke; }

}
