#include <plasma_includes.h>

#include <smoke.h>
#include <plasma_smoke.h>

namespace __smokeplasma {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComboBox
      switch(to) {
        case 4: return (void*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 5:   //KComponentData
      switch(to) {
        case 5: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 6:   //KConfigBase
      switch(to) {
        case 6: return (void*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 7:   //KConfigDialog
      switch(to) {
        case 7: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 8:   //KConfigGroup
      switch(to) {
        case 6: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
        case 8: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 9:   //KConfigSkeleton
      switch(to) {
        case 11: return (void*)(KCoreConfigSkeleton*)(KConfigSkeleton*)xptr;
        case 164: return (void*)(QObject*)(KConfigSkeleton*)xptr;
        case 9: return (void*)(KConfigSkeleton*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(KConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 10:   //KConfigSkeletonItem
      switch(to) {
        case 10: return (void*)(KConfigSkeletonItem*)xptr;
        default: return xptr;
      }
    case 11:   //KCoreConfigSkeleton
      switch(to) {
        case 164: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
        case 11: return (void*)(KCoreConfigSkeleton*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(KCoreConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 12:   //KIcon
      switch(to) {
        case 152: return (void*)(QIcon*)(KIcon*)xptr;
        case 12: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 13:   //KIntSpinBox
      switch(to) {
        case 13: return (void*)(KIntSpinBox*)xptr;
        default: return xptr;
      }
    case 14:   //KJob
      switch(to) {
        case 164: return (void*)(QObject*)(KJob*)xptr;
        case 14: return (void*)(KJob*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)(KJob*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 15:   //KLineEdit
      switch(to) {
        case 15: return (void*)(KLineEdit*)xptr;
        default: return xptr;
      }
    case 16:   //KLocale
      switch(to) {
        case 16: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 17:   //KPluginInfo
      switch(to) {
        case 17: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 18:   //KPushButton
      switch(to) {
        case 18: return (void*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 19:   //KServiceAction
      switch(to) {
        case 19: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 20:   //KShortcut
      switch(to) {
        case 20: return (void*)(KShortcut*)xptr;
        default: return xptr;
      }
    case 21:   //KStandardDirs
      switch(to) {
        case 21: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 22:   //KTabBar
      switch(to) {
        case 200: return (void*)(QWidget*)(KTabBar*)xptr;
        case 164: return (void*)(QObject*)(KTabBar*)xptr;
        case 22: return (void*)(KTabBar*)xptr;
        default: return xptr;
      }
    case 23:   //KTextBrowser
      switch(to) {
        case 23: return (void*)(KTextBrowser*)xptr;
        default: return xptr;
      }
    case 24:   //KTextEdit
      switch(to) {
        case 24: return (void*)(KTextEdit*)xptr;
        default: return xptr;
      }
    case 25:   //KUrl
      switch(to) {
        case 195: return (void*)(QUrl*)(KUrl*)xptr;
        case 25: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::AudioOutput
      switch(to) {
        case 26: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 27:   //Phonon::MediaObject
      switch(to) {
        case 27: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 28:   //Phonon::VideoWidget
      switch(to) {
        case 28: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 30:   //Plasma::AbstractDialogManager
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::AbstractDialogManager*)xptr;
        case 30: return (void*)(Plasma::AbstractDialogManager*)xptr;
        default: return xptr;
      }
    case 31:   //Plasma::AbstractRunner
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::AbstractRunner*)xptr;
        case 31: return (void*)(Plasma::AbstractRunner*)xptr;
        default: return xptr;
      }
    case 32:   //Plasma::AbstractToolBox
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::AbstractToolBox*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::AbstractToolBox*)xptr;
        case 164: return (void*)(QObject*)(Plasma::AbstractToolBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::AbstractToolBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::AbstractToolBox*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)xptr;
        default: return xptr;
      }
    case 33:   //Plasma::AccessAppletJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::AccessAppletJob*)xptr;
        case 164: return (void*)(QObject*)(Plasma::AccessAppletJob*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)xptr;
        default: return xptr;
      }
    case 34:   //Plasma::AccessManager
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::AccessManager*)xptr;
        case 34: return (void*)(Plasma::AccessManager*)xptr;
        default: return xptr;
      }
    case 35:   //Plasma::Animation
      switch(to) {
        case 110: return (void*)(QAbstractAnimation*)(Plasma::Animation*)xptr;
        case 164: return (void*)(QObject*)(Plasma::Animation*)xptr;
        case 35: return (void*)(Plasma::Animation*)xptr;
        default: return xptr;
      }
    case 36:   //Plasma::AnimationDriver
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::AnimationDriver*)xptr;
        case 36: return (void*)(Plasma::AnimationDriver*)xptr;
        default: return xptr;
      }
    case 37:   //Plasma::Animator
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::Animator*)xptr;
        case 37: return (void*)(Plasma::Animator*)xptr;
        default: return xptr;
      }
    case 38:   //Plasma::Applet
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::Applet*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::Applet*)xptr;
        case 164: return (void*)(QObject*)(Plasma::Applet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Applet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Applet*)xptr;
        case 38: return (void*)(Plasma::Applet*)xptr;
        case 48: return (void*)(Plasma::Containment*)(Plasma::Applet*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(Plasma::Applet*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(Plasma::Applet*)xptr;
        default: return xptr;
      }
    case 39:   //Plasma::AppletScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::AppletScript*)xptr;
        case 164: return (void*)(QObject*)(Plasma::AppletScript*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)xptr;
        default: return xptr;
      }
    case 40:   //Plasma::AuthorizationInterface
      switch(to) {
        case 40: return (void*)(Plasma::AuthorizationInterface*)xptr;
        default: return xptr;
      }
    case 41:   //Plasma::AuthorizationManager
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::AuthorizationManager*)xptr;
        case 41: return (void*)(Plasma::AuthorizationManager*)xptr;
        default: return xptr;
      }
    case 42:   //Plasma::AuthorizationRule
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::AuthorizationRule*)xptr;
        case 42: return (void*)(Plasma::AuthorizationRule*)xptr;
        default: return xptr;
      }
    case 43:   //Plasma::BusyWidget
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::BusyWidget*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::BusyWidget*)xptr;
        case 164: return (void*)(QObject*)(Plasma::BusyWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::BusyWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::BusyWidget*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)xptr;
        default: return xptr;
      }
    case 44:   //Plasma::CheckBox
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::CheckBox*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::CheckBox*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::CheckBox*)xptr;
        case 164: return (void*)(QObject*)(Plasma::CheckBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::CheckBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::CheckBox*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)xptr;
        default: return xptr;
      }
    case 45:   //Plasma::ClientPinRequest
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::ClientPinRequest*)xptr;
        case 45: return (void*)(Plasma::ClientPinRequest*)xptr;
        default: return xptr;
      }
    case 46:   //Plasma::ComboBox
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::ComboBox*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::ComboBox*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::ComboBox*)xptr;
        case 164: return (void*)(QObject*)(Plasma::ComboBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ComboBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ComboBox*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)xptr;
        default: return xptr;
      }
    case 47:   //Plasma::ConfigLoader
      switch(to) {
        case 9: return (void*)(KConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 11: return (void*)(KCoreConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 164: return (void*)(QObject*)(Plasma::ConfigLoader*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)xptr;
        default: return xptr;
      }
    case 48:   //Plasma::Containment
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::Containment*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::Containment*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::Containment*)xptr;
        case 164: return (void*)(QObject*)(Plasma::Containment*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Containment*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Containment*)xptr;
        case 48: return (void*)(Plasma::Containment*)xptr;
        default: return xptr;
      }
    case 49:   //Plasma::Containment::StyleOption
      switch(to) {
        case 187: return (void*)(QStyleOptionGraphicsItem*)(Plasma::Containment::StyleOption*)xptr;
        case 186: return (void*)(QStyleOption*)(Plasma::Containment::StyleOption*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)xptr;
        default: return xptr;
      }
    case 50:   //Plasma::ContainmentActions
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::ContainmentActions*)xptr;
        case 50: return (void*)(Plasma::ContainmentActions*)xptr;
        default: return xptr;
      }
    case 51:   //Plasma::ContainmentActionsPluginsConfig
      switch(to) {
        case 51: return (void*)(Plasma::ContainmentActionsPluginsConfig*)xptr;
        default: return xptr;
      }
    case 52:   //Plasma::Context
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::Context*)xptr;
        case 52: return (void*)(Plasma::Context*)xptr;
        default: return xptr;
      }
    case 53:   //Plasma::Corona
      switch(to) {
        case 138: return (void*)(QGraphicsScene*)(Plasma::Corona*)xptr;
        case 164: return (void*)(QObject*)(Plasma::Corona*)xptr;
        case 53: return (void*)(Plasma::Corona*)xptr;
        default: return xptr;
      }
    case 54:   //Plasma::DataContainer
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::DataContainer*)xptr;
        case 54: return (void*)(Plasma::DataContainer*)xptr;
        default: return xptr;
      }
    case 55:   //Plasma::DataEngine
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::DataEngine*)xptr;
        case 55: return (void*)(Plasma::DataEngine*)xptr;
        default: return xptr;
      }
    case 56:   //Plasma::DataEngineManager
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::DataEngineManager*)xptr;
        case 56: return (void*)(Plasma::DataEngineManager*)xptr;
        default: return xptr;
      }
    case 57:   //Plasma::DataEngineScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::DataEngineScript*)xptr;
        case 164: return (void*)(QObject*)(Plasma::DataEngineScript*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)xptr;
        default: return xptr;
      }
    case 58:   //Plasma::Delegate
      switch(to) {
        case 111: return (void*)(QAbstractItemDelegate*)(Plasma::Delegate*)xptr;
        case 164: return (void*)(QObject*)(Plasma::Delegate*)xptr;
        case 58: return (void*)(Plasma::Delegate*)xptr;
        default: return xptr;
      }
    case 59:   //Plasma::Dialog
      switch(to) {
        case 200: return (void*)(QWidget*)(Plasma::Dialog*)xptr;
        case 164: return (void*)(QObject*)(Plasma::Dialog*)xptr;
        case 59: return (void*)(Plasma::Dialog*)xptr;
        default: return xptr;
      }
    case 60:   //Plasma::Extender
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::Extender*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::Extender*)xptr;
        case 164: return (void*)(QObject*)(Plasma::Extender*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Extender*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Extender*)xptr;
        case 60: return (void*)(Plasma::Extender*)xptr;
        default: return xptr;
      }
    case 61:   //Plasma::ExtenderGroup
      switch(to) {
        case 62: return (void*)(Plasma::ExtenderItem*)(Plasma::ExtenderGroup*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::ExtenderGroup*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::ExtenderGroup*)xptr;
        case 164: return (void*)(QObject*)(Plasma::ExtenderGroup*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ExtenderGroup*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderGroup*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)xptr;
        default: return xptr;
      }
    case 62:   //Plasma::ExtenderItem
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::ExtenderItem*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::ExtenderItem*)xptr;
        case 164: return (void*)(QObject*)(Plasma::ExtenderItem*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ExtenderItem*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(Plasma::ExtenderItem*)xptr;
        default: return xptr;
      }
    case 63:   //Plasma::FlashingLabel
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::FlashingLabel*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::FlashingLabel*)xptr;
        case 164: return (void*)(QObject*)(Plasma::FlashingLabel*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::FlashingLabel*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::FlashingLabel*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)xptr;
        default: return xptr;
      }
    case 64:   //Plasma::Frame
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::Frame*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::Frame*)xptr;
        case 164: return (void*)(QObject*)(Plasma::Frame*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Frame*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Frame*)xptr;
        case 64: return (void*)(Plasma::Frame*)xptr;
        default: return xptr;
      }
    case 65:   //Plasma::FrameSvg
      switch(to) {
        case 95: return (void*)(Plasma::Svg*)(Plasma::FrameSvg*)xptr;
        case 164: return (void*)(QObject*)(Plasma::FrameSvg*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)xptr;
        default: return xptr;
      }
    case 66:   //Plasma::GLApplet
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::GLApplet*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::GLApplet*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::GLApplet*)xptr;
        case 164: return (void*)(QObject*)(Plasma::GLApplet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::GLApplet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::GLApplet*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)xptr;
        default: return xptr;
      }
    case 67:   //Plasma::GroupBox
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::GroupBox*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::GroupBox*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::GroupBox*)xptr;
        case 164: return (void*)(QObject*)(Plasma::GroupBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::GroupBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::GroupBox*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)xptr;
        default: return xptr;
      }
    case 68:   //Plasma::IconWidget
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::IconWidget*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::IconWidget*)xptr;
        case 164: return (void*)(QObject*)(Plasma::IconWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::IconWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::IconWidget*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)xptr;
        default: return xptr;
      }
    case 69:   //Plasma::ItemBackground
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::ItemBackground*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::ItemBackground*)xptr;
        case 164: return (void*)(QObject*)(Plasma::ItemBackground*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ItemBackground*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ItemBackground*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)xptr;
        default: return xptr;
      }
    case 70:   //Plasma::Label
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::Label*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::Label*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::Label*)xptr;
        case 164: return (void*)(QObject*)(Plasma::Label*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Label*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Label*)xptr;
        case 70: return (void*)(Plasma::Label*)xptr;
        default: return xptr;
      }
    case 71:   //Plasma::LineEdit
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::LineEdit*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::LineEdit*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::LineEdit*)xptr;
        case 164: return (void*)(QObject*)(Plasma::LineEdit*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::LineEdit*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::LineEdit*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)xptr;
        default: return xptr;
      }
    case 72:   //Plasma::Meter
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::Meter*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::Meter*)xptr;
        case 164: return (void*)(QObject*)(Plasma::Meter*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Meter*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Meter*)xptr;
        case 72: return (void*)(Plasma::Meter*)xptr;
        default: return xptr;
      }
    case 73:   //Plasma::Package
      switch(to) {
        case 73: return (void*)(Plasma::Package*)xptr;
        default: return xptr;
      }
    case 74:   //Plasma::PackageMetadata
      switch(to) {
        case 74: return (void*)(Plasma::PackageMetadata*)xptr;
        default: return xptr;
      }
    case 75:   //Plasma::PackageStructure
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::PackageStructure*)xptr;
        case 180: return (void*)(QSharedData*)(Plasma::PackageStructure*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)xptr;
        default: return xptr;
      }
    case 76:   //Plasma::PlotColor
      switch(to) {
        case 76: return (void*)(Plasma::PlotColor*)xptr;
        default: return xptr;
      }
    case 77:   //Plasma::PopupApplet
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::PopupApplet*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::PopupApplet*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::PopupApplet*)xptr;
        case 164: return (void*)(QObject*)(Plasma::PopupApplet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::PopupApplet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::PopupApplet*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)xptr;
        default: return xptr;
      }
    case 78:   //Plasma::PushButton
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::PushButton*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::PushButton*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::PushButton*)xptr;
        case 164: return (void*)(QObject*)(Plasma::PushButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::PushButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::PushButton*)xptr;
        case 78: return (void*)(Plasma::PushButton*)xptr;
        default: return xptr;
      }
    case 79:   //Plasma::QueryMatch
      switch(to) {
        case 79: return (void*)(Plasma::QueryMatch*)xptr;
        default: return xptr;
      }
    case 80:   //Plasma::RadioButton
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::RadioButton*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::RadioButton*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::RadioButton*)xptr;
        case 164: return (void*)(QObject*)(Plasma::RadioButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::RadioButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::RadioButton*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)xptr;
        default: return xptr;
      }
    case 81:   //Plasma::RunnerContext
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::RunnerContext*)xptr;
        case 81: return (void*)(Plasma::RunnerContext*)xptr;
        default: return xptr;
      }
    case 82:   //Plasma::RunnerManager
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::RunnerManager*)xptr;
        case 82: return (void*)(Plasma::RunnerManager*)xptr;
        default: return xptr;
      }
    case 83:   //Plasma::RunnerScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::RunnerScript*)xptr;
        case 164: return (void*)(QObject*)(Plasma::RunnerScript*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)xptr;
        default: return xptr;
      }
    case 84:   //Plasma::RunnerSyntax
      switch(to) {
        case 84: return (void*)(Plasma::RunnerSyntax*)xptr;
        default: return xptr;
      }
    case 85:   //Plasma::ScriptEngine
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::ScriptEngine*)xptr;
        case 85: return (void*)(Plasma::ScriptEngine*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)(Plasma::ScriptEngine*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)(Plasma::ScriptEngine*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)(Plasma::ScriptEngine*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)(Plasma::ScriptEngine*)xptr;
        default: return xptr;
      }
    case 86:   //Plasma::ScrollBar
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::ScrollBar*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::ScrollBar*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::ScrollBar*)xptr;
        case 164: return (void*)(QObject*)(Plasma::ScrollBar*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ScrollBar*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollBar*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)xptr;
        default: return xptr;
      }
    case 87:   //Plasma::ScrollWidget
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::ScrollWidget*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::ScrollWidget*)xptr;
        case 164: return (void*)(QObject*)(Plasma::ScrollWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ScrollWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollWidget*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)xptr;
        default: return xptr;
      }
    case 88:   //Plasma::Separator
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::Separator*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::Separator*)xptr;
        case 164: return (void*)(QObject*)(Plasma::Separator*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Separator*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Separator*)xptr;
        case 88: return (void*)(Plasma::Separator*)xptr;
        default: return xptr;
      }
    case 89:   //Plasma::Service
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::Service*)xptr;
        case 89: return (void*)(Plasma::Service*)xptr;
        default: return xptr;
      }
    case 90:   //Plasma::ServiceAccessJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::ServiceAccessJob*)xptr;
        case 164: return (void*)(QObject*)(Plasma::ServiceAccessJob*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)xptr;
        default: return xptr;
      }
    case 91:   //Plasma::ServiceJob
      switch(to) {
        case 91: return (void*)(Plasma::ServiceJob*)xptr;
        default: return xptr;
      }
    case 92:   //Plasma::SignalPlotter
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::SignalPlotter*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::SignalPlotter*)xptr;
        case 164: return (void*)(QObject*)(Plasma::SignalPlotter*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SignalPlotter*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SignalPlotter*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)xptr;
        default: return xptr;
      }
    case 93:   //Plasma::Slider
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::Slider*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::Slider*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::Slider*)xptr;
        case 164: return (void*)(QObject*)(Plasma::Slider*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Slider*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Slider*)xptr;
        case 93: return (void*)(Plasma::Slider*)xptr;
        default: return xptr;
      }
    case 94:   //Plasma::SpinBox
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::SpinBox*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::SpinBox*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::SpinBox*)xptr;
        case 164: return (void*)(QObject*)(Plasma::SpinBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SpinBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SpinBox*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)xptr;
        default: return xptr;
      }
    case 95:   //Plasma::Svg
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::Svg*)xptr;
        case 95: return (void*)(Plasma::Svg*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)(Plasma::Svg*)xptr;
        default: return xptr;
      }
    case 96:   //Plasma::SvgWidget
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::SvgWidget*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::SvgWidget*)xptr;
        case 164: return (void*)(QObject*)(Plasma::SvgWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SvgWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SvgWidget*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)xptr;
        default: return xptr;
      }
    case 97:   //Plasma::TabBar
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::TabBar*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::TabBar*)xptr;
        case 164: return (void*)(QObject*)(Plasma::TabBar*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TabBar*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TabBar*)xptr;
        case 97: return (void*)(Plasma::TabBar*)xptr;
        default: return xptr;
      }
    case 98:   //Plasma::TextBrowser
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::TextBrowser*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::TextBrowser*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::TextBrowser*)xptr;
        case 164: return (void*)(QObject*)(Plasma::TextBrowser*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TextBrowser*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TextBrowser*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)xptr;
        default: return xptr;
      }
    case 99:   //Plasma::TextEdit
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::TextEdit*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::TextEdit*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::TextEdit*)xptr;
        case 164: return (void*)(QObject*)(Plasma::TextEdit*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TextEdit*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TextEdit*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)xptr;
        default: return xptr;
      }
    case 100:   //Plasma::Theme
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::Theme*)xptr;
        case 100: return (void*)(Plasma::Theme*)xptr;
        default: return xptr;
      }
    case 101:   //Plasma::ToolButton
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::ToolButton*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::ToolButton*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::ToolButton*)xptr;
        case 164: return (void*)(QObject*)(Plasma::ToolButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ToolButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ToolButton*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)xptr;
        default: return xptr;
      }
    case 102:   //Plasma::ToolTipContent
      switch(to) {
        case 102: return (void*)(Plasma::ToolTipContent*)xptr;
        default: return xptr;
      }
    case 103:   //Plasma::ToolTipManager
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::ToolTipManager*)xptr;
        case 103: return (void*)(Plasma::ToolTipManager*)xptr;
        default: return xptr;
      }
    case 104:   //Plasma::TreeView
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::TreeView*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::TreeView*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::TreeView*)xptr;
        case 164: return (void*)(QObject*)(Plasma::TreeView*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TreeView*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TreeView*)xptr;
        case 104: return (void*)(Plasma::TreeView*)xptr;
        default: return xptr;
      }
    case 105:   //Plasma::VideoWidget
      switch(to) {
        case 137: return (void*)(QGraphicsProxyWidget*)(Plasma::VideoWidget*)xptr;
        case 148: return (void*)(QGraphicsWidget*)(Plasma::VideoWidget*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::VideoWidget*)xptr;
        case 164: return (void*)(QObject*)(Plasma::VideoWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::VideoWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::VideoWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)xptr;
        default: return xptr;
      }
    case 106:   //Plasma::View
      switch(to) {
        case 147: return (void*)(QGraphicsView*)(Plasma::View*)xptr;
        case 113: return (void*)(QAbstractScrollArea*)(Plasma::View*)xptr;
        case 132: return (void*)(QFrame*)(Plasma::View*)xptr;
        case 200: return (void*)(QWidget*)(Plasma::View*)xptr;
        case 164: return (void*)(QObject*)(Plasma::View*)xptr;
        case 106: return (void*)(Plasma::View*)xptr;
        default: return xptr;
      }
    case 107:   //Plasma::Wallpaper
      switch(to) {
        case 164: return (void*)(QObject*)(Plasma::Wallpaper*)xptr;
        case 107: return (void*)(Plasma::Wallpaper*)xptr;
        default: return xptr;
      }
    case 108:   //Plasma::WallpaperScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::WallpaperScript*)xptr;
        case 164: return (void*)(QObject*)(Plasma::WallpaperScript*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)xptr;
        default: return xptr;
      }
    case 109:   //Plasma::WebView
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(Plasma::WebView*)xptr;
        case 136: return (void*)(QGraphicsObject*)(Plasma::WebView*)xptr;
        case 164: return (void*)(QObject*)(Plasma::WebView*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::WebView*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::WebView*)xptr;
        case 109: return (void*)(Plasma::WebView*)xptr;
        default: return xptr;
      }
    case 110:   //QAbstractAnimation
      switch(to) {
        case 164: return (void*)(QObject*)(QAbstractAnimation*)xptr;
        case 110: return (void*)(QAbstractAnimation*)xptr;
        case 35: return (void*)(Plasma::Animation*)(QAbstractAnimation*)xptr;
        default: return xptr;
      }
    case 111:   //QAbstractItemDelegate
      switch(to) {
        case 164: return (void*)(QObject*)(QAbstractItemDelegate*)xptr;
        case 111: return (void*)(QAbstractItemDelegate*)xptr;
        case 58: return (void*)(Plasma::Delegate*)(QAbstractItemDelegate*)xptr;
        default: return xptr;
      }
    case 112:   //QAbstractItemModel
      switch(to) {
        case 164: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 112: return (void*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 113:   //QAbstractScrollArea
      switch(to) {
        case 132: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 200: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 164: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 113: return (void*)(QAbstractScrollArea*)xptr;
        case 106: return (void*)(Plasma::View*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 114:   //QAction
      switch(to) {
        case 114: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 115:   //QActionEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 115: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 116:   //QBool
      switch(to) {
        case 116: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 117:   //QByteArray
      switch(to) {
        case 117: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 118:   //QCheckBox
      switch(to) {
        case 118: return (void*)(QCheckBox*)xptr;
        default: return xptr;
      }
    case 119:   //QChildEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 119: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 120:   //QCloseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 120: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 121:   //QColor
      switch(to) {
        case 121: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 122:   //QContextMenuEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 122: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 123:   //QDragEnterEvent
      switch(to) {
        case 125: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 126: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 128: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 123: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 124:   //QDragLeaveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 124: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 125:   //QDragMoveEvent
      switch(to) {
        case 126: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 128: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 125: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 126:   //QDropEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 126: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 127:   //QEasingCurve
      switch(to) {
        case 127: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 128:   //QEvent
      switch(to) {
        case 128: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 129:   //QFocusEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 129: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 130:   //QFont
      switch(to) {
        case 130: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 131:   //QFontMetrics
      switch(to) {
        case 131: return (void*)(QFontMetrics*)xptr;
        default: return xptr;
      }
    case 132:   //QFrame
      switch(to) {
        case 200: return (void*)(QWidget*)(QFrame*)xptr;
        case 164: return (void*)(QObject*)(QFrame*)xptr;
        case 132: return (void*)(QFrame*)xptr;
        case 106: return (void*)(Plasma::View*)(QFrame*)xptr;
        default: return xptr;
      }
    case 134:   //QGraphicsItem
      switch(to) {
        case 134: return (void*)(QGraphicsItem*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsItem*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsItem*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsItem*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsItem*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsItem*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsItem*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsItem*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsItem*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsItem*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsItem*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsItem*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsItem*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsItem*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsItem*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsItem*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsItem*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsItem*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsItem*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsItem*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsItem*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsItem*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsItem*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsItem*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsItem*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsItem*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsItem*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsItem*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsItem*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsItem*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsItem*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsItem*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsItem*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 135:   //QGraphicsLayoutItem
      switch(to) {
        case 135: return (void*)(QGraphicsLayoutItem*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsLayoutItem*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsLayoutItem*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsLayoutItem*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsLayoutItem*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsLayoutItem*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsLayoutItem*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsLayoutItem*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsLayoutItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsLayoutItem*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsLayoutItem*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsLayoutItem*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsLayoutItem*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsLayoutItem*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsLayoutItem*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsLayoutItem*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsLayoutItem*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsLayoutItem*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsLayoutItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsLayoutItem*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsLayoutItem*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsLayoutItem*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsLayoutItem*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsLayoutItem*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsLayoutItem*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsLayoutItem*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsLayoutItem*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsLayoutItem*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsLayoutItem*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsLayoutItem*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsLayoutItem*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsLayoutItem*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsLayoutItem*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsLayoutItem*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsLayoutItem*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsLayoutItem*)xptr;
        default: return xptr;
      }
    case 136:   //QGraphicsObject
      switch(to) {
        case 164: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 134: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 136: return (void*)(QGraphicsObject*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsObject*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsObject*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsObject*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsObject*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsObject*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsObject*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsObject*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsObject*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsObject*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsObject*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsObject*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsObject*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsObject*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsObject*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsObject*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsObject*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsObject*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsObject*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsObject*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsObject*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsObject*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsObject*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsObject*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsObject*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsObject*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsObject*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsObject*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsObject*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsObject*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsObject*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsObject*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsObject*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsObject*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsObject*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 137:   //QGraphicsProxyWidget
      switch(to) {
        case 148: return (void*)(QGraphicsWidget*)(QGraphicsProxyWidget*)xptr;
        case 136: return (void*)(QGraphicsObject*)(QGraphicsProxyWidget*)xptr;
        case 164: return (void*)(QObject*)(QGraphicsProxyWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(QGraphicsProxyWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(QGraphicsProxyWidget*)xptr;
        case 137: return (void*)(QGraphicsProxyWidget*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsProxyWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsProxyWidget*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsProxyWidget*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsProxyWidget*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsProxyWidget*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsProxyWidget*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsProxyWidget*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsProxyWidget*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsProxyWidget*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsProxyWidget*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsProxyWidget*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsProxyWidget*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsProxyWidget*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsProxyWidget*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsProxyWidget*)xptr;
        default: return xptr;
      }
    case 138:   //QGraphicsScene
      switch(to) {
        case 164: return (void*)(QObject*)(QGraphicsScene*)xptr;
        case 138: return (void*)(QGraphicsScene*)xptr;
        case 53: return (void*)(Plasma::Corona*)(QGraphicsScene*)xptr;
        default: return xptr;
      }
    case 139:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 139: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 140:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 140: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 141:   //QGraphicsSceneHelpEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneHelpEvent*)xptr;
        case 141: return (void*)(QGraphicsSceneHelpEvent*)xptr;
        default: return xptr;
      }
    case 142:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 142: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 143:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 143: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 144:   //QGraphicsSceneMoveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneMoveEvent*)xptr;
        case 144: return (void*)(QGraphicsSceneMoveEvent*)xptr;
        default: return xptr;
      }
    case 145:   //QGraphicsSceneResizeEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneResizeEvent*)xptr;
        case 145: return (void*)(QGraphicsSceneResizeEvent*)xptr;
        default: return xptr;
      }
    case 146:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 146: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 147:   //QGraphicsView
      switch(to) {
        case 113: return (void*)(QAbstractScrollArea*)(QGraphicsView*)xptr;
        case 132: return (void*)(QFrame*)(QGraphicsView*)xptr;
        case 200: return (void*)(QWidget*)(QGraphicsView*)xptr;
        case 164: return (void*)(QObject*)(QGraphicsView*)xptr;
        case 147: return (void*)(QGraphicsView*)xptr;
        case 106: return (void*)(Plasma::View*)(QGraphicsView*)xptr;
        default: return xptr;
      }
    case 148:   //QGraphicsWidget
      switch(to) {
        case 136: return (void*)(QGraphicsObject*)(QGraphicsWidget*)xptr;
        case 164: return (void*)(QObject*)(QGraphicsWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(QGraphicsWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(QGraphicsWidget*)xptr;
        case 148: return (void*)(QGraphicsWidget*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsWidget*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsWidget*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsWidget*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsWidget*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsWidget*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsWidget*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsWidget*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsWidget*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsWidget*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsWidget*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsWidget*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsWidget*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsWidget*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsWidget*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsWidget*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsWidget*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsWidget*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsWidget*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsWidget*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsWidget*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsWidget*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsWidget*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsWidget*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsWidget*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsWidget*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsWidget*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsWidget*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsWidget*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsWidget*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsWidget*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsWidget*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsWidget*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsWidget*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsWidget*)xptr;
        default: return xptr;
      }
    case 149:   //QGroupBox
      switch(to) {
        case 149: return (void*)(QGroupBox*)xptr;
        default: return xptr;
      }
    case 150:   //QHideEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 150: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 151:   //QIODevice
      switch(to) {
        case 164: return (void*)(QObject*)(QIODevice*)xptr;
        case 151: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 152:   //QIcon
      switch(to) {
        case 152: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 153:   //QImage
      switch(to) {
        case 153: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 154:   //QInputMethodEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 154: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 155:   //QKeyEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 155: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 156:   //QLabel
      switch(to) {
        case 156: return (void*)(QLabel*)xptr;
        default: return xptr;
      }
    case 157:   //QMenu
      switch(to) {
        case 157: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 158:   //QMetaObject
      switch(to) {
        case 158: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 159:   //QMimeData
      switch(to) {
        case 164: return (void*)(QObject*)(QMimeData*)xptr;
        case 159: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 160:   //QModelIndex
      switch(to) {
        case 160: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 161:   //QMouseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 161: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 162:   //QMoveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 162: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 163:   //QMutex
      switch(to) {
        case 163: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 164:   //QObject
      switch(to) {
        case 164: return (void*)(QObject*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QObject*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QObject*)xptr;
        case 103: return (void*)(Plasma::ToolTipManager*)(QObject*)xptr;
        case 56: return (void*)(Plasma::DataEngineManager*)(QObject*)xptr;
        case 30: return (void*)(Plasma::AbstractDialogManager*)(QObject*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)(QObject*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(QObject*)xptr;
        case 36: return (void*)(Plasma::AnimationDriver*)(QObject*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QObject*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QObject*)xptr;
        case 53: return (void*)(Plasma::Corona*)(QObject*)xptr;
        case 45: return (void*)(Plasma::ClientPinRequest*)(QObject*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QObject*)xptr;
        case 70: return (void*)(Plasma::Label*)(QObject*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)(QObject*)xptr;
        case 95: return (void*)(Plasma::Svg*)(QObject*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QObject*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QObject*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)(QObject*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QObject*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QObject*)xptr;
        case 52: return (void*)(Plasma::Context*)(QObject*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QObject*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QObject*)xptr;
        case 41: return (void*)(Plasma::AuthorizationManager*)(QObject*)xptr;
        case 82: return (void*)(Plasma::RunnerManager*)(QObject*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QObject*)xptr;
        case 55: return (void*)(Plasma::DataEngine*)(QObject*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QObject*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QObject*)xptr;
        case 107: return (void*)(Plasma::Wallpaper*)(QObject*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QObject*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QObject*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)(QObject*)xptr;
        case 89: return (void*)(Plasma::Service*)(QObject*)xptr;
        case 34: return (void*)(Plasma::AccessManager*)(QObject*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QObject*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QObject*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)(QObject*)xptr;
        case 37: return (void*)(Plasma::Animator*)(QObject*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)(QObject*)xptr;
        case 85: return (void*)(Plasma::ScriptEngine*)(QObject*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QObject*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QObject*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QObject*)xptr;
        case 100: return (void*)(Plasma::Theme*)(QObject*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QObject*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QObject*)xptr;
        case 58: return (void*)(Plasma::Delegate*)(QObject*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)(QObject*)xptr;
        case 54: return (void*)(Plasma::DataContainer*)(QObject*)xptr;
        case 81: return (void*)(Plasma::RunnerContext*)(QObject*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QObject*)xptr;
        case 35: return (void*)(Plasma::Animation*)(QObject*)xptr;
        case 59: return (void*)(Plasma::Dialog*)(QObject*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QObject*)xptr;
        case 31: return (void*)(Plasma::AbstractRunner*)(QObject*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QObject*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QObject*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QObject*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QObject*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QObject*)xptr;
        case 50: return (void*)(Plasma::ContainmentActions*)(QObject*)xptr;
        case 42: return (void*)(Plasma::AuthorizationRule*)(QObject*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QObject*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QObject*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QObject*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QObject*)xptr;
        case 106: return (void*)(Plasma::View*)(QObject*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)(QObject*)xptr;
        default: return xptr;
      }
    case 165:   //QPaintEngine
      switch(to) {
        case 165: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 166:   //QPaintEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 166: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 167:   //QPainter
      switch(to) {
        case 167: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 168:   //QPainterPath
      switch(to) {
        case 168: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 169:   //QPalette
      switch(to) {
        case 169: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 170:   //QPixmap
      switch(to) {
        case 170: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 171:   //QPoint
      switch(to) {
        case 171: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 172:   //QPointF
      switch(to) {
        case 172: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 173:   //QRadioButton
      switch(to) {
        case 173: return (void*)(QRadioButton*)xptr;
        default: return xptr;
      }
    case 174:   //QRect
      switch(to) {
        case 174: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 175:   //QRectF
      switch(to) {
        case 175: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 176:   //QRegExp
      switch(to) {
        case 176: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 177:   //QRegion
      switch(to) {
        case 177: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 178:   //QResizeEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 178: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 179:   //QScrollBar
      switch(to) {
        case 200: return (void*)(QWidget*)(QScrollBar*)xptr;
        case 164: return (void*)(QObject*)(QScrollBar*)xptr;
        case 179: return (void*)(QScrollBar*)xptr;
        default: return xptr;
      }
    case 180:   //QSharedData
      switch(to) {
        case 180: return (void*)(QSharedData*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 181:   //QShowEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 181: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 182:   //QSize
      switch(to) {
        case 182: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 183:   //QSizeF
      switch(to) {
        case 183: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 184:   //QSlider
      switch(to) {
        case 200: return (void*)(QWidget*)(QSlider*)xptr;
        case 164: return (void*)(QObject*)(QSlider*)xptr;
        case 184: return (void*)(QSlider*)xptr;
        default: return xptr;
      }
    case 185:   //QStyle
      switch(to) {
        case 164: return (void*)(QObject*)(QStyle*)xptr;
        case 185: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 186:   //QStyleOption
      switch(to) {
        case 186: return (void*)(QStyleOption*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 187:   //QStyleOptionGraphicsItem
      switch(to) {
        case 186: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 187: return (void*)(QStyleOptionGraphicsItem*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 188:   //QStyleOptionViewItem
      switch(to) {
        case 186: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 188: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 189:   //QTabletEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 189: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 190:   //QTextDocument
      switch(to) {
        case 190: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 191:   //QTextOption
      switch(to) {
        case 191: return (void*)(QTextOption*)xptr;
        default: return xptr;
      }
    case 192:   //QTimerEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 192: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 193:   //QToolButton
      switch(to) {
        case 193: return (void*)(QToolButton*)xptr;
        default: return xptr;
      }
    case 194:   //QTreeView
      switch(to) {
        case 194: return (void*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 195:   //QUrl
      switch(to) {
        case 195: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 196:   //QVariant
      switch(to) {
        case 196: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 197:   //QWebFrame
      switch(to) {
        case 197: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 198:   //QWebPage
      switch(to) {
        case 198: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 199:   //QWheelEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 199: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 200:   //QWidget
      switch(to) {
        case 164: return (void*)(QObject*)(QWidget*)xptr;
        case 200: return (void*)(QWidget*)xptr;
        case 59: return (void*)(Plasma::Dialog*)(QWidget*)xptr;
        case 106: return (void*)(Plasma::View*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    164, 0,	// 1: QObject
    148, 0,	// 3: QGraphicsWidget
    14, 0,	// 5: KJob
    110, 0,	// 7: QAbstractAnimation
    85, 0,	// 9: Plasma::ScriptEngine
    137, 0,	// 11: QGraphicsProxyWidget
    9, 0,	// 13: KConfigSkeleton
    38, 0,	// 15: Plasma::Applet
    187, 0,	// 17: QStyleOptionGraphicsItem
    138, 0,	// 19: QGraphicsScene
    111, 0,	// 21: QAbstractItemDelegate
    200, 0,	// 23: QWidget
    62, 0,	// 25: Plasma::ExtenderItem
    95, 0,	// 27: Plasma::Svg
    164, 180, 0,	// 29: QObject, QSharedData
    147, 0,	// 32: QGraphicsView
};

// These are the xenum functions for manipulating enum pointers
void xenum_Plasma__Animation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationRule(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment__StyleOption(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractRunner(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Dialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipContent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Meter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Delegate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Frame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Wallpaper(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Extender(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__RunnerContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Animator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractToolBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Applet(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__QueryMatch(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Theme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__FrameSvg(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Plasma(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractDialogManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractRunner(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractToolBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessAppletJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animation(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AnimationDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Applet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AppletScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationRule(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__BusyWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__CheckBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ClientPinRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ConfigLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment__StyleOption(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActionsPluginsConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Context(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Corona(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Delegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Dialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Extender(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FlashingLabel(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Frame(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FrameSvg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GLApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GroupBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__IconWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ItemBackground(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Label(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__LineEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Meter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Package(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageMetadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageStructure(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PlotColor(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PopupApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PushButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__QueryMatch(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RadioButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerContext(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerSyntax(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScriptEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Separator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ServiceAccessJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SignalPlotter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Slider(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SpinBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Svg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SvgWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TabBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextBrowser(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Theme(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipContent(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__View(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Wallpaper(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WallpaperScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WebView(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//4
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//5
    { "KConfigBase", true, 0, 0, 0, 0, 0 },	//6
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//7
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//8
    { "KConfigSkeleton", true, 0, 0, 0, 0, 0 },	//9
    { "KConfigSkeletonItem", true, 0, 0, 0, 0, 0 },	//10
    { "KCoreConfigSkeleton", true, 0, 0, 0, 0, 0 },	//11
    { "KIcon", true, 0, 0, 0, 0, 0 },	//12
    { "KIntSpinBox", true, 0, 0, 0, 0, 0 },	//13
    { "KJob", true, 0, 0, 0, 0, 0 },	//14
    { "KLineEdit", true, 0, 0, 0, 0, 0 },	//15
    { "KLocale", true, 0, 0, 0, 0, 0 },	//16
    { "KPluginInfo", true, 0, 0, 0, 0, 0 },	//17
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//18
    { "KServiceAction", true, 0, 0, 0, 0, 0 },	//19
    { "KShortcut", true, 0, 0, 0, 0, 0 },	//20
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//21
    { "KTabBar", true, 0, 0, 0, 0, 0 },	//22
    { "KTextBrowser", true, 0, 0, 0, 0, 0 },	//23
    { "KTextEdit", true, 0, 0, 0, 0, 0 },	//24
    { "KUrl", true, 0, 0, 0, 0, 0 },	//25
    { "Phonon::AudioOutput", true, 0, 0, 0, 0, 0 },	//26
    { "Phonon::MediaObject", true, 0, 0, 0, 0, 0 },	//27
    { "Phonon::VideoWidget", true, 0, 0, 0, 0, 0 },	//28
    { "Plasma", false, 0, xcall_Plasma, xenum_Plasma, Smoke::cf_namespace, 0 },	//29
    { "Plasma::AbstractDialogManager", false, 1, xcall_Plasma__AbstractDialogManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractDialogManager) },	//30
    { "Plasma::AbstractRunner", false, 1, xcall_Plasma__AbstractRunner, xenum_Plasma__AbstractRunner, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractRunner) },	//31
    { "Plasma::AbstractToolBox", false, 3, xcall_Plasma__AbstractToolBox, xenum_Plasma__AbstractToolBox, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractToolBox) },	//32
    { "Plasma::AccessAppletJob", false, 5, xcall_Plasma__AccessAppletJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AccessAppletJob) },	//33
    { "Plasma::AccessManager", false, 1, xcall_Plasma__AccessManager, 0, Smoke::cf_virtual, sizeof(Plasma::AccessManager) },	//34
    { "Plasma::Animation", false, 7, xcall_Plasma__Animation, xenum_Plasma__Animation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Animation) },	//35
    { "Plasma::AnimationDriver", false, 1, xcall_Plasma__AnimationDriver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AnimationDriver) },	//36
    { "Plasma::Animator", false, 1, xcall_Plasma__Animator, xenum_Plasma__Animator, Smoke::cf_virtual, sizeof(Plasma::Animator) },	//37
    { "Plasma::Applet", false, 3, xcall_Plasma__Applet, xenum_Plasma__Applet, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Applet) },	//38
    { "Plasma::AppletScript", false, 9, xcall_Plasma__AppletScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AppletScript) },	//39
    { "Plasma::AuthorizationInterface", false, 0, xcall_Plasma__AuthorizationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Plasma::AuthorizationInterface) },	//40
    { "Plasma::AuthorizationManager", false, 1, xcall_Plasma__AuthorizationManager, xenum_Plasma__AuthorizationManager, Smoke::cf_virtual, sizeof(Plasma::AuthorizationManager) },	//41
    { "Plasma::AuthorizationRule", false, 1, xcall_Plasma__AuthorizationRule, xenum_Plasma__AuthorizationRule, Smoke::cf_virtual, sizeof(Plasma::AuthorizationRule) },	//42
    { "Plasma::BusyWidget", false, 3, xcall_Plasma__BusyWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::BusyWidget) },	//43
    { "Plasma::CheckBox", false, 11, xcall_Plasma__CheckBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::CheckBox) },	//44
    { "Plasma::ClientPinRequest", false, 1, xcall_Plasma__ClientPinRequest, 0, Smoke::cf_virtual, sizeof(Plasma::ClientPinRequest) },	//45
    { "Plasma::ComboBox", false, 11, xcall_Plasma__ComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ComboBox) },	//46
    { "Plasma::ConfigLoader", false, 13, xcall_Plasma__ConfigLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ConfigLoader) },	//47
    { "Plasma::Containment", false, 15, xcall_Plasma__Containment, xenum_Plasma__Containment, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Containment) },	//48
    { "Plasma::Containment::StyleOption", false, 17, xcall_Plasma__Containment__StyleOption, xenum_Plasma__Containment__StyleOption, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::Containment::StyleOption) },	//49
    { "Plasma::ContainmentActions", false, 1, xcall_Plasma__ContainmentActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ContainmentActions) },	//50
    { "Plasma::ContainmentActionsPluginsConfig", false, 0, xcall_Plasma__ContainmentActionsPluginsConfig, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ContainmentActionsPluginsConfig) },	//51
    { "Plasma::Context", false, 1, xcall_Plasma__Context, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Context) },	//52
    { "Plasma::Corona", false, 19, xcall_Plasma__Corona, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Corona) },	//53
    { "Plasma::DataContainer", false, 1, xcall_Plasma__DataContainer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataContainer) },	//54
    { "Plasma::DataEngine", false, 1, xcall_Plasma__DataEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngine) },	//55
    { "Plasma::DataEngineManager", false, 1, xcall_Plasma__DataEngineManager, 0, Smoke::cf_virtual, sizeof(Plasma::DataEngineManager) },	//56
    { "Plasma::DataEngineScript", false, 9, xcall_Plasma__DataEngineScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngineScript) },	//57
    { "Plasma::Delegate", false, 21, xcall_Plasma__Delegate, xenum_Plasma__Delegate, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Delegate) },	//58
    { "Plasma::Dialog", false, 23, xcall_Plasma__Dialog, xenum_Plasma__Dialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Dialog) },	//59
    { "Plasma::Extender", false, 3, xcall_Plasma__Extender, xenum_Plasma__Extender, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Extender) },	//60
    { "Plasma::ExtenderGroup", false, 25, xcall_Plasma__ExtenderGroup, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderGroup) },	//61
    { "Plasma::ExtenderItem", false, 3, xcall_Plasma__ExtenderItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderItem) },	//62
    { "Plasma::FlashingLabel", false, 3, xcall_Plasma__FlashingLabel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FlashingLabel) },	//63
    { "Plasma::Frame", false, 3, xcall_Plasma__Frame, xenum_Plasma__Frame, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Frame) },	//64
    { "Plasma::FrameSvg", false, 27, xcall_Plasma__FrameSvg, xenum_Plasma__FrameSvg, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FrameSvg) },	//65
    { "Plasma::GLApplet", false, 15, xcall_Plasma__GLApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GLApplet) },	//66
    { "Plasma::GroupBox", false, 11, xcall_Plasma__GroupBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GroupBox) },	//67
    { "Plasma::IconWidget", false, 3, xcall_Plasma__IconWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::IconWidget) },	//68
    { "Plasma::ItemBackground", false, 3, xcall_Plasma__ItemBackground, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ItemBackground) },	//69
    { "Plasma::Label", false, 11, xcall_Plasma__Label, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Label) },	//70
    { "Plasma::LineEdit", false, 11, xcall_Plasma__LineEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::LineEdit) },	//71
    { "Plasma::Meter", false, 3, xcall_Plasma__Meter, xenum_Plasma__Meter, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Meter) },	//72
    { "Plasma::Package", false, 0, xcall_Plasma__Package, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::Package) },	//73
    { "Plasma::PackageMetadata", false, 0, xcall_Plasma__PackageMetadata, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PackageMetadata) },	//74
    { "Plasma::PackageStructure", false, 29, xcall_Plasma__PackageStructure, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PackageStructure) },	//75
    { "Plasma::PlotColor", false, 0, xcall_Plasma__PlotColor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PlotColor) },	//76
    { "Plasma::PopupApplet", false, 15, xcall_Plasma__PopupApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PopupApplet) },	//77
    { "Plasma::PushButton", false, 11, xcall_Plasma__PushButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PushButton) },	//78
    { "Plasma::QueryMatch", false, 0, xcall_Plasma__QueryMatch, xenum_Plasma__QueryMatch, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::QueryMatch) },	//79
    { "Plasma::RadioButton", false, 11, xcall_Plasma__RadioButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RadioButton) },	//80
    { "Plasma::RunnerContext", false, 1, xcall_Plasma__RunnerContext, xenum_Plasma__RunnerContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerContext) },	//81
    { "Plasma::RunnerManager", false, 1, xcall_Plasma__RunnerManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerManager) },	//82
    { "Plasma::RunnerScript", false, 9, xcall_Plasma__RunnerScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerScript) },	//83
    { "Plasma::RunnerSyntax", false, 0, xcall_Plasma__RunnerSyntax, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::RunnerSyntax) },	//84
    { "Plasma::ScriptEngine", false, 1, xcall_Plasma__ScriptEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScriptEngine) },	//85
    { "Plasma::ScrollBar", false, 11, xcall_Plasma__ScrollBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollBar) },	//86
    { "Plasma::ScrollWidget", false, 3, xcall_Plasma__ScrollWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollWidget) },	//87
    { "Plasma::Separator", false, 3, xcall_Plasma__Separator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Separator) },	//88
    { "Plasma::Service", false, 1, xcall_Plasma__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Service) },	//89
    { "Plasma::ServiceAccessJob", false, 5, xcall_Plasma__ServiceAccessJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ServiceAccessJob) },	//90
    { "Plasma::ServiceJob", true, 0, 0, 0, 0, 0 },	//91
    { "Plasma::SignalPlotter", false, 3, xcall_Plasma__SignalPlotter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SignalPlotter) },	//92
    { "Plasma::Slider", false, 11, xcall_Plasma__Slider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Slider) },	//93
    { "Plasma::SpinBox", false, 11, xcall_Plasma__SpinBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SpinBox) },	//94
    { "Plasma::Svg", false, 1, xcall_Plasma__Svg, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Svg) },	//95
    { "Plasma::SvgWidget", false, 3, xcall_Plasma__SvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SvgWidget) },	//96
    { "Plasma::TabBar", false, 3, xcall_Plasma__TabBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TabBar) },	//97
    { "Plasma::TextBrowser", false, 11, xcall_Plasma__TextBrowser, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextBrowser) },	//98
    { "Plasma::TextEdit", false, 11, xcall_Plasma__TextEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextEdit) },	//99
    { "Plasma::Theme", false, 1, xcall_Plasma__Theme, xenum_Plasma__Theme, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Theme) },	//100
    { "Plasma::ToolButton", false, 11, xcall_Plasma__ToolButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ToolButton) },	//101
    { "Plasma::ToolTipContent", false, 0, xcall_Plasma__ToolTipContent, xenum_Plasma__ToolTipContent, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ToolTipContent) },	//102
    { "Plasma::ToolTipManager", false, 1, xcall_Plasma__ToolTipManager, xenum_Plasma__ToolTipManager, Smoke::cf_virtual, sizeof(Plasma::ToolTipManager) },	//103
    { "Plasma::TreeView", false, 11, xcall_Plasma__TreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TreeView) },	//104
    { "Plasma::VideoWidget", false, 11, xcall_Plasma__VideoWidget, xenum_Plasma__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::VideoWidget) },	//105
    { "Plasma::View", false, 32, xcall_Plasma__View, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::View) },	//106
    { "Plasma::Wallpaper", false, 1, xcall_Plasma__Wallpaper, xenum_Plasma__Wallpaper, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Wallpaper) },	//107
    { "Plasma::WallpaperScript", false, 9, xcall_Plasma__WallpaperScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WallpaperScript) },	//108
    { "Plasma::WebView", false, 3, xcall_Plasma__WebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WebView) },	//109
    { "QAbstractAnimation", true, 0, 0, 0, 0, 0 },	//110
    { "QAbstractItemDelegate", true, 0, 0, 0, 0, 0 },	//111
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//112
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//113
    { "QAction", true, 0, 0, 0, 0, 0 },	//114
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//115
    { "QBool", true, 0, 0, 0, 0, 0 },	//116
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//117
    { "QCheckBox", true, 0, 0, 0, 0, 0 },	//118
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//119
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//120
    { "QColor", true, 0, 0, 0, 0, 0 },	//121
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//122
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//123
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//124
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//125
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//126
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//127
    { "QEvent", true, 0, 0, 0, 0, 0 },	//128
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//129
    { "QFont", true, 0, 0, 0, 0, 0 },	//130
    { "QFontMetrics", true, 0, 0, 0, 0, 0 },	//131
    { "QFrame", true, 0, 0, 0, 0, 0 },	//132
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//133
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//134
    { "QGraphicsLayoutItem", true, 0, 0, 0, 0, 0 },	//135
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//136
    { "QGraphicsProxyWidget", true, 0, 0, 0, 0, 0 },	//137
    { "QGraphicsScene", true, 0, 0, 0, 0, 0 },	//138
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//139
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//140
    { "QGraphicsSceneHelpEvent", true, 0, 0, 0, 0, 0 },	//141
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//142
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//143
    { "QGraphicsSceneMoveEvent", true, 0, 0, 0, 0, 0 },	//144
    { "QGraphicsSceneResizeEvent", true, 0, 0, 0, 0, 0 },	//145
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//146
    { "QGraphicsView", true, 0, 0, 0, 0, 0 },	//147
    { "QGraphicsWidget", true, 0, 0, 0, 0, 0 },	//148
    { "QGroupBox", true, 0, 0, 0, 0, 0 },	//149
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//150
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//151
    { "QIcon", true, 0, 0, 0, 0, 0 },	//152
    { "QImage", true, 0, 0, 0, 0, 0 },	//153
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//154
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//155
    { "QLabel", true, 0, 0, 0, 0, 0 },	//156
    { "QMenu", true, 0, 0, 0, 0, 0 },	//157
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//158
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//159
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//160
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//161
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//162
    { "QMutex", true, 0, 0, 0, 0, 0 },	//163
    { "QObject", true, 0, 0, 0, 0, 0 },	//164
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//165
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//166
    { "QPainter", true, 0, 0, 0, 0, 0 },	//167
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//168
    { "QPalette", true, 0, 0, 0, 0, 0 },	//169
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//170
    { "QPoint", true, 0, 0, 0, 0, 0 },	//171
    { "QPointF", true, 0, 0, 0, 0, 0 },	//172
    { "QRadioButton", true, 0, 0, 0, 0, 0 },	//173
    { "QRect", true, 0, 0, 0, 0, 0 },	//174
    { "QRectF", true, 0, 0, 0, 0, 0 },	//175
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//176
    { "QRegion", true, 0, 0, 0, 0, 0 },	//177
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//178
    { "QScrollBar", true, 0, 0, 0, 0, 0 },	//179
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//180
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//181
    { "QSize", true, 0, 0, 0, 0, 0 },	//182
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//183
    { "QSlider", true, 0, 0, 0, 0, 0 },	//184
    { "QStyle", true, 0, 0, 0, 0, 0 },	//185
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//186
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//187
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//188
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//189
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//190
    { "QTextOption", true, 0, 0, 0, 0, 0 },	//191
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//192
    { "QToolButton", true, 0, 0, 0, 0, 0 },	//193
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//194
    { "QUrl", true, 0, 0, 0, 0, 0 },	//195
    { "QVariant", true, 0, 0, 0, 0, 0 },	//196
    { "QWebFrame", true, 0, 0, 0, 0, 0 },	//197
    { "QWebPage", true, 0, 0, 0, 0, 0 },	//198
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//199
    { "QWidget", true, 0, 0, 0, 0, 0 },	//200
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComboBox*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KComponentData", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "KConfigBase*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KConfigDialog*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KConfigGroup", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref },	//9
    { "KConfigSkeletonItem*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KIntSpinBox*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KLineEdit*", 15, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KLocale*", 16, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KPluginInfo", 17, Smoke::t_class|Smoke::tf_stack },	//15
    { "KPushButton*", 18, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KServiceAction", 19, Smoke::t_class|Smoke::tf_stack },	//17
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "KShortcut", 20, Smoke::t_class|Smoke::tf_stack },	//21
    { "KStandardDirs*", 21, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KSycocaFactoryId", 133, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KSycocaType", 133, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KTabBar*", 22, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KTextBrowser*", 23, Smoke::t_class|Smoke::tf_ptr },	//26
    { "KTextEdit*", 24, Smoke::t_class|Smoke::tf_ptr },	//27
    { "KUrl", 25, Smoke::t_class|Smoke::tf_stack },	//28
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "Phonon::AudioOutput*", 26, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Phonon::MediaObject*", 27, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Phonon::VideoWidget*", 28, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Plasma::AbstractDialogManager*", 30, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Plasma::AbstractRunner*", 31, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Plasma::AbstractRunner::Priority", 31, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Plasma::AbstractRunner::Speed", 31, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Plasma::AbstractToolBox*", 32, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Plasma::AbstractToolBox::ToolType", 32, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Plasma::AccessAppletJob*", 33, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Plasma::AccessManager*", 34, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Plasma::Animation*", 35, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Plasma::Animation::MovementDirectionFlag", 35, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Plasma::Animation::ReferenceFlag", 35, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Plasma::AnimationDriver*", 36, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Plasma::Animator*", 37, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Plasma::Animator::Animation", 37, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Plasma::Animator::CurveShape", 37, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Plasma::Animator::Movement", 37, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Plasma::AnnouncementMethod", 29, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Plasma::AnnouncementMethods", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "Plasma::Applet*", 38, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Plasma::Applet::BackgroundHint", 38, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Plasma::AppletScript*", 39, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Plasma::AspectRatioMode", 29, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Plasma::AuthorizationInterface*", 40, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Plasma::AuthorizationManager*", 41, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Plasma::AuthorizationManager::AuthorizationPolicy", 41, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Plasma::AuthorizationRule&", 42, Smoke::t_class|Smoke::tf_ref },	//58
    { "Plasma::AuthorizationRule*", 42, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Plasma::AuthorizationRule::Persistence", 42, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Plasma::AuthorizationRule::Policy", 42, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Plasma::AuthorizationRule::Target", 42, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Plasma::BusyWidget*", 43, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Plasma::CheckBox*", 44, Smoke::t_class|Smoke::tf_ptr },	//64
    { "Plasma::ClientPinRequest&", 45, Smoke::t_class|Smoke::tf_ref },	//65
    { "Plasma::ClientPinRequest*", 45, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Plasma::ComboBox*", 46, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Plasma::ComponentType", 29, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Plasma::ConfigLoader*", 47, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Plasma::Constraint", 29, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Plasma::Containment*", 48, Smoke::t_class|Smoke::tf_ptr },	//71
    { "Plasma::Containment::StyleOption*", 49, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Plasma::Containment::StyleOption::StyleOptionType", 49, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Plasma::Containment::StyleOption::StyleOptionVersion", 49, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Plasma::Containment::Type", 48, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Plasma::ContainmentActions*", 50, Smoke::t_class|Smoke::tf_ptr },	//76
    { "Plasma::ContainmentActionsPluginsConfig", 51, Smoke::t_class|Smoke::tf_stack },	//77
    { "Plasma::ContainmentActionsPluginsConfig&", 51, Smoke::t_class|Smoke::tf_ref },	//78
    { "Plasma::ContainmentActionsPluginsConfig*", 51, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Plasma::Context*", 52, Smoke::t_class|Smoke::tf_ptr },	//80
    { "Plasma::Corona*", 53, Smoke::t_class|Smoke::tf_ptr },	//81
    { "Plasma::DataContainer*", 54, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Plasma::DataEngine*", 55, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Plasma::DataEngine::Data", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "Plasma::DataEngineManager*", 56, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Plasma::DataEngineScript*", 57, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Plasma::Delegate*", 58, Smoke::t_class|Smoke::tf_ptr },	//87
    { "Plasma::Delegate::ColumnType", 58, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Plasma::Delegate::SpecificRoles", 58, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Plasma::Dialog*", 59, Smoke::t_class|Smoke::tf_ptr },	//90
    { "Plasma::Dialog::ResizeCorner", 59, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Plasma::Direction", 29, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Plasma::Extender*", 60, Smoke::t_class|Smoke::tf_ptr },	//93
    { "Plasma::Extender::Appearance", 60, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Plasma::ExtenderGroup*", 61, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Plasma::ExtenderItem*", 62, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Plasma::FlashingLabel*", 63, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Plasma::FlipDirection", 29, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Plasma::FormFactor", 29, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Plasma::Frame*", 64, Smoke::t_class|Smoke::tf_ptr },	//100
    { "Plasma::Frame::Shadow", 64, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Plasma::FrameSvg*", 65, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Plasma::FrameSvg::EnabledBorder", 65, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Plasma::GLApplet*", 66, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Plasma::GroupBox*", 67, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Plasma::IconWidget*", 68, Smoke::t_class|Smoke::tf_ptr },	//106
    { "Plasma::ImmutabilityType", 29, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Plasma::IntervalAlignment", 29, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Plasma::ItemBackground*", 69, Smoke::t_class|Smoke::tf_ptr },	//109
    { "Plasma::ItemStatus", 29, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Plasma::ItemTypes", 29, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Plasma::Label*", 70, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Plasma::LineEdit*", 71, Smoke::t_class|Smoke::tf_ptr },	//113
    { "Plasma::Location", 29, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Plasma::MarginEdge", 29, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Plasma::MessageButton", 29, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Plasma::Meter*", 72, Smoke::t_class|Smoke::tf_ptr },	//117
    { "Plasma::Meter::MeterType", 72, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Plasma::Package&", 73, Smoke::t_class|Smoke::tf_ref },	//119
    { "Plasma::Package*", 73, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Plasma::PackageMetadata", 74, Smoke::t_class|Smoke::tf_stack },	//121
    { "Plasma::PackageMetadata&", 74, Smoke::t_class|Smoke::tf_ref },	//122
    { "Plasma::PackageMetadata*", 74, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Plasma::PackageStructure&", 75, Smoke::t_class|Smoke::tf_ref },	//124
    { "Plasma::PackageStructure*", 75, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Plasma::PlotColor*", 76, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Plasma::PopupApplet*", 77, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Plasma::PopupPlacement", 29, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Plasma::Position", 29, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Plasma::PushButton*", 78, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Plasma::QueryMatch", 79, Smoke::t_class|Smoke::tf_stack },	//131
    { "Plasma::QueryMatch&", 79, Smoke::t_class|Smoke::tf_ref },	//132
    { "Plasma::QueryMatch*", 79, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Plasma::QueryMatch::Type", 79, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Plasma::RadioButton*", 80, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Plasma::RunnerContext&", 81, Smoke::t_class|Smoke::tf_ref },	//136
    { "Plasma::RunnerContext*", 81, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Plasma::RunnerContext::Type", 81, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Plasma::RunnerManager*", 82, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Plasma::RunnerScript*", 83, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Plasma::RunnerSyntax&", 84, Smoke::t_class|Smoke::tf_ref },	//141
    { "Plasma::RunnerSyntax*", 84, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Plasma::ScriptEngine*", 85, Smoke::t_class|Smoke::tf_ptr },	//143
    { "Plasma::ScrollBar*", 86, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Plasma::ScrollWidget*", 87, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Plasma::Separator*", 88, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Plasma::Service*", 89, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Plasma::ServiceAccessJob*", 90, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Plasma::ServiceJob*", 91, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Plasma::SignalPlotter*", 92, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Plasma::Slider*", 93, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Plasma::SpinBox*", 94, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Plasma::Svg*", 95, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Plasma::SvgWidget*", 96, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Plasma::TabBar*", 97, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Plasma::TextBrowser*", 98, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Plasma::TextEdit*", 99, Smoke::t_class|Smoke::tf_ptr },	//157
    { "Plasma::Theme*", 100, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Plasma::Theme::ColorRole", 100, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Plasma::Theme::FontRole", 100, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Plasma::ToolButton*", 101, Smoke::t_class|Smoke::tf_ptr },	//161
    { "Plasma::ToolTipContent&", 102, Smoke::t_class|Smoke::tf_ref },	//162
    { "Plasma::ToolTipContent*", 102, Smoke::t_class|Smoke::tf_ptr },	//163
    { "Plasma::ToolTipContent::ResourceType", 102, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Plasma::ToolTipManager*", 103, Smoke::t_class|Smoke::tf_ptr },	//165
    { "Plasma::ToolTipManager::State", 103, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Plasma::TreeView*", 104, Smoke::t_class|Smoke::tf_ptr },	//167
    { "Plasma::TrustLevel", 29, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Plasma::VideoWidget*", 105, Smoke::t_class|Smoke::tf_ptr },	//169
    { "Plasma::VideoWidget::Control", 105, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Plasma::View*", 106, Smoke::t_class|Smoke::tf_ptr },	//171
    { "Plasma::Wallpaper*", 107, Smoke::t_class|Smoke::tf_ptr },	//172
    { "Plasma::Wallpaper::ResizeMethod", 107, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Plasma::WallpaperScript*", 108, Smoke::t_class|Smoke::tf_ptr },	//174
    { "Plasma::WebView*", 109, Smoke::t_class|Smoke::tf_ptr },	//175
    { "Plasma::WindowEffects::Effect", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Plasma::ZoomDirection", 29, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Plasma::ZoomLevel", 29, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QAbstractAnimation::Direction", 110, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QAbstractAnimation::State", 110, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QAbstractItemModel*", 112, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QAction*", 114, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QActionEvent*", 115, Smoke::t_class|Smoke::tf_ptr },	//183
    { "QBool", 116, Smoke::t_class|Smoke::tf_stack },	//184
    { "QCheckBox*", 118, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QChildEvent*", 119, Smoke::t_class|Smoke::tf_ptr },	//186
    { "QCloseEvent*", 120, Smoke::t_class|Smoke::tf_ptr },	//187
    { "QColor", 121, Smoke::t_class|Smoke::tf_stack },	//188
    { "QColor&", 121, Smoke::t_class|Smoke::tf_ref },	//189
    { "QContextMenuEvent*", 122, Smoke::t_class|Smoke::tf_ptr },	//190
    { "QDragEnterEvent*", 123, Smoke::t_class|Smoke::tf_ptr },	//191
    { "QDragLeaveEvent*", 124, Smoke::t_class|Smoke::tf_ptr },	//192
    { "QDragMoveEvent*", 125, Smoke::t_class|Smoke::tf_ptr },	//193
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QDropEvent*", 126, Smoke::t_class|Smoke::tf_ptr },	//195
    { "QEasingCurve", 127, Smoke::t_class|Smoke::tf_stack },	//196
    { "QEvent*", 128, Smoke::t_class|Smoke::tf_ptr },	//197
    { "QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//198
    { "QFlags<Plasma::AuthorizationRule::Target>", 0, Smoke::t_uint|Smoke::tf_stack },	//199
    { "QFlags<Plasma::ComponentType>", 0, Smoke::t_uint|Smoke::tf_stack },	//200
    { "QFlags<Plasma::Constraint>", 0, Smoke::t_uint|Smoke::tf_stack },	//201
    { "QFlags<Plasma::Dialog::ResizeCorner>", 0, Smoke::t_uint|Smoke::tf_stack },	//202
    { "QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack },	//203
    { "QFlags<Plasma::RunnerContext::Type>", 0, Smoke::t_uint|Smoke::tf_stack },	//204
    { "QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack },	//205
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//206
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//207
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//208
    { "QFocusEvent*", 129, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QFont", 130, Smoke::t_class|Smoke::tf_stack },	//210
    { "QFontMetrics", 131, Smoke::t_class|Smoke::tf_stack },	//211
    { "QGL::FormatOption", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QGraphicsItem*", 134, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QGraphicsItem**", 134, Smoke::t_class|Smoke::tf_ptr },	//214
    { "QGraphicsItem::Extension", 134, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QGraphicsItem::GraphicsItemChange", 134, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QGraphicsLayoutItem*", 135, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QGraphicsObject*", 136, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QGraphicsSceneContextMenuEvent*", 139, Smoke::t_class|Smoke::tf_ptr },	//219
    { "QGraphicsSceneDragDropEvent*", 140, Smoke::t_class|Smoke::tf_ptr },	//220
    { "QGraphicsSceneHelpEvent*", 141, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QGraphicsSceneHoverEvent*", 142, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QGraphicsSceneMouseEvent*", 143, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QGraphicsSceneMoveEvent*", 144, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QGraphicsSceneResizeEvent*", 145, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QGraphicsSceneWheelEvent*", 146, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QGraphicsView*", 147, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QGraphicsWidget*", 148, Smoke::t_class|Smoke::tf_ptr },	//228
    { "QGroupBox*", 149, Smoke::t_class|Smoke::tf_ptr },	//229
    { "QHash<QString,Plasma::DataContainer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//230
    { "QHash<QString,QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//231
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//232
    { "QHideEvent*", 150, Smoke::t_class|Smoke::tf_ptr },	//233
    { "QIODevice*", 151, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QIcon", 152, Smoke::t_class|Smoke::tf_stack },	//235
    { "QImage", 153, Smoke::t_class|Smoke::tf_stack },	//236
    { "QImage&", 153, Smoke::t_class|Smoke::tf_ref },	//237
    { "QInputMethodEvent*", 154, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QKeyEvent*", 155, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QLabel*", 156, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//241
    { "QList<KServiceAction>", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//243
    { "QList<Plasma::AbstractRunner*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//244
    { "QList<Plasma::Applet*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QList<Plasma::Containment*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QList<Plasma::ExtenderGroup*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QList<Plasma::ExtenderItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "QList<Plasma::Location>", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QList<Plasma::PackageMetadata>", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QList<Plasma::PlotColor>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//251
    { "QList<Plasma::QueryMatch>", 0, Smoke::t_voidp|Smoke::tf_stack },	//252
    { "QList<Plasma::RunnerSyntax>", 0, Smoke::t_voidp|Smoke::tf_stack },	//253
    { "QList<QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//254
    { "QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//255
    { "QList<QAction*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//256
    { "QList<QGraphicsWidget*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "QList<QSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//258
    { "QList<const char*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//259
    { "QList<unsigned long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//260
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//261
    { "QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//262
    { "QMenu*", 157, Smoke::t_class|Smoke::tf_ptr },	//263
    { "QMetaObject::Call", 158, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QMimeData*", 159, Smoke::t_class|Smoke::tf_ptr },	//265
    { "QMouseEvent*", 161, Smoke::t_class|Smoke::tf_ptr },	//266
    { "QMoveEvent*", 162, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QMutex*", 163, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QObject*", 164, Smoke::t_class|Smoke::tf_ptr },	//269
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QPaintEngine*", 165, Smoke::t_class|Smoke::tf_ptr },	//271
    { "QPaintEngine::Type", 165, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QPaintEvent*", 166, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QPainter*", 167, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QPainterPath", 168, Smoke::t_class|Smoke::tf_stack },	//275
    { "QPixmap", 170, Smoke::t_class|Smoke::tf_stack },	//276
    { "QPixmap&", 170, Smoke::t_class|Smoke::tf_ref },	//277
    { "QPoint", 171, Smoke::t_class|Smoke::tf_stack },	//278
    { "QPointF", 172, Smoke::t_class|Smoke::tf_stack },	//279
    { "QRadioButton*", 173, Smoke::t_class|Smoke::tf_ptr },	//280
    { "QRect", 174, Smoke::t_class|Smoke::tf_stack },	//281
    { "QRectF", 175, Smoke::t_class|Smoke::tf_stack },	//282
    { "QRectF&", 175, Smoke::t_class|Smoke::tf_ref },	//283
    { "QRegExp&", 176, Smoke::t_class|Smoke::tf_ref },	//284
    { "QRegion", 177, Smoke::t_class|Smoke::tf_stack },	//285
    { "QResizeEvent*", 178, Smoke::t_class|Smoke::tf_ptr },	//286
    { "QScrollBar*", 179, Smoke::t_class|Smoke::tf_ptr },	//287
    { "QShowEvent*", 181, Smoke::t_class|Smoke::tf_ptr },	//288
    { "QSize", 182, Smoke::t_class|Smoke::tf_stack },	//289
    { "QSizeF", 183, Smoke::t_class|Smoke::tf_stack },	//290
    { "QSlider*", 184, Smoke::t_class|Smoke::tf_ptr },	//291
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//292
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//293
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//294
    { "QStyle&", 185, Smoke::t_class|Smoke::tf_ref },	//295
    { "QStyleOption*", 186, Smoke::t_class|Smoke::tf_ptr },	//296
    { "QTabletEvent*", 189, Smoke::t_class|Smoke::tf_ptr },	//297
    { "QTextDocument*", 190, Smoke::t_class|Smoke::tf_ptr },	//298
    { "QTimerEvent*", 192, Smoke::t_class|Smoke::tf_ptr },	//299
    { "QToolButton*", 193, Smoke::t_class|Smoke::tf_ptr },	//300
    { "QTreeView*", 194, Smoke::t_class|Smoke::tf_ptr },	//301
    { "QUrl", 195, Smoke::t_class|Smoke::tf_stack },	//302
    { "QVariant", 196, Smoke::t_class|Smoke::tf_stack },	//303
    { "QVariantList", 0, Smoke::t_voidp|Smoke::tf_stack },	//304
    { "QWebFrame*", 197, Smoke::t_class|Smoke::tf_ptr },	//305
    { "QWebPage*", 198, Smoke::t_class|Smoke::tf_ptr },	//306
    { "QWheelEvent*", 199, Smoke::t_class|Smoke::tf_ptr },	//307
    { "QWidget*", 200, Smoke::t_class|Smoke::tf_ptr },	//308
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//349
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::MouseButtons", 0, Smoke::t_uint|Smoke::tf_stack },	//355
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//377
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//378
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//379
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//380
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//381
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtMsgType", 133, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtValidLicenseForActiveQtModule", 133, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QtValidLicenseForCoreModule", 133, Smoke::t_enum|Smoke::tf_stack },	//385
    { "QtValidLicenseForDBusModule", 133, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QtValidLicenseForDeclarativeModule", 133, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QtValidLicenseForGuiModule", 133, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QtValidLicenseForHelpModule", 133, Smoke::t_enum|Smoke::tf_stack },	//389
    { "QtValidLicenseForMultimediaModule", 133, Smoke::t_enum|Smoke::tf_stack },	//390
    { "QtValidLicenseForNetworkModule", 133, Smoke::t_enum|Smoke::tf_stack },	//391
    { "QtValidLicenseForOpenGLModule", 133, Smoke::t_enum|Smoke::tf_stack },	//392
    { "QtValidLicenseForOpenVGModule", 133, Smoke::t_enum|Smoke::tf_stack },	//393
    { "QtValidLicenseForQt3SupportLightModule", 133, Smoke::t_enum|Smoke::tf_stack },	//394
    { "QtValidLicenseForQt3SupportModule", 133, Smoke::t_enum|Smoke::tf_stack },	//395
    { "QtValidLicenseForScriptModule", 133, Smoke::t_enum|Smoke::tf_stack },	//396
    { "QtValidLicenseForScriptToolsModule", 133, Smoke::t_enum|Smoke::tf_stack },	//397
    { "QtValidLicenseForSqlModule", 133, Smoke::t_enum|Smoke::tf_stack },	//398
    { "QtValidLicenseForSvgModule", 133, Smoke::t_enum|Smoke::tf_stack },	//399
    { "QtValidLicenseForTestModule", 133, Smoke::t_enum|Smoke::tf_stack },	//400
    { "QtValidLicenseForXmlModule", 133, Smoke::t_enum|Smoke::tf_stack },	//401
    { "QtValidLicenseForXmlPatternsModule", 133, Smoke::t_enum|Smoke::tf_stack },	//402
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//403
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//404
    { "__codecvt_result", 133, Smoke::t_enum|Smoke::tf_stack },	//405
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//406
    { "const KComponentData&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const KConfigBase&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const KConfigBase*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//409
    { "const KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const KConfigGroup*", 8, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//411
    { "const KIcon&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const KPluginInfo&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//414
    { "const KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//415
    { "const KShortcut&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const KUrl&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//418
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const Plasma::AuthorizationInterface&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const Plasma::Containment::StyleOption&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const Plasma::Containment::Type", 48, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//422
    { "const Plasma::ContainmentActionsPluginsConfig&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const Plasma::DataEngine::Data&", 0, Smoke::t_voidp|Smoke::tf_stack },	//424
    { "const Plasma::ImmutabilityType", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//425
    { "const Plasma::ItemStatus", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//426
    { "const Plasma::MarginEdge", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//427
    { "const Plasma::MessageButton", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//428
    { "const Plasma::Package&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const Plasma::Package*", 73, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//430
    { "const Plasma::PackageMetadata&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const Plasma::PackageStructure&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const Plasma::PlotColor&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const Plasma::QueryMatch&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const Plasma::QueryMatch*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//435
    { "const Plasma::RunnerContext&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const Plasma::RunnerSyntax&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const Plasma::ToolTipContent&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QByteArray&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QColor&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QEasingCurve&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//442
    { "const QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//443
    { "const QFlags<Plasma::MessageButton>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//444
    { "const QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//445
    { "const QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//446
    { "const QFont&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QGraphicsItem*", 134, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//448
    { "const QGraphicsView*", 147, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//449
    { "const QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//450
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QIcon&", 152, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QImage&", 153, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QList<Plasma::QueryMatch>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QList<Plasma::RunnerSyntax>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QList<QRect>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QList<unsigned int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QList<unsigned long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QMetaObject&", 158, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QMetaObject*", 158, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//463
    { "const QModelIndex&", 160, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QObject*", 164, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//465
    { "const QPainterPath&", 168, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QPalette&", 169, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QPixmap&", 170, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QPoint", 171, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//469
    { "const QPoint&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QPointF&", 172, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QRect&", 174, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QRectF&", 175, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QRegExp&", 176, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QRegion&", 177, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QSize&", 182, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const QSizeF&", 183, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//478
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//480
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//482
    { "const QStyleOptionGraphicsItem&", 187, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const QStyleOptionGraphicsItem*", 187, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//484
    { "const QStyleOptionViewItem&", 188, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const QTextOption&", 191, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const QUrl&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const QVariant&", 196, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//489
    { "const bool", 0, Smoke::t_bool|Smoke::tf_stack|Smoke::tf_const },	//490
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//491
    { "const double", 0, Smoke::t_double|Smoke::tf_stack|Smoke::tf_const },	//492
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//493
    { "const int&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//494
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//495
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//496
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//497
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//498
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//499
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//500
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//501
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//502
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//503
    { "qreal", 0, Smoke::t_double|Smoke::tf_stack },	//504
    { "uint", 0, Smoke::t_uint|Smoke::tf_stack },	//505
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//506
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//507
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//508
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//509
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//510
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    491, 0,	//1  const char*
    264, 499, 509, 0,	//3  QMetaObject::Call, int, void**
    406, 0,	//7  bool
    114, 0,	//9  Plasma::Location
    448, 0,	//11  const QGraphicsItem*
    479, 34, 0,	//13  const QString&, Plasma::AbstractRunner*
    479, 68, 0,	//16  const QString&, Plasma::ComponentType
    178, 0,	//19  Plasma::ZoomLevel
    479, 172, 0,	//21  const QString&, Plasma::Wallpaper*
    263, 479, 269, 0,	//24  QMenu*, const QString&, QObject*
    263, 0,	//28  QMenu*
    263, 479, 0,	//30  QMenu*, const QString&
    479, 83, 0,	//33  const QString&, Plasma::DataEngine*
    506, 0,	//36  unsigned int
    200, 0,	//38  QFlags<Plasma::ComponentType>
    479, 51, 0,	//40  const QString&, Plasma::Applet*
    491, 491, 0,	//43  const char*, const char*
    491, 491, 499, 0,	//46  const char*, const char*, int
    81, 0,	//50  Plasma::Corona*
    308, 51, 0,	//52  QWidget*, Plasma::Applet*
    136, 0,	//55  Plasma::RunnerContext&
    308, 0,	//57  QWidget*
    436, 434, 0,	//59  const Plasma::RunnerContext&, const Plasma::QueryMatch&
    204, 0,	//62  QFlags<Plasma::RunnerContext::Type>
    269, 479, 0,	//64  QObject*, const QString&
    414, 269, 0,	//67  const KSharedPtr<KService>, QObject*
    269, 458, 0,	//70  QObject*, const QList<QVariant>&
    36, 0,	//73  Plasma::AbstractRunner::Speed
    35, 0,	//75  Plasma::AbstractRunner::Priority
    479, 479, 0,	//77  const QString&, const QString&
    434, 0,	//80  const Plasma::QueryMatch&
    479, 452, 479, 0,	//82  const QString&, const QIcon&, const QString&
    479, 182, 0,	//86  const QString&, QAction*
    479, 0,	//89  const QString&
    437, 0,	//91  const Plasma::RunnerSyntax&
    455, 0,	//93  const QList<Plasma::RunnerSyntax>&
    435, 0,	//95  const Plasma::QueryMatch*
    269, 0,	//97  QObject*
    414, 0,	//99  const KSharedPtr<KService>
    71, 0,	//101  Plasma::Containment*
    479, 458, 71, 0,	//103  const QString&, const QList<QVariant>&, Plasma::Containment*
    182, 0,	//107  QAction*
    490, 0,	//109  const bool
    410, 0,	//111  const KConfigGroup&
    479, 458, 0,	//113  const QString&, const QList<QVariant>&
    417, 269, 0,	//116  const KUrl&, QObject*
    417, 0,	//119  const KUrl&
    39, 0,	//121  Plasma::AccessAppletJob*
    121, 0,	//123  Plasma::PackageMetadata
    228, 0,	//125  QGraphicsWidget*
    441, 0,	//127  const QEasingCurve&
    499, 0,	//129  int
    46, 0,	//131  Plasma::Animator::Animation
    48, 0,	//133  Plasma::Animator::Movement
    496, 468, 0,	//135  double, const QPixmap&
    496, 213, 0,	//138  double, QGraphicsItem*
    496, 213, 470, 470, 0,	//141  double, QGraphicsItem*, const QPoint&, const QPoint&
    46, 269, 0,	//146  Plasma::Animator::Animation, QObject*
    479, 269, 0,	//149  const QString&, QObject*
    47, 0,	//152  Plasma::Animator::CurveShape
    213, 48, 470, 0,	//154  QGraphicsItem*, Plasma::Animator::Movement, const QPoint&
    499, 499, 47, 269, 491, 0,	//158  int, int, Plasma::Animator::CurveShape, QObject*, const char*
    499, 468, 0,	//164  int, const QPixmap&
    213, 46, 0,	//167  QGraphicsItem*, Plasma::Animator::Animation
    213, 0,	//170  QGraphicsItem*
    228, 180, 180, 0,	//172  QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State
    299, 0,	//176  QTimerEvent*
    9, 0,	//178  KConfigGroup&
    449, 472, 0,	//180  const QGraphicsView*, const QRect&
    449, 473, 0,	//183  const QGraphicsView*, const QRectF&
    476, 0,	//186  const QSize&
    476, 309, 0,	//188  const QSize&, Qt::AlignmentFlag
    201, 0,	//191  QFlags<Plasma::Constraint>
    54, 0,	//193  Plasma::AspectRatioMode
    487, 0,	//195  const QUrl&
    479, 406, 0,	//197  const QString&, bool
    481, 0,	//200  const QStringList&
    479, 506, 458, 0,	//202  const QString&, unsigned int, const QList<QVariant>&
    413, 506, 458, 0,	//206  const KPluginInfo&, unsigned int, const QList<QVariant>&
    413, 0,	//210  const KPluginInfo&
    274, 484, 472, 0,	//212  QPainter*, const QStyleOptionGraphicsItem*, const QRect&
    274, 484, 308, 0,	//216  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    292, 0,	//220  QString
    292, 182, 0,	//222  QString, QAction*
    442, 0,	//225  const QFlags<Plasma::Applet::BackgroundHint>
    416, 0,	//227  const KShortcut&
    96, 0,	//229  Plasma::ExtenderItem*
    213, 479, 506, 0,	//231  QGraphicsItem*, const QString&, unsigned int
    413, 213, 506, 0,	//235  const KPluginInfo&, QGraphicsItem*, unsigned int
    213, 479, 506, 458, 0,	//239  QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&
    7, 0,	//244  KConfigDialog*
    419, 0,	//246  const KUrl::List&
    363, 0,	//248  Qt::SizeHint
    428, 0,	//250  const Plasma::MessageButton
    51, 0,	//252  Plasma::Applet*
    110, 0,	//254  Plasma::ItemStatus
    107, 0,	//256  Plasma::ImmutabilityType
    425, 0,	//258  const Plasma::ImmutabilityType
    426, 0,	//260  const Plasma::ItemStatus
    50, 479, 0,	//262  Plasma::AnnouncementMethods, const QString&
    406, 479, 0,	//265  bool, const QString&
    452, 479, 444, 0,	//268  const QIcon&, const QString&, const QFlags<Plasma::MessageButton>
    269, 197, 0,	//272  QObject*, QEvent*
    213, 197, 0,	//275  QGraphicsItem*, QEvent*
    223, 0,	//278  QGraphicsSceneMouseEvent*
    209, 0,	//280  QFocusEvent*
    225, 0,	//282  QGraphicsSceneResizeEvent*
    216, 488, 0,	//284  QGraphicsItem::GraphicsItemChange, const QVariant&
    363, 477, 0,	//287  Qt::SizeHint, const QSizeF&
    222, 0,	//290  QGraphicsSceneHoverEvent*
    479, 506, 0,	//292  const QString&, unsigned int
    413, 506, 0,	//295  const KPluginInfo&, unsigned int
    213, 479, 0,	//298  QGraphicsItem*, const QString&
    413, 213, 0,	//301  const KPluginInfo&, QGraphicsItem*
    75, 0,	//304  Plasma::Containment::Type
    58, 0,	//306  Plasma::AuthorizationRule&
    65, 0,	//308  Plasma::ClientPinRequest&
    420, 0,	//310  const Plasma::AuthorizationInterface&
    57, 0,	//312  Plasma::AuthorizationManager::AuthorizationPolicy
    55, 0,	//314  Plasma::AuthorizationInterface*
    61, 0,	//316  Plasma::AuthorizationRule::Policy
    60, 0,	//318  Plasma::AuthorizationRule::Persistence
    199, 0,	//320  QFlags<Plasma::AuthorizationRule::Target>
    59, 0,	//322  Plasma::AuthorizationRule*
    288, 0,	//324  QShowEvent*
    233, 0,	//326  QHideEvent*
    274, 484, 0,	//328  QPainter*, const QStyleOptionGraphicsItem*
    197, 0,	//331  QEvent*
    66, 0,	//333  Plasma::ClientPinRequest*
    4, 0,	//335  KComboBox*
    479, 234, 269, 0,	//337  const QString&, QIODevice*, QObject*
    19, 234, 269, 0,	//341  KSharedPtr<KSharedConfig>, QIODevice*, QObject*
    411, 234, 269, 0,	//345  const KConfigGroup*, QIODevice*, QObject*
    479, 234, 0,	//349  const QString&, QIODevice*
    19, 234, 0,	//352  KSharedPtr<KSharedConfig>, QIODevice*
    411, 234, 0,	//355  const KConfigGroup*, QIODevice*
    479, 479, 479, 0,	//358  const QString&, const QString&, const QString&
    479, 458, 473, 0,	//362  const QString&, const QList<QVariant>&, const QRectF&
    51, 471, 406, 0,	//366  Plasma::Applet*, const QPointF&, bool
    499, 499, 0,	//370  int, int
    471, 470, 0,	//373  const QPointF&, const QPoint&
    469, 0,	//376  const QPoint
    51, 471, 0,	//378  Plasma::Applet*, const QPointF&
    71, 177, 0,	//381  Plasma::Containment*, Plasma::ZoomDirection
    471, 0,	//384  const QPointF&
    499, 499, 71, 0,	//386  int, int, Plasma::Containment*
    80, 0,	//390  Plasma::Context*
    99, 0,	//392  Plasma::FormFactor
    219, 0,	//394  QGraphicsSceneContextMenuEvent*
    239, 0,	//396  QKeyEvent*
    226, 0,	//398  QGraphicsSceneWheelEvent*
    220, 0,	//400  QGraphicsSceneDragDropEvent*
    37, 0,	//402  Plasma::AbstractToolBox*
    421, 0,	//404  const Plasma::Containment::StyleOption&
    483, 0,	//406  const QStyleOptionGraphicsItem&
    171, 0,	//408  Plasma::View*
    71, 479, 458, 0,	//410  Plasma::Containment*, const QString&, const QList<QVariant>&
    71, 413, 458, 0,	//414  Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&
    476, 197, 0,	//418  const QSize&, QEvent*
    279, 278, 0,	//421  QPointF, QPoint
    71, 479, 0,	//424  Plasma::Containment*, const QString&
    71, 413, 0,	//427  Plasma::Containment*, const KPluginInfo&
    423, 0,	//430  const Plasma::ContainmentActionsPluginsConfig&
    197, 479, 0,	//432  QEvent*, const QString&
    207, 354, 479, 0,	//435  QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&
    207, 357, 479, 0,	//439  QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&
    499, 499, 479, 458, 0,	//443  int, int, const QString&, const QList<QVariant>&
    448, 476, 0,	//448  const QGraphicsItem*, const QSize&
    448, 476, 309, 0,	//451  const QGraphicsItem*, const QSize&, Qt::AlignmentFlag
    2, 0,	//455  KActionCollection*
    75, 423, 0,	//457  Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&
    33, 0,	//460  Plasma::AbstractDialogManager*
    408, 0,	//462  const KConfigBase&
    422, 0,	//464  const Plasma::Containment::Type
    9, 246, 0,	//466  KConfigGroup&, QList<Plasma::Containment*>
    46, 46, 0,	//469  Plasma::Animator::Animation, Plasma::Animator::Animation
    46, 479, 0,	//472  Plasma::Animator::Animation, const QString&
    422, 479, 0,	//475  const Plasma::Containment::Type, const QString&
    499, 499, 479, 0,	//478  int, int, const QString&
    479, 488, 0,	//482  const QString&, const QVariant&
    269, 506, 108, 0,	//485  QObject*, unsigned int, Plasma::IntervalAlignment
    479, 424, 0,	//489  const QString&, const Plasma::DataEngine::Data&
    82, 0,	//492  Plasma::DataContainer*
    269, 18, 0,	//494  QObject*, KSharedPtr<KService>
    479, 269, 506, 108, 0,	//497  const QString&, QObject*, unsigned int, Plasma::IntervalAlignment
    479, 479, 488, 0,	//502  const QString&, const QString&, const QVariant&
    479, 451, 0,	//506  const QString&, const QHash<QString,QVariant>&
    479, 269, 506, 0,	//509  const QString&, QObject*, unsigned int
    269, 506, 0,	//513  QObject*, unsigned int
    83, 0,	//516  Plasma::DataEngine*
    89, 499, 0,	//518  Plasma::Delegate::SpecificRoles, int
    89, 0,	//521  Plasma::Delegate::SpecificRoles
    274, 485, 464, 0,	//523  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    485, 464, 0,	//527  const QStyleOptionViewItem&, const QModelIndex&
    308, 208, 0,	//530  QWidget*, QFlags<Qt::WindowType>
    202, 0,	//533  QFlags<Plasma::Dialog::ResizeCorner>
    499, 499, 499, 499, 0,	//535  int, int, int, int
    500, 500, 500, 500, 0,	//540  int*, int*, int*, int*
    92, 0,	//545  Plasma::Direction
    273, 0,	//547  QPaintEvent*
    286, 0,	//549  QResizeEvent*
    266, 0,	//551  QMouseEvent*
    267, 0,	//553  QMoveEvent*
    470, 0,	//555  const QPoint&
    94, 0,	//557  Plasma::Extender::Appearance
    96, 471, 0,	//559  Plasma::ExtenderItem*, const QPointF&
    93, 506, 0,	//562  Plasma::Extender*, unsigned int
    93, 0,	//565  Plasma::Extender*
    452, 0,	//567  const QIcon&
    93, 471, 0,	//569  Plasma::Extender*, const QPointF&
    95, 0,	//572  Plasma::ExtenderGroup*
    95, 471, 0,	//574  Plasma::ExtenderGroup*, const QPointF&
    224, 0,	//577  QGraphicsSceneMoveEvent*
    447, 0,	//579  const QFont&
    440, 0,	//581  const QColor&
    479, 499, 486, 0,	//583  const QString&, int, const QTextOption&
    468, 499, 206, 0,	//587  const QPixmap&, int, QFlags<Qt::AlignmentFlag>
    479, 499, 0,	//591  const QString&, int
    468, 0,	//594  const QPixmap&
    468, 499, 0,	//596  const QPixmap&, int
    101, 0,	//599  Plasma::Frame::Shadow
    443, 0,	//601  const QFlags<Plasma::FrameSvg::EnabledBorder>
    477, 0,	//603  const QSizeF&
    427, 0,	//605  const Plasma::MarginEdge
    497, 497, 497, 497, 0,	//607  double&, double&, double&, double&
    274, 473, 473, 0,	//612  QPainter*, const QRectF&, const QRectF&
    274, 471, 0,	//616  QPainter*, const QPointF&
    274, 473, 0,	//619  QPainter*, const QRectF&
    274, 0,	//622  QPainter*
    213, 479, 499, 0,	//624  QGraphicsItem*, const QString&, int
    453, 506, 0,	//628  const QImage&, unsigned int
    453, 0,	//631  const QImage&
    479, 213, 0,	//633  const QString&, QGraphicsItem*
    452, 479, 213, 0,	//636  const QIcon&, const QString&, QGraphicsItem*
    357, 0,	//640  Qt::Orientation
    492, 0,	//642  const double
    274, 476, 499, 0,	//644  QPainter*, const QSize&, int
    452, 479, 0,	//648  const QIcon&, const QString&
    473, 0,	//651  const QRectF&
    504, 0,	//653  qreal
    282, 0,	//655  QRectF
    206, 0,	//657  QFlags<Qt::AlignmentFlag>
    13, 0,	//659  KLineEdit*
    118, 0,	//661  Plasma::Meter::MeterType
    499, 479, 0,	//663  int, const QString&
    499, 440, 0,	//666  int, const QColor&
    499, 447, 0,	//669  int, const QFont&
    499, 446, 0,	//672  int, const QFlags<Qt::AlignmentFlag>
    494, 0,	//675  const int&
    479, 479, 20, 0,	//677  const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>
    479, 20, 0,	//681  const QString&, KSharedPtr<Plasma::PackageStructure>
    429, 0,	//684  const Plasma::Package&
    491, 479, 0,	//686  const char*, const QString&
    431, 479, 0,	//689  const Plasma::PackageMetadata&, const QString&
    431, 479, 479, 479, 0,	//692  const Plasma::PackageMetadata&, const QString&, const QString&, const QString&
    431, 479, 479, 0,	//697  const Plasma::PackageMetadata&, const QString&, const QString&
    431, 0,	//701  const Plasma::PackageMetadata&
    432, 0,	//703  const Plasma::PackageStructure&
    491, 479, 479, 0,	//705  const char*, const QString&, const QString&
    491, 406, 0,	//709  const char*, bool
    293, 0,	//712  QStringList
    491, 293, 0,	//714  const char*, QStringList
    409, 0,	//717  const KConfigBase*
    6, 0,	//719  KConfigBase*
    433, 0,	//721  const Plasma::PlotColor&
    309, 0,	//723  Qt::AlignmentFlag
    505, 0,	//725  uint
    412, 0,	//727  const KIcon&
    34, 0,	//729  Plasma::AbstractRunner*
    134, 0,	//731  Plasma::QueryMatch::Type
    496, 0,	//733  double
    436, 0,	//735  const Plasma::RunnerContext&
    488, 0,	//737  const QVariant&
    136, 269, 0,	//739  Plasma::RunnerContext&, QObject*
    479, 454, 0,	//742  const QString&, const QList<Plasma::QueryMatch>&
    479, 434, 0,	//745  const QString&, const Plasma::QueryMatch&
    478, 0,	//748  const QString
    480, 0,	//750  const QStringList
    9, 269, 0,	//752  KConfigGroup&, QObject*
    454, 0,	//755  const QList<Plasma::QueryMatch>&
    434, 256, 0,	//757  const Plasma::QueryMatch&, QList<QAction*>*
    493, 0,	//760  const int
    489, 0,	//762  const Qt::ScrollBarPolicy
    180, 180, 0,	//764  QAbstractAnimation::State, QAbstractAnimation::State
    213, 208, 0,	//767  QGraphicsItem*, QFlags<Qt::WindowType>
    479, 458, 269, 0,	//770  const QString&, const QList<QVariant>&, QObject*
    410, 269, 0,	//774  const KConfigGroup&, QObject*
    308, 479, 0,	//777  QWidget*, const QString&
    228, 479, 0,	//780  QGraphicsWidget*, const QString&
    218, 479, 0,	//783  QGraphicsObject*, const QString&
    218, 0,	//786  QGraphicsObject*
    149, 0,	//788  Plasma::ServiceJob*
    147, 0,	//790  Plasma::Service*
    479, 262, 0,	//792  const QString&, QMap<QString,QVariant>&
    234, 0,	//795  QIODevice*
    28, 269, 0,	//797  KUrl, QObject*
    28, 0,	//800  KUrl
    459, 0,	//802  const QList<double>&
    460, 0,	//804  const QList<unsigned int>&
    496, 496, 0,	//806  double, double
    506, 506, 0,	//809  unsigned int, unsigned int
    274, 506, 506, 499, 0,	//812  QPainter*, unsigned int, unsigned int, int
    274, 499, 499, 0,	//817  QPainter*, int, int
    274, 499, 499, 499, 0,	//821  QPainter*, int, int, int
    274, 499, 499, 499, 499, 0,	//826  QPainter*, int, int, int, int
    274, 471, 479, 0,	//832  QPainter*, const QPointF&, const QString&
    274, 499, 499, 479, 0,	//836  QPainter*, int, int, const QString&
    274, 473, 479, 0,	//841  QPainter*, const QRectF&, const QString&
    274, 499, 499, 499, 499, 479, 0,	//845  QPainter*, int, int, int, int, const QString&
    158, 0,	//852  Plasma::Theme*
    153, 479, 213, 208, 0,	//854  Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>
    153, 0,	//859  Plasma::Svg*
    354, 0,	//861  Qt::MouseButton
    153, 479, 0,	//863  Plasma::Svg*, const QString&
    153, 479, 213, 0,	//866  Plasma::Svg*, const QString&, QGraphicsItem*
    499, 452, 479, 217, 0,	//870  int, const QIcon&, const QString&, QGraphicsLayoutItem*
    499, 479, 217, 0,	//875  int, const QString&, QGraphicsLayoutItem*
    452, 479, 217, 0,	//879  const QIcon&, const QString&, QGraphicsLayoutItem*
    479, 217, 0,	//883  const QString&, QGraphicsLayoutItem*
    499, 452, 0,	//886  int, const QIcon&
    499, 406, 0,	//889  int, bool
    499, 452, 479, 0,	//892  int, const QIcon&, const QString&
    361, 0,	//896  Qt::ScrollBarPolicy
    27, 0,	//898  KTextEdit*
    159, 0,	//900  Plasma::Theme::ColorRole
    447, 160, 0,	//902  const QFont&, Plasma::Theme::FontRole
    160, 0,	//905  Plasma::Theme::FontRole
    479, 277, 0,	//907  const QString&, QPixmap&
    479, 277, 506, 0,	//910  const QString&, QPixmap&, unsigned int
    479, 468, 0,	//914  const QString&, const QPixmap&
    479, 468, 479, 0,	//917  const QString&, const QPixmap&, const QString&
    479, 479, 283, 0,	//921  const QString&, const QString&, QRectF&
    479, 479, 473, 0,	//925  const QString&, const QString&, const QRectF&
    438, 0,	//929  const Plasma::ToolTipContent&
    479, 479, 468, 0,	//931  const QString&, const QString&, const QPixmap&
    479, 479, 452, 0,	//935  const QString&, const QString&, const QIcon&
    507, 0,	//939  unsigned long
    461, 0,	//941  const QList<unsigned long>&
    164, 487, 488, 0,	//943  Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&
    298, 0,	//947  QTextDocument*
    228, 438, 0,	//949  QGraphicsWidget*, const Plasma::ToolTipContent&
    166, 0,	//952  Plasma::ToolTipManager::State
    403, 355, 349, 470, 0,	//954  WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    479, 355, 349, 470, 0,	//959  const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    181, 0,	//964  QAbstractItemModel*
    445, 0,	//966  const QFlags<Plasma::VideoWidget::Control>
    502, 0,	//968  long long
    503, 0,	//970  qint64
    71, 308, 0,	//972  Plasma::Containment*, QWidget*
    71, 499, 308, 0,	//975  Plasma::Containment*, int, QWidget*
    71, 499, 0,	//979  Plasma::Containment*, int
    413, 458, 0,	//982  const KPluginInfo&, const QList<QVariant>&
    172, 0,	//985  Plasma::Wallpaper*
    173, 0,	//987  Plasma::Wallpaper::ResizeMethod
    479, 476, 173, 440, 0,	//989  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&
    453, 476, 173, 440, 0,	//994  const QImage&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&
    479, 237, 506, 0,	//999  const QString&, QImage&, unsigned int
    479, 453, 0,	//1003  const QString&, const QImage&
    456, 0,	//1006  const QList<QAction*>&
    479, 476, 0,	//1008  const QString&, const QSize&
    479, 476, 173, 0,	//1011  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod
    453, 476, 0,	//1015  const QImage&, const QSize&
    453, 476, 173, 0,	//1018  const QImage&, const QSize&, Plasma::Wallpaper::ResizeMethod
    479, 237, 0,	//1022  const QString&, QImage&
    418, 0,	//1025  const KUrl::List
    439, 417, 0,	//1027  const QByteArray&, const KUrl&
    479, 417, 0,	//1030  const QString&, const KUrl&
    306, 0,	//1033  QWebPage*
    439, 0,	//1035  const QByteArray&
    179, 0,	//1037  QAbstractAnimation::Direction
    308, 485, 464, 0,	//1039  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    308, 464, 0,	//1043  QWidget*, const QModelIndex&
    308, 181, 464, 0,	//1046  QWidget*, QAbstractItemModel*, const QModelIndex&
    197, 181, 485, 464, 0,	//1050  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    448, 346, 0,	//1055  const QGraphicsItem*, Qt::ItemSelectionMode
    466, 346, 0,	//1058  const QPainterPath&, Qt::ItemSelectionMode
    238, 0,	//1061  QInputMethodEvent*
    343, 0,	//1063  Qt::InputMethodQuery
    215, 0,	//1065  QGraphicsItem::Extension
    215, 488, 0,	//1067  QGraphicsItem::Extension, const QVariant&
    221, 0,	//1070  QGraphicsSceneHelpEvent*
    274, 499, 214, 484, 308, 0,	//1072  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*
    190, 0,	//1078  QContextMenuEvent*
    191, 0,	//1080  QDragEnterEvent*
    192, 0,	//1082  QDragLeaveEvent*
    193, 0,	//1084  QDragMoveEvent*
    195, 0,	//1086  QDropEvent*
    307, 0,	//1088  QWheelEvent*
    274, 499, 214, 484, 0,	//1090  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*
    498, 498, 498, 498, 0,	//1095  double*, double*, double*, double*
    296, 0,	//1100  QStyleOption*
    187, 0,	//1102  QCloseEvent*
    186, 0,	//1104  QChildEvent*
    297, 0,	//1106  QTabletEvent*
    183, 0,	//1108  QActionEvent*
    404, 0,	//1110  _XEvent*
    270, 0,	//1112  QPaintDevice::PaintDeviceMetric
    295, 0,	//1114  QStyle&
    467, 0,	//1116  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractDialogManager",	//1
    "AbstractDialogManager#",	//2
    "AbstractRunner",	//3
    "AbstractRunner#",	//4
    "AbstractRunner#$",	//5
    "AbstractRunner#?",	//6
    "AbstractRunner?",	//7
    "AbstractRunner?#",	//8
    "AbstractToolBox",	//9
    "AbstractToolBox#",	//10
    "AbstractToolBox#?",	//11
    "AcceptingInputStatus",	//12
    "AccessAppletJob",	//13
    "AccessAppletJob#",	//14
    "AccessAppletJob##",	//15
    "ActivateAnimation",	//16
    "Activated",	//17
    "ActiveStatus",	//18
    "AddTool",	//19
    "AlignToHour",	//20
    "AlignToMinute",	//21
    "All",	//22
    "AllBorders",	//23
    "AllConstraints",	//24
    "AllLayers",	//25
    "AllServices",	//26
    "AllUsers",	//27
    "Allow",	//28
    "AnalogMeter",	//29
    "AnchorUnderMouse",	//30
    "AnchorViewCenter",	//31
    "Animation",	//32
    "Animation#",	//33
    "AnimationDriver",	//34
    "AnimationDriver#",	//35
    "AnimatorComponent",	//36
    "AppearAnimation",	//37
    "Applet",	//38
    "Applet#",	//39
    "Applet##",	//40
    "Applet##$",	//41
    "Applet#$",	//42
    "Applet#$$",	//43
    "Applet#$$?",	//44
    "Applet#?",	//45
    "AppletComponent",	//46
    "AppletScript",	//47
    "AppletScript#",	//48
    "AppletType",	//49
    "AuthorizationInterface",	//50
    "AuthorizationInterface#",	//51
    "BackgroundColor",	//52
    "BackgroundLayer",	//53
    "Backward",	//54
    "BarMeterHorizontal",	//55
    "BarMeterVertical",	//56
    "BottomBorder",	//57
    "BottomEdge",	//58
    "BottomMargin",	//59
    "BottomPosedLeftAlignedPopup",	//60
    "BottomPosedRightAlignedPopup",	//61
    "BottomPositioned",	//62
    "BottomUpStacked",	//63
    "BoundingRectViewportUpdate",	//64
    "Box",	//65
    "BspTreeIndex",	//66
    "BusyWidget",	//67
    "BusyWidget#",	//68
    "ButtonBackgroundColor",	//69
    "ButtonCancel",	//70
    "ButtonFocusColor",	//71
    "ButtonHoverColor",	//72
    "ButtonNo",	//73
    "ButtonNone",	//74
    "ButtonOk",	//75
    "ButtonTextColor",	//76
    "ButtonYes",	//77
    "Bytes",	//78
    "CacheBackground",	//79
    "CacheNone",	//80
    "Center",	//81
    "CenterPositioned",	//82
    "CenterTiledResize",	//83
    "CenteredResize",	//84
    "CheckBox",	//85
    "CheckBox#",	//86
    "ColumnTypeRole",	//87
    "ComboBox",	//88
    "ComboBox#",	//89
    "CompletionMatch",	//90
    "ConfigLoader",	//91
    "ConfigLoader##",	//92
    "ConfigLoader###",	//93
    "ConfigLoader$#",	//94
    "ConfigLoader$##",	//95
    "ConfigLoader?#",	//96
    "ConfigLoader?##",	//97
    "ConfigureTool",	//98
    "ConstrainedSquare",	//99
    "Containment",	//100
    "Containment#",	//101
    "Containment#$",	//102
    "Containment#$$",	//103
    "Containment#?",	//104
    "ContainmentActions",	//105
    "ContainmentActions#",	//106
    "ContainmentActions#?",	//107
    "ContainmentActionsPluginsConfig",	//108
    "ContainmentActionsPluginsConfig#",	//109
    "ContainmentComponent",	//110
    "Context",	//111
    "Context#",	//112
    "ContextConstraint",	//113
    "ControlTool",	//114
    "Corona",	//115
    "Corona#",	//116
    "CssResource",	//117
    "Custom",	//118
    "CustomContainment",	//119
    "CustomPanelContainment",	//120
    "DataContainer",	//121
    "DataContainer#",	//122
    "DataEngine",	//123
    "DataEngine#",	//124
    "DataEngine#?",	//125
    "DataEngineComponent",	//126
    "DataEngineScript",	//127
    "DataEngineScript#",	//128
    "Deactivated",	//129
    "Default",	//130
    "DefaultBackground",	//131
    "DefaultControls",	//132
    "DefaultFont",	//133
    "Delegate",	//134
    "Delegate#",	//135
    "DeleteWhenStopped",	//136
    "Deny",	//137
    "DenyAll",	//138
    "Desktop",	//139
    "DesktopContainment",	//140
    "DesktopFont",	//141
    "DesktopZoom",	//142
    "DestructiveTool",	//143
    "DeviceCoordinateCache",	//144
    "Dialog",	//145
    "Dialog#",	//146
    "Dialog#$",	//147
    "Directories",	//148
    "Directory",	//149
    "DisappearAnimation",	//150
    "DontAdjustForAntialiasing",	//151
    "DontClipPainter",	//152
    "DontSavePainterState",	//153
    "Down",	//154
    "DrawChildren",	//155
    "DrawWindowBackground",	//156
    "EaseInCurve",	//157
    "EaseInOutCurve",	//158
    "EaseOutCurve",	//159
    "EditNextItem",	//160
    "EditPreviousItem",	//161
    "EmitResult",	//162
    "ExactMatch",	//163
    "Executable",	//164
    "Extender",	//165
    "Extender#",	//166
    "ExtenderGroup",	//167
    "ExtenderGroup#",	//168
    "ExtenderGroup#$",	//169
    "ExtenderItem",	//170
    "ExtenderItem#",	//171
    "ExtenderItem#$",	//172
    "FadeAnimation",	//173
    "FastSlideInMovement",	//174
    "FastSlideOutMovement",	//175
    "File",	//176
    "FileSystem",	//177
    "Files",	//178
    "FixedSize",	//179
    "FlashingLabel",	//180
    "FlashingLabel#",	//181
    "Floating",	//182
    "FloatingPopup",	//183
    "ForegroundLayer",	//184
    "FormFactorConstraint",	//185
    "Forward",	//186
    "Frame",	//187
    "Frame#",	//188
    "FrameSvg",	//189
    "FrameSvg#",	//190
    "FullScreen",	//191
    "FullViewportUpdate",	//192
    "GLApplet",	//193
    "GLApplet#$$",	//194
    "GLApplet#?",	//195
    "GenericComponent",	//196
    "GeometryAnimation",	//197
    "GroupBox",	//198
    "GroupBox#",	//199
    "GroupZoom",	//200
    "GrowAnimation",	//201
    "HLine",	//202
    "Help",	//203
    "HelperMatch",	//204
    "HighPriority",	//205
    "HighestPriority",	//206
    "HighlightColor",	//207
    "Horizontal",	//208
    "HorizontalFlip",	//209
    "HtmlResource",	//210
    "IconWidget",	//211
    "IconWidget#",	//212
    "IconWidget#$",	//213
    "IconWidget#$#",	//214
    "IconWidget$",	//215
    "IconWidget$#",	//216
    "IgnoreAspectRatio",	//217
    "IgnoreMask",	//218
    "ImageResource",	//219
    "ImmutableConstraint",	//220
    "IndirectPainting",	//221
    "InformationalMatch",	//222
    "Inhibited",	//223
    "InvalidAspectRatioMode",	//224
    "InvalidCredentials",	//225
    "ItemAcceptsInputMethod",	//226
    "ItemBackground",	//227
    "ItemBackground#",	//228
    "ItemChildAddedChange",	//229
    "ItemChildRemovedChange",	//230
    "ItemClipsChildrenToShape",	//231
    "ItemClipsToShape",	//232
    "ItemCoordinateCache",	//233
    "ItemCursorChange",	//234
    "ItemCursorHasChanged",	//235
    "ItemDoesntPropagateOpacityToChildren",	//236
    "ItemEnabledChange",	//237
    "ItemEnabledHasChanged",	//238
    "ItemFlagsChange",	//239
    "ItemFlagsHaveChanged",	//240
    "ItemHasNoContents",	//241
    "ItemIgnoresParentOpacity",	//242
    "ItemIgnoresTransformations",	//243
    "ItemIsFocusScope",	//244
    "ItemIsFocusable",	//245
    "ItemIsMovable",	//246
    "ItemIsPanel",	//247
    "ItemIsSelectable",	//248
    "ItemLayer",	//249
    "ItemMatrixChange",	//250
    "ItemNegativeZStacksBehindParent",	//251
    "ItemOpacityChange",	//252
    "ItemOpacityHasChanged",	//253
    "ItemParentChange",	//254
    "ItemParentHasChanged",	//255
    "ItemPositionChange",	//256
    "ItemPositionHasChanged",	//257
    "ItemRotationChange",	//258
    "ItemRotationHasChanged",	//259
    "ItemScaleChange",	//260
    "ItemScaleHasChanged",	//261
    "ItemSceneChange",	//262
    "ItemSceneHasChanged",	//263
    "ItemScenePositionHasChanged",	//264
    "ItemSelectedChange",	//265
    "ItemSelectedHasChanged",	//266
    "ItemSendsGeometryChanges",	//267
    "ItemSendsScenePositionChanges",	//268
    "ItemStacksBehindParent",	//269
    "ItemStopsClickFocusPropagation",	//270
    "ItemStopsFocusHandling",	//271
    "ItemToolTipChange",	//272
    "ItemToolTipHasChanged",	//273
    "ItemTransformChange",	//274
    "ItemTransformHasChanged",	//275
    "ItemTransformOriginPointChange",	//276
    "ItemTransformOriginPointHasChanged",	//277
    "ItemUsesExtendedStyleOption",	//278
    "ItemVisibleChange",	//279
    "ItemVisibleHasChanged",	//280
    "ItemZValueChange",	//281
    "ItemZValueHasChanged",	//282
    "KST_CTimeInfo",	//283
    "KST_KCustom",	//284
    "KST_KDEDesktopMimeType",	//285
    "KST_KFolderMimeType",	//286
    "KST_KImageIO",	//287
    "KST_KImageIOFormat",	//288
    "KST_KMimeType",	//289
    "KST_KMimeTypeEntry",	//290
    "KST_KMimeTypeFactory",	//291
    "KST_KProtocolInfo",	//292
    "KST_KProtocolInfoFactory",	//293
    "KST_KService",	//294
    "KST_KServiceFactory",	//295
    "KST_KServiceGroup",	//296
    "KST_KServiceGroupFactory",	//297
    "KST_KServiceSeparator",	//298
    "KST_KServiceType",	//299
    "KST_KServiceTypeFactory",	//300
    "KST_KSycocaEntry",	//301
    "KeepAspectRatio",	//302
    "KeepWhenStopped",	//303
    "Killable",	//304
    "KilledJobError",	//305
    "Label",	//306
    "Label#",	//307
    "LastAnimation",	//308
    "LastResizeMethod",	//309
    "Left",	//310
    "LeftBorder",	//311
    "LeftEdge",	//312
    "LeftMargin",	//313
    "LeftPosedBottomAlignedPopup",	//314
    "LeftPosedTopAlignedPopup",	//315
    "LeftPositioned",	//316
    "LicensedActiveQt",	//317
    "LicensedCore",	//318
    "LicensedDBus",	//319
    "LicensedDeclarative",	//320
    "LicensedGui",	//321
    "LicensedHelp",	//322
    "LicensedMultimedia",	//323
    "LicensedNetwork",	//324
    "LicensedOpenGL",	//325
    "LicensedOpenVG",	//326
    "LicensedQt3Support",	//327
    "LicensedQt3SupportLight",	//328
    "LicensedScript",	//329
    "LicensedScriptTools",	//330
    "LicensedSql",	//331
    "LicensedSvg",	//332
    "LicensedTest",	//333
    "LicensedXml",	//334
    "LicensedXmlPatterns",	//335
    "LineEdit",	//336
    "LineEdit#",	//337
    "LineEditType",	//338
    "LinearCurve",	//339
    "LinkColor",	//340
    "LocationConstraint",	//341
    "LowPriority",	//342
    "LowestPriority",	//343
    "MainColumn",	//344
    "MaxpectResize",	//345
    "MediaCenter",	//346
    "Meter",	//347
    "Meter#",	//348
    "MinimalViewportUpdate",	//349
    "MiscTool",	//350
    "MoveAny",	//351
    "MoveDown",	//352
    "MoveLeft",	//353
    "MoveRight",	//354
    "MoveUp",	//355
    "Mutable",	//356
    "NeedsAttentionStatus",	//357
    "NetworkLocation",	//358
    "Next",	//359
    "NoAlignment",	//360
    "NoAnchor",	//361
    "NoAnnouncement",	//362
    "NoBackground",	//363
    "NoBorder",	//364
    "NoBorders",	//365
    "NoCache",	//366
    "NoCapabilities",	//367
    "NoConstraint",	//368
    "NoContainmentType",	//369
    "NoControls",	//370
    "NoCorner",	//371
    "NoDrag",	//372
    "NoError",	//373
    "NoFlip",	//374
    "NoFrame",	//375
    "NoHint",	//376
    "NoIndex",	//377
    "NoMatch",	//378
    "NoViewportUpdate",	//379
    "NonModal",	//380
    "None",	//381
    "NormalPriority",	//382
    "NormalSpeed",	//383
    "NorthEast",	//384
    "NorthWest",	//385
    "OpenFile",	//386
    "OverviewZoom",	//387
    "Package",	//388
    "Package#",	//389
    "Package$$?",	//390
    "Package$?",	//391
    "PackageMetadata",	//392
    "PackageMetadata#",	//393
    "PackageMetadata$",	//394
    "PackageStructure",	//395
    "PackageStructure#",	//396
    "PackageStructure#$",	//397
    "Panel",	//398
    "PanelContainment",	//399
    "PanelModal",	//400
    "PassiveStatus",	//401
    "Pause",	//402
    "Paused",	//403
    "PendularCurve",	//404
    "Persistent",	//405
    "PinPairing",	//406
    "PinRequired",	//407
    "PixmapTransitionAnimation",	//408
    "Plain",	//409
    "Planar",	//410
    "Play",	//411
    "PlayPause",	//412
    "PlotColor",	//413
    "PlotColor#",	//414
    "PopupApplet",	//415
    "PopupApplet#?",	//416
    "PopupConstraint",	//417
    "PossibleMatch",	//418
    "Previous",	//419
    "Progress",	//420
    "PulseAnimation",	//421
    "PushButton",	//422
    "PushButton#",	//423
    "Q_COMPLEX_TYPE",	//424
    "Q_DUMMY_TYPE",	//425
    "Q_MOVABLE_TYPE",	//426
    "Q_PRIMITIVE_TYPE",	//427
    "Q_STATIC_TYPE",	//428
    "QtCriticalMsg",	//429
    "QtDebugMsg",	//430
    "QtFatalMsg",	//431
    "QtSystemMsg",	//432
    "QtWarningMsg",	//433
    "QueryMatch",	//434
    "QueryMatch#",	//435
    "Quietly",	//436
    "RadioButton",	//437
    "RadioButton#",	//438
    "Raised",	//439
    "RevertModelCache",	//440
    "Right",	//441
    "RightBorder",	//442
    "RightEdge",	//443
    "RightMargin",	//444
    "RightPosedBottomAlignedPopup",	//445
    "RightPosedTopAlignedPopup",	//446
    "RightPositioned",	//447
    "RotationAnimation",	//448
    "RotationStackedAnimation",	//449
    "RubberBandDrag",	//450
    "RunnerComponent",	//451
    "RunnerContext",	//452
    "RunnerContext#",	//453
    "RunnerContext##",	//454
    "RunnerManager",	//455
    "RunnerManager#",	//456
    "RunnerManager##",	//457
    "RunnerScript",	//458
    "RunnerScript#",	//459
    "RunnerSyntax",	//460
    "RunnerSyntax#",	//461
    "RunnerSyntax$$",	//462
    "Running",	//463
    "ScaledAndCroppedResize",	//464
    "ScaledResize",	//465
    "SceneModal",	//466
    "ScreenConstraint",	//467
    "ScriptEngine",	//468
    "ScriptEngine#",	//469
    "ScrollBar",	//470
    "ScrollBar#",	//471
    "ScrollHandDrag",	//472
    "ScrollWidget",	//473
    "ScrollWidget#",	//474
    "SecondaryActionColumn",	//475
    "Separator",	//476
    "Separator#",	//477
    "Separator#$",	//478
    "Service",	//479
    "Service#",	//480
    "Service#?",	//481
    "ServiceAccessJob",	//482
    "ServiceAccessJob#",	//483
    "ServiceAccessJob##",	//484
    "Shadow_Mask",	//485
    "Shape_Mask",	//486
    "ShellCommand",	//487
    "SignalPlotter",	//488
    "SignalPlotter#",	//489
    "SizeConstraint",	//490
    "SlideAnimation",	//491
    "SlideInMovement",	//492
    "SlideOutMovement",	//493
    "Slider",	//494
    "Slider#",	//495
    "SlowSpeed",	//496
    "SmallestFont",	//497
    "SmartViewportUpdate",	//498
    "SouthEast",	//499
    "SouthWest",	//500
    "SpinBox",	//501
    "SpinBox#",	//502
    "Square",	//503
    "StandardBackground",	//504
    "StartupCompletedConstraint",	//505
    "Stop",	//506
    "Stopped",	//507
    "StyleOption",	//508
    "StyleOption#",	//509
    "StyledPanel",	//510
    "SubTitleMandatoryRole",	//511
    "SubTitleRole",	//512
    "SubmitModelCache",	//513
    "Sunken",	//514
    "Suspendable",	//515
    "Svg",	//516
    "Svg#",	//517
    "SvgWidget",	//518
    "SvgWidget#",	//519
    "SvgWidget#$",	//520
    "SvgWidget#$#",	//521
    "SvgWidget#$#$",	//522
    "SystemImmutable",	//523
    "TabBar",	//524
    "TabBar#",	//525
    "TextBrowser",	//526
    "TextBrowser#",	//527
    "TextColor",	//528
    "TextEdit",	//529
    "TextEdit#",	//530
    "Theme",	//531
    "Theme#",	//532
    "Theme$",	//533
    "Theme$#",	//534
    "TiledResize",	//535
    "ToolButton",	//536
    "ToolButton#",	//537
    "ToolTipContent",	//538
    "ToolTipContent#",	//539
    "ToolTipContent$$",	//540
    "ToolTipContent$$#",	//541
    "TopBorder",	//542
    "TopDownStacked",	//543
    "TopEdge",	//544
    "TopMargin",	//545
    "TopPosedLeftAlignedPopup",	//546
    "TopPosedRightAlignedPopup",	//547
    "TopPositioned",	//548
    "Transient",	//549
    "TranslucentBackground",	//550
    "TreeView",	//551
    "TreeView#",	//552
    "TrustedCredentials",	//553
    "TrustedOnly",	//554
    "Type",	//555
    "UltimateCredentials",	//556
    "UnknownCredentials",	//557
    "UnknownStatus",	//558
    "UnknownType",	//559
    "Up",	//560
    "UserDefinedError",	//561
    "UserExtension",	//562
    "UserImmutable",	//563
    "UserToolType",	//564
    "UserType",	//565
    "VLine",	//566
    "ValidCredentials",	//567
    "Version",	//568
    "Vertical",	//569
    "VerticalFlip",	//570
    "VideoWidget",	//571
    "VideoWidget#",	//572
    "View",	//573
    "View#",	//574
    "View##",	//575
    "View#$",	//576
    "View#$#",	//577
    "ViewBackgroundColor",	//578
    "ViewFocusColor",	//579
    "ViewHoverColor",	//580
    "ViewTextColor",	//581
    "VisitedLinkColor",	//582
    "Volume",	//583
    "Wallpaper",	//584
    "Wallpaper#",	//585
    "Wallpaper#?",	//586
    "WallpaperComponent",	//587
    "WallpaperScript",	//588
    "WallpaperScript#",	//589
    "WaterAnimation",	//590
    "WebView",	//591
    "WebView#",	//592
    "WinPanel",	//593
    "ZeroconfAnnouncement",	//594
    "ZoomAnimation",	//595
    "ZoomIn",	//596
    "ZoomOut",	//597
    "__codecvt_error",	//598
    "__codecvt_noconv",	//599
    "__codecvt_ok",	//600
    "__codecvt_partial",	//601
    "aboutToFinish",	//602
    "access",	//603
    "access#",	//604
    "access##",	//605
    "accessRemoteApplet",	//606
    "accessRemoteApplet#",	//607
    "action",	//608
    "action$",	//609
    "actionEvent",	//610
    "actions",	//611
    "actionsForMatch",	//612
    "actionsForMatch#",	//613
    "actionsForMatch#?",	//614
    "actionsFromMenu",	//615
    "actionsFromMenu#",	//616
    "actionsFromMenu#$",	//617
    "actionsFromMenu#$#",	//618
    "activate",	//619
    "activated",	//620
    "activated$",	//621
    "activity",	//622
    "activityChanged",	//623
    "activityChanged#",	//624
    "addAction",	//625
    "addAction$",	//626
    "addAction$#",	//627
    "addAction$#$",	//628
    "addApplet",	//629
    "addApplet#",	//630
    "addApplet##",	//631
    "addApplet##$",	//632
    "addApplet$",	//633
    "addApplet$?",	//634
    "addApplet$?#",	//635
    "addAssociatedWidget",	//636
    "addAssociatedWidget#",	//637
    "addContainment",	//638
    "addContainment$",	//639
    "addContainment$?",	//640
    "addContainmentDelayed",	//641
    "addContainmentDelayed$",	//642
    "addContainmentDelayed$?",	//643
    "addDirectoryDefinition",	//644
    "addDirectoryDefinition$$$",	//645
    "addExampleQuery",	//646
    "addExampleQuery$",	//647
    "addFileDefinition",	//648
    "addFileDefinition$$$",	//649
    "addIconAction",	//650
    "addIconAction#",	//651
    "addItem",	//652
    "addItem$",	//653
    "addMatch",	//654
    "addMatch$#",	//655
    "addMatches",	//656
    "addMatches$?",	//657
    "addOffscreenWidget",	//658
    "addOffscreenWidget#",	//659
    "addPlot",	//660
    "addPlot#",	//661
    "addPlugin",	//662
    "addPlugin#$",	//663
    "addPlugin$$$",	//664
    "addResource",	//665
    "addResource$##",	//666
    "addSample",	//667
    "addSample?",	//668
    "addShortcuts",	//669
    "addShortcuts#",	//670
    "addSiblingContainment",	//671
    "addSiblingContainment#",	//672
    "addSource",	//673
    "addSource#",	//674
    "addStandardConfigurationPages",	//675
    "addStandardConfigurationPages#",	//676
    "addSyntax",	//677
    "addSyntax#",	//678
    "addTab",	//679
    "addTab#$",	//680
    "addTab#$#",	//681
    "addTab$",	//682
    "addTab$#",	//683
    "addTool",	//684
    "addTool#",	//685
    "addToolBoxAction",	//686
    "addToolBoxAction#",	//687
    "addUrls",	//688
    "addUrls?",	//689
    "advance",	//690
    "alignment",	//691
    "allowExternalPaths",	//692
    "allowedRunners",	//693
    "alphaMask",	//694
    "animatedHide",	//695
    "animatedHide$",	//696
    "animatedShow",	//697
    "animatedShow$",	//698
    "animationCurve",	//699
    "animationCurve$",	//700
    "animationDuration",	//701
    "animationDuration$",	//702
    "animationFinished",	//703
    "animationFinished#$",	//704
    "animationFps",	//705
    "animationFps$",	//706
    "animationPath",	//707
    "animationPath$",	//708
    "animationStep",	//709
    "animationStep$",	//710
    "appearance",	//711
    "appearanceChanged",	//712
    "append",	//713
    "append$",	//714
    "applet",	//715
    "appletAdded",	//716
    "appletAdded##",	//717
    "appletDestroyed",	//718
    "appletDestroyed#",	//719
    "appletMimeType",	//720
    "appletRemoved",	//721
    "appletRemoved#",	//722
    "appletTransformedByUser",	//723
    "appletTransformedItself",	//724
    "applets",	//725
    "application",	//726
    "aspectRatioMode",	//727
    "associateItem",	//728
    "associateItem#$",	//729
    "associateWidget",	//730
    "associateWidget#$",	//731
    "associatedApplication",	//732
    "associatedApplicationUrls",	//733
    "attachedItems",	//734
    "audioOutput",	//735
    "author",	//736
    "authorizationRequest",	//737
    "authorizationRequest#",	//738
    "autoExpireDelay",	//739
    "autoHide",	//740
    "autoRaise",	//741
    "autohide",	//742
    "availableScreenRegion",	//743
    "availableScreenRegion$",	//744
    "availableScreenRegionChanged",	//745
    "back",	//746
    "backgroundColor",	//747
    "backgroundHints",	//748
    "becameUnused",	//749
    "becameUnused$",	//750
    "bigLock",	//751
    "bindTexture",	//752
    "bindTexture#",	//753
    "bindTexture#$",	//754
    "boundingRect",	//755
    "cacheAllRenderedFrames",	//756
    "calculateNiceRange",	//757
    "category",	//758
    "category#",	//759
    "category$",	//760
    "changeEvent",	//761
    "changeEvent#",	//762
    "changed",	//763
    "changed#",	//764
    "checkForUpdate",	//765
    "checkUsage",	//766
    "childEvent",	//767
    "clear",	//768
    "clearActions",	//769
    "clearApplets",	//770
    "clearCache",	//771
    "clearContainments",	//772
    "clearContent",	//773
    "clearContent#",	//774
    "click",	//775
    "clickMessage",	//776
    "clicked",	//777
    "clicked$",	//778
    "clientPinRequest",	//779
    "clientPinRequest#",	//780
    "closeEvent",	//781
    "closeToolBox",	//782
    "collapseGroup",	//783
    "collidesWithItem",	//784
    "collidesWithPath",	//785
    "color",	//786
    "color$",	//787
    "colorScheme",	//788
    "config",	//789
    "config$",	//790
    "configChanged",	//791
    "configNeedsSaving",	//792
    "configScheme",	//793
    "configSynced",	//794
    "configurationAccepted",	//795
    "configurationRequired",	//796
    "configurationRequired$",	//797
    "configureRequested",	//798
    "configureRequested#",	//799
    "connectAllSources",	//800
    "connectAllSources#",	//801
    "connectAllSources#$",	//802
    "connectAllSources#$$",	//803
    "connectNotify",	//804
    "connectSource",	//805
    "connectSource$#",	//806
    "connectSource$#$",	//807
    "connectSource$#$$",	//808
    "connectVisualization",	//809
    "connectVisualization#$$",	//810
    "constraintsEvent",	//811
    "constraintsEvent$",	//812
    "containerDict",	//813
    "containerForSource",	//814
    "containerForSource$",	//815
    "containment",	//816
    "containmentActions",	//817
    "containmentActions$",	//818
    "containmentActionsConfig",	//819
    "containmentActionsDefaults",	//820
    "containmentActionsDefaults$",	//821
    "containmentActionsTriggers",	//822
    "containmentAdded",	//823
    "containmentAdded#",	//824
    "containmentForScreen",	//825
    "containmentForScreen$",	//826
    "containmentForScreen$$",	//827
    "containmentForScreen$$$",	//828
    "containmentForScreen$$$?",	//829
    "containmentType",	//830
    "containments",	//831
    "contains",	//832
    "containsMultipleImages",	//833
    "contentsHash",	//834
    "contentsPrefix",	//835
    "contentsPrefixPaths",	//836
    "contentsRect",	//837
    "contentsSize",	//838
    "context",	//839
    "contextActions",	//840
    "contextChanged",	//841
    "contextChanged#",	//842
    "contextEvent",	//843
    "contextEvent#",	//844
    "contextMenuEvent",	//845
    "contextMenuEvent#",	//846
    "contextualActions",	//847
    "controlsVisible",	//848
    "corona",	//849
    "count",	//850
    "create",	//851
    "create$",	//852
    "create$#",	//853
    "createActivity",	//854
    "createActivity$",	//855
    "createConfigurationInterface",	//856
    "createConfigurationInterface#",	//857
    "createDefaultService",	//858
    "createDefaultService#",	//859
    "createEditor",	//860
    "createJob",	//861
    "createJob$?",	//862
    "createNewWidgetBrowser",	//863
    "createNewWidgetBrowser#",	//864
    "createPackage",	//865
    "createPackage#$$",	//866
    "createPackage#$$$",	//867
    "createRunOptions",	//868
    "createRunOptions#",	//869
    "currentActivity",	//870
    "currentActivityId",	//871
    "currentChanged",	//872
    "currentChanged$",	//873
    "currentIndex",	//874
    "currentIndexChanged",	//875
    "currentIndexChanged$",	//876
    "currentPixmap",	//877
    "currentPixmap$",	//878
    "currentThemeHasImage",	//879
    "currentThemeHasImage$",	//880
    "currentTime",	//881
    "customAnimation",	//882
    "customAnimation$$$#$",	//883
    "customAnimationFinished",	//884
    "customAnimationFinished$",	//885
    "customCategories",	//886
    "customEvent",	//887
    "darkColor",	//888
    "data",	//889
    "dataEngine",	//890
    "dataEngine$",	//891
    "dataUpdated",	//892
    "dataUpdated$?",	//893
    "defaultContainmentPlugin",	//894
    "defaultPackageRoot",	//895
    "defaultSyntax",	//896
    "defaultTheme",	//897
    "deleteTexture",	//898
    "deleteTexture$",	//899
    "description",	//900
    "desktop",	//901
    "destination",	//902
    "destroy",	//903
    "destroy$",	//904
    "destroyed",	//905
    "destroyed#",	//906
    "detachedItems",	//907
    "devType",	//908
    "dialogManager",	//909
    "dialogResized",	//910
    "dialogVisible",	//911
    "dialogVisible$",	//912
    "directories",	//913
    "disassociateItem",	//914
    "disassociateItem#",	//915
    "disassociateWidget",	//916
    "disassociateWidget#",	//917
    "disconnectNotify",	//918
    "disconnectSource",	//919
    "disconnectSource$#",	//920
    "disconnectVisualization",	//921
    "disconnectVisualization#",	//922
    "doKill",	//923
    "doResume",	//924
    "doSuspend",	//925
    "doubleClicked",	//926
    "dragEnterEvent",	//927
    "dragEnterEvent#",	//928
    "dragLeaveEvent",	//929
    "dragLeaveEvent#",	//930
    "dragMoveEvent",	//931
    "dragMoveEvent#",	//932
    "dragToScroll",	//933
    "drawActionButtonBase",	//934
    "drawActionButtonBase##$",	//935
    "drawAxisText",	//936
    "drawAxisText#$$",	//937
    "drawBackground",	//938
    "drawBackground#$$",	//939
    "drawForeground",	//940
    "drawHorizontalLines",	//941
    "drawHorizontalLines#$$$",	//942
    "drawItems",	//943
    "drawPlots",	//944
    "drawPlots#$$$$",	//945
    "drawThinFrame",	//946
    "drawThinFrame#$$",	//947
    "drawTopBarContents",	//948
    "drawTopBarContents#$$$",	//949
    "drawTopBarFrame",	//950
    "drawTopBarFrame#$$",	//951
    "drawVerticalLines",	//952
    "drawVerticalLines#$$$",	//953
    "drawWallpaper",	//954
    "drawWidget",	//955
    "drawWidget#$$$",	//956
    "dropEvent",	//957
    "dropEvent#",	//958
    "duration",	//959
    "easingCurve",	//960
    "editingFinished",	//961
    "editorEvent",	//962
    "effectiveDesktop",	//963
    "elementAnimationCurve",	//964
    "elementAnimationCurve$",	//965
    "elementAnimationDuration",	//966
    "elementAnimationDuration$",	//967
    "elementAnimationFinished",	//968
    "elementAnimationFinished$",	//969
    "elementAnimationFps",	//970
    "elementAnimationFps$",	//971
    "elementAppear",	//972
    "elementAppear$#",	//973
    "elementAtPoint",	//974
    "elementAtPoint#",	//975
    "elementDisappear",	//976
    "elementDisappear$#",	//977
    "elementID",	//978
    "elementRect",	//979
    "elementRect$",	//980
    "elementSize",	//981
    "elementSize$",	//982
    "email",	//983
    "emptyExtenderMessage",	//984
    "emptyRect",	//985
    "emptyRect##",	//986
    "enableAction",	//987
    "enableAction$$",	//988
    "enabledBorders",	//989
    "enabledBordersForItem",	//990
    "enabledBordersForItem#",	//991
    "enabledChange",	//992
    "engine",	//993
    "engine$",	//994
    "ensureItemVisible",	//995
    "ensureItemVisible#",	//996
    "ensureRectVisible",	//997
    "ensureRectVisible#",	//998
    "enterEvent",	//999
    "entryList",	//1000
    "entryList$",	//1001
    "errorString",	//1002
    "event",	//1003
    "event#",	//1004
    "eventFilter",	//1005
    "eventFilter##",	//1006
    "eventToString",	//1007
    "eventToString#",	//1008
    "exampleQueries",	//1009
    "exampleQueriesWithTermDescription",	//1010
    "execQuery",	//1011
    "execQuery$",	//1012
    "execQuery$$",	//1013
    "expandGroup",	//1014
    "exportLayout",	//1015
    "exportLayout#?",	//1016
    "extender",	//1017
    "extenderItemRestored",	//1018
    "extenderItemRestored#",	//1019
    "extension",	//1020
    "fadeIn",	//1021
    "fadeOut",	//1022
    "filePath",	//1023
    "filePath$",	//1024
    "filePath$$",	//1025
    "files",	//1026
    "findInCache",	//1027
    "findInCache$#",	//1028
    "findInCache$#$",	//1029
    "findInRectsCache",	//1030
    "findInRectsCache$$#",	//1031
    "findItem",	//1032
    "findItem$$",	//1033
    "findItemByName",	//1034
    "findItemByName$",	//1035
    "finished",	//1036
    "finished#",	//1037
    "firstPositionWidget",	//1038
    "flash",	//1039
    "flash#",	//1040
    "flash#$",	//1041
    "flash#$$",	//1042
    "flash$",	//1043
    "flash$$",	//1044
    "flash$$#",	//1045
    "flushPendingConstraintsEvents",	//1046
    "focusChanged",	//1047
    "focusChanged$",	//1048
    "focusInEvent",	//1049
    "focusInEvent#",	//1050
    "focusNextApplet",	//1051
    "focusNextPrevChild",	//1052
    "focusOutEvent",	//1053
    "focusOutEvent#",	//1054
    "focusPreviousApplet",	//1055
    "font",	//1056
    "font$",	//1057
    "fontChange",	//1058
    "fontColor",	//1059
    "fontMetrics",	//1060
    "forceImmediateUpdate",	//1061
    "forceImmediateUpdateOfAllVisualizations",	//1062
    "formFactor",	//1063
    "forward",	//1064
    "framePixmap",	//1065
    "frameShadow",	//1066
    "frameSize",	//1067
    "freeEdges",	//1068
    "freeEdges$",	//1069
    "geometry",	//1070
    "geometryChanged",	//1071
    "getContentsMargins",	//1072
    "getDataEngine",	//1073
    "getMargins",	//1074
    "getMargins$$$$",	//1075
    "getMinimumResizeLimits",	//1076
    "getMinimumResizeLimits$$$$",	//1077
    "getSnapshotImage",	//1078
    "getSnapshotImage$$",	//1079
    "globalConfig",	//1080
    "globalShortcut",	//1081
    "grabKeyboardEvent",	//1082
    "grabMouseEvent",	//1083
    "graphicsWidget",	//1084
    "group",	//1085
    "group$",	//1086
    "groupList",	//1087
    "groups",	//1088
    "hasAuthorization",	//1089
    "hasAuthorization$",	//1090
    "hasConfigurationInterface",	//1091
    "hasElement",	//1092
    "hasElement$",	//1093
    "hasElementPrefix",	//1094
    "hasElementPrefix$",	//1095
    "hasFailedToLaunch",	//1096
    "hasGroup",	//1097
    "hasGroup$",	//1098
    "hasItem",	//1099
    "hasItem$",	//1100
    "hasOverShoot",	//1101
    "hasRunOptions",	//1102
    "hasScaledContents",	//1103
    "hasValidAssociatedApplication",	//1104
    "heightForWidth",	//1105
    "helpEvent",	//1106
    "hide",	//1107
    "hide#",	//1108
    "hideCloseButton",	//1109
    "hideEvent",	//1110
    "hideEvent#",	//1111
    "hidePopup",	//1112
    "highlightWindows",	//1113
    "homepage",	//1114
    "horizontalLinesColor",	//1115
    "horizontalLinesCount",	//1116
    "horizontalScale",	//1117
    "horizontalScrollBarPolicy",	//1118
    "hoverEnterEvent",	//1119
    "hoverEnterEvent#",	//1120
    "hoverLeaveEvent",	//1121
    "hoverLeaveEvent#",	//1122
    "hoverMoveEvent",	//1123
    "hoverMoveEvent#",	//1124
    "html",	//1125
    "icon",	//1126
    "iconSize",	//1127
    "id",	//1128
    "ignoredTypes",	//1129
    "image",	//1130
    "imagePath",	//1131
    "imagePath$",	//1132
    "immutability",	//1133
    "immutabilityChanged",	//1134
    "immutabilityChanged$",	//1135
    "implementationApi",	//1136
    "importLayout",	//1137
    "importLayout#",	//1138
    "inControlArea",	//1139
    "inControlArea#",	//1140
    "infoText",	//1141
    "init",	//1142
    "init#",	//1143
    "initExtenderItem",	//1144
    "initExtenderItem#",	//1145
    "initStyleOption",	//1146
    "initWallpaper",	//1147
    "initWallpaper#",	//1148
    "initializeLayout",	//1149
    "initializeLayout$",	//1150
    "inputMethodEvent",	//1151
    "inputMethodQuery",	//1152
    "insertIntoCache",	//1153
    "insertIntoCache$#",	//1154
    "insertIntoCache$#$",	//1155
    "insertIntoRectsCache",	//1156
    "insertIntoRectsCache$$#",	//1157
    "insertTab",	//1158
    "insertTab$#$",	//1159
    "insertTab$#$#",	//1160
    "insertTab$$",	//1161
    "insertTab$$#",	//1162
    "installPackage",	//1163
    "installPackage$$",	//1164
    "installPackage$$$",	//1165
    "invalidateRectsCache",	//1166
    "invalidateRectsCache$",	//1167
    "invertLayout",	//1168
    "invertLayout$",	//1169
    "invertedLayout",	//1170
    "isAnimating",	//1171
    "isAutoCollapse",	//1172
    "isBusy",	//1173
    "isCheckable",	//1174
    "isChecked",	//1175
    "isClearButtonShown",	//1176
    "isClickable",	//1177
    "isCollapsed",	//1178
    "isContainment",	//1179
    "isDetached",	//1180
    "isDown",	//1181
    "isEmpty",	//1182
    "isEnabled",	//1183
    "isGroup",	//1184
    "isGroupCollapsed",	//1185
    "isIconified",	//1186
    "isInitialized",	//1187
    "isInstantPopup",	//1188
    "isMatchingSuspended",	//1189
    "isObscuredBy",	//1190
    "isOperationEnabled",	//1191
    "isOperationEnabled$",	//1192
    "isPassivePopup",	//1193
    "isPluginVersionCompatible",	//1194
    "isPluginVersionCompatible$",	//1195
    "isPopupShowing",	//1196
    "isPreviewing",	//1197
    "isPublished",	//1198
    "isReadOnly",	//1199
    "isRegisteredAsDragHandle",	//1200
    "isRegisteredAsDragHandle#",	//1201
    "isRequired",	//1202
    "isRequired$",	//1203
    "isRunning",	//1204
    "isShowing",	//1205
    "isStorageEnabled",	//1206
    "isTabBarShown",	//1207
    "isTabHighlighted",	//1208
    "isTabHighlighted$",	//1209
    "isToolBoxOpen",	//1210
    "isTransient",	//1211
    "isUserConfiguring",	//1212
    "isUserResizing",	//1213
    "isUsingRenderingCache",	//1214
    "isValid",	//1215
    "isVisible",	//1216
    "isVisible#",	//1217
    "isWallpaperEnabled",	//1218
    "item",	//1219
    "item$",	//1220
    "itemActivated",	//1221
    "itemActivated$#",	//1222
    "itemAddedEvent",	//1223
    "itemAddedEvent#",	//1224
    "itemAddedEvent##",	//1225
    "itemAppear",	//1226
    "itemAppear$#",	//1227
    "itemAttached",	//1228
    "itemAttached#",	//1229
    "itemChange",	//1230
    "itemChange$#",	//1231
    "itemDetached",	//1232
    "itemDetached#",	//1233
    "itemDisappear",	//1234
    "itemDisappear$#",	//1235
    "itemHoverEnterEvent",	//1236
    "itemHoverEnterEvent#",	//1237
    "itemHoverLeaveEvent",	//1238
    "itemHoverLeaveEvent#",	//1239
    "itemHoverMoveEvent",	//1240
    "itemHoverMoveEvent##",	//1241
    "itemRemovedEvent",	//1242
    "itemRemovedEvent#",	//1243
    "itemSlideIn",	//1244
    "itemSlideIn$###",	//1245
    "itemSlideOut",	//1246
    "itemSlideOut$###",	//1247
    "items",	//1248
    "keyPressEvent",	//1249
    "keyPressEvent#",	//1250
    "keyReleaseEvent",	//1251
    "keyReleaseEvent#",	//1252
    "keywords",	//1253
    "kill",	//1254
    "knownLanguages",	//1255
    "knownLanguages$",	//1256
    "label",	//1257
    "label$",	//1258
    "labelAlignment",	//1259
    "labelAlignment$",	//1260
    "labelColor",	//1261
    "labelColor$",	//1262
    "labelFont",	//1263
    "labelFont$",	//1264
    "labelRect",	//1265
    "labelRect$",	//1266
    "languageChange",	//1267
    "lastDesktop",	//1268
    "lastPositionWidget",	//1269
    "lastScreen",	//1270
    "lastValue",	//1271
    "lastValue$",	//1272
    "lastValueAsString",	//1273
    "lastValueAsString$",	//1274
    "launchQuery",	//1275
    "launchQuery$",	//1276
    "launchQuery$$",	//1277
    "layoutContainments",	//1278
    "leaveEvent",	//1279
    "license",	//1280
    "linkActivated",	//1281
    "linkActivated$",	//1282
    "linkActivated$$$#",	//1283
    "linkHovered",	//1284
    "linkHovered$",	//1285
    "listActivities",	//1286
    "listAllEngines",	//1287
    "listAllEngines$",	//1288
    "listAppletInfo",	//1289
    "listAppletInfo$",	//1290
    "listAppletInfo$$",	//1291
    "listAppletInfoForMimetype",	//1292
    "listAppletInfoForMimetype$",	//1293
    "listAppletInfoForUrl",	//1294
    "listAppletInfoForUrl#",	//1295
    "listCachedRectKeys",	//1296
    "listCachedRectKeys$",	//1297
    "listCategories",	//1298
    "listCategories$",	//1299
    "listCategories$$",	//1300
    "listContainmentActionsInfo",	//1301
    "listContainmentTypes",	//1302
    "listContainments",	//1303
    "listContainments$",	//1304
    "listContainments$$",	//1305
    "listContainmentsForMimetype",	//1306
    "listContainmentsForMimetype$",	//1307
    "listContainmentsOfType",	//1308
    "listContainmentsOfType$",	//1309
    "listContainmentsOfType$$",	//1310
    "listContainmentsOfType$$$",	//1311
    "listEngineInfo",	//1312
    "listEngineInfo$",	//1313
    "listEngineInfoByCategory",	//1314
    "listEngineInfoByCategory$",	//1315
    "listEngineInfoByCategory$$",	//1316
    "listInstalled",	//1317
    "listInstalled$",	//1318
    "listInstalledPaths",	//1319
    "listInstalledPaths$",	//1320
    "listRenderingModes",	//1321
    "listRunnerInfo",	//1322
    "listRunnerInfo$",	//1323
    "listThemeInfo",	//1324
    "listToolBoxInfo",	//1325
    "listToolBoxInfo$",	//1326
    "listWallpaperInfo",	//1327
    "listWallpaperInfo$",	//1328
    "listWallpaperInfoForMimetype",	//1329
    "listWallpaperInfoForMimetype$",	//1330
    "listWallpaperInfoForMimetype$$",	//1331
    "load",	//1332
    "load#",	//1333
    "load##",	//1334
    "load##?",	//1335
    "load#$",	//1336
    "load#$?",	//1337
    "load#?",	//1338
    "load$",	//1339
    "load$#",	//1340
    "load$$",	//1341
    "load$$?",	//1342
    "load$?",	//1343
    "load$?#",	//1344
    "loadAnimationFromPackage",	//1345
    "loadAnimationFromPackage$#",	//1346
    "loadDefaultLayout",	//1347
    "loadEngine",	//1348
    "loadEngine$",	//1349
    "loadFinished",	//1350
    "loadFinished$",	//1351
    "loadLayout",	//1352
    "loadLayout$",	//1353
    "loadPlasmoid",	//1354
    "loadPlasmoid$",	//1355
    "loadPlasmoid$$",	//1356
    "loadPlasmoid$$?",	//1357
    "loadProgress",	//1358
    "loadProgress$",	//1359
    "loadRunner",	//1360
    "loadRunner$",	//1361
    "loadRunner?",	//1362
    "loadScriptEngine",	//1363
    "loadScriptEngine$#",	//1364
    "location",	//1365
    "locationChanged",	//1366
    "locationChanged#",	//1367
    "locationToDirection",	//1368
    "locationToDirection$",	//1369
    "locationToInverseDirection",	//1370
    "locationToInverseDirection$",	//1371
    "lostContainment",	//1372
    "lower",	//1373
    "mainFrame",	//1374
    "mainScript",	//1375
    "mainText",	//1376
    "makeCurrent",	//1377
    "mapAnimation",	//1378
    "mapAnimation$$",	//1379
    "mapFromView",	//1380
    "mapFromView##",	//1381
    "mapToView",	//1382
    "mapToView##",	//1383
    "marginSize",	//1384
    "marginSize$",	//1385
    "mask",	//1386
    "match",	//1387
    "match#",	//1388
    "match$",	//1389
    "matchSessionComplete",	//1390
    "matches",	//1391
    "matchesChanged",	//1392
    "matchesChanged?",	//1393
    "matchingSuspended",	//1394
    "matchingSuspended$",	//1395
    "maxSourceCount",	//1396
    "maximum",	//1397
    "maximumIconSize",	//1398
    "mediaObject",	//1399
    "messageButtonPressed",	//1400
    "messageButtonPressed$",	//1401
    "metaObject",	//1402
    "metadata",	//1403
    "meterType",	//1404
    "metric",	//1405
    "mimeDataForMatch",	//1406
    "mimeDataForMatch#",	//1407
    "mimeDataForMatch$",	//1408
    "mimeType",	//1409
    "mimetypes",	//1410
    "mimetypes$",	//1411
    "minimum",	//1412
    "minimumIconSize",	//1413
    "minimumPollingInterval",	//1414
    "minimumSizeHint",	//1415
    "model",	//1416
    "mouseDoubleClickEvent",	//1417
    "mouseDoubleClickEvent#",	//1418
    "mouseMoveEvent",	//1419
    "mouseMoveEvent#",	//1420
    "mousePressEvent",	//1421
    "mousePressEvent#",	//1422
    "mouseReleaseEvent",	//1423
    "mouseReleaseEvent#",	//1424
    "moveEvent",	//1425
    "moveEvent#",	//1426
    "moveItem",	//1427
    "moveItem#$#",	//1428
    "movementAnimationCurve",	//1429
    "movementAnimationCurve$",	//1430
    "movementAnimationDuration",	//1431
    "movementAnimationDuration$",	//1432
    "movementAnimationFps",	//1433
    "movementAnimationFps$",	//1434
    "movementFinished",	//1435
    "movementFinished#",	//1436
    "name",	//1437
    "name$",	//1438
    "nativeWidget",	//1439
    "needsPreviewDuringConfiguration",	//1440
    "needsToBeStored",	//1441
    "newStatus",	//1442
    "newStatus$",	//1443
    "newWidgetBrowserFinished",	//1444
    "nextRequested",	//1445
    "numDisplayLines",	//1446
    "numScreens",	//1447
    "offscreenWidgets",	//1448
    "opaqueArea",	//1449
    "openToolBox",	//1450
    "operationDescription",	//1451
    "operationDescription$",	//1452
    "operationNames",	//1453
    "operationsChanged",	//1454
    "operator!=",	//1455
    "operator!=#",	//1456
    "operator<",	//1457
    "operator<#",	//1458
    "operator=",	//1459
    "operator=#",	//1460
    "operator==",	//1461
    "operator==#",	//1462
    "orientation",	//1463
    "overflowBordersVisible",	//1464
    "package",	//1465
    "packageStructure",	//1466
    "packageStructure#",	//1467
    "packageStructure$$",	//1468
    "page",	//1469
    "pageStep",	//1470
    "paint",	//1471
    "paint##",	//1472
    "paint###",	//1473
    "paint##$",	//1474
    "paint#$$",	//1475
    "paint#$$$",	//1476
    "paint#$$$$",	//1477
    "paint#$$$$$",	//1478
    "paintEngine",	//1479
    "paintEvent",	//1480
    "paintEvent#",	//1481
    "paintFrame",	//1482
    "paintFrame#",	//1483
    "paintFrame##",	//1484
    "paintFrame###",	//1485
    "paintGLInterface",	//1486
    "paintGLInterface##",	//1487
    "paintInterface",	//1488
    "paintInterface###",	//1489
    "paintWindowFrame",	//1490
    "paintWindowFrame###",	//1491
    "paletteChange",	//1492
    "parametersFromDescription",	//1493
    "parametersFromDescription#",	//1494
    "paste",	//1495
    "paste##",	//1496
    "path",	//1497
    "path$",	//1498
    "pathChanged",	//1499
    "pause",	//1500
    "performMatch",	//1501
    "performMatch#",	//1502
    "persistence",	//1503
    "pin",	//1504
    "pixmap",	//1505
    "pixmap$",	//1506
    "play",	//1507
    "plotColors",	//1508
    "pluginName",	//1509
    "policy",	//1510
    "polishEvent",	//1511
    "popupAlignment",	//1512
    "popupEvent",	//1513
    "popupEvent$",	//1514
    "popupIcon",	//1515
    "popupPlacement",	//1516
    "popupPosition",	//1517
    "popupPosition#",	//1518
    "popupPosition##",	//1519
    "popupPosition##$",	//1520
    "popupPosition#$",	//1521
    "preferredIconSize",	//1522
    "preferredToolBoxPlugin",	//1523
    "preferredToolBoxPlugin$",	//1524
    "prefix",	//1525
    "prepare",	//1526
    "pressed",	//1527
    "pressed$",	//1528
    "previousRequested",	//1529
    "priority",	//1530
    "property",	//1531
    "property$",	//1532
    "propertyChange",	//1533
    "publish",	//1534
    "publish$$",	//1535
    "qt_metacall",	//1536
    "qt_metacall$$?",	//1537
    "qt_metacast",	//1538
    "qt_metacast$",	//1539
    "query",	//1540
    "query$",	//1541
    "queryFinished",	//1542
    "raise",	//1543
    "read",	//1544
    "read#",	//1545
    "read$",	//1546
    "readConfig",	//1547
    "readyForRemoteAccess",	//1548
    "rectAfterSubTitle",	//1549
    "rectAfterSubTitle##",	//1550
    "rectAfterTitle",	//1551
    "rectAfterTitle##",	//1552
    "registerAsDragHandle",	//1553
    "registerAsDragHandle#",	//1554
    "registerOperationsScheme",	//1555
    "registerPackage",	//1556
    "registerPackage#$",	//1557
    "registerResources",	//1558
    "registerResources#",	//1559
    "registerScrollingManager",	//1560
    "registerScrollingManager#",	//1561
    "registerWidget",	//1562
    "registerWidget#",	//1563
    "releaseRectsCache",	//1564
    "releaseRectsCache$",	//1565
    "releaseVisualFocus",	//1566
    "released",	//1567
    "relevance",	//1568
    "reload",	//1569
    "reloadConfiguration",	//1570
    "remainingTime",	//1571
    "remoteAppletAnnounced",	//1572
    "remoteAppletAnnounced#",	//1573
    "remoteAppletUnannounced",	//1574
    "remoteAppletUnannounced#",	//1575
    "remoteApplets",	//1576
    "remoteLocation",	//1577
    "remove",	//1578
    "remove#",	//1579
    "removeAction",	//1580
    "removeAction$",	//1581
    "removeAllData",	//1582
    "removeAllData$",	//1583
    "removeAllSources",	//1584
    "removeAssociatedWidget",	//1585
    "removeAssociatedWidget#",	//1586
    "removeData",	//1587
    "removeData$$",	//1588
    "removeDefinition",	//1589
    "removeDefinition$",	//1590
    "removeIconAction",	//1591
    "removeIconAction#",	//1592
    "removeMatch",	//1593
    "removeMatch$",	//1594
    "removeMatches",	//1595
    "removeMatches?",	//1596
    "removeOffscreenWidget",	//1597
    "removeOffscreenWidget#",	//1598
    "removePlot",	//1599
    "removePlot$",	//1600
    "removeSource",	//1601
    "removeSource$",	//1602
    "removeTab",	//1603
    "removeTab$",	//1604
    "removeTool",	//1605
    "removeTool#",	//1606
    "removeToolBoxAction",	//1607
    "removeToolBoxAction#",	//1608
    "render",	//1609
    "render##",	//1610
    "render##$",	//1611
    "render##$#",	//1612
    "render$#",	//1613
    "render$#$",	//1614
    "render$#$#",	//1615
    "renderCompleted",	//1616
    "renderCompleted#",	//1617
    "renderHintsChanged",	//1618
    "renderingMode",	//1619
    "reorderPlots",	//1620
    "reorderPlots?",	//1621
    "repaintNeeded",	//1622
    "reposition",	//1623
    "requestConfigSync",	//1624
    "requireConfigSync",	//1625
    "requiredDataEngines",	//1626
    "requiredDirectories",	//1627
    "requiredFiles",	//1628
    "requiredVersion",	//1629
    "reset",	//1630
    "resize",	//1631
    "resize#",	//1632
    "resize$$",	//1633
    "resizeCorners",	//1634
    "resizeEvent",	//1635
    "resizeEvent#",	//1636
    "resizeFrame",	//1637
    "resizeFrame#",	//1638
    "resizeMethodHint",	//1639
    "restore",	//1640
    "restore#",	//1641
    "restoreContents",	//1642
    "restoreContents#",	//1643
    "returnPressed",	//1644
    "returnToSource",	//1645
    "roleMapping",	//1646
    "roleMapping$",	//1647
    "run",	//1648
    "run#",	//1649
    "run##",	//1650
    "run$",	//1651
    "runAssociatedApplication",	//1652
    "runner",	//1653
    "runner$",	//1654
    "runnerName",	//1655
    "runnerName$",	//1656
    "runners",	//1657
    "save",	//1658
    "save#",	//1659
    "saveContents",	//1660
    "saveContents#",	//1661
    "saveLayout",	//1662
    "saveLayout$",	//1663
    "saveState",	//1664
    "saveState#",	//1665
    "scale",	//1666
    "scale$",	//1667
    "scaledBy",	//1668
    "scalingFactor",	//1669
    "scalingFactor$",	//1670
    "sceneEvent",	//1671
    "sceneEventFilter",	//1672
    "sceneEventFilter##",	//1673
    "sceneRectAboutToChange",	//1674
    "sceneRectChanged",	//1675
    "scheduleSourcesUpdated",	//1676
    "screen",	//1677
    "screenChanged",	//1678
    "screenChanged$$#",	//1679
    "screenGeometry",	//1680
    "screenGeometry$",	//1681
    "screenOwnerChanged",	//1682
    "screenOwnerChanged$$#",	//1683
    "screenRect",	//1684
    "scrollContentsBy",	//1685
    "scrollPosition",	//1686
    "scrollStateChanged",	//1687
    "scrollStateChanged#$$",	//1688
    "scrollStateChanged$$",	//1689
    "searchContext",	//1690
    "searchPath",	//1691
    "searchPath$",	//1692
    "searchTermDescription",	//1693
    "seek",	//1694
    "seek$",	//1695
    "selectedAction",	//1696
    "self",	//1697
    "service",	//1698
    "serviceForSource",	//1699
    "serviceForSource$",	//1700
    "serviceName",	//1701
    "servicePrefix",	//1702
    "serviceQuery",	//1703
    "serviceQuery$",	//1704
    "serviceQuery$$",	//1705
    "serviceReady",	//1706
    "serviceReady#",	//1707
    "serviceType",	//1708
    "setAction",	//1709
    "setAction#",	//1710
    "setActivity",	//1711
    "setActivity$",	//1712
    "setAlignment",	//1713
    "setAlignment$",	//1714
    "setAllowExternalPaths",	//1715
    "setAllowExternalPaths$",	//1716
    "setAllowedRunners",	//1717
    "setAllowedRunners?",	//1718
    "setAppearance",	//1719
    "setAppearance$",	//1720
    "setApplet",	//1721
    "setApplet#",	//1722
    "setAppletMimeType",	//1723
    "setAppletMimeType$",	//1724
    "setApplication",	//1725
    "setApplication$",	//1726
    "setAspectRatioMode",	//1727
    "setAspectRatioMode$",	//1728
    "setAssociatedApplication",	//1729
    "setAssociatedApplication$",	//1730
    "setAssociatedApplicationUrls",	//1731
    "setAssociatedApplicationUrls?",	//1732
    "setAuthor",	//1733
    "setAuthor$",	//1734
    "setAuthorizationInterface",	//1735
    "setAuthorizationInterface#",	//1736
    "setAuthorizationPolicy",	//1737
    "setAuthorizationPolicy$",	//1738
    "setAutoCollapse",	//1739
    "setAutoCollapse$",	//1740
    "setAutoExpireDelay",	//1741
    "setAutoExpireDelay$",	//1742
    "setAutoHide",	//1743
    "setAutoHide$",	//1744
    "setAutoRaise",	//1745
    "setAutoRaise$",	//1746
    "setAutohide",	//1747
    "setAutohide$",	//1748
    "setBackgroundColor",	//1749
    "setBackgroundColor#",	//1750
    "setBackgroundHints",	//1751
    "setBackgroundHints$",	//1752
    "setBoundingRect",	//1753
    "setBoundingRect#",	//1754
    "setBusy",	//1755
    "setBusy$",	//1756
    "setCacheAllRenderedFrames",	//1757
    "setCacheAllRenderedFrames$",	//1758
    "setCacheLimit",	//1759
    "setCacheLimit$",	//1760
    "setCategory",	//1761
    "setCategory$",	//1762
    "setCheckable",	//1763
    "setCheckable$",	//1764
    "setChecked",	//1765
    "setChecked$",	//1766
    "setClearButtonShown",	//1767
    "setClearButtonShown$",	//1768
    "setClickMessage",	//1769
    "setClickMessage$",	//1770
    "setClickable",	//1771
    "setClickable$",	//1772
    "setCollapsed",	//1773
    "setCollapsed$",	//1774
    "setColor",	//1775
    "setColor#",	//1776
    "setConfigurationRequired",	//1777
    "setConfigurationRequired$",	//1778
    "setConfigurationRequired$$",	//1779
    "setContainment",	//1780
    "setContainment#",	//1781
    "setContainmentActions",	//1782
    "setContainmentActions$$",	//1783
    "setContainmentActionsDefaults",	//1784
    "setContainmentActionsDefaults$#",	//1785
    "setContainmentType",	//1786
    "setContainmentType$",	//1787
    "setContainsMultipleImages",	//1788
    "setContainsMultipleImages$",	//1789
    "setContent",	//1790
    "setContent##",	//1791
    "setContentsPrefix",	//1792
    "setContentsPrefix$",	//1793
    "setContentsPrefixPaths",	//1794
    "setContentsPrefixPaths?",	//1795
    "setContextActions",	//1796
    "setContextActions?",	//1797
    "setContextualActions",	//1798
    "setContextualActions?",	//1799
    "setControlsVisible",	//1800
    "setControlsVisible$",	//1801
    "setCurrentActivity",	//1802
    "setCurrentActivity$",	//1803
    "setCurrentActivityId",	//1804
    "setCurrentActivityId$",	//1805
    "setCurrentIndex",	//1806
    "setCurrentIndex$",	//1807
    "setCustomCategories",	//1808
    "setCustomCategories?",	//1809
    "setDarkColor",	//1810
    "setDarkColor#",	//1811
    "setData",	//1812
    "setData#",	//1813
    "setData$#",	//1814
    "setData$$#",	//1815
    "setData$?",	//1816
    "setDataEngine",	//1817
    "setDataEngine#",	//1818
    "setDefaultContainmentPlugin",	//1819
    "setDefaultContainmentPlugin$",	//1820
    "setDefaultMimetypes",	//1821
    "setDefaultMimetypes?",	//1822
    "setDefaultPackageRoot",	//1823
    "setDefaultPackageRoot$",	//1824
    "setDefaultService",	//1825
    "setDefaultService$",	//1826
    "setDefaultSyntax",	//1827
    "setDefaultSyntax#",	//1828
    "setDefaults",	//1829
    "setDescription",	//1830
    "setDescription$",	//1831
    "setDestination",	//1832
    "setDestination$",	//1833
    "setDialogManager",	//1834
    "setDialogManager#",	//1835
    "setDown",	//1836
    "setDown$",	//1837
    "setDragToScroll",	//1838
    "setDragToScroll$",	//1839
    "setDrawBackground",	//1840
    "setDrawBackground$",	//1841
    "setDrawWallpaper",	//1842
    "setDrawWallpaper$",	//1843
    "setDuration",	//1844
    "setDuration$",	//1845
    "setEasingCurve",	//1846
    "setEasingCurve#",	//1847
    "setEditorData",	//1848
    "setElementID",	//1849
    "setElementID$",	//1850
    "setElementPrefix",	//1851
    "setElementPrefix$",	//1852
    "setEmail",	//1853
    "setEmail$",	//1854
    "setEmptyExtenderMessage",	//1855
    "setEmptyExtenderMessage$",	//1856
    "setEnabled",	//1857
    "setEnabled$",	//1858
    "setEnabledBorders",	//1859
    "setEnabledBorders$",	//1860
    "setExtender",	//1861
    "setExtender#",	//1862
    "setExtender##",	//1863
    "setExtension",	//1864
    "setFailedToLaunch",	//1865
    "setFailedToLaunch$",	//1866
    "setFailedToLaunch$$",	//1867
    "setFirstPositionWidget",	//1868
    "setFirstPositionWidget#",	//1869
    "setFont",	//1870
    "setFont#",	//1871
    "setFont#$",	//1872
    "setFontColor",	//1873
    "setFontColor#",	//1874
    "setFormFactor",	//1875
    "setFormFactor$",	//1876
    "setFrameShadow",	//1877
    "setFrameShadow$",	//1878
    "setGeometry",	//1879
    "setGeometry#",	//1880
    "setGlobalShortcut",	//1881
    "setGlobalShortcut#",	//1882
    "setGraphicsWidget",	//1883
    "setGraphicsWidget#",	//1884
    "setGroup",	//1885
    "setGroup#",	//1886
    "setGroup##",	//1887
    "setGroupCollapsed",	//1888
    "setGroupCollapsed$",	//1889
    "setHasConfigurationInterface",	//1890
    "setHasConfigurationInterface$",	//1891
    "setHasRunOptions",	//1892
    "setHasRunOptions$",	//1893
    "setHighlightWindows",	//1894
    "setHighlightWindows$",	//1895
    "setHorizontalLinesColor",	//1896
    "setHorizontalLinesColor#",	//1897
    "setHorizontalLinesCount",	//1898
    "setHorizontalLinesCount$",	//1899
    "setHorizontalScale",	//1900
    "setHorizontalScale$",	//1901
    "setHorizontalScrollBarPolicy",	//1902
    "setHorizontalScrollBarPolicy$",	//1903
    "setHtml",	//1904
    "setHtml#",	//1905
    "setHtml##",	//1906
    "setHtml$",	//1907
    "setHtml$#",	//1908
    "setIcon",	//1909
    "setIcon#",	//1910
    "setIcon$",	//1911
    "setId",	//1912
    "setId$",	//1913
    "setIgnoredTypes",	//1914
    "setIgnoredTypes$",	//1915
    "setImage",	//1916
    "setImage#",	//1917
    "setImage$",	//1918
    "setImage$$",	//1919
    "setImagePath",	//1920
    "setImagePath$",	//1921
    "setImmutability",	//1922
    "setImmutability$",	//1923
    "setImplementationApi",	//1924
    "setImplementationApi$",	//1925
    "setInfoText",	//1926
    "setInfoText$",	//1927
    "setInitialPixmap",	//1928
    "setInitialPixmap$#",	//1929
    "setInstantPopup",	//1930
    "setInstantPopup$",	//1931
    "setKeywords",	//1932
    "setKeywords?",	//1933
    "setLabel",	//1934
    "setLabel$",	//1935
    "setLabel$$",	//1936
    "setLabelAlignment",	//1937
    "setLabelAlignment$$",	//1938
    "setLabelColor",	//1939
    "setLabelColor$#",	//1940
    "setLabelFont",	//1941
    "setLabelFont$#",	//1942
    "setLastPositionWidget",	//1943
    "setLastPositionWidget#",	//1944
    "setLicense",	//1945
    "setLicense$",	//1946
    "setLocation",	//1947
    "setLocation$",	//1948
    "setMainText",	//1949
    "setMainText$",	//1950
    "setMaxSourceCount",	//1951
    "setMaxSourceCount$",	//1952
    "setMaximum",	//1953
    "setMaximum$",	//1954
    "setMaximumIconSize",	//1955
    "setMaximumIconSize#",	//1956
    "setMeterType",	//1957
    "setMeterType$",	//1958
    "setMimetypes",	//1959
    "setMimetypes$?",	//1960
    "setMinimum",	//1961
    "setMinimum$",	//1962
    "setMinimumIconSize",	//1963
    "setMinimumIconSize#",	//1964
    "setMinimumPollingInterval",	//1965
    "setMinimumPollingInterval$",	//1966
    "setMinimumResizeLimits",	//1967
    "setMinimumResizeLimits$$$$",	//1968
    "setModel",	//1969
    "setModel#",	//1970
    "setModelData",	//1971
    "setName",	//1972
    "setName$",	//1973
    "setNativeWidget",	//1974
    "setNativeWidget#",	//1975
    "setNeedsToBeStored",	//1976
    "setNeedsToBeStored$",	//1977
    "setNeedsUpdate",	//1978
    "setNeedsUpdate$",	//1979
    "setNumDisplayLines",	//1980
    "setNumDisplayLines$",	//1981
    "setOperationEnabled",	//1982
    "setOperationEnabled$$",	//1983
    "setOperationsScheme",	//1984
    "setOperationsScheme#",	//1985
    "setOrientation",	//1986
    "setOrientation$",	//1987
    "setOverShoot",	//1988
    "setOverShoot$",	//1989
    "setOverflowBordersVisible",	//1990
    "setOverflowBordersVisible$",	//1991
    "setPage",	//1992
    "setPage#",	//1993
    "setPageStep",	//1994
    "setPageStep$",	//1995
    "setPassivePopup",	//1996
    "setPassivePopup$",	//1997
    "setPath",	//1998
    "setPath$",	//1999
    "setPersistence",	//2000
    "setPersistence$",	//2001
    "setPin",	//2002
    "setPin$",	//2003
    "setPluginName",	//2004
    "setPluginName$",	//2005
    "setPolicy",	//2006
    "setPolicy$",	//2007
    "setPollingInterval",	//2008
    "setPollingInterval$",	//2009
    "setPopupAlignment",	//2010
    "setPopupAlignment$",	//2011
    "setPopupIcon",	//2012
    "setPopupIcon#",	//2013
    "setPopupIcon$",	//2014
    "setPreferredIconSize",	//2015
    "setPreferredIconSize#",	//2016
    "setPreferredToolBoxPlugin",	//2017
    "setPreferredToolBoxPlugin$$",	//2018
    "setPressed",	//2019
    "setPressed$",	//2020
    "setPreviewDuringConfiguration",	//2021
    "setPreviewDuringConfiguration$",	//2022
    "setPreviewing",	//2023
    "setPreviewing$",	//2024
    "setPriority",	//2025
    "setPriority$",	//2026
    "setQuery",	//2027
    "setQuery$",	//2028
    "setRange",	//2029
    "setRange$$",	//2030
    "setReadOnly",	//2031
    "setReadOnly$",	//2032
    "setRelevance",	//2033
    "setRelevance$",	//2034
    "setRemoteLocation",	//2035
    "setRemoteLocation#",	//2036
    "setRenderingMode",	//2037
    "setRenderingMode$",	//2038
    "setRequired",	//2039
    "setRequired$$",	//2040
    "setRequiredDataEngines",	//2041
    "setRequiredDataEngines?",	//2042
    "setRequiredVersion",	//2043
    "setRequiredVersion$",	//2044
    "setResizeHandleCorners",	//2045
    "setResizeHandleCorners$",	//2046
    "setResizeMethodHint",	//2047
    "setResizeMethodHint$",	//2048
    "setRoleMapping",	//2049
    "setRoleMapping$$",	//2050
    "setRunner",	//2051
    "setRunner#",	//2052
    "setRunning",	//2053
    "setRunning$",	//2054
    "setScaledContents",	//2055
    "setScaledContents$",	//2056
    "setScreen",	//2057
    "setScreen$",	//2058
    "setScreen$$",	//2059
    "setScrollPosition",	//2060
    "setScrollPosition#",	//2061
    "setSearchTermDescription",	//2062
    "setSearchTermDescription$",	//2063
    "setSelectedAction",	//2064
    "setSelectedAction#",	//2065
    "setServicePrefix",	//2066
    "setServicePrefix$",	//2067
    "setServiceType",	//2068
    "setServiceType$",	//2069
    "setShowHorizontalLines",	//2070
    "setShowHorizontalLines$",	//2071
    "setShowLabels",	//2072
    "setShowLabels$",	//2073
    "setShowTopBar",	//2074
    "setShowTopBar$",	//2075
    "setShowVerticalLines",	//2076
    "setShowVerticalLines$",	//2077
    "setShowing",	//2078
    "setShowing$",	//2079
    "setSingleMode",	//2080
    "setSingleMode$",	//2081
    "setSingleModeRunnerId",	//2082
    "setSingleModeRunnerId$",	//2083
    "setSingleRunnerQueryMode",	//2084
    "setSingleRunnerQueryMode$",	//2085
    "setSingleStep",	//2086
    "setSingleStep$",	//2087
    "setSnapSize",	//2088
    "setSnapSize#",	//2089
    "setSpeed",	//2090
    "setSpeed$",	//2091
    "setStackPlots",	//2092
    "setStackPlots$",	//2093
    "setState",	//2094
    "setState$",	//2095
    "setStatus",	//2096
    "setStatus$",	//2097
    "setStorageEnabled",	//2098
    "setStorageEnabled$",	//2099
    "setStorageEnabled$$",	//2100
    "setStyleSheet",	//2101
    "setStyleSheet$",	//2102
    "setSubText",	//2103
    "setSubText$",	//2104
    "setSubtext",	//2105
    "setSubtext$",	//2106
    "setSvg",	//2107
    "setSvg#",	//2108
    "setSvg$",	//2109
    "setSvg$$",	//2110
    "setSvgBackground",	//2111
    "setSvgBackground$",	//2112
    "setSyntaxes",	//2113
    "setSyntaxes?",	//2114
    "setTabBarShown",	//2115
    "setTabBarShown$",	//2116
    "setTabHighlighted",	//2117
    "setTabHighlighted$$",	//2118
    "setTabIcon",	//2119
    "setTabIcon$#",	//2120
    "setTabText",	//2121
    "setTabText$$",	//2122
    "setTarget",	//2123
    "setTarget#",	//2124
    "setTargetItem",	//2125
    "setTargetItem#",	//2126
    "setTargetSizeHint",	//2127
    "setTargetSizeHint#",	//2128
    "setTargetWidget",	//2129
    "setTargetWidget#",	//2130
    "setTargets",	//2131
    "setTargets$",	//2132
    "setText",	//2133
    "setText$",	//2134
    "setTextBackgroundColor",	//2135
    "setTextBackgroundColor#",	//2136
    "setTextSelectable",	//2137
    "setTextSelectable$",	//2138
    "setTheme",	//2139
    "setTheme#",	//2140
    "setThemeName",	//2141
    "setThemeName$",	//2142
    "setThinFrame",	//2143
    "setThinFrame$",	//2144
    "setTickInterval",	//2145
    "setTickInterval$",	//2146
    "setTitle",	//2147
    "setTitle$",	//2148
    "setToolBox",	//2149
    "setToolBox#",	//2150
    "setToolBoxOpen",	//2151
    "setToolBoxOpen$",	//2152
    "setTrackContainmentChanges",	//2153
    "setTrackContainmentChanges$",	//2154
    "setTransient",	//2155
    "setTransient$",	//2156
    "setType",	//2157
    "setType$",	//2158
    "setUnit",	//2159
    "setUnit$",	//2160
    "setUnpressed",	//2161
    "setUrl",	//2162
    "setUrl#",	//2163
    "setUrl$",	//2164
    "setUrls",	//2165
    "setUrls?",	//2166
    "setUseAutoRange",	//2167
    "setUseAutoRange$",	//2168
    "setUseGlobalSettings",	//2169
    "setUseGlobalSettings$",	//2170
    "setUsedControls",	//2171
    "setUsedControls$",	//2172
    "setUsingRenderingCache",	//2173
    "setUsingRenderingCache$",	//2174
    "setValid",	//2175
    "setValid$",	//2176
    "setValue",	//2177
    "setValue$",	//2178
    "setVersion",	//2179
    "setVersion$",	//2180
    "setVerticalLinesColor",	//2181
    "setVerticalLinesColor#",	//2182
    "setVerticalLinesDistance",	//2183
    "setVerticalLinesDistance$",	//2184
    "setVerticalLinesScroll",	//2185
    "setVerticalLinesScroll$",	//2186
    "setVerticalRange",	//2187
    "setVerticalRange$$",	//2188
    "setVerticalScrollBarPolicy",	//2189
    "setVerticalScrollBarPolicy$",	//2190
    "setView",	//2191
    "setView#",	//2192
    "setVisible",	//2193
    "setWallpaper",	//2194
    "setWallpaper#",	//2195
    "setWallpaper$",	//2196
    "setWallpaper$$",	//2197
    "setWallpaperEnabled",	//2198
    "setWallpaperEnabled$",	//2199
    "setWebsite",	//2200
    "setWebsite$",	//2201
    "setWidget",	//2202
    "setWidget#",	//2203
    "setWindowToPreview",	//2204
    "setWindowToPreview$",	//2205
    "setWindowsToPreview",	//2206
    "setWindowsToPreview?",	//2207
    "setWordWrap",	//2208
    "setWordWrap$",	//2209
    "setZoomFactor",	//2210
    "setZoomFactor$",	//2211
    "settingsChanged",	//2212
    "setupMatchSession",	//2213
    "shape",	//2214
    "shortcutsChanged",	//2215
    "shouldConserveResources",	//2216
    "show",	//2217
    "show#",	//2218
    "showAddWidgetsInterface",	//2219
    "showAddWidgetsInterface#",	//2220
    "showCloseButton",	//2221
    "showConfigurationInterface",	//2222
    "showConfigurationInterface#",	//2223
    "showContextMenu",	//2224
    "showContextMenu##",	//2225
    "showDialog",	//2226
    "showDialog##",	//2227
    "showDropZone",	//2228
    "showDropZone#",	//2229
    "showEvent",	//2230
    "showEvent#",	//2231
    "showHorizontalLines",	//2232
    "showLabels",	//2233
    "showMessage",	//2234
    "showMessage#$$",	//2235
    "showPopup",	//2236
    "showPopup$",	//2237
    "showToolTip",	//2238
    "showTopBar",	//2239
    "showVerticalLines",	//2240
    "singleMode",	//2241
    "singleModeAdvertisedRunnerIds",	//2242
    "singleModeRunner",	//2243
    "singleModeRunnerId",	//2244
    "singleRunnerQueryMode",	//2245
    "singleStep",	//2246
    "size",	//2247
    "sizeChanged",	//2248
    "sizeFromIconSize",	//2249
    "sizeFromIconSize$",	//2250
    "sizeHint",	//2251
    "sizeHint##",	//2252
    "sizeHint$",	//2253
    "sizeHint$#",	//2254
    "sizeHintChanged",	//2255
    "sizeHintChanged$",	//2256
    "sliderMoved",	//2257
    "sliderMoved$",	//2258
    "snapSize",	//2259
    "sourceAdded",	//2260
    "sourceAdded$",	//2261
    "sourceRemoved",	//2262
    "sourceRemoved$",	//2263
    "sourceRequestEvent",	//2264
    "sourceRequestEvent$",	//2265
    "sources",	//2266
    "speed",	//2267
    "stackPlots",	//2268
    "standardConfigurationDialog",	//2269
    "start",	//2270
    "startOperationCall",	//2271
    "startOperationCall#",	//2272
    "startOperationCall##",	//2273
    "startupArguments",	//2274
    "state",	//2275
    "staticMetaObject",	//2276
    "status",	//2277
    "stop",	//2278
    "stopCustomAnimation",	//2279
    "stopCustomAnimation$",	//2280
    "stopElementAnimation",	//2281
    "stopElementAnimation$",	//2282
    "stopItemAnimation",	//2283
    "stopItemAnimation$",	//2284
    "stopItemMovement",	//2285
    "stopItemMovement$",	//2286
    "structure",	//2287
    "styleChange",	//2288
    "styleSheet",	//2289
    "styleSheet$",	//2290
    "subText",	//2291
    "subtext",	//2292
    "supportedProtocols",	//2293
    "supportsExtension",	//2294
    "supportsMimetype",	//2295
    "supportsMimetype$",	//2296
    "suspendMatching",	//2297
    "suspendMatching$",	//2298
    "svg",	//2299
    "svgBackground",	//2300
    "swapContainment",	//2301
    "swapContainment#$",	//2302
    "swapContainment#$?",	//2303
    "swapContainment$",	//2304
    "swapContainment$?",	//2305
    "syncToGraphicsWidget",	//2306
    "syntaxes",	//2307
    "tabAt",	//2308
    "tabAt$",	//2309
    "tabIcon",	//2310
    "tabIcon$",	//2311
    "tabText",	//2312
    "tabText$",	//2313
    "tabletEvent",	//2314
    "takeTab",	//2315
    "takeTab$",	//2316
    "target",	//2317
    "targetItem",	//2318
    "targetItemReached",	//2319
    "targetItemReached#",	//2320
    "targetReached",	//2321
    "targetReached#",	//2322
    "targetSizeHint",	//2323
    "targetWidget",	//2324
    "targets",	//2325
    "teardown",	//2326
    "text",	//2327
    "textBackgroundColor",	//2328
    "textChanged",	//2329
    "textChanged$",	//2330
    "textEdited",	//2331
    "textEdited$",	//2332
    "textSelectable",	//2333
    "theme",	//2334
    "themeChanged",	//2335
    "themeName",	//2336
    "thinFrame",	//2337
    "tick",	//2338
    "tick$",	//2339
    "tickInterval",	//2340
    "timeSinceLastUpdate",	//2341
    "timerEvent",	//2342
    "timerEvent#",	//2343
    "title",	//2344
    "togglePopup",	//2345
    "toggled",	//2346
    "toggled$",	//2347
    "toolBox",	//2348
    "toolBoxItem",	//2349
    "toolBoxToggled",	//2350
    "toolBoxVisibilityChanged",	//2351
    "toolBoxVisibilityChanged$",	//2352
    "toolTipDelay",	//2353
    "topLevelViewAt",	//2354
    "topLevelViewAt#",	//2355
    "totalTime",	//2356
    "tr",	//2357
    "tr$",	//2358
    "tr$$",	//2359
    "tr$$$",	//2360
    "trUtf8",	//2361
    "trUtf8$",	//2362
    "trUtf8$$",	//2363
    "trUtf8$$$",	//2364
    "trackContainmentChanges",	//2365
    "type",	//2366
    "ungrabKeyboardEvent",	//2367
    "ungrabMouseEvent",	//2368
    "uninstallPackage",	//2369
    "uninstallPackage$$",	//2370
    "uninstallPackage$$$",	//2371
    "unit",	//2372
    "unloadEngine",	//2373
    "unloadEngine$",	//2374
    "unpublish",	//2375
    "unregisterAsDragHandle",	//2376
    "unregisterAsDragHandle#",	//2377
    "unregisterScrollingManager",	//2378
    "unregisterScrollingManager#",	//2379
    "unregisterWidget",	//2380
    "unregisterWidget#",	//2381
    "update",	//2382
    "update#",	//2383
    "updateAllSources",	//2384
    "updateConstraints",	//2385
    "updateConstraints$",	//2386
    "updateCurrentTime",	//2387
    "updateCurrentTime$",	//2388
    "updateDataBuffers",	//2389
    "updateDirection",	//2390
    "updateEditorGeometry",	//2391
    "updateGeometry",	//2392
    "updateRequested",	//2393
    "updateRequested#",	//2394
    "updateShortcuts",	//2395
    "updateSourceEvent",	//2396
    "updateSourceEvent$",	//2397
    "updateState",	//2398
    "url",	//2399
    "urlChanged",	//2400
    "urlChanged#",	//2401
    "urlDropped",	//2402
    "urlDropped#",	//2403
    "useAutoRange",	//2404
    "useDefaults",	//2405
    "useGlobalSettings",	//2406
    "useNativeWidgetStyle",	//2407
    "usedControls",	//2408
    "usrReadConfig",	//2409
    "usrSetDefaults",	//2410
    "usrUseDefaults",	//2411
    "usrWriteConfig",	//2412
    "value",	//2413
    "valueChanged",	//2414
    "valueChanged$",	//2415
    "version",	//2416
    "versionMajor",	//2417
    "versionMinor",	//2418
    "versionRelease",	//2419
    "versionString",	//2420
    "verticalLinesColor",	//2421
    "verticalLinesDistance",	//2422
    "verticalLinesScroll",	//2423
    "verticalMaxValue",	//2424
    "verticalMinValue",	//2425
    "verticalScrollBarPolicy",	//2426
    "view",	//2427
    "viewFor",	//2428
    "viewFor#",	//2429
    "viewportEvent",	//2430
    "viewportGeometry",	//2431
    "viewportGeometryChanged",	//2432
    "viewportGeometryChanged#",	//2433
    "visibilityChanged",	//2434
    "visibilityChanged$",	//2435
    "visualizationIsConnected",	//2436
    "visualizationIsConnected#",	//2437
    "wallpaper",	//2438
    "wallpaperPath",	//2439
    "wallpaperPath#",	//2440
    "website",	//2441
    "wheelEvent",	//2442
    "wheelEvent#",	//2443
    "widget",	//2444
    "windowActivationChange",	//2445
    "windowFrameEvent",	//2446
    "windowFrameSectionAt",	//2447
    "windowPreviewActivated",	//2448
    "windowPreviewActivated$$$#",	//2449
    "windowToPreview",	//2450
    "windowTranslucencyEnabled",	//2451
    "windowsToPreview",	//2452
    "wordWrap",	//2453
    "write",	//2454
    "write#",	//2455
    "write$",	//2456
    "writeConfig",	//2457
    "x11Event",	//2458
    "zoomFactor",	//2459
    "zoomRequested",	//2460
    "zoomRequested#$",	//2461
    "~AbstractDialogManager",	//2462
    "~AbstractRunner",	//2463
    "~AbstractToolBox",	//2464
    "~AccessAppletJob",	//2465
    "~Animation",	//2466
    "~AnimationDriver",	//2467
    "~Applet",	//2468
    "~AppletScript",	//2469
    "~AuthorizationInterface",	//2470
    "~AuthorizationRule",	//2471
    "~BusyWidget",	//2472
    "~CheckBox",	//2473
    "~ComboBox",	//2474
    "~ConfigLoader",	//2475
    "~Containment",	//2476
    "~ContainmentActions",	//2477
    "~ContainmentActionsPluginsConfig",	//2478
    "~Context",	//2479
    "~Corona",	//2480
    "~DataContainer",	//2481
    "~DataEngine",	//2482
    "~DataEngineScript",	//2483
    "~Delegate",	//2484
    "~Dialog",	//2485
    "~Extender",	//2486
    "~ExtenderGroup",	//2487
    "~ExtenderItem",	//2488
    "~FlashingLabel",	//2489
    "~Frame",	//2490
    "~FrameSvg",	//2491
    "~GLApplet",	//2492
    "~GroupBox",	//2493
    "~IconWidget",	//2494
    "~ItemBackground",	//2495
    "~Label",	//2496
    "~LineEdit",	//2497
    "~Meter",	//2498
    "~Package",	//2499
    "~PackageMetadata",	//2500
    "~PackageStructure",	//2501
    "~PlotColor",	//2502
    "~PopupApplet",	//2503
    "~PushButton",	//2504
    "~QueryMatch",	//2505
    "~RadioButton",	//2506
    "~RunnerContext",	//2507
    "~RunnerManager",	//2508
    "~RunnerScript",	//2509
    "~RunnerSyntax",	//2510
    "~ScriptEngine",	//2511
    "~ScrollBar",	//2512
    "~ScrollWidget",	//2513
    "~Separator",	//2514
    "~Service",	//2515
    "~ServiceAccessJob",	//2516
    "~SignalPlotter",	//2517
    "~Slider",	//2518
    "~SpinBox",	//2519
    "~StyleOption",	//2520
    "~Svg",	//2521
    "~SvgWidget",	//2522
    "~TabBar",	//2523
    "~TextBrowser",	//2524
    "~TextEdit",	//2525
    "~Theme",	//2526
    "~ToolButton",	//2527
    "~ToolTipContent",	//2528
    "~TreeView",	//2529
    "~VideoWidget",	//2530
    "~View",	//2531
    "~Wallpaper",	//2532
    "~WallpaperScript",	//2533
    "~WebView",	//2534
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 0},	//1 KConfigSkeleton::metaObject() const
    {9, 1538, 1, 1, Smoke::mf_virtual, 508, 0},	//2 KConfigSkeleton::qt_metacast(const char*)
    {9, 1536, 3, 3, Smoke::mf_virtual, 499, 0},	//3 KConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
    {11, 1829, 0, 0, Smoke::mf_virtual, 0, 0},	//4 KCoreConfigSkeleton::setDefaults()
    {11, 1547, 0, 0, Smoke::mf_virtual, 0, 0},	//5 KCoreConfigSkeleton::readConfig()
    {11, 2457, 0, 0, Smoke::mf_virtual, 0, 0},	//6 KCoreConfigSkeleton::writeConfig()
    {11, 2405, 7, 1, Smoke::mf_virtual, 406, 0},	//7 KCoreConfigSkeleton::useDefaults(bool)
    {11, 2411, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//8 KCoreConfigSkeleton::usrUseDefaults(bool)
    {11, 2410, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KCoreConfigSkeleton::usrSetDefaults()
    {11, 2409, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KCoreConfigSkeleton::usrReadConfig()
    {14, 923, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//11 KJob::doKill()
    {14, 925, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//12 KJob::doSuspend()
    {14, 924, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//13 KJob::doResume()
    {14, 1002, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 292, 0},	//14 KJob::errorString() const
    {14, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 5},	//15 KJob::NoError (enum)
    {14, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 6},	//16 KJob::KilledJobError (enum)
    {14, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 7},	//17 KJob::UserDefinedError (enum)
    {29, 1368, 9, 1, Smoke::mf_static, 92, 1},	//18 Plasma::locationToDirection(Plasma::Location)
    {29, 2420, 0, 0, Smoke::mf_static, 491, 2},	//19 Plasma::versionString()
    {29, 2417, 0, 0, Smoke::mf_static, 506, 3},	//20 Plasma::versionMajor()
    {29, 2428, 11, 1, Smoke::mf_static, 227, 4},	//21 Plasma::viewFor(const QGraphicsItem*)
    {29, 2416, 0, 0, Smoke::mf_static, 506, 5},	//22 Plasma::version()
    {29, 1370, 9, 1, Smoke::mf_static, 92, 6},	//23 Plasma::locationToInverseDirection(Plasma::Location)
    {29, 1363, 13, 2, Smoke::mf_static, 140, 7},	//24 Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    {29, 2418, 0, 0, Smoke::mf_static, 506, 8},	//25 Plasma::versionMinor()
    {29, 1466, 16, 2, Smoke::mf_static, 20, 9},	//26 Plasma::packageStructure(const QString&, Plasma::ComponentType)
    {29, 1669, 19, 1, Smoke::mf_static, 496, 10},	//27 Plasma::scalingFactor(Plasma::ZoomLevel)
    {29, 1363, 21, 2, Smoke::mf_static, 174, 11},	//28 Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    {29, 615, 24, 3, Smoke::mf_static, 254, 12},	//29 Plasma::actionsFromMenu(QMenu*, const QString&, QObject*)
    {29, 615, 28, 1, Smoke::mf_static, 254, 13},	//30 Plasma::actionsFromMenu(QMenu*)
    {29, 615, 30, 2, Smoke::mf_static, 254, 14},	//31 Plasma::actionsFromMenu(QMenu*, const QString&)
    {29, 1363, 33, 2, Smoke::mf_static, 86, 15},	//32 Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    {29, 1194, 36, 1, Smoke::mf_static, 406, 16},	//33 Plasma::isPluginVersionCompatible(unsigned int)
    {29, 1255, 38, 1, Smoke::mf_static, 293, 17},	//34 Plasma::knownLanguages(QFlags<Plasma::ComponentType>)
    {29, 1363, 40, 2, Smoke::mf_static, 53, 18},	//35 Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    {29, 2419, 0, 0, Smoke::mf_static, 506, 19},	//36 Plasma::versionRelease()
    {29, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 20},	//37 Plasma::ZoomIn (enum)
    {29, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 21},	//38 Plasma::ZoomOut (enum)
    {29, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 22},	//39 Plasma::Planar (enum)
    {29, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 23},	//40 Plasma::MediaCenter (enum)
    {29, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 24},	//41 Plasma::Horizontal (enum)
    {29, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 25},	//42 Plasma::Vertical (enum)
    {29, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 26},	//43 Plasma::ButtonNone (enum)
    {29, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 27},	//44 Plasma::ButtonOk (enum)
    {29, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 28},	//45 Plasma::ButtonYes (enum)
    {29, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 29},	//46 Plasma::ButtonNo (enum)
    {29, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 30},	//47 Plasma::ButtonCancel (enum)
    {29, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 31},	//48 Plasma::NoAlignment (enum)
    {29, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 32},	//49 Plasma::AlignToMinute (enum)
    {29, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 33},	//50 Plasma::AlignToHour (enum)
    {29, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 34},	//51 Plasma::TopMargin (enum)
    {29, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 35},	//52 Plasma::BottomMargin (enum)
    {29, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 36},	//53 Plasma::LeftMargin (enum)
    {29, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 37},	//54 Plasma::RightMargin (enum)
    {29, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 38},	//55 Plasma::InvalidAspectRatioMode (enum)
    {29, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 39},	//56 Plasma::IgnoreAspectRatio (enum)
    {29, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 40},	//57 Plasma::KeepAspectRatio (enum)
    {29, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 41},	//58 Plasma::Square (enum)
    {29, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 42},	//59 Plasma::ConstrainedSquare (enum)
    {29, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 43},	//60 Plasma::FixedSize (enum)
    {29, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 44},	//61 Plasma::LeftPositioned (enum)
    {29, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 45},	//62 Plasma::RightPositioned (enum)
    {29, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 46},	//63 Plasma::TopPositioned (enum)
    {29, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 47},	//64 Plasma::BottomPositioned (enum)
    {29, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 48},	//65 Plasma::CenterPositioned (enum)
    {29, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 49},	//66 Plasma::Down (enum)
    {29, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 50},	//67 Plasma::Up (enum)
    {29, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 51},	//68 Plasma::Left (enum)
    {29, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 52},	//69 Plasma::Right (enum)
    {29, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 53},	//70 Plasma::NoAnnouncement (enum)
    {29, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 54},	//71 Plasma::ZeroconfAnnouncement (enum)
    {29, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 55},	//72 Plasma::InvalidCredentials (enum)
    {29, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 56},	//73 Plasma::UnknownCredentials (enum)
    {29, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 57},	//74 Plasma::ValidCredentials (enum)
    {29, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 58},	//75 Plasma::TrustedCredentials (enum)
    {29, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 59},	//76 Plasma::UltimateCredentials (enum)
    {29, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 60},	//77 Plasma::Mutable (enum)
    {29, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 61},	//78 Plasma::UserImmutable (enum)
    {29, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 62},	//79 Plasma::SystemImmutable (enum)
    {29, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 63},	//80 Plasma::FloatingPopup (enum)
    {29, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 64},	//81 Plasma::TopPosedLeftAlignedPopup (enum)
    {29, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 65},	//82 Plasma::TopPosedRightAlignedPopup (enum)
    {29, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 66},	//83 Plasma::LeftPosedTopAlignedPopup (enum)
    {29, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 67},	//84 Plasma::LeftPosedBottomAlignedPopup (enum)
    {29, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 68},	//85 Plasma::BottomPosedLeftAlignedPopup (enum)
    {29, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 69},	//86 Plasma::BottomPosedRightAlignedPopup (enum)
    {29, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 70},	//87 Plasma::RightPosedTopAlignedPopup (enum)
    {29, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 71},	//88 Plasma::RightPosedBottomAlignedPopup (enum)
    {29, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 72},	//89 Plasma::AppletType (enum)
    {29, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 73},	//90 Plasma::LineEditType (enum)
    {29, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 74},	//91 Plasma::NoConstraint (enum)
    {29, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 75},	//92 Plasma::FormFactorConstraint (enum)
    {29, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 76},	//93 Plasma::LocationConstraint (enum)
    {29, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 77},	//94 Plasma::ScreenConstraint (enum)
    {29, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 78},	//95 Plasma::SizeConstraint (enum)
    {29, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 79},	//96 Plasma::ImmutableConstraint (enum)
    {29, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 80},	//97 Plasma::StartupCompletedConstraint (enum)
    {29, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 81},	//98 Plasma::ContextConstraint (enum)
    {29, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 82},	//99 Plasma::PopupConstraint (enum)
    {29, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 83},	//100 Plasma::AllConstraints (enum)
    {29, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 84},	//101 Plasma::NoFlip (enum)
    {29, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 85},	//102 Plasma::HorizontalFlip (enum)
    {29, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 86},	//103 Plasma::VerticalFlip (enum)
    {29, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 87},	//104 Plasma::UnknownStatus (enum)
    {29, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 88},	//105 Plasma::PassiveStatus (enum)
    {29, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 89},	//106 Plasma::ActiveStatus (enum)
    {29, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 90},	//107 Plasma::NeedsAttentionStatus (enum)
    {29, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 91},	//108 Plasma::AcceptingInputStatus (enum)
    {29, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 92},	//109 Plasma::DesktopZoom (enum)
    {29, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 93},	//110 Plasma::GroupZoom (enum)
    {29, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 94},	//111 Plasma::OverviewZoom (enum)
    {29, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 95},	//112 Plasma::AppletComponent (enum)
    {29, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 96},	//113 Plasma::DataEngineComponent (enum)
    {29, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 97},	//114 Plasma::RunnerComponent (enum)
    {29, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 98},	//115 Plasma::AnimatorComponent (enum)
    {29, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 99},	//116 Plasma::ContainmentComponent (enum)
    {29, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 100},	//117 Plasma::WallpaperComponent (enum)
    {29, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 101},	//118 Plasma::GenericComponent (enum)
    {29, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 102},	//119 Plasma::Floating (enum)
    {29, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 103},	//120 Plasma::Desktop (enum)
    {29, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 104},	//121 Plasma::FullScreen (enum)
    {29, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 105},	//122 Plasma::TopEdge (enum)
    {29, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 106},	//123 Plasma::BottomEdge (enum)
    {29, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 107},	//124 Plasma::LeftEdge (enum)
    {29, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 108},	//125 Plasma::RightEdge (enum)
    {30, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//126 Plasma::AbstractDialogManager::metaObject() const
    {30, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//127 Plasma::AbstractDialogManager::qt_metacast(const char*)
    {30, 2357, 43, 2, Smoke::mf_static, 292, 3},	//128 Plasma::AbstractDialogManager::tr(const char*, const char*)
    {30, 2361, 43, 2, Smoke::mf_static, 292, 4},	//129 Plasma::AbstractDialogManager::trUtf8(const char*, const char*)
    {30, 2357, 46, 3, Smoke::mf_static, 292, 5},	//130 Plasma::AbstractDialogManager::tr(const char*, const char*, int)
    {30, 2361, 46, 3, Smoke::mf_static, 292, 6},	//131 Plasma::AbstractDialogManager::trUtf8(const char*, const char*, int)
    {30, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//132 Plasma::AbstractDialogManager::qt_metacall(QMetaObject::Call, int, void**)
    {30, 1, 50, 1, Smoke::mf_ctor, 33, 8},	//133 Plasma::AbstractDialogManager::AbstractDialogManager(Plasma::Corona*)
    {30, 2226, 52, 2, Smoke::mf_slot, 0, 9},	//134 Plasma::AbstractDialogManager::showDialog(QWidget*, Plasma::Applet*)
    {30, 2357, 1, 1, Smoke::mf_static, 292, 10},	//135 Plasma::AbstractDialogManager::tr(const char*)
    {30, 2361, 1, 1, Smoke::mf_static, 292, 11},	//136 Plasma::AbstractDialogManager::trUtf8(const char*)
    {30, 1, 0, 0, Smoke::mf_ctor, 33, 12},	//137 Plasma::AbstractDialogManager::AbstractDialogManager()
    {30, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 13},	//138 Plasma::AbstractDialogManager::staticMetaObject() const
    {30, 2462, 0, 0, Smoke::mf_dtor, 0, 14 },	//139 Plasma::AbstractDialogManager::~AbstractDialogManager()
    {31, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//140 Plasma::AbstractRunner::metaObject() const
    {31, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//141 Plasma::AbstractRunner::qt_metacast(const char*)
    {31, 2357, 43, 2, Smoke::mf_static, 292, 3},	//142 Plasma::AbstractRunner::tr(const char*, const char*)
    {31, 2361, 43, 2, Smoke::mf_static, 292, 4},	//143 Plasma::AbstractRunner::trUtf8(const char*, const char*)
    {31, 2357, 46, 3, Smoke::mf_static, 292, 5},	//144 Plasma::AbstractRunner::tr(const char*, const char*, int)
    {31, 2361, 46, 3, Smoke::mf_static, 292, 6},	//145 Plasma::AbstractRunner::trUtf8(const char*, const char*, int)
    {31, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//146 Plasma::AbstractRunner::qt_metacall(QMetaObject::Call, int, void**)
    {31, 1387, 55, 1, Smoke::mf_virtual, 0, 8},	//147 Plasma::AbstractRunner::match(Plasma::RunnerContext&)
    {31, 1501, 55, 1, 0, 0, 9},	//148 Plasma::AbstractRunner::performMatch(Plasma::RunnerContext&)
    {31, 1102, 0, 0, 0, 406, 10},	//149 Plasma::AbstractRunner::hasRunOptions()
    {31, 868, 57, 1, Smoke::mf_virtual, 0, 11},	//150 Plasma::AbstractRunner::createRunOptions(QWidget*)
    {31, 1648, 59, 2, Smoke::mf_virtual, 0, 12},	//151 Plasma::AbstractRunner::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {31, 2267, 0, 0, Smoke::mf_const, 36, 13},	//152 Plasma::AbstractRunner::speed() const
    {31, 1530, 0, 0, Smoke::mf_const, 35, 14},	//153 Plasma::AbstractRunner::priority() const
    {31, 1129, 0, 0, Smoke::mf_const, 204, 15},	//154 Plasma::AbstractRunner::ignoredTypes() const
    {31, 1914, 62, 1, 0, 0, 16},	//155 Plasma::AbstractRunner::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {31, 1437, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 17},	//156 Plasma::AbstractRunner::name() const
    {31, 1128, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 18},	//157 Plasma::AbstractRunner::id() const
    {31, 900, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 19},	//158 Plasma::AbstractRunner::description() const
    {31, 1126, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 20},	//159 Plasma::AbstractRunner::icon() const
    {31, 1465, 0, 0, Smoke::mf_const, 430, 21},	//160 Plasma::AbstractRunner::package() const
    {31, 1570, 0, 0, Smoke::mf_virtual, 0, 22},	//161 Plasma::AbstractRunner::reloadConfiguration()
    {31, 2307, 0, 0, Smoke::mf_const, 253, 23},	//162 Plasma::AbstractRunner::syntaxes() const
    {31, 751, 0, 0, Smoke::mf_static, 268, 24},	//163 Plasma::AbstractRunner::bigLock()
    {31, 896, 0, 0, Smoke::mf_const, 142, 25},	//164 Plasma::AbstractRunner::defaultSyntax() const
    {31, 1189, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 26},	//165 Plasma::AbstractRunner::isMatchingSuspended() const
    {31, 1526, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//166 Plasma::AbstractRunner::prepare()
    {31, 2326, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//167 Plasma::AbstractRunner::teardown()
    {31, 1394, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//168 Plasma::AbstractRunner::matchingSuspended(bool)
    {31, 3, 64, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 30},	//169 Plasma::AbstractRunner::AbstractRunner(QObject*, const QString&)
    {31, 3, 67, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 31},	//170 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>, QObject*)
    {31, 3, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 32},	//171 Plasma::AbstractRunner::AbstractRunner(QObject*, const QList<QVariant>&)
    {31, 2297, 7, 1, Smoke::mf_protected|Smoke::mf_property, 0, 33},	//172 Plasma::AbstractRunner::suspendMatching(bool)
    {31, 789, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 34},	//173 Plasma::AbstractRunner::config() const
    {31, 1892, 7, 1, Smoke::mf_protected, 0, 35},	//174 Plasma::AbstractRunner::setHasRunOptions(bool)
    {31, 2090, 73, 1, Smoke::mf_protected, 0, 36},	//175 Plasma::AbstractRunner::setSpeed(Plasma::AbstractRunner::Speed)
    {31, 2025, 75, 1, Smoke::mf_protected, 0, 37},	//176 Plasma::AbstractRunner::setPriority(Plasma::AbstractRunner::Priority)
    {31, 1703, 77, 2, Smoke::mf_const|Smoke::mf_protected, 243, 38},	//177 Plasma::AbstractRunner::serviceQuery(const QString&, const QString&) const
    {31, 612, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 254, 39},	//178 Plasma::AbstractRunner::actionsForMatch(const Plasma::QueryMatch&)
    {31, 625, 82, 3, Smoke::mf_protected, 182, 40},	//179 Plasma::AbstractRunner::addAction(const QString&, const QIcon&, const QString&)
    {31, 625, 86, 2, Smoke::mf_protected, 0, 41},	//180 Plasma::AbstractRunner::addAction(const QString&, QAction*)
    {31, 1580, 89, 1, Smoke::mf_protected, 0, 42},	//181 Plasma::AbstractRunner::removeAction(const QString&)
    {31, 608, 89, 1, Smoke::mf_const|Smoke::mf_protected, 182, 43},	//182 Plasma::AbstractRunner::action(const QString&) const
    {31, 611, 0, 0, Smoke::mf_const|Smoke::mf_protected, 231, 44},	//183 Plasma::AbstractRunner::actions() const
    {31, 769, 0, 0, Smoke::mf_protected, 0, 45},	//184 Plasma::AbstractRunner::clearActions()
    {31, 677, 91, 1, Smoke::mf_protected, 0, 46},	//185 Plasma::AbstractRunner::addSyntax(const Plasma::RunnerSyntax&)
    {31, 1827, 91, 1, Smoke::mf_protected, 0, 47},	//186 Plasma::AbstractRunner::setDefaultSyntax(const Plasma::RunnerSyntax&)
    {31, 2113, 93, 1, Smoke::mf_protected, 0, 48},	//187 Plasma::AbstractRunner::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {31, 890, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 49},	//188 Plasma::AbstractRunner::dataEngine(const QString&) const
    {31, 1142, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 50},	//189 Plasma::AbstractRunner::init()
    {31, 1406, 95, 1, Smoke::mf_protected|Smoke::mf_slot, 265, 51},	//190 Plasma::AbstractRunner::mimeDataForMatch(const Plasma::QueryMatch*)
    {31, 2357, 1, 1, Smoke::mf_static, 292, 52},	//191 Plasma::AbstractRunner::tr(const char*)
    {31, 2361, 1, 1, Smoke::mf_static, 292, 53},	//192 Plasma::AbstractRunner::trUtf8(const char*)
    {31, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 34, 54},	//193 Plasma::AbstractRunner::AbstractRunner()
    {31, 3, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 34, 55},	//194 Plasma::AbstractRunner::AbstractRunner(QObject*)
    {31, 3, 99, 1, Smoke::mf_ctor|Smoke::mf_protected, 34, 56},	//195 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>)
    {31, 1703, 89, 1, Smoke::mf_const|Smoke::mf_protected, 243, 57},	//196 Plasma::AbstractRunner::serviceQuery(const QString&) const
    {31, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 58},	//197 Plasma::AbstractRunner::staticMetaObject() const
    {31, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 59},	//198 Plasma::AbstractRunner::SlowSpeed (enum)
    {31, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 60},	//199 Plasma::AbstractRunner::NormalSpeed (enum)
    {31, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 61},	//200 Plasma::AbstractRunner::LowestPriority (enum)
    {31, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 62},	//201 Plasma::AbstractRunner::LowPriority (enum)
    {31, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 63},	//202 Plasma::AbstractRunner::NormalPriority (enum)
    {31, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 64},	//203 Plasma::AbstractRunner::HighPriority (enum)
    {31, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 65},	//204 Plasma::AbstractRunner::HighestPriority (enum)
    {31, 2463, 0, 0, Smoke::mf_dtor, 0, 66 },	//205 Plasma::AbstractRunner::~AbstractRunner()
    {32, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//206 Plasma::AbstractToolBox::metaObject() const
    {32, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//207 Plasma::AbstractToolBox::qt_metacast(const char*)
    {32, 2357, 43, 2, Smoke::mf_static, 292, 3},	//208 Plasma::AbstractToolBox::tr(const char*, const char*)
    {32, 2361, 43, 2, Smoke::mf_static, 292, 4},	//209 Plasma::AbstractToolBox::trUtf8(const char*, const char*)
    {32, 2357, 46, 3, Smoke::mf_static, 292, 5},	//210 Plasma::AbstractToolBox::tr(const char*, const char*, int)
    {32, 2361, 46, 3, Smoke::mf_static, 292, 6},	//211 Plasma::AbstractToolBox::trUtf8(const char*, const char*, int)
    {32, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//212 Plasma::AbstractToolBox::qt_metacall(QMetaObject::Call, int, void**)
    {32, 9, 101, 1, Smoke::mf_ctor, 37, 8},	//213 Plasma::AbstractToolBox::AbstractToolBox(Plasma::Containment*)
    {32, 9, 70, 2, Smoke::mf_ctor, 37, 9},	//214 Plasma::AbstractToolBox::AbstractToolBox(QObject*, const QList<QVariant>&)
    {32, 1332, 103, 3, Smoke::mf_static, 37, 10},	//215 Plasma::AbstractToolBox::load(const QString&, const QList<QVariant>&, Plasma::Containment*)
    {32, 1325, 89, 1, Smoke::mf_static, 241, 11},	//216 Plasma::AbstractToolBox::listToolBoxInfo(const QString&)
    {32, 684, 107, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//217 Plasma::AbstractToolBox::addTool(QAction*) [pure virtual]
    {32, 1605, 107, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//218 Plasma::AbstractToolBox::removeTool(QAction*) [pure virtual]
    {32, 1205, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 406, 14},	//219 Plasma::AbstractToolBox::isShowing() const [pure virtual]
    {32, 2078, 109, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//220 Plasma::AbstractToolBox::setShowing(const bool) [pure virtual]
    {32, 1640, 111, 1, Smoke::mf_slot, 0, 16},	//221 Plasma::AbstractToolBox::restore(const KConfigGroup&)
    {32, 1658, 111, 1, Smoke::mf_slot, 0, 17},	//222 Plasma::AbstractToolBox::save(const KConfigGroup&)
    {32, 1623, 0, 0, Smoke::mf_slot, 0, 18},	//223 Plasma::AbstractToolBox::reposition()
    {32, 2346, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//224 Plasma::AbstractToolBox::toggled()
    {32, 2434, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//225 Plasma::AbstractToolBox::visibilityChanged(bool)
    {32, 816, 0, 0, Smoke::mf_const|Smoke::mf_protected, 71, 21},	//226 Plasma::AbstractToolBox::containment() const
    {32, 2357, 1, 1, Smoke::mf_static, 292, 22},	//227 Plasma::AbstractToolBox::tr(const char*)
    {32, 2361, 1, 1, Smoke::mf_static, 292, 23},	//228 Plasma::AbstractToolBox::trUtf8(const char*)
    {32, 9, 0, 0, Smoke::mf_ctor, 37, 24},	//229 Plasma::AbstractToolBox::AbstractToolBox()
    {32, 9, 97, 1, Smoke::mf_ctor, 37, 25},	//230 Plasma::AbstractToolBox::AbstractToolBox(QObject*)
    {32, 1332, 89, 1, Smoke::mf_static, 37, 26},	//231 Plasma::AbstractToolBox::load(const QString&)
    {32, 1332, 113, 2, Smoke::mf_static, 37, 27},	//232 Plasma::AbstractToolBox::load(const QString&, const QList<QVariant>&)
    {32, 1325, 0, 0, Smoke::mf_static, 241, 28},	//233 Plasma::AbstractToolBox::listToolBoxInfo()
    {32, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 29},	//234 Plasma::AbstractToolBox::staticMetaObject() const
    {32, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 30},	//235 Plasma::AbstractToolBox::AddTool (enum)
    {32, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 31},	//236 Plasma::AbstractToolBox::ConfigureTool (enum)
    {32, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 32},	//237 Plasma::AbstractToolBox::ControlTool (enum)
    {32, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 33},	//238 Plasma::AbstractToolBox::MiscTool (enum)
    {32, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 34},	//239 Plasma::AbstractToolBox::DestructiveTool (enum)
    {32, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 35},	//240 Plasma::AbstractToolBox::UserToolType (enum)
    {32, 2464, 0, 0, Smoke::mf_dtor, 0, 36 },	//241 Plasma::AbstractToolBox::~AbstractToolBox()
    {33, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//242 Plasma::AccessAppletJob::metaObject() const
    {33, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//243 Plasma::AccessAppletJob::qt_metacast(const char*)
    {33, 2357, 43, 2, Smoke::mf_static, 292, 3},	//244 Plasma::AccessAppletJob::tr(const char*, const char*)
    {33, 2361, 43, 2, Smoke::mf_static, 292, 4},	//245 Plasma::AccessAppletJob::trUtf8(const char*, const char*)
    {33, 2357, 46, 3, Smoke::mf_static, 292, 5},	//246 Plasma::AccessAppletJob::tr(const char*, const char*, int)
    {33, 2361, 46, 3, Smoke::mf_static, 292, 6},	//247 Plasma::AccessAppletJob::trUtf8(const char*, const char*, int)
    {33, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//248 Plasma::AccessAppletJob::qt_metacall(QMetaObject::Call, int, void**)
    {33, 715, 0, 0, Smoke::mf_const, 51, 8},	//249 Plasma::AccessAppletJob::applet() const
    {33, 13, 116, 2, Smoke::mf_ctor|Smoke::mf_protected, 39, 9},	//250 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&, QObject*)
    {33, 2270, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//251 Plasma::AccessAppletJob::start()
    {33, 2357, 1, 1, Smoke::mf_static, 292, 11},	//252 Plasma::AccessAppletJob::tr(const char*)
    {33, 2361, 1, 1, Smoke::mf_static, 292, 12},	//253 Plasma::AccessAppletJob::trUtf8(const char*)
    {33, 13, 119, 1, Smoke::mf_ctor|Smoke::mf_protected, 39, 13},	//254 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&)
    {33, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 14},	//255 Plasma::AccessAppletJob::staticMetaObject() const
    {33, 2465, 0, 0, Smoke::mf_dtor, 0, 15 },	//256 Plasma::AccessAppletJob::~AccessAppletJob()
    {34, 1402, 0, 0, Smoke::mf_const, 463, 1},	//257 Plasma::AccessManager::metaObject() const
    {34, 1538, 1, 1, 0, 508, 2},	//258 Plasma::AccessManager::qt_metacast(const char*)
    {34, 2357, 43, 2, Smoke::mf_static, 292, 3},	//259 Plasma::AccessManager::tr(const char*, const char*)
    {34, 2361, 43, 2, Smoke::mf_static, 292, 4},	//260 Plasma::AccessManager::trUtf8(const char*, const char*)
    {34, 2357, 46, 3, Smoke::mf_static, 292, 5},	//261 Plasma::AccessManager::tr(const char*, const char*, int)
    {34, 2361, 46, 3, Smoke::mf_static, 292, 6},	//262 Plasma::AccessManager::trUtf8(const char*, const char*, int)
    {34, 1536, 3, 3, 0, 499, 7},	//263 Plasma::AccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {34, 1697, 0, 0, Smoke::mf_static, 40, 8},	//264 Plasma::AccessManager::self()
    {34, 606, 119, 1, Smoke::mf_const, 39, 9},	//265 Plasma::AccessManager::accessRemoteApplet(const KUrl&) const
    {34, 1576, 0, 0, Smoke::mf_const, 250, 10},	//266 Plasma::AccessManager::remoteApplets() const
    {34, 2293, 0, 0, Smoke::mf_static, 293, 11},	//267 Plasma::AccessManager::supportedProtocols()
    {34, 1036, 121, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//268 Plasma::AccessManager::finished(Plasma::AccessAppletJob*)
    {34, 1572, 123, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//269 Plasma::AccessManager::remoteAppletAnnounced(Plasma::PackageMetadata)
    {34, 1574, 123, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//270 Plasma::AccessManager::remoteAppletUnannounced(Plasma::PackageMetadata)
    {34, 2357, 1, 1, Smoke::mf_static, 292, 15},	//271 Plasma::AccessManager::tr(const char*)
    {34, 2361, 1, 1, Smoke::mf_static, 292, 16},	//272 Plasma::AccessManager::trUtf8(const char*)
    {34, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 17},	//273 Plasma::AccessManager::staticMetaObject() const
    {35, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//274 Plasma::Animation::metaObject() const
    {35, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//275 Plasma::Animation::qt_metacast(const char*)
    {35, 2357, 43, 2, Smoke::mf_static, 292, 3},	//276 Plasma::Animation::tr(const char*, const char*)
    {35, 2361, 43, 2, Smoke::mf_static, 292, 4},	//277 Plasma::Animation::trUtf8(const char*, const char*)
    {35, 2357, 46, 3, Smoke::mf_static, 292, 5},	//278 Plasma::Animation::tr(const char*, const char*, int)
    {35, 2361, 46, 3, Smoke::mf_static, 292, 6},	//279 Plasma::Animation::trUtf8(const char*, const char*, int)
    {35, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//280 Plasma::Animation::qt_metacall(QMetaObject::Call, int, void**)
    {35, 959, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 499, 8},	//281 Plasma::Animation::duration() const
    {35, 32, 97, 1, Smoke::mf_ctor, 41, 9},	//282 Plasma::Animation::Animation(QObject*)
    {35, 2129, 125, 1, 0, 0, 10},	//283 Plasma::Animation::setTargetWidget(QGraphicsWidget*)
    {35, 2324, 0, 0, Smoke::mf_const, 228, 11},	//284 Plasma::Animation::targetWidget() const
    {35, 1846, 127, 1, Smoke::mf_property, 0, 12},	//285 Plasma::Animation::setEasingCurve(const QEasingCurve&)
    {35, 960, 0, 0, Smoke::mf_const|Smoke::mf_property, 196, 13},	//286 Plasma::Animation::easingCurve() const
    {35, 1844, 129, 1, Smoke::mf_protected|Smoke::mf_property|Smoke::mf_virtual, 0, 14},	//287 Plasma::Animation::setDuration(int)
    {35, 2387, 129, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//288 Plasma::Animation::updateCurrentTime(int)
    {35, 2357, 1, 1, Smoke::mf_static, 292, 16},	//289 Plasma::Animation::tr(const char*)
    {35, 2361, 1, 1, Smoke::mf_static, 292, 17},	//290 Plasma::Animation::trUtf8(const char*)
    {35, 32, 0, 0, Smoke::mf_ctor, 41, 18},	//291 Plasma::Animation::Animation()
    {35, 1844, 0, 0, Smoke::mf_protected|Smoke::mf_property, 0, 19},	//292 Plasma::Animation::setDuration()
    {35, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 20},	//293 Plasma::Animation::staticMetaObject() const
    {35, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 21},	//294 Plasma::Animation::Center (enum)
    {35, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 22},	//295 Plasma::Animation::Up (enum)
    {35, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 23},	//296 Plasma::Animation::Down (enum)
    {35, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 24},	//297 Plasma::Animation::Left (enum)
    {35, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 25},	//298 Plasma::Animation::Right (enum)
    {35, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 26},	//299 Plasma::Animation::MoveAny (enum)
    {35, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 27},	//300 Plasma::Animation::MoveUp (enum)
    {35, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 28},	//301 Plasma::Animation::MoveRight (enum)
    {35, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 29},	//302 Plasma::Animation::MoveDown (enum)
    {35, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 30},	//303 Plasma::Animation::MoveLeft (enum)
    {35, 2466, 0, 0, Smoke::mf_dtor, 0, 31 },	//304 Plasma::Animation::~Animation()
    {36, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//305 Plasma::AnimationDriver::metaObject() const
    {36, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//306 Plasma::AnimationDriver::qt_metacast(const char*)
    {36, 2357, 43, 2, Smoke::mf_static, 292, 3},	//307 Plasma::AnimationDriver::tr(const char*, const char*)
    {36, 2361, 43, 2, Smoke::mf_static, 292, 4},	//308 Plasma::AnimationDriver::trUtf8(const char*, const char*)
    {36, 2357, 46, 3, Smoke::mf_static, 292, 5},	//309 Plasma::AnimationDriver::tr(const char*, const char*, int)
    {36, 2361, 46, 3, Smoke::mf_static, 292, 6},	//310 Plasma::AnimationDriver::trUtf8(const char*, const char*, int)
    {36, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//311 Plasma::AnimationDriver::qt_metacall(QMetaObject::Call, int, void**)
    {36, 34, 97, 1, Smoke::mf_ctor, 44, 8},	//312 Plasma::AnimationDriver::AnimationDriver(QObject*)
    {36, 705, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 9},	//313 Plasma::AnimationDriver::animationFps(Plasma::Animator::Animation) const
    {36, 1433, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 10},	//314 Plasma::AnimationDriver::movementAnimationFps(Plasma::Animator::Movement) const
    {36, 970, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 11},	//315 Plasma::AnimationDriver::elementAnimationFps(Plasma::Animator::Animation) const
    {36, 701, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 12},	//316 Plasma::AnimationDriver::animationDuration(Plasma::Animator::Animation) const
    {36, 1431, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 13},	//317 Plasma::AnimationDriver::movementAnimationDuration(Plasma::Animator::Movement) const
    {36, 966, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 14},	//318 Plasma::AnimationDriver::elementAnimationDuration(Plasma::Animator::Animation) const
    {36, 699, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 15},	//319 Plasma::AnimationDriver::animationCurve(Plasma::Animator::Animation) const
    {36, 1429, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 16},	//320 Plasma::AnimationDriver::movementAnimationCurve(Plasma::Animator::Movement) const
    {36, 964, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 17},	//321 Plasma::AnimationDriver::elementAnimationCurve(Plasma::Animator::Animation) const
    {36, 972, 135, 2, Smoke::mf_virtual, 276, 18},	//322 Plasma::AnimationDriver::elementAppear(double, const QPixmap&)
    {36, 976, 135, 2, Smoke::mf_virtual, 276, 19},	//323 Plasma::AnimationDriver::elementDisappear(double, const QPixmap&)
    {36, 1226, 138, 2, Smoke::mf_virtual, 0, 20},	//324 Plasma::AnimationDriver::itemAppear(double, QGraphicsItem*)
    {36, 1234, 138, 2, Smoke::mf_virtual, 0, 21},	//325 Plasma::AnimationDriver::itemDisappear(double, QGraphicsItem*)
    {36, 1221, 138, 2, Smoke::mf_virtual, 0, 22},	//326 Plasma::AnimationDriver::itemActivated(double, QGraphicsItem*)
    {36, 1244, 141, 4, Smoke::mf_virtual, 0, 23},	//327 Plasma::AnimationDriver::itemSlideIn(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {36, 1246, 141, 4, Smoke::mf_virtual, 0, 24},	//328 Plasma::AnimationDriver::itemSlideOut(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {36, 2357, 1, 1, Smoke::mf_static, 292, 25},	//329 Plasma::AnimationDriver::tr(const char*)
    {36, 2361, 1, 1, Smoke::mf_static, 292, 26},	//330 Plasma::AnimationDriver::trUtf8(const char*)
    {36, 34, 0, 0, Smoke::mf_ctor, 44, 27},	//331 Plasma::AnimationDriver::AnimationDriver()
    {36, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 28},	//332 Plasma::AnimationDriver::staticMetaObject() const
    {36, 2467, 0, 0, Smoke::mf_dtor, 0, 29 },	//333 Plasma::AnimationDriver::~AnimationDriver()
    {37, 1402, 0, 0, Smoke::mf_const, 463, 1},	//334 Plasma::Animator::metaObject() const
    {37, 1538, 1, 1, 0, 508, 2},	//335 Plasma::Animator::qt_metacast(const char*)
    {37, 2357, 43, 2, Smoke::mf_static, 292, 3},	//336 Plasma::Animator::tr(const char*, const char*)
    {37, 2361, 43, 2, Smoke::mf_static, 292, 4},	//337 Plasma::Animator::trUtf8(const char*, const char*)
    {37, 2357, 46, 3, Smoke::mf_static, 292, 5},	//338 Plasma::Animator::tr(const char*, const char*, int)
    {37, 2361, 46, 3, Smoke::mf_static, 292, 6},	//339 Plasma::Animator::trUtf8(const char*, const char*, int)
    {37, 1536, 3, 3, 0, 499, 7},	//340 Plasma::Animator::qt_metacall(QMetaObject::Call, int, void**)
    {37, 1697, 0, 0, Smoke::mf_static, 45, 8},	//341 Plasma::Animator::self()
    {37, 851, 146, 2, Smoke::mf_static, 41, 9},	//342 Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    {37, 851, 149, 2, Smoke::mf_static, 41, 10},	//343 Plasma::Animator::create(const QString&, QObject*)
    {37, 851, 152, 1, Smoke::mf_static, 196, 11},	//344 Plasma::Animator::create(Plasma::Animator::CurveShape)
    {37, 2283, 129, 1, 0, 0, 12},	//345 Plasma::Animator::stopItemAnimation(int)
    {37, 1427, 154, 3, 0, 499, 13},	//346 Plasma::Animator::moveItem(QGraphicsItem*, Plasma::Animator::Movement, const QPoint&)
    {37, 2285, 129, 1, 0, 0, 14},	//347 Plasma::Animator::stopItemMovement(int)
    {37, 882, 158, 5, 0, 499, 15},	//348 Plasma::Animator::customAnimation(int, int, Plasma::Animator::CurveShape, QObject*, const char*)
    {37, 2279, 129, 1, 0, 0, 16},	//349 Plasma::Animator::stopCustomAnimation(int)
    {37, 2281, 129, 1, 0, 0, 17},	//350 Plasma::Animator::stopElementAnimation(int)
    {37, 1928, 164, 2, 0, 0, 18},	//351 Plasma::Animator::setInitialPixmap(int, const QPixmap&)
    {37, 877, 129, 1, 0, 276, 19},	//352 Plasma::Animator::currentPixmap(int)
    {37, 1171, 0, 0, Smoke::mf_const, 406, 20},	//353 Plasma::Animator::isAnimating() const
    {37, 1560, 125, 1, 0, 0, 21},	//354 Plasma::Animator::registerScrollingManager(QGraphicsWidget*)
    {37, 2378, 125, 1, 0, 0, 22},	//355 Plasma::Animator::unregisterScrollingManager(QGraphicsWidget*)
    {37, 703, 167, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//356 Plasma::Animator::animationFinished(QGraphicsItem*, Plasma::Animator::Animation)
    {37, 1435, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//357 Plasma::Animator::movementFinished(QGraphicsItem*)
    {37, 968, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//358 Plasma::Animator::elementAnimationFinished(int)
    {37, 884, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//359 Plasma::Animator::customAnimationFinished(int)
    {37, 1687, 172, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//360 Plasma::Animator::scrollStateChanged(QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State)
    {37, 2342, 176, 1, Smoke::mf_protected, 0, 28},	//361 Plasma::Animator::timerEvent(QTimerEvent*)
    {37, 2357, 1, 1, Smoke::mf_static, 292, 29},	//362 Plasma::Animator::tr(const char*)
    {37, 2361, 1, 1, Smoke::mf_static, 292, 30},	//363 Plasma::Animator::trUtf8(const char*)
    {37, 851, 131, 1, Smoke::mf_static, 41, 31},	//364 Plasma::Animator::create(Plasma::Animator::Animation)
    {37, 851, 89, 1, Smoke::mf_static, 41, 32},	//365 Plasma::Animator::create(const QString&)
    {37, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 33},	//366 Plasma::Animator::staticMetaObject() const
    {37, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 34},	//367 Plasma::Animator::AppearAnimation (enum)
    {37, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 35},	//368 Plasma::Animator::DisappearAnimation (enum)
    {37, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 36},	//369 Plasma::Animator::ActivateAnimation (enum)
    {37, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 37},	//370 Plasma::Animator::FadeAnimation (enum)
    {37, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 38},	//371 Plasma::Animator::GrowAnimation (enum)
    {37, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 39},	//372 Plasma::Animator::PulseAnimation (enum)
    {37, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 40},	//373 Plasma::Animator::RotationAnimation (enum)
    {37, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 41},	//374 Plasma::Animator::RotationStackedAnimation (enum)
    {37, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 42},	//375 Plasma::Animator::SlideAnimation (enum)
    {37, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 43},	//376 Plasma::Animator::GeometryAnimation (enum)
    {37, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 44},	//377 Plasma::Animator::ZoomAnimation (enum)
    {37, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 45},	//378 Plasma::Animator::PixmapTransitionAnimation (enum)
    {37, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 46},	//379 Plasma::Animator::WaterAnimation (enum)
    {37, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 47},	//380 Plasma::Animator::LastAnimation (enum)
    {37, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 48},	//381 Plasma::Animator::EaseInCurve (enum)
    {37, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 49},	//382 Plasma::Animator::EaseOutCurve (enum)
    {37, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 50},	//383 Plasma::Animator::EaseInOutCurve (enum)
    {37, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 51},	//384 Plasma::Animator::LinearCurve (enum)
    {37, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 52},	//385 Plasma::Animator::PendularCurve (enum)
    {37, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 53},	//386 Plasma::Animator::SlideInMovement (enum)
    {37, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 54},	//387 Plasma::Animator::SlideOutMovement (enum)
    {37, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 55},	//388 Plasma::Animator::FastSlideInMovement (enum)
    {37, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 56},	//389 Plasma::Animator::FastSlideOutMovement (enum)
    {38, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//390 Plasma::Applet::metaObject() const
    {38, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//391 Plasma::Applet::qt_metacast(const char*)
    {38, 2357, 43, 2, Smoke::mf_static, 292, 3},	//392 Plasma::Applet::tr(const char*, const char*)
    {38, 2361, 43, 2, Smoke::mf_static, 292, 4},	//393 Plasma::Applet::trUtf8(const char*, const char*)
    {38, 2357, 46, 3, Smoke::mf_static, 292, 5},	//394 Plasma::Applet::tr(const char*, const char*, int)
    {38, 2361, 46, 3, Smoke::mf_static, 292, 6},	//395 Plasma::Applet::trUtf8(const char*, const char*, int)
    {38, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//396 Plasma::Applet::qt_metacall(QMetaObject::Call, int, void**)
    {38, 1466, 0, 0, Smoke::mf_static, 20, 8},	//397 Plasma::Applet::packageStructure()
    {38, 1128, 0, 0, Smoke::mf_const, 506, 9},	//398 Plasma::Applet::id() const
    {38, 789, 0, 0, Smoke::mf_const, 8, 10},	//399 Plasma::Applet::config() const
    {38, 789, 89, 1, Smoke::mf_const, 8, 11},	//400 Plasma::Applet::config(const QString&) const
    {38, 1658, 178, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 12},	//401 Plasma::Applet::save(KConfigGroup&) const
    {38, 1640, 178, 1, Smoke::mf_virtual, 0, 13},	//402 Plasma::Applet::restore(KConfigGroup&)
    {38, 1080, 0, 0, Smoke::mf_const, 8, 14},	//403 Plasma::Applet::globalConfig() const
    {38, 793, 0, 0, Smoke::mf_const, 69, 15},	//404 Plasma::Applet::configScheme() const
    {38, 890, 89, 1, Smoke::mf_const, 83, 16},	//405 Plasma::Applet::dataEngine(const QString&) const
    {38, 1465, 0, 0, Smoke::mf_const, 430, 17},	//406 Plasma::Applet::package() const
    {38, 2427, 0, 0, Smoke::mf_const, 227, 18},	//407 Plasma::Applet::view() const
    {38, 1380, 180, 2, Smoke::mf_const, 282, 19},	//408 Plasma::Applet::mapFromView(const QGraphicsView*, const QRect&) const
    {38, 1382, 183, 2, Smoke::mf_const, 281, 20},	//409 Plasma::Applet::mapToView(const QGraphicsView*, const QRectF&) const
    {38, 1517, 186, 1, Smoke::mf_const, 278, 21},	//410 Plasma::Applet::popupPosition(const QSize&) const
    {38, 1517, 188, 2, Smoke::mf_const, 278, 22},	//411 Plasma::Applet::popupPosition(const QSize&, Qt::AlignmentFlag) const
    {38, 2385, 191, 1, 0, 0, 23},	//412 Plasma::Applet::updateConstraints(QFlags<Plasma::Constraint>)
    {38, 1063, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 99, 24},	//413 Plasma::Applet::formFactor() const
    {38, 1365, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 114, 25},	//414 Plasma::Applet::location() const
    {38, 839, 0, 0, Smoke::mf_const, 80, 26},	//415 Plasma::Applet::context() const
    {38, 727, 0, 0, Smoke::mf_const, 54, 27},	//416 Plasma::Applet::aspectRatioMode() const
    {38, 1727, 193, 1, 0, 0, 28},	//417 Plasma::Applet::setAspectRatioMode(Plasma::AspectRatioMode)
    {38, 1289, 77, 2, Smoke::mf_static, 241, 29},	//418 Plasma::Applet::listAppletInfo(const QString&, const QString&)
    {38, 1292, 89, 1, Smoke::mf_static, 241, 30},	//419 Plasma::Applet::listAppletInfoForMimetype(const QString&)
    {38, 1294, 195, 1, Smoke::mf_static, 241, 31},	//420 Plasma::Applet::listAppletInfoForUrl(const QUrl&)
    {38, 1298, 197, 2, Smoke::mf_static, 293, 32},	//421 Plasma::Applet::listCategories(const QString&, bool)
    {38, 1808, 200, 1, 0, 0, 33},	//422 Plasma::Applet::setCustomCategories(const QStringList&)
    {38, 886, 0, 0, 0, 293, 34},	//423 Plasma::Applet::customCategories()
    {38, 1354, 202, 3, Smoke::mf_static, 51, 35},	//424 Plasma::Applet::loadPlasmoid(const QString&, unsigned int, const QList<QVariant>&)
    {38, 1332, 202, 3, Smoke::mf_static, 51, 36},	//425 Plasma::Applet::load(const QString&, unsigned int, const QList<QVariant>&)
    {38, 1332, 206, 3, Smoke::mf_static, 51, 37},	//426 Plasma::Applet::load(const KPluginInfo&, unsigned int, const QList<QVariant>&)
    {38, 758, 210, 1, Smoke::mf_static, 292, 38},	//427 Plasma::Applet::category(const KPluginInfo&)
    {38, 758, 89, 1, Smoke::mf_static, 292, 39},	//428 Plasma::Applet::category(const QString&)
    {38, 1488, 212, 3, Smoke::mf_virtual, 0, 40},	//429 Plasma::Applet::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {38, 1437, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 41},	//430 Plasma::Applet::name() const
    {38, 1056, 0, 0, Smoke::mf_const, 210, 42},	//431 Plasma::Applet::font() const
    {38, 1509, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 43},	//432 Plasma::Applet::pluginName() const
    {38, 2216, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 44},	//433 Plasma::Applet::shouldConserveResources() const
    {38, 1126, 0, 0, Smoke::mf_const, 292, 45},	//434 Plasma::Applet::icon() const
    {38, 758, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 46},	//435 Plasma::Applet::category() const
    {38, 1133, 0, 0, Smoke::mf_const|Smoke::mf_property, 107, 47},	//436 Plasma::Applet::immutability() const
    {38, 1490, 216, 3, Smoke::mf_virtual, 0, 48},	//437 Plasma::Applet::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {38, 1096, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 49},	//438 Plasma::Applet::hasFailedToLaunch() const
    {38, 1173, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 50},	//439 Plasma::Applet::isBusy() const
    {38, 796, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 51},	//440 Plasma::Applet::configurationRequired() const
    {38, 1091, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 52},	//441 Plasma::Applet::hasConfigurationInterface() const
    {38, 847, 0, 0, Smoke::mf_virtual, 254, 53},	//442 Plasma::Applet::contextualActions()
    {38, 608, 220, 1, Smoke::mf_const, 182, 54},	//443 Plasma::Applet::action(QString) const
    {38, 625, 222, 2, 0, 0, 55},	//444 Plasma::Applet::addAction(QString, QAction*)
    {38, 1751, 225, 1, 0, 0, 56},	//445 Plasma::Applet::setBackgroundHints(const QFlags<Plasma::Applet::BackgroundHint>)
    {38, 748, 0, 0, Smoke::mf_const, 198, 57},	//446 Plasma::Applet::backgroundHints() const
    {38, 1179, 0, 0, Smoke::mf_const, 406, 58},	//447 Plasma::Applet::isContainment() const
    {38, 1684, 0, 0, Smoke::mf_const, 281, 59},	//448 Plasma::Applet::screenRect() const
    {38, 2366, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 499, 60},	//449 Plasma::Applet::type() const
    {38, 816, 0, 0, Smoke::mf_const, 71, 61},	//450 Plasma::Applet::containment() const
    {38, 1881, 227, 1, 0, 0, 62},	//451 Plasma::Applet::setGlobalShortcut(const KShortcut&)
    {38, 1081, 0, 0, Smoke::mf_const, 21, 63},	//452 Plasma::Applet::globalShortcut() const
    {38, 1196, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 64},	//453 Plasma::Applet::isPopupShowing() const
    {38, 636, 57, 1, Smoke::mf_virtual, 0, 65},	//454 Plasma::Applet::addAssociatedWidget(QWidget*)
    {38, 1585, 57, 1, Smoke::mf_virtual, 0, 66},	//455 Plasma::Applet::removeAssociatedWidget(QWidget*)
    {38, 1144, 229, 1, Smoke::mf_virtual, 0, 67},	//456 Plasma::Applet::initExtenderItem(Plasma::ExtenderItem*)
    {38, 38, 231, 3, Smoke::mf_ctor, 51, 68},	//457 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int)
    {38, 38, 235, 3, Smoke::mf_ctor, 51, 69},	//458 Plasma::Applet::Applet(const KPluginInfo&, QGraphicsItem*, unsigned int)
    {38, 38, 239, 4, Smoke::mf_ctor, 51, 70},	//459 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&)
    {38, 905, 0, 0, Smoke::mf_const, 406, 71},	//460 Plasma::Applet::destroyed() const
    {38, 856, 244, 1, Smoke::mf_virtual, 0, 72},	//461 Plasma::Applet::createConfigurationInterface(KConfigDialog*)
    {38, 1089, 89, 1, Smoke::mf_const, 406, 73},	//462 Plasma::Applet::hasAuthorization(const QString&) const
    {38, 1729, 89, 1, 0, 0, 74},	//463 Plasma::Applet::setAssociatedApplication(const QString&)
    {38, 1731, 246, 1, 0, 0, 75},	//464 Plasma::Applet::setAssociatedApplicationUrls(const KUrl::List&)
    {38, 732, 0, 0, Smoke::mf_const, 292, 76},	//465 Plasma::Applet::associatedApplication() const
    {38, 733, 0, 0, Smoke::mf_const, 29, 77},	//466 Plasma::Applet::associatedApplicationUrls() const
    {38, 1104, 0, 0, Smoke::mf_const, 406, 78},	//467 Plasma::Applet::hasValidAssociatedApplication() const
    {38, 1566, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//468 Plasma::Applet::releaseVisualFocus()
    {38, 1071, 0, 0, Smoke::mf_protected, 0, 80},	//469 Plasma::Applet::geometryChanged()
    {38, 723, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//470 Plasma::Applet::appletTransformedByUser()
    {38, 724, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//471 Plasma::Applet::appletTransformedItself()
    {38, 2255, 248, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//472 Plasma::Applet::sizeHintChanged(Qt::SizeHint)
    {38, 792, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 84},	//473 Plasma::Applet::configNeedsSaving()
    {38, 619, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 85},	//474 Plasma::Applet::activate()
    {38, 1400, 250, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 86},	//475 Plasma::Applet::messageButtonPressed(const Plasma::MessageButton)
    {38, 718, 252, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 87},	//476 Plasma::Applet::appletDestroyed(Plasma::Applet*)
    {38, 1442, 254, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 88},	//477 Plasma::Applet::newStatus(Plasma::ItemStatus)
    {38, 1018, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 89},	//478 Plasma::Applet::extenderItemRestored(Plasma::ExtenderItem*)
    {38, 1134, 256, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 90},	//479 Plasma::Applet::immutabilityChanged(Plasma::ImmutabilityType)
    {38, 1922, 258, 1, Smoke::mf_property|Smoke::mf_slot, 0, 91},	//480 Plasma::Applet::setImmutability(const Plasma::ImmutabilityType)
    {38, 903, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 92},	//481 Plasma::Applet::destroy()
    {38, 2222, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 93},	//482 Plasma::Applet::showConfigurationInterface()
    {38, 2222, 57, 1, Smoke::mf_slot, 0, 94},	//483 Plasma::Applet::showConfigurationInterface(QWidget*)
    {38, 1212, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 406, 95},	//484 Plasma::Applet::isUserConfiguring() const
    {38, 1543, 0, 0, Smoke::mf_slot, 0, 96},	//485 Plasma::Applet::raise()
    {38, 1373, 0, 0, Smoke::mf_slot, 0, 97},	//486 Plasma::Applet::lower()
    {38, 1046, 0, 0, Smoke::mf_slot, 0, 98},	//487 Plasma::Applet::flushPendingConstraintsEvents()
    {38, 1142, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 99},	//488 Plasma::Applet::init()
    {38, 791, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 100},	//489 Plasma::Applet::configChanged()
    {38, 1755, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 101},	//490 Plasma::Applet::setBusy(bool)
    {38, 2274, 0, 0, Smoke::mf_const|Smoke::mf_slot, 304, 102},	//491 Plasma::Applet::startupArguments() const
    {38, 2277, 0, 0, Smoke::mf_const|Smoke::mf_slot, 110, 103},	//492 Plasma::Applet::status() const
    {38, 2096, 260, 1, Smoke::mf_slot, 0, 104},	//493 Plasma::Applet::setStatus(const Plasma::ItemStatus)
    {38, 1534, 262, 2, Smoke::mf_slot, 0, 105},	//494 Plasma::Applet::publish(Plasma::AnnouncementMethods, const QString&)
    {38, 2375, 0, 0, Smoke::mf_slot, 0, 106},	//495 Plasma::Applet::unpublish()
    {38, 1198, 0, 0, Smoke::mf_const|Smoke::mf_slot, 406, 107},	//496 Plasma::Applet::isPublished() const
    {38, 1652, 0, 0, Smoke::mf_slot, 0, 108},	//497 Plasma::Applet::runAssociatedApplication()
    {38, 38, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 51, 109},	//498 Plasma::Applet::Applet(QObject*, const QList<QVariant>&)
    {38, 1865, 265, 2, Smoke::mf_protected, 0, 110},	//499 Plasma::Applet::setFailedToLaunch(bool, const QString&)
    {38, 1664, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 111},	//500 Plasma::Applet::saveState(KConfigGroup&) const
    {38, 1890, 7, 1, Smoke::mf_protected, 0, 112},	//501 Plasma::Applet::setHasConfigurationInterface(bool)
    {38, 1777, 265, 2, Smoke::mf_protected, 0, 113},	//502 Plasma::Applet::setConfigurationRequired(bool, const QString&)
    {38, 2234, 268, 3, Smoke::mf_protected, 0, 114},	//503 Plasma::Applet::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {38, 811, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 115},	//504 Plasma::Applet::constraintsEvent(QFlags<Plasma::Constraint>)
    {38, 1553, 170, 1, Smoke::mf_protected, 0, 116},	//505 Plasma::Applet::registerAsDragHandle(QGraphicsItem*)
    {38, 2376, 170, 1, Smoke::mf_protected, 0, 117},	//506 Plasma::Applet::unregisterAsDragHandle(QGraphicsItem*)
    {38, 1200, 170, 1, Smoke::mf_protected, 406, 118},	//507 Plasma::Applet::isRegisteredAsDragHandle(QGraphicsItem*)
    {38, 1017, 0, 0, Smoke::mf_const|Smoke::mf_protected, 93, 119},	//508 Plasma::Applet::extender() const
    {38, 1005, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 120},	//509 Plasma::Applet::eventFilter(QObject*, QEvent*)
    {38, 1672, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 121},	//510 Plasma::Applet::sceneEventFilter(QGraphicsItem*, QEvent*)
    {38, 1419, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 122},	//511 Plasma::Applet::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {38, 1049, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 123},	//512 Plasma::Applet::focusInEvent(QFocusEvent*)
    {38, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 124},	//513 Plasma::Applet::resizeEvent(QGraphicsSceneResizeEvent*)
    {38, 1230, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 303, 125},	//514 Plasma::Applet::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {38, 2214, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 275, 126},	//515 Plasma::Applet::shape() const
    {38, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 127},	//516 Plasma::Applet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {38, 1119, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 128},	//517 Plasma::Applet::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {38, 1121, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 129},	//518 Plasma::Applet::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {38, 2342, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 130},	//519 Plasma::Applet::timerEvent(QTimerEvent*)
    {38, 2357, 1, 1, Smoke::mf_static, 292, 131},	//520 Plasma::Applet::tr(const char*)
    {38, 2361, 1, 1, Smoke::mf_static, 292, 132},	//521 Plasma::Applet::trUtf8(const char*)
    {38, 2385, 0, 0, 0, 0, 133},	//522 Plasma::Applet::updateConstraints()
    {38, 1289, 0, 0, Smoke::mf_static, 241, 134},	//523 Plasma::Applet::listAppletInfo()
    {38, 1289, 89, 1, Smoke::mf_static, 241, 135},	//524 Plasma::Applet::listAppletInfo(const QString&)
    {38, 1298, 0, 0, Smoke::mf_static, 293, 136},	//525 Plasma::Applet::listCategories()
    {38, 1298, 89, 1, Smoke::mf_static, 293, 137},	//526 Plasma::Applet::listCategories(const QString&)
    {38, 1354, 89, 1, Smoke::mf_static, 51, 138},	//527 Plasma::Applet::loadPlasmoid(const QString&)
    {38, 1354, 292, 2, Smoke::mf_static, 51, 139},	//528 Plasma::Applet::loadPlasmoid(const QString&, unsigned int)
    {38, 1332, 89, 1, Smoke::mf_static, 51, 140},	//529 Plasma::Applet::load(const QString&)
    {38, 1332, 292, 2, Smoke::mf_static, 51, 141},	//530 Plasma::Applet::load(const QString&, unsigned int)
    {38, 1332, 210, 1, Smoke::mf_static, 51, 142},	//531 Plasma::Applet::load(const KPluginInfo&)
    {38, 1332, 295, 2, Smoke::mf_static, 51, 143},	//532 Plasma::Applet::load(const KPluginInfo&, unsigned int)
    {38, 38, 0, 0, Smoke::mf_ctor, 51, 144},	//533 Plasma::Applet::Applet()
    {38, 38, 170, 1, Smoke::mf_ctor, 51, 145},	//534 Plasma::Applet::Applet(QGraphicsItem*)
    {38, 38, 298, 2, Smoke::mf_ctor, 51, 146},	//535 Plasma::Applet::Applet(QGraphicsItem*, const QString&)
    {38, 38, 210, 1, Smoke::mf_ctor, 51, 147},	//536 Plasma::Applet::Applet(const KPluginInfo&)
    {38, 38, 301, 2, Smoke::mf_ctor, 51, 148},	//537 Plasma::Applet::Applet(const KPluginInfo&, QGraphicsItem*)
    {38, 1865, 7, 1, Smoke::mf_protected, 0, 149},	//538 Plasma::Applet::setFailedToLaunch(bool)
    {38, 1777, 7, 1, Smoke::mf_protected, 0, 150},	//539 Plasma::Applet::setConfigurationRequired(bool)
    {38, 2251, 248, 1, Smoke::mf_const|Smoke::mf_protected, 290, 151},	//540 Plasma::Applet::sizeHint(Qt::SizeHint) const
    {38, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 152},	//541 Plasma::Applet::staticMetaObject() const
    {38, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 153},	//542 Plasma::Applet::NoBackground (enum)
    {38, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 154},	//543 Plasma::Applet::StandardBackground (enum)
    {38, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 155},	//544 Plasma::Applet::TranslucentBackground (enum)
    {38, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 156},	//545 Plasma::Applet::DefaultBackground (enum)
    {38, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 157},	//546 Plasma::Applet::Type (enum)
    {38, 2468, 0, 0, Smoke::mf_dtor, 0, 158 },	//547 Plasma::Applet::~Applet()
    {39, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//548 Plasma::AppletScript::metaObject() const
    {39, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//549 Plasma::AppletScript::qt_metacast(const char*)
    {39, 2357, 43, 2, Smoke::mf_static, 292, 3},	//550 Plasma::AppletScript::tr(const char*, const char*)
    {39, 2361, 43, 2, Smoke::mf_static, 292, 4},	//551 Plasma::AppletScript::trUtf8(const char*, const char*)
    {39, 2357, 46, 3, Smoke::mf_static, 292, 5},	//552 Plasma::AppletScript::tr(const char*, const char*, int)
    {39, 2361, 46, 3, Smoke::mf_static, 292, 6},	//553 Plasma::AppletScript::trUtf8(const char*, const char*, int)
    {39, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//554 Plasma::AppletScript::qt_metacall(QMetaObject::Call, int, void**)
    {39, 47, 97, 1, Smoke::mf_ctor, 53, 8},	//555 Plasma::AppletScript::AppletScript(QObject*)
    {39, 1721, 252, 1, 0, 0, 9},	//556 Plasma::AppletScript::setApplet(Plasma::Applet*)
    {39, 715, 0, 0, Smoke::mf_const, 51, 10},	//557 Plasma::AppletScript::applet() const
    {39, 1488, 212, 3, Smoke::mf_virtual, 0, 11},	//558 Plasma::AppletScript::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {39, 2247, 0, 0, Smoke::mf_const, 290, 12},	//559 Plasma::AppletScript::size() const
    {39, 811, 191, 1, Smoke::mf_virtual, 0, 13},	//560 Plasma::AppletScript::constraintsEvent(QFlags<Plasma::Constraint>)
    {39, 847, 0, 0, Smoke::mf_virtual, 254, 14},	//561 Plasma::AppletScript::contextualActions()
    {39, 2214, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 275, 15},	//562 Plasma::AppletScript::shape() const
    {39, 1890, 7, 1, 0, 0, 16},	//563 Plasma::AppletScript::setHasConfigurationInterface(bool)
    {39, 1777, 265, 2, 0, 0, 17},	//564 Plasma::AppletScript::setConfigurationRequired(bool, const QString&)
    {39, 1865, 265, 2, 0, 0, 18},	//565 Plasma::AppletScript::setFailedToLaunch(bool, const QString&)
    {39, 792, 0, 0, Smoke::mf_const, 0, 19},	//566 Plasma::AppletScript::configNeedsSaving() const
    {39, 1017, 0, 0, Smoke::mf_const, 93, 20},	//567 Plasma::AppletScript::extender() const
    {39, 954, 0, 0, Smoke::mf_const, 406, 21},	//568 Plasma::AppletScript::drawWallpaper() const
    {39, 1842, 7, 1, 0, 0, 22},	//569 Plasma::AppletScript::setDrawWallpaper(bool)
    {39, 830, 0, 0, Smoke::mf_const, 75, 23},	//570 Plasma::AppletScript::containmentType() const
    {39, 1786, 304, 1, 0, 0, 24},	//571 Plasma::AppletScript::setContainmentType(Plasma::Containment::Type)
    {39, 1664, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//572 Plasma::AppletScript::saveState(KConfigGroup&) const
    {39, 1513, 7, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//573 Plasma::AppletScript::popupEvent(bool) const
    {39, 2222, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//574 Plasma::AppletScript::showConfigurationInterface()
    {39, 791, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//575 Plasma::AppletScript::configChanged()
    {39, 890, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 29},	//576 Plasma::AppletScript::dataEngine(const QString&) const
    {39, 1375, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 292, 30},	//577 Plasma::AppletScript::mainScript() const
    {39, 1465, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 430, 31},	//578 Plasma::AppletScript::package() const
    {39, 900, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 32},	//579 Plasma::AppletScript::description() const
    {39, 2269, 0, 0, Smoke::mf_protected, 7, 33},	//580 Plasma::AppletScript::standardConfigurationDialog()
    {39, 675, 244, 1, Smoke::mf_protected, 0, 34},	//581 Plasma::AppletScript::addStandardConfigurationPages(KConfigDialog*)
    {39, 2234, 268, 3, Smoke::mf_protected, 0, 35},	//582 Plasma::AppletScript::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {39, 1553, 170, 1, Smoke::mf_protected, 0, 36},	//583 Plasma::AppletScript::registerAsDragHandle(QGraphicsItem*)
    {39, 2376, 170, 1, Smoke::mf_protected, 0, 37},	//584 Plasma::AppletScript::unregisterAsDragHandle(QGraphicsItem*)
    {39, 1200, 170, 1, Smoke::mf_protected, 406, 38},	//585 Plasma::AppletScript::isRegisteredAsDragHandle(QGraphicsItem*)
    {39, 1345, 149, 2, Smoke::mf_protected, 41, 39},	//586 Plasma::AppletScript::loadAnimationFromPackage(const QString&, QObject*)
    {39, 2357, 1, 1, Smoke::mf_static, 292, 40},	//587 Plasma::AppletScript::tr(const char*)
    {39, 2361, 1, 1, Smoke::mf_static, 292, 41},	//588 Plasma::AppletScript::trUtf8(const char*)
    {39, 47, 0, 0, Smoke::mf_ctor, 53, 42},	//589 Plasma::AppletScript::AppletScript()
    {39, 1777, 7, 1, 0, 0, 43},	//590 Plasma::AppletScript::setConfigurationRequired(bool)
    {39, 1865, 7, 1, 0, 0, 44},	//591 Plasma::AppletScript::setFailedToLaunch(bool)
    {39, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 45},	//592 Plasma::AppletScript::staticMetaObject() const
    {39, 2469, 0, 0, Smoke::mf_dtor, 0, 46 },	//593 Plasma::AppletScript::~AppletScript()
    {40, 737, 306, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//594 Plasma::AuthorizationInterface::authorizationRequest(Plasma::AuthorizationRule&) [pure virtual]
    {40, 779, 308, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//595 Plasma::AuthorizationInterface::clientPinRequest(Plasma::ClientPinRequest&) [pure virtual]
    {40, 50, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 55, 3},	//596 Plasma::AuthorizationInterface::AuthorizationInterface()
    {40, 50, 310, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 4},	//597 Plasma::AuthorizationInterface::AuthorizationInterface(const Plasma::AuthorizationInterface&)
    {40, 2470, 0, 0, Smoke::mf_dtor, 0, 5 },	//598 Plasma::AuthorizationInterface::~AuthorizationInterface()
    {41, 1402, 0, 0, Smoke::mf_const, 463, 1},	//599 Plasma::AuthorizationManager::metaObject() const
    {41, 1538, 1, 1, 0, 508, 2},	//600 Plasma::AuthorizationManager::qt_metacast(const char*)
    {41, 2357, 43, 2, Smoke::mf_static, 292, 3},	//601 Plasma::AuthorizationManager::tr(const char*, const char*)
    {41, 2361, 43, 2, Smoke::mf_static, 292, 4},	//602 Plasma::AuthorizationManager::trUtf8(const char*, const char*)
    {41, 2357, 46, 3, Smoke::mf_static, 292, 5},	//603 Plasma::AuthorizationManager::tr(const char*, const char*, int)
    {41, 2361, 46, 3, Smoke::mf_static, 292, 6},	//604 Plasma::AuthorizationManager::trUtf8(const char*, const char*, int)
    {41, 1536, 3, 3, 0, 499, 7},	//605 Plasma::AuthorizationManager::qt_metacall(QMetaObject::Call, int, void**)
    {41, 1697, 0, 0, Smoke::mf_static, 56, 8},	//606 Plasma::AuthorizationManager::self()
    {41, 1737, 312, 1, 0, 0, 9},	//607 Plasma::AuthorizationManager::setAuthorizationPolicy(Plasma::AuthorizationManager::AuthorizationPolicy)
    {41, 1735, 314, 1, 0, 0, 10},	//608 Plasma::AuthorizationManager::setAuthorizationInterface(Plasma::AuthorizationInterface*)
    {41, 1548, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//609 Plasma::AuthorizationManager::readyForRemoteAccess()
    {41, 2357, 1, 1, Smoke::mf_static, 292, 12},	//610 Plasma::AuthorizationManager::tr(const char*)
    {41, 2361, 1, 1, Smoke::mf_static, 292, 13},	//611 Plasma::AuthorizationManager::trUtf8(const char*)
    {41, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 14},	//612 Plasma::AuthorizationManager::staticMetaObject() const
    {41, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 15},	//613 Plasma::AuthorizationManager::DenyAll (enum)
    {41, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 16},	//614 Plasma::AuthorizationManager::TrustedOnly (enum)
    {41, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 17},	//615 Plasma::AuthorizationManager::PinPairing (enum)
    {41, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 18},	//616 Plasma::AuthorizationManager::Custom (enum)
    {42, 1402, 0, 0, Smoke::mf_const, 463, 1},	//617 Plasma::AuthorizationRule::metaObject() const
    {42, 1538, 1, 1, 0, 508, 2},	//618 Plasma::AuthorizationRule::qt_metacast(const char*)
    {42, 2357, 43, 2, Smoke::mf_static, 292, 3},	//619 Plasma::AuthorizationRule::tr(const char*, const char*)
    {42, 2361, 43, 2, Smoke::mf_static, 292, 4},	//620 Plasma::AuthorizationRule::trUtf8(const char*, const char*)
    {42, 2357, 46, 3, Smoke::mf_static, 292, 5},	//621 Plasma::AuthorizationRule::tr(const char*, const char*, int)
    {42, 2361, 46, 3, Smoke::mf_static, 292, 6},	//622 Plasma::AuthorizationRule::trUtf8(const char*, const char*, int)
    {42, 1536, 3, 3, 0, 499, 7},	//623 Plasma::AuthorizationRule::qt_metacall(QMetaObject::Call, int, void**)
    {42, 900, 0, 0, Smoke::mf_const, 292, 8},	//624 Plasma::AuthorizationRule::description() const
    {42, 2006, 316, 1, 0, 0, 9},	//625 Plasma::AuthorizationRule::setPolicy(Plasma::AuthorizationRule::Policy)
    {42, 1510, 0, 0, 0, 61, 10},	//626 Plasma::AuthorizationRule::policy()
    {42, 2000, 318, 1, 0, 0, 11},	//627 Plasma::AuthorizationRule::setPersistence(Plasma::AuthorizationRule::Persistence)
    {42, 1503, 0, 0, 0, 60, 12},	//628 Plasma::AuthorizationRule::persistence()
    {42, 2131, 320, 1, 0, 0, 13},	//629 Plasma::AuthorizationRule::setTargets(QFlags<Plasma::AuthorizationRule::Target>)
    {42, 2325, 0, 0, 0, 199, 14},	//630 Plasma::AuthorizationRule::targets()
    {42, 2002, 89, 1, 0, 0, 15},	//631 Plasma::AuthorizationRule::setPin(const QString&)
    {42, 1504, 0, 0, Smoke::mf_const, 292, 16},	//632 Plasma::AuthorizationRule::pin() const
    {42, 1701, 0, 0, Smoke::mf_const, 292, 17},	//633 Plasma::AuthorizationRule::serviceName() const
    {42, 763, 322, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//634 Plasma::AuthorizationRule::changed(Plasma::AuthorizationRule*)
    {42, 2357, 1, 1, Smoke::mf_static, 292, 19},	//635 Plasma::AuthorizationRule::tr(const char*)
    {42, 2361, 1, 1, Smoke::mf_static, 292, 20},	//636 Plasma::AuthorizationRule::trUtf8(const char*)
    {42, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 21},	//637 Plasma::AuthorizationRule::staticMetaObject() const
    {42, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 22},	//638 Plasma::AuthorizationRule::Deny (enum)
    {42, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 23},	//639 Plasma::AuthorizationRule::Allow (enum)
    {42, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 24},	//640 Plasma::AuthorizationRule::PinRequired (enum)
    {42, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 25},	//641 Plasma::AuthorizationRule::Transient (enum)
    {42, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 26},	//642 Plasma::AuthorizationRule::Persistent (enum)
    {42, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 27},	//643 Plasma::AuthorizationRule::Default (enum)
    {42, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 28},	//644 Plasma::AuthorizationRule::AllUsers (enum)
    {42, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 29},	//645 Plasma::AuthorizationRule::AllServices (enum)
    {42, 2471, 0, 0, Smoke::mf_dtor, 0, 30 },	//646 Plasma::AuthorizationRule::~AuthorizationRule()
    {43, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//647 Plasma::BusyWidget::metaObject() const
    {43, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//648 Plasma::BusyWidget::qt_metacast(const char*)
    {43, 2357, 43, 2, Smoke::mf_static, 292, 3},	//649 Plasma::BusyWidget::tr(const char*, const char*)
    {43, 2361, 43, 2, Smoke::mf_static, 292, 4},	//650 Plasma::BusyWidget::trUtf8(const char*, const char*)
    {43, 2357, 46, 3, Smoke::mf_static, 292, 5},	//651 Plasma::BusyWidget::tr(const char*, const char*, int)
    {43, 2361, 46, 3, Smoke::mf_static, 292, 6},	//652 Plasma::BusyWidget::trUtf8(const char*, const char*, int)
    {43, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//653 Plasma::BusyWidget::qt_metacall(QMetaObject::Call, int, void**)
    {43, 67, 125, 1, Smoke::mf_ctor, 63, 8},	//654 Plasma::BusyWidget::BusyWidget(QGraphicsWidget*)
    {43, 2053, 7, 1, Smoke::mf_property, 0, 9},	//655 Plasma::BusyWidget::setRunning(bool)
    {43, 1204, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 10},	//656 Plasma::BusyWidget::isRunning() const
    {43, 1934, 89, 1, Smoke::mf_property, 0, 11},	//657 Plasma::BusyWidget::setLabel(const QString&)
    {43, 1257, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 12},	//658 Plasma::BusyWidget::label() const
    {43, 777, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//659 Plasma::BusyWidget::clicked()
    {43, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//660 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {43, 2230, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//661 Plasma::BusyWidget::showEvent(QShowEvent*)
    {43, 1110, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//662 Plasma::BusyWidget::hideEvent(QHideEvent*)
    {43, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//663 Plasma::BusyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {43, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//664 Plasma::BusyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {43, 1423, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//665 Plasma::BusyWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {43, 2342, 176, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//666 Plasma::BusyWidget::timerEvent(QTimerEvent*)
    {43, 2357, 1, 1, Smoke::mf_static, 292, 21},	//667 Plasma::BusyWidget::tr(const char*)
    {43, 2361, 1, 1, Smoke::mf_static, 292, 22},	//668 Plasma::BusyWidget::trUtf8(const char*)
    {43, 67, 0, 0, Smoke::mf_ctor, 63, 23},	//669 Plasma::BusyWidget::BusyWidget()
    {43, 1471, 328, 2, Smoke::mf_protected, 0, 24},	//670 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {43, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 25},	//671 Plasma::BusyWidget::staticMetaObject() const
    {43, 2472, 0, 0, Smoke::mf_dtor, 0, 26 },	//672 Plasma::BusyWidget::~BusyWidget()
    {44, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//673 Plasma::CheckBox::metaObject() const
    {44, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//674 Plasma::CheckBox::qt_metacast(const char*)
    {44, 2357, 43, 2, Smoke::mf_static, 292, 3},	//675 Plasma::CheckBox::tr(const char*, const char*)
    {44, 2361, 43, 2, Smoke::mf_static, 292, 4},	//676 Plasma::CheckBox::trUtf8(const char*, const char*)
    {44, 2357, 46, 3, Smoke::mf_static, 292, 5},	//677 Plasma::CheckBox::tr(const char*, const char*, int)
    {44, 2361, 46, 3, Smoke::mf_static, 292, 6},	//678 Plasma::CheckBox::trUtf8(const char*, const char*, int)
    {44, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//679 Plasma::CheckBox::qt_metacall(QMetaObject::Call, int, void**)
    {44, 85, 125, 1, Smoke::mf_ctor, 64, 8},	//680 Plasma::CheckBox::CheckBox(QGraphicsWidget*)
    {44, 2133, 89, 1, Smoke::mf_property, 0, 9},	//681 Plasma::CheckBox::setText(const QString&)
    {44, 2327, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 10},	//682 Plasma::CheckBox::text() const
    {44, 1916, 89, 1, Smoke::mf_property, 0, 11},	//683 Plasma::CheckBox::setImage(const QString&)
    {44, 1130, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 12},	//684 Plasma::CheckBox::image() const
    {44, 2101, 89, 1, Smoke::mf_property, 0, 13},	//685 Plasma::CheckBox::setStyleSheet(const QString&)
    {44, 2289, 0, 0, Smoke::mf_property, 292, 14},	//686 Plasma::CheckBox::styleSheet()
    {44, 1439, 0, 0, Smoke::mf_const, 185, 15},	//687 Plasma::CheckBox::nativeWidget() const
    {44, 1765, 7, 1, Smoke::mf_property, 0, 16},	//688 Plasma::CheckBox::setChecked(bool)
    {44, 1175, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 17},	//689 Plasma::CheckBox::isChecked() const
    {44, 2346, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//690 Plasma::CheckBox::toggled(bool)
    {44, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//691 Plasma::CheckBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {44, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//692 Plasma::CheckBox::changeEvent(QEvent*)
    {44, 2357, 1, 1, Smoke::mf_static, 292, 21},	//693 Plasma::CheckBox::tr(const char*)
    {44, 2361, 1, 1, Smoke::mf_static, 292, 22},	//694 Plasma::CheckBox::trUtf8(const char*)
    {44, 85, 0, 0, Smoke::mf_ctor, 64, 23},	//695 Plasma::CheckBox::CheckBox()
    {44, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 24},	//696 Plasma::CheckBox::staticMetaObject() const
    {44, 2473, 0, 0, Smoke::mf_dtor, 0, 25 },	//697 Plasma::CheckBox::~CheckBox()
    {45, 1402, 0, 0, Smoke::mf_const, 463, 1},	//698 Plasma::ClientPinRequest::metaObject() const
    {45, 1538, 1, 1, 0, 508, 2},	//699 Plasma::ClientPinRequest::qt_metacast(const char*)
    {45, 2357, 43, 2, Smoke::mf_static, 292, 3},	//700 Plasma::ClientPinRequest::tr(const char*, const char*)
    {45, 2361, 43, 2, Smoke::mf_static, 292, 4},	//701 Plasma::ClientPinRequest::trUtf8(const char*, const char*)
    {45, 2357, 46, 3, Smoke::mf_static, 292, 5},	//702 Plasma::ClientPinRequest::tr(const char*, const char*, int)
    {45, 2361, 46, 3, Smoke::mf_static, 292, 6},	//703 Plasma::ClientPinRequest::trUtf8(const char*, const char*, int)
    {45, 1536, 3, 3, 0, 499, 7},	//704 Plasma::ClientPinRequest::qt_metacall(QMetaObject::Call, int, void**)
    {45, 900, 0, 0, Smoke::mf_const, 292, 8},	//705 Plasma::ClientPinRequest::description() const
    {45, 2002, 89, 1, 0, 0, 9},	//706 Plasma::ClientPinRequest::setPin(const QString&)
    {45, 1504, 0, 0, Smoke::mf_const, 292, 10},	//707 Plasma::ClientPinRequest::pin() const
    {45, 763, 333, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//708 Plasma::ClientPinRequest::changed(Plasma::ClientPinRequest*)
    {45, 2357, 1, 1, Smoke::mf_static, 292, 12},	//709 Plasma::ClientPinRequest::tr(const char*)
    {45, 2361, 1, 1, Smoke::mf_static, 292, 13},	//710 Plasma::ClientPinRequest::trUtf8(const char*)
    {45, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 14},	//711 Plasma::ClientPinRequest::staticMetaObject() const
    {46, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//712 Plasma::ComboBox::metaObject() const
    {46, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//713 Plasma::ComboBox::qt_metacast(const char*)
    {46, 2357, 43, 2, Smoke::mf_static, 292, 3},	//714 Plasma::ComboBox::tr(const char*, const char*)
    {46, 2361, 43, 2, Smoke::mf_static, 292, 4},	//715 Plasma::ComboBox::trUtf8(const char*, const char*)
    {46, 2357, 46, 3, Smoke::mf_static, 292, 5},	//716 Plasma::ComboBox::tr(const char*, const char*, int)
    {46, 2361, 46, 3, Smoke::mf_static, 292, 6},	//717 Plasma::ComboBox::trUtf8(const char*, const char*, int)
    {46, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//718 Plasma::ComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {46, 88, 125, 1, Smoke::mf_ctor, 67, 8},	//719 Plasma::ComboBox::ComboBox(QGraphicsWidget*)
    {46, 2327, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 9},	//720 Plasma::ComboBox::text() const
    {46, 2101, 89, 1, Smoke::mf_property, 0, 10},	//721 Plasma::ComboBox::setStyleSheet(const QString&)
    {46, 2289, 0, 0, Smoke::mf_property, 292, 11},	//722 Plasma::ComboBox::styleSheet()
    {46, 1974, 335, 1, 0, 0, 12},	//723 Plasma::ComboBox::setNativeWidget(KComboBox*)
    {46, 1439, 0, 0, Smoke::mf_const, 4, 13},	//724 Plasma::ComboBox::nativeWidget() const
    {46, 652, 89, 1, 0, 0, 14},	//725 Plasma::ComboBox::addItem(const QString&)
    {46, 850, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 15},	//726 Plasma::ComboBox::count() const
    {46, 874, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 16},	//727 Plasma::ComboBox::currentIndex() const
    {46, 1806, 129, 1, Smoke::mf_property, 0, 17},	//728 Plasma::ComboBox::setCurrentIndex(int)
    {46, 768, 0, 0, Smoke::mf_slot, 0, 18},	//729 Plasma::ComboBox::clear()
    {46, 620, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//730 Plasma::ComboBox::activated(const QString&)
    {46, 2329, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//731 Plasma::ComboBox::textChanged(const QString&)
    {46, 875, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//732 Plasma::ComboBox::currentIndexChanged(int)
    {46, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//733 Plasma::ComboBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {46, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//734 Plasma::ComboBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {46, 1049, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//735 Plasma::ComboBox::focusInEvent(QFocusEvent*)
    {46, 1053, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//736 Plasma::ComboBox::focusOutEvent(QFocusEvent*)
    {46, 1119, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//737 Plasma::ComboBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {46, 1121, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//738 Plasma::ComboBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {46, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//739 Plasma::ComboBox::changeEvent(QEvent*)
    {46, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//740 Plasma::ComboBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {46, 2357, 1, 1, Smoke::mf_static, 292, 30},	//741 Plasma::ComboBox::tr(const char*)
    {46, 2361, 1, 1, Smoke::mf_static, 292, 31},	//742 Plasma::ComboBox::trUtf8(const char*)
    {46, 88, 0, 0, Smoke::mf_ctor, 67, 32},	//743 Plasma::ComboBox::ComboBox()
    {46, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 33},	//744 Plasma::ComboBox::staticMetaObject() const
    {46, 2474, 0, 0, Smoke::mf_dtor, 0, 34 },	//745 Plasma::ComboBox::~ComboBox()
    {47, 91, 337, 3, Smoke::mf_ctor, 69, 1},	//746 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*, QObject*)
    {47, 91, 341, 3, Smoke::mf_ctor, 69, 2},	//747 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*, QObject*)
    {47, 91, 345, 3, Smoke::mf_ctor, 69, 3},	//748 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*, QObject*)
    {47, 1032, 77, 2, 0, 10, 4},	//749 Plasma::ConfigLoader::findItem(const QString&, const QString&)
    {47, 1034, 89, 1, 0, 10, 5},	//750 Plasma::ConfigLoader::findItemByName(const QString&)
    {47, 1531, 89, 1, 0, 303, 6},	//751 Plasma::ConfigLoader::property(const QString&)
    {47, 1097, 89, 1, Smoke::mf_const, 406, 7},	//752 Plasma::ConfigLoader::hasGroup(const QString&) const
    {47, 1087, 0, 0, Smoke::mf_const, 293, 8},	//753 Plasma::ConfigLoader::groupList() const
    {47, 2412, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//754 Plasma::ConfigLoader::usrWriteConfig()
    {47, 91, 349, 2, Smoke::mf_ctor, 69, 10},	//755 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*)
    {47, 91, 352, 2, Smoke::mf_ctor, 69, 11},	//756 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*)
    {47, 91, 355, 2, Smoke::mf_ctor, 69, 12},	//757 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*)
    {47, 2475, 0, 0, Smoke::mf_dtor, 0, 13 },	//758 Plasma::ConfigLoader::~ConfigLoader()
    {48, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//759 Plasma::Containment::metaObject() const
    {48, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//760 Plasma::Containment::qt_metacast(const char*)
    {48, 2357, 43, 2, Smoke::mf_static, 292, 3},	//761 Plasma::Containment::tr(const char*, const char*)
    {48, 2361, 43, 2, Smoke::mf_static, 292, 4},	//762 Plasma::Containment::trUtf8(const char*, const char*)
    {48, 2357, 46, 3, Smoke::mf_static, 292, 5},	//763 Plasma::Containment::tr(const char*, const char*, int)
    {48, 2361, 46, 3, Smoke::mf_static, 292, 6},	//764 Plasma::Containment::trUtf8(const char*, const char*, int)
    {48, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//765 Plasma::Containment::qt_metacall(QMetaObject::Call, int, void**)
    {48, 100, 231, 3, Smoke::mf_ctor, 71, 8},	//766 Plasma::Containment::Containment(QGraphicsItem*, const QString&, unsigned int)
    {48, 100, 70, 2, Smoke::mf_ctor, 71, 9},	//767 Plasma::Containment::Containment(QObject*, const QList<QVariant>&)
    {48, 1142, 0, 0, Smoke::mf_virtual, 0, 10},	//768 Plasma::Containment::init()
    {48, 830, 0, 0, Smoke::mf_const, 75, 11},	//769 Plasma::Containment::containmentType() const
    {48, 849, 0, 0, Smoke::mf_const, 81, 12},	//770 Plasma::Containment::corona() const
    {48, 1303, 77, 2, Smoke::mf_static, 241, 13},	//771 Plasma::Containment::listContainments(const QString&, const QString&)
    {48, 1308, 358, 3, Smoke::mf_static, 241, 14},	//772 Plasma::Containment::listContainmentsOfType(const QString&, const QString&, const QString&)
    {48, 1302, 0, 0, Smoke::mf_static, 293, 15},	//773 Plasma::Containment::listContainmentTypes()
    {48, 1306, 89, 1, Smoke::mf_static, 241, 16},	//774 Plasma::Containment::listContainmentsForMimetype(const QString&)
    {48, 629, 362, 3, 0, 51, 17},	//775 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&, const QRectF&)
    {48, 629, 366, 3, 0, 0, 18},	//776 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&, bool)
    {48, 725, 0, 0, Smoke::mf_const, 245, 19},	//777 Plasma::Containment::applets() const
    {48, 770, 0, 0, 0, 0, 20},	//778 Plasma::Containment::clearApplets()
    {48, 2057, 370, 2, 0, 0, 21},	//779 Plasma::Containment::setScreen(int, int)
    {48, 1677, 0, 0, Smoke::mf_const, 499, 22},	//780 Plasma::Containment::screen() const
    {48, 1270, 0, 0, Smoke::mf_const, 499, 23},	//781 Plasma::Containment::lastScreen() const
    {48, 901, 0, 0, Smoke::mf_const, 499, 24},	//782 Plasma::Containment::desktop() const
    {48, 1268, 0, 0, Smoke::mf_const, 499, 25},	//783 Plasma::Containment::lastDesktop() const
    {48, 1658, 178, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 26},	//784 Plasma::Containment::save(KConfigGroup&) const
    {48, 1640, 178, 1, Smoke::mf_virtual, 0, 27},	//785 Plasma::Containment::restore(KConfigGroup&)
    {48, 987, 197, 2, 0, 0, 28},	//786 Plasma::Containment::enableAction(const QString&, bool)
    {48, 686, 107, 1, 0, 0, 29},	//787 Plasma::Containment::addToolBoxAction(QAction*)
    {48, 1607, 107, 1, 0, 0, 30},	//788 Plasma::Containment::removeToolBoxAction(QAction*)
    {48, 2151, 7, 1, 0, 0, 31},	//789 Plasma::Containment::setToolBoxOpen(bool)
    {48, 1210, 0, 0, Smoke::mf_const, 406, 32},	//790 Plasma::Containment::isToolBoxOpen() const
    {48, 1450, 0, 0, 0, 0, 33},	//791 Plasma::Containment::openToolBox()
    {48, 782, 0, 0, 0, 0, 34},	//792 Plasma::Containment::closeToolBox()
    {48, 636, 57, 1, Smoke::mf_virtual, 0, 35},	//793 Plasma::Containment::addAssociatedWidget(QWidget*)
    {48, 1585, 57, 1, Smoke::mf_virtual, 0, 36},	//794 Plasma::Containment::removeAssociatedWidget(QWidget*)
    {48, 954, 0, 0, 0, 406, 37},	//795 Plasma::Containment::drawWallpaper()
    {48, 2194, 77, 2, 0, 0, 38},	//796 Plasma::Containment::setWallpaper(const QString&, const QString&)
    {48, 2438, 0, 0, Smoke::mf_const, 172, 39},	//797 Plasma::Containment::wallpaper() const
    {48, 1711, 89, 1, 0, 0, 40},	//798 Plasma::Containment::setActivity(const QString&)
    {48, 622, 0, 0, Smoke::mf_const, 292, 41},	//799 Plasma::Containment::activity() const
    {48, 839, 0, 0, Smoke::mf_const, 80, 42},	//800 Plasma::Containment::context() const
    {48, 2224, 373, 2, 0, 0, 43},	//801 Plasma::Containment::showContextMenu(const QPointF&, const QPoint&)
    {48, 2228, 376, 1, Smoke::mf_virtual, 0, 44},	//802 Plasma::Containment::showDropZone(const QPoint)
    {48, 1782, 77, 2, 0, 0, 45},	//803 Plasma::Containment::setContainmentActions(const QString&, const QString&)
    {48, 822, 0, 0, 0, 293, 46},	//804 Plasma::Containment::containmentActionsTriggers()
    {48, 817, 89, 1, 0, 292, 47},	//805 Plasma::Containment::containmentActions(const QString&)
    {48, 819, 0, 0, 0, 8, 48},	//806 Plasma::Containment::containmentActionsConfig()
    {48, 716, 378, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//807 Plasma::Containment::appletAdded(Plasma::Applet*, const QPointF&)
    {48, 721, 252, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//808 Plasma::Containment::appletRemoved(Plasma::Applet*)
    {48, 2460, 381, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//809 Plasma::Containment::zoomRequested(Plasma::Containment*, Plasma::ZoomDirection)
    {48, 2350, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//810 Plasma::Containment::toolBoxToggled()
    {48, 2351, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//811 Plasma::Containment::toolBoxVisibilityChanged(bool)
    {48, 671, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//812 Plasma::Containment::addSiblingContainment(Plasma::Containment*)
    {48, 2219, 384, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//813 Plasma::Containment::showAddWidgetsInterface(const QPointF&)
    {48, 1678, 386, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//814 Plasma::Containment::screenChanged(int, int, Plasma::Containment*)
    {48, 798, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//815 Plasma::Containment::configureRequested(Plasma::Containment*)
    {48, 841, 390, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//816 Plasma::Containment::contextChanged(Plasma::Context*)
    {48, 1947, 9, 1, Smoke::mf_slot, 0, 59},	//817 Plasma::Containment::setLocation(Plasma::Location)
    {48, 1875, 392, 1, Smoke::mf_slot, 0, 60},	//818 Plasma::Containment::setFormFactor(Plasma::FormFactor)
    {48, 671, 0, 0, Smoke::mf_slot, 0, 61},	//819 Plasma::Containment::addSiblingContainment()
    {48, 1051, 0, 0, Smoke::mf_slot, 0, 62},	//820 Plasma::Containment::focusNextApplet()
    {48, 1055, 0, 0, Smoke::mf_slot, 0, 63},	//821 Plasma::Containment::focusPreviousApplet()
    {48, 903, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 64},	//822 Plasma::Containment::destroy()
    {48, 903, 7, 1, Smoke::mf_slot, 0, 65},	//823 Plasma::Containment::destroy(bool)
    {48, 2222, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 66},	//824 Plasma::Containment::showConfigurationInterface()
    {48, 791, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 67},	//825 Plasma::Containment::configChanged()
    {48, 1786, 304, 1, Smoke::mf_protected, 0, 68},	//826 Plasma::Containment::setContainmentType(Plasma::Containment::Type)
    {48, 1842, 7, 1, Smoke::mf_protected, 0, 69},	//827 Plasma::Containment::setDrawWallpaper(bool)
    {48, 1660, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//828 Plasma::Containment::saveContents(KConfigGroup&) const
    {48, 1642, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//829 Plasma::Containment::restoreContents(KConfigGroup&)
    {48, 1419, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//830 Plasma::Containment::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {48, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 73},	//831 Plasma::Containment::mousePressEvent(QGraphicsSceneMouseEvent*)
    {48, 1423, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 74},	//832 Plasma::Containment::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {48, 845, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 75},	//833 Plasma::Containment::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {48, 1249, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 76},	//834 Plasma::Containment::keyPressEvent(QKeyEvent*)
    {48, 2442, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 77},	//835 Plasma::Containment::wheelEvent(QGraphicsSceneWheelEvent*)
    {48, 1672, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 78},	//836 Plasma::Containment::sceneEventFilter(QGraphicsItem*, QEvent*)
    {48, 1230, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 303, 79},	//837 Plasma::Containment::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {48, 927, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//838 Plasma::Containment::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {48, 929, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 81},	//839 Plasma::Containment::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {48, 931, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 82},	//840 Plasma::Containment::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {48, 957, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 83},	//841 Plasma::Containment::dropEvent(QGraphicsSceneDragDropEvent*)
    {48, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 84},	//842 Plasma::Containment::resizeEvent(QGraphicsSceneResizeEvent*)
    {48, 2349, 0, 0, Smoke::mf_const|Smoke::mf_protected, 448, 85},	//843 Plasma::Containment::toolBoxItem() const
    {48, 2149, 402, 1, Smoke::mf_protected, 0, 86},	//844 Plasma::Containment::setToolBox(Plasma::AbstractToolBox*)
    {48, 2348, 0, 0, Smoke::mf_const|Smoke::mf_protected, 37, 87},	//845 Plasma::Containment::toolBox() const
    {48, 2357, 1, 1, Smoke::mf_static, 292, 88},	//846 Plasma::Containment::tr(const char*)
    {48, 2361, 1, 1, Smoke::mf_static, 292, 89},	//847 Plasma::Containment::trUtf8(const char*)
    {48, 100, 0, 0, Smoke::mf_ctor, 71, 90},	//848 Plasma::Containment::Containment()
    {48, 100, 170, 1, Smoke::mf_ctor, 71, 91},	//849 Plasma::Containment::Containment(QGraphicsItem*)
    {48, 100, 298, 2, Smoke::mf_ctor, 71, 92},	//850 Plasma::Containment::Containment(QGraphicsItem*, const QString&)
    {48, 1303, 0, 0, Smoke::mf_static, 241, 93},	//851 Plasma::Containment::listContainments()
    {48, 1303, 89, 1, Smoke::mf_static, 241, 94},	//852 Plasma::Containment::listContainments(const QString&)
    {48, 1308, 89, 1, Smoke::mf_static, 241, 95},	//853 Plasma::Containment::listContainmentsOfType(const QString&)
    {48, 1308, 77, 2, Smoke::mf_static, 241, 96},	//854 Plasma::Containment::listContainmentsOfType(const QString&, const QString&)
    {48, 629, 89, 1, 0, 51, 97},	//855 Plasma::Containment::addApplet(const QString&)
    {48, 629, 113, 2, 0, 51, 98},	//856 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&)
    {48, 629, 252, 1, 0, 0, 99},	//857 Plasma::Containment::addApplet(Plasma::Applet*)
    {48, 629, 378, 2, 0, 0, 100},	//858 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&)
    {48, 2057, 129, 1, 0, 0, 101},	//859 Plasma::Containment::setScreen(int)
    {48, 2194, 89, 1, 0, 0, 102},	//860 Plasma::Containment::setWallpaper(const QString&)
    {48, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 103},	//861 Plasma::Containment::staticMetaObject() const
    {48, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 104},	//862 Plasma::Containment::NoContainmentType (enum)
    {48, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 105},	//863 Plasma::Containment::DesktopContainment (enum)
    {48, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 106},	//864 Plasma::Containment::PanelContainment (enum)
    {48, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 107},	//865 Plasma::Containment::CustomContainment (enum)
    {48, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 108},	//866 Plasma::Containment::CustomPanelContainment (enum)
    {48, 2476, 0, 0, Smoke::mf_dtor, 0, 109 },	//867 Plasma::Containment::~Containment()
    {49, 508, 0, 0, Smoke::mf_ctor, 72, 1},	//868 Plasma::Containment::StyleOption::StyleOption()
    {49, 508, 404, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 2},	//869 Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    {49, 508, 406, 1, Smoke::mf_ctor, 72, 3},	//870 Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    {49, 2427, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 171, 4},	//871 Plasma::Containment::StyleOption::view() const
    {49, 2191, 408, 1, Smoke::mf_attribute, 0, 5},	//872 Plasma::Containment::StyleOption::setView(Plasma::View*)
    {49, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 6},	//873 Plasma::Containment::StyleOption::Type (enum)
    {49, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 7},	//874 Plasma::Containment::StyleOption::Version (enum)
    {49, 2520, 0, 0, Smoke::mf_dtor, 0, 8 },	//875 Plasma::Containment::StyleOption::~StyleOption()
    {50, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//876 Plasma::ContainmentActions::metaObject() const
    {50, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//877 Plasma::ContainmentActions::qt_metacast(const char*)
    {50, 2357, 43, 2, Smoke::mf_static, 292, 3},	//878 Plasma::ContainmentActions::tr(const char*, const char*)
    {50, 2361, 43, 2, Smoke::mf_static, 292, 4},	//879 Plasma::ContainmentActions::trUtf8(const char*, const char*)
    {50, 2357, 46, 3, Smoke::mf_static, 292, 5},	//880 Plasma::ContainmentActions::tr(const char*, const char*, int)
    {50, 2361, 46, 3, Smoke::mf_static, 292, 6},	//881 Plasma::ContainmentActions::trUtf8(const char*, const char*, int)
    {50, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//882 Plasma::ContainmentActions::qt_metacall(QMetaObject::Call, int, void**)
    {50, 105, 97, 1, Smoke::mf_ctor, 76, 8},	//883 Plasma::ContainmentActions::ContainmentActions(QObject*)
    {50, 1301, 0, 0, Smoke::mf_static, 241, 9},	//884 Plasma::ContainmentActions::listContainmentActionsInfo()
    {50, 1332, 410, 3, Smoke::mf_static, 76, 10},	//885 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {50, 1332, 414, 3, Smoke::mf_static, 76, 11},	//886 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&)
    {50, 1466, 0, 0, Smoke::mf_static, 20, 12},	//887 Plasma::ContainmentActions::packageStructure()
    {50, 1437, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 13},	//888 Plasma::ContainmentActions::name() const
    {50, 1509, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 14},	//889 Plasma::ContainmentActions::pluginName() const
    {50, 1126, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 15},	//890 Plasma::ContainmentActions::icon() const
    {50, 1187, 0, 0, Smoke::mf_const, 406, 16},	//891 Plasma::ContainmentActions::isInitialized() const
    {50, 1640, 111, 1, 0, 0, 17},	//892 Plasma::ContainmentActions::restore(const KConfigGroup&)
    {50, 1658, 178, 1, Smoke::mf_virtual, 0, 18},	//893 Plasma::ContainmentActions::save(KConfigGroup&)
    {50, 856, 57, 1, Smoke::mf_virtual, 308, 19},	//894 Plasma::ContainmentActions::createConfigurationInterface(QWidget*)
    {50, 795, 0, 0, Smoke::mf_virtual, 0, 20},	//895 Plasma::ContainmentActions::configurationAccepted()
    {50, 843, 331, 1, Smoke::mf_virtual, 0, 21},	//896 Plasma::ContainmentActions::contextEvent(QEvent*)
    {50, 847, 0, 0, Smoke::mf_virtual, 254, 22},	//897 Plasma::ContainmentActions::contextualActions()
    {50, 890, 89, 1, Smoke::mf_const, 83, 23},	//898 Plasma::ContainmentActions::dataEngine(const QString&) const
    {50, 796, 0, 0, Smoke::mf_const, 406, 24},	//899 Plasma::ContainmentActions::configurationRequired() const
    {50, 1007, 331, 1, Smoke::mf_static, 292, 25},	//900 Plasma::ContainmentActions::eventToString(QEvent*)
    {50, 1517, 418, 2, 0, 278, 26},	//901 Plasma::ContainmentActions::popupPosition(const QSize&, QEvent*)
    {50, 1003, 331, 1, Smoke::mf_virtual, 406, 27},	//902 Plasma::ContainmentActions::event(QEvent*)
    {50, 1780, 101, 1, 0, 0, 28},	//903 Plasma::ContainmentActions::setContainment(Plasma::Containment*)
    {50, 105, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 76, 29},	//904 Plasma::ContainmentActions::ContainmentActions(QObject*, const QList<QVariant>&)
    {50, 1142, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//905 Plasma::ContainmentActions::init(const KConfigGroup&)
    {50, 1777, 7, 1, Smoke::mf_protected, 0, 31},	//906 Plasma::ContainmentActions::setConfigurationRequired(bool)
    {50, 816, 0, 0, Smoke::mf_protected, 71, 32},	//907 Plasma::ContainmentActions::containment()
    {50, 1495, 421, 2, Smoke::mf_protected, 0, 33},	//908 Plasma::ContainmentActions::paste(QPointF, QPoint)
    {50, 2357, 1, 1, Smoke::mf_static, 292, 34},	//909 Plasma::ContainmentActions::tr(const char*)
    {50, 2361, 1, 1, Smoke::mf_static, 292, 35},	//910 Plasma::ContainmentActions::trUtf8(const char*)
    {50, 105, 0, 0, Smoke::mf_ctor, 76, 36},	//911 Plasma::ContainmentActions::ContainmentActions()
    {50, 1332, 424, 2, Smoke::mf_static, 76, 37},	//912 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&)
    {50, 1332, 427, 2, Smoke::mf_static, 76, 38},	//913 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&)
    {50, 1777, 0, 0, Smoke::mf_protected, 0, 39},	//914 Plasma::ContainmentActions::setConfigurationRequired()
    {50, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 40},	//915 Plasma::ContainmentActions::staticMetaObject() const
    {50, 2477, 0, 0, Smoke::mf_dtor, 0, 41 },	//916 Plasma::ContainmentActions::~ContainmentActions()
    {51, 108, 0, 0, Smoke::mf_ctor, 79, 1},	//917 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig()
    {51, 108, 430, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 2},	//918 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig(const Plasma::ContainmentActionsPluginsConfig&)
    {51, 1459, 430, 1, 0, 78, 3},	//919 Plasma::ContainmentActionsPluginsConfig::operator=(const Plasma::ContainmentActionsPluginsConfig&)
    {51, 768, 0, 0, 0, 0, 4},	//920 Plasma::ContainmentActionsPluginsConfig::clear()
    {51, 1578, 331, 1, 0, 0, 5},	//921 Plasma::ContainmentActionsPluginsConfig::remove(QEvent*)
    {51, 662, 432, 2, 0, 0, 6},	//922 Plasma::ContainmentActionsPluginsConfig::addPlugin(QEvent*, const QString&)
    {51, 662, 435, 3, 0, 0, 7},	//923 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    {51, 662, 439, 3, 0, 0, 8},	//924 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    {51, 2478, 0, 0, Smoke::mf_dtor, 0, 9 },	//925 Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig()
    {52, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//926 Plasma::Context::metaObject() const
    {52, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//927 Plasma::Context::qt_metacast(const char*)
    {52, 2357, 43, 2, Smoke::mf_static, 292, 3},	//928 Plasma::Context::tr(const char*, const char*)
    {52, 2361, 43, 2, Smoke::mf_static, 292, 4},	//929 Plasma::Context::trUtf8(const char*, const char*)
    {52, 2357, 46, 3, Smoke::mf_static, 292, 5},	//930 Plasma::Context::tr(const char*, const char*, int)
    {52, 2361, 46, 3, Smoke::mf_static, 292, 6},	//931 Plasma::Context::trUtf8(const char*, const char*, int)
    {52, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//932 Plasma::Context::qt_metacall(QMetaObject::Call, int, void**)
    {52, 111, 97, 1, Smoke::mf_ctor, 80, 8},	//933 Plasma::Context::Context(QObject*)
    {52, 854, 89, 1, 0, 0, 9},	//934 Plasma::Context::createActivity(const QString&)
    {52, 1286, 0, 0, Smoke::mf_const, 293, 10},	//935 Plasma::Context::listActivities() const
    {52, 1802, 89, 1, 0, 0, 11},	//936 Plasma::Context::setCurrentActivity(const QString&)
    {52, 870, 0, 0, Smoke::mf_const, 292, 12},	//937 Plasma::Context::currentActivity() const
    {52, 1804, 89, 1, 0, 0, 13},	//938 Plasma::Context::setCurrentActivityId(const QString&)
    {52, 871, 0, 0, Smoke::mf_const, 292, 14},	//939 Plasma::Context::currentActivityId() const
    {52, 763, 390, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//940 Plasma::Context::changed(Plasma::Context*)
    {52, 623, 390, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//941 Plasma::Context::activityChanged(Plasma::Context*)
    {52, 1366, 390, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//942 Plasma::Context::locationChanged(Plasma::Context*)
    {52, 2357, 1, 1, Smoke::mf_static, 292, 18},	//943 Plasma::Context::tr(const char*)
    {52, 2361, 1, 1, Smoke::mf_static, 292, 19},	//944 Plasma::Context::trUtf8(const char*)
    {52, 111, 0, 0, Smoke::mf_ctor, 80, 20},	//945 Plasma::Context::Context()
    {52, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 21},	//946 Plasma::Context::staticMetaObject() const
    {52, 2479, 0, 0, Smoke::mf_dtor, 0, 22 },	//947 Plasma::Context::~Context()
    {53, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//948 Plasma::Corona::metaObject() const
    {53, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//949 Plasma::Corona::qt_metacast(const char*)
    {53, 2357, 43, 2, Smoke::mf_static, 292, 3},	//950 Plasma::Corona::tr(const char*, const char*)
    {53, 2361, 43, 2, Smoke::mf_static, 292, 4},	//951 Plasma::Corona::trUtf8(const char*, const char*)
    {53, 2357, 46, 3, Smoke::mf_static, 292, 5},	//952 Plasma::Corona::tr(const char*, const char*, int)
    {53, 2361, 46, 3, Smoke::mf_static, 292, 6},	//953 Plasma::Corona::trUtf8(const char*, const char*, int)
    {53, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//954 Plasma::Corona::qt_metacall(QMetaObject::Call, int, void**)
    {53, 115, 97, 1, Smoke::mf_ctor, 81, 8},	//955 Plasma::Corona::Corona(QObject*)
    {53, 1723, 89, 1, 0, 0, 9},	//956 Plasma::Corona::setAppletMimeType(const QString&)
    {53, 720, 0, 0, 0, 292, 10},	//957 Plasma::Corona::appletMimeType()
    {53, 894, 0, 0, Smoke::mf_const, 292, 11},	//958 Plasma::Corona::defaultContainmentPlugin() const
    {53, 831, 0, 0, Smoke::mf_const, 246, 12},	//959 Plasma::Corona::containments() const
    {53, 772, 0, 0, 0, 0, 13},	//960 Plasma::Corona::clearContainments()
    {53, 789, 0, 0, Smoke::mf_const, 19, 14},	//961 Plasma::Corona::config() const
    {53, 638, 113, 2, 0, 71, 15},	//962 Plasma::Corona::addContainment(const QString&, const QList<QVariant>&)
    {53, 641, 113, 2, 0, 71, 16},	//963 Plasma::Corona::addContainmentDelayed(const QString&, const QList<QVariant>&)
    {53, 825, 370, 2, Smoke::mf_const, 71, 17},	//964 Plasma::Corona::containmentForScreen(int, int) const
    {53, 825, 443, 4, 0, 71, 18},	//965 Plasma::Corona::containmentForScreen(int, int, const QString&, const QList<QVariant>&)
    {53, 658, 125, 1, 0, 0, 19},	//966 Plasma::Corona::addOffscreenWidget(QGraphicsWidget*)
    {53, 1597, 125, 1, 0, 0, 20},	//967 Plasma::Corona::removeOffscreenWidget(QGraphicsWidget*)
    {53, 1448, 0, 0, Smoke::mf_const, 257, 21},	//968 Plasma::Corona::offscreenWidgets() const
    {53, 1447, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 499, 22},	//969 Plasma::Corona::numScreens() const
    {53, 1680, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 281, 23},	//970 Plasma::Corona::screenGeometry(int) const
    {53, 743, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 285, 24},	//971 Plasma::Corona::availableScreenRegion(int) const
    {53, 1517, 448, 2, 0, 278, 25},	//972 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&)
    {53, 1517, 451, 3, 0, 278, 26},	//973 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&, Qt::AlignmentFlag)
    {53, 1068, 129, 1, Smoke::mf_const, 249, 27},	//974 Plasma::Corona::freeEdges(int) const
    {53, 608, 220, 1, Smoke::mf_const, 182, 28},	//975 Plasma::Corona::action(QString) const
    {53, 625, 222, 2, 0, 0, 29},	//976 Plasma::Corona::addAction(QString, QAction*)
    {53, 611, 0, 0, Smoke::mf_const, 254, 30},	//977 Plasma::Corona::actions() const
    {53, 987, 197, 2, 0, 0, 31},	//978 Plasma::Corona::enableAction(const QString&, bool)
    {53, 2395, 0, 0, 0, 0, 32},	//979 Plasma::Corona::updateShortcuts()
    {53, 669, 455, 1, 0, 0, 33},	//980 Plasma::Corona::addShortcuts(KActionCollection*)
    {53, 625, 220, 1, 0, 1, 34},	//981 Plasma::Corona::addAction(QString)
    {53, 1784, 457, 2, 0, 0, 35},	//982 Plasma::Corona::setContainmentActionsDefaults(Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&)
    {53, 820, 304, 1, 0, 77, 36},	//983 Plasma::Corona::containmentActionsDefaults(Plasma::Containment::Type)
    {53, 1834, 460, 1, 0, 0, 37},	//984 Plasma::Corona::setDialogManager(Plasma::AbstractDialogManager*)
    {53, 909, 0, 0, 0, 33, 38},	//985 Plasma::Corona::dialogManager()
    {53, 1137, 462, 1, 0, 246, 39},	//986 Plasma::Corona::importLayout(const KConfigBase&)
    {53, 1523, 464, 1, Smoke::mf_const, 292, 40},	//987 Plasma::Corona::preferredToolBoxPlugin(const Plasma::Containment::Type) const
    {53, 1137, 111, 1, 0, 246, 41},	//988 Plasma::Corona::importLayout(const KConfigGroup&)
    {53, 1015, 466, 2, 0, 0, 42},	//989 Plasma::Corona::exportLayout(KConfigGroup&, QList<Plasma::Containment*>)
    {53, 1149, 89, 1, Smoke::mf_slot, 0, 43},	//990 Plasma::Corona::initializeLayout(const QString&)
    {53, 1352, 89, 1, Smoke::mf_slot, 0, 44},	//991 Plasma::Corona::loadLayout(const QString&)
    {53, 1662, 89, 1, Smoke::mf_const|Smoke::mf_slot, 0, 45},	//992 Plasma::Corona::saveLayout(const QString&) const
    {53, 1133, 0, 0, Smoke::mf_const|Smoke::mf_slot, 107, 46},	//993 Plasma::Corona::immutability() const
    {53, 1922, 258, 1, Smoke::mf_slot, 0, 47},	//994 Plasma::Corona::setImmutability(const Plasma::ImmutabilityType)
    {53, 1624, 0, 0, Smoke::mf_slot, 0, 48},	//995 Plasma::Corona::requestConfigSync()
    {53, 1625, 0, 0, Smoke::mf_slot, 0, 49},	//996 Plasma::Corona::requireConfigSync()
    {53, 1278, 0, 0, Smoke::mf_slot, 0, 50},	//997 Plasma::Corona::layoutContainments()
    {53, 823, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//998 Plasma::Corona::containmentAdded(Plasma::Containment*)
    {53, 1682, 386, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//999 Plasma::Corona::screenOwnerChanged(int, int, Plasma::Containment*)
    {53, 1566, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//1000 Plasma::Corona::releaseVisualFocus()
    {53, 794, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//1001 Plasma::Corona::configSynced()
    {53, 745, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//1002 Plasma::Corona::availableScreenRegionChanged()
    {53, 1134, 256, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//1003 Plasma::Corona::immutabilityChanged(Plasma::ImmutabilityType)
    {53, 2215, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//1004 Plasma::Corona::shortcutsChanged()
    {53, 1347, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1005 Plasma::Corona::loadDefaultLayout()
    {53, 1378, 469, 2, Smoke::mf_protected, 0, 59},	//1006 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    {53, 1378, 472, 2, Smoke::mf_protected, 0, 60},	//1007 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    {53, 2017, 475, 2, Smoke::mf_protected, 0, 61},	//1008 Plasma::Corona::setPreferredToolBoxPlugin(const Plasma::Containment::Type, const QString&)
    {53, 1819, 89, 1, Smoke::mf_protected, 0, 62},	//1009 Plasma::Corona::setDefaultContainmentPlugin(const QString&)
    {53, 927, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//1010 Plasma::Corona::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {53, 929, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//1011 Plasma::Corona::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {53, 931, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//1012 Plasma::Corona::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {53, 2357, 1, 1, Smoke::mf_static, 292, 66},	//1013 Plasma::Corona::tr(const char*)
    {53, 2361, 1, 1, Smoke::mf_static, 292, 67},	//1014 Plasma::Corona::trUtf8(const char*)
    {53, 115, 0, 0, Smoke::mf_ctor, 81, 68},	//1015 Plasma::Corona::Corona()
    {53, 638, 89, 1, 0, 71, 69},	//1016 Plasma::Corona::addContainment(const QString&)
    {53, 641, 89, 1, 0, 71, 70},	//1017 Plasma::Corona::addContainmentDelayed(const QString&)
    {53, 825, 129, 1, Smoke::mf_const, 71, 71},	//1018 Plasma::Corona::containmentForScreen(int) const
    {53, 825, 478, 3, 0, 71, 72},	//1019 Plasma::Corona::containmentForScreen(int, int, const QString&)
    {53, 1149, 0, 0, Smoke::mf_slot, 0, 73},	//1020 Plasma::Corona::initializeLayout()
    {53, 1352, 0, 0, Smoke::mf_slot, 0, 74},	//1021 Plasma::Corona::loadLayout()
    {53, 1662, 0, 0, Smoke::mf_const|Smoke::mf_slot, 0, 75},	//1022 Plasma::Corona::saveLayout() const
    {53, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 76},	//1023 Plasma::Corona::staticMetaObject() const
    {53, 2480, 0, 0, Smoke::mf_dtor, 0, 77 },	//1024 Plasma::Corona::~Corona()
    {54, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1025 Plasma::DataContainer::metaObject() const
    {54, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1026 Plasma::DataContainer::qt_metacast(const char*)
    {54, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1027 Plasma::DataContainer::tr(const char*, const char*)
    {54, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1028 Plasma::DataContainer::trUtf8(const char*, const char*)
    {54, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1029 Plasma::DataContainer::tr(const char*, const char*, int)
    {54, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1030 Plasma::DataContainer::trUtf8(const char*, const char*, int)
    {54, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1031 Plasma::DataContainer::qt_metacall(QMetaObject::Call, int, void**)
    {54, 121, 97, 1, Smoke::mf_ctor, 82, 8},	//1032 Plasma::DataContainer::DataContainer(QObject*)
    {54, 889, 0, 0, Smoke::mf_const, 450, 9},	//1033 Plasma::DataContainer::data() const
    {54, 1812, 482, 2, 0, 0, 10},	//1034 Plasma::DataContainer::setData(const QString&, const QVariant&)
    {54, 1582, 0, 0, 0, 0, 11},	//1035 Plasma::DataContainer::removeAllData()
    {54, 2436, 97, 1, Smoke::mf_const, 406, 12},	//1036 Plasma::DataContainer::visualizationIsConnected(QObject*) const
    {54, 809, 485, 3, 0, 0, 13},	//1037 Plasma::DataContainer::connectVisualization(QObject*, unsigned int, Plasma::IntervalAlignment)
    {54, 2098, 7, 1, 0, 0, 14},	//1038 Plasma::DataContainer::setStorageEnabled(bool)
    {54, 1206, 0, 0, Smoke::mf_const, 406, 15},	//1039 Plasma::DataContainer::isStorageEnabled() const
    {54, 1441, 0, 0, Smoke::mf_const, 406, 16},	//1040 Plasma::DataContainer::needsToBeStored() const
    {54, 1976, 7, 1, 0, 0, 17},	//1041 Plasma::DataContainer::setNeedsToBeStored(bool)
    {54, 1073, 0, 0, 0, 83, 18},	//1042 Plasma::DataContainer::getDataEngine()
    {54, 921, 97, 1, Smoke::mf_slot, 0, 19},	//1043 Plasma::DataContainer::disconnectVisualization(QObject*)
    {54, 1061, 0, 0, Smoke::mf_slot, 0, 20},	//1044 Plasma::DataContainer::forceImmediateUpdate()
    {54, 892, 489, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1045 Plasma::DataContainer::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {54, 749, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1046 Plasma::DataContainer::becameUnused(const QString&)
    {54, 2393, 492, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1047 Plasma::DataContainer::updateRequested(Plasma::DataContainer*)
    {54, 765, 0, 0, Smoke::mf_protected, 0, 24},	//1048 Plasma::DataContainer::checkForUpdate()
    {54, 2341, 0, 0, Smoke::mf_const|Smoke::mf_protected, 506, 25},	//1049 Plasma::DataContainer::timeSinceLastUpdate() const
    {54, 1978, 7, 1, Smoke::mf_protected, 0, 26},	//1050 Plasma::DataContainer::setNeedsUpdate(bool)
    {54, 766, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 27},	//1051 Plasma::DataContainer::checkUsage()
    {54, 2342, 176, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1052 Plasma::DataContainer::timerEvent(QTimerEvent*)
    {54, 2357, 1, 1, Smoke::mf_static, 292, 29},	//1053 Plasma::DataContainer::tr(const char*)
    {54, 2361, 1, 1, Smoke::mf_static, 292, 30},	//1054 Plasma::DataContainer::trUtf8(const char*)
    {54, 121, 0, 0, Smoke::mf_ctor, 82, 31},	//1055 Plasma::DataContainer::DataContainer()
    {54, 1978, 0, 0, Smoke::mf_protected, 0, 32},	//1056 Plasma::DataContainer::setNeedsUpdate()
    {54, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 33},	//1057 Plasma::DataContainer::staticMetaObject() const
    {54, 2481, 0, 0, Smoke::mf_dtor, 0, 34 },	//1058 Plasma::DataContainer::~DataContainer()
    {55, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1059 Plasma::DataEngine::metaObject() const
    {55, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1060 Plasma::DataEngine::qt_metacast(const char*)
    {55, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1061 Plasma::DataEngine::tr(const char*, const char*)
    {55, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1062 Plasma::DataEngine::trUtf8(const char*, const char*)
    {55, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1063 Plasma::DataEngine::tr(const char*, const char*, int)
    {55, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1064 Plasma::DataEngine::trUtf8(const char*, const char*, int)
    {55, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1065 Plasma::DataEngine::qt_metacall(QMetaObject::Call, int, void**)
    {55, 123, 494, 2, Smoke::mf_ctor, 83, 8},	//1066 Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    {55, 123, 70, 2, Smoke::mf_ctor, 83, 9},	//1067 Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    {55, 1142, 0, 0, Smoke::mf_virtual, 0, 10},	//1068 Plasma::DataEngine::init()
    {55, 2266, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 293, 11},	//1069 Plasma::DataEngine::sources() const
    {55, 1699, 89, 1, Smoke::mf_virtual, 147, 12},	//1070 Plasma::DataEngine::serviceForSource(const QString&)
    {55, 1437, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 13},	//1071 Plasma::DataEngine::name() const
    {55, 805, 497, 4, Smoke::mf_const, 0, 14},	//1072 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int, Plasma::IntervalAlignment) const
    {55, 800, 485, 3, Smoke::mf_const, 0, 15},	//1073 Plasma::DataEngine::connectAllSources(QObject*, unsigned int, Plasma::IntervalAlignment) const
    {55, 919, 149, 2, Smoke::mf_const, 0, 16},	//1074 Plasma::DataEngine::disconnectSource(const QString&, QObject*) const
    {55, 814, 89, 1, 0, 82, 17},	//1075 Plasma::DataEngine::containerForSource(const QString&)
    {55, 1540, 89, 1, Smoke::mf_const, 232, 18},	//1076 Plasma::DataEngine::query(const QString&) const
    {55, 1215, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 19},	//1077 Plasma::DataEngine::isValid() const
    {55, 1182, 0, 0, Smoke::mf_const, 406, 20},	//1078 Plasma::DataEngine::isEmpty() const
    {55, 1396, 0, 0, Smoke::mf_const, 506, 21},	//1079 Plasma::DataEngine::maxSourceCount() const
    {55, 1126, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 22},	//1080 Plasma::DataEngine::icon() const
    {55, 1465, 0, 0, Smoke::mf_const, 430, 23},	//1081 Plasma::DataEngine::package() const
    {55, 1509, 0, 0, Smoke::mf_const, 292, 24},	//1082 Plasma::DataEngine::pluginName() const
    {55, 858, 97, 1, 0, 147, 25},	//1083 Plasma::DataEngine::createDefaultService(QObject*)
    {55, 2260, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1084 Plasma::DataEngine::sourceAdded(const QString&)
    {55, 2262, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1085 Plasma::DataEngine::sourceRemoved(const QString&)
    {55, 2264, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 28},	//1086 Plasma::DataEngine::sourceRequestEvent(const QString&)
    {55, 2396, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 29},	//1087 Plasma::DataEngine::updateSourceEvent(const QString&)
    {55, 1812, 482, 2, Smoke::mf_protected, 0, 30},	//1088 Plasma::DataEngine::setData(const QString&, const QVariant&)
    {55, 1812, 502, 3, Smoke::mf_protected, 0, 31},	//1089 Plasma::DataEngine::setData(const QString&, const QString&, const QVariant&)
    {55, 1812, 506, 2, Smoke::mf_protected, 0, 32},	//1090 Plasma::DataEngine::setData(const QString&, const QHash<QString,QVariant>&)
    {55, 1582, 89, 1, Smoke::mf_protected, 0, 33},	//1091 Plasma::DataEngine::removeAllData(const QString&)
    {55, 1587, 77, 2, Smoke::mf_protected, 0, 34},	//1092 Plasma::DataEngine::removeData(const QString&, const QString&)
    {55, 673, 492, 1, Smoke::mf_protected, 0, 35},	//1093 Plasma::DataEngine::addSource(Plasma::DataContainer*)
    {55, 1951, 36, 1, Smoke::mf_protected, 0, 36},	//1094 Plasma::DataEngine::setMaxSourceCount(unsigned int)
    {55, 1965, 129, 1, Smoke::mf_protected, 0, 37},	//1095 Plasma::DataEngine::setMinimumPollingInterval(int)
    {55, 1414, 0, 0, Smoke::mf_const|Smoke::mf_protected, 499, 38},	//1096 Plasma::DataEngine::minimumPollingInterval() const
    {55, 2008, 36, 1, Smoke::mf_protected, 0, 39},	//1097 Plasma::DataEngine::setPollingInterval(unsigned int)
    {55, 1584, 0, 0, Smoke::mf_protected, 0, 40},	//1098 Plasma::DataEngine::removeAllSources()
    {55, 2175, 7, 1, Smoke::mf_protected, 0, 41},	//1099 Plasma::DataEngine::setValid(bool)
    {55, 813, 0, 0, Smoke::mf_const|Smoke::mf_protected, 230, 42},	//1100 Plasma::DataEngine::containerDict() const
    {55, 2342, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1101 Plasma::DataEngine::timerEvent(QTimerEvent*)
    {55, 1972, 89, 1, Smoke::mf_protected, 0, 44},	//1102 Plasma::DataEngine::setName(const QString&)
    {55, 1909, 89, 1, Smoke::mf_protected|Smoke::mf_property, 0, 45},	//1103 Plasma::DataEngine::setIcon(const QString&)
    {55, 1825, 89, 1, Smoke::mf_protected, 0, 46},	//1104 Plasma::DataEngine::setDefaultService(const QString&)
    {55, 2098, 197, 2, Smoke::mf_protected, 0, 47},	//1105 Plasma::DataEngine::setStorageEnabled(const QString&, bool)
    {55, 1676, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//1106 Plasma::DataEngine::scheduleSourcesUpdated()
    {55, 1601, 89, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 49},	//1107 Plasma::DataEngine::removeSource(const QString&)
    {55, 2384, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 50},	//1108 Plasma::DataEngine::updateAllSources()
    {55, 1062, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 51},	//1109 Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations()
    {55, 2357, 1, 1, Smoke::mf_static, 292, 52},	//1110 Plasma::DataEngine::tr(const char*)
    {55, 2361, 1, 1, Smoke::mf_static, 292, 53},	//1111 Plasma::DataEngine::trUtf8(const char*)
    {55, 123, 0, 0, Smoke::mf_ctor, 83, 54},	//1112 Plasma::DataEngine::DataEngine()
    {55, 123, 97, 1, Smoke::mf_ctor, 83, 55},	//1113 Plasma::DataEngine::DataEngine(QObject*)
    {55, 805, 149, 2, Smoke::mf_const, 0, 56},	//1114 Plasma::DataEngine::connectSource(const QString&, QObject*) const
    {55, 805, 509, 3, Smoke::mf_const, 0, 57},	//1115 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int) const
    {55, 800, 97, 1, Smoke::mf_const, 0, 58},	//1116 Plasma::DataEngine::connectAllSources(QObject*) const
    {55, 800, 513, 2, Smoke::mf_const, 0, 59},	//1117 Plasma::DataEngine::connectAllSources(QObject*, unsigned int) const
    {55, 858, 0, 0, 0, 147, 60},	//1118 Plasma::DataEngine::createDefaultService()
    {55, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 61},	//1119 Plasma::DataEngine::staticMetaObject() const
    {55, 2482, 0, 0, Smoke::mf_dtor, 0, 62 },	//1120 Plasma::DataEngine::~DataEngine()
    {56, 1402, 0, 0, Smoke::mf_const, 463, 1},	//1121 Plasma::DataEngineManager::metaObject() const
    {56, 1538, 1, 1, 0, 508, 2},	//1122 Plasma::DataEngineManager::qt_metacast(const char*)
    {56, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1123 Plasma::DataEngineManager::tr(const char*, const char*)
    {56, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1124 Plasma::DataEngineManager::trUtf8(const char*, const char*)
    {56, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1125 Plasma::DataEngineManager::tr(const char*, const char*, int)
    {56, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1126 Plasma::DataEngineManager::trUtf8(const char*, const char*, int)
    {56, 1536, 3, 3, 0, 499, 7},	//1127 Plasma::DataEngineManager::qt_metacall(QMetaObject::Call, int, void**)
    {56, 1697, 0, 0, Smoke::mf_static, 85, 8},	//1128 Plasma::DataEngineManager::self()
    {56, 993, 89, 1, Smoke::mf_const, 83, 9},	//1129 Plasma::DataEngineManager::engine(const QString&) const
    {56, 1348, 89, 1, 0, 83, 10},	//1130 Plasma::DataEngineManager::loadEngine(const QString&)
    {56, 2373, 89, 1, 0, 0, 11},	//1131 Plasma::DataEngineManager::unloadEngine(const QString&)
    {56, 1287, 89, 1, Smoke::mf_static, 293, 12},	//1132 Plasma::DataEngineManager::listAllEngines(const QString&)
    {56, 1312, 89, 1, Smoke::mf_static, 241, 13},	//1133 Plasma::DataEngineManager::listEngineInfo(const QString&)
    {56, 1314, 77, 2, Smoke::mf_static, 241, 14},	//1134 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&, const QString&)
    {56, 2342, 176, 1, Smoke::mf_protected, 0, 15},	//1135 Plasma::DataEngineManager::timerEvent(QTimerEvent*)
    {56, 2357, 1, 1, Smoke::mf_static, 292, 16},	//1136 Plasma::DataEngineManager::tr(const char*)
    {56, 2361, 1, 1, Smoke::mf_static, 292, 17},	//1137 Plasma::DataEngineManager::trUtf8(const char*)
    {56, 1287, 0, 0, Smoke::mf_static, 293, 18},	//1138 Plasma::DataEngineManager::listAllEngines()
    {56, 1312, 0, 0, Smoke::mf_static, 241, 19},	//1139 Plasma::DataEngineManager::listEngineInfo()
    {56, 1314, 89, 1, Smoke::mf_static, 241, 20},	//1140 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&)
    {56, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 21},	//1141 Plasma::DataEngineManager::staticMetaObject() const
    {57, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1142 Plasma::DataEngineScript::metaObject() const
    {57, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1143 Plasma::DataEngineScript::qt_metacast(const char*)
    {57, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1144 Plasma::DataEngineScript::tr(const char*, const char*)
    {57, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1145 Plasma::DataEngineScript::trUtf8(const char*, const char*)
    {57, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1146 Plasma::DataEngineScript::tr(const char*, const char*, int)
    {57, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1147 Plasma::DataEngineScript::trUtf8(const char*, const char*, int)
    {57, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1148 Plasma::DataEngineScript::qt_metacall(QMetaObject::Call, int, void**)
    {57, 127, 97, 1, Smoke::mf_ctor, 86, 8},	//1149 Plasma::DataEngineScript::DataEngineScript(QObject*)
    {57, 1817, 516, 1, 0, 0, 9},	//1150 Plasma::DataEngineScript::setDataEngine(Plasma::DataEngine*)
    {57, 890, 0, 0, Smoke::mf_const, 83, 10},	//1151 Plasma::DataEngineScript::dataEngine() const
    {57, 2266, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 293, 11},	//1152 Plasma::DataEngineScript::sources() const
    {57, 2264, 89, 1, Smoke::mf_virtual, 406, 12},	//1153 Plasma::DataEngineScript::sourceRequestEvent(const QString&)
    {57, 2396, 89, 1, Smoke::mf_virtual, 406, 13},	//1154 Plasma::DataEngineScript::updateSourceEvent(const QString&)
    {57, 1699, 89, 1, Smoke::mf_virtual, 147, 14},	//1155 Plasma::DataEngineScript::serviceForSource(const QString&)
    {57, 1375, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 292, 15},	//1156 Plasma::DataEngineScript::mainScript() const
    {57, 1465, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 430, 16},	//1157 Plasma::DataEngineScript::package() const
    {57, 900, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 17},	//1158 Plasma::DataEngineScript::description() const
    {57, 1812, 502, 3, Smoke::mf_protected, 0, 18},	//1159 Plasma::DataEngineScript::setData(const QString&, const QString&, const QVariant&)
    {57, 1812, 482, 2, Smoke::mf_protected, 0, 19},	//1160 Plasma::DataEngineScript::setData(const QString&, const QVariant&)
    {57, 1812, 506, 2, Smoke::mf_protected, 0, 20},	//1161 Plasma::DataEngineScript::setData(const QString&, const QHash<QString,QVariant>&)
    {57, 1582, 89, 1, Smoke::mf_protected, 0, 21},	//1162 Plasma::DataEngineScript::removeAllData(const QString&)
    {57, 1587, 77, 2, Smoke::mf_protected, 0, 22},	//1163 Plasma::DataEngineScript::removeData(const QString&, const QString&)
    {57, 1951, 36, 1, Smoke::mf_protected, 0, 23},	//1164 Plasma::DataEngineScript::setMaxSourceCount(unsigned int)
    {57, 1965, 129, 1, Smoke::mf_protected, 0, 24},	//1165 Plasma::DataEngineScript::setMinimumPollingInterval(int)
    {57, 1414, 0, 0, Smoke::mf_const|Smoke::mf_protected, 499, 25},	//1166 Plasma::DataEngineScript::minimumPollingInterval() const
    {57, 2008, 36, 1, Smoke::mf_protected, 0, 26},	//1167 Plasma::DataEngineScript::setPollingInterval(unsigned int)
    {57, 1584, 0, 0, Smoke::mf_protected, 0, 27},	//1168 Plasma::DataEngineScript::removeAllSources()
    {57, 673, 492, 1, Smoke::mf_protected, 0, 28},	//1169 Plasma::DataEngineScript::addSource(Plasma::DataContainer*)
    {57, 813, 0, 0, Smoke::mf_const|Smoke::mf_protected, 230, 29},	//1170 Plasma::DataEngineScript::containerDict() const
    {57, 1972, 89, 1, Smoke::mf_protected, 0, 30},	//1171 Plasma::DataEngineScript::setName(const QString&)
    {57, 1909, 89, 1, Smoke::mf_protected, 0, 31},	//1172 Plasma::DataEngineScript::setIcon(const QString&)
    {57, 1676, 0, 0, Smoke::mf_protected, 0, 32},	//1173 Plasma::DataEngineScript::scheduleSourcesUpdated()
    {57, 1601, 89, 1, Smoke::mf_protected, 0, 33},	//1174 Plasma::DataEngineScript::removeSource(const QString&)
    {57, 2384, 0, 0, Smoke::mf_protected, 0, 34},	//1175 Plasma::DataEngineScript::updateAllSources()
    {57, 1062, 0, 0, Smoke::mf_protected, 0, 35},	//1176 Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations()
    {57, 2357, 1, 1, Smoke::mf_static, 292, 36},	//1177 Plasma::DataEngineScript::tr(const char*)
    {57, 2361, 1, 1, Smoke::mf_static, 292, 37},	//1178 Plasma::DataEngineScript::trUtf8(const char*)
    {57, 127, 0, 0, Smoke::mf_ctor, 86, 38},	//1179 Plasma::DataEngineScript::DataEngineScript()
    {57, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 39},	//1180 Plasma::DataEngineScript::staticMetaObject() const
    {57, 2483, 0, 0, Smoke::mf_dtor, 0, 40 },	//1181 Plasma::DataEngineScript::~DataEngineScript()
    {58, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1182 Plasma::Delegate::metaObject() const
    {58, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1183 Plasma::Delegate::qt_metacast(const char*)
    {58, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1184 Plasma::Delegate::tr(const char*, const char*)
    {58, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1185 Plasma::Delegate::trUtf8(const char*, const char*)
    {58, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1186 Plasma::Delegate::tr(const char*, const char*, int)
    {58, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1187 Plasma::Delegate::trUtf8(const char*, const char*, int)
    {58, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1188 Plasma::Delegate::qt_metacall(QMetaObject::Call, int, void**)
    {58, 134, 97, 1, Smoke::mf_ctor, 87, 8},	//1189 Plasma::Delegate::Delegate(QObject*)
    {58, 2049, 518, 2, 0, 0, 9},	//1190 Plasma::Delegate::setRoleMapping(Plasma::Delegate::SpecificRoles, int)
    {58, 1646, 521, 1, Smoke::mf_const, 499, 10},	//1191 Plasma::Delegate::roleMapping(Plasma::Delegate::SpecificRoles) const
    {58, 1471, 523, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 11},	//1192 Plasma::Delegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2238, 0, 0, Smoke::mf_const, 406, 12},	//1193 Plasma::Delegate::showToolTip() const
    {58, 1551, 527, 2, Smoke::mf_const|Smoke::mf_protected, 281, 13},	//1194 Plasma::Delegate::rectAfterTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 1549, 527, 2, Smoke::mf_const|Smoke::mf_protected, 281, 14},	//1195 Plasma::Delegate::rectAfterSubTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 985, 527, 2, Smoke::mf_const|Smoke::mf_protected, 281, 15},	//1196 Plasma::Delegate::emptyRect(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2251, 527, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 16},	//1197 Plasma::Delegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2357, 1, 1, Smoke::mf_static, 292, 17},	//1198 Plasma::Delegate::tr(const char*)
    {58, 2361, 1, 1, Smoke::mf_static, 292, 18},	//1199 Plasma::Delegate::trUtf8(const char*)
    {58, 134, 0, 0, Smoke::mf_ctor, 87, 19},	//1200 Plasma::Delegate::Delegate()
    {58, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 20},	//1201 Plasma::Delegate::staticMetaObject() const
    {58, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 21},	//1202 Plasma::Delegate::SubTitleRole (enum)
    {58, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 22},	//1203 Plasma::Delegate::SubTitleMandatoryRole (enum)
    {58, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 23},	//1204 Plasma::Delegate::ColumnTypeRole (enum)
    {58, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 24},	//1205 Plasma::Delegate::MainColumn (enum)
    {58, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 25},	//1206 Plasma::Delegate::SecondaryActionColumn (enum)
    {58, 2484, 0, 0, Smoke::mf_dtor, 0, 26 },	//1207 Plasma::Delegate::~Delegate()
    {59, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1208 Plasma::Dialog::metaObject() const
    {59, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1209 Plasma::Dialog::qt_metacast(const char*)
    {59, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1210 Plasma::Dialog::tr(const char*, const char*)
    {59, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1211 Plasma::Dialog::trUtf8(const char*, const char*)
    {59, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1212 Plasma::Dialog::tr(const char*, const char*, int)
    {59, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1213 Plasma::Dialog::trUtf8(const char*, const char*, int)
    {59, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1214 Plasma::Dialog::qt_metacall(QMetaObject::Call, int, void**)
    {59, 145, 530, 2, Smoke::mf_ctor, 90, 8},	//1215 Plasma::Dialog::Dialog(QWidget*, QFlags<Qt::WindowType>)
    {59, 1883, 125, 1, 0, 0, 9},	//1216 Plasma::Dialog::setGraphicsWidget(QGraphicsWidget*)
    {59, 1084, 0, 0, 0, 228, 10},	//1217 Plasma::Dialog::graphicsWidget()
    {59, 2045, 533, 1, 0, 0, 11},	//1218 Plasma::Dialog::setResizeHandleCorners(QFlags<Plasma::Dialog::ResizeCorner>)
    {59, 1634, 0, 0, Smoke::mf_const, 202, 12},	//1219 Plasma::Dialog::resizeCorners() const
    {59, 1213, 0, 0, Smoke::mf_const, 406, 13},	//1220 Plasma::Dialog::isUserResizing() const
    {59, 1967, 535, 4, 0, 0, 14},	//1221 Plasma::Dialog::setMinimumResizeLimits(int, int, int, int)
    {59, 1076, 540, 4, 0, 0, 15},	//1222 Plasma::Dialog::getMinimumResizeLimits(int*, int*, int*, int*)
    {59, 695, 545, 1, 0, 0, 16},	//1223 Plasma::Dialog::animatedHide(Plasma::Direction)
    {59, 697, 545, 1, 0, 0, 17},	//1224 Plasma::Dialog::animatedShow(Plasma::Direction)
    {59, 727, 0, 0, Smoke::mf_const, 54, 18},	//1225 Plasma::Dialog::aspectRatioMode() const
    {59, 1727, 193, 1, 0, 0, 19},	//1226 Plasma::Dialog::setAspectRatioMode(Plasma::AspectRatioMode)
    {59, 910, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//1227 Plasma::Dialog::dialogResized()
    {59, 911, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1228 Plasma::Dialog::dialogVisible(bool)
    {59, 2306, 0, 0, Smoke::mf_slot, 0, 22},	//1229 Plasma::Dialog::syncToGraphicsWidget()
    {59, 1480, 547, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1230 Plasma::Dialog::paintEvent(QPaintEvent*)
    {59, 1003, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 24},	//1231 Plasma::Dialog::event(QEvent*)
    {59, 1635, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1232 Plasma::Dialog::resizeEvent(QResizeEvent*)
    {59, 1005, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 26},	//1233 Plasma::Dialog::eventFilter(QObject*, QEvent*)
    {59, 1110, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1234 Plasma::Dialog::hideEvent(QHideEvent*)
    {59, 2230, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1235 Plasma::Dialog::showEvent(QShowEvent*)
    {59, 1049, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1236 Plasma::Dialog::focusInEvent(QFocusEvent*)
    {59, 1419, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1237 Plasma::Dialog::mouseMoveEvent(QMouseEvent*)
    {59, 1421, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1238 Plasma::Dialog::mousePressEvent(QMouseEvent*)
    {59, 1423, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1239 Plasma::Dialog::mouseReleaseEvent(QMouseEvent*)
    {59, 1249, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1240 Plasma::Dialog::keyPressEvent(QKeyEvent*)
    {59, 1425, 553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1241 Plasma::Dialog::moveEvent(QMoveEvent*)
    {59, 1139, 555, 1, Smoke::mf_protected, 406, 35},	//1242 Plasma::Dialog::inControlArea(const QPoint&)
    {59, 2357, 1, 1, Smoke::mf_static, 292, 36},	//1243 Plasma::Dialog::tr(const char*)
    {59, 2361, 1, 1, Smoke::mf_static, 292, 37},	//1244 Plasma::Dialog::trUtf8(const char*)
    {59, 145, 0, 0, Smoke::mf_ctor, 90, 38},	//1245 Plasma::Dialog::Dialog()
    {59, 145, 57, 1, Smoke::mf_ctor, 90, 39},	//1246 Plasma::Dialog::Dialog(QWidget*)
    {59, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 40},	//1247 Plasma::Dialog::staticMetaObject() const
    {59, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 41},	//1248 Plasma::Dialog::NoCorner (enum)
    {59, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 42},	//1249 Plasma::Dialog::NorthEast (enum)
    {59, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 43},	//1250 Plasma::Dialog::SouthEast (enum)
    {59, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 44},	//1251 Plasma::Dialog::NorthWest (enum)
    {59, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 45},	//1252 Plasma::Dialog::SouthWest (enum)
    {59, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 46},	//1253 Plasma::Dialog::All (enum)
    {59, 2485, 0, 0, Smoke::mf_dtor, 0, 47 },	//1254 Plasma::Dialog::~Dialog()
    {60, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1255 Plasma::Extender::metaObject() const
    {60, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1256 Plasma::Extender::qt_metacast(const char*)
    {60, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1257 Plasma::Extender::tr(const char*, const char*)
    {60, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1258 Plasma::Extender::trUtf8(const char*, const char*)
    {60, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1259 Plasma::Extender::tr(const char*, const char*, int)
    {60, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1260 Plasma::Extender::trUtf8(const char*, const char*, int)
    {60, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1261 Plasma::Extender::qt_metacall(QMetaObject::Call, int, void**)
    {60, 165, 252, 1, Smoke::mf_ctor, 93, 8},	//1262 Plasma::Extender::Extender(Plasma::Applet*)
    {60, 1855, 89, 1, Smoke::mf_property, 0, 9},	//1263 Plasma::Extender::setEmptyExtenderMessage(const QString&)
    {60, 984, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 10},	//1264 Plasma::Extender::emptyExtenderMessage() const
    {60, 1248, 0, 0, Smoke::mf_const, 248, 11},	//1265 Plasma::Extender::items() const
    {60, 734, 0, 0, Smoke::mf_const, 248, 12},	//1266 Plasma::Extender::attachedItems() const
    {60, 907, 0, 0, Smoke::mf_const, 248, 13},	//1267 Plasma::Extender::detachedItems() const
    {60, 1219, 89, 1, Smoke::mf_const, 96, 14},	//1268 Plasma::Extender::item(const QString&) const
    {60, 1085, 89, 1, Smoke::mf_const, 95, 15},	//1269 Plasma::Extender::group(const QString&) const
    {60, 1099, 89, 1, Smoke::mf_const, 406, 16},	//1270 Plasma::Extender::hasItem(const QString&) const
    {60, 1182, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 17},	//1271 Plasma::Extender::isEmpty() const
    {60, 1719, 557, 1, 0, 0, 18},	//1272 Plasma::Extender::setAppearance(Plasma::Extender::Appearance)
    {60, 711, 0, 0, Smoke::mf_const, 94, 19},	//1273 Plasma::Extender::appearance() const
    {60, 1088, 0, 0, Smoke::mf_const, 247, 20},	//1274 Plasma::Extender::groups() const
    {60, 715, 0, 0, Smoke::mf_const, 51, 21},	//1275 Plasma::Extender::applet() const
    {60, 1223, 559, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1276 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*, const QPointF&)
    {60, 1242, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1277 Plasma::Extender::itemRemovedEvent(Plasma::ExtenderItem*)
    {60, 1236, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1278 Plasma::Extender::itemHoverEnterEvent(Plasma::ExtenderItem*)
    {60, 1240, 559, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1279 Plasma::Extender::itemHoverMoveEvent(Plasma::ExtenderItem*, const QPointF&)
    {60, 1238, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1280 Plasma::Extender::itemHoverLeaveEvent(Plasma::ExtenderItem*)
    {60, 1664, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1281 Plasma::Extender::saveState()
    {60, 990, 229, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 203, 28},	//1282 Plasma::Extender::enabledBordersForItem(Plasma::ExtenderItem*) const
    {60, 1230, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 303, 29},	//1283 Plasma::Extender::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {60, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1284 Plasma::Extender::resizeEvent(QGraphicsSceneResizeEvent*)
    {60, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1285 Plasma::Extender::mousePressEvent(QGraphicsSceneMouseEvent*)
    {60, 927, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1286 Plasma::Extender::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {60, 931, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1287 Plasma::Extender::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {60, 929, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1288 Plasma::Extender::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {60, 957, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1289 Plasma::Extender::dropEvent(QGraphicsSceneDragDropEvent*)
    {60, 1228, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1290 Plasma::Extender::itemAttached(Plasma::ExtenderItem*)
    {60, 1232, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1291 Plasma::Extender::itemDetached(Plasma::ExtenderItem*)
    {60, 1071, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1292 Plasma::Extender::geometryChanged()
    {60, 2357, 1, 1, Smoke::mf_static, 292, 39},	//1293 Plasma::Extender::tr(const char*)
    {60, 2361, 1, 1, Smoke::mf_static, 292, 40},	//1294 Plasma::Extender::trUtf8(const char*)
    {60, 1223, 229, 1, Smoke::mf_protected, 0, 41},	//1295 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*)
    {60, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 42},	//1296 Plasma::Extender::staticMetaObject() const
    {60, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 43},	//1297 Plasma::Extender::NoBorders (enum)
    {60, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 44},	//1298 Plasma::Extender::BottomUpStacked (enum)
    {60, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 45},	//1299 Plasma::Extender::TopDownStacked (enum)
    {60, 2486, 0, 0, Smoke::mf_dtor, 0, 46 },	//1300 Plasma::Extender::~Extender()
    {61, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1301 Plasma::ExtenderGroup::metaObject() const
    {61, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1302 Plasma::ExtenderGroup::qt_metacast(const char*)
    {61, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1303 Plasma::ExtenderGroup::tr(const char*, const char*)
    {61, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1304 Plasma::ExtenderGroup::trUtf8(const char*, const char*)
    {61, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1305 Plasma::ExtenderGroup::tr(const char*, const char*, int)
    {61, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1306 Plasma::ExtenderGroup::trUtf8(const char*, const char*, int)
    {61, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1307 Plasma::ExtenderGroup::qt_metacall(QMetaObject::Call, int, void**)
    {61, 167, 562, 2, Smoke::mf_ctor, 95, 8},	//1308 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*, unsigned int)
    {61, 1248, 0, 0, Smoke::mf_const, 248, 9},	//1309 Plasma::ExtenderGroup::items() const
    {61, 740, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 10},	//1310 Plasma::ExtenderGroup::autoHide() const
    {61, 1743, 7, 1, Smoke::mf_property, 0, 11},	//1311 Plasma::ExtenderGroup::setAutoHide(bool)
    {61, 1185, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 12},	//1312 Plasma::ExtenderGroup::isGroupCollapsed() const
    {61, 1172, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 13},	//1313 Plasma::ExtenderGroup::isAutoCollapse() const
    {61, 1739, 7, 1, Smoke::mf_property, 0, 14},	//1314 Plasma::ExtenderGroup::setAutoCollapse(bool)
    {61, 1888, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//1315 Plasma::ExtenderGroup::setGroupCollapsed(bool)
    {61, 1014, 0, 0, Smoke::mf_slot, 0, 16},	//1316 Plasma::ExtenderGroup::expandGroup()
    {61, 783, 0, 0, Smoke::mf_slot, 0, 17},	//1317 Plasma::ExtenderGroup::collapseGroup()
    {61, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1318 Plasma::ExtenderGroup::resizeEvent(QGraphicsSceneResizeEvent*)
    {61, 1005, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 19},	//1319 Plasma::ExtenderGroup::eventFilter(QObject*, QEvent*)
    {61, 927, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1320 Plasma::ExtenderGroup::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {61, 931, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1321 Plasma::ExtenderGroup::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {61, 929, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1322 Plasma::ExtenderGroup::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {61, 957, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1323 Plasma::ExtenderGroup::dropEvent(QGraphicsSceneDragDropEvent*)
    {61, 2357, 1, 1, Smoke::mf_static, 292, 24},	//1324 Plasma::ExtenderGroup::tr(const char*)
    {61, 2361, 1, 1, Smoke::mf_static, 292, 25},	//1325 Plasma::ExtenderGroup::trUtf8(const char*)
    {61, 167, 565, 1, Smoke::mf_ctor, 95, 26},	//1326 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*)
    {61, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 27},	//1327 Plasma::ExtenderGroup::staticMetaObject() const
    {61, 2487, 0, 0, Smoke::mf_dtor, 0, 28 },	//1328 Plasma::ExtenderGroup::~ExtenderGroup()
    {62, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1329 Plasma::ExtenderItem::metaObject() const
    {62, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1330 Plasma::ExtenderItem::qt_metacast(const char*)
    {62, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1331 Plasma::ExtenderItem::tr(const char*, const char*)
    {62, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1332 Plasma::ExtenderItem::trUtf8(const char*, const char*)
    {62, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1333 Plasma::ExtenderItem::tr(const char*, const char*, int)
    {62, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1334 Plasma::ExtenderItem::trUtf8(const char*, const char*, int)
    {62, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1335 Plasma::ExtenderItem::qt_metacall(QMetaObject::Call, int, void**)
    {62, 170, 562, 2, Smoke::mf_ctor, 96, 8},	//1336 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*, unsigned int)
    {62, 789, 0, 0, Smoke::mf_const, 8, 9},	//1337 Plasma::ExtenderItem::config() const
    {62, 2202, 170, 1, 0, 0, 10},	//1338 Plasma::ExtenderItem::setWidget(QGraphicsItem*)
    {62, 2444, 0, 0, Smoke::mf_const, 213, 11},	//1339 Plasma::ExtenderItem::widget() const
    {62, 2147, 89, 1, Smoke::mf_property, 0, 12},	//1340 Plasma::ExtenderItem::setTitle(const QString&)
    {62, 2344, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 13},	//1341 Plasma::ExtenderItem::title() const
    {62, 1972, 89, 1, Smoke::mf_property, 0, 14},	//1342 Plasma::ExtenderItem::setName(const QString&)
    {62, 1437, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 15},	//1343 Plasma::ExtenderItem::name() const
    {62, 1909, 89, 1, 0, 0, 16},	//1344 Plasma::ExtenderItem::setIcon(const QString&)
    {62, 1909, 567, 1, Smoke::mf_property, 0, 17},	//1345 Plasma::ExtenderItem::setIcon(const QIcon&)
    {62, 1126, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 18},	//1346 Plasma::ExtenderItem::icon() const
    {62, 1861, 569, 2, 0, 0, 19},	//1347 Plasma::ExtenderItem::setExtender(Plasma::Extender*, const QPointF&)
    {62, 1017, 0, 0, Smoke::mf_const, 93, 20},	//1348 Plasma::ExtenderItem::extender() const
    {62, 1885, 572, 1, 0, 0, 21},	//1349 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*)
    {62, 1885, 574, 2, 0, 0, 22},	//1350 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*, const QPointF&)
    {62, 1085, 0, 0, Smoke::mf_const, 95, 23},	//1351 Plasma::ExtenderItem::group() const
    {62, 1184, 0, 0, Smoke::mf_const, 406, 24},	//1352 Plasma::ExtenderItem::isGroup() const
    {62, 1741, 36, 1, 0, 0, 25},	//1353 Plasma::ExtenderItem::setAutoExpireDelay(unsigned int)
    {62, 739, 0, 0, Smoke::mf_const, 506, 26},	//1354 Plasma::ExtenderItem::autoExpireDelay() const
    {62, 1180, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 27},	//1355 Plasma::ExtenderItem::isDetached() const
    {62, 1178, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 28},	//1356 Plasma::ExtenderItem::isCollapsed() const
    {62, 625, 86, 2, 0, 0, 29},	//1357 Plasma::ExtenderItem::addAction(const QString&, QAction*)
    {62, 608, 89, 1, Smoke::mf_const, 182, 30},	//1358 Plasma::ExtenderItem::action(const QString&) const
    {62, 2155, 109, 1, 0, 0, 31},	//1359 Plasma::ExtenderItem::setTransient(const bool)
    {62, 1211, 0, 0, Smoke::mf_const, 406, 32},	//1360 Plasma::ExtenderItem::isTransient() const
    {62, 903, 0, 0, Smoke::mf_slot, 0, 33},	//1361 Plasma::ExtenderItem::destroy()
    {62, 1773, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 34},	//1362 Plasma::ExtenderItem::setCollapsed(bool)
    {62, 1645, 0, 0, Smoke::mf_slot, 0, 35},	//1363 Plasma::ExtenderItem::returnToSource()
    {62, 2221, 0, 0, Smoke::mf_slot, 0, 36},	//1364 Plasma::ExtenderItem::showCloseButton()
    {62, 1109, 0, 0, Smoke::mf_slot, 0, 37},	//1365 Plasma::ExtenderItem::hideCloseButton()
    {62, 905, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1366 Plasma::ExtenderItem::destroyed(Plasma::ExtenderItem*)
    {62, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//1367 Plasma::ExtenderItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {62, 1425, 577, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//1368 Plasma::ExtenderItem::moveEvent(QGraphicsSceneMoveEvent*)
    {62, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//1369 Plasma::ExtenderItem::resizeEvent(QGraphicsSceneResizeEvent*)
    {62, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//1370 Plasma::ExtenderItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {62, 1417, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1371 Plasma::ExtenderItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {62, 1419, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//1372 Plasma::ExtenderItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {62, 1423, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1373 Plasma::ExtenderItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {62, 1123, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//1374 Plasma::ExtenderItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {62, 1121, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//1375 Plasma::ExtenderItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {62, 1672, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 48},	//1376 Plasma::ExtenderItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {62, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 49},	//1377 Plasma::ExtenderItem::sizeHint(Qt::SizeHint, const QSizeF&) const
    {62, 2357, 1, 1, Smoke::mf_static, 292, 50},	//1378 Plasma::ExtenderItem::tr(const char*)
    {62, 2361, 1, 1, Smoke::mf_static, 292, 51},	//1379 Plasma::ExtenderItem::trUtf8(const char*)
    {62, 170, 565, 1, Smoke::mf_ctor, 96, 52},	//1380 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*)
    {62, 1861, 565, 1, 0, 0, 53},	//1381 Plasma::ExtenderItem::setExtender(Plasma::Extender*)
    {62, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 54},	//1382 Plasma::ExtenderItem::staticMetaObject() const
    {62, 2488, 0, 0, Smoke::mf_dtor, 0, 55 },	//1383 Plasma::ExtenderItem::~ExtenderItem()
    {63, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1384 Plasma::FlashingLabel::metaObject() const
    {63, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1385 Plasma::FlashingLabel::qt_metacast(const char*)
    {63, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1386 Plasma::FlashingLabel::tr(const char*, const char*)
    {63, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1387 Plasma::FlashingLabel::trUtf8(const char*, const char*)
    {63, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1388 Plasma::FlashingLabel::tr(const char*, const char*, int)
    {63, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1389 Plasma::FlashingLabel::trUtf8(const char*, const char*, int)
    {63, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1390 Plasma::FlashingLabel::qt_metacall(QMetaObject::Call, int, void**)
    {63, 180, 170, 1, Smoke::mf_ctor, 97, 8},	//1391 Plasma::FlashingLabel::FlashingLabel(QGraphicsItem*)
    {63, 1471, 216, 3, Smoke::mf_virtual, 0, 9},	//1392 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {63, 1056, 0, 0, Smoke::mf_const|Smoke::mf_property, 210, 10},	//1393 Plasma::FlashingLabel::font() const
    {63, 1870, 579, 1, Smoke::mf_property, 0, 11},	//1394 Plasma::FlashingLabel::setFont(const QFont&)
    {63, 786, 0, 0, Smoke::mf_const|Smoke::mf_property, 188, 12},	//1395 Plasma::FlashingLabel::color() const
    {63, 1775, 581, 1, Smoke::mf_property, 0, 13},	//1396 Plasma::FlashingLabel::setColor(const QColor&)
    {63, 959, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 14},	//1397 Plasma::FlashingLabel::duration() const
    {63, 1844, 129, 1, Smoke::mf_property, 0, 15},	//1398 Plasma::FlashingLabel::setDuration(int)
    {63, 1039, 583, 3, 0, 0, 16},	//1399 Plasma::FlashingLabel::flash(const QString&, int, const QTextOption&)
    {63, 1039, 587, 3, 0, 0, 17},	//1400 Plasma::FlashingLabel::flash(const QPixmap&, int, QFlags<Qt::AlignmentFlag>)
    {63, 1747, 7, 1, Smoke::mf_property, 0, 18},	//1401 Plasma::FlashingLabel::setAutohide(bool)
    {63, 742, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 19},	//1402 Plasma::FlashingLabel::autohide() const
    {63, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 20},	//1403 Plasma::FlashingLabel::sizeHint(Qt::SizeHint, const QSizeF&) const
    {63, 1254, 0, 0, Smoke::mf_slot, 0, 21},	//1404 Plasma::FlashingLabel::kill()
    {63, 1021, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 22},	//1405 Plasma::FlashingLabel::fadeIn()
    {63, 1022, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 23},	//1406 Plasma::FlashingLabel::fadeOut()
    {63, 2357, 1, 1, Smoke::mf_static, 292, 24},	//1407 Plasma::FlashingLabel::tr(const char*)
    {63, 2361, 1, 1, Smoke::mf_static, 292, 25},	//1408 Plasma::FlashingLabel::trUtf8(const char*)
    {63, 180, 0, 0, Smoke::mf_ctor, 97, 26},	//1409 Plasma::FlashingLabel::FlashingLabel()
    {63, 1471, 328, 2, 0, 0, 27},	//1410 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {63, 1039, 89, 1, 0, 0, 28},	//1411 Plasma::FlashingLabel::flash(const QString&)
    {63, 1039, 591, 2, 0, 0, 29},	//1412 Plasma::FlashingLabel::flash(const QString&, int)
    {63, 1039, 594, 1, 0, 0, 30},	//1413 Plasma::FlashingLabel::flash(const QPixmap&)
    {63, 1039, 596, 2, 0, 0, 31},	//1414 Plasma::FlashingLabel::flash(const QPixmap&, int)
    {63, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 32},	//1415 Plasma::FlashingLabel::staticMetaObject() const
    {63, 2489, 0, 0, Smoke::mf_dtor, 0, 33 },	//1416 Plasma::FlashingLabel::~FlashingLabel()
    {64, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1417 Plasma::Frame::metaObject() const
    {64, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1418 Plasma::Frame::qt_metacast(const char*)
    {64, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1419 Plasma::Frame::tr(const char*, const char*)
    {64, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1420 Plasma::Frame::trUtf8(const char*, const char*)
    {64, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1421 Plasma::Frame::tr(const char*, const char*, int)
    {64, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1422 Plasma::Frame::trUtf8(const char*, const char*, int)
    {64, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1423 Plasma::Frame::qt_metacall(QMetaObject::Call, int, void**)
    {64, 187, 125, 1, Smoke::mf_ctor, 100, 8},	//1424 Plasma::Frame::Frame(QGraphicsWidget*)
    {64, 1877, 599, 1, Smoke::mf_property, 0, 9},	//1425 Plasma::Frame::setFrameShadow(Plasma::Frame::Shadow)
    {64, 1066, 0, 0, Smoke::mf_const|Smoke::mf_property, 101, 10},	//1426 Plasma::Frame::frameShadow() const
    {64, 1859, 601, 1, 0, 0, 11},	//1427 Plasma::Frame::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {64, 989, 0, 0, Smoke::mf_const, 203, 12},	//1428 Plasma::Frame::enabledBorders() const
    {64, 2133, 220, 1, Smoke::mf_property, 0, 13},	//1429 Plasma::Frame::setText(QString)
    {64, 2327, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 14},	//1430 Plasma::Frame::text() const
    {64, 1916, 89, 1, Smoke::mf_property, 0, 15},	//1431 Plasma::Frame::setImage(const QString&)
    {64, 1130, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 16},	//1432 Plasma::Frame::image() const
    {64, 2101, 89, 1, Smoke::mf_property, 0, 17},	//1433 Plasma::Frame::setStyleSheet(const QString&)
    {64, 2289, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 18},	//1434 Plasma::Frame::styleSheet() const
    {64, 1439, 0, 0, Smoke::mf_const, 308, 19},	//1435 Plasma::Frame::nativeWidget() const
    {64, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1436 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {64, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1437 Plasma::Frame::resizeEvent(QGraphicsSceneResizeEvent*)
    {64, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 22},	//1438 Plasma::Frame::sizeHint(Qt::SizeHint, const QSizeF&) const
    {64, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1439 Plasma::Frame::changeEvent(QEvent*)
    {64, 2357, 1, 1, Smoke::mf_static, 292, 24},	//1440 Plasma::Frame::tr(const char*)
    {64, 2361, 1, 1, Smoke::mf_static, 292, 25},	//1441 Plasma::Frame::trUtf8(const char*)
    {64, 187, 0, 0, Smoke::mf_ctor, 100, 26},	//1442 Plasma::Frame::Frame()
    {64, 1471, 328, 2, Smoke::mf_protected, 0, 27},	//1443 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {64, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 28},	//1444 Plasma::Frame::staticMetaObject() const
    {64, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 29},	//1445 Plasma::Frame::Plain (enum)
    {64, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 30},	//1446 Plasma::Frame::Raised (enum)
    {64, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 31},	//1447 Plasma::Frame::Sunken (enum)
    {64, 2490, 0, 0, Smoke::mf_dtor, 0, 32 },	//1448 Plasma::Frame::~Frame()
    {65, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1449 Plasma::FrameSvg::metaObject() const
    {65, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1450 Plasma::FrameSvg::qt_metacast(const char*)
    {65, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1451 Plasma::FrameSvg::tr(const char*, const char*)
    {65, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1452 Plasma::FrameSvg::trUtf8(const char*, const char*)
    {65, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1453 Plasma::FrameSvg::tr(const char*, const char*, int)
    {65, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1454 Plasma::FrameSvg::trUtf8(const char*, const char*, int)
    {65, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1455 Plasma::FrameSvg::qt_metacall(QMetaObject::Call, int, void**)
    {65, 189, 97, 1, Smoke::mf_ctor, 102, 8},	//1456 Plasma::FrameSvg::FrameSvg(QObject*)
    {65, 1920, 89, 1, 0, 0, 9},	//1457 Plasma::FrameSvg::setImagePath(const QString&)
    {65, 1859, 601, 1, 0, 0, 10},	//1458 Plasma::FrameSvg::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {65, 989, 0, 0, Smoke::mf_const, 203, 11},	//1459 Plasma::FrameSvg::enabledBorders() const
    {65, 1637, 603, 1, 0, 0, 12},	//1460 Plasma::FrameSvg::resizeFrame(const QSizeF&)
    {65, 1067, 0, 0, Smoke::mf_const, 290, 13},	//1461 Plasma::FrameSvg::frameSize() const
    {65, 1384, 605, 1, Smoke::mf_const, 496, 14},	//1462 Plasma::FrameSvg::marginSize(const Plasma::MarginEdge) const
    {65, 1074, 607, 4, Smoke::mf_const, 0, 15},	//1463 Plasma::FrameSvg::getMargins(double&, double&, double&, double&) const
    {65, 837, 0, 0, Smoke::mf_const, 282, 16},	//1464 Plasma::FrameSvg::contentsRect() const
    {65, 1851, 9, 1, 0, 0, 17},	//1465 Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    {65, 1851, 89, 1, 0, 0, 18},	//1466 Plasma::FrameSvg::setElementPrefix(const QString&)
    {65, 1094, 89, 1, Smoke::mf_const, 406, 19},	//1467 Plasma::FrameSvg::hasElementPrefix(const QString&) const
    {65, 1094, 9, 1, Smoke::mf_const, 406, 20},	//1468 Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    {65, 1525, 0, 0, 0, 292, 21},	//1469 Plasma::FrameSvg::prefix()
    {65, 1386, 0, 0, Smoke::mf_const, 285, 22},	//1470 Plasma::FrameSvg::mask() const
    {65, 694, 0, 0, Smoke::mf_const, 276, 23},	//1471 Plasma::FrameSvg::alphaMask() const
    {65, 1757, 7, 1, 0, 0, 24},	//1472 Plasma::FrameSvg::setCacheAllRenderedFrames(bool)
    {65, 756, 0, 0, Smoke::mf_const, 406, 25},	//1473 Plasma::FrameSvg::cacheAllRenderedFrames() const
    {65, 771, 0, 0, 0, 0, 26},	//1474 Plasma::FrameSvg::clearCache()
    {65, 1065, 0, 0, 0, 276, 27},	//1475 Plasma::FrameSvg::framePixmap()
    {65, 1482, 612, 3, 0, 0, 28},	//1476 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&, const QRectF&)
    {65, 1482, 616, 2, 0, 0, 29},	//1477 Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    {65, 2357, 1, 1, Smoke::mf_static, 292, 30},	//1478 Plasma::FrameSvg::tr(const char*)
    {65, 2361, 1, 1, Smoke::mf_static, 292, 31},	//1479 Plasma::FrameSvg::trUtf8(const char*)
    {65, 189, 0, 0, Smoke::mf_ctor, 102, 32},	//1480 Plasma::FrameSvg::FrameSvg()
    {65, 1482, 619, 2, 0, 0, 33},	//1481 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    {65, 1482, 622, 1, 0, 0, 34},	//1482 Plasma::FrameSvg::paintFrame(QPainter*)
    {65, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 35},	//1483 Plasma::FrameSvg::staticMetaObject() const
    {65, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 36},	//1484 Plasma::FrameSvg::NoBorder (enum)
    {65, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 37},	//1485 Plasma::FrameSvg::TopBorder (enum)
    {65, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 38},	//1486 Plasma::FrameSvg::BottomBorder (enum)
    {65, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 39},	//1487 Plasma::FrameSvg::LeftBorder (enum)
    {65, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 40},	//1488 Plasma::FrameSvg::RightBorder (enum)
    {65, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 41},	//1489 Plasma::FrameSvg::AllBorders (enum)
    {65, 2491, 0, 0, Smoke::mf_dtor, 0, 42 },	//1490 Plasma::FrameSvg::~FrameSvg()
    {66, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1491 Plasma::GLApplet::metaObject() const
    {66, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1492 Plasma::GLApplet::qt_metacast(const char*)
    {66, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1493 Plasma::GLApplet::tr(const char*, const char*)
    {66, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1494 Plasma::GLApplet::trUtf8(const char*, const char*)
    {66, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1495 Plasma::GLApplet::tr(const char*, const char*, int)
    {66, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1496 Plasma::GLApplet::trUtf8(const char*, const char*, int)
    {66, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1497 Plasma::GLApplet::qt_metacall(QMetaObject::Call, int, void**)
    {66, 193, 624, 3, Smoke::mf_ctor, 104, 8},	//1498 Plasma::GLApplet::GLApplet(QGraphicsItem*, const QString&, int)
    {66, 193, 70, 2, Smoke::mf_ctor, 104, 9},	//1499 Plasma::GLApplet::GLApplet(QObject*, const QList<QVariant>&)
    {66, 752, 628, 2, 0, 506, 10},	//1500 Plasma::GLApplet::bindTexture(const QImage&, unsigned int)
    {66, 898, 36, 1, 0, 0, 11},	//1501 Plasma::GLApplet::deleteTexture(unsigned int)
    {66, 1486, 328, 2, Smoke::mf_virtual, 0, 12},	//1502 Plasma::GLApplet::paintGLInterface(QPainter*, const QStyleOptionGraphicsItem*)
    {66, 1377, 0, 0, 0, 0, 13},	//1503 Plasma::GLApplet::makeCurrent()
    {66, 2357, 1, 1, Smoke::mf_static, 292, 14},	//1504 Plasma::GLApplet::tr(const char*)
    {66, 2361, 1, 1, Smoke::mf_static, 292, 15},	//1505 Plasma::GLApplet::trUtf8(const char*)
    {66, 752, 631, 1, 0, 506, 16},	//1506 Plasma::GLApplet::bindTexture(const QImage&)
    {66, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 17},	//1507 Plasma::GLApplet::staticMetaObject() const
    {66, 2492, 0, 0, Smoke::mf_dtor, 0, 18 },	//1508 Plasma::GLApplet::~GLApplet()
    {67, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1509 Plasma::GroupBox::metaObject() const
    {67, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1510 Plasma::GroupBox::qt_metacast(const char*)
    {67, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1511 Plasma::GroupBox::tr(const char*, const char*)
    {67, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1512 Plasma::GroupBox::trUtf8(const char*, const char*)
    {67, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1513 Plasma::GroupBox::tr(const char*, const char*, int)
    {67, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1514 Plasma::GroupBox::trUtf8(const char*, const char*, int)
    {67, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1515 Plasma::GroupBox::qt_metacall(QMetaObject::Call, int, void**)
    {67, 198, 125, 1, Smoke::mf_ctor, 105, 8},	//1516 Plasma::GroupBox::GroupBox(QGraphicsWidget*)
    {67, 2133, 89, 1, Smoke::mf_property, 0, 9},	//1517 Plasma::GroupBox::setText(const QString&)
    {67, 2327, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 10},	//1518 Plasma::GroupBox::text() const
    {67, 2101, 89, 1, Smoke::mf_property, 0, 11},	//1519 Plasma::GroupBox::setStyleSheet(const QString&)
    {67, 2289, 0, 0, Smoke::mf_property, 292, 12},	//1520 Plasma::GroupBox::styleSheet()
    {67, 1439, 0, 0, Smoke::mf_const, 229, 13},	//1521 Plasma::GroupBox::nativeWidget() const
    {67, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1522 Plasma::GroupBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {67, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1523 Plasma::GroupBox::changeEvent(QEvent*)
    {67, 2357, 1, 1, Smoke::mf_static, 292, 16},	//1524 Plasma::GroupBox::tr(const char*)
    {67, 2361, 1, 1, Smoke::mf_static, 292, 17},	//1525 Plasma::GroupBox::trUtf8(const char*)
    {67, 198, 0, 0, Smoke::mf_ctor, 105, 18},	//1526 Plasma::GroupBox::GroupBox()
    {67, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 19},	//1527 Plasma::GroupBox::staticMetaObject() const
    {67, 2493, 0, 0, Smoke::mf_dtor, 0, 20 },	//1528 Plasma::GroupBox::~GroupBox()
    {68, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1529 Plasma::IconWidget::metaObject() const
    {68, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1530 Plasma::IconWidget::qt_metacast(const char*)
    {68, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1531 Plasma::IconWidget::tr(const char*, const char*)
    {68, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1532 Plasma::IconWidget::trUtf8(const char*, const char*)
    {68, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1533 Plasma::IconWidget::tr(const char*, const char*, int)
    {68, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1534 Plasma::IconWidget::trUtf8(const char*, const char*, int)
    {68, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1535 Plasma::IconWidget::qt_metacall(QMetaObject::Call, int, void**)
    {68, 211, 170, 1, Smoke::mf_ctor, 106, 8},	//1536 Plasma::IconWidget::IconWidget(QGraphicsItem*)
    {68, 211, 633, 2, Smoke::mf_ctor, 106, 9},	//1537 Plasma::IconWidget::IconWidget(const QString&, QGraphicsItem*)
    {68, 211, 636, 3, Smoke::mf_ctor, 106, 10},	//1538 Plasma::IconWidget::IconWidget(const QIcon&, const QString&, QGraphicsItem*)
    {68, 2327, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 11},	//1539 Plasma::IconWidget::text() const
    {68, 2133, 89, 1, Smoke::mf_property, 0, 12},	//1540 Plasma::IconWidget::setText(const QString&)
    {68, 2107, 77, 2, 0, 0, 13},	//1541 Plasma::IconWidget::setSvg(const QString&, const QString&)
    {68, 2299, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 14},	//1542 Plasma::IconWidget::svg() const
    {68, 1141, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 15},	//1543 Plasma::IconWidget::infoText() const
    {68, 1926, 89, 1, Smoke::mf_property, 0, 16},	//1544 Plasma::IconWidget::setInfoText(const QString&)
    {68, 1126, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 17},	//1545 Plasma::IconWidget::icon() const
    {68, 1909, 567, 1, Smoke::mf_property, 0, 18},	//1546 Plasma::IconWidget::setIcon(const QIcon&)
    {68, 2328, 0, 0, Smoke::mf_const|Smoke::mf_property, 188, 19},	//1547 Plasma::IconWidget::textBackgroundColor() const
    {68, 2135, 581, 1, Smoke::mf_property, 0, 20},	//1548 Plasma::IconWidget::setTextBackgroundColor(const QColor&)
    {68, 1909, 89, 1, 0, 0, 21},	//1549 Plasma::IconWidget::setIcon(const QString&)
    {68, 1127, 0, 0, Smoke::mf_const|Smoke::mf_property, 290, 22},	//1550 Plasma::IconWidget::iconSize() const
    {68, 2015, 603, 1, Smoke::mf_property, 0, 23},	//1551 Plasma::IconWidget::setPreferredIconSize(const QSizeF&)
    {68, 1522, 0, 0, Smoke::mf_const|Smoke::mf_property, 290, 24},	//1552 Plasma::IconWidget::preferredIconSize() const
    {68, 1963, 603, 1, Smoke::mf_property, 0, 25},	//1553 Plasma::IconWidget::setMinimumIconSize(const QSizeF&)
    {68, 1413, 0, 0, Smoke::mf_const|Smoke::mf_property, 290, 26},	//1554 Plasma::IconWidget::minimumIconSize() const
    {68, 1955, 603, 1, Smoke::mf_property, 0, 27},	//1555 Plasma::IconWidget::setMaximumIconSize(const QSizeF&)
    {68, 1398, 0, 0, Smoke::mf_const|Smoke::mf_property, 290, 28},	//1556 Plasma::IconWidget::maximumIconSize() const
    {68, 650, 107, 1, 0, 0, 29},	//1557 Plasma::IconWidget::addIconAction(QAction*)
    {68, 1591, 107, 1, 0, 0, 30},	//1558 Plasma::IconWidget::removeIconAction(QAction*)
    {68, 1709, 107, 1, 0, 0, 31},	//1559 Plasma::IconWidget::setAction(QAction*)
    {68, 608, 0, 0, Smoke::mf_const, 182, 32},	//1560 Plasma::IconWidget::action() const
    {68, 1986, 640, 1, Smoke::mf_property, 0, 33},	//1561 Plasma::IconWidget::setOrientation(Qt::Orientation)
    {68, 1463, 0, 0, Smoke::mf_const|Smoke::mf_property, 357, 34},	//1562 Plasma::IconWidget::orientation() const
    {68, 1168, 7, 1, 0, 0, 35},	//1563 Plasma::IconWidget::invertLayout(bool)
    {68, 1170, 0, 0, Smoke::mf_const, 406, 36},	//1564 Plasma::IconWidget::invertedLayout() const
    {68, 2249, 642, 1, Smoke::mf_const, 290, 37},	//1565 Plasma::IconWidget::sizeFromIconSize(const double) const
    {68, 1446, 0, 0, Smoke::mf_property, 499, 38},	//1566 Plasma::IconWidget::numDisplayLines()
    {68, 1980, 129, 1, Smoke::mf_property, 0, 39},	//1567 Plasma::IconWidget::setNumDisplayLines(int)
    {68, 1840, 7, 1, Smoke::mf_property, 0, 40},	//1568 Plasma::IconWidget::setDrawBackground(bool)
    {68, 938, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 41},	//1569 Plasma::IconWidget::drawBackground() const
    {68, 2214, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 275, 42},	//1570 Plasma::IconWidget::shape() const
    {68, 2019, 7, 1, Smoke::mf_slot, 0, 43},	//1571 Plasma::IconWidget::setPressed(bool)
    {68, 2161, 0, 0, Smoke::mf_slot, 0, 44},	//1572 Plasma::IconWidget::setUnpressed()
    {68, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1573 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {68, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 46},	//1574 Plasma::IconWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {68, 1527, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1575 Plasma::IconWidget::pressed(bool)
    {68, 777, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1576 Plasma::IconWidget::clicked()
    {68, 926, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1577 Plasma::IconWidget::doubleClicked()
    {68, 620, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//1578 Plasma::IconWidget::activated()
    {68, 763, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//1579 Plasma::IconWidget::changed()
    {68, 1181, 0, 0, Smoke::mf_protected, 406, 52},	//1580 Plasma::IconWidget::isDown()
    {68, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1581 Plasma::IconWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {68, 1419, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1582 Plasma::IconWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {68, 1423, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1583 Plasma::IconWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {68, 1417, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//1584 Plasma::IconWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {68, 1119, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1585 Plasma::IconWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {68, 1121, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1586 Plasma::IconWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {68, 1672, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 59},	//1587 Plasma::IconWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {68, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1588 Plasma::IconWidget::changeEvent(QEvent*)
    {68, 934, 644, 3, 0, 0, 61},	//1589 Plasma::IconWidget::drawActionButtonBase(QPainter*, const QSize&, int)
    {68, 2357, 1, 1, Smoke::mf_static, 292, 62},	//1590 Plasma::IconWidget::tr(const char*)
    {68, 2361, 1, 1, Smoke::mf_static, 292, 63},	//1591 Plasma::IconWidget::trUtf8(const char*)
    {68, 211, 0, 0, Smoke::mf_ctor, 106, 64},	//1592 Plasma::IconWidget::IconWidget()
    {68, 211, 89, 1, Smoke::mf_ctor, 106, 65},	//1593 Plasma::IconWidget::IconWidget(const QString&)
    {68, 211, 648, 2, Smoke::mf_ctor, 106, 66},	//1594 Plasma::IconWidget::IconWidget(const QIcon&, const QString&)
    {68, 2107, 89, 1, 0, 0, 67},	//1595 Plasma::IconWidget::setSvg(const QString&)
    {68, 2019, 0, 0, Smoke::mf_slot, 0, 68},	//1596 Plasma::IconWidget::setPressed()
    {68, 1471, 328, 2, Smoke::mf_protected, 0, 69},	//1597 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {68, 2251, 248, 1, Smoke::mf_const|Smoke::mf_protected, 290, 70},	//1598 Plasma::IconWidget::sizeHint(Qt::SizeHint) const
    {68, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 71},	//1599 Plasma::IconWidget::staticMetaObject() const
    {68, 2494, 0, 0, Smoke::mf_dtor, 0, 72 },	//1600 Plasma::IconWidget::~IconWidget()
    {69, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1601 Plasma::ItemBackground::metaObject() const
    {69, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1602 Plasma::ItemBackground::qt_metacast(const char*)
    {69, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1603 Plasma::ItemBackground::tr(const char*, const char*)
    {69, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1604 Plasma::ItemBackground::trUtf8(const char*, const char*)
    {69, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1605 Plasma::ItemBackground::tr(const char*, const char*, int)
    {69, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1606 Plasma::ItemBackground::trUtf8(const char*, const char*, int)
    {69, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1607 Plasma::ItemBackground::qt_metacall(QMetaObject::Call, int, void**)
    {69, 227, 125, 1, Smoke::mf_ctor, 109, 8},	//1608 Plasma::ItemBackground::ItemBackground(QGraphicsWidget*)
    {69, 2123, 651, 1, Smoke::mf_property, 0, 9},	//1609 Plasma::ItemBackground::setTarget(const QRectF&)
    {69, 2317, 0, 0, Smoke::mf_const|Smoke::mf_property, 282, 10},	//1610 Plasma::ItemBackground::target() const
    {69, 2125, 170, 1, Smoke::mf_property, 0, 11},	//1611 Plasma::ItemBackground::setTargetItem(QGraphicsItem*)
    {69, 2318, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 12},	//1612 Plasma::ItemBackground::targetItem() const
    {69, 1471, 216, 3, Smoke::mf_virtual, 0, 13},	//1613 Plasma::ItemBackground::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {69, 712, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1614 Plasma::ItemBackground::appearanceChanged()
    {69, 709, 653, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1615 Plasma::ItemBackground::animationStep(qreal)
    {69, 2321, 655, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1616 Plasma::ItemBackground::targetReached(QRectF)
    {69, 2319, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1617 Plasma::ItemBackground::targetItemReached(QGraphicsItem*)
    {69, 1230, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 303, 18},	//1618 Plasma::ItemBackground::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {69, 1005, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 19},	//1619 Plasma::ItemBackground::eventFilter(QObject*, QEvent*)
    {69, 1672, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 20},	//1620 Plasma::ItemBackground::sceneEventFilter(QGraphicsItem*, QEvent*)
    {69, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1621 Plasma::ItemBackground::resizeEvent(QGraphicsSceneResizeEvent*)
    {69, 2357, 1, 1, Smoke::mf_static, 292, 22},	//1622 Plasma::ItemBackground::tr(const char*)
    {69, 2361, 1, 1, Smoke::mf_static, 292, 23},	//1623 Plasma::ItemBackground::trUtf8(const char*)
    {69, 227, 0, 0, Smoke::mf_ctor, 109, 24},	//1624 Plasma::ItemBackground::ItemBackground()
    {69, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 25},	//1625 Plasma::ItemBackground::staticMetaObject() const
    {69, 2495, 0, 0, Smoke::mf_dtor, 0, 26 },	//1626 Plasma::ItemBackground::~ItemBackground()
    {70, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1627 Plasma::Label::metaObject() const
    {70, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1628 Plasma::Label::qt_metacast(const char*)
    {70, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1629 Plasma::Label::tr(const char*, const char*)
    {70, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1630 Plasma::Label::trUtf8(const char*, const char*)
    {70, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1631 Plasma::Label::tr(const char*, const char*, int)
    {70, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1632 Plasma::Label::trUtf8(const char*, const char*, int)
    {70, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1633 Plasma::Label::qt_metacall(QMetaObject::Call, int, void**)
    {70, 306, 125, 1, Smoke::mf_ctor, 112, 8},	//1634 Plasma::Label::Label(QGraphicsWidget*)
    {70, 2133, 89, 1, Smoke::mf_property, 0, 9},	//1635 Plasma::Label::setText(const QString&)
    {70, 2327, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 10},	//1636 Plasma::Label::text() const
    {70, 1916, 89, 1, Smoke::mf_property, 0, 11},	//1637 Plasma::Label::setImage(const QString&)
    {70, 1130, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 12},	//1638 Plasma::Label::image() const
    {70, 1713, 657, 1, 0, 0, 13},	//1639 Plasma::Label::setAlignment(QFlags<Qt::AlignmentFlag>)
    {70, 691, 0, 0, Smoke::mf_const, 206, 14},	//1640 Plasma::Label::alignment() const
    {70, 2055, 7, 1, Smoke::mf_property, 0, 15},	//1641 Plasma::Label::setScaledContents(bool)
    {70, 1103, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 16},	//1642 Plasma::Label::hasScaledContents() const
    {70, 2137, 7, 1, Smoke::mf_property, 0, 17},	//1643 Plasma::Label::setTextSelectable(bool)
    {70, 2333, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 18},	//1644 Plasma::Label::textSelectable() const
    {70, 2208, 7, 1, Smoke::mf_property, 0, 19},	//1645 Plasma::Label::setWordWrap(bool)
    {70, 2453, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 20},	//1646 Plasma::Label::wordWrap() const
    {70, 2101, 89, 1, Smoke::mf_property, 0, 21},	//1647 Plasma::Label::setStyleSheet(const QString&)
    {70, 2289, 0, 0, Smoke::mf_property, 292, 22},	//1648 Plasma::Label::styleSheet()
    {70, 1439, 0, 0, Smoke::mf_const, 240, 23},	//1649 Plasma::Label::nativeWidget() const
    {70, 1281, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1650 Plasma::Label::linkActivated(const QString&)
    {70, 1284, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1651 Plasma::Label::linkHovered(const QString&)
    {70, 892, 489, 2, Smoke::mf_slot, 0, 26},	//1652 Plasma::Label::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {70, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1653 Plasma::Label::resizeEvent(QGraphicsSceneResizeEvent*)
    {70, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1654 Plasma::Label::mousePressEvent(QGraphicsSceneMouseEvent*)
    {70, 1419, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1655 Plasma::Label::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {70, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1656 Plasma::Label::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {70, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1657 Plasma::Label::changeEvent(QEvent*)
    {70, 1003, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 32},	//1658 Plasma::Label::event(QEvent*)
    {70, 1230, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 303, 33},	//1659 Plasma::Label::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {70, 845, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1660 Plasma::Label::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {70, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 35},	//1661 Plasma::Label::sizeHint(Qt::SizeHint, const QSizeF&) const
    {70, 2357, 1, 1, Smoke::mf_static, 292, 36},	//1662 Plasma::Label::tr(const char*)
    {70, 2361, 1, 1, Smoke::mf_static, 292, 37},	//1663 Plasma::Label::trUtf8(const char*)
    {70, 306, 0, 0, Smoke::mf_ctor, 112, 38},	//1664 Plasma::Label::Label()
    {70, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 39},	//1665 Plasma::Label::staticMetaObject() const
    {70, 2496, 0, 0, Smoke::mf_dtor, 0, 40 },	//1666 Plasma::Label::~Label()
    {71, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1667 Plasma::LineEdit::metaObject() const
    {71, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1668 Plasma::LineEdit::qt_metacast(const char*)
    {71, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1669 Plasma::LineEdit::tr(const char*, const char*)
    {71, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1670 Plasma::LineEdit::trUtf8(const char*, const char*)
    {71, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1671 Plasma::LineEdit::tr(const char*, const char*, int)
    {71, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1672 Plasma::LineEdit::trUtf8(const char*, const char*, int)
    {71, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1673 Plasma::LineEdit::qt_metacall(QMetaObject::Call, int, void**)
    {71, 336, 125, 1, Smoke::mf_ctor, 113, 8},	//1674 Plasma::LineEdit::LineEdit(QGraphicsWidget*)
    {71, 2133, 89, 1, Smoke::mf_property, 0, 9},	//1675 Plasma::LineEdit::setText(const QString&)
    {71, 2327, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 10},	//1676 Plasma::LineEdit::text() const
    {71, 1767, 7, 1, Smoke::mf_property, 0, 11},	//1677 Plasma::LineEdit::setClearButtonShown(bool)
    {71, 1176, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 12},	//1678 Plasma::LineEdit::isClearButtonShown() const
    {71, 1769, 89, 1, Smoke::mf_property, 0, 13},	//1679 Plasma::LineEdit::setClickMessage(const QString&)
    {71, 776, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 14},	//1680 Plasma::LineEdit::clickMessage() const
    {71, 2101, 89, 1, Smoke::mf_property, 0, 15},	//1681 Plasma::LineEdit::setStyleSheet(const QString&)
    {71, 2289, 0, 0, Smoke::mf_property, 292, 16},	//1682 Plasma::LineEdit::styleSheet()
    {71, 1974, 659, 1, 0, 0, 17},	//1683 Plasma::LineEdit::setNativeWidget(KLineEdit*)
    {71, 1439, 0, 0, Smoke::mf_const, 13, 18},	//1684 Plasma::LineEdit::nativeWidget() const
    {71, 1119, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1685 Plasma::LineEdit::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {71, 1121, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1686 Plasma::LineEdit::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {71, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1687 Plasma::LineEdit::changeEvent(QEvent*)
    {71, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1688 Plasma::LineEdit::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {71, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1689 Plasma::LineEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {71, 1049, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1690 Plasma::LineEdit::focusInEvent(QFocusEvent*)
    {71, 1053, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1691 Plasma::LineEdit::focusOutEvent(QFocusEvent*)
    {71, 961, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1692 Plasma::LineEdit::editingFinished()
    {71, 1644, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1693 Plasma::LineEdit::returnPressed()
    {71, 2331, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1694 Plasma::LineEdit::textEdited(const QString&)
    {71, 2329, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1695 Plasma::LineEdit::textChanged(const QString&)
    {71, 1047, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1696 Plasma::LineEdit::focusChanged(bool)
    {71, 2357, 1, 1, Smoke::mf_static, 292, 31},	//1697 Plasma::LineEdit::tr(const char*)
    {71, 2361, 1, 1, Smoke::mf_static, 292, 32},	//1698 Plasma::LineEdit::trUtf8(const char*)
    {71, 336, 0, 0, Smoke::mf_ctor, 113, 33},	//1699 Plasma::LineEdit::LineEdit()
    {71, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 34},	//1700 Plasma::LineEdit::staticMetaObject() const
    {71, 2497, 0, 0, Smoke::mf_dtor, 0, 35 },	//1701 Plasma::LineEdit::~LineEdit()
    {72, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1702 Plasma::Meter::metaObject() const
    {72, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1703 Plasma::Meter::qt_metacast(const char*)
    {72, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1704 Plasma::Meter::tr(const char*, const char*)
    {72, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1705 Plasma::Meter::trUtf8(const char*, const char*)
    {72, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1706 Plasma::Meter::tr(const char*, const char*, int)
    {72, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1707 Plasma::Meter::trUtf8(const char*, const char*, int)
    {72, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1708 Plasma::Meter::qt_metacall(QMetaObject::Call, int, void**)
    {72, 347, 170, 1, Smoke::mf_ctor, 117, 8},	//1709 Plasma::Meter::Meter(QGraphicsItem*)
    {72, 1397, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 9},	//1710 Plasma::Meter::maximum() const
    {72, 1412, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 10},	//1711 Plasma::Meter::minimum() const
    {72, 2413, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 11},	//1712 Plasma::Meter::value() const
    {72, 2107, 89, 1, Smoke::mf_property, 0, 12},	//1713 Plasma::Meter::setSvg(const QString&)
    {72, 2299, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 13},	//1714 Plasma::Meter::svg() const
    {72, 1957, 661, 1, Smoke::mf_property, 0, 14},	//1715 Plasma::Meter::setMeterType(Plasma::Meter::MeterType)
    {72, 1404, 0, 0, Smoke::mf_const|Smoke::mf_property, 118, 15},	//1716 Plasma::Meter::meterType() const
    {72, 1934, 663, 2, 0, 0, 16},	//1717 Plasma::Meter::setLabel(int, const QString&)
    {72, 1257, 129, 1, Smoke::mf_const, 292, 17},	//1718 Plasma::Meter::label(int) const
    {72, 1939, 666, 2, 0, 0, 18},	//1719 Plasma::Meter::setLabelColor(int, const QColor&)
    {72, 1261, 129, 1, Smoke::mf_const, 188, 19},	//1720 Plasma::Meter::labelColor(int) const
    {72, 1941, 669, 2, 0, 0, 20},	//1721 Plasma::Meter::setLabelFont(int, const QFont&)
    {72, 1263, 129, 1, Smoke::mf_const, 210, 21},	//1722 Plasma::Meter::labelFont(int) const
    {72, 1937, 672, 2, 0, 0, 22},	//1723 Plasma::Meter::setLabelAlignment(int, const QFlags<Qt::AlignmentFlag>)
    {72, 1259, 129, 1, Smoke::mf_const, 206, 23},	//1724 Plasma::Meter::labelAlignment(int) const
    {72, 1265, 129, 1, Smoke::mf_const, 282, 24},	//1725 Plasma::Meter::labelRect(int) const
    {72, 892, 489, 2, Smoke::mf_slot, 0, 25},	//1726 Plasma::Meter::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {72, 1953, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 26},	//1727 Plasma::Meter::setMaximum(int)
    {72, 1961, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 27},	//1728 Plasma::Meter::setMinimum(int)
    {72, 2177, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 28},	//1729 Plasma::Meter::setValue(int)
    {72, 2414, 675, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1730 Plasma::Meter::valueChanged(const int&)
    {72, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1731 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {72, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 31},	//1732 Plasma::Meter::sizeHint(Qt::SizeHint, const QSizeF&) const
    {72, 2357, 1, 1, Smoke::mf_static, 292, 32},	//1733 Plasma::Meter::tr(const char*)
    {72, 2361, 1, 1, Smoke::mf_static, 292, 33},	//1734 Plasma::Meter::trUtf8(const char*)
    {72, 347, 0, 0, Smoke::mf_ctor, 117, 34},	//1735 Plasma::Meter::Meter()
    {72, 1471, 328, 2, Smoke::mf_protected, 0, 35},	//1736 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {72, 2251, 248, 1, Smoke::mf_const|Smoke::mf_protected, 290, 36},	//1737 Plasma::Meter::sizeHint(Qt::SizeHint) const
    {72, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 37},	//1738 Plasma::Meter::staticMetaObject() const
    {72, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 38},	//1739 Plasma::Meter::BarMeterHorizontal (enum)
    {72, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 39},	//1740 Plasma::Meter::BarMeterVertical (enum)
    {72, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 40},	//1741 Plasma::Meter::AnalogMeter (enum)
    {72, 2498, 0, 0, Smoke::mf_dtor, 0, 41 },	//1742 Plasma::Meter::~Meter()
    {73, 388, 0, 0, Smoke::mf_ctor, 120, 1},	//1743 Plasma::Package::Package()
    {73, 388, 677, 3, Smoke::mf_ctor, 120, 2},	//1744 Plasma::Package::Package(const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>)
    {73, 388, 681, 2, Smoke::mf_ctor, 120, 3},	//1745 Plasma::Package::Package(const QString&, KSharedPtr<Plasma::PackageStructure>)
    {73, 388, 684, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 120, 4},	//1746 Plasma::Package::Package(const Plasma::Package&)
    {73, 1459, 684, 1, 0, 119, 5},	//1747 Plasma::Package::operator=(const Plasma::Package&)
    {73, 1215, 0, 0, Smoke::mf_const, 406, 6},	//1748 Plasma::Package::isValid() const
    {73, 1023, 686, 2, Smoke::mf_const, 292, 7},	//1749 Plasma::Package::filePath(const char*, const QString&) const
    {73, 1023, 1, 1, Smoke::mf_const, 292, 8},	//1750 Plasma::Package::filePath(const char*) const
    {73, 1000, 1, 1, Smoke::mf_const, 293, 9},	//1751 Plasma::Package::entryList(const char*) const
    {73, 1403, 0, 0, Smoke::mf_const, 121, 10},	//1752 Plasma::Package::metadata() const
    {73, 1998, 89, 1, 0, 0, 11},	//1753 Plasma::Package::setPath(const QString&)
    {73, 1497, 0, 0, Smoke::mf_const, 478, 12},	//1754 Plasma::Package::path() const
    {73, 2287, 0, 0, Smoke::mf_const, 415, 13},	//1755 Plasma::Package::structure() const
    {73, 834, 0, 0, Smoke::mf_const, 292, 14},	//1756 Plasma::Package::contentsHash() const
    {73, 1317, 89, 1, Smoke::mf_static, 293, 15},	//1757 Plasma::Package::listInstalled(const QString&)
    {73, 1319, 89, 1, Smoke::mf_static, 293, 16},	//1758 Plasma::Package::listInstalledPaths(const QString&)
    {73, 1163, 358, 3, Smoke::mf_static, 406, 17},	//1759 Plasma::Package::installPackage(const QString&, const QString&, const QString&)
    {73, 2369, 358, 3, Smoke::mf_static, 406, 18},	//1760 Plasma::Package::uninstallPackage(const QString&, const QString&, const QString&)
    {73, 1556, 689, 2, Smoke::mf_static, 406, 19},	//1761 Plasma::Package::registerPackage(const Plasma::PackageMetadata&, const QString&)
    {73, 865, 692, 4, Smoke::mf_static, 406, 20},	//1762 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&, const QString&)
    {73, 865, 697, 3, Smoke::mf_static, 406, 21},	//1763 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&)
    {73, 2499, 0, 0, Smoke::mf_dtor, 0, 22 },	//1764 Plasma::Package::~Package()
    {74, 392, 89, 1, Smoke::mf_ctor, 123, 1},	//1765 Plasma::PackageMetadata::PackageMetadata(const QString&)
    {74, 392, 701, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 2},	//1766 Plasma::PackageMetadata::PackageMetadata(const Plasma::PackageMetadata&)
    {74, 1459, 701, 1, 0, 122, 3},	//1767 Plasma::PackageMetadata::operator=(const Plasma::PackageMetadata&)
    {74, 1215, 0, 0, Smoke::mf_const, 406, 4},	//1768 Plasma::PackageMetadata::isValid() const
    {74, 2454, 89, 1, Smoke::mf_const, 0, 5},	//1769 Plasma::PackageMetadata::write(const QString&) const
    {74, 1544, 89, 1, 0, 0, 6},	//1770 Plasma::PackageMetadata::read(const QString&)
    {74, 1437, 0, 0, Smoke::mf_const, 292, 7},	//1771 Plasma::PackageMetadata::name() const
    {74, 900, 0, 0, Smoke::mf_const, 292, 8},	//1772 Plasma::PackageMetadata::description() const
    {74, 1253, 0, 0, Smoke::mf_const, 293, 9},	//1773 Plasma::PackageMetadata::keywords() const
    {74, 1708, 0, 0, Smoke::mf_const, 292, 10},	//1774 Plasma::PackageMetadata::serviceType() const
    {74, 736, 0, 0, Smoke::mf_const, 292, 11},	//1775 Plasma::PackageMetadata::author() const
    {74, 983, 0, 0, Smoke::mf_const, 292, 12},	//1776 Plasma::PackageMetadata::email() const
    {74, 2416, 0, 0, Smoke::mf_const, 292, 13},	//1777 Plasma::PackageMetadata::version() const
    {74, 2441, 0, 0, Smoke::mf_const, 292, 14},	//1778 Plasma::PackageMetadata::website() const
    {74, 1280, 0, 0, Smoke::mf_const, 292, 15},	//1779 Plasma::PackageMetadata::license() const
    {74, 726, 0, 0, Smoke::mf_const, 292, 16},	//1780 Plasma::PackageMetadata::application() const
    {74, 758, 0, 0, Smoke::mf_const, 292, 17},	//1781 Plasma::PackageMetadata::category() const
    {74, 1629, 0, 0, Smoke::mf_const, 292, 18},	//1782 Plasma::PackageMetadata::requiredVersion() const
    {74, 1509, 0, 0, Smoke::mf_const, 292, 19},	//1783 Plasma::PackageMetadata::pluginName() const
    {74, 1136, 0, 0, Smoke::mf_const, 292, 20},	//1784 Plasma::PackageMetadata::implementationApi() const
    {74, 1577, 0, 0, Smoke::mf_const, 28, 21},	//1785 Plasma::PackageMetadata::remoteLocation() const
    {74, 1626, 0, 0, Smoke::mf_const, 293, 22},	//1786 Plasma::PackageMetadata::requiredDataEngines() const
    {74, 2366, 0, 0, Smoke::mf_const, 292, 23},	//1787 Plasma::PackageMetadata::type() const
    {74, 1972, 89, 1, 0, 0, 24},	//1788 Plasma::PackageMetadata::setName(const QString&)
    {74, 1830, 89, 1, 0, 0, 25},	//1789 Plasma::PackageMetadata::setDescription(const QString&)
    {74, 1126, 0, 0, Smoke::mf_const, 292, 26},	//1790 Plasma::PackageMetadata::icon() const
    {74, 1909, 89, 1, 0, 0, 27},	//1791 Plasma::PackageMetadata::setIcon(const QString&)
    {74, 1932, 200, 1, 0, 0, 28},	//1792 Plasma::PackageMetadata::setKeywords(const QStringList&)
    {74, 2068, 89, 1, 0, 0, 29},	//1793 Plasma::PackageMetadata::setServiceType(const QString&)
    {74, 1733, 89, 1, 0, 0, 30},	//1794 Plasma::PackageMetadata::setAuthor(const QString&)
    {74, 1853, 89, 1, 0, 0, 31},	//1795 Plasma::PackageMetadata::setEmail(const QString&)
    {74, 2179, 89, 1, 0, 0, 32},	//1796 Plasma::PackageMetadata::setVersion(const QString&)
    {74, 2200, 89, 1, 0, 0, 33},	//1797 Plasma::PackageMetadata::setWebsite(const QString&)
    {74, 1945, 89, 1, 0, 0, 34},	//1798 Plasma::PackageMetadata::setLicense(const QString&)
    {74, 1725, 89, 1, 0, 0, 35},	//1799 Plasma::PackageMetadata::setApplication(const QString&)
    {74, 1761, 89, 1, 0, 0, 36},	//1800 Plasma::PackageMetadata::setCategory(const QString&)
    {74, 2043, 89, 1, 0, 0, 37},	//1801 Plasma::PackageMetadata::setRequiredVersion(const QString&)
    {74, 2035, 119, 1, 0, 0, 38},	//1802 Plasma::PackageMetadata::setRemoteLocation(const KUrl&)
    {74, 2157, 89, 1, 0, 0, 39},	//1803 Plasma::PackageMetadata::setType(const QString&)
    {74, 2004, 89, 1, 0, 0, 40},	//1804 Plasma::PackageMetadata::setPluginName(const QString&)
    {74, 1924, 89, 1, 0, 0, 41},	//1805 Plasma::PackageMetadata::setImplementationApi(const QString&)
    {74, 2041, 200, 1, 0, 0, 42},	//1806 Plasma::PackageMetadata::setRequiredDataEngines(const QStringList&)
    {74, 392, 0, 0, Smoke::mf_ctor, 123, 43},	//1807 Plasma::PackageMetadata::PackageMetadata()
    {74, 2500, 0, 0, Smoke::mf_dtor, 0, 44 },	//1808 Plasma::PackageMetadata::~PackageMetadata()
    {75, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1809 Plasma::PackageStructure::metaObject() const
    {75, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1810 Plasma::PackageStructure::qt_metacast(const char*)
    {75, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1811 Plasma::PackageStructure::tr(const char*, const char*)
    {75, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1812 Plasma::PackageStructure::trUtf8(const char*, const char*)
    {75, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1813 Plasma::PackageStructure::tr(const char*, const char*, int)
    {75, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1814 Plasma::PackageStructure::trUtf8(const char*, const char*, int)
    {75, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1815 Plasma::PackageStructure::qt_metacall(QMetaObject::Call, int, void**)
    {75, 395, 64, 2, Smoke::mf_ctor, 125, 8},	//1816 Plasma::PackageStructure::PackageStructure(QObject*, const QString&)
    {75, 1459, 703, 1, 0, 124, 9},	//1817 Plasma::PackageStructure::operator=(const Plasma::PackageStructure&)
    {75, 1332, 89, 1, Smoke::mf_static, 20, 10},	//1818 Plasma::PackageStructure::load(const QString&)
    {75, 2366, 0, 0, Smoke::mf_const, 292, 11},	//1819 Plasma::PackageStructure::type() const
    {75, 913, 0, 0, Smoke::mf_const, 259, 12},	//1820 Plasma::PackageStructure::directories() const
    {75, 1627, 0, 0, Smoke::mf_const, 259, 13},	//1821 Plasma::PackageStructure::requiredDirectories() const
    {75, 1026, 0, 0, Smoke::mf_const, 259, 14},	//1822 Plasma::PackageStructure::files() const
    {75, 1628, 0, 0, Smoke::mf_const, 259, 15},	//1823 Plasma::PackageStructure::requiredFiles() const
    {75, 644, 705, 3, 0, 0, 16},	//1824 Plasma::PackageStructure::addDirectoryDefinition(const char*, const QString&, const QString&)
    {75, 648, 705, 3, 0, 0, 17},	//1825 Plasma::PackageStructure::addFileDefinition(const char*, const QString&, const QString&)
    {75, 1589, 1, 1, 0, 0, 18},	//1826 Plasma::PackageStructure::removeDefinition(const char*)
    {75, 1497, 1, 1, Smoke::mf_const, 292, 19},	//1827 Plasma::PackageStructure::path(const char*) const
    {75, 1691, 1, 1, Smoke::mf_const, 293, 20},	//1828 Plasma::PackageStructure::searchPath(const char*) const
    {75, 1000, 1, 1, 0, 293, 21},	//1829 Plasma::PackageStructure::entryList(const char*)
    {75, 1437, 1, 1, Smoke::mf_const, 292, 22},	//1830 Plasma::PackageStructure::name(const char*) const
    {75, 2039, 709, 2, 0, 0, 23},	//1831 Plasma::PackageStructure::setRequired(const char*, bool)
    {75, 1202, 1, 1, Smoke::mf_const, 406, 24},	//1832 Plasma::PackageStructure::isRequired(const char*) const
    {75, 1821, 712, 1, 0, 0, 25},	//1833 Plasma::PackageStructure::setDefaultMimetypes(QStringList)
    {75, 1959, 714, 2, 0, 0, 26},	//1834 Plasma::PackageStructure::setMimetypes(const char*, QStringList)
    {75, 1410, 1, 1, Smoke::mf_const, 293, 27},	//1835 Plasma::PackageStructure::mimetypes(const char*) const
    {75, 1998, 89, 1, 0, 0, 28},	//1836 Plasma::PackageStructure::setPath(const QString&)
    {75, 1497, 0, 0, Smoke::mf_const, 292, 29},	//1837 Plasma::PackageStructure::path() const
    {75, 1544, 717, 1, 0, 0, 30},	//1838 Plasma::PackageStructure::read(const KConfigBase*)
    {75, 2454, 719, 1, Smoke::mf_const, 0, 31},	//1839 Plasma::PackageStructure::write(KConfigBase*) const
    {75, 1163, 77, 2, Smoke::mf_virtual, 406, 32},	//1840 Plasma::PackageStructure::installPackage(const QString&, const QString&)
    {75, 2369, 77, 2, Smoke::mf_virtual, 406, 33},	//1841 Plasma::PackageStructure::uninstallPackage(const QString&, const QString&)
    {75, 863, 57, 1, Smoke::mf_virtual, 0, 34},	//1842 Plasma::PackageStructure::createNewWidgetBrowser(QWidget*)
    {75, 835, 0, 0, Smoke::mf_const, 292, 35},	//1843 Plasma::PackageStructure::contentsPrefix() const
    {75, 836, 0, 0, Smoke::mf_const, 293, 36},	//1844 Plasma::PackageStructure::contentsPrefixPaths() const
    {75, 895, 0, 0, Smoke::mf_const, 292, 37},	//1845 Plasma::PackageStructure::defaultPackageRoot() const
    {75, 1702, 0, 0, Smoke::mf_const, 292, 38},	//1846 Plasma::PackageStructure::servicePrefix() const
    {75, 2066, 89, 1, 0, 0, 39},	//1847 Plasma::PackageStructure::setServicePrefix(const QString&)
    {75, 1403, 0, 0, Smoke::mf_virtual, 121, 40},	//1848 Plasma::PackageStructure::metadata()
    {75, 692, 0, 0, Smoke::mf_const, 406, 41},	//1849 Plasma::PackageStructure::allowExternalPaths() const
    {75, 1444, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1850 Plasma::PackageStructure::newWidgetBrowserFinished()
    {75, 1715, 7, 1, Smoke::mf_protected, 0, 43},	//1851 Plasma::PackageStructure::setAllowExternalPaths(bool)
    {75, 1792, 89, 1, Smoke::mf_protected, 0, 44},	//1852 Plasma::PackageStructure::setContentsPrefix(const QString&)
    {75, 1794, 200, 1, Smoke::mf_protected, 0, 45},	//1853 Plasma::PackageStructure::setContentsPrefixPaths(const QStringList&)
    {75, 1823, 89, 1, Smoke::mf_protected, 0, 46},	//1854 Plasma::PackageStructure::setDefaultPackageRoot(const QString&)
    {75, 1499, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//1855 Plasma::PackageStructure::pathChanged()
    {75, 2357, 1, 1, Smoke::mf_static, 292, 48},	//1856 Plasma::PackageStructure::tr(const char*)
    {75, 2361, 1, 1, Smoke::mf_static, 292, 49},	//1857 Plasma::PackageStructure::trUtf8(const char*)
    {75, 395, 0, 0, Smoke::mf_ctor, 125, 50},	//1858 Plasma::PackageStructure::PackageStructure()
    {75, 395, 97, 1, Smoke::mf_ctor, 125, 51},	//1859 Plasma::PackageStructure::PackageStructure(QObject*)
    {75, 863, 0, 0, 0, 0, 52},	//1860 Plasma::PackageStructure::createNewWidgetBrowser()
    {75, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 53},	//1861 Plasma::PackageStructure::staticMetaObject() const
    {75, 2501, 0, 0, Smoke::mf_dtor, 0, 54 },	//1862 Plasma::PackageStructure::~PackageStructure()
    {76, 413, 0, 0, Smoke::mf_ctor, 126, 1},	//1863 Plasma::PlotColor::PlotColor()
    {76, 413, 721, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 2},	//1864 Plasma::PlotColor::PlotColor(const Plasma::PlotColor&)
    {76, 786, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 189, 3},	//1865 Plasma::PlotColor::color() const
    {76, 1775, 581, 1, Smoke::mf_attribute, 0, 4},	//1866 Plasma::PlotColor::setColor(const QColor&)
    {76, 888, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 189, 5},	//1867 Plasma::PlotColor::darkColor() const
    {76, 1810, 581, 1, Smoke::mf_attribute, 0, 6},	//1868 Plasma::PlotColor::setDarkColor(const QColor&)
    {76, 2502, 0, 0, Smoke::mf_dtor, 0, 7 },	//1869 Plasma::PlotColor::~PlotColor()
    {77, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1870 Plasma::PopupApplet::metaObject() const
    {77, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1871 Plasma::PopupApplet::qt_metacast(const char*)
    {77, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1872 Plasma::PopupApplet::tr(const char*, const char*)
    {77, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1873 Plasma::PopupApplet::trUtf8(const char*, const char*)
    {77, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1874 Plasma::PopupApplet::tr(const char*, const char*, int)
    {77, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1875 Plasma::PopupApplet::trUtf8(const char*, const char*, int)
    {77, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1876 Plasma::PopupApplet::qt_metacall(QMetaObject::Call, int, void**)
    {77, 415, 70, 2, Smoke::mf_ctor, 127, 8},	//1877 Plasma::PopupApplet::PopupApplet(QObject*, const QList<QVariant>&)
    {77, 2012, 567, 1, 0, 0, 9},	//1878 Plasma::PopupApplet::setPopupIcon(const QIcon&)
    {77, 2012, 89, 1, 0, 0, 10},	//1879 Plasma::PopupApplet::setPopupIcon(const QString&)
    {77, 1515, 0, 0, Smoke::mf_const, 235, 11},	//1880 Plasma::PopupApplet::popupIcon() const
    {77, 2444, 0, 0, Smoke::mf_virtual, 308, 12},	//1881 Plasma::PopupApplet::widget()
    {77, 2202, 57, 1, 0, 0, 13},	//1882 Plasma::PopupApplet::setWidget(QWidget*)
    {77, 1084, 0, 0, Smoke::mf_virtual, 228, 14},	//1883 Plasma::PopupApplet::graphicsWidget()
    {77, 1883, 125, 1, 0, 0, 15},	//1884 Plasma::PopupApplet::setGraphicsWidget(QGraphicsWidget*)
    {77, 1516, 0, 0, Smoke::mf_const, 128, 16},	//1885 Plasma::PopupApplet::popupPlacement() const
    {77, 2010, 723, 1, Smoke::mf_property, 0, 17},	//1886 Plasma::PopupApplet::setPopupAlignment(Qt::AlignmentFlag)
    {77, 1512, 0, 0, Smoke::mf_const|Smoke::mf_property, 309, 18},	//1887 Plasma::PopupApplet::popupAlignment() const
    {77, 1996, 7, 1, 0, 0, 19},	//1888 Plasma::PopupApplet::setPassivePopup(bool)
    {77, 1193, 0, 0, Smoke::mf_const, 406, 20},	//1889 Plasma::PopupApplet::isPassivePopup() const
    {77, 1196, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 21},	//1890 Plasma::PopupApplet::isPopupShowing() const
    {77, 1186, 0, 0, Smoke::mf_const, 406, 22},	//1891 Plasma::PopupApplet::isIconified() const
    {77, 1112, 0, 0, Smoke::mf_slot, 0, 23},	//1892 Plasma::PopupApplet::hidePopup()
    {77, 2236, 725, 1, Smoke::mf_slot, 0, 24},	//1893 Plasma::PopupApplet::showPopup(uint)
    {77, 2345, 0, 0, Smoke::mf_slot, 0, 25},	//1894 Plasma::PopupApplet::togglePopup()
    {77, 1513, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1895 Plasma::PopupApplet::popupEvent(bool)
    {77, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 27},	//1896 Plasma::PopupApplet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {77, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1897 Plasma::PopupApplet::mousePressEvent(QGraphicsSceneMouseEvent*)
    {77, 1423, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1898 Plasma::PopupApplet::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {77, 1005, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 30},	//1899 Plasma::PopupApplet::eventFilter(QObject*, QEvent*)
    {77, 927, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1900 Plasma::PopupApplet::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {77, 929, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1901 Plasma::PopupApplet::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {77, 957, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1902 Plasma::PopupApplet::dropEvent(QGraphicsSceneDragDropEvent*)
    {77, 2342, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1903 Plasma::PopupApplet::timerEvent(QTimerEvent*)
    {77, 2357, 1, 1, Smoke::mf_static, 292, 35},	//1904 Plasma::PopupApplet::tr(const char*)
    {77, 2361, 1, 1, Smoke::mf_static, 292, 36},	//1905 Plasma::PopupApplet::trUtf8(const char*)
    {77, 2236, 0, 0, Smoke::mf_slot, 0, 37},	//1906 Plasma::PopupApplet::showPopup()
    {77, 2251, 248, 1, Smoke::mf_const|Smoke::mf_protected, 290, 38},	//1907 Plasma::PopupApplet::sizeHint(Qt::SizeHint) const
    {77, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 39},	//1908 Plasma::PopupApplet::staticMetaObject() const
    {77, 2503, 0, 0, Smoke::mf_dtor, 0, 40 },	//1909 Plasma::PopupApplet::~PopupApplet()
    {78, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1910 Plasma::PushButton::metaObject() const
    {78, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1911 Plasma::PushButton::qt_metacast(const char*)
    {78, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1912 Plasma::PushButton::tr(const char*, const char*)
    {78, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1913 Plasma::PushButton::trUtf8(const char*, const char*)
    {78, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1914 Plasma::PushButton::tr(const char*, const char*, int)
    {78, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1915 Plasma::PushButton::trUtf8(const char*, const char*, int)
    {78, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1916 Plasma::PushButton::qt_metacall(QMetaObject::Call, int, void**)
    {78, 422, 125, 1, Smoke::mf_ctor, 130, 8},	//1917 Plasma::PushButton::PushButton(QGraphicsWidget*)
    {78, 2133, 89, 1, Smoke::mf_property, 0, 9},	//1918 Plasma::PushButton::setText(const QString&)
    {78, 2327, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 10},	//1919 Plasma::PushButton::text() const
    {78, 1916, 89, 1, Smoke::mf_property, 0, 11},	//1920 Plasma::PushButton::setImage(const QString&)
    {78, 1916, 77, 2, 0, 0, 12},	//1921 Plasma::PushButton::setImage(const QString&, const QString&)
    {78, 1130, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 13},	//1922 Plasma::PushButton::image() const
    {78, 2101, 89, 1, Smoke::mf_property, 0, 14},	//1923 Plasma::PushButton::setStyleSheet(const QString&)
    {78, 2289, 0, 0, Smoke::mf_property, 292, 15},	//1924 Plasma::PushButton::styleSheet()
    {78, 1709, 107, 1, 0, 0, 16},	//1925 Plasma::PushButton::setAction(QAction*)
    {78, 608, 0, 0, Smoke::mf_const, 182, 17},	//1926 Plasma::PushButton::action() const
    {78, 1909, 567, 1, Smoke::mf_property, 0, 18},	//1927 Plasma::PushButton::setIcon(const QIcon&)
    {78, 1909, 727, 1, 0, 0, 19},	//1928 Plasma::PushButton::setIcon(const KIcon&)
    {78, 1126, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 20},	//1929 Plasma::PushButton::icon() const
    {78, 1763, 7, 1, Smoke::mf_property, 0, 21},	//1930 Plasma::PushButton::setCheckable(bool)
    {78, 1174, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 22},	//1931 Plasma::PushButton::isCheckable() const
    {78, 1175, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 23},	//1932 Plasma::PushButton::isChecked() const
    {78, 1181, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 24},	//1933 Plasma::PushButton::isDown() const
    {78, 1439, 0, 0, Smoke::mf_const, 16, 25},	//1934 Plasma::PushButton::nativeWidget() const
    {78, 1527, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1935 Plasma::PushButton::pressed()
    {78, 1567, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1936 Plasma::PushButton::released()
    {78, 777, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1937 Plasma::PushButton::clicked()
    {78, 2346, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1938 Plasma::PushButton::toggled(bool)
    {78, 775, 0, 0, Smoke::mf_slot, 0, 30},	//1939 Plasma::PushButton::click()
    {78, 1765, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 31},	//1940 Plasma::PushButton::setChecked(bool)
    {78, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1941 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {78, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1942 Plasma::PushButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {78, 1119, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1943 Plasma::PushButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {78, 1121, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1944 Plasma::PushButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {78, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//1945 Plasma::PushButton::changeEvent(QEvent*)
    {78, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 37},	//1946 Plasma::PushButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {78, 2357, 1, 1, Smoke::mf_static, 292, 38},	//1947 Plasma::PushButton::tr(const char*)
    {78, 2361, 1, 1, Smoke::mf_static, 292, 39},	//1948 Plasma::PushButton::trUtf8(const char*)
    {78, 422, 0, 0, Smoke::mf_ctor, 130, 40},	//1949 Plasma::PushButton::PushButton()
    {78, 1471, 328, 2, Smoke::mf_protected, 0, 41},	//1950 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {78, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 42},	//1951 Plasma::PushButton::staticMetaObject() const
    {78, 2504, 0, 0, Smoke::mf_dtor, 0, 43 },	//1952 Plasma::PushButton::~PushButton()
    {79, 434, 729, 1, Smoke::mf_ctor, 133, 1},	//1953 Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    {79, 434, 80, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 133, 2},	//1954 Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    {79, 1459, 80, 1, 0, 132, 3},	//1955 Plasma::QueryMatch::operator=(const Plasma::QueryMatch&)
    {79, 1461, 80, 1, Smoke::mf_const, 406, 4},	//1956 Plasma::QueryMatch::operator==(const Plasma::QueryMatch&) const
    {79, 1455, 80, 1, Smoke::mf_const, 406, 5},	//1957 Plasma::QueryMatch::operator!=(const Plasma::QueryMatch&) const
    {79, 1457, 80, 1, Smoke::mf_const, 406, 6},	//1958 Plasma::QueryMatch::operator<(const Plasma::QueryMatch&) const
    {79, 1653, 0, 0, Smoke::mf_const, 34, 7},	//1959 Plasma::QueryMatch::runner() const
    {79, 1215, 0, 0, Smoke::mf_const, 406, 8},	//1960 Plasma::QueryMatch::isValid() const
    {79, 2157, 731, 1, 0, 0, 9},	//1961 Plasma::QueryMatch::setType(Plasma::QueryMatch::Type)
    {79, 2366, 0, 0, Smoke::mf_const, 134, 10},	//1962 Plasma::QueryMatch::type() const
    {79, 2033, 733, 1, 0, 0, 11},	//1963 Plasma::QueryMatch::setRelevance(double)
    {79, 1568, 0, 0, Smoke::mf_const, 496, 12},	//1964 Plasma::QueryMatch::relevance() const
    {79, 1648, 735, 1, Smoke::mf_const, 0, 13},	//1965 Plasma::QueryMatch::run(const Plasma::RunnerContext&) const
    {79, 1812, 737, 1, 0, 0, 14},	//1966 Plasma::QueryMatch::setData(const QVariant&)
    {79, 889, 0, 0, Smoke::mf_const, 303, 15},	//1967 Plasma::QueryMatch::data() const
    {79, 1912, 89, 1, 0, 0, 16},	//1968 Plasma::QueryMatch::setId(const QString&)
    {79, 1128, 0, 0, Smoke::mf_const, 292, 17},	//1969 Plasma::QueryMatch::id() const
    {79, 2133, 89, 1, 0, 0, 18},	//1970 Plasma::QueryMatch::setText(const QString&)
    {79, 2327, 0, 0, Smoke::mf_const, 292, 19},	//1971 Plasma::QueryMatch::text() const
    {79, 2105, 89, 1, 0, 0, 20},	//1972 Plasma::QueryMatch::setSubtext(const QString&)
    {79, 2292, 0, 0, Smoke::mf_const, 292, 21},	//1973 Plasma::QueryMatch::subtext() const
    {79, 1909, 567, 1, 0, 0, 22},	//1974 Plasma::QueryMatch::setIcon(const QIcon&)
    {79, 1126, 0, 0, Smoke::mf_const, 235, 23},	//1975 Plasma::QueryMatch::icon() const
    {79, 1857, 7, 1, 0, 0, 24},	//1976 Plasma::QueryMatch::setEnabled(bool)
    {79, 1183, 0, 0, Smoke::mf_const, 406, 25},	//1977 Plasma::QueryMatch::isEnabled() const
    {79, 1696, 0, 0, Smoke::mf_const, 182, 26},	//1978 Plasma::QueryMatch::selectedAction() const
    {79, 2064, 107, 1, 0, 0, 27},	//1979 Plasma::QueryMatch::setSelectedAction(QAction*)
    {79, 1091, 0, 0, Smoke::mf_const, 406, 28},	//1980 Plasma::QueryMatch::hasConfigurationInterface() const
    {79, 856, 57, 1, 0, 0, 29},	//1981 Plasma::QueryMatch::createConfigurationInterface(QWidget*)
    {79, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 30},	//1982 Plasma::QueryMatch::NoMatch (enum)
    {79, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 31},	//1983 Plasma::QueryMatch::CompletionMatch (enum)
    {79, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 32},	//1984 Plasma::QueryMatch::PossibleMatch (enum)
    {79, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 33},	//1985 Plasma::QueryMatch::InformationalMatch (enum)
    {79, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 34},	//1986 Plasma::QueryMatch::HelperMatch (enum)
    {79, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 35},	//1987 Plasma::QueryMatch::ExactMatch (enum)
    {79, 2505, 0, 0, Smoke::mf_dtor, 0, 36 },	//1988 Plasma::QueryMatch::~QueryMatch()
    {80, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1989 Plasma::RadioButton::metaObject() const
    {80, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//1990 Plasma::RadioButton::qt_metacast(const char*)
    {80, 2357, 43, 2, Smoke::mf_static, 292, 3},	//1991 Plasma::RadioButton::tr(const char*, const char*)
    {80, 2361, 43, 2, Smoke::mf_static, 292, 4},	//1992 Plasma::RadioButton::trUtf8(const char*, const char*)
    {80, 2357, 46, 3, Smoke::mf_static, 292, 5},	//1993 Plasma::RadioButton::tr(const char*, const char*, int)
    {80, 2361, 46, 3, Smoke::mf_static, 292, 6},	//1994 Plasma::RadioButton::trUtf8(const char*, const char*, int)
    {80, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//1995 Plasma::RadioButton::qt_metacall(QMetaObject::Call, int, void**)
    {80, 437, 125, 1, Smoke::mf_ctor, 135, 8},	//1996 Plasma::RadioButton::RadioButton(QGraphicsWidget*)
    {80, 2133, 89, 1, Smoke::mf_property, 0, 9},	//1997 Plasma::RadioButton::setText(const QString&)
    {80, 2327, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 10},	//1998 Plasma::RadioButton::text() const
    {80, 1916, 89, 1, Smoke::mf_property, 0, 11},	//1999 Plasma::RadioButton::setImage(const QString&)
    {80, 1130, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 12},	//2000 Plasma::RadioButton::image() const
    {80, 2101, 89, 1, Smoke::mf_property, 0, 13},	//2001 Plasma::RadioButton::setStyleSheet(const QString&)
    {80, 2289, 0, 0, Smoke::mf_property, 292, 14},	//2002 Plasma::RadioButton::styleSheet()
    {80, 1439, 0, 0, Smoke::mf_const, 280, 15},	//2003 Plasma::RadioButton::nativeWidget() const
    {80, 1765, 7, 1, Smoke::mf_property, 0, 16},	//2004 Plasma::RadioButton::setChecked(bool)
    {80, 1175, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 17},	//2005 Plasma::RadioButton::isChecked() const
    {80, 2346, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2006 Plasma::RadioButton::toggled(bool)
    {80, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2007 Plasma::RadioButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {80, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2008 Plasma::RadioButton::changeEvent(QEvent*)
    {80, 2357, 1, 1, Smoke::mf_static, 292, 21},	//2009 Plasma::RadioButton::tr(const char*)
    {80, 2361, 1, 1, Smoke::mf_static, 292, 22},	//2010 Plasma::RadioButton::trUtf8(const char*)
    {80, 437, 0, 0, Smoke::mf_ctor, 135, 23},	//2011 Plasma::RadioButton::RadioButton()
    {80, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 24},	//2012 Plasma::RadioButton::staticMetaObject() const
    {80, 2506, 0, 0, Smoke::mf_dtor, 0, 25 },	//2013 Plasma::RadioButton::~RadioButton()
    {81, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2014 Plasma::RunnerContext::metaObject() const
    {81, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2015 Plasma::RunnerContext::qt_metacast(const char*)
    {81, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2016 Plasma::RunnerContext::tr(const char*, const char*)
    {81, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2017 Plasma::RunnerContext::trUtf8(const char*, const char*)
    {81, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2018 Plasma::RunnerContext::tr(const char*, const char*, int)
    {81, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2019 Plasma::RunnerContext::trUtf8(const char*, const char*, int)
    {81, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2020 Plasma::RunnerContext::qt_metacall(QMetaObject::Call, int, void**)
    {81, 452, 97, 1, Smoke::mf_ctor, 137, 8},	//2021 Plasma::RunnerContext::RunnerContext(QObject*)
    {81, 452, 739, 2, Smoke::mf_ctor, 137, 9},	//2022 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&, QObject*)
    {81, 1459, 735, 1, 0, 136, 10},	//2023 Plasma::RunnerContext::operator=(const Plasma::RunnerContext&)
    {81, 1630, 0, 0, 0, 0, 11},	//2024 Plasma::RunnerContext::reset()
    {81, 2027, 89, 1, 0, 0, 12},	//2025 Plasma::RunnerContext::setQuery(const QString&)
    {81, 1540, 0, 0, Smoke::mf_const, 292, 13},	//2026 Plasma::RunnerContext::query() const
    {81, 2366, 0, 0, Smoke::mf_const, 138, 14},	//2027 Plasma::RunnerContext::type() const
    {81, 1409, 0, 0, Smoke::mf_const, 292, 15},	//2028 Plasma::RunnerContext::mimeType() const
    {81, 1215, 0, 0, Smoke::mf_const, 406, 16},	//2029 Plasma::RunnerContext::isValid() const
    {81, 656, 742, 2, 0, 406, 17},	//2030 Plasma::RunnerContext::addMatches(const QString&, const QList<Plasma::QueryMatch>&)
    {81, 654, 745, 2, 0, 406, 18},	//2031 Plasma::RunnerContext::addMatch(const QString&, const Plasma::QueryMatch&)
    {81, 1593, 748, 1, 0, 406, 19},	//2032 Plasma::RunnerContext::removeMatch(const QString)
    {81, 1595, 750, 1, 0, 406, 20},	//2033 Plasma::RunnerContext::removeMatches(const QStringList)
    {81, 1391, 0, 0, Smoke::mf_const, 252, 21},	//2034 Plasma::RunnerContext::matches() const
    {81, 1387, 89, 1, Smoke::mf_const, 131, 22},	//2035 Plasma::RunnerContext::match(const QString&) const
    {81, 2084, 7, 1, 0, 0, 23},	//2036 Plasma::RunnerContext::setSingleRunnerQueryMode(bool)
    {81, 2245, 0, 0, Smoke::mf_const, 406, 24},	//2037 Plasma::RunnerContext::singleRunnerQueryMode() const
    {81, 1640, 111, 1, 0, 0, 25},	//2038 Plasma::RunnerContext::restore(const KConfigGroup&)
    {81, 1658, 178, 1, 0, 0, 26},	//2039 Plasma::RunnerContext::save(KConfigGroup&)
    {81, 1648, 80, 1, 0, 0, 27},	//2040 Plasma::RunnerContext::run(const Plasma::QueryMatch&)
    {81, 1392, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2041 Plasma::RunnerContext::matchesChanged()
    {81, 2357, 1, 1, Smoke::mf_static, 292, 29},	//2042 Plasma::RunnerContext::tr(const char*)
    {81, 2361, 1, 1, Smoke::mf_static, 292, 30},	//2043 Plasma::RunnerContext::trUtf8(const char*)
    {81, 452, 0, 0, Smoke::mf_ctor, 137, 31},	//2044 Plasma::RunnerContext::RunnerContext()
    {81, 452, 55, 1, Smoke::mf_ctor, 137, 32},	//2045 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    {81, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 33},	//2046 Plasma::RunnerContext::staticMetaObject() const
    {81, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 34},	//2047 Plasma::RunnerContext::None (enum)
    {81, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 35},	//2048 Plasma::RunnerContext::UnknownType (enum)
    {81, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 36},	//2049 Plasma::RunnerContext::Directory (enum)
    {81, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 37},	//2050 Plasma::RunnerContext::File (enum)
    {81, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 38},	//2051 Plasma::RunnerContext::NetworkLocation (enum)
    {81, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 39},	//2052 Plasma::RunnerContext::Executable (enum)
    {81, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 40},	//2053 Plasma::RunnerContext::ShellCommand (enum)
    {81, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 41},	//2054 Plasma::RunnerContext::Help (enum)
    {81, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 42},	//2055 Plasma::RunnerContext::FileSystem (enum)
    {81, 2507, 0, 0, Smoke::mf_dtor, 0, 43 },	//2056 Plasma::RunnerContext::~RunnerContext()
    {82, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2057 Plasma::RunnerManager::metaObject() const
    {82, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2058 Plasma::RunnerManager::qt_metacast(const char*)
    {82, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2059 Plasma::RunnerManager::tr(const char*, const char*)
    {82, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2060 Plasma::RunnerManager::trUtf8(const char*, const char*)
    {82, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2061 Plasma::RunnerManager::tr(const char*, const char*, int)
    {82, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2062 Plasma::RunnerManager::trUtf8(const char*, const char*, int)
    {82, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2063 Plasma::RunnerManager::qt_metacall(QMetaObject::Call, int, void**)
    {82, 455, 97, 1, Smoke::mf_ctor, 139, 8},	//2064 Plasma::RunnerManager::RunnerManager(QObject*)
    {82, 455, 752, 2, Smoke::mf_ctor, 139, 9},	//2065 Plasma::RunnerManager::RunnerManager(KConfigGroup&, QObject*)
    {82, 1653, 89, 1, Smoke::mf_const, 34, 10},	//2066 Plasma::RunnerManager::runner(const QString&) const
    {82, 2243, 0, 0, Smoke::mf_const, 34, 11},	//2067 Plasma::RunnerManager::singleModeRunner() const
    {82, 2082, 89, 1, 0, 0, 12},	//2068 Plasma::RunnerManager::setSingleModeRunnerId(const QString&)
    {82, 2244, 0, 0, Smoke::mf_const, 292, 13},	//2069 Plasma::RunnerManager::singleModeRunnerId() const
    {82, 2241, 0, 0, Smoke::mf_const, 406, 14},	//2070 Plasma::RunnerManager::singleMode() const
    {82, 2080, 7, 1, 0, 0, 15},	//2071 Plasma::RunnerManager::setSingleMode(bool)
    {82, 1655, 89, 1, Smoke::mf_const, 292, 16},	//2072 Plasma::RunnerManager::runnerName(const QString&) const
    {82, 1657, 0, 0, Smoke::mf_const, 244, 17},	//2073 Plasma::RunnerManager::runners() const
    {82, 2242, 0, 0, Smoke::mf_const, 293, 18},	//2074 Plasma::RunnerManager::singleModeAdvertisedRunnerIds() const
    {82, 1690, 0, 0, Smoke::mf_const, 137, 19},	//2075 Plasma::RunnerManager::searchContext() const
    {82, 1391, 0, 0, Smoke::mf_const, 252, 20},	//2076 Plasma::RunnerManager::matches() const
    {82, 1648, 80, 1, 0, 0, 21},	//2077 Plasma::RunnerManager::run(const Plasma::QueryMatch&)
    {82, 1648, 89, 1, 0, 0, 22},	//2078 Plasma::RunnerManager::run(const QString&)
    {82, 612, 80, 1, 0, 254, 23},	//2079 Plasma::RunnerManager::actionsForMatch(const Plasma::QueryMatch&)
    {82, 1540, 0, 0, Smoke::mf_const, 292, 24},	//2080 Plasma::RunnerManager::query() const
    {82, 1570, 0, 0, 0, 0, 25},	//2081 Plasma::RunnerManager::reloadConfiguration()
    {82, 1717, 200, 1, 0, 0, 26},	//2082 Plasma::RunnerManager::setAllowedRunners(const QStringList&)
    {82, 1360, 99, 1, 0, 0, 27},	//2083 Plasma::RunnerManager::loadRunner(const KSharedPtr<KService>)
    {82, 1360, 89, 1, 0, 0, 28},	//2084 Plasma::RunnerManager::loadRunner(const QString&)
    {82, 693, 0, 0, Smoke::mf_const, 293, 29},	//2085 Plasma::RunnerManager::allowedRunners() const
    {82, 1406, 80, 1, Smoke::mf_const, 265, 30},	//2086 Plasma::RunnerManager::mimeDataForMatch(const Plasma::QueryMatch&) const
    {82, 1406, 89, 1, Smoke::mf_const, 265, 31},	//2087 Plasma::RunnerManager::mimeDataForMatch(const QString&) const
    {82, 1322, 89, 1, Smoke::mf_static, 241, 32},	//2088 Plasma::RunnerManager::listRunnerInfo(const QString&)
    {82, 2213, 0, 0, Smoke::mf_slot, 0, 33},	//2089 Plasma::RunnerManager::setupMatchSession()
    {82, 1390, 0, 0, Smoke::mf_slot, 0, 34},	//2090 Plasma::RunnerManager::matchSessionComplete()
    {82, 1275, 77, 2, Smoke::mf_slot, 0, 35},	//2091 Plasma::RunnerManager::launchQuery(const QString&, const QString&)
    {82, 1275, 89, 1, Smoke::mf_slot, 0, 36},	//2092 Plasma::RunnerManager::launchQuery(const QString&)
    {82, 1011, 77, 2, Smoke::mf_slot, 406, 37},	//2093 Plasma::RunnerManager::execQuery(const QString&, const QString&)
    {82, 1011, 89, 1, Smoke::mf_slot, 406, 38},	//2094 Plasma::RunnerManager::execQuery(const QString&)
    {82, 1630, 0, 0, Smoke::mf_slot, 0, 39},	//2095 Plasma::RunnerManager::reset()
    {82, 1392, 755, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2096 Plasma::RunnerManager::matchesChanged(const QList<Plasma::QueryMatch>&)
    {82, 1542, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2097 Plasma::RunnerManager::queryFinished()
    {82, 2357, 1, 1, Smoke::mf_static, 292, 42},	//2098 Plasma::RunnerManager::tr(const char*)
    {82, 2361, 1, 1, Smoke::mf_static, 292, 43},	//2099 Plasma::RunnerManager::trUtf8(const char*)
    {82, 455, 0, 0, Smoke::mf_ctor, 139, 44},	//2100 Plasma::RunnerManager::RunnerManager()
    {82, 455, 178, 1, Smoke::mf_ctor, 139, 45},	//2101 Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    {82, 1322, 0, 0, Smoke::mf_static, 241, 46},	//2102 Plasma::RunnerManager::listRunnerInfo()
    {82, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 47},	//2103 Plasma::RunnerManager::staticMetaObject() const
    {82, 2508, 0, 0, Smoke::mf_dtor, 0, 48 },	//2104 Plasma::RunnerManager::~RunnerManager()
    {83, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2105 Plasma::RunnerScript::metaObject() const
    {83, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2106 Plasma::RunnerScript::qt_metacast(const char*)
    {83, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2107 Plasma::RunnerScript::tr(const char*, const char*)
    {83, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2108 Plasma::RunnerScript::trUtf8(const char*, const char*)
    {83, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2109 Plasma::RunnerScript::tr(const char*, const char*, int)
    {83, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2110 Plasma::RunnerScript::trUtf8(const char*, const char*, int)
    {83, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2111 Plasma::RunnerScript::qt_metacall(QMetaObject::Call, int, void**)
    {83, 458, 97, 1, Smoke::mf_ctor, 140, 8},	//2112 Plasma::RunnerScript::RunnerScript(QObject*)
    {83, 2051, 729, 1, 0, 0, 9},	//2113 Plasma::RunnerScript::setRunner(Plasma::AbstractRunner*)
    {83, 1653, 0, 0, Smoke::mf_const, 34, 10},	//2114 Plasma::RunnerScript::runner() const
    {83, 1387, 55, 1, Smoke::mf_virtual, 0, 11},	//2115 Plasma::RunnerScript::match(Plasma::RunnerContext&)
    {83, 1648, 59, 2, Smoke::mf_virtual, 0, 12},	//2116 Plasma::RunnerScript::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {83, 1526, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//2117 Plasma::RunnerScript::prepare()
    {83, 2326, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2118 Plasma::RunnerScript::teardown()
    {83, 868, 57, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2119 Plasma::RunnerScript::createRunOptions(QWidget*)
    {83, 1570, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//2120 Plasma::RunnerScript::reloadConfiguration()
    {83, 612, 757, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//2121 Plasma::RunnerScript::actionsForMatch(const Plasma::QueryMatch&, QList<QAction*>*)
    {83, 1375, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 292, 18},	//2122 Plasma::RunnerScript::mainScript() const
    {83, 1465, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 430, 19},	//2123 Plasma::RunnerScript::package() const
    {83, 900, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 20},	//2124 Plasma::RunnerScript::description() const
    {83, 890, 89, 1, Smoke::mf_protected, 83, 21},	//2125 Plasma::RunnerScript::dataEngine(const QString&)
    {83, 789, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 22},	//2126 Plasma::RunnerScript::config() const
    {83, 1914, 62, 1, Smoke::mf_protected, 0, 23},	//2127 Plasma::RunnerScript::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {83, 1892, 7, 1, Smoke::mf_protected, 0, 24},	//2128 Plasma::RunnerScript::setHasRunOptions(bool)
    {83, 2090, 73, 1, Smoke::mf_protected, 0, 25},	//2129 Plasma::RunnerScript::setSpeed(Plasma::AbstractRunner::Speed)
    {83, 2025, 75, 1, Smoke::mf_protected, 0, 26},	//2130 Plasma::RunnerScript::setPriority(Plasma::AbstractRunner::Priority)
    {83, 1703, 77, 2, Smoke::mf_const|Smoke::mf_protected, 243, 27},	//2131 Plasma::RunnerScript::serviceQuery(const QString&, const QString&) const
    {83, 625, 82, 3, Smoke::mf_protected, 182, 28},	//2132 Plasma::RunnerScript::addAction(const QString&, const QIcon&, const QString&)
    {83, 625, 86, 2, Smoke::mf_protected, 0, 29},	//2133 Plasma::RunnerScript::addAction(const QString&, QAction*)
    {83, 1580, 89, 1, Smoke::mf_protected, 0, 30},	//2134 Plasma::RunnerScript::removeAction(const QString&)
    {83, 608, 89, 1, Smoke::mf_const|Smoke::mf_protected, 182, 31},	//2135 Plasma::RunnerScript::action(const QString&) const
    {83, 611, 0, 0, Smoke::mf_const|Smoke::mf_protected, 231, 32},	//2136 Plasma::RunnerScript::actions() const
    {83, 769, 0, 0, Smoke::mf_protected, 0, 33},	//2137 Plasma::RunnerScript::clearActions()
    {83, 677, 91, 1, Smoke::mf_protected, 0, 34},	//2138 Plasma::RunnerScript::addSyntax(const Plasma::RunnerSyntax&)
    {83, 2113, 93, 1, Smoke::mf_protected, 0, 35},	//2139 Plasma::RunnerScript::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {83, 2357, 1, 1, Smoke::mf_static, 292, 36},	//2140 Plasma::RunnerScript::tr(const char*)
    {83, 2361, 1, 1, Smoke::mf_static, 292, 37},	//2141 Plasma::RunnerScript::trUtf8(const char*)
    {83, 458, 0, 0, Smoke::mf_ctor, 140, 38},	//2142 Plasma::RunnerScript::RunnerScript()
    {83, 1703, 89, 1, Smoke::mf_const|Smoke::mf_protected, 243, 39},	//2143 Plasma::RunnerScript::serviceQuery(const QString&) const
    {83, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 40},	//2144 Plasma::RunnerScript::staticMetaObject() const
    {83, 2509, 0, 0, Smoke::mf_dtor, 0, 41 },	//2145 Plasma::RunnerScript::~RunnerScript()
    {84, 460, 77, 2, Smoke::mf_ctor, 142, 1},	//2146 Plasma::RunnerSyntax::RunnerSyntax(const QString&, const QString&)
    {84, 460, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 142, 2},	//2147 Plasma::RunnerSyntax::RunnerSyntax(const Plasma::RunnerSyntax&)
    {84, 1459, 91, 1, 0, 141, 3},	//2148 Plasma::RunnerSyntax::operator=(const Plasma::RunnerSyntax&)
    {84, 646, 89, 1, 0, 0, 4},	//2149 Plasma::RunnerSyntax::addExampleQuery(const QString&)
    {84, 1009, 0, 0, Smoke::mf_const, 293, 5},	//2150 Plasma::RunnerSyntax::exampleQueries() const
    {84, 1010, 0, 0, Smoke::mf_const, 293, 6},	//2151 Plasma::RunnerSyntax::exampleQueriesWithTermDescription() const
    {84, 1830, 89, 1, 0, 0, 7},	//2152 Plasma::RunnerSyntax::setDescription(const QString&)
    {84, 900, 0, 0, Smoke::mf_const, 292, 8},	//2153 Plasma::RunnerSyntax::description() const
    {84, 2062, 89, 1, 0, 0, 9},	//2154 Plasma::RunnerSyntax::setSearchTermDescription(const QString&)
    {84, 1693, 0, 0, Smoke::mf_const, 292, 10},	//2155 Plasma::RunnerSyntax::searchTermDescription() const
    {84, 2510, 0, 0, Smoke::mf_dtor, 0, 11 },	//2156 Plasma::RunnerSyntax::~RunnerSyntax()
    {85, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2157 Plasma::ScriptEngine::metaObject() const
    {85, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2158 Plasma::ScriptEngine::qt_metacast(const char*)
    {85, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2159 Plasma::ScriptEngine::tr(const char*, const char*)
    {85, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2160 Plasma::ScriptEngine::trUtf8(const char*, const char*)
    {85, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2161 Plasma::ScriptEngine::tr(const char*, const char*, int)
    {85, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2162 Plasma::ScriptEngine::trUtf8(const char*, const char*, int)
    {85, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2163 Plasma::ScriptEngine::qt_metacall(QMetaObject::Call, int, void**)
    {85, 1142, 0, 0, Smoke::mf_virtual, 406, 8},	//2164 Plasma::ScriptEngine::init()
    {85, 468, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 143, 9},	//2165 Plasma::ScriptEngine::ScriptEngine(QObject*)
    {85, 1375, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 292, 10},	//2166 Plasma::ScriptEngine::mainScript() const
    {85, 1465, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 430, 11},	//2167 Plasma::ScriptEngine::package() const
    {85, 2357, 1, 1, Smoke::mf_static, 292, 12},	//2168 Plasma::ScriptEngine::tr(const char*)
    {85, 2361, 1, 1, Smoke::mf_static, 292, 13},	//2169 Plasma::ScriptEngine::trUtf8(const char*)
    {85, 468, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 143, 14},	//2170 Plasma::ScriptEngine::ScriptEngine()
    {85, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 15},	//2171 Plasma::ScriptEngine::staticMetaObject() const
    {85, 2511, 0, 0, Smoke::mf_dtor, 0, 16 },	//2172 Plasma::ScriptEngine::~ScriptEngine()
    {86, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2173 Plasma::ScrollBar::metaObject() const
    {86, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2174 Plasma::ScrollBar::qt_metacast(const char*)
    {86, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2175 Plasma::ScrollBar::tr(const char*, const char*)
    {86, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2176 Plasma::ScrollBar::trUtf8(const char*, const char*)
    {86, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2177 Plasma::ScrollBar::tr(const char*, const char*, int)
    {86, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2178 Plasma::ScrollBar::trUtf8(const char*, const char*, int)
    {86, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2179 Plasma::ScrollBar::qt_metacall(QMetaObject::Call, int, void**)
    {86, 470, 125, 1, Smoke::mf_ctor, 144, 8},	//2180 Plasma::ScrollBar::ScrollBar(QGraphicsWidget*)
    {86, 2029, 370, 2, 0, 0, 9},	//2181 Plasma::ScrollBar::setRange(int, int)
    {86, 2086, 129, 1, Smoke::mf_property, 0, 10},	//2182 Plasma::ScrollBar::setSingleStep(int)
    {86, 2246, 0, 0, Smoke::mf_property, 499, 11},	//2183 Plasma::ScrollBar::singleStep()
    {86, 1994, 129, 1, Smoke::mf_property, 0, 12},	//2184 Plasma::ScrollBar::setPageStep(int)
    {86, 1470, 0, 0, Smoke::mf_property, 499, 13},	//2185 Plasma::ScrollBar::pageStep()
    {86, 2413, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 14},	//2186 Plasma::ScrollBar::value() const
    {86, 1412, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 15},	//2187 Plasma::ScrollBar::minimum() const
    {86, 1397, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 16},	//2188 Plasma::ScrollBar::maximum() const
    {86, 1961, 760, 1, Smoke::mf_const|Smoke::mf_property, 0, 17},	//2189 Plasma::ScrollBar::setMinimum(const int) const
    {86, 1953, 760, 1, Smoke::mf_const|Smoke::mf_property, 0, 18},	//2190 Plasma::ScrollBar::setMaximum(const int) const
    {86, 2101, 89, 1, Smoke::mf_property, 0, 19},	//2191 Plasma::ScrollBar::setStyleSheet(const QString&)
    {86, 2289, 0, 0, Smoke::mf_property, 292, 20},	//2192 Plasma::ScrollBar::styleSheet()
    {86, 1439, 0, 0, Smoke::mf_const, 287, 21},	//2193 Plasma::ScrollBar::nativeWidget() const
    {86, 1463, 0, 0, Smoke::mf_const|Smoke::mf_property, 357, 22},	//2194 Plasma::ScrollBar::orientation() const
    {86, 845, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2195 Plasma::ScrollBar::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {86, 2177, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//2196 Plasma::ScrollBar::setValue(int)
    {86, 1986, 640, 1, Smoke::mf_property|Smoke::mf_slot, 0, 25},	//2197 Plasma::ScrollBar::setOrientation(Qt::Orientation)
    {86, 2414, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2198 Plasma::ScrollBar::valueChanged(int)
    {86, 2257, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2199 Plasma::ScrollBar::sliderMoved(int)
    {86, 2357, 1, 1, Smoke::mf_static, 292, 28},	//2200 Plasma::ScrollBar::tr(const char*)
    {86, 2361, 1, 1, Smoke::mf_static, 292, 29},	//2201 Plasma::ScrollBar::trUtf8(const char*)
    {86, 470, 0, 0, Smoke::mf_ctor, 144, 30},	//2202 Plasma::ScrollBar::ScrollBar()
    {86, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 31},	//2203 Plasma::ScrollBar::staticMetaObject() const
    {86, 2512, 0, 0, Smoke::mf_dtor, 0, 32 },	//2204 Plasma::ScrollBar::~ScrollBar()
    {87, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2205 Plasma::ScrollWidget::metaObject() const
    {87, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2206 Plasma::ScrollWidget::qt_metacast(const char*)
    {87, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2207 Plasma::ScrollWidget::tr(const char*, const char*)
    {87, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2208 Plasma::ScrollWidget::trUtf8(const char*, const char*)
    {87, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2209 Plasma::ScrollWidget::tr(const char*, const char*, int)
    {87, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2210 Plasma::ScrollWidget::trUtf8(const char*, const char*, int)
    {87, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2211 Plasma::ScrollWidget::qt_metacall(QMetaObject::Call, int, void**)
    {87, 473, 125, 1, Smoke::mf_ctor, 145, 8},	//2212 Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    {87, 473, 170, 1, Smoke::mf_ctor, 145, 9},	//2213 Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    {87, 2202, 125, 1, 0, 0, 10},	//2214 Plasma::ScrollWidget::setWidget(QGraphicsWidget*)
    {87, 2444, 0, 0, Smoke::mf_const, 228, 11},	//2215 Plasma::ScrollWidget::widget() const
    {87, 1713, 657, 1, 0, 0, 12},	//2216 Plasma::ScrollWidget::setAlignment(QFlags<Qt::AlignmentFlag>)
    {87, 691, 0, 0, Smoke::mf_const, 206, 13},	//2217 Plasma::ScrollWidget::alignment() const
    {87, 1988, 7, 1, Smoke::mf_property, 0, 14},	//2218 Plasma::ScrollWidget::setOverShoot(bool)
    {87, 1101, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 15},	//2219 Plasma::ScrollWidget::hasOverShoot() const
    {87, 1902, 762, 1, Smoke::mf_property, 0, 16},	//2220 Plasma::ScrollWidget::setHorizontalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {87, 1118, 0, 0, Smoke::mf_const|Smoke::mf_property, 361, 17},	//2221 Plasma::ScrollWidget::horizontalScrollBarPolicy() const
    {87, 2189, 762, 1, Smoke::mf_property, 0, 18},	//2222 Plasma::ScrollWidget::setVerticalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {87, 2426, 0, 0, Smoke::mf_const|Smoke::mf_property, 361, 19},	//2223 Plasma::ScrollWidget::verticalScrollBarPolicy() const
    {87, 1464, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 20},	//2224 Plasma::ScrollWidget::overflowBordersVisible() const
    {87, 1990, 109, 1, Smoke::mf_property, 0, 21},	//2225 Plasma::ScrollWidget::setOverflowBordersVisible(const bool)
    {87, 997, 651, 1, 0, 0, 22},	//2226 Plasma::ScrollWidget::ensureRectVisible(const QRectF&)
    {87, 995, 170, 1, 0, 0, 23},	//2227 Plasma::ScrollWidget::ensureItemVisible(QGraphicsItem*)
    {87, 1553, 125, 1, 0, 0, 24},	//2228 Plasma::ScrollWidget::registerAsDragHandle(QGraphicsWidget*)
    {87, 2376, 125, 1, 0, 0, 25},	//2229 Plasma::ScrollWidget::unregisterAsDragHandle(QGraphicsWidget*)
    {87, 2431, 0, 0, Smoke::mf_const|Smoke::mf_property, 282, 26},	//2230 Plasma::ScrollWidget::viewportGeometry() const
    {87, 838, 0, 0, Smoke::mf_const|Smoke::mf_property, 290, 27},	//2231 Plasma::ScrollWidget::contentsSize() const
    {87, 2060, 384, 1, Smoke::mf_property, 0, 28},	//2232 Plasma::ScrollWidget::setScrollPosition(const QPointF&)
    {87, 1686, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 29},	//2233 Plasma::ScrollWidget::scrollPosition() const
    {87, 2088, 603, 1, Smoke::mf_property, 0, 30},	//2234 Plasma::ScrollWidget::setSnapSize(const QSizeF&)
    {87, 2259, 0, 0, Smoke::mf_const|Smoke::mf_property, 290, 31},	//2235 Plasma::ScrollWidget::snapSize() const
    {87, 2101, 89, 1, Smoke::mf_property, 0, 32},	//2236 Plasma::ScrollWidget::setStyleSheet(const QString&)
    {87, 2289, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 33},	//2237 Plasma::ScrollWidget::styleSheet() const
    {87, 1439, 0, 0, Smoke::mf_const, 308, 34},	//2238 Plasma::ScrollWidget::nativeWidget() const
    {87, 1687, 764, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//2239 Plasma::ScrollWidget::scrollStateChanged(QAbstractAnimation::State, QAbstractAnimation::State)
    {87, 2432, 651, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//2240 Plasma::ScrollWidget::viewportGeometryChanged(const QRectF&)
    {87, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//2241 Plasma::ScrollWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {87, 1419, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//2242 Plasma::ScrollWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {87, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//2243 Plasma::ScrollWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {87, 1423, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//2244 Plasma::ScrollWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {87, 1249, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//2245 Plasma::ScrollWidget::keyPressEvent(QKeyEvent*)
    {87, 2442, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//2246 Plasma::ScrollWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {87, 1005, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 43},	//2247 Plasma::ScrollWidget::eventFilter(QObject*, QEvent*)
    {87, 1049, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//2248 Plasma::ScrollWidget::focusInEvent(QFocusEvent*)
    {87, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 45},	//2249 Plasma::ScrollWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {87, 1672, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 46},	//2250 Plasma::ScrollWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {87, 2357, 1, 1, Smoke::mf_static, 292, 47},	//2251 Plasma::ScrollWidget::tr(const char*)
    {87, 2361, 1, 1, Smoke::mf_static, 292, 48},	//2252 Plasma::ScrollWidget::trUtf8(const char*)
    {87, 473, 0, 0, Smoke::mf_ctor, 145, 49},	//2253 Plasma::ScrollWidget::ScrollWidget()
    {87, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 50},	//2254 Plasma::ScrollWidget::staticMetaObject() const
    {87, 2513, 0, 0, Smoke::mf_dtor, 0, 51 },	//2255 Plasma::ScrollWidget::~ScrollWidget()
    {88, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2256 Plasma::Separator::metaObject() const
    {88, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2257 Plasma::Separator::qt_metacast(const char*)
    {88, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2258 Plasma::Separator::tr(const char*, const char*)
    {88, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2259 Plasma::Separator::trUtf8(const char*, const char*)
    {88, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2260 Plasma::Separator::tr(const char*, const char*, int)
    {88, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2261 Plasma::Separator::trUtf8(const char*, const char*, int)
    {88, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2262 Plasma::Separator::qt_metacall(QMetaObject::Call, int, void**)
    {88, 476, 767, 2, Smoke::mf_ctor, 146, 8},	//2263 Plasma::Separator::Separator(QGraphicsItem*, QFlags<Qt::WindowType>)
    {88, 1986, 640, 1, Smoke::mf_property, 0, 9},	//2264 Plasma::Separator::setOrientation(Qt::Orientation)
    {88, 1463, 0, 0, Smoke::mf_property, 357, 10},	//2265 Plasma::Separator::orientation()
    {88, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//2266 Plasma::Separator::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {88, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 12},	//2267 Plasma::Separator::sizeHint(Qt::SizeHint, const QSizeF&) const
    {88, 2357, 1, 1, Smoke::mf_static, 292, 13},	//2268 Plasma::Separator::tr(const char*)
    {88, 2361, 1, 1, Smoke::mf_static, 292, 14},	//2269 Plasma::Separator::trUtf8(const char*)
    {88, 476, 0, 0, Smoke::mf_ctor, 146, 15},	//2270 Plasma::Separator::Separator()
    {88, 476, 170, 1, Smoke::mf_ctor, 146, 16},	//2271 Plasma::Separator::Separator(QGraphicsItem*)
    {88, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 17},	//2272 Plasma::Separator::staticMetaObject() const
    {88, 2514, 0, 0, Smoke::mf_dtor, 0, 18 },	//2273 Plasma::Separator::~Separator()
    {89, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2274 Plasma::Service::metaObject() const
    {89, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2275 Plasma::Service::qt_metacast(const char*)
    {89, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2276 Plasma::Service::tr(const char*, const char*)
    {89, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2277 Plasma::Service::trUtf8(const char*, const char*)
    {89, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2278 Plasma::Service::tr(const char*, const char*, int)
    {89, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2279 Plasma::Service::trUtf8(const char*, const char*, int)
    {89, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2280 Plasma::Service::qt_metacall(QMetaObject::Call, int, void**)
    {89, 1332, 770, 3, Smoke::mf_static, 147, 8},	//2281 Plasma::Service::load(const QString&, const QList<QVariant>&, QObject*)
    {89, 1332, 149, 2, Smoke::mf_static, 147, 9},	//2282 Plasma::Service::load(const QString&, QObject*)
    {89, 603, 116, 2, Smoke::mf_static, 147, 10},	//2283 Plasma::Service::access(const KUrl&, QObject*)
    {89, 1832, 89, 1, Smoke::mf_property, 0, 11},	//2284 Plasma::Service::setDestination(const QString&)
    {89, 902, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 12},	//2285 Plasma::Service::destination() const
    {89, 1453, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 13},	//2286 Plasma::Service::operationNames() const
    {89, 1451, 89, 1, 0, 8, 14},	//2287 Plasma::Service::operationDescription(const QString&)
    {89, 2271, 774, 2, 0, 149, 15},	//2288 Plasma::Service::startOperationCall(const KConfigGroup&, QObject*)
    {89, 1191, 89, 1, Smoke::mf_const, 406, 16},	//2289 Plasma::Service::isOperationEnabled(const QString&) const
    {89, 1437, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 17},	//2290 Plasma::Service::name() const
    {89, 730, 777, 2, 0, 0, 18},	//2291 Plasma::Service::associateWidget(QWidget*, const QString&)
    {89, 916, 57, 1, 0, 0, 19},	//2292 Plasma::Service::disassociateWidget(QWidget*)
    {89, 730, 780, 2, 0, 0, 20},	//2293 Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    {89, 916, 125, 1, 0, 0, 21},	//2294 Plasma::Service::disassociateWidget(QGraphicsWidget*)
    {89, 728, 783, 2, 0, 0, 22},	//2295 Plasma::Service::associateItem(QGraphicsObject*, const QString&)
    {89, 914, 786, 1, 0, 0, 23},	//2296 Plasma::Service::disassociateItem(QGraphicsObject*)
    {89, 1493, 111, 1, 0, 261, 24},	//2297 Plasma::Service::parametersFromDescription(const KConfigGroup&)
    {89, 1036, 788, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2298 Plasma::Service::finished(Plasma::ServiceJob*)
    {89, 1454, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2299 Plasma::Service::operationsChanged()
    {89, 1706, 790, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2300 Plasma::Service::serviceReady(Plasma::Service*)
    {89, 479, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 147, 28},	//2301 Plasma::Service::Service(QObject*)
    {89, 479, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 147, 29},	//2302 Plasma::Service::Service(QObject*, const QList<QVariant>&)
    {89, 861, 792, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 149, 30},	//2303 Plasma::Service::createJob(const QString&, QMap<QString,QVariant>&) [pure virtual]
    {89, 1555, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2304 Plasma::Service::registerOperationsScheme()
    {89, 1984, 795, 1, Smoke::mf_protected, 0, 32},	//2305 Plasma::Service::setOperationsScheme(QIODevice*)
    {89, 1972, 89, 1, Smoke::mf_protected, 0, 33},	//2306 Plasma::Service::setName(const QString&)
    {89, 1982, 197, 2, Smoke::mf_protected, 0, 34},	//2307 Plasma::Service::setOperationEnabled(const QString&, bool)
    {89, 2357, 1, 1, Smoke::mf_static, 292, 35},	//2308 Plasma::Service::tr(const char*)
    {89, 2361, 1, 1, Smoke::mf_static, 292, 36},	//2309 Plasma::Service::trUtf8(const char*)
    {89, 1332, 113, 2, Smoke::mf_static, 147, 37},	//2310 Plasma::Service::load(const QString&, const QList<QVariant>&)
    {89, 1332, 89, 1, Smoke::mf_static, 147, 38},	//2311 Plasma::Service::load(const QString&)
    {89, 603, 119, 1, Smoke::mf_static, 147, 39},	//2312 Plasma::Service::access(const KUrl&)
    {89, 2271, 111, 1, 0, 149, 40},	//2313 Plasma::Service::startOperationCall(const KConfigGroup&)
    {89, 479, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 147, 41},	//2314 Plasma::Service::Service()
    {89, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 42},	//2315 Plasma::Service::staticMetaObject() const
    {89, 2515, 0, 0, Smoke::mf_dtor, 0, 43 },	//2316 Plasma::Service::~Service()
    {90, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2317 Plasma::ServiceAccessJob::metaObject() const
    {90, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2318 Plasma::ServiceAccessJob::qt_metacast(const char*)
    {90, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2319 Plasma::ServiceAccessJob::tr(const char*, const char*)
    {90, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2320 Plasma::ServiceAccessJob::trUtf8(const char*, const char*)
    {90, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2321 Plasma::ServiceAccessJob::tr(const char*, const char*, int)
    {90, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2322 Plasma::ServiceAccessJob::trUtf8(const char*, const char*, int)
    {90, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2323 Plasma::ServiceAccessJob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 1698, 0, 0, Smoke::mf_const, 147, 8},	//2324 Plasma::ServiceAccessJob::service() const
    {90, 482, 797, 2, Smoke::mf_ctor|Smoke::mf_protected, 148, 9},	//2325 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl, QObject*)
    {90, 2270, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//2326 Plasma::ServiceAccessJob::start()
    {90, 2357, 1, 1, Smoke::mf_static, 292, 11},	//2327 Plasma::ServiceAccessJob::tr(const char*)
    {90, 2361, 1, 1, Smoke::mf_static, 292, 12},	//2328 Plasma::ServiceAccessJob::trUtf8(const char*)
    {90, 482, 800, 1, Smoke::mf_ctor|Smoke::mf_protected, 148, 13},	//2329 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl)
    {90, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 14},	//2330 Plasma::ServiceAccessJob::staticMetaObject() const
    {90, 2516, 0, 0, Smoke::mf_dtor, 0, 15 },	//2331 Plasma::ServiceAccessJob::~ServiceAccessJob()
    {92, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2332 Plasma::SignalPlotter::metaObject() const
    {92, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2333 Plasma::SignalPlotter::qt_metacast(const char*)
    {92, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2334 Plasma::SignalPlotter::tr(const char*, const char*)
    {92, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2335 Plasma::SignalPlotter::trUtf8(const char*, const char*)
    {92, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2336 Plasma::SignalPlotter::tr(const char*, const char*, int)
    {92, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2337 Plasma::SignalPlotter::trUtf8(const char*, const char*, int)
    {92, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2338 Plasma::SignalPlotter::qt_metacall(QMetaObject::Call, int, void**)
    {92, 488, 170, 1, Smoke::mf_ctor, 150, 8},	//2339 Plasma::SignalPlotter::SignalPlotter(QGraphicsItem*)
    {92, 660, 581, 1, 0, 0, 9},	//2340 Plasma::SignalPlotter::addPlot(const QColor&)
    {92, 667, 802, 1, 0, 0, 10},	//2341 Plasma::SignalPlotter::addSample(const QList<double>&)
    {92, 1620, 804, 1, 0, 0, 11},	//2342 Plasma::SignalPlotter::reorderPlots(const QList<unsigned int>&)
    {92, 1599, 36, 1, 0, 0, 12},	//2343 Plasma::SignalPlotter::removePlot(unsigned int)
    {92, 1508, 0, 0, 0, 251, 13},	//2344 Plasma::SignalPlotter::plotColors()
    {92, 2147, 89, 1, Smoke::mf_property, 0, 14},	//2345 Plasma::SignalPlotter::setTitle(const QString&)
    {92, 2344, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 15},	//2346 Plasma::SignalPlotter::title() const
    {92, 2159, 89, 1, Smoke::mf_property, 0, 16},	//2347 Plasma::SignalPlotter::setUnit(const QString&)
    {92, 2372, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 17},	//2348 Plasma::SignalPlotter::unit() const
    {92, 1666, 733, 1, 0, 0, 18},	//2349 Plasma::SignalPlotter::scale(double)
    {92, 1668, 0, 0, Smoke::mf_const, 496, 19},	//2350 Plasma::SignalPlotter::scaledBy() const
    {92, 2167, 7, 1, Smoke::mf_property, 0, 20},	//2351 Plasma::SignalPlotter::setUseAutoRange(bool)
    {92, 2404, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 21},	//2352 Plasma::SignalPlotter::useAutoRange() const
    {92, 2187, 806, 2, 0, 0, 22},	//2353 Plasma::SignalPlotter::setVerticalRange(double, double)
    {92, 2425, 0, 0, Smoke::mf_const, 496, 23},	//2354 Plasma::SignalPlotter::verticalMinValue() const
    {92, 2424, 0, 0, Smoke::mf_const, 496, 24},	//2355 Plasma::SignalPlotter::verticalMaxValue() const
    {92, 1900, 36, 1, 0, 0, 25},	//2356 Plasma::SignalPlotter::setHorizontalScale(unsigned int)
    {92, 1117, 0, 0, Smoke::mf_const, 506, 26},	//2357 Plasma::SignalPlotter::horizontalScale() const
    {92, 2076, 7, 1, Smoke::mf_property, 0, 27},	//2358 Plasma::SignalPlotter::setShowVerticalLines(bool)
    {92, 2240, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 28},	//2359 Plasma::SignalPlotter::showVerticalLines() const
    {92, 2181, 581, 1, Smoke::mf_property, 0, 29},	//2360 Plasma::SignalPlotter::setVerticalLinesColor(const QColor&)
    {92, 2421, 0, 0, Smoke::mf_const|Smoke::mf_property, 188, 30},	//2361 Plasma::SignalPlotter::verticalLinesColor() const
    {92, 2183, 36, 1, 0, 0, 31},	//2362 Plasma::SignalPlotter::setVerticalLinesDistance(unsigned int)
    {92, 2422, 0, 0, Smoke::mf_const, 506, 32},	//2363 Plasma::SignalPlotter::verticalLinesDistance() const
    {92, 2185, 7, 1, Smoke::mf_property, 0, 33},	//2364 Plasma::SignalPlotter::setVerticalLinesScroll(bool)
    {92, 2423, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 34},	//2365 Plasma::SignalPlotter::verticalLinesScroll() const
    {92, 2070, 7, 1, Smoke::mf_property, 0, 35},	//2366 Plasma::SignalPlotter::setShowHorizontalLines(bool)
    {92, 2232, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 36},	//2367 Plasma::SignalPlotter::showHorizontalLines() const
    {92, 1896, 581, 1, Smoke::mf_property, 0, 37},	//2368 Plasma::SignalPlotter::setHorizontalLinesColor(const QColor&)
    {92, 1115, 0, 0, Smoke::mf_const|Smoke::mf_property, 188, 38},	//2369 Plasma::SignalPlotter::horizontalLinesColor() const
    {92, 1873, 581, 1, Smoke::mf_property, 0, 39},	//2370 Plasma::SignalPlotter::setFontColor(const QColor&)
    {92, 1059, 0, 0, Smoke::mf_const|Smoke::mf_property, 188, 40},	//2371 Plasma::SignalPlotter::fontColor() const
    {92, 1870, 579, 1, Smoke::mf_property, 0, 41},	//2372 Plasma::SignalPlotter::setFont(const QFont&)
    {92, 1056, 0, 0, Smoke::mf_const|Smoke::mf_property, 210, 42},	//2373 Plasma::SignalPlotter::font() const
    {92, 1898, 36, 1, 0, 0, 43},	//2374 Plasma::SignalPlotter::setHorizontalLinesCount(unsigned int)
    {92, 1116, 0, 0, Smoke::mf_const, 506, 44},	//2375 Plasma::SignalPlotter::horizontalLinesCount() const
    {92, 2072, 7, 1, Smoke::mf_property, 0, 45},	//2376 Plasma::SignalPlotter::setShowLabels(bool)
    {92, 2233, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 46},	//2377 Plasma::SignalPlotter::showLabels() const
    {92, 2074, 7, 1, Smoke::mf_property, 0, 47},	//2378 Plasma::SignalPlotter::setShowTopBar(bool)
    {92, 2239, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 48},	//2379 Plasma::SignalPlotter::showTopBar() const
    {92, 1749, 581, 1, Smoke::mf_property, 0, 49},	//2380 Plasma::SignalPlotter::setBackgroundColor(const QColor&)
    {92, 747, 0, 0, Smoke::mf_const|Smoke::mf_property, 188, 50},	//2381 Plasma::SignalPlotter::backgroundColor() const
    {92, 2111, 89, 1, Smoke::mf_property, 0, 51},	//2382 Plasma::SignalPlotter::setSvgBackground(const QString&)
    {92, 2300, 0, 0, Smoke::mf_property, 292, 52},	//2383 Plasma::SignalPlotter::svgBackground()
    {92, 1271, 36, 1, Smoke::mf_const, 496, 53},	//2384 Plasma::SignalPlotter::lastValue(unsigned int) const
    {92, 1273, 36, 1, Smoke::mf_const, 292, 54},	//2385 Plasma::SignalPlotter::lastValueAsString(unsigned int) const
    {92, 2143, 7, 1, Smoke::mf_property, 0, 55},	//2386 Plasma::SignalPlotter::setThinFrame(bool)
    {92, 2337, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 56},	//2387 Plasma::SignalPlotter::thinFrame() const
    {92, 2092, 7, 1, Smoke::mf_property, 0, 57},	//2388 Plasma::SignalPlotter::setStackPlots(bool)
    {92, 2268, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 58},	//2389 Plasma::SignalPlotter::stackPlots() const
    {92, 1078, 809, 2, 0, 276, 59},	//2390 Plasma::SignalPlotter::getSnapshotImage(unsigned int, unsigned int)
    {92, 1879, 651, 1, Smoke::mf_virtual, 0, 60},	//2391 Plasma::SignalPlotter::setGeometry(const QRectF&)
    {92, 2389, 0, 0, Smoke::mf_protected, 0, 61},	//2392 Plasma::SignalPlotter::updateDataBuffers()
    {92, 757, 0, 0, Smoke::mf_protected, 0, 62},	//2393 Plasma::SignalPlotter::calculateNiceRange()
    {92, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2394 Plasma::SignalPlotter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {92, 955, 812, 4, Smoke::mf_protected, 0, 64},	//2395 Plasma::SignalPlotter::drawWidget(QPainter*, unsigned int, unsigned int, int)
    {92, 938, 817, 3, Smoke::mf_protected, 0, 65},	//2396 Plasma::SignalPlotter::drawBackground(QPainter*, int, int)
    {92, 946, 817, 3, Smoke::mf_protected, 0, 66},	//2397 Plasma::SignalPlotter::drawThinFrame(QPainter*, int, int)
    {92, 950, 817, 3, Smoke::mf_protected, 0, 67},	//2398 Plasma::SignalPlotter::drawTopBarFrame(QPainter*, int, int)
    {92, 948, 821, 4, Smoke::mf_protected, 0, 68},	//2399 Plasma::SignalPlotter::drawTopBarContents(QPainter*, int, int, int)
    {92, 952, 821, 4, Smoke::mf_protected, 0, 69},	//2400 Plasma::SignalPlotter::drawVerticalLines(QPainter*, int, int, int)
    {92, 944, 826, 5, Smoke::mf_protected, 0, 70},	//2401 Plasma::SignalPlotter::drawPlots(QPainter*, int, int, int, int)
    {92, 936, 817, 3, Smoke::mf_protected, 0, 71},	//2402 Plasma::SignalPlotter::drawAxisText(QPainter*, int, int)
    {92, 941, 821, 4, Smoke::mf_protected, 0, 72},	//2403 Plasma::SignalPlotter::drawHorizontalLines(QPainter*, int, int, int)
    {92, 2357, 1, 1, Smoke::mf_static, 292, 73},	//2404 Plasma::SignalPlotter::tr(const char*)
    {92, 2361, 1, 1, Smoke::mf_static, 292, 74},	//2405 Plasma::SignalPlotter::trUtf8(const char*)
    {92, 488, 0, 0, Smoke::mf_ctor, 150, 75},	//2406 Plasma::SignalPlotter::SignalPlotter()
    {92, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 76},	//2407 Plasma::SignalPlotter::staticMetaObject() const
    {92, 2517, 0, 0, Smoke::mf_dtor, 0, 77 },	//2408 Plasma::SignalPlotter::~SignalPlotter()
    {93, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2409 Plasma::Slider::metaObject() const
    {93, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2410 Plasma::Slider::qt_metacast(const char*)
    {93, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2411 Plasma::Slider::tr(const char*, const char*)
    {93, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2412 Plasma::Slider::trUtf8(const char*, const char*)
    {93, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2413 Plasma::Slider::tr(const char*, const char*, int)
    {93, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2414 Plasma::Slider::trUtf8(const char*, const char*, int)
    {93, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2415 Plasma::Slider::qt_metacall(QMetaObject::Call, int, void**)
    {93, 494, 125, 1, Smoke::mf_ctor, 151, 8},	//2416 Plasma::Slider::Slider(QGraphicsWidget*)
    {93, 1397, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 9},	//2417 Plasma::Slider::maximum() const
    {93, 1412, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 10},	//2418 Plasma::Slider::minimum() const
    {93, 2413, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 11},	//2419 Plasma::Slider::value() const
    {93, 1463, 0, 0, Smoke::mf_const|Smoke::mf_property, 357, 12},	//2420 Plasma::Slider::orientation() const
    {93, 2101, 89, 1, Smoke::mf_property, 0, 13},	//2421 Plasma::Slider::setStyleSheet(const QString&)
    {93, 2289, 0, 0, Smoke::mf_property, 292, 14},	//2422 Plasma::Slider::styleSheet()
    {93, 1439, 0, 0, Smoke::mf_const, 291, 15},	//2423 Plasma::Slider::nativeWidget() const
    {93, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2424 Plasma::Slider::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {93, 2442, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2425 Plasma::Slider::wheelEvent(QGraphicsSceneWheelEvent*)
    {93, 1953, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 18},	//2426 Plasma::Slider::setMaximum(int)
    {93, 1961, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//2427 Plasma::Slider::setMinimum(int)
    {93, 2029, 370, 2, Smoke::mf_slot, 0, 20},	//2428 Plasma::Slider::setRange(int, int)
    {93, 2177, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//2429 Plasma::Slider::setValue(int)
    {93, 1986, 640, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//2430 Plasma::Slider::setOrientation(Qt::Orientation)
    {93, 2257, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2431 Plasma::Slider::sliderMoved(int)
    {93, 2414, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2432 Plasma::Slider::valueChanged(int)
    {93, 2357, 1, 1, Smoke::mf_static, 292, 25},	//2433 Plasma::Slider::tr(const char*)
    {93, 2361, 1, 1, Smoke::mf_static, 292, 26},	//2434 Plasma::Slider::trUtf8(const char*)
    {93, 494, 0, 0, Smoke::mf_ctor, 151, 27},	//2435 Plasma::Slider::Slider()
    {93, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 28},	//2436 Plasma::Slider::staticMetaObject() const
    {93, 2518, 0, 0, Smoke::mf_dtor, 0, 29 },	//2437 Plasma::Slider::~Slider()
    {94, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2438 Plasma::SpinBox::metaObject() const
    {94, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2439 Plasma::SpinBox::qt_metacast(const char*)
    {94, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2440 Plasma::SpinBox::tr(const char*, const char*)
    {94, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2441 Plasma::SpinBox::trUtf8(const char*, const char*)
    {94, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2442 Plasma::SpinBox::tr(const char*, const char*, int)
    {94, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2443 Plasma::SpinBox::trUtf8(const char*, const char*, int)
    {94, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2444 Plasma::SpinBox::qt_metacall(QMetaObject::Call, int, void**)
    {94, 501, 125, 1, Smoke::mf_ctor, 152, 8},	//2445 Plasma::SpinBox::SpinBox(QGraphicsWidget*)
    {94, 1397, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 9},	//2446 Plasma::SpinBox::maximum() const
    {94, 1412, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 10},	//2447 Plasma::SpinBox::minimum() const
    {94, 2413, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 11},	//2448 Plasma::SpinBox::value() const
    {94, 2101, 89, 1, Smoke::mf_property, 0, 12},	//2449 Plasma::SpinBox::setStyleSheet(const QString&)
    {94, 2289, 0, 0, Smoke::mf_property, 292, 13},	//2450 Plasma::SpinBox::styleSheet()
    {94, 1439, 0, 0, Smoke::mf_const, 12, 14},	//2451 Plasma::SpinBox::nativeWidget() const
    {94, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//2452 Plasma::SpinBox::changeEvent(QEvent*)
    {94, 1119, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2453 Plasma::SpinBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {94, 1121, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2454 Plasma::SpinBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {94, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2455 Plasma::SpinBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {94, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2456 Plasma::SpinBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {94, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2457 Plasma::SpinBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {94, 1053, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2458 Plasma::SpinBox::focusOutEvent(QFocusEvent*)
    {94, 1953, 129, 1, Smoke::mf_slot, 0, 22},	//2459 Plasma::SpinBox::setMaximum(int)
    {94, 1961, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//2460 Plasma::SpinBox::setMinimum(int)
    {94, 2029, 370, 2, Smoke::mf_slot, 0, 24},	//2461 Plasma::SpinBox::setRange(int, int)
    {94, 2177, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 25},	//2462 Plasma::SpinBox::setValue(int)
    {94, 2257, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2463 Plasma::SpinBox::sliderMoved(int)
    {94, 2414, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2464 Plasma::SpinBox::valueChanged(int)
    {94, 961, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2465 Plasma::SpinBox::editingFinished()
    {94, 2357, 1, 1, Smoke::mf_static, 292, 29},	//2466 Plasma::SpinBox::tr(const char*)
    {94, 2361, 1, 1, Smoke::mf_static, 292, 30},	//2467 Plasma::SpinBox::trUtf8(const char*)
    {94, 501, 0, 0, Smoke::mf_ctor, 152, 31},	//2468 Plasma::SpinBox::SpinBox()
    {94, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 32},	//2469 Plasma::SpinBox::staticMetaObject() const
    {94, 2519, 0, 0, Smoke::mf_dtor, 0, 33 },	//2470 Plasma::SpinBox::~SpinBox()
    {95, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2471 Plasma::Svg::metaObject() const
    {95, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2472 Plasma::Svg::qt_metacast(const char*)
    {95, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2473 Plasma::Svg::tr(const char*, const char*)
    {95, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2474 Plasma::Svg::trUtf8(const char*, const char*)
    {95, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2475 Plasma::Svg::tr(const char*, const char*, int)
    {95, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2476 Plasma::Svg::trUtf8(const char*, const char*, int)
    {95, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2477 Plasma::Svg::qt_metacall(QMetaObject::Call, int, void**)
    {95, 516, 97, 1, Smoke::mf_ctor, 153, 8},	//2478 Plasma::Svg::Svg(QObject*)
    {95, 1505, 89, 1, 0, 276, 9},	//2479 Plasma::Svg::pixmap(const QString&)
    {95, 1471, 832, 3, 0, 0, 10},	//2480 Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    {95, 1471, 836, 4, 0, 0, 11},	//2481 Plasma::Svg::paint(QPainter*, int, int, const QString&)
    {95, 1471, 841, 3, 0, 0, 12},	//2482 Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    {95, 1471, 845, 6, 0, 0, 13},	//2483 Plasma::Svg::paint(QPainter*, int, int, int, int, const QString&)
    {95, 2247, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//2484 Plasma::Svg::size() const
    {95, 1631, 806, 2, 0, 0, 15},	//2485 Plasma::Svg::resize(double, double)
    {95, 1631, 603, 1, 0, 0, 16},	//2486 Plasma::Svg::resize(const QSizeF&)
    {95, 1631, 0, 0, 0, 0, 17},	//2487 Plasma::Svg::resize()
    {95, 981, 89, 1, Smoke::mf_const, 289, 18},	//2488 Plasma::Svg::elementSize(const QString&) const
    {95, 979, 89, 1, Smoke::mf_const, 282, 19},	//2489 Plasma::Svg::elementRect(const QString&) const
    {95, 1092, 89, 1, Smoke::mf_const, 406, 20},	//2490 Plasma::Svg::hasElement(const QString&) const
    {95, 974, 555, 1, Smoke::mf_const, 292, 21},	//2491 Plasma::Svg::elementAtPoint(const QPoint&) const
    {95, 1215, 0, 0, Smoke::mf_const, 406, 22},	//2492 Plasma::Svg::isValid() const
    {95, 1788, 7, 1, Smoke::mf_property, 0, 23},	//2493 Plasma::Svg::setContainsMultipleImages(bool)
    {95, 833, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 24},	//2494 Plasma::Svg::containsMultipleImages() const
    {95, 1920, 89, 1, Smoke::mf_property, 0, 25},	//2495 Plasma::Svg::setImagePath(const QString&)
    {95, 1131, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 26},	//2496 Plasma::Svg::imagePath() const
    {95, 2173, 7, 1, Smoke::mf_property, 0, 27},	//2497 Plasma::Svg::setUsingRenderingCache(bool)
    {95, 1214, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 28},	//2498 Plasma::Svg::isUsingRenderingCache() const
    {95, 2139, 852, 1, 0, 0, 29},	//2499 Plasma::Svg::setTheme(Plasma::Theme*)
    {95, 2334, 0, 0, Smoke::mf_const, 158, 30},	//2500 Plasma::Svg::theme() const
    {95, 1622, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2501 Plasma::Svg::repaintNeeded()
    {95, 2248, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2502 Plasma::Svg::sizeChanged()
    {95, 2357, 1, 1, Smoke::mf_static, 292, 33},	//2503 Plasma::Svg::tr(const char*)
    {95, 2361, 1, 1, Smoke::mf_static, 292, 34},	//2504 Plasma::Svg::trUtf8(const char*)
    {95, 516, 0, 0, Smoke::mf_ctor, 153, 35},	//2505 Plasma::Svg::Svg()
    {95, 1505, 0, 0, 0, 276, 36},	//2506 Plasma::Svg::pixmap()
    {95, 1471, 616, 2, 0, 0, 37},	//2507 Plasma::Svg::paint(QPainter*, const QPointF&)
    {95, 1471, 817, 3, 0, 0, 38},	//2508 Plasma::Svg::paint(QPainter*, int, int)
    {95, 1471, 619, 2, 0, 0, 39},	//2509 Plasma::Svg::paint(QPainter*, const QRectF&)
    {95, 1471, 826, 5, 0, 0, 40},	//2510 Plasma::Svg::paint(QPainter*, int, int, int, int)
    {95, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 41},	//2511 Plasma::Svg::staticMetaObject() const
    {95, 2521, 0, 0, Smoke::mf_dtor, 0, 42 },	//2512 Plasma::Svg::~Svg()
    {96, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2513 Plasma::SvgWidget::metaObject() const
    {96, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2514 Plasma::SvgWidget::qt_metacast(const char*)
    {96, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2515 Plasma::SvgWidget::tr(const char*, const char*)
    {96, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2516 Plasma::SvgWidget::trUtf8(const char*, const char*)
    {96, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2517 Plasma::SvgWidget::tr(const char*, const char*, int)
    {96, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2518 Plasma::SvgWidget::trUtf8(const char*, const char*, int)
    {96, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2519 Plasma::SvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {96, 518, 767, 2, Smoke::mf_ctor, 154, 8},	//2520 Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    {96, 518, 854, 4, Smoke::mf_ctor, 154, 9},	//2521 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>)
    {96, 2107, 859, 1, 0, 0, 10},	//2522 Plasma::SvgWidget::setSvg(Plasma::Svg*)
    {96, 2299, 0, 0, Smoke::mf_const, 153, 11},	//2523 Plasma::SvgWidget::svg() const
    {96, 1849, 89, 1, Smoke::mf_property, 0, 12},	//2524 Plasma::SvgWidget::setElementID(const QString&)
    {96, 978, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 13},	//2525 Plasma::SvgWidget::elementID() const
    {96, 1423, 278, 1, Smoke::mf_virtual, 0, 14},	//2526 Plasma::SvgWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {96, 777, 861, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2527 Plasma::SvgWidget::clicked(Qt::MouseButton)
    {96, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2528 Plasma::SvgWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {96, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 17},	//2529 Plasma::SvgWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {96, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2530 Plasma::SvgWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {96, 2357, 1, 1, Smoke::mf_static, 292, 19},	//2531 Plasma::SvgWidget::tr(const char*)
    {96, 2361, 1, 1, Smoke::mf_static, 292, 20},	//2532 Plasma::SvgWidget::trUtf8(const char*)
    {96, 518, 0, 0, Smoke::mf_ctor, 154, 21},	//2533 Plasma::SvgWidget::SvgWidget()
    {96, 518, 170, 1, Smoke::mf_ctor, 154, 22},	//2534 Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    {96, 518, 859, 1, Smoke::mf_ctor, 154, 23},	//2535 Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    {96, 518, 863, 2, Smoke::mf_ctor, 154, 24},	//2536 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    {96, 518, 866, 3, Smoke::mf_ctor, 154, 25},	//2537 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*)
    {96, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 26},	//2538 Plasma::SvgWidget::staticMetaObject() const
    {96, 2522, 0, 0, Smoke::mf_dtor, 0, 27 },	//2539 Plasma::SvgWidget::~SvgWidget()
    {97, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2540 Plasma::TabBar::metaObject() const
    {97, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2541 Plasma::TabBar::qt_metacast(const char*)
    {97, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2542 Plasma::TabBar::tr(const char*, const char*)
    {97, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2543 Plasma::TabBar::trUtf8(const char*, const char*)
    {97, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2544 Plasma::TabBar::tr(const char*, const char*, int)
    {97, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2545 Plasma::TabBar::trUtf8(const char*, const char*, int)
    {97, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2546 Plasma::TabBar::qt_metacall(QMetaObject::Call, int, void**)
    {97, 524, 125, 1, Smoke::mf_ctor, 155, 8},	//2547 Plasma::TabBar::TabBar(QGraphicsWidget*)
    {97, 1158, 870, 4, 0, 499, 9},	//2548 Plasma::TabBar::insertTab(int, const QIcon&, const QString&, QGraphicsLayoutItem*)
    {97, 1158, 875, 3, 0, 499, 10},	//2549 Plasma::TabBar::insertTab(int, const QString&, QGraphicsLayoutItem*)
    {97, 679, 879, 3, 0, 499, 11},	//2550 Plasma::TabBar::addTab(const QIcon&, const QString&, QGraphicsLayoutItem*)
    {97, 679, 883, 2, 0, 499, 12},	//2551 Plasma::TabBar::addTab(const QString&, QGraphicsLayoutItem*)
    {97, 1603, 129, 1, 0, 0, 13},	//2552 Plasma::TabBar::removeTab(int)
    {97, 2315, 129, 1, 0, 217, 14},	//2553 Plasma::TabBar::takeTab(int)
    {97, 2308, 129, 1, 0, 217, 15},	//2554 Plasma::TabBar::tabAt(int)
    {97, 874, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 16},	//2555 Plasma::TabBar::currentIndex() const
    {97, 850, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 17},	//2556 Plasma::TabBar::count() const
    {97, 2121, 663, 2, 0, 0, 18},	//2557 Plasma::TabBar::setTabText(int, const QString&)
    {97, 2312, 129, 1, Smoke::mf_const, 292, 19},	//2558 Plasma::TabBar::tabText(int) const
    {97, 2119, 886, 2, 0, 0, 20},	//2559 Plasma::TabBar::setTabIcon(int, const QIcon&)
    {97, 2310, 129, 1, Smoke::mf_const, 235, 21},	//2560 Plasma::TabBar::tabIcon(int) const
    {97, 2115, 7, 1, Smoke::mf_property, 0, 22},	//2561 Plasma::TabBar::setTabBarShown(bool)
    {97, 1207, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 23},	//2562 Plasma::TabBar::isTabBarShown() const
    {97, 2101, 89, 1, Smoke::mf_property, 0, 24},	//2563 Plasma::TabBar::setStyleSheet(const QString&)
    {97, 2289, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 25},	//2564 Plasma::TabBar::styleSheet() const
    {97, 2117, 889, 2, 0, 0, 26},	//2565 Plasma::TabBar::setTabHighlighted(int, bool)
    {97, 1208, 129, 1, Smoke::mf_const, 406, 27},	//2566 Plasma::TabBar::isTabHighlighted(int) const
    {97, 1439, 0, 0, Smoke::mf_const, 25, 28},	//2567 Plasma::TabBar::nativeWidget() const
    {97, 1868, 125, 1, 0, 0, 29},	//2568 Plasma::TabBar::setFirstPositionWidget(QGraphicsWidget*)
    {97, 1038, 0, 0, Smoke::mf_const, 228, 30},	//2569 Plasma::TabBar::firstPositionWidget() const
    {97, 1943, 125, 1, 0, 0, 31},	//2570 Plasma::TabBar::setLastPositionWidget(QGraphicsWidget*)
    {97, 1269, 0, 0, Smoke::mf_const, 228, 32},	//2571 Plasma::TabBar::lastPositionWidget() const
    {97, 1806, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 33},	//2572 Plasma::TabBar::setCurrentIndex(int)
    {97, 872, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//2573 Plasma::TabBar::currentChanged(int)
    {97, 2442, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//2574 Plasma::TabBar::wheelEvent(QGraphicsSceneWheelEvent*)
    {97, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//2575 Plasma::TabBar::resizeEvent(QGraphicsSceneResizeEvent*)
    {97, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//2576 Plasma::TabBar::changeEvent(QEvent*)
    {97, 2357, 1, 1, Smoke::mf_static, 292, 38},	//2577 Plasma::TabBar::tr(const char*)
    {97, 2361, 1, 1, Smoke::mf_static, 292, 39},	//2578 Plasma::TabBar::trUtf8(const char*)
    {97, 524, 0, 0, Smoke::mf_ctor, 155, 40},	//2579 Plasma::TabBar::TabBar()
    {97, 1158, 892, 3, 0, 499, 41},	//2580 Plasma::TabBar::insertTab(int, const QIcon&, const QString&)
    {97, 1158, 663, 2, 0, 499, 42},	//2581 Plasma::TabBar::insertTab(int, const QString&)
    {97, 679, 648, 2, 0, 499, 43},	//2582 Plasma::TabBar::addTab(const QIcon&, const QString&)
    {97, 679, 89, 1, 0, 499, 44},	//2583 Plasma::TabBar::addTab(const QString&)
    {97, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 45},	//2584 Plasma::TabBar::staticMetaObject() const
    {97, 2523, 0, 0, Smoke::mf_dtor, 0, 46 },	//2585 Plasma::TabBar::~TabBar()
    {98, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2586 Plasma::TextBrowser::metaObject() const
    {98, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2587 Plasma::TextBrowser::qt_metacast(const char*)
    {98, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2588 Plasma::TextBrowser::tr(const char*, const char*)
    {98, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2589 Plasma::TextBrowser::trUtf8(const char*, const char*)
    {98, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2590 Plasma::TextBrowser::tr(const char*, const char*, int)
    {98, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2591 Plasma::TextBrowser::trUtf8(const char*, const char*, int)
    {98, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2592 Plasma::TextBrowser::qt_metacall(QMetaObject::Call, int, void**)
    {98, 526, 125, 1, Smoke::mf_ctor, 156, 8},	//2593 Plasma::TextBrowser::TextBrowser(QGraphicsWidget*)
    {98, 2133, 89, 1, Smoke::mf_property, 0, 9},	//2594 Plasma::TextBrowser::setText(const QString&)
    {98, 2327, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 10},	//2595 Plasma::TextBrowser::text() const
    {98, 1902, 896, 1, 0, 0, 11},	//2596 Plasma::TextBrowser::setHorizontalScrollBarPolicy(Qt::ScrollBarPolicy)
    {98, 2189, 896, 1, 0, 0, 12},	//2597 Plasma::TextBrowser::setVerticalScrollBarPolicy(Qt::ScrollBarPolicy)
    {98, 2101, 89, 1, Smoke::mf_property, 0, 13},	//2598 Plasma::TextBrowser::setStyleSheet(const QString&)
    {98, 2289, 0, 0, Smoke::mf_property, 292, 14},	//2599 Plasma::TextBrowser::styleSheet()
    {98, 1439, 0, 0, Smoke::mf_const, 26, 15},	//2600 Plasma::TextBrowser::nativeWidget() const
    {98, 713, 89, 1, Smoke::mf_slot, 0, 16},	//2601 Plasma::TextBrowser::append(const QString&)
    {98, 892, 489, 2, Smoke::mf_slot, 0, 17},	//2602 Plasma::TextBrowser::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {98, 2329, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2603 Plasma::TextBrowser::textChanged()
    {98, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2604 Plasma::TextBrowser::resizeEvent(QGraphicsSceneResizeEvent*)
    {98, 2442, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2605 Plasma::TextBrowser::wheelEvent(QGraphicsSceneWheelEvent*)
    {98, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2606 Plasma::TextBrowser::changeEvent(QEvent*)
    {98, 845, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2607 Plasma::TextBrowser::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {98, 2357, 1, 1, Smoke::mf_static, 292, 23},	//2608 Plasma::TextBrowser::tr(const char*)
    {98, 2361, 1, 1, Smoke::mf_static, 292, 24},	//2609 Plasma::TextBrowser::trUtf8(const char*)
    {98, 526, 0, 0, Smoke::mf_ctor, 156, 25},	//2610 Plasma::TextBrowser::TextBrowser()
    {98, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 26},	//2611 Plasma::TextBrowser::staticMetaObject() const
    {98, 2524, 0, 0, Smoke::mf_dtor, 0, 27 },	//2612 Plasma::TextBrowser::~TextBrowser()
    {99, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2613 Plasma::TextEdit::metaObject() const
    {99, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2614 Plasma::TextEdit::qt_metacast(const char*)
    {99, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2615 Plasma::TextEdit::tr(const char*, const char*)
    {99, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2616 Plasma::TextEdit::trUtf8(const char*, const char*)
    {99, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2617 Plasma::TextEdit::tr(const char*, const char*, int)
    {99, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2618 Plasma::TextEdit::trUtf8(const char*, const char*, int)
    {99, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2619 Plasma::TextEdit::qt_metacall(QMetaObject::Call, int, void**)
    {99, 529, 125, 1, Smoke::mf_ctor, 157, 8},	//2620 Plasma::TextEdit::TextEdit(QGraphicsWidget*)
    {99, 2133, 89, 1, Smoke::mf_property, 0, 9},	//2621 Plasma::TextEdit::setText(const QString&)
    {99, 2327, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 10},	//2622 Plasma::TextEdit::text() const
    {99, 2031, 7, 1, Smoke::mf_property, 0, 11},	//2623 Plasma::TextEdit::setReadOnly(bool)
    {99, 1199, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 12},	//2624 Plasma::TextEdit::isReadOnly() const
    {99, 2101, 89, 1, Smoke::mf_property, 0, 13},	//2625 Plasma::TextEdit::setStyleSheet(const QString&)
    {99, 2289, 0, 0, Smoke::mf_property, 292, 14},	//2626 Plasma::TextEdit::styleSheet()
    {99, 1974, 898, 1, 0, 0, 15},	//2627 Plasma::TextEdit::setNativeWidget(KTextEdit*)
    {99, 1439, 0, 0, Smoke::mf_const, 27, 16},	//2628 Plasma::TextEdit::nativeWidget() const
    {99, 713, 89, 1, Smoke::mf_slot, 0, 17},	//2629 Plasma::TextEdit::append(const QString&)
    {99, 892, 489, 2, Smoke::mf_slot, 0, 18},	//2630 Plasma::TextEdit::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {99, 2329, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2631 Plasma::TextEdit::textChanged()
    {99, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2632 Plasma::TextEdit::resizeEvent(QGraphicsSceneResizeEvent*)
    {99, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2633 Plasma::TextEdit::changeEvent(QEvent*)
    {99, 845, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2634 Plasma::TextEdit::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {99, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2635 Plasma::TextEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {99, 1053, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//2636 Plasma::TextEdit::focusOutEvent(QFocusEvent*)
    {99, 2357, 1, 1, Smoke::mf_static, 292, 25},	//2637 Plasma::TextEdit::tr(const char*)
    {99, 2361, 1, 1, Smoke::mf_static, 292, 26},	//2638 Plasma::TextEdit::trUtf8(const char*)
    {99, 529, 0, 0, Smoke::mf_ctor, 157, 27},	//2639 Plasma::TextEdit::TextEdit()
    {99, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 28},	//2640 Plasma::TextEdit::staticMetaObject() const
    {99, 2525, 0, 0, Smoke::mf_dtor, 0, 29 },	//2641 Plasma::TextEdit::~TextEdit()
    {100, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2642 Plasma::Theme::metaObject() const
    {100, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2643 Plasma::Theme::qt_metacast(const char*)
    {100, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2644 Plasma::Theme::tr(const char*, const char*)
    {100, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2645 Plasma::Theme::trUtf8(const char*, const char*)
    {100, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2646 Plasma::Theme::tr(const char*, const char*, int)
    {100, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2647 Plasma::Theme::trUtf8(const char*, const char*, int)
    {100, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2648 Plasma::Theme::qt_metacall(QMetaObject::Call, int, void**)
    {100, 897, 0, 0, Smoke::mf_static, 158, 8},	//2649 Plasma::Theme::defaultTheme()
    {100, 531, 97, 1, Smoke::mf_ctor, 158, 9},	//2650 Plasma::Theme::Theme(QObject*)
    {100, 531, 149, 2, Smoke::mf_ctor, 158, 10},	//2651 Plasma::Theme::Theme(const QString&, QObject*)
    {100, 1466, 0, 0, Smoke::mf_static, 20, 11},	//2652 Plasma::Theme::packageStructure()
    {100, 1324, 0, 0, Smoke::mf_static, 241, 12},	//2653 Plasma::Theme::listThemeInfo()
    {100, 2141, 89, 1, 0, 0, 13},	//2654 Plasma::Theme::setThemeName(const QString&)
    {100, 2336, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 14},	//2655 Plasma::Theme::themeName() const
    {100, 1131, 89, 1, Smoke::mf_const, 292, 15},	//2656 Plasma::Theme::imagePath(const QString&) const
    {100, 707, 89, 1, Smoke::mf_const, 292, 16},	//2657 Plasma::Theme::animationPath(const QString&) const
    {100, 2439, 186, 1, Smoke::mf_const, 292, 17},	//2658 Plasma::Theme::wallpaperPath(const QSize&) const
    {100, 879, 89, 1, Smoke::mf_const, 406, 18},	//2659 Plasma::Theme::currentThemeHasImage(const QString&) const
    {100, 788, 0, 0, Smoke::mf_const, 19, 19},	//2660 Plasma::Theme::colorScheme() const
    {100, 786, 900, 1, Smoke::mf_const, 188, 20},	//2661 Plasma::Theme::color(Plasma::Theme::ColorRole) const
    {100, 1870, 902, 2, 0, 0, 21},	//2662 Plasma::Theme::setFont(const QFont&, Plasma::Theme::FontRole)
    {100, 1056, 905, 1, Smoke::mf_const, 210, 22},	//2663 Plasma::Theme::font(Plasma::Theme::FontRole) const
    {100, 1060, 0, 0, Smoke::mf_const, 211, 23},	//2664 Plasma::Theme::fontMetrics() const
    {100, 2451, 0, 0, Smoke::mf_const, 406, 24},	//2665 Plasma::Theme::windowTranslucencyEnabled() const
    {100, 2169, 7, 1, 0, 0, 25},	//2666 Plasma::Theme::setUseGlobalSettings(bool)
    {100, 2406, 0, 0, Smoke::mf_const, 406, 26},	//2667 Plasma::Theme::useGlobalSettings() const
    {100, 2407, 0, 0, Smoke::mf_const, 406, 27},	//2668 Plasma::Theme::useNativeWidgetStyle() const
    {100, 2289, 89, 1, Smoke::mf_const, 292, 28},	//2669 Plasma::Theme::styleSheet(const QString&) const
    {100, 1027, 907, 2, 0, 406, 29},	//2670 Plasma::Theme::findInCache(const QString&, QPixmap&)
    {100, 1027, 910, 3, 0, 406, 30},	//2671 Plasma::Theme::findInCache(const QString&, QPixmap&, unsigned int)
    {100, 1153, 914, 2, 0, 0, 31},	//2672 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&)
    {100, 1153, 917, 3, 0, 0, 32},	//2673 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&, const QString&)
    {100, 1759, 129, 1, 0, 0, 33},	//2674 Plasma::Theme::setCacheLimit(int)
    {100, 1030, 921, 3, Smoke::mf_const, 406, 34},	//2675 Plasma::Theme::findInRectsCache(const QString&, const QString&, QRectF&) const
    {100, 1296, 89, 1, Smoke::mf_const, 293, 35},	//2676 Plasma::Theme::listCachedRectKeys(const QString&) const
    {100, 1156, 925, 3, 0, 0, 36},	//2677 Plasma::Theme::insertIntoRectsCache(const QString&, const QString&, const QRectF&)
    {100, 1166, 89, 1, 0, 0, 37},	//2678 Plasma::Theme::invalidateRectsCache(const QString&)
    {100, 1564, 89, 1, 0, 0, 38},	//2679 Plasma::Theme::releaseRectsCache(const QString&)
    {100, 1114, 0, 0, Smoke::mf_const, 28, 39},	//2680 Plasma::Theme::homepage() const
    {100, 2353, 0, 0, Smoke::mf_const, 499, 40},	//2681 Plasma::Theme::toolTipDelay() const
    {100, 2335, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2682 Plasma::Theme::themeChanged()
    {100, 2212, 0, 0, Smoke::mf_slot, 0, 42},	//2683 Plasma::Theme::settingsChanged()
    {100, 2357, 1, 1, Smoke::mf_static, 292, 43},	//2684 Plasma::Theme::tr(const char*)
    {100, 2361, 1, 1, Smoke::mf_static, 292, 44},	//2685 Plasma::Theme::trUtf8(const char*)
    {100, 531, 0, 0, Smoke::mf_ctor, 158, 45},	//2686 Plasma::Theme::Theme()
    {100, 531, 89, 1, Smoke::mf_ctor, 158, 46},	//2687 Plasma::Theme::Theme(const QString&)
    {100, 2439, 0, 0, Smoke::mf_const, 292, 47},	//2688 Plasma::Theme::wallpaperPath() const
    {100, 1870, 579, 1, 0, 0, 48},	//2689 Plasma::Theme::setFont(const QFont&)
    {100, 2289, 0, 0, Smoke::mf_const, 292, 49},	//2690 Plasma::Theme::styleSheet() const
    {100, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 50},	//2691 Plasma::Theme::staticMetaObject() const
    {100, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 51},	//2692 Plasma::Theme::TextColor (enum)
    {100, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 52},	//2693 Plasma::Theme::HighlightColor (enum)
    {100, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 53},	//2694 Plasma::Theme::BackgroundColor (enum)
    {100, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 54},	//2695 Plasma::Theme::ButtonTextColor (enum)
    {100, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 55},	//2696 Plasma::Theme::ButtonBackgroundColor (enum)
    {100, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 56},	//2697 Plasma::Theme::LinkColor (enum)
    {100, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 57},	//2698 Plasma::Theme::VisitedLinkColor (enum)
    {100, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 58},	//2699 Plasma::Theme::ButtonHoverColor (enum)
    {100, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 59},	//2700 Plasma::Theme::ButtonFocusColor (enum)
    {100, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 60},	//2701 Plasma::Theme::ViewTextColor (enum)
    {100, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 61},	//2702 Plasma::Theme::ViewBackgroundColor (enum)
    {100, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 62},	//2703 Plasma::Theme::ViewHoverColor (enum)
    {100, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 63},	//2704 Plasma::Theme::ViewFocusColor (enum)
    {100, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 64},	//2705 Plasma::Theme::DefaultFont (enum)
    {100, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 65},	//2706 Plasma::Theme::DesktopFont (enum)
    {100, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 66},	//2707 Plasma::Theme::SmallestFont (enum)
    {100, 2526, 0, 0, Smoke::mf_dtor, 0, 67 },	//2708 Plasma::Theme::~Theme()
    {101, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2709 Plasma::ToolButton::metaObject() const
    {101, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2710 Plasma::ToolButton::qt_metacast(const char*)
    {101, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2711 Plasma::ToolButton::tr(const char*, const char*)
    {101, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2712 Plasma::ToolButton::trUtf8(const char*, const char*)
    {101, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2713 Plasma::ToolButton::tr(const char*, const char*, int)
    {101, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2714 Plasma::ToolButton::trUtf8(const char*, const char*, int)
    {101, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2715 Plasma::ToolButton::qt_metacall(QMetaObject::Call, int, void**)
    {101, 536, 125, 1, Smoke::mf_ctor, 161, 8},	//2716 Plasma::ToolButton::ToolButton(QGraphicsWidget*)
    {101, 1745, 7, 1, Smoke::mf_property, 0, 9},	//2717 Plasma::ToolButton::setAutoRaise(bool)
    {101, 741, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 10},	//2718 Plasma::ToolButton::autoRaise() const
    {101, 2133, 89, 1, Smoke::mf_property, 0, 11},	//2719 Plasma::ToolButton::setText(const QString&)
    {101, 2327, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 12},	//2720 Plasma::ToolButton::text() const
    {101, 1916, 89, 1, Smoke::mf_property, 0, 13},	//2721 Plasma::ToolButton::setImage(const QString&)
    {101, 1916, 77, 2, 0, 0, 14},	//2722 Plasma::ToolButton::setImage(const QString&, const QString&)
    {101, 1130, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 15},	//2723 Plasma::ToolButton::image() const
    {101, 1836, 7, 1, Smoke::mf_property, 0, 16},	//2724 Plasma::ToolButton::setDown(bool)
    {101, 1181, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 17},	//2725 Plasma::ToolButton::isDown() const
    {101, 2101, 89, 1, Smoke::mf_property, 0, 18},	//2726 Plasma::ToolButton::setStyleSheet(const QString&)
    {101, 2289, 0, 0, Smoke::mf_property, 292, 19},	//2727 Plasma::ToolButton::styleSheet()
    {101, 1709, 107, 1, 0, 0, 20},	//2728 Plasma::ToolButton::setAction(QAction*)
    {101, 608, 0, 0, Smoke::mf_const, 182, 21},	//2729 Plasma::ToolButton::action() const
    {101, 1909, 567, 1, 0, 0, 22},	//2730 Plasma::ToolButton::setIcon(const QIcon&)
    {101, 1126, 0, 0, Smoke::mf_const, 235, 23},	//2731 Plasma::ToolButton::icon() const
    {101, 1439, 0, 0, Smoke::mf_const, 300, 24},	//2732 Plasma::ToolButton::nativeWidget() const
    {101, 777, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2733 Plasma::ToolButton::clicked()
    {101, 1527, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2734 Plasma::ToolButton::pressed()
    {101, 1567, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2735 Plasma::ToolButton::released()
    {101, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//2736 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {101, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2737 Plasma::ToolButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {101, 1119, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//2738 Plasma::ToolButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {101, 1121, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2739 Plasma::ToolButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {101, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//2740 Plasma::ToolButton::changeEvent(QEvent*)
    {101, 1230, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 303, 33},	//2741 Plasma::ToolButton::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {101, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 34},	//2742 Plasma::ToolButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {101, 2357, 1, 1, Smoke::mf_static, 292, 35},	//2743 Plasma::ToolButton::tr(const char*)
    {101, 2361, 1, 1, Smoke::mf_static, 292, 36},	//2744 Plasma::ToolButton::trUtf8(const char*)
    {101, 536, 0, 0, Smoke::mf_ctor, 161, 37},	//2745 Plasma::ToolButton::ToolButton()
    {101, 1471, 328, 2, Smoke::mf_protected, 0, 38},	//2746 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {101, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 39},	//2747 Plasma::ToolButton::staticMetaObject() const
    {101, 2527, 0, 0, Smoke::mf_dtor, 0, 40 },	//2748 Plasma::ToolButton::~ToolButton()
    {102, 538, 0, 0, Smoke::mf_ctor, 163, 1},	//2749 Plasma::ToolTipContent::ToolTipContent()
    {102, 538, 929, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 163, 2},	//2750 Plasma::ToolTipContent::ToolTipContent(const Plasma::ToolTipContent&)
    {102, 538, 931, 3, Smoke::mf_ctor, 163, 3},	//2751 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    {102, 538, 935, 3, Smoke::mf_ctor, 163, 4},	//2752 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    {102, 1459, 929, 1, 0, 162, 5},	//2753 Plasma::ToolTipContent::operator=(const Plasma::ToolTipContent&)
    {102, 1182, 0, 0, Smoke::mf_const, 406, 6},	//2754 Plasma::ToolTipContent::isEmpty() const
    {102, 1949, 89, 1, 0, 0, 7},	//2755 Plasma::ToolTipContent::setMainText(const QString&)
    {102, 1376, 0, 0, Smoke::mf_const, 292, 8},	//2756 Plasma::ToolTipContent::mainText() const
    {102, 2103, 89, 1, 0, 0, 9},	//2757 Plasma::ToolTipContent::setSubText(const QString&)
    {102, 2291, 0, 0, Smoke::mf_const, 292, 10},	//2758 Plasma::ToolTipContent::subText() const
    {102, 1916, 594, 1, 0, 0, 11},	//2759 Plasma::ToolTipContent::setImage(const QPixmap&)
    {102, 1916, 567, 1, 0, 0, 12},	//2760 Plasma::ToolTipContent::setImage(const QIcon&)
    {102, 1130, 0, 0, Smoke::mf_const, 276, 13},	//2761 Plasma::ToolTipContent::image() const
    {102, 2204, 939, 1, 0, 0, 14},	//2762 Plasma::ToolTipContent::setWindowToPreview(unsigned long)
    {102, 2450, 0, 0, Smoke::mf_const, 507, 15},	//2763 Plasma::ToolTipContent::windowToPreview() const
    {102, 2206, 941, 1, 0, 0, 16},	//2764 Plasma::ToolTipContent::setWindowsToPreview(const QList<unsigned long>&)
    {102, 2452, 0, 0, Smoke::mf_const, 260, 17},	//2765 Plasma::ToolTipContent::windowsToPreview() const
    {102, 1894, 7, 1, 0, 0, 18},	//2766 Plasma::ToolTipContent::setHighlightWindows(bool)
    {102, 1113, 0, 0, Smoke::mf_const, 406, 19},	//2767 Plasma::ToolTipContent::highlightWindows() const
    {102, 1747, 7, 1, 0, 0, 20},	//2768 Plasma::ToolTipContent::setAutohide(bool)
    {102, 742, 0, 0, Smoke::mf_const, 406, 21},	//2769 Plasma::ToolTipContent::autohide() const
    {102, 1930, 7, 1, 0, 0, 22},	//2770 Plasma::ToolTipContent::setInstantPopup(bool)
    {102, 1188, 0, 0, Smoke::mf_const, 406, 23},	//2771 Plasma::ToolTipContent::isInstantPopup() const
    {102, 665, 943, 3, 0, 0, 24},	//2772 Plasma::ToolTipContent::addResource(Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&)
    {102, 1558, 947, 1, Smoke::mf_const, 0, 25},	//2773 Plasma::ToolTipContent::registerResources(QTextDocument*) const
    {102, 1771, 7, 1, 0, 0, 26},	//2774 Plasma::ToolTipContent::setClickable(bool)
    {102, 1177, 0, 0, Smoke::mf_const, 406, 27},	//2775 Plasma::ToolTipContent::isClickable() const
    {102, 1883, 125, 1, 0, 0, 28},	//2776 Plasma::ToolTipContent::setGraphicsWidget(QGraphicsWidget*)
    {102, 1084, 0, 0, Smoke::mf_const, 228, 29},	//2777 Plasma::ToolTipContent::graphicsWidget() const
    {102, 538, 77, 2, Smoke::mf_ctor, 163, 30},	//2778 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&)
    {102, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 31},	//2779 Plasma::ToolTipContent::ImageResource (enum)
    {102, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 32},	//2780 Plasma::ToolTipContent::HtmlResource (enum)
    {102, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 33},	//2781 Plasma::ToolTipContent::CssResource (enum)
    {102, 2528, 0, 0, Smoke::mf_dtor, 0, 34 },	//2782 Plasma::ToolTipContent::~ToolTipContent()
    {103, 1402, 0, 0, Smoke::mf_const, 463, 1},	//2783 Plasma::ToolTipManager::metaObject() const
    {103, 1538, 1, 1, 0, 508, 2},	//2784 Plasma::ToolTipManager::qt_metacast(const char*)
    {103, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2785 Plasma::ToolTipManager::tr(const char*, const char*)
    {103, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2786 Plasma::ToolTipManager::trUtf8(const char*, const char*)
    {103, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2787 Plasma::ToolTipManager::tr(const char*, const char*, int)
    {103, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2788 Plasma::ToolTipManager::trUtf8(const char*, const char*, int)
    {103, 1536, 3, 3, 0, 499, 7},	//2789 Plasma::ToolTipManager::qt_metacall(QMetaObject::Call, int, void**)
    {103, 1697, 0, 0, Smoke::mf_static, 165, 8},	//2790 Plasma::ToolTipManager::self()
    {103, 2217, 125, 1, 0, 0, 9},	//2791 Plasma::ToolTipManager::show(QGraphicsWidget*)
    {103, 1216, 125, 1, Smoke::mf_const, 406, 10},	//2792 Plasma::ToolTipManager::isVisible(QGraphicsWidget*) const
    {103, 1107, 125, 1, 0, 0, 11},	//2793 Plasma::ToolTipManager::hide(QGraphicsWidget*)
    {103, 1562, 125, 1, 0, 0, 12},	//2794 Plasma::ToolTipManager::registerWidget(QGraphicsWidget*)
    {103, 2380, 125, 1, 0, 0, 13},	//2795 Plasma::ToolTipManager::unregisterWidget(QGraphicsWidget*)
    {103, 1790, 949, 2, 0, 0, 14},	//2796 Plasma::ToolTipManager::setContent(QGraphicsWidget*, const Plasma::ToolTipContent&)
    {103, 773, 125, 1, 0, 0, 15},	//2797 Plasma::ToolTipManager::clearContent(QGraphicsWidget*)
    {103, 2094, 952, 1, 0, 0, 16},	//2798 Plasma::ToolTipManager::setState(Plasma::ToolTipManager::State)
    {103, 2275, 0, 0, Smoke::mf_const, 166, 17},	//2799 Plasma::ToolTipManager::state() const
    {103, 2448, 954, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2800 Plasma::ToolTipManager::windowPreviewActivated(WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {103, 1281, 959, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2801 Plasma::ToolTipManager::linkActivated(const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {103, 2357, 1, 1, Smoke::mf_static, 292, 20},	//2802 Plasma::ToolTipManager::tr(const char*)
    {103, 2361, 1, 1, Smoke::mf_static, 292, 21},	//2803 Plasma::ToolTipManager::trUtf8(const char*)
    {103, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 22},	//2804 Plasma::ToolTipManager::staticMetaObject() const
    {103, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 23},	//2805 Plasma::ToolTipManager::Activated (enum)
    {103, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 24},	//2806 Plasma::ToolTipManager::Inhibited (enum)
    {103, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 25},	//2807 Plasma::ToolTipManager::Deactivated (enum)
    {104, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2808 Plasma::TreeView::metaObject() const
    {104, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2809 Plasma::TreeView::qt_metacast(const char*)
    {104, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2810 Plasma::TreeView::tr(const char*, const char*)
    {104, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2811 Plasma::TreeView::trUtf8(const char*, const char*)
    {104, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2812 Plasma::TreeView::tr(const char*, const char*, int)
    {104, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2813 Plasma::TreeView::trUtf8(const char*, const char*, int)
    {104, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2814 Plasma::TreeView::qt_metacall(QMetaObject::Call, int, void**)
    {104, 551, 125, 1, Smoke::mf_ctor, 167, 8},	//2815 Plasma::TreeView::TreeView(QGraphicsWidget*)
    {104, 1969, 964, 1, 0, 0, 9},	//2816 Plasma::TreeView::setModel(QAbstractItemModel*)
    {104, 1416, 0, 0, 0, 181, 10},	//2817 Plasma::TreeView::model()
    {104, 2101, 89, 1, Smoke::mf_property, 0, 11},	//2818 Plasma::TreeView::setStyleSheet(const QString&)
    {104, 2289, 0, 0, Smoke::mf_property, 292, 12},	//2819 Plasma::TreeView::styleSheet()
    {104, 1439, 0, 0, Smoke::mf_const, 301, 13},	//2820 Plasma::TreeView::nativeWidget() const
    {104, 2357, 1, 1, Smoke::mf_static, 292, 14},	//2821 Plasma::TreeView::tr(const char*)
    {104, 2361, 1, 1, Smoke::mf_static, 292, 15},	//2822 Plasma::TreeView::trUtf8(const char*)
    {104, 551, 0, 0, Smoke::mf_ctor, 167, 16},	//2823 Plasma::TreeView::TreeView()
    {104, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 17},	//2824 Plasma::TreeView::staticMetaObject() const
    {104, 2529, 0, 0, Smoke::mf_dtor, 0, 18 },	//2825 Plasma::TreeView::~TreeView()
    {105, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2826 Plasma::VideoWidget::metaObject() const
    {105, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2827 Plasma::VideoWidget::qt_metacast(const char*)
    {105, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2828 Plasma::VideoWidget::tr(const char*, const char*)
    {105, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2829 Plasma::VideoWidget::trUtf8(const char*, const char*)
    {105, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2830 Plasma::VideoWidget::tr(const char*, const char*, int)
    {105, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2831 Plasma::VideoWidget::trUtf8(const char*, const char*, int)
    {105, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2832 Plasma::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {105, 571, 125, 1, Smoke::mf_ctor, 169, 8},	//2833 Plasma::VideoWidget::VideoWidget(QGraphicsWidget*)
    {105, 2162, 89, 1, Smoke::mf_property, 0, 9},	//2834 Plasma::VideoWidget::setUrl(const QString&)
    {105, 2399, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 10},	//2835 Plasma::VideoWidget::url() const
    {105, 1399, 0, 0, Smoke::mf_const, 31, 11},	//2836 Plasma::VideoWidget::mediaObject() const
    {105, 735, 0, 0, Smoke::mf_const, 30, 12},	//2837 Plasma::VideoWidget::audioOutput() const
    {105, 881, 0, 0, Smoke::mf_const, 502, 13},	//2838 Plasma::VideoWidget::currentTime() const
    {105, 2356, 0, 0, Smoke::mf_const, 502, 14},	//2839 Plasma::VideoWidget::totalTime() const
    {105, 1571, 0, 0, Smoke::mf_const, 502, 15},	//2840 Plasma::VideoWidget::remainingTime() const
    {105, 2171, 966, 1, 0, 0, 16},	//2841 Plasma::VideoWidget::setUsedControls(const QFlags<Plasma::VideoWidget::Control>)
    {105, 2408, 0, 0, Smoke::mf_const, 205, 17},	//2842 Plasma::VideoWidget::usedControls() const
    {105, 1800, 7, 1, Smoke::mf_property, 0, 18},	//2843 Plasma::VideoWidget::setControlsVisible(bool)
    {105, 848, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 19},	//2844 Plasma::VideoWidget::controlsVisible() const
    {105, 2145, 968, 1, 0, 0, 20},	//2845 Plasma::VideoWidget::setTickInterval(long long)
    {105, 2340, 0, 0, Smoke::mf_const, 502, 21},	//2846 Plasma::VideoWidget::tickInterval() const
    {105, 2101, 89, 1, Smoke::mf_property, 0, 22},	//2847 Plasma::VideoWidget::setStyleSheet(const QString&)
    {105, 2289, 0, 0, Smoke::mf_property, 292, 23},	//2848 Plasma::VideoWidget::styleSheet()
    {105, 1439, 0, 0, Smoke::mf_const, 32, 24},	//2849 Plasma::VideoWidget::nativeWidget() const
    {105, 1507, 0, 0, Smoke::mf_slot, 0, 25},	//2850 Plasma::VideoWidget::play()
    {105, 1500, 0, 0, Smoke::mf_slot, 0, 26},	//2851 Plasma::VideoWidget::pause()
    {105, 2278, 0, 0, Smoke::mf_slot, 0, 27},	//2852 Plasma::VideoWidget::stop()
    {105, 1694, 970, 1, Smoke::mf_slot, 0, 28},	//2853 Plasma::VideoWidget::seek(qint64)
    {105, 2338, 970, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2854 Plasma::VideoWidget::tick(qint64)
    {105, 602, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2855 Plasma::VideoWidget::aboutToFinish()
    {105, 1445, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2856 Plasma::VideoWidget::nextRequested()
    {105, 1529, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2857 Plasma::VideoWidget::previousRequested()
    {105, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//2858 Plasma::VideoWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {105, 1119, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//2859 Plasma::VideoWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {105, 1121, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//2860 Plasma::VideoWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {105, 1123, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//2861 Plasma::VideoWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {105, 2357, 1, 1, Smoke::mf_static, 292, 37},	//2862 Plasma::VideoWidget::tr(const char*)
    {105, 2361, 1, 1, Smoke::mf_static, 292, 38},	//2863 Plasma::VideoWidget::trUtf8(const char*)
    {105, 571, 0, 0, Smoke::mf_ctor, 169, 39},	//2864 Plasma::VideoWidget::VideoWidget()
    {105, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 40},	//2865 Plasma::VideoWidget::staticMetaObject() const
    {105, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 41},	//2866 Plasma::VideoWidget::NoControls (enum)
    {105, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 42},	//2867 Plasma::VideoWidget::Play (enum)
    {105, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 43},	//2868 Plasma::VideoWidget::Pause (enum)
    {105, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 44},	//2869 Plasma::VideoWidget::Stop (enum)
    {105, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 45},	//2870 Plasma::VideoWidget::PlayPause (enum)
    {105, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 46},	//2871 Plasma::VideoWidget::Previous (enum)
    {105, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 47},	//2872 Plasma::VideoWidget::Next (enum)
    {105, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 48},	//2873 Plasma::VideoWidget::Progress (enum)
    {105, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 49},	//2874 Plasma::VideoWidget::Volume (enum)
    {105, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 50},	//2875 Plasma::VideoWidget::OpenFile (enum)
    {105, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 51},	//2876 Plasma::VideoWidget::DefaultControls (enum)
    {105, 2530, 0, 0, Smoke::mf_dtor, 0, 52 },	//2877 Plasma::VideoWidget::~VideoWidget()
    {106, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2878 Plasma::View::metaObject() const
    {106, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2879 Plasma::View::qt_metacast(const char*)
    {106, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2880 Plasma::View::tr(const char*, const char*)
    {106, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2881 Plasma::View::trUtf8(const char*, const char*)
    {106, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2882 Plasma::View::tr(const char*, const char*, int)
    {106, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2883 Plasma::View::trUtf8(const char*, const char*, int)
    {106, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2884 Plasma::View::qt_metacall(QMetaObject::Call, int, void**)
    {106, 573, 972, 2, Smoke::mf_ctor, 171, 8},	//2885 Plasma::View::View(Plasma::Containment*, QWidget*)
    {106, 573, 975, 3, Smoke::mf_ctor, 171, 9},	//2886 Plasma::View::View(Plasma::Containment*, int, QWidget*)
    {106, 2198, 7, 1, 0, 0, 10},	//2887 Plasma::View::setWallpaperEnabled(bool)
    {106, 1218, 0, 0, Smoke::mf_const, 406, 11},	//2888 Plasma::View::isWallpaperEnabled() const
    {106, 2057, 370, 2, 0, 0, 12},	//2889 Plasma::View::setScreen(int, int)
    {106, 1677, 0, 0, Smoke::mf_const, 499, 13},	//2890 Plasma::View::screen() const
    {106, 901, 0, 0, Smoke::mf_const, 499, 14},	//2891 Plasma::View::desktop() const
    {106, 963, 0, 0, Smoke::mf_const, 499, 15},	//2892 Plasma::View::effectiveDesktop() const
    {106, 816, 0, 0, Smoke::mf_const, 71, 16},	//2893 Plasma::View::containment() const
    {106, 2301, 410, 3, 0, 71, 17},	//2894 Plasma::View::swapContainment(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {106, 2301, 113, 2, 0, 71, 18},	//2895 Plasma::View::swapContainment(const QString&, const QList<QVariant>&)
    {106, 2153, 7, 1, 0, 0, 19},	//2896 Plasma::View::setTrackContainmentChanges(bool)
    {106, 2365, 0, 0, 0, 406, 20},	//2897 Plasma::View::trackContainmentChanges()
    {106, 2354, 555, 1, Smoke::mf_static, 171, 21},	//2898 Plasma::View::topLevelViewAt(const QPoint&)
    {106, 1128, 0, 0, Smoke::mf_const, 499, 22},	//2899 Plasma::View::id() const
    {106, 1674, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2900 Plasma::View::sceneRectAboutToChange()
    {106, 1675, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2901 Plasma::View::sceneRectChanged()
    {106, 1372, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2902 Plasma::View::lostContainment()
    {106, 1780, 101, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//2903 Plasma::View::setContainment(Plasma::Containment*)
    {106, 789, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 27},	//2904 Plasma::View::config() const
    {106, 792, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 28},	//2905 Plasma::View::configNeedsSaving() const
    {106, 2357, 1, 1, Smoke::mf_static, 292, 29},	//2906 Plasma::View::tr(const char*)
    {106, 2361, 1, 1, Smoke::mf_static, 292, 30},	//2907 Plasma::View::trUtf8(const char*)
    {106, 573, 101, 1, Smoke::mf_ctor, 171, 31},	//2908 Plasma::View::View(Plasma::Containment*)
    {106, 573, 979, 2, Smoke::mf_ctor, 171, 32},	//2909 Plasma::View::View(Plasma::Containment*, int)
    {106, 2057, 129, 1, 0, 0, 33},	//2910 Plasma::View::setScreen(int)
    {106, 2301, 424, 2, 0, 71, 34},	//2911 Plasma::View::swapContainment(Plasma::Containment*, const QString&)
    {106, 2301, 89, 1, 0, 71, 35},	//2912 Plasma::View::swapContainment(const QString&)
    {106, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 36},	//2913 Plasma::View::staticMetaObject() const
    {106, 2531, 0, 0, Smoke::mf_dtor, 0, 37 },	//2914 Plasma::View::~View()
    {107, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2915 Plasma::Wallpaper::metaObject() const
    {107, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//2916 Plasma::Wallpaper::qt_metacast(const char*)
    {107, 2357, 43, 2, Smoke::mf_static, 292, 3},	//2917 Plasma::Wallpaper::tr(const char*, const char*)
    {107, 2361, 43, 2, Smoke::mf_static, 292, 4},	//2918 Plasma::Wallpaper::trUtf8(const char*, const char*)
    {107, 2357, 46, 3, Smoke::mf_static, 292, 5},	//2919 Plasma::Wallpaper::tr(const char*, const char*, int)
    {107, 2361, 46, 3, Smoke::mf_static, 292, 6},	//2920 Plasma::Wallpaper::trUtf8(const char*, const char*, int)
    {107, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//2921 Plasma::Wallpaper::qt_metacall(QMetaObject::Call, int, void**)
    {107, 584, 97, 1, Smoke::mf_ctor, 172, 8},	//2922 Plasma::Wallpaper::Wallpaper(QObject*)
    {107, 2165, 246, 1, 0, 0, 9},	//2923 Plasma::Wallpaper::setUrls(const KUrl::List&)
    {107, 1327, 89, 1, Smoke::mf_static, 241, 10},	//2924 Plasma::Wallpaper::listWallpaperInfo(const QString&)
    {107, 1329, 77, 2, Smoke::mf_static, 241, 11},	//2925 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&, const QString&)
    {107, 1332, 113, 2, Smoke::mf_static, 172, 12},	//2926 Plasma::Wallpaper::load(const QString&, const QList<QVariant>&)
    {107, 1332, 982, 2, Smoke::mf_static, 172, 13},	//2927 Plasma::Wallpaper::load(const KPluginInfo&, const QList<QVariant>&)
    {107, 1466, 985, 1, Smoke::mf_static, 20, 14},	//2928 Plasma::Wallpaper::packageStructure(Plasma::Wallpaper*)
    {107, 1437, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 15},	//2929 Plasma::Wallpaper::name() const
    {107, 1465, 0, 0, Smoke::mf_const, 430, 16},	//2930 Plasma::Wallpaper::package() const
    {107, 1509, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 17},	//2931 Plasma::Wallpaper::pluginName() const
    {107, 1126, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 18},	//2932 Plasma::Wallpaper::icon() const
    {107, 1619, 0, 0, Smoke::mf_const|Smoke::mf_property, 17, 19},	//2933 Plasma::Wallpaper::renderingMode() const
    {107, 2295, 89, 1, Smoke::mf_const, 406, 20},	//2934 Plasma::Wallpaper::supportsMimetype(const QString&) const
    {107, 2037, 89, 1, 0, 0, 21},	//2935 Plasma::Wallpaper::setRenderingMode(const QString&)
    {107, 1321, 0, 0, Smoke::mf_const|Smoke::mf_property, 242, 22},	//2936 Plasma::Wallpaper::listRenderingModes() const
    {107, 1187, 0, 0, Smoke::mf_const, 406, 23},	//2937 Plasma::Wallpaper::isInitialized() const
    {107, 755, 0, 0, Smoke::mf_const|Smoke::mf_property, 282, 24},	//2938 Plasma::Wallpaper::boundingRect() const
    {107, 1753, 651, 1, Smoke::mf_property, 0, 25},	//2939 Plasma::Wallpaper::setBoundingRect(const QRectF&)
    {107, 1471, 619, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 26},	//2940 Plasma::Wallpaper::paint(QPainter*, const QRectF&) [pure virtual]
    {107, 1640, 111, 1, 0, 0, 27},	//2941 Plasma::Wallpaper::restore(const KConfigGroup&)
    {107, 1658, 178, 1, Smoke::mf_virtual, 0, 28},	//2942 Plasma::Wallpaper::save(KConfigGroup&)
    {107, 856, 57, 1, Smoke::mf_virtual, 308, 29},	//2943 Plasma::Wallpaper::createConfigurationInterface(QWidget*)
    {107, 1419, 278, 1, Smoke::mf_virtual, 0, 30},	//2944 Plasma::Wallpaper::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {107, 1421, 278, 1, Smoke::mf_virtual, 0, 31},	//2945 Plasma::Wallpaper::mousePressEvent(QGraphicsSceneMouseEvent*)
    {107, 1423, 278, 1, Smoke::mf_virtual, 0, 32},	//2946 Plasma::Wallpaper::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {107, 2442, 398, 1, Smoke::mf_virtual, 0, 33},	//2947 Plasma::Wallpaper::wheelEvent(QGraphicsSceneWheelEvent*)
    {107, 890, 89, 1, Smoke::mf_const, 83, 34},	//2948 Plasma::Wallpaper::dataEngine(const QString&) const
    {107, 796, 0, 0, Smoke::mf_const, 406, 35},	//2949 Plasma::Wallpaper::configurationRequired() const
    {107, 1214, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 36},	//2950 Plasma::Wallpaper::isUsingRenderingCache() const
    {107, 2047, 987, 1, Smoke::mf_property, 0, 37},	//2951 Plasma::Wallpaper::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {107, 1639, 0, 0, Smoke::mf_const|Smoke::mf_property, 173, 38},	//2952 Plasma::Wallpaper::resizeMethodHint() const
    {107, 2127, 603, 1, Smoke::mf_property, 0, 39},	//2953 Plasma::Wallpaper::setTargetSizeHint(const QSizeF&)
    {107, 2323, 0, 0, Smoke::mf_const|Smoke::mf_property, 290, 40},	//2954 Plasma::Wallpaper::targetSizeHint() const
    {107, 847, 0, 0, Smoke::mf_const, 254, 41},	//2955 Plasma::Wallpaper::contextualActions() const
    {107, 1197, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 42},	//2956 Plasma::Wallpaper::isPreviewing() const
    {107, 2023, 7, 1, Smoke::mf_property, 0, 43},	//2957 Plasma::Wallpaper::setPreviewing(bool)
    {107, 1440, 0, 0, Smoke::mf_const, 406, 44},	//2958 Plasma::Wallpaper::needsPreviewDuringConfiguration() const
    {107, 2382, 651, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2959 Plasma::Wallpaper::update(const QRectF&)
    {107, 798, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2960 Plasma::Wallpaper::configureRequested()
    {107, 796, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2961 Plasma::Wallpaper::configurationRequired(bool)
    {107, 792, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//2962 Plasma::Wallpaper::configNeedsSaving()
    {107, 1616, 631, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//2963 Plasma::Wallpaper::renderCompleted(const QImage&)
    {107, 2402, 119, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//2964 Plasma::Wallpaper::urlDropped(const KUrl&)
    {107, 1618, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//2965 Plasma::Wallpaper::renderHintsChanged()
    {107, 688, 246, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 52},	//2966 Plasma::Wallpaper::addUrls(const KUrl::List&)
    {107, 584, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 172, 53},	//2967 Plasma::Wallpaper::Wallpaper(QObject*, const QList<QVariant>&)
    {107, 1142, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//2968 Plasma::Wallpaper::init(const KConfigGroup&)
    {107, 1777, 265, 2, Smoke::mf_protected, 0, 55},	//2969 Plasma::Wallpaper::setConfigurationRequired(bool, const QString&)
    {107, 1609, 989, 4, Smoke::mf_protected, 0, 56},	//2970 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {107, 1609, 994, 4, Smoke::mf_protected, 0, 57},	//2971 Plasma::Wallpaper::render(const QImage&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {107, 2173, 7, 1, Smoke::mf_protected|Smoke::mf_property, 0, 58},	//2972 Plasma::Wallpaper::setUsingRenderingCache(bool)
    {107, 1027, 999, 3, Smoke::mf_protected, 406, 59},	//2973 Plasma::Wallpaper::findInCache(const QString&, QImage&, unsigned int)
    {107, 1153, 1003, 2, Smoke::mf_protected, 0, 60},	//2974 Plasma::Wallpaper::insertIntoCache(const QString&, const QImage&)
    {107, 1798, 1006, 1, Smoke::mf_protected, 0, 61},	//2975 Plasma::Wallpaper::setContextualActions(const QList<QAction*>&)
    {107, 2021, 109, 1, Smoke::mf_protected, 0, 62},	//2976 Plasma::Wallpaper::setPreviewDuringConfiguration(const bool)
    {107, 2357, 1, 1, Smoke::mf_static, 292, 63},	//2977 Plasma::Wallpaper::tr(const char*)
    {107, 2361, 1, 1, Smoke::mf_static, 292, 64},	//2978 Plasma::Wallpaper::trUtf8(const char*)
    {107, 584, 0, 0, Smoke::mf_ctor, 172, 65},	//2979 Plasma::Wallpaper::Wallpaper()
    {107, 1327, 0, 0, Smoke::mf_static, 241, 66},	//2980 Plasma::Wallpaper::listWallpaperInfo()
    {107, 1329, 89, 1, Smoke::mf_static, 241, 67},	//2981 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&)
    {107, 1332, 89, 1, Smoke::mf_static, 172, 68},	//2982 Plasma::Wallpaper::load(const QString&)
    {107, 1332, 210, 1, Smoke::mf_static, 172, 69},	//2983 Plasma::Wallpaper::load(const KPluginInfo&)
    {107, 1466, 0, 0, Smoke::mf_static, 20, 70},	//2984 Plasma::Wallpaper::packageStructure()
    {107, 1777, 7, 1, Smoke::mf_protected, 0, 71},	//2985 Plasma::Wallpaper::setConfigurationRequired(bool)
    {107, 1609, 1008, 2, Smoke::mf_protected, 0, 72},	//2986 Plasma::Wallpaper::render(const QString&, const QSize&)
    {107, 1609, 1011, 3, Smoke::mf_protected, 0, 73},	//2987 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {107, 1609, 1015, 2, Smoke::mf_protected, 0, 74},	//2988 Plasma::Wallpaper::render(const QImage&, const QSize&)
    {107, 1609, 1018, 3, Smoke::mf_protected, 0, 75},	//2989 Plasma::Wallpaper::render(const QImage&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {107, 1027, 1022, 2, Smoke::mf_protected, 406, 76},	//2990 Plasma::Wallpaper::findInCache(const QString&, QImage&)
    {107, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 77},	//2991 Plasma::Wallpaper::staticMetaObject() const
    {107, 840, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 255, 78},	//2992 Plasma::Wallpaper::contextActions() const
    {107, 1796, 1006, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 79},	//2993 Plasma::Wallpaper::setContextActions(const QList<QAction*>&)
    {107, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 80},	//2994 Plasma::Wallpaper::ScaledResize (enum)
    {107, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 81},	//2995 Plasma::Wallpaper::CenteredResize (enum)
    {107, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 82},	//2996 Plasma::Wallpaper::ScaledAndCroppedResize (enum)
    {107, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 83},	//2997 Plasma::Wallpaper::TiledResize (enum)
    {107, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 84},	//2998 Plasma::Wallpaper::CenterTiledResize (enum)
    {107, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 85},	//2999 Plasma::Wallpaper::MaxpectResize (enum)
    {107, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 86},	//3000 Plasma::Wallpaper::LastResizeMethod (enum)
    {107, 2532, 0, 0, Smoke::mf_dtor, 0, 87 },	//3001 Plasma::Wallpaper::~Wallpaper()
    {108, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//3002 Plasma::WallpaperScript::metaObject() const
    {108, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//3003 Plasma::WallpaperScript::qt_metacast(const char*)
    {108, 2357, 43, 2, Smoke::mf_static, 292, 3},	//3004 Plasma::WallpaperScript::tr(const char*, const char*)
    {108, 2361, 43, 2, Smoke::mf_static, 292, 4},	//3005 Plasma::WallpaperScript::trUtf8(const char*, const char*)
    {108, 2357, 46, 3, Smoke::mf_static, 292, 5},	//3006 Plasma::WallpaperScript::tr(const char*, const char*, int)
    {108, 2361, 46, 3, Smoke::mf_static, 292, 6},	//3007 Plasma::WallpaperScript::trUtf8(const char*, const char*, int)
    {108, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//3008 Plasma::WallpaperScript::qt_metacall(QMetaObject::Call, int, void**)
    {108, 588, 97, 1, Smoke::mf_ctor, 174, 8},	//3009 Plasma::WallpaperScript::WallpaperScript(QObject*)
    {108, 2194, 985, 1, 0, 0, 9},	//3010 Plasma::WallpaperScript::setWallpaper(Plasma::Wallpaper*)
    {108, 2438, 0, 0, Smoke::mf_const, 172, 10},	//3011 Plasma::WallpaperScript::wallpaper() const
    {108, 1147, 111, 1, Smoke::mf_virtual, 0, 11},	//3012 Plasma::WallpaperScript::initWallpaper(const KConfigGroup&)
    {108, 1471, 619, 2, Smoke::mf_virtual, 0, 12},	//3013 Plasma::WallpaperScript::paint(QPainter*, const QRectF&)
    {108, 1658, 178, 1, Smoke::mf_virtual, 0, 13},	//3014 Plasma::WallpaperScript::save(KConfigGroup&)
    {108, 856, 57, 1, Smoke::mf_virtual, 308, 14},	//3015 Plasma::WallpaperScript::createConfigurationInterface(QWidget*)
    {108, 1419, 278, 1, Smoke::mf_virtual, 0, 15},	//3016 Plasma::WallpaperScript::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {108, 1421, 278, 1, Smoke::mf_virtual, 0, 16},	//3017 Plasma::WallpaperScript::mousePressEvent(QGraphicsSceneMouseEvent*)
    {108, 1423, 278, 1, Smoke::mf_virtual, 0, 17},	//3018 Plasma::WallpaperScript::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {108, 2442, 398, 1, Smoke::mf_virtual, 0, 18},	//3019 Plasma::WallpaperScript::wheelEvent(QGraphicsSceneWheelEvent*)
    {108, 2165, 1025, 1, 0, 0, 19},	//3020 Plasma::WallpaperScript::setUrls(const KUrl::List)
    {108, 1375, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 292, 20},	//3021 Plasma::WallpaperScript::mainScript() const
    {108, 1465, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 430, 21},	//3022 Plasma::WallpaperScript::package() const
    {108, 900, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 22},	//3023 Plasma::WallpaperScript::description() const
    {108, 1187, 0, 0, Smoke::mf_const|Smoke::mf_protected, 406, 23},	//3024 Plasma::WallpaperScript::isInitialized() const
    {108, 755, 0, 0, Smoke::mf_const|Smoke::mf_protected, 282, 24},	//3025 Plasma::WallpaperScript::boundingRect() const
    {108, 890, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 25},	//3026 Plasma::WallpaperScript::dataEngine(const QString&) const
    {108, 2047, 987, 1, Smoke::mf_protected, 0, 26},	//3027 Plasma::WallpaperScript::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {108, 2127, 603, 1, Smoke::mf_protected, 0, 27},	//3028 Plasma::WallpaperScript::setTargetSizeHint(const QSizeF&)
    {108, 1777, 265, 2, Smoke::mf_protected, 0, 28},	//3029 Plasma::WallpaperScript::setConfigurationRequired(bool, const QString&)
    {108, 1609, 989, 4, Smoke::mf_protected, 0, 29},	//3030 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {108, 2173, 7, 1, Smoke::mf_protected, 0, 30},	//3031 Plasma::WallpaperScript::setUsingRenderingCache(bool)
    {108, 1027, 999, 3, Smoke::mf_protected, 406, 31},	//3032 Plasma::WallpaperScript::findInCache(const QString&, QImage&, unsigned int)
    {108, 1153, 1003, 2, Smoke::mf_protected, 0, 32},	//3033 Plasma::WallpaperScript::insertIntoCache(const QString&, const QImage&)
    {108, 1798, 1006, 1, Smoke::mf_protected, 0, 33},	//3034 Plasma::WallpaperScript::setContextualActions(const QList<QAction*>&)
    {108, 2382, 651, 1, Smoke::mf_protected, 0, 34},	//3035 Plasma::WallpaperScript::update(const QRectF&)
    {108, 792, 0, 0, Smoke::mf_protected, 0, 35},	//3036 Plasma::WallpaperScript::configNeedsSaving()
    {108, 1616, 631, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//3037 Plasma::WallpaperScript::renderCompleted(const QImage&)
    {108, 2402, 119, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 37},	//3038 Plasma::WallpaperScript::urlDropped(const KUrl&)
    {108, 2357, 1, 1, Smoke::mf_static, 292, 38},	//3039 Plasma::WallpaperScript::tr(const char*)
    {108, 2361, 1, 1, Smoke::mf_static, 292, 39},	//3040 Plasma::WallpaperScript::trUtf8(const char*)
    {108, 588, 0, 0, Smoke::mf_ctor, 174, 40},	//3041 Plasma::WallpaperScript::WallpaperScript()
    {108, 1777, 7, 1, Smoke::mf_protected, 0, 41},	//3042 Plasma::WallpaperScript::setConfigurationRequired(bool)
    {108, 1609, 1008, 2, Smoke::mf_protected, 0, 42},	//3043 Plasma::WallpaperScript::render(const QString&, const QSize&)
    {108, 1609, 1011, 3, Smoke::mf_protected, 0, 43},	//3044 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {108, 1027, 1022, 2, Smoke::mf_protected, 406, 44},	//3045 Plasma::WallpaperScript::findInCache(const QString&, QImage&)
    {108, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 45},	//3046 Plasma::WallpaperScript::staticMetaObject() const
    {108, 2533, 0, 0, Smoke::mf_dtor, 0, 46 },	//3047 Plasma::WallpaperScript::~WallpaperScript()
    {109, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//3048 Plasma::WebView::metaObject() const
    {109, 1538, 1, 1, Smoke::mf_virtual, 508, 2},	//3049 Plasma::WebView::qt_metacast(const char*)
    {109, 2357, 43, 2, Smoke::mf_static, 292, 3},	//3050 Plasma::WebView::tr(const char*, const char*)
    {109, 2361, 43, 2, Smoke::mf_static, 292, 4},	//3051 Plasma::WebView::trUtf8(const char*, const char*)
    {109, 2357, 46, 3, Smoke::mf_static, 292, 5},	//3052 Plasma::WebView::tr(const char*, const char*, int)
    {109, 2361, 46, 3, Smoke::mf_static, 292, 6},	//3053 Plasma::WebView::trUtf8(const char*, const char*, int)
    {109, 1536, 3, 3, Smoke::mf_virtual, 499, 7},	//3054 Plasma::WebView::qt_metacall(QMetaObject::Call, int, void**)
    {109, 591, 170, 1, Smoke::mf_ctor, 175, 8},	//3055 Plasma::WebView::WebView(QGraphicsItem*)
    {109, 2162, 119, 1, Smoke::mf_property, 0, 9},	//3056 Plasma::WebView::setUrl(const KUrl&)
    {109, 2399, 0, 0, Smoke::mf_const|Smoke::mf_property, 28, 10},	//3057 Plasma::WebView::url() const
    {109, 1904, 1027, 2, 0, 0, 11},	//3058 Plasma::WebView::setHtml(const QByteArray&, const KUrl&)
    {109, 1125, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 12},	//3059 Plasma::WebView::html() const
    {109, 1904, 1030, 2, 0, 0, 13},	//3060 Plasma::WebView::setHtml(const QString&, const KUrl&)
    {109, 1070, 0, 0, Smoke::mf_const, 282, 14},	//3061 Plasma::WebView::geometry() const
    {109, 838, 0, 0, Smoke::mf_const|Smoke::mf_property, 290, 15},	//3062 Plasma::WebView::contentsSize() const
    {109, 2060, 384, 1, Smoke::mf_property, 0, 16},	//3063 Plasma::WebView::setScrollPosition(const QPointF&)
    {109, 1686, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 17},	//3064 Plasma::WebView::scrollPosition() const
    {109, 2431, 0, 0, Smoke::mf_const|Smoke::mf_property, 282, 18},	//3065 Plasma::WebView::viewportGeometry() const
    {109, 2459, 0, 0, Smoke::mf_const, 496, 19},	//3066 Plasma::WebView::zoomFactor() const
    {109, 2210, 642, 1, 0, 0, 20},	//3067 Plasma::WebView::setZoomFactor(const double)
    {109, 1992, 1033, 1, 0, 0, 21},	//3068 Plasma::WebView::setPage(QWebPage*)
    {109, 1469, 0, 0, Smoke::mf_const, 306, 22},	//3069 Plasma::WebView::page() const
    {109, 1374, 0, 0, Smoke::mf_const, 305, 23},	//3070 Plasma::WebView::mainFrame() const
    {109, 1838, 7, 1, Smoke::mf_property, 0, 24},	//3071 Plasma::WebView::setDragToScroll(bool)
    {109, 933, 0, 0, Smoke::mf_property, 406, 25},	//3072 Plasma::WebView::dragToScroll()
    {109, 1879, 651, 1, Smoke::mf_virtual, 0, 26},	//3073 Plasma::WebView::setGeometry(const QRectF&)
    {109, 746, 0, 0, Smoke::mf_slot, 0, 27},	//3074 Plasma::WebView::back()
    {109, 1064, 0, 0, Smoke::mf_slot, 0, 28},	//3075 Plasma::WebView::forward()
    {109, 1569, 0, 0, Smoke::mf_slot, 0, 29},	//3076 Plasma::WebView::reload()
    {109, 2278, 0, 0, Smoke::mf_slot, 0, 30},	//3077 Plasma::WebView::stop()
    {109, 1358, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//3078 Plasma::WebView::loadProgress(int)
    {109, 1350, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//3079 Plasma::WebView::loadFinished(bool)
    {109, 2400, 195, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//3080 Plasma::WebView::urlChanged(const QUrl&)
    {109, 1471, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//3081 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {109, 1419, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//3082 Plasma::WebView::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {109, 1123, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//3083 Plasma::WebView::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {109, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//3084 Plasma::WebView::mousePressEvent(QGraphicsSceneMouseEvent*)
    {109, 1417, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//3085 Plasma::WebView::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {109, 1423, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//3086 Plasma::WebView::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {109, 845, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//3087 Plasma::WebView::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {109, 2442, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//3088 Plasma::WebView::wheelEvent(QGraphicsSceneWheelEvent*)
    {109, 1249, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//3089 Plasma::WebView::keyPressEvent(QKeyEvent*)
    {109, 1251, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//3090 Plasma::WebView::keyReleaseEvent(QKeyEvent*)
    {109, 1049, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//3091 Plasma::WebView::focusInEvent(QFocusEvent*)
    {109, 1053, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//3092 Plasma::WebView::focusOutEvent(QFocusEvent*)
    {109, 927, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//3093 Plasma::WebView::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {109, 929, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//3094 Plasma::WebView::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {109, 931, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//3095 Plasma::WebView::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {109, 957, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//3096 Plasma::WebView::dropEvent(QGraphicsSceneDragDropEvent*)
    {109, 1230, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 303, 50},	//3097 Plasma::WebView::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {109, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 51},	//3098 Plasma::WebView::sizeHint(Qt::SizeHint, const QSizeF&) const
    {109, 2357, 1, 1, Smoke::mf_static, 292, 52},	//3099 Plasma::WebView::tr(const char*)
    {109, 2361, 1, 1, Smoke::mf_static, 292, 53},	//3100 Plasma::WebView::trUtf8(const char*)
    {109, 591, 0, 0, Smoke::mf_ctor, 175, 54},	//3101 Plasma::WebView::WebView()
    {109, 1904, 1035, 1, 0, 0, 55},	//3102 Plasma::WebView::setHtml(const QByteArray&)
    {109, 1904, 89, 1, 0, 0, 56},	//3103 Plasma::WebView::setHtml(const QString&)
    {109, 1471, 328, 2, Smoke::mf_protected, 0, 57},	//3104 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {109, 2276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 58},	//3105 Plasma::WebView::staticMetaObject() const
    {109, 2534, 0, 0, Smoke::mf_dtor, 0, 59 },	//3106 Plasma::WebView::~WebView()
    {110, 1003, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3107 QAbstractAnimation::event(QEvent*)
    {110, 2398, 764, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3108 QAbstractAnimation::updateState(QAbstractAnimation::State, QAbstractAnimation::State)
    {110, 2390, 1037, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3109 QAbstractAnimation::updateDirection(QAbstractAnimation::Direction)
    {110, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 4},	//3110 QAbstractAnimation::Forward (enum)
    {110, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 5},	//3111 QAbstractAnimation::Backward (enum)
    {110, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 6},	//3112 QAbstractAnimation::Stopped (enum)
    {110, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 7},	//3113 QAbstractAnimation::Paused (enum)
    {110, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 8},	//3114 QAbstractAnimation::Running (enum)
    {111, 860, 1039, 3, Smoke::mf_const|Smoke::mf_virtual, 308, 0},	//3115 QAbstractItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {111, 1848, 1043, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3116 QAbstractItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {111, 1971, 1046, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3117 QAbstractItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {111, 2391, 1039, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3118 QAbstractItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {111, 962, 1050, 4, Smoke::mf_virtual, 406, 0},	//3119 QAbstractItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {113, 1415, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 289, 0},	//3120 QAbstractScrollArea::minimumSizeHint() const
    {132, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3121 QFrame::changeEvent(QEvent*)
    {133, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 1},	//3122 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {133, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 2},	//3123 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {133, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 3},	//3124 QGlobalSpace::Q_STATIC_TYPE (enum)
    {133, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 4},	//3125 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {133, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 5},	//3126 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {133, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 6},	//3127 QGlobalSpace::LicensedXml (enum)
    {133, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 7},	//3128 QGlobalSpace::QtDebugMsg (enum)
    {133, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 8},	//3129 QGlobalSpace::QtWarningMsg (enum)
    {133, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 9},	//3130 QGlobalSpace::QtCriticalMsg (enum)
    {133, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 10},	//3131 QGlobalSpace::QtFatalMsg (enum)
    {133, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 11},	//3132 QGlobalSpace::QtSystemMsg (enum)
    {133, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 392, 12},	//3133 QGlobalSpace::LicensedOpenGL (enum)
    {133, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 395, 13},	//3134 QGlobalSpace::LicensedQt3Support (enum)
    {133, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 393, 14},	//3135 QGlobalSpace::LicensedOpenVG (enum)
    {133, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 391, 15},	//3136 QGlobalSpace::LicensedNetwork (enum)
    {133, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 16},	//3137 QGlobalSpace::LicensedSql (enum)
    {133, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 17},	//3138 QGlobalSpace::KST_KSycocaEntry (enum)
    {133, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 18},	//3139 QGlobalSpace::KST_KService (enum)
    {133, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 19},	//3140 QGlobalSpace::KST_KServiceType (enum)
    {133, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 20},	//3141 QGlobalSpace::KST_KMimeType (enum)
    {133, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 21},	//3142 QGlobalSpace::KST_KFolderMimeType (enum)
    {133, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 22},	//3143 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {133, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 23},	//3144 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {133, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 24},	//3145 QGlobalSpace::KST_KServiceGroup (enum)
    {133, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 25},	//3146 QGlobalSpace::KST_KImageIOFormat (enum)
    {133, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 26},	//3147 QGlobalSpace::KST_KProtocolInfo (enum)
    {133, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 27},	//3148 QGlobalSpace::KST_KServiceSeparator (enum)
    {133, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 28},	//3149 QGlobalSpace::KST_KCustom (enum)
    {133, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 385, 29},	//3150 QGlobalSpace::LicensedCore (enum)
    {133, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 30},	//3151 QGlobalSpace::KST_KServiceFactory (enum)
    {133, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 31},	//3152 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {133, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 32},	//3153 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {133, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 33},	//3154 QGlobalSpace::KST_KImageIO (enum)
    {133, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 34},	//3155 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {133, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 35},	//3156 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {133, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 36},	//3157 QGlobalSpace::KST_CTimeInfo (enum)
    {133, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 399, 37},	//3158 QGlobalSpace::LicensedSvg (enum)
    {133, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 402, 38},	//3159 QGlobalSpace::LicensedXmlPatterns (enum)
    {133, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 388, 39},	//3160 QGlobalSpace::LicensedGui (enum)
    {133, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 40},	//3161 QGlobalSpace::LicensedDeclarative (enum)
    {133, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 41},	//3162 QGlobalSpace::LicensedActiveQt (enum)
    {133, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 386, 42},	//3163 QGlobalSpace::LicensedDBus (enum)
    {133, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 400, 43},	//3164 QGlobalSpace::LicensedTest (enum)
    {133, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 397, 44},	//3165 QGlobalSpace::LicensedScriptTools (enum)
    {133, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 394, 45},	//3166 QGlobalSpace::LicensedQt3SupportLight (enum)
    {133, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 405, 46},	//3167 QGlobalSpace::__codecvt_ok (enum)
    {133, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 405, 47},	//3168 QGlobalSpace::__codecvt_partial (enum)
    {133, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 405, 48},	//3169 QGlobalSpace::__codecvt_error (enum)
    {133, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 405, 49},	//3170 QGlobalSpace::__codecvt_noconv (enum)
    {133, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 396, 50},	//3171 QGlobalSpace::LicensedScript (enum)
    {133, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 390, 51},	//3172 QGlobalSpace::LicensedMultimedia (enum)
    {133, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 389, 52},	//3173 QGlobalSpace::LicensedHelp (enum)
    {134, 690, 129, 1, Smoke::mf_virtual, 0, 0},	//3174 QGraphicsItem::advance(int)
    {134, 832, 384, 1, Smoke::mf_const|Smoke::mf_virtual, 406, 0},	//3175 QGraphicsItem::contains(const QPointF&) const
    {134, 784, 1055, 2, Smoke::mf_const|Smoke::mf_virtual, 406, 0},	//3176 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {134, 785, 1058, 2, Smoke::mf_const|Smoke::mf_virtual, 406, 0},	//3177 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {134, 1190, 11, 1, Smoke::mf_const|Smoke::mf_virtual, 406, 0},	//3178 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {134, 1449, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 275, 0},	//3179 QGraphicsItem::opaqueArea() const
    {134, 1672, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3180 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {134, 845, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3181 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {134, 927, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3182 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {134, 929, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3183 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {134, 931, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3184 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {134, 957, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3185 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {134, 1119, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3186 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {134, 1249, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3187 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {134, 1251, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3188 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {134, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3189 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {134, 1419, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3190 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {134, 1423, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3191 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {134, 1417, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3192 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {134, 2442, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3193 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {134, 1151, 1061, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3194 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {134, 1152, 1063, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 303, 0},	//3195 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {134, 2294, 1065, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3196 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {134, 1864, 1067, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3197 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {134, 1020, 737, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 303, 0},	//3198 QGraphicsItem::extension(const QVariant&) const
    {134, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 26},	//3199 QGraphicsItem::ItemPositionChange (enum)
    {134, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 27},	//3200 QGraphicsItem::ItemMatrixChange (enum)
    {134, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 28},	//3201 QGraphicsItem::ItemVisibleChange (enum)
    {134, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 29},	//3202 QGraphicsItem::ItemEnabledChange (enum)
    {134, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 30},	//3203 QGraphicsItem::ItemSelectedChange (enum)
    {134, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 31},	//3204 QGraphicsItem::ItemParentChange (enum)
    {134, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 32},	//3205 QGraphicsItem::ItemChildAddedChange (enum)
    {134, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 33},	//3206 QGraphicsItem::ItemChildRemovedChange (enum)
    {134, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 34},	//3207 QGraphicsItem::ItemTransformChange (enum)
    {134, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 35},	//3208 QGraphicsItem::ItemPositionHasChanged (enum)
    {134, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 36},	//3209 QGraphicsItem::ItemTransformHasChanged (enum)
    {134, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 37},	//3210 QGraphicsItem::ItemSceneChange (enum)
    {134, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 38},	//3211 QGraphicsItem::ItemVisibleHasChanged (enum)
    {134, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 39},	//3212 QGraphicsItem::ItemEnabledHasChanged (enum)
    {134, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 40},	//3213 QGraphicsItem::ItemSelectedHasChanged (enum)
    {134, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 41},	//3214 QGraphicsItem::ItemParentHasChanged (enum)
    {134, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 42},	//3215 QGraphicsItem::ItemSceneHasChanged (enum)
    {134, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 43},	//3216 QGraphicsItem::ItemCursorChange (enum)
    {134, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 44},	//3217 QGraphicsItem::ItemCursorHasChanged (enum)
    {134, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 45},	//3218 QGraphicsItem::ItemToolTipChange (enum)
    {134, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 46},	//3219 QGraphicsItem::ItemToolTipHasChanged (enum)
    {134, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 47},	//3220 QGraphicsItem::ItemFlagsChange (enum)
    {134, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 48},	//3221 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {134, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 49},	//3222 QGraphicsItem::ItemZValueChange (enum)
    {134, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 50},	//3223 QGraphicsItem::ItemZValueHasChanged (enum)
    {134, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 51},	//3224 QGraphicsItem::ItemOpacityChange (enum)
    {134, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 52},	//3225 QGraphicsItem::ItemOpacityHasChanged (enum)
    {134, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 53},	//3226 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {134, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 54},	//3227 QGraphicsItem::ItemRotationChange (enum)
    {134, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 55},	//3228 QGraphicsItem::ItemRotationHasChanged (enum)
    {134, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 56},	//3229 QGraphicsItem::ItemScaleChange (enum)
    {134, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 57},	//3230 QGraphicsItem::ItemScaleHasChanged (enum)
    {134, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 58},	//3231 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {134, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 59},	//3232 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {134, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 60},	//3233 QGraphicsItem::Type (enum)
    {134, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 61},	//3234 QGraphicsItem::UserType (enum)
    {134, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 62},	//3235 QGraphicsItem::UserExtension (enum)
    {137, 1879, 651, 1, Smoke::mf_virtual, 0, 0},	//3236 QGraphicsProxyWidget::setGeometry(const QRectF&)
    {137, 1471, 216, 3, Smoke::mf_virtual, 0, 0},	//3237 QGraphicsProxyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {137, 2366, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 499, 0},	//3238 QGraphicsProxyWidget::type() const
    {137, 1230, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 303, 0},	//3239 QGraphicsProxyWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {137, 1003, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3240 QGraphicsProxyWidget::event(QEvent*)
    {137, 1005, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3241 QGraphicsProxyWidget::eventFilter(QObject*, QEvent*)
    {137, 2230, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3242 QGraphicsProxyWidget::showEvent(QShowEvent*)
    {137, 1110, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3243 QGraphicsProxyWidget::hideEvent(QHideEvent*)
    {137, 845, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3244 QGraphicsProxyWidget::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {137, 927, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3245 QGraphicsProxyWidget::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {137, 929, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3246 QGraphicsProxyWidget::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {137, 931, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3247 QGraphicsProxyWidget::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {137, 957, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3248 QGraphicsProxyWidget::dropEvent(QGraphicsSceneDragDropEvent*)
    {137, 1119, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3249 QGraphicsProxyWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {137, 1121, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3250 QGraphicsProxyWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {137, 1123, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3251 QGraphicsProxyWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {137, 1083, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3252 QGraphicsProxyWidget::grabMouseEvent(QEvent*)
    {137, 2368, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3253 QGraphicsProxyWidget::ungrabMouseEvent(QEvent*)
    {137, 1419, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3254 QGraphicsProxyWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {137, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3255 QGraphicsProxyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {137, 1423, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3256 QGraphicsProxyWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {137, 1417, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3257 QGraphicsProxyWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {137, 2442, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3258 QGraphicsProxyWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {137, 1249, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3259 QGraphicsProxyWidget::keyPressEvent(QKeyEvent*)
    {137, 1251, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3260 QGraphicsProxyWidget::keyReleaseEvent(QKeyEvent*)
    {137, 1049, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3261 QGraphicsProxyWidget::focusInEvent(QFocusEvent*)
    {137, 1053, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3262 QGraphicsProxyWidget::focusOutEvent(QFocusEvent*)
    {137, 1052, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3263 QGraphicsProxyWidget::focusNextPrevChild(bool)
    {137, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 0},	//3264 QGraphicsProxyWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {137, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3265 QGraphicsProxyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {137, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 31},	//3266 QGraphicsProxyWidget::Type (enum)
    {138, 1152, 1063, 1, Smoke::mf_const|Smoke::mf_virtual, 303, 0},	//3267 QGraphicsScene::inputMethodQuery(Qt::InputMethodQuery) const
    {138, 1003, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3268 QGraphicsScene::event(QEvent*)
    {138, 1005, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3269 QGraphicsScene::eventFilter(QObject*, QEvent*)
    {138, 845, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3270 QGraphicsScene::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {138, 957, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3271 QGraphicsScene::dropEvent(QGraphicsSceneDragDropEvent*)
    {138, 1049, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3272 QGraphicsScene::focusInEvent(QFocusEvent*)
    {138, 1053, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3273 QGraphicsScene::focusOutEvent(QFocusEvent*)
    {138, 1106, 1070, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3274 QGraphicsScene::helpEvent(QGraphicsSceneHelpEvent*)
    {138, 1249, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3275 QGraphicsScene::keyPressEvent(QKeyEvent*)
    {138, 1251, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3276 QGraphicsScene::keyReleaseEvent(QKeyEvent*)
    {138, 1421, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3277 QGraphicsScene::mousePressEvent(QGraphicsSceneMouseEvent*)
    {138, 1419, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3278 QGraphicsScene::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {138, 1423, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3279 QGraphicsScene::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {138, 1417, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3280 QGraphicsScene::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {138, 2442, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3281 QGraphicsScene::wheelEvent(QGraphicsSceneWheelEvent*)
    {138, 1151, 1061, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3282 QGraphicsScene::inputMethodEvent(QInputMethodEvent*)
    {138, 938, 619, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3283 QGraphicsScene::drawBackground(QPainter*, const QRectF&)
    {138, 940, 619, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3284 QGraphicsScene::drawForeground(QPainter*, const QRectF&)
    {138, 943, 1072, 5, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3285 QGraphicsScene::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*)
    {147, 2251, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 289, 0},	//3286 QGraphicsView::sizeHint() const
    {147, 1152, 1063, 1, Smoke::mf_const|Smoke::mf_virtual, 303, 0},	//3287 QGraphicsView::inputMethodQuery(Qt::InputMethodQuery) const
    {147, 1003, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3288 QGraphicsView::event(QEvent*)
    {147, 2430, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3289 QGraphicsView::viewportEvent(QEvent*)
    {147, 845, 1078, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3290 QGraphicsView::contextMenuEvent(QContextMenuEvent*)
    {147, 927, 1080, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3291 QGraphicsView::dragEnterEvent(QDragEnterEvent*)
    {147, 929, 1082, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3292 QGraphicsView::dragLeaveEvent(QDragLeaveEvent*)
    {147, 931, 1084, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3293 QGraphicsView::dragMoveEvent(QDragMoveEvent*)
    {147, 957, 1086, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3294 QGraphicsView::dropEvent(QDropEvent*)
    {147, 1049, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3295 QGraphicsView::focusInEvent(QFocusEvent*)
    {147, 1052, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3296 QGraphicsView::focusNextPrevChild(bool)
    {147, 1053, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3297 QGraphicsView::focusOutEvent(QFocusEvent*)
    {147, 1249, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3298 QGraphicsView::keyPressEvent(QKeyEvent*)
    {147, 1251, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3299 QGraphicsView::keyReleaseEvent(QKeyEvent*)
    {147, 1417, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3300 QGraphicsView::mouseDoubleClickEvent(QMouseEvent*)
    {147, 1421, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3301 QGraphicsView::mousePressEvent(QMouseEvent*)
    {147, 1419, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3302 QGraphicsView::mouseMoveEvent(QMouseEvent*)
    {147, 1423, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3303 QGraphicsView::mouseReleaseEvent(QMouseEvent*)
    {147, 2442, 1088, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3304 QGraphicsView::wheelEvent(QWheelEvent*)
    {147, 1480, 547, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3305 QGraphicsView::paintEvent(QPaintEvent*)
    {147, 1635, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3306 QGraphicsView::resizeEvent(QResizeEvent*)
    {147, 1685, 370, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3307 QGraphicsView::scrollContentsBy(int, int)
    {147, 2230, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3308 QGraphicsView::showEvent(QShowEvent*)
    {147, 1151, 1061, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3309 QGraphicsView::inputMethodEvent(QInputMethodEvent*)
    {147, 938, 619, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3310 QGraphicsView::drawBackground(QPainter*, const QRectF&)
    {147, 940, 619, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3311 QGraphicsView::drawForeground(QPainter*, const QRectF&)
    {147, 943, 1090, 4, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3312 QGraphicsView::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*)
    {148, 1879, 651, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//3313 QGraphicsWidget::setGeometry(const QRectF&)
    {148, 1072, 1095, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3314 QGraphicsWidget::getContentsMargins(double*, double*, double*, double*) const
    {148, 2366, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 499, 0},	//3315 QGraphicsWidget::type() const
    {148, 1471, 216, 3, Smoke::mf_virtual, 0, 0},	//3316 QGraphicsWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {148, 1490, 216, 3, Smoke::mf_virtual, 0, 0},	//3317 QGraphicsWidget::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {148, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 282, 0},	//3318 QGraphicsWidget::boundingRect() const
    {148, 2214, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 275, 0},	//3319 QGraphicsWidget::shape() const
    {148, 1146, 1100, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3320 QGraphicsWidget::initStyleOption(QStyleOption*) const
    {148, 2251, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 0},	//3321 QGraphicsWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {148, 2392, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3322 QGraphicsWidget::updateGeometry()
    {148, 1230, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 303, 0},	//3323 QGraphicsWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {148, 1533, 482, 2, Smoke::mf_protected|Smoke::mf_virtual, 303, 0},	//3324 QGraphicsWidget::propertyChange(const QString&, const QVariant&)
    {148, 1671, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3325 QGraphicsWidget::sceneEvent(QEvent*)
    {148, 2446, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3326 QGraphicsWidget::windowFrameEvent(QEvent*)
    {148, 2447, 384, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//3327 QGraphicsWidget::windowFrameSectionAt(const QPointF&) const
    {148, 1003, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3328 QGraphicsWidget::event(QEvent*)
    {148, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3329 QGraphicsWidget::changeEvent(QEvent*)
    {148, 781, 1102, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3330 QGraphicsWidget::closeEvent(QCloseEvent*)
    {148, 1049, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3331 QGraphicsWidget::focusInEvent(QFocusEvent*)
    {148, 1052, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3332 QGraphicsWidget::focusNextPrevChild(bool)
    {148, 1053, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3333 QGraphicsWidget::focusOutEvent(QFocusEvent*)
    {148, 1110, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3334 QGraphicsWidget::hideEvent(QHideEvent*)
    {148, 1425, 577, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3335 QGraphicsWidget::moveEvent(QGraphicsSceneMoveEvent*)
    {148, 1511, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3336 QGraphicsWidget::polishEvent()
    {148, 1635, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3337 QGraphicsWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {148, 2230, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3338 QGraphicsWidget::showEvent(QShowEvent*)
    {148, 1123, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3339 QGraphicsWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {148, 1121, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3340 QGraphicsWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {148, 1083, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3341 QGraphicsWidget::grabMouseEvent(QEvent*)
    {148, 2368, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3342 QGraphicsWidget::ungrabMouseEvent(QEvent*)
    {148, 1082, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3343 QGraphicsWidget::grabKeyboardEvent(QEvent*)
    {148, 2367, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3344 QGraphicsWidget::ungrabKeyboardEvent(QEvent*)
    {148, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 33},	//3345 QGraphicsWidget::Type (enum)
    {164, 1003, 331, 1, Smoke::mf_virtual, 406, 0},	//3346 QObject::event(QEvent*)
    {164, 1005, 272, 2, Smoke::mf_virtual, 406, 0},	//3347 QObject::eventFilter(QObject*, QEvent*)
    {164, 2342, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3348 QObject::timerEvent(QTimerEvent*)
    {164, 767, 1104, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3349 QObject::childEvent(QChildEvent*)
    {164, 887, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3350 QObject::customEvent(QEvent*)
    {164, 804, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3351 QObject::connectNotify(const char*)
    {164, 918, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3352 QObject::disconnectNotify(const char*)
    {200, 908, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 499, 0},	//3353 QWidget::devType() const
    {200, 2193, 7, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//3354 QWidget::setVisible(bool)
    {200, 2251, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 289, 0},	//3355 QWidget::sizeHint() const
    {200, 1415, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 289, 0},	//3356 QWidget::minimumSizeHint() const
    {200, 1105, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 0},	//3357 QWidget::heightForWidth(int) const
    {200, 1479, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 0},	//3358 QWidget::paintEngine() const
    {200, 1417, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3359 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {200, 2442, 1088, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3360 QWidget::wheelEvent(QWheelEvent*)
    {200, 1251, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3361 QWidget::keyReleaseEvent(QKeyEvent*)
    {200, 1053, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3362 QWidget::focusOutEvent(QFocusEvent*)
    {200, 999, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3363 QWidget::enterEvent(QEvent*)
    {200, 1279, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3364 QWidget::leaveEvent(QEvent*)
    {200, 1425, 553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3365 QWidget::moveEvent(QMoveEvent*)
    {200, 781, 1102, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3366 QWidget::closeEvent(QCloseEvent*)
    {200, 845, 1078, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3367 QWidget::contextMenuEvent(QContextMenuEvent*)
    {200, 2314, 1106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3368 QWidget::tabletEvent(QTabletEvent*)
    {200, 610, 1108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3369 QWidget::actionEvent(QActionEvent*)
    {200, 927, 1080, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3370 QWidget::dragEnterEvent(QDragEnterEvent*)
    {200, 931, 1084, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3371 QWidget::dragMoveEvent(QDragMoveEvent*)
    {200, 929, 1082, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3372 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {200, 957, 1086, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3373 QWidget::dropEvent(QDropEvent*)
    {200, 1110, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3374 QWidget::hideEvent(QHideEvent*)
    {200, 2458, 1110, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3375 QWidget::x11Event(_XEvent*)
    {200, 761, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3376 QWidget::changeEvent(QEvent*)
    {200, 1405, 1112, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 499, 0},	//3377 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {200, 1151, 1061, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3378 QWidget::inputMethodEvent(QInputMethodEvent*)
    {200, 1152, 1063, 1, Smoke::mf_const|Smoke::mf_virtual, 303, 0},	//3379 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {200, 1052, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3380 QWidget::focusNextPrevChild(bool)
    {200, 2288, 1114, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3381 QWidget::styleChange(QStyle&)
    {200, 992, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3382 QWidget::enabledChange(bool)
    {200, 1492, 1116, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3383 QWidget::paletteChange(const QPalette&)
    {200, 1058, 579, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3384 QWidget::fontChange(const QFont&)
    {200, 2445, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3385 QWidget::windowActivationChange(bool)
    {200, 1267, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3386 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    534,  // Plasma::Applet::Applet(QGraphicsItem*)
    536,  // Plasma::Applet::Applet(const KPluginInfo&)
    0,
    2751,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    2752,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    0,
    2759,  // Plasma::ToolTipContent::setImage(const QPixmap&)
    2760,  // Plasma::ToolTipContent::setImage(const QIcon&)
    0,
    24,  // Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    28,  // Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    32,  // Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    35,  // Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    0,
    2021,  // Plasma::RunnerContext::RunnerContext(QObject*)
    2045,  // Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    0,
    986,  // Plasma::Corona::importLayout(const KConfigBase&)
    988,  // Plasma::Corona::importLayout(const KConfigGroup&)
    0,
    1006,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    1007,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    0,
    1953,  // Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    1954,  // Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    0,
    1927,  // Plasma::PushButton::setIcon(const QIcon&)
    1928,  // Plasma::PushButton::setIcon(const KIcon&)
    0,
    2291,  // Plasma::Service::associateWidget(QWidget*, const QString&)
    2293,  // Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    0,
    2292,  // Plasma::Service::disassociateWidget(QWidget*)
    2294,  // Plasma::Service::disassociateWidget(QGraphicsWidget*)
    0,
    1467,  // Plasma::FrameSvg::hasElementPrefix(const QString&) const
    1468,  // Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    0,
    1477,  // Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    1481,  // Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    0,
    1465,  // Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    1466,  // Plasma::FrameSvg::setElementPrefix(const QString&)
    0,
    2212,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    2213,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    0,
    2507,  // Plasma::Svg::paint(QPainter*, const QPointF&)
    2509,  // Plasma::Svg::paint(QPainter*, const QRectF&)
    0,
    2480,  // Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    2482,  // Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    0,
    2534,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    2535,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    0,
    2520,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    2536,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    0,
    213,  // Plasma::AbstractToolBox::AbstractToolBox(Plasma::Containment*)
    230,  // Plasma::AbstractToolBox::AbstractToolBox(QObject*)
    0,
    2064,  // Plasma::RunnerManager::RunnerManager(QObject*)
    2101,  // Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    0,
    344,  // Plasma::Animator::create(Plasma::Animator::CurveShape)
    364,  // Plasma::Animator::create(Plasma::Animator::Animation)
    365,  // Plasma::Animator::create(const QString&)
    0,
    342,  // Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    343,  // Plasma::Animator::create(const QString&, QObject*)
    0,
    923,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    924,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    0,
    869,  // Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    870,  // Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    0,
    1066,  // Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    1067,  // Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {29, 12, 108},	// Plasma::AcceptingInputStatus
    {29, 18, 106},	// Plasma::ActiveStatus
    {29, 20, 50},	// Plasma::AlignToHour
    {29, 21, 49},	// Plasma::AlignToMinute
    {29, 24, 100},	// Plasma::AllConstraints
    {29, 36, 115},	// Plasma::AnimatorComponent
    {29, 46, 112},	// Plasma::AppletComponent
    {29, 49, 89},	// Plasma::AppletType
    {29, 58, 123},	// Plasma::BottomEdge
    {29, 59, 52},	// Plasma::BottomMargin
    {29, 60, 85},	// Plasma::BottomPosedLeftAlignedPopup
    {29, 61, 86},	// Plasma::BottomPosedRightAlignedPopup
    {29, 62, 64},	// Plasma::BottomPositioned
    {29, 70, 47},	// Plasma::ButtonCancel
    {29, 73, 46},	// Plasma::ButtonNo
    {29, 74, 43},	// Plasma::ButtonNone
    {29, 75, 44},	// Plasma::ButtonOk
    {29, 77, 45},	// Plasma::ButtonYes
    {29, 82, 65},	// Plasma::CenterPositioned
    {29, 99, 59},	// Plasma::ConstrainedSquare
    {29, 110, 116},	// Plasma::ContainmentComponent
    {29, 113, 98},	// Plasma::ContextConstraint
    {29, 126, 113},	// Plasma::DataEngineComponent
    {29, 139, 120},	// Plasma::Desktop
    {29, 142, 109},	// Plasma::DesktopZoom
    {29, 154, 66},	// Plasma::Down
    {29, 179, 60},	// Plasma::FixedSize
    {29, 182, 119},	// Plasma::Floating
    {29, 183, 80},	// Plasma::FloatingPopup
    {29, 185, 92},	// Plasma::FormFactorConstraint
    {29, 191, 121},	// Plasma::FullScreen
    {29, 196, 118},	// Plasma::GenericComponent
    {29, 200, 110},	// Plasma::GroupZoom
    {29, 208, 41},	// Plasma::Horizontal
    {29, 209, 102},	// Plasma::HorizontalFlip
    {29, 217, 56},	// Plasma::IgnoreAspectRatio
    {29, 220, 96},	// Plasma::ImmutableConstraint
    {29, 224, 55},	// Plasma::InvalidAspectRatioMode
    {29, 225, 72},	// Plasma::InvalidCredentials
    {29, 302, 57},	// Plasma::KeepAspectRatio
    {29, 310, 68},	// Plasma::Left
    {29, 312, 124},	// Plasma::LeftEdge
    {29, 313, 53},	// Plasma::LeftMargin
    {29, 314, 84},	// Plasma::LeftPosedBottomAlignedPopup
    {29, 315, 83},	// Plasma::LeftPosedTopAlignedPopup
    {29, 316, 61},	// Plasma::LeftPositioned
    {29, 338, 90},	// Plasma::LineEditType
    {29, 341, 93},	// Plasma::LocationConstraint
    {29, 346, 40},	// Plasma::MediaCenter
    {29, 356, 77},	// Plasma::Mutable
    {29, 357, 107},	// Plasma::NeedsAttentionStatus
    {29, 360, 48},	// Plasma::NoAlignment
    {29, 362, 70},	// Plasma::NoAnnouncement
    {29, 368, 91},	// Plasma::NoConstraint
    {29, 374, 101},	// Plasma::NoFlip
    {29, 387, 111},	// Plasma::OverviewZoom
    {29, 401, 105},	// Plasma::PassiveStatus
    {29, 410, 39},	// Plasma::Planar
    {29, 417, 99},	// Plasma::PopupConstraint
    {29, 441, 69},	// Plasma::Right
    {29, 443, 125},	// Plasma::RightEdge
    {29, 444, 54},	// Plasma::RightMargin
    {29, 445, 88},	// Plasma::RightPosedBottomAlignedPopup
    {29, 446, 87},	// Plasma::RightPosedTopAlignedPopup
    {29, 447, 62},	// Plasma::RightPositioned
    {29, 451, 114},	// Plasma::RunnerComponent
    {29, 467, 94},	// Plasma::ScreenConstraint
    {29, 490, 95},	// Plasma::SizeConstraint
    {29, 503, 58},	// Plasma::Square
    {29, 505, 97},	// Plasma::StartupCompletedConstraint
    {29, 523, 79},	// Plasma::SystemImmutable
    {29, 544, 122},	// Plasma::TopEdge
    {29, 545, 51},	// Plasma::TopMargin
    {29, 546, 81},	// Plasma::TopPosedLeftAlignedPopup
    {29, 547, 82},	// Plasma::TopPosedRightAlignedPopup
    {29, 548, 63},	// Plasma::TopPositioned
    {29, 553, 75},	// Plasma::TrustedCredentials
    {29, 556, 76},	// Plasma::UltimateCredentials
    {29, 557, 73},	// Plasma::UnknownCredentials
    {29, 558, 104},	// Plasma::UnknownStatus
    {29, 560, 67},	// Plasma::Up
    {29, 563, 78},	// Plasma::UserImmutable
    {29, 567, 74},	// Plasma::ValidCredentials
    {29, 569, 42},	// Plasma::Vertical
    {29, 570, 103},	// Plasma::VerticalFlip
    {29, 587, 117},	// Plasma::WallpaperComponent
    {29, 594, 71},	// Plasma::ZeroconfAnnouncement
    {29, 596, 37},	// Plasma::ZoomIn
    {29, 597, 38},	// Plasma::ZoomOut
    {29, 616, 30},	// Plasma::actionsFromMenu#
    {29, 617, 31},	// Plasma::actionsFromMenu#$
    {29, 618, 29},	// Plasma::actionsFromMenu#$#
    {29, 1195, 33},	// Plasma::isPluginVersionCompatible$
    {29, 1256, 34},	// Plasma::knownLanguages$
    {29, 1364, -10},	// Plasma::loadScriptEngine$#
    {29, 1369, 18},	// Plasma::locationToDirection$
    {29, 1371, 23},	// Plasma::locationToInverseDirection$
    {29, 1468, 26},	// Plasma::packageStructure$$
    {29, 1670, 27},	// Plasma::scalingFactor$
    {29, 2416, 22},	// Plasma::version
    {29, 2417, 20},	// Plasma::versionMajor
    {29, 2418, 25},	// Plasma::versionMinor
    {29, 2419, 36},	// Plasma::versionRelease
    {29, 2420, 19},	// Plasma::versionString
    {29, 2429, 21},	// Plasma::viewFor#
    {30, 1, 137},	// Plasma::AbstractDialogManager::AbstractDialogManager
    {30, 2, 133},	// Plasma::AbstractDialogManager::AbstractDialogManager#
    {30, 1402, 126},	// Plasma::AbstractDialogManager::metaObject
    {30, 1537, 132},	// Plasma::AbstractDialogManager::qt_metacall$$?
    {30, 1539, 127},	// Plasma::AbstractDialogManager::qt_metacast$
    {30, 2227, 134},	// Plasma::AbstractDialogManager::showDialog##
    {30, 2276, 138},	// Plasma::AbstractDialogManager::staticMetaObject
    {30, 2358, 135},	// Plasma::AbstractDialogManager::tr$
    {30, 2359, 128},	// Plasma::AbstractDialogManager::tr$$
    {30, 2360, 130},	// Plasma::AbstractDialogManager::tr$$$
    {30, 2362, 136},	// Plasma::AbstractDialogManager::trUtf8$
    {30, 2363, 129},	// Plasma::AbstractDialogManager::trUtf8$$
    {30, 2364, 131},	// Plasma::AbstractDialogManager::trUtf8$$$
    {30, 2462, 139},	// Plasma::AbstractDialogManager::~AbstractDialogManager
    {31, 3, 193},	// Plasma::AbstractRunner::AbstractRunner
    {31, 4, 194},	// Plasma::AbstractRunner::AbstractRunner#
    {31, 5, 169},	// Plasma::AbstractRunner::AbstractRunner#$
    {31, 6, 171},	// Plasma::AbstractRunner::AbstractRunner#?
    {31, 7, 195},	// Plasma::AbstractRunner::AbstractRunner?
    {31, 8, 170},	// Plasma::AbstractRunner::AbstractRunner?#
    {31, 205, 203},	// Plasma::AbstractRunner::HighPriority
    {31, 206, 204},	// Plasma::AbstractRunner::HighestPriority
    {31, 342, 201},	// Plasma::AbstractRunner::LowPriority
    {31, 343, 200},	// Plasma::AbstractRunner::LowestPriority
    {31, 382, 202},	// Plasma::AbstractRunner::NormalPriority
    {31, 383, 199},	// Plasma::AbstractRunner::NormalSpeed
    {31, 496, 198},	// Plasma::AbstractRunner::SlowSpeed
    {31, 609, 182},	// Plasma::AbstractRunner::action$
    {31, 611, 183},	// Plasma::AbstractRunner::actions
    {31, 613, 178},	// Plasma::AbstractRunner::actionsForMatch#
    {31, 627, 180},	// Plasma::AbstractRunner::addAction$#
    {31, 628, 179},	// Plasma::AbstractRunner::addAction$#$
    {31, 678, 185},	// Plasma::AbstractRunner::addSyntax#
    {31, 751, 163},	// Plasma::AbstractRunner::bigLock
    {31, 769, 184},	// Plasma::AbstractRunner::clearActions
    {31, 789, 173},	// Plasma::AbstractRunner::config
    {31, 869, 150},	// Plasma::AbstractRunner::createRunOptions#
    {31, 891, 188},	// Plasma::AbstractRunner::dataEngine$
    {31, 896, 164},	// Plasma::AbstractRunner::defaultSyntax
    {31, 900, 158},	// Plasma::AbstractRunner::description
    {31, 1102, 149},	// Plasma::AbstractRunner::hasRunOptions
    {31, 1126, 159},	// Plasma::AbstractRunner::icon
    {31, 1128, 157},	// Plasma::AbstractRunner::id
    {31, 1129, 154},	// Plasma::AbstractRunner::ignoredTypes
    {31, 1142, 189},	// Plasma::AbstractRunner::init
    {31, 1189, 165},	// Plasma::AbstractRunner::isMatchingSuspended
    {31, 1388, 147},	// Plasma::AbstractRunner::match#
    {31, 1395, 168},	// Plasma::AbstractRunner::matchingSuspended$
    {31, 1402, 140},	// Plasma::AbstractRunner::metaObject
    {31, 1407, 190},	// Plasma::AbstractRunner::mimeDataForMatch#
    {31, 1437, 156},	// Plasma::AbstractRunner::name
    {31, 1465, 160},	// Plasma::AbstractRunner::package
    {31, 1502, 148},	// Plasma::AbstractRunner::performMatch#
    {31, 1526, 166},	// Plasma::AbstractRunner::prepare
    {31, 1530, 153},	// Plasma::AbstractRunner::priority
    {31, 1537, 146},	// Plasma::AbstractRunner::qt_metacall$$?
    {31, 1539, 141},	// Plasma::AbstractRunner::qt_metacast$
    {31, 1570, 161},	// Plasma::AbstractRunner::reloadConfiguration
    {31, 1581, 181},	// Plasma::AbstractRunner::removeAction$
    {31, 1650, 151},	// Plasma::AbstractRunner::run##
    {31, 1704, 196},	// Plasma::AbstractRunner::serviceQuery$
    {31, 1705, 177},	// Plasma::AbstractRunner::serviceQuery$$
    {31, 1828, 186},	// Plasma::AbstractRunner::setDefaultSyntax#
    {31, 1893, 174},	// Plasma::AbstractRunner::setHasRunOptions$
    {31, 1915, 155},	// Plasma::AbstractRunner::setIgnoredTypes$
    {31, 2026, 176},	// Plasma::AbstractRunner::setPriority$
    {31, 2091, 175},	// Plasma::AbstractRunner::setSpeed$
    {31, 2114, 187},	// Plasma::AbstractRunner::setSyntaxes?
    {31, 2267, 152},	// Plasma::AbstractRunner::speed
    {31, 2276, 197},	// Plasma::AbstractRunner::staticMetaObject
    {31, 2298, 172},	// Plasma::AbstractRunner::suspendMatching$
    {31, 2307, 162},	// Plasma::AbstractRunner::syntaxes
    {31, 2326, 167},	// Plasma::AbstractRunner::teardown
    {31, 2358, 191},	// Plasma::AbstractRunner::tr$
    {31, 2359, 142},	// Plasma::AbstractRunner::tr$$
    {31, 2360, 144},	// Plasma::AbstractRunner::tr$$$
    {31, 2362, 192},	// Plasma::AbstractRunner::trUtf8$
    {31, 2363, 143},	// Plasma::AbstractRunner::trUtf8$$
    {31, 2364, 145},	// Plasma::AbstractRunner::trUtf8$$$
    {31, 2463, 205},	// Plasma::AbstractRunner::~AbstractRunner
    {32, 9, 229},	// Plasma::AbstractToolBox::AbstractToolBox
    {32, 10, -60},	// Plasma::AbstractToolBox::AbstractToolBox#
    {32, 11, 214},	// Plasma::AbstractToolBox::AbstractToolBox#?
    {32, 19, 235},	// Plasma::AbstractToolBox::AddTool
    {32, 98, 236},	// Plasma::AbstractToolBox::ConfigureTool
    {32, 114, 237},	// Plasma::AbstractToolBox::ControlTool
    {32, 143, 239},	// Plasma::AbstractToolBox::DestructiveTool
    {32, 350, 238},	// Plasma::AbstractToolBox::MiscTool
    {32, 564, 240},	// Plasma::AbstractToolBox::UserToolType
    {32, 685, 217},	// Plasma::AbstractToolBox::addTool#
    {32, 816, 226},	// Plasma::AbstractToolBox::containment
    {32, 1205, 219},	// Plasma::AbstractToolBox::isShowing
    {32, 1325, 233},	// Plasma::AbstractToolBox::listToolBoxInfo
    {32, 1326, 216},	// Plasma::AbstractToolBox::listToolBoxInfo$
    {32, 1339, 231},	// Plasma::AbstractToolBox::load$
    {32, 1343, 232},	// Plasma::AbstractToolBox::load$?
    {32, 1344, 215},	// Plasma::AbstractToolBox::load$?#
    {32, 1402, 206},	// Plasma::AbstractToolBox::metaObject
    {32, 1537, 212},	// Plasma::AbstractToolBox::qt_metacall$$?
    {32, 1539, 207},	// Plasma::AbstractToolBox::qt_metacast$
    {32, 1606, 218},	// Plasma::AbstractToolBox::removeTool#
    {32, 1623, 223},	// Plasma::AbstractToolBox::reposition
    {32, 1641, 221},	// Plasma::AbstractToolBox::restore#
    {32, 1659, 222},	// Plasma::AbstractToolBox::save#
    {32, 2079, 220},	// Plasma::AbstractToolBox::setShowing$
    {32, 2276, 234},	// Plasma::AbstractToolBox::staticMetaObject
    {32, 2346, 224},	// Plasma::AbstractToolBox::toggled
    {32, 2358, 227},	// Plasma::AbstractToolBox::tr$
    {32, 2359, 208},	// Plasma::AbstractToolBox::tr$$
    {32, 2360, 210},	// Plasma::AbstractToolBox::tr$$$
    {32, 2362, 228},	// Plasma::AbstractToolBox::trUtf8$
    {32, 2363, 209},	// Plasma::AbstractToolBox::trUtf8$$
    {32, 2364, 211},	// Plasma::AbstractToolBox::trUtf8$$$
    {32, 2435, 225},	// Plasma::AbstractToolBox::visibilityChanged$
    {32, 2464, 241},	// Plasma::AbstractToolBox::~AbstractToolBox
    {33, 14, 254},	// Plasma::AccessAppletJob::AccessAppletJob#
    {33, 15, 250},	// Plasma::AccessAppletJob::AccessAppletJob##
    {33, 715, 249},	// Plasma::AccessAppletJob::applet
    {33, 1402, 242},	// Plasma::AccessAppletJob::metaObject
    {33, 1537, 248},	// Plasma::AccessAppletJob::qt_metacall$$?
    {33, 1539, 243},	// Plasma::AccessAppletJob::qt_metacast$
    {33, 2270, 251},	// Plasma::AccessAppletJob::start
    {33, 2276, 255},	// Plasma::AccessAppletJob::staticMetaObject
    {33, 2358, 252},	// Plasma::AccessAppletJob::tr$
    {33, 2359, 244},	// Plasma::AccessAppletJob::tr$$
    {33, 2360, 246},	// Plasma::AccessAppletJob::tr$$$
    {33, 2362, 253},	// Plasma::AccessAppletJob::trUtf8$
    {33, 2363, 245},	// Plasma::AccessAppletJob::trUtf8$$
    {33, 2364, 247},	// Plasma::AccessAppletJob::trUtf8$$$
    {33, 2465, 256},	// Plasma::AccessAppletJob::~AccessAppletJob
    {34, 607, 265},	// Plasma::AccessManager::accessRemoteApplet#
    {34, 1037, 268},	// Plasma::AccessManager::finished#
    {34, 1402, 257},	// Plasma::AccessManager::metaObject
    {34, 1537, 263},	// Plasma::AccessManager::qt_metacall$$?
    {34, 1539, 258},	// Plasma::AccessManager::qt_metacast$
    {34, 1573, 269},	// Plasma::AccessManager::remoteAppletAnnounced#
    {34, 1575, 270},	// Plasma::AccessManager::remoteAppletUnannounced#
    {34, 1576, 266},	// Plasma::AccessManager::remoteApplets
    {34, 1697, 264},	// Plasma::AccessManager::self
    {34, 2276, 273},	// Plasma::AccessManager::staticMetaObject
    {34, 2293, 267},	// Plasma::AccessManager::supportedProtocols
    {34, 2358, 271},	// Plasma::AccessManager::tr$
    {34, 2359, 259},	// Plasma::AccessManager::tr$$
    {34, 2360, 261},	// Plasma::AccessManager::tr$$$
    {34, 2362, 272},	// Plasma::AccessManager::trUtf8$
    {34, 2363, 260},	// Plasma::AccessManager::trUtf8$$
    {34, 2364, 262},	// Plasma::AccessManager::trUtf8$$$
    {35, 32, 291},	// Plasma::Animation::Animation
    {35, 33, 282},	// Plasma::Animation::Animation#
    {35, 81, 294},	// Plasma::Animation::Center
    {35, 154, 296},	// Plasma::Animation::Down
    {35, 310, 297},	// Plasma::Animation::Left
    {35, 351, 299},	// Plasma::Animation::MoveAny
    {35, 352, 302},	// Plasma::Animation::MoveDown
    {35, 353, 303},	// Plasma::Animation::MoveLeft
    {35, 354, 301},	// Plasma::Animation::MoveRight
    {35, 355, 300},	// Plasma::Animation::MoveUp
    {35, 441, 298},	// Plasma::Animation::Right
    {35, 560, 295},	// Plasma::Animation::Up
    {35, 959, 281},	// Plasma::Animation::duration
    {35, 960, 286},	// Plasma::Animation::easingCurve
    {35, 1402, 274},	// Plasma::Animation::metaObject
    {35, 1537, 280},	// Plasma::Animation::qt_metacall$$?
    {35, 1539, 275},	// Plasma::Animation::qt_metacast$
    {35, 1844, 292},	// Plasma::Animation::setDuration
    {35, 1845, 287},	// Plasma::Animation::setDuration$
    {35, 1847, 285},	// Plasma::Animation::setEasingCurve#
    {35, 2130, 283},	// Plasma::Animation::setTargetWidget#
    {35, 2276, 293},	// Plasma::Animation::staticMetaObject
    {35, 2324, 284},	// Plasma::Animation::targetWidget
    {35, 2358, 289},	// Plasma::Animation::tr$
    {35, 2359, 276},	// Plasma::Animation::tr$$
    {35, 2360, 278},	// Plasma::Animation::tr$$$
    {35, 2362, 290},	// Plasma::Animation::trUtf8$
    {35, 2363, 277},	// Plasma::Animation::trUtf8$$
    {35, 2364, 279},	// Plasma::Animation::trUtf8$$$
    {35, 2388, 288},	// Plasma::Animation::updateCurrentTime$
    {35, 2466, 304},	// Plasma::Animation::~Animation
    {36, 34, 331},	// Plasma::AnimationDriver::AnimationDriver
    {36, 35, 312},	// Plasma::AnimationDriver::AnimationDriver#
    {36, 700, 319},	// Plasma::AnimationDriver::animationCurve$
    {36, 702, 316},	// Plasma::AnimationDriver::animationDuration$
    {36, 706, 313},	// Plasma::AnimationDriver::animationFps$
    {36, 965, 321},	// Plasma::AnimationDriver::elementAnimationCurve$
    {36, 967, 318},	// Plasma::AnimationDriver::elementAnimationDuration$
    {36, 971, 315},	// Plasma::AnimationDriver::elementAnimationFps$
    {36, 973, 322},	// Plasma::AnimationDriver::elementAppear$#
    {36, 977, 323},	// Plasma::AnimationDriver::elementDisappear$#
    {36, 1222, 326},	// Plasma::AnimationDriver::itemActivated$#
    {36, 1227, 324},	// Plasma::AnimationDriver::itemAppear$#
    {36, 1235, 325},	// Plasma::AnimationDriver::itemDisappear$#
    {36, 1245, 327},	// Plasma::AnimationDriver::itemSlideIn$###
    {36, 1247, 328},	// Plasma::AnimationDriver::itemSlideOut$###
    {36, 1402, 305},	// Plasma::AnimationDriver::metaObject
    {36, 1430, 320},	// Plasma::AnimationDriver::movementAnimationCurve$
    {36, 1432, 317},	// Plasma::AnimationDriver::movementAnimationDuration$
    {36, 1434, 314},	// Plasma::AnimationDriver::movementAnimationFps$
    {36, 1537, 311},	// Plasma::AnimationDriver::qt_metacall$$?
    {36, 1539, 306},	// Plasma::AnimationDriver::qt_metacast$
    {36, 2276, 332},	// Plasma::AnimationDriver::staticMetaObject
    {36, 2358, 329},	// Plasma::AnimationDriver::tr$
    {36, 2359, 307},	// Plasma::AnimationDriver::tr$$
    {36, 2360, 309},	// Plasma::AnimationDriver::tr$$$
    {36, 2362, 330},	// Plasma::AnimationDriver::trUtf8$
    {36, 2363, 308},	// Plasma::AnimationDriver::trUtf8$$
    {36, 2364, 310},	// Plasma::AnimationDriver::trUtf8$$$
    {36, 2467, 333},	// Plasma::AnimationDriver::~AnimationDriver
    {37, 16, 369},	// Plasma::Animator::ActivateAnimation
    {37, 37, 367},	// Plasma::Animator::AppearAnimation
    {37, 150, 368},	// Plasma::Animator::DisappearAnimation
    {37, 157, 381},	// Plasma::Animator::EaseInCurve
    {37, 158, 383},	// Plasma::Animator::EaseInOutCurve
    {37, 159, 382},	// Plasma::Animator::EaseOutCurve
    {37, 173, 370},	// Plasma::Animator::FadeAnimation
    {37, 174, 388},	// Plasma::Animator::FastSlideInMovement
    {37, 175, 389},	// Plasma::Animator::FastSlideOutMovement
    {37, 197, 376},	// Plasma::Animator::GeometryAnimation
    {37, 201, 371},	// Plasma::Animator::GrowAnimation
    {37, 308, 380},	// Plasma::Animator::LastAnimation
    {37, 339, 384},	// Plasma::Animator::LinearCurve
    {37, 404, 385},	// Plasma::Animator::PendularCurve
    {37, 408, 378},	// Plasma::Animator::PixmapTransitionAnimation
    {37, 421, 372},	// Plasma::Animator::PulseAnimation
    {37, 448, 373},	// Plasma::Animator::RotationAnimation
    {37, 449, 374},	// Plasma::Animator::RotationStackedAnimation
    {37, 491, 375},	// Plasma::Animator::SlideAnimation
    {37, 492, 386},	// Plasma::Animator::SlideInMovement
    {37, 493, 387},	// Plasma::Animator::SlideOutMovement
    {37, 590, 379},	// Plasma::Animator::WaterAnimation
    {37, 595, 377},	// Plasma::Animator::ZoomAnimation
    {37, 704, 356},	// Plasma::Animator::animationFinished#$
    {37, 852, -66},	// Plasma::Animator::create$
    {37, 853, -70},	// Plasma::Animator::create$#
    {37, 878, 352},	// Plasma::Animator::currentPixmap$
    {37, 883, 348},	// Plasma::Animator::customAnimation$$$#$
    {37, 885, 359},	// Plasma::Animator::customAnimationFinished$
    {37, 969, 358},	// Plasma::Animator::elementAnimationFinished$
    {37, 1171, 353},	// Plasma::Animator::isAnimating
    {37, 1402, 334},	// Plasma::Animator::metaObject
    {37, 1428, 346},	// Plasma::Animator::moveItem#$#
    {37, 1436, 357},	// Plasma::Animator::movementFinished#
    {37, 1537, 340},	// Plasma::Animator::qt_metacall$$?
    {37, 1539, 335},	// Plasma::Animator::qt_metacast$
    {37, 1561, 354},	// Plasma::Animator::registerScrollingManager#
    {37, 1688, 360},	// Plasma::Animator::scrollStateChanged#$$
    {37, 1697, 341},	// Plasma::Animator::self
    {37, 1929, 351},	// Plasma::Animator::setInitialPixmap$#
    {37, 2276, 366},	// Plasma::Animator::staticMetaObject
    {37, 2280, 349},	// Plasma::Animator::stopCustomAnimation$
    {37, 2282, 350},	// Plasma::Animator::stopElementAnimation$
    {37, 2284, 345},	// Plasma::Animator::stopItemAnimation$
    {37, 2286, 347},	// Plasma::Animator::stopItemMovement$
    {37, 2343, 361},	// Plasma::Animator::timerEvent#
    {37, 2358, 362},	// Plasma::Animator::tr$
    {37, 2359, 336},	// Plasma::Animator::tr$$
    {37, 2360, 338},	// Plasma::Animator::tr$$$
    {37, 2362, 363},	// Plasma::Animator::trUtf8$
    {37, 2363, 337},	// Plasma::Animator::trUtf8$$
    {37, 2364, 339},	// Plasma::Animator::trUtf8$$$
    {37, 2379, 355},	// Plasma::Animator::unregisterScrollingManager#
    {38, 38, 533},	// Plasma::Applet::Applet
    {38, 39, -1},	// Plasma::Applet::Applet#
    {38, 40, 537},	// Plasma::Applet::Applet##
    {38, 41, 458},	// Plasma::Applet::Applet##$
    {38, 42, 535},	// Plasma::Applet::Applet#$
    {38, 43, 457},	// Plasma::Applet::Applet#$$
    {38, 44, 459},	// Plasma::Applet::Applet#$$?
    {38, 45, 498},	// Plasma::Applet::Applet#?
    {38, 131, 545},	// Plasma::Applet::DefaultBackground
    {38, 363, 542},	// Plasma::Applet::NoBackground
    {38, 504, 543},	// Plasma::Applet::StandardBackground
    {38, 550, 544},	// Plasma::Applet::TranslucentBackground
    {38, 555, 546},	// Plasma::Applet::Type
    {38, 609, 443},	// Plasma::Applet::action$
    {38, 619, 474},	// Plasma::Applet::activate
    {38, 627, 444},	// Plasma::Applet::addAction$#
    {38, 637, 454},	// Plasma::Applet::addAssociatedWidget#
    {38, 719, 476},	// Plasma::Applet::appletDestroyed#
    {38, 723, 470},	// Plasma::Applet::appletTransformedByUser
    {38, 724, 471},	// Plasma::Applet::appletTransformedItself
    {38, 727, 416},	// Plasma::Applet::aspectRatioMode
    {38, 732, 465},	// Plasma::Applet::associatedApplication
    {38, 733, 466},	// Plasma::Applet::associatedApplicationUrls
    {38, 748, 446},	// Plasma::Applet::backgroundHints
    {38, 758, 435},	// Plasma::Applet::category
    {38, 759, 427},	// Plasma::Applet::category#
    {38, 760, 428},	// Plasma::Applet::category$
    {38, 789, 399},	// Plasma::Applet::config
    {38, 790, 400},	// Plasma::Applet::config$
    {38, 791, 489},	// Plasma::Applet::configChanged
    {38, 792, 473},	// Plasma::Applet::configNeedsSaving
    {38, 793, 404},	// Plasma::Applet::configScheme
    {38, 796, 440},	// Plasma::Applet::configurationRequired
    {38, 812, 504},	// Plasma::Applet::constraintsEvent$
    {38, 816, 450},	// Plasma::Applet::containment
    {38, 839, 415},	// Plasma::Applet::context
    {38, 847, 442},	// Plasma::Applet::contextualActions
    {38, 857, 461},	// Plasma::Applet::createConfigurationInterface#
    {38, 886, 423},	// Plasma::Applet::customCategories
    {38, 891, 405},	// Plasma::Applet::dataEngine$
    {38, 903, 481},	// Plasma::Applet::destroy
    {38, 905, 460},	// Plasma::Applet::destroyed
    {38, 1006, 509},	// Plasma::Applet::eventFilter##
    {38, 1017, 508},	// Plasma::Applet::extender
    {38, 1019, 478},	// Plasma::Applet::extenderItemRestored#
    {38, 1046, 487},	// Plasma::Applet::flushPendingConstraintsEvents
    {38, 1050, 512},	// Plasma::Applet::focusInEvent#
    {38, 1056, 431},	// Plasma::Applet::font
    {38, 1063, 413},	// Plasma::Applet::formFactor
    {38, 1071, 469},	// Plasma::Applet::geometryChanged
    {38, 1080, 403},	// Plasma::Applet::globalConfig
    {38, 1081, 452},	// Plasma::Applet::globalShortcut
    {38, 1090, 462},	// Plasma::Applet::hasAuthorization$
    {38, 1091, 441},	// Plasma::Applet::hasConfigurationInterface
    {38, 1096, 438},	// Plasma::Applet::hasFailedToLaunch
    {38, 1104, 467},	// Plasma::Applet::hasValidAssociatedApplication
    {38, 1120, 517},	// Plasma::Applet::hoverEnterEvent#
    {38, 1122, 518},	// Plasma::Applet::hoverLeaveEvent#
    {38, 1126, 434},	// Plasma::Applet::icon
    {38, 1128, 398},	// Plasma::Applet::id
    {38, 1133, 436},	// Plasma::Applet::immutability
    {38, 1135, 479},	// Plasma::Applet::immutabilityChanged$
    {38, 1142, 488},	// Plasma::Applet::init
    {38, 1145, 456},	// Plasma::Applet::initExtenderItem#
    {38, 1173, 439},	// Plasma::Applet::isBusy
    {38, 1179, 447},	// Plasma::Applet::isContainment
    {38, 1196, 453},	// Plasma::Applet::isPopupShowing
    {38, 1198, 496},	// Plasma::Applet::isPublished
    {38, 1201, 507},	// Plasma::Applet::isRegisteredAsDragHandle#
    {38, 1212, 484},	// Plasma::Applet::isUserConfiguring
    {38, 1231, 514},	// Plasma::Applet::itemChange$#
    {38, 1289, 523},	// Plasma::Applet::listAppletInfo
    {38, 1290, 524},	// Plasma::Applet::listAppletInfo$
    {38, 1291, 418},	// Plasma::Applet::listAppletInfo$$
    {38, 1293, 419},	// Plasma::Applet::listAppletInfoForMimetype$
    {38, 1295, 420},	// Plasma::Applet::listAppletInfoForUrl#
    {38, 1298, 525},	// Plasma::Applet::listCategories
    {38, 1299, 526},	// Plasma::Applet::listCategories$
    {38, 1300, 421},	// Plasma::Applet::listCategories$$
    {38, 1333, 531},	// Plasma::Applet::load#
    {38, 1336, 532},	// Plasma::Applet::load#$
    {38, 1337, 426},	// Plasma::Applet::load#$?
    {38, 1339, 529},	// Plasma::Applet::load$
    {38, 1341, 530},	// Plasma::Applet::load$$
    {38, 1342, 425},	// Plasma::Applet::load$$?
    {38, 1355, 527},	// Plasma::Applet::loadPlasmoid$
    {38, 1356, 528},	// Plasma::Applet::loadPlasmoid$$
    {38, 1357, 424},	// Plasma::Applet::loadPlasmoid$$?
    {38, 1365, 414},	// Plasma::Applet::location
    {38, 1373, 486},	// Plasma::Applet::lower
    {38, 1381, 408},	// Plasma::Applet::mapFromView##
    {38, 1383, 409},	// Plasma::Applet::mapToView##
    {38, 1401, 475},	// Plasma::Applet::messageButtonPressed$
    {38, 1402, 390},	// Plasma::Applet::metaObject
    {38, 1420, 511},	// Plasma::Applet::mouseMoveEvent#
    {38, 1437, 430},	// Plasma::Applet::name
    {38, 1443, 477},	// Plasma::Applet::newStatus$
    {38, 1465, 406},	// Plasma::Applet::package
    {38, 1466, 397},	// Plasma::Applet::packageStructure
    {38, 1489, 429},	// Plasma::Applet::paintInterface###
    {38, 1491, 437},	// Plasma::Applet::paintWindowFrame###
    {38, 1509, 432},	// Plasma::Applet::pluginName
    {38, 1518, 410},	// Plasma::Applet::popupPosition#
    {38, 1521, 411},	// Plasma::Applet::popupPosition#$
    {38, 1535, 494},	// Plasma::Applet::publish$$
    {38, 1537, 396},	// Plasma::Applet::qt_metacall$$?
    {38, 1539, 391},	// Plasma::Applet::qt_metacast$
    {38, 1543, 485},	// Plasma::Applet::raise
    {38, 1554, 505},	// Plasma::Applet::registerAsDragHandle#
    {38, 1566, 468},	// Plasma::Applet::releaseVisualFocus
    {38, 1586, 455},	// Plasma::Applet::removeAssociatedWidget#
    {38, 1636, 513},	// Plasma::Applet::resizeEvent#
    {38, 1641, 402},	// Plasma::Applet::restore#
    {38, 1652, 497},	// Plasma::Applet::runAssociatedApplication
    {38, 1659, 401},	// Plasma::Applet::save#
    {38, 1665, 500},	// Plasma::Applet::saveState#
    {38, 1673, 510},	// Plasma::Applet::sceneEventFilter##
    {38, 1684, 448},	// Plasma::Applet::screenRect
    {38, 1728, 417},	// Plasma::Applet::setAspectRatioMode$
    {38, 1730, 463},	// Plasma::Applet::setAssociatedApplication$
    {38, 1732, 464},	// Plasma::Applet::setAssociatedApplicationUrls?
    {38, 1752, 445},	// Plasma::Applet::setBackgroundHints$
    {38, 1756, 490},	// Plasma::Applet::setBusy$
    {38, 1778, 539},	// Plasma::Applet::setConfigurationRequired$
    {38, 1779, 502},	// Plasma::Applet::setConfigurationRequired$$
    {38, 1809, 422},	// Plasma::Applet::setCustomCategories?
    {38, 1866, 538},	// Plasma::Applet::setFailedToLaunch$
    {38, 1867, 499},	// Plasma::Applet::setFailedToLaunch$$
    {38, 1882, 451},	// Plasma::Applet::setGlobalShortcut#
    {38, 1891, 501},	// Plasma::Applet::setHasConfigurationInterface$
    {38, 1923, 480},	// Plasma::Applet::setImmutability$
    {38, 2097, 493},	// Plasma::Applet::setStatus$
    {38, 2214, 515},	// Plasma::Applet::shape
    {38, 2216, 433},	// Plasma::Applet::shouldConserveResources
    {38, 2222, 482},	// Plasma::Applet::showConfigurationInterface
    {38, 2223, 483},	// Plasma::Applet::showConfigurationInterface#
    {38, 2235, 503},	// Plasma::Applet::showMessage#$$
    {38, 2253, 540},	// Plasma::Applet::sizeHint$
    {38, 2254, 516},	// Plasma::Applet::sizeHint$#
    {38, 2256, 472},	// Plasma::Applet::sizeHintChanged$
    {38, 2274, 491},	// Plasma::Applet::startupArguments
    {38, 2276, 541},	// Plasma::Applet::staticMetaObject
    {38, 2277, 492},	// Plasma::Applet::status
    {38, 2343, 519},	// Plasma::Applet::timerEvent#
    {38, 2358, 520},	// Plasma::Applet::tr$
    {38, 2359, 392},	// Plasma::Applet::tr$$
    {38, 2360, 394},	// Plasma::Applet::tr$$$
    {38, 2362, 521},	// Plasma::Applet::trUtf8$
    {38, 2363, 393},	// Plasma::Applet::trUtf8$$
    {38, 2364, 395},	// Plasma::Applet::trUtf8$$$
    {38, 2366, 449},	// Plasma::Applet::type
    {38, 2375, 495},	// Plasma::Applet::unpublish
    {38, 2377, 506},	// Plasma::Applet::unregisterAsDragHandle#
    {38, 2385, 522},	// Plasma::Applet::updateConstraints
    {38, 2386, 412},	// Plasma::Applet::updateConstraints$
    {38, 2427, 407},	// Plasma::Applet::view
    {38, 2468, 547},	// Plasma::Applet::~Applet
    {39, 47, 589},	// Plasma::AppletScript::AppletScript
    {39, 48, 555},	// Plasma::AppletScript::AppletScript#
    {39, 676, 581},	// Plasma::AppletScript::addStandardConfigurationPages#
    {39, 715, 557},	// Plasma::AppletScript::applet
    {39, 791, 575},	// Plasma::AppletScript::configChanged
    {39, 792, 566},	// Plasma::AppletScript::configNeedsSaving
    {39, 812, 560},	// Plasma::AppletScript::constraintsEvent$
    {39, 830, 570},	// Plasma::AppletScript::containmentType
    {39, 847, 561},	// Plasma::AppletScript::contextualActions
    {39, 891, 576},	// Plasma::AppletScript::dataEngine$
    {39, 900, 579},	// Plasma::AppletScript::description
    {39, 954, 568},	// Plasma::AppletScript::drawWallpaper
    {39, 1017, 567},	// Plasma::AppletScript::extender
    {39, 1201, 585},	// Plasma::AppletScript::isRegisteredAsDragHandle#
    {39, 1346, 586},	// Plasma::AppletScript::loadAnimationFromPackage$#
    {39, 1375, 577},	// Plasma::AppletScript::mainScript
    {39, 1402, 548},	// Plasma::AppletScript::metaObject
    {39, 1465, 578},	// Plasma::AppletScript::package
    {39, 1489, 558},	// Plasma::AppletScript::paintInterface###
    {39, 1514, 573},	// Plasma::AppletScript::popupEvent$
    {39, 1537, 554},	// Plasma::AppletScript::qt_metacall$$?
    {39, 1539, 549},	// Plasma::AppletScript::qt_metacast$
    {39, 1554, 583},	// Plasma::AppletScript::registerAsDragHandle#
    {39, 1665, 572},	// Plasma::AppletScript::saveState#
    {39, 1722, 556},	// Plasma::AppletScript::setApplet#
    {39, 1778, 590},	// Plasma::AppletScript::setConfigurationRequired$
    {39, 1779, 564},	// Plasma::AppletScript::setConfigurationRequired$$
    {39, 1787, 571},	// Plasma::AppletScript::setContainmentType$
    {39, 1843, 569},	// Plasma::AppletScript::setDrawWallpaper$
    {39, 1866, 591},	// Plasma::AppletScript::setFailedToLaunch$
    {39, 1867, 565},	// Plasma::AppletScript::setFailedToLaunch$$
    {39, 1891, 563},	// Plasma::AppletScript::setHasConfigurationInterface$
    {39, 2214, 562},	// Plasma::AppletScript::shape
    {39, 2222, 574},	// Plasma::AppletScript::showConfigurationInterface
    {39, 2235, 582},	// Plasma::AppletScript::showMessage#$$
    {39, 2247, 559},	// Plasma::AppletScript::size
    {39, 2269, 580},	// Plasma::AppletScript::standardConfigurationDialog
    {39, 2276, 592},	// Plasma::AppletScript::staticMetaObject
    {39, 2358, 587},	// Plasma::AppletScript::tr$
    {39, 2359, 550},	// Plasma::AppletScript::tr$$
    {39, 2360, 552},	// Plasma::AppletScript::tr$$$
    {39, 2362, 588},	// Plasma::AppletScript::trUtf8$
    {39, 2363, 551},	// Plasma::AppletScript::trUtf8$$
    {39, 2364, 553},	// Plasma::AppletScript::trUtf8$$$
    {39, 2377, 584},	// Plasma::AppletScript::unregisterAsDragHandle#
    {39, 2469, 593},	// Plasma::AppletScript::~AppletScript
    {40, 50, 596},	// Plasma::AuthorizationInterface::AuthorizationInterface
    {40, 51, 597},	// Plasma::AuthorizationInterface::AuthorizationInterface#
    {40, 738, 594},	// Plasma::AuthorizationInterface::authorizationRequest#
    {40, 780, 595},	// Plasma::AuthorizationInterface::clientPinRequest#
    {40, 2470, 598},	// Plasma::AuthorizationInterface::~AuthorizationInterface
    {41, 118, 616},	// Plasma::AuthorizationManager::Custom
    {41, 138, 613},	// Plasma::AuthorizationManager::DenyAll
    {41, 406, 615},	// Plasma::AuthorizationManager::PinPairing
    {41, 554, 614},	// Plasma::AuthorizationManager::TrustedOnly
    {41, 1402, 599},	// Plasma::AuthorizationManager::metaObject
    {41, 1537, 605},	// Plasma::AuthorizationManager::qt_metacall$$?
    {41, 1539, 600},	// Plasma::AuthorizationManager::qt_metacast$
    {41, 1548, 609},	// Plasma::AuthorizationManager::readyForRemoteAccess
    {41, 1697, 606},	// Plasma::AuthorizationManager::self
    {41, 1736, 608},	// Plasma::AuthorizationManager::setAuthorizationInterface#
    {41, 1738, 607},	// Plasma::AuthorizationManager::setAuthorizationPolicy$
    {41, 2276, 612},	// Plasma::AuthorizationManager::staticMetaObject
    {41, 2358, 610},	// Plasma::AuthorizationManager::tr$
    {41, 2359, 601},	// Plasma::AuthorizationManager::tr$$
    {41, 2360, 603},	// Plasma::AuthorizationManager::tr$$$
    {41, 2362, 611},	// Plasma::AuthorizationManager::trUtf8$
    {41, 2363, 602},	// Plasma::AuthorizationManager::trUtf8$$
    {41, 2364, 604},	// Plasma::AuthorizationManager::trUtf8$$$
    {42, 26, 645},	// Plasma::AuthorizationRule::AllServices
    {42, 27, 644},	// Plasma::AuthorizationRule::AllUsers
    {42, 28, 639},	// Plasma::AuthorizationRule::Allow
    {42, 130, 643},	// Plasma::AuthorizationRule::Default
    {42, 137, 638},	// Plasma::AuthorizationRule::Deny
    {42, 405, 642},	// Plasma::AuthorizationRule::Persistent
    {42, 407, 640},	// Plasma::AuthorizationRule::PinRequired
    {42, 549, 641},	// Plasma::AuthorizationRule::Transient
    {42, 764, 634},	// Plasma::AuthorizationRule::changed#
    {42, 900, 624},	// Plasma::AuthorizationRule::description
    {42, 1402, 617},	// Plasma::AuthorizationRule::metaObject
    {42, 1503, 628},	// Plasma::AuthorizationRule::persistence
    {42, 1504, 632},	// Plasma::AuthorizationRule::pin
    {42, 1510, 626},	// Plasma::AuthorizationRule::policy
    {42, 1537, 623},	// Plasma::AuthorizationRule::qt_metacall$$?
    {42, 1539, 618},	// Plasma::AuthorizationRule::qt_metacast$
    {42, 1701, 633},	// Plasma::AuthorizationRule::serviceName
    {42, 2001, 627},	// Plasma::AuthorizationRule::setPersistence$
    {42, 2003, 631},	// Plasma::AuthorizationRule::setPin$
    {42, 2007, 625},	// Plasma::AuthorizationRule::setPolicy$
    {42, 2132, 629},	// Plasma::AuthorizationRule::setTargets$
    {42, 2276, 637},	// Plasma::AuthorizationRule::staticMetaObject
    {42, 2325, 630},	// Plasma::AuthorizationRule::targets
    {42, 2358, 635},	// Plasma::AuthorizationRule::tr$
    {42, 2359, 619},	// Plasma::AuthorizationRule::tr$$
    {42, 2360, 621},	// Plasma::AuthorizationRule::tr$$$
    {42, 2362, 636},	// Plasma::AuthorizationRule::trUtf8$
    {42, 2363, 620},	// Plasma::AuthorizationRule::trUtf8$$
    {42, 2364, 622},	// Plasma::AuthorizationRule::trUtf8$$$
    {42, 2471, 646},	// Plasma::AuthorizationRule::~AuthorizationRule
    {43, 67, 669},	// Plasma::BusyWidget::BusyWidget
    {43, 68, 654},	// Plasma::BusyWidget::BusyWidget#
    {43, 777, 659},	// Plasma::BusyWidget::clicked
    {43, 1111, 662},	// Plasma::BusyWidget::hideEvent#
    {43, 1204, 656},	// Plasma::BusyWidget::isRunning
    {43, 1257, 658},	// Plasma::BusyWidget::label
    {43, 1402, 647},	// Plasma::BusyWidget::metaObject
    {43, 1422, 664},	// Plasma::BusyWidget::mousePressEvent#
    {43, 1424, 665},	// Plasma::BusyWidget::mouseReleaseEvent#
    {43, 1472, 670},	// Plasma::BusyWidget::paint##
    {43, 1473, 660},	// Plasma::BusyWidget::paint###
    {43, 1537, 653},	// Plasma::BusyWidget::qt_metacall$$?
    {43, 1539, 648},	// Plasma::BusyWidget::qt_metacast$
    {43, 1636, 663},	// Plasma::BusyWidget::resizeEvent#
    {43, 1935, 657},	// Plasma::BusyWidget::setLabel$
    {43, 2054, 655},	// Plasma::BusyWidget::setRunning$
    {43, 2231, 661},	// Plasma::BusyWidget::showEvent#
    {43, 2276, 671},	// Plasma::BusyWidget::staticMetaObject
    {43, 2343, 666},	// Plasma::BusyWidget::timerEvent#
    {43, 2358, 667},	// Plasma::BusyWidget::tr$
    {43, 2359, 649},	// Plasma::BusyWidget::tr$$
    {43, 2360, 651},	// Plasma::BusyWidget::tr$$$
    {43, 2362, 668},	// Plasma::BusyWidget::trUtf8$
    {43, 2363, 650},	// Plasma::BusyWidget::trUtf8$$
    {43, 2364, 652},	// Plasma::BusyWidget::trUtf8$$$
    {43, 2472, 672},	// Plasma::BusyWidget::~BusyWidget
    {44, 85, 695},	// Plasma::CheckBox::CheckBox
    {44, 86, 680},	// Plasma::CheckBox::CheckBox#
    {44, 762, 692},	// Plasma::CheckBox::changeEvent#
    {44, 1130, 684},	// Plasma::CheckBox::image
    {44, 1175, 689},	// Plasma::CheckBox::isChecked
    {44, 1402, 673},	// Plasma::CheckBox::metaObject
    {44, 1439, 687},	// Plasma::CheckBox::nativeWidget
    {44, 1537, 679},	// Plasma::CheckBox::qt_metacall$$?
    {44, 1539, 674},	// Plasma::CheckBox::qt_metacast$
    {44, 1636, 691},	// Plasma::CheckBox::resizeEvent#
    {44, 1766, 688},	// Plasma::CheckBox::setChecked$
    {44, 1918, 683},	// Plasma::CheckBox::setImage$
    {44, 2102, 685},	// Plasma::CheckBox::setStyleSheet$
    {44, 2134, 681},	// Plasma::CheckBox::setText$
    {44, 2276, 696},	// Plasma::CheckBox::staticMetaObject
    {44, 2289, 686},	// Plasma::CheckBox::styleSheet
    {44, 2327, 682},	// Plasma::CheckBox::text
    {44, 2347, 690},	// Plasma::CheckBox::toggled$
    {44, 2358, 693},	// Plasma::CheckBox::tr$
    {44, 2359, 675},	// Plasma::CheckBox::tr$$
    {44, 2360, 677},	// Plasma::CheckBox::tr$$$
    {44, 2362, 694},	// Plasma::CheckBox::trUtf8$
    {44, 2363, 676},	// Plasma::CheckBox::trUtf8$$
    {44, 2364, 678},	// Plasma::CheckBox::trUtf8$$$
    {44, 2473, 697},	// Plasma::CheckBox::~CheckBox
    {45, 764, 708},	// Plasma::ClientPinRequest::changed#
    {45, 900, 705},	// Plasma::ClientPinRequest::description
    {45, 1402, 698},	// Plasma::ClientPinRequest::metaObject
    {45, 1504, 707},	// Plasma::ClientPinRequest::pin
    {45, 1537, 704},	// Plasma::ClientPinRequest::qt_metacall$$?
    {45, 1539, 699},	// Plasma::ClientPinRequest::qt_metacast$
    {45, 2003, 706},	// Plasma::ClientPinRequest::setPin$
    {45, 2276, 711},	// Plasma::ClientPinRequest::staticMetaObject
    {45, 2358, 709},	// Plasma::ClientPinRequest::tr$
    {45, 2359, 700},	// Plasma::ClientPinRequest::tr$$
    {45, 2360, 702},	// Plasma::ClientPinRequest::tr$$$
    {45, 2362, 710},	// Plasma::ClientPinRequest::trUtf8$
    {45, 2363, 701},	// Plasma::ClientPinRequest::trUtf8$$
    {45, 2364, 703},	// Plasma::ClientPinRequest::trUtf8$$$
    {46, 88, 743},	// Plasma::ComboBox::ComboBox
    {46, 89, 719},	// Plasma::ComboBox::ComboBox#
    {46, 621, 730},	// Plasma::ComboBox::activated$
    {46, 653, 725},	// Plasma::ComboBox::addItem$
    {46, 762, 739},	// Plasma::ComboBox::changeEvent#
    {46, 768, 729},	// Plasma::ComboBox::clear
    {46, 850, 726},	// Plasma::ComboBox::count
    {46, 874, 727},	// Plasma::ComboBox::currentIndex
    {46, 876, 732},	// Plasma::ComboBox::currentIndexChanged$
    {46, 1050, 735},	// Plasma::ComboBox::focusInEvent#
    {46, 1054, 736},	// Plasma::ComboBox::focusOutEvent#
    {46, 1120, 737},	// Plasma::ComboBox::hoverEnterEvent#
    {46, 1122, 738},	// Plasma::ComboBox::hoverLeaveEvent#
    {46, 1402, 712},	// Plasma::ComboBox::metaObject
    {46, 1422, 740},	// Plasma::ComboBox::mousePressEvent#
    {46, 1439, 724},	// Plasma::ComboBox::nativeWidget
    {46, 1473, 734},	// Plasma::ComboBox::paint###
    {46, 1537, 718},	// Plasma::ComboBox::qt_metacall$$?
    {46, 1539, 713},	// Plasma::ComboBox::qt_metacast$
    {46, 1636, 733},	// Plasma::ComboBox::resizeEvent#
    {46, 1807, 728},	// Plasma::ComboBox::setCurrentIndex$
    {46, 1975, 723},	// Plasma::ComboBox::setNativeWidget#
    {46, 2102, 721},	// Plasma::ComboBox::setStyleSheet$
    {46, 2276, 744},	// Plasma::ComboBox::staticMetaObject
    {46, 2289, 722},	// Plasma::ComboBox::styleSheet
    {46, 2327, 720},	// Plasma::ComboBox::text
    {46, 2330, 731},	// Plasma::ComboBox::textChanged$
    {46, 2358, 741},	// Plasma::ComboBox::tr$
    {46, 2359, 714},	// Plasma::ComboBox::tr$$
    {46, 2360, 716},	// Plasma::ComboBox::tr$$$
    {46, 2362, 742},	// Plasma::ComboBox::trUtf8$
    {46, 2363, 715},	// Plasma::ComboBox::trUtf8$$
    {46, 2364, 717},	// Plasma::ComboBox::trUtf8$$$
    {46, 2474, 745},	// Plasma::ComboBox::~ComboBox
    {47, 92, 757},	// Plasma::ConfigLoader::ConfigLoader##
    {47, 93, 748},	// Plasma::ConfigLoader::ConfigLoader###
    {47, 94, 755},	// Plasma::ConfigLoader::ConfigLoader$#
    {47, 95, 746},	// Plasma::ConfigLoader::ConfigLoader$##
    {47, 96, 756},	// Plasma::ConfigLoader::ConfigLoader?#
    {47, 97, 747},	// Plasma::ConfigLoader::ConfigLoader?##
    {47, 1033, 749},	// Plasma::ConfigLoader::findItem$$
    {47, 1035, 750},	// Plasma::ConfigLoader::findItemByName$
    {47, 1087, 753},	// Plasma::ConfigLoader::groupList
    {47, 1098, 752},	// Plasma::ConfigLoader::hasGroup$
    {47, 1532, 751},	// Plasma::ConfigLoader::property$
    {47, 2412, 754},	// Plasma::ConfigLoader::usrWriteConfig
    {47, 2475, 758},	// Plasma::ConfigLoader::~ConfigLoader
    {48, 100, 848},	// Plasma::Containment::Containment
    {48, 101, 849},	// Plasma::Containment::Containment#
    {48, 102, 850},	// Plasma::Containment::Containment#$
    {48, 103, 766},	// Plasma::Containment::Containment#$$
    {48, 104, 767},	// Plasma::Containment::Containment#?
    {48, 119, 865},	// Plasma::Containment::CustomContainment
    {48, 120, 866},	// Plasma::Containment::CustomPanelContainment
    {48, 140, 863},	// Plasma::Containment::DesktopContainment
    {48, 369, 862},	// Plasma::Containment::NoContainmentType
    {48, 399, 864},	// Plasma::Containment::PanelContainment
    {48, 622, 799},	// Plasma::Containment::activity
    {48, 630, 857},	// Plasma::Containment::addApplet#
    {48, 631, 858},	// Plasma::Containment::addApplet##
    {48, 632, 776},	// Plasma::Containment::addApplet##$
    {48, 633, 855},	// Plasma::Containment::addApplet$
    {48, 634, 856},	// Plasma::Containment::addApplet$?
    {48, 635, 775},	// Plasma::Containment::addApplet$?#
    {48, 637, 793},	// Plasma::Containment::addAssociatedWidget#
    {48, 671, 819},	// Plasma::Containment::addSiblingContainment
    {48, 672, 812},	// Plasma::Containment::addSiblingContainment#
    {48, 687, 787},	// Plasma::Containment::addToolBoxAction#
    {48, 717, 807},	// Plasma::Containment::appletAdded##
    {48, 722, 808},	// Plasma::Containment::appletRemoved#
    {48, 725, 777},	// Plasma::Containment::applets
    {48, 770, 778},	// Plasma::Containment::clearApplets
    {48, 782, 792},	// Plasma::Containment::closeToolBox
    {48, 791, 825},	// Plasma::Containment::configChanged
    {48, 799, 815},	// Plasma::Containment::configureRequested#
    {48, 818, 805},	// Plasma::Containment::containmentActions$
    {48, 819, 806},	// Plasma::Containment::containmentActionsConfig
    {48, 822, 804},	// Plasma::Containment::containmentActionsTriggers
    {48, 830, 769},	// Plasma::Containment::containmentType
    {48, 839, 800},	// Plasma::Containment::context
    {48, 842, 816},	// Plasma::Containment::contextChanged#
    {48, 846, 833},	// Plasma::Containment::contextMenuEvent#
    {48, 849, 770},	// Plasma::Containment::corona
    {48, 901, 782},	// Plasma::Containment::desktop
    {48, 903, 822},	// Plasma::Containment::destroy
    {48, 904, 823},	// Plasma::Containment::destroy$
    {48, 928, 838},	// Plasma::Containment::dragEnterEvent#
    {48, 930, 839},	// Plasma::Containment::dragLeaveEvent#
    {48, 932, 840},	// Plasma::Containment::dragMoveEvent#
    {48, 954, 795},	// Plasma::Containment::drawWallpaper
    {48, 958, 841},	// Plasma::Containment::dropEvent#
    {48, 988, 786},	// Plasma::Containment::enableAction$$
    {48, 1051, 820},	// Plasma::Containment::focusNextApplet
    {48, 1055, 821},	// Plasma::Containment::focusPreviousApplet
    {48, 1142, 768},	// Plasma::Containment::init
    {48, 1210, 790},	// Plasma::Containment::isToolBoxOpen
    {48, 1231, 837},	// Plasma::Containment::itemChange$#
    {48, 1250, 834},	// Plasma::Containment::keyPressEvent#
    {48, 1268, 783},	// Plasma::Containment::lastDesktop
    {48, 1270, 781},	// Plasma::Containment::lastScreen
    {48, 1302, 773},	// Plasma::Containment::listContainmentTypes
    {48, 1303, 851},	// Plasma::Containment::listContainments
    {48, 1304, 852},	// Plasma::Containment::listContainments$
    {48, 1305, 771},	// Plasma::Containment::listContainments$$
    {48, 1307, 774},	// Plasma::Containment::listContainmentsForMimetype$
    {48, 1309, 853},	// Plasma::Containment::listContainmentsOfType$
    {48, 1310, 854},	// Plasma::Containment::listContainmentsOfType$$
    {48, 1311, 772},	// Plasma::Containment::listContainmentsOfType$$$
    {48, 1402, 759},	// Plasma::Containment::metaObject
    {48, 1420, 830},	// Plasma::Containment::mouseMoveEvent#
    {48, 1422, 831},	// Plasma::Containment::mousePressEvent#
    {48, 1424, 832},	// Plasma::Containment::mouseReleaseEvent#
    {48, 1450, 791},	// Plasma::Containment::openToolBox
    {48, 1537, 765},	// Plasma::Containment::qt_metacall$$?
    {48, 1539, 760},	// Plasma::Containment::qt_metacast$
    {48, 1586, 794},	// Plasma::Containment::removeAssociatedWidget#
    {48, 1608, 788},	// Plasma::Containment::removeToolBoxAction#
    {48, 1636, 842},	// Plasma::Containment::resizeEvent#
    {48, 1641, 785},	// Plasma::Containment::restore#
    {48, 1643, 829},	// Plasma::Containment::restoreContents#
    {48, 1659, 784},	// Plasma::Containment::save#
    {48, 1661, 828},	// Plasma::Containment::saveContents#
    {48, 1673, 836},	// Plasma::Containment::sceneEventFilter##
    {48, 1677, 780},	// Plasma::Containment::screen
    {48, 1679, 814},	// Plasma::Containment::screenChanged$$#
    {48, 1712, 798},	// Plasma::Containment::setActivity$
    {48, 1783, 803},	// Plasma::Containment::setContainmentActions$$
    {48, 1787, 826},	// Plasma::Containment::setContainmentType$
    {48, 1843, 827},	// Plasma::Containment::setDrawWallpaper$
    {48, 1876, 818},	// Plasma::Containment::setFormFactor$
    {48, 1948, 817},	// Plasma::Containment::setLocation$
    {48, 2058, 859},	// Plasma::Containment::setScreen$
    {48, 2059, 779},	// Plasma::Containment::setScreen$$
    {48, 2150, 844},	// Plasma::Containment::setToolBox#
    {48, 2152, 789},	// Plasma::Containment::setToolBoxOpen$
    {48, 2196, 860},	// Plasma::Containment::setWallpaper$
    {48, 2197, 796},	// Plasma::Containment::setWallpaper$$
    {48, 2220, 813},	// Plasma::Containment::showAddWidgetsInterface#
    {48, 2222, 824},	// Plasma::Containment::showConfigurationInterface
    {48, 2225, 801},	// Plasma::Containment::showContextMenu##
    {48, 2229, 802},	// Plasma::Containment::showDropZone#
    {48, 2276, 861},	// Plasma::Containment::staticMetaObject
    {48, 2348, 845},	// Plasma::Containment::toolBox
    {48, 2349, 843},	// Plasma::Containment::toolBoxItem
    {48, 2350, 810},	// Plasma::Containment::toolBoxToggled
    {48, 2352, 811},	// Plasma::Containment::toolBoxVisibilityChanged$
    {48, 2358, 846},	// Plasma::Containment::tr$
    {48, 2359, 761},	// Plasma::Containment::tr$$
    {48, 2360, 763},	// Plasma::Containment::tr$$$
    {48, 2362, 847},	// Plasma::Containment::trUtf8$
    {48, 2363, 762},	// Plasma::Containment::trUtf8$$
    {48, 2364, 764},	// Plasma::Containment::trUtf8$$$
    {48, 2438, 797},	// Plasma::Containment::wallpaper
    {48, 2443, 835},	// Plasma::Containment::wheelEvent#
    {48, 2461, 809},	// Plasma::Containment::zoomRequested#$
    {48, 2476, 867},	// Plasma::Containment::~Containment
    {49, 508, 868},	// Plasma::Containment::StyleOption::StyleOption
    {49, 509, -76},	// Plasma::Containment::StyleOption::StyleOption#
    {49, 555, 873},	// Plasma::Containment::StyleOption::Type
    {49, 568, 874},	// Plasma::Containment::StyleOption::Version
    {49, 2192, 872},	// Plasma::Containment::StyleOption::setView#
    {49, 2427, 871},	// Plasma::Containment::StyleOption::view
    {49, 2520, 875},	// Plasma::Containment::StyleOption::~StyleOption
    {50, 105, 911},	// Plasma::ContainmentActions::ContainmentActions
    {50, 106, 883},	// Plasma::ContainmentActions::ContainmentActions#
    {50, 107, 904},	// Plasma::ContainmentActions::ContainmentActions#?
    {50, 795, 895},	// Plasma::ContainmentActions::configurationAccepted
    {50, 796, 899},	// Plasma::ContainmentActions::configurationRequired
    {50, 816, 907},	// Plasma::ContainmentActions::containment
    {50, 844, 896},	// Plasma::ContainmentActions::contextEvent#
    {50, 847, 897},	// Plasma::ContainmentActions::contextualActions
    {50, 857, 894},	// Plasma::ContainmentActions::createConfigurationInterface#
    {50, 891, 898},	// Plasma::ContainmentActions::dataEngine$
    {50, 1004, 902},	// Plasma::ContainmentActions::event#
    {50, 1008, 900},	// Plasma::ContainmentActions::eventToString#
    {50, 1126, 890},	// Plasma::ContainmentActions::icon
    {50, 1143, 905},	// Plasma::ContainmentActions::init#
    {50, 1187, 891},	// Plasma::ContainmentActions::isInitialized
    {50, 1301, 884},	// Plasma::ContainmentActions::listContainmentActionsInfo
    {50, 1334, 913},	// Plasma::ContainmentActions::load##
    {50, 1335, 886},	// Plasma::ContainmentActions::load##?
    {50, 1336, 912},	// Plasma::ContainmentActions::load#$
    {50, 1337, 885},	// Plasma::ContainmentActions::load#$?
    {50, 1402, 876},	// Plasma::ContainmentActions::metaObject
    {50, 1437, 888},	// Plasma::ContainmentActions::name
    {50, 1466, 887},	// Plasma::ContainmentActions::packageStructure
    {50, 1496, 908},	// Plasma::ContainmentActions::paste##
    {50, 1509, 889},	// Plasma::ContainmentActions::pluginName
    {50, 1519, 901},	// Plasma::ContainmentActions::popupPosition##
    {50, 1537, 882},	// Plasma::ContainmentActions::qt_metacall$$?
    {50, 1539, 877},	// Plasma::ContainmentActions::qt_metacast$
    {50, 1641, 892},	// Plasma::ContainmentActions::restore#
    {50, 1659, 893},	// Plasma::ContainmentActions::save#
    {50, 1777, 914},	// Plasma::ContainmentActions::setConfigurationRequired
    {50, 1778, 906},	// Plasma::ContainmentActions::setConfigurationRequired$
    {50, 1781, 903},	// Plasma::ContainmentActions::setContainment#
    {50, 2276, 915},	// Plasma::ContainmentActions::staticMetaObject
    {50, 2358, 909},	// Plasma::ContainmentActions::tr$
    {50, 2359, 878},	// Plasma::ContainmentActions::tr$$
    {50, 2360, 880},	// Plasma::ContainmentActions::tr$$$
    {50, 2362, 910},	// Plasma::ContainmentActions::trUtf8$
    {50, 2363, 879},	// Plasma::ContainmentActions::trUtf8$$
    {50, 2364, 881},	// Plasma::ContainmentActions::trUtf8$$$
    {50, 2477, 916},	// Plasma::ContainmentActions::~ContainmentActions
    {51, 108, 917},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig
    {51, 109, 918},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig#
    {51, 663, 922},	// Plasma::ContainmentActionsPluginsConfig::addPlugin#$
    {51, 664, -73},	// Plasma::ContainmentActionsPluginsConfig::addPlugin$$$
    {51, 768, 920},	// Plasma::ContainmentActionsPluginsConfig::clear
    {51, 1460, 919},	// Plasma::ContainmentActionsPluginsConfig::operator=#
    {51, 1579, 921},	// Plasma::ContainmentActionsPluginsConfig::remove#
    {51, 2478, 925},	// Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig
    {52, 111, 945},	// Plasma::Context::Context
    {52, 112, 933},	// Plasma::Context::Context#
    {52, 624, 941},	// Plasma::Context::activityChanged#
    {52, 764, 940},	// Plasma::Context::changed#
    {52, 855, 934},	// Plasma::Context::createActivity$
    {52, 870, 937},	// Plasma::Context::currentActivity
    {52, 871, 939},	// Plasma::Context::currentActivityId
    {52, 1286, 935},	// Plasma::Context::listActivities
    {52, 1367, 942},	// Plasma::Context::locationChanged#
    {52, 1402, 926},	// Plasma::Context::metaObject
    {52, 1537, 932},	// Plasma::Context::qt_metacall$$?
    {52, 1539, 927},	// Plasma::Context::qt_metacast$
    {52, 1803, 936},	// Plasma::Context::setCurrentActivity$
    {52, 1805, 938},	// Plasma::Context::setCurrentActivityId$
    {52, 2276, 946},	// Plasma::Context::staticMetaObject
    {52, 2358, 943},	// Plasma::Context::tr$
    {52, 2359, 928},	// Plasma::Context::tr$$
    {52, 2360, 930},	// Plasma::Context::tr$$$
    {52, 2362, 944},	// Plasma::Context::trUtf8$
    {52, 2363, 929},	// Plasma::Context::trUtf8$$
    {52, 2364, 931},	// Plasma::Context::trUtf8$$$
    {52, 2479, 947},	// Plasma::Context::~Context
    {53, 115, 1015},	// Plasma::Corona::Corona
    {53, 116, 955},	// Plasma::Corona::Corona#
    {53, 609, 975},	// Plasma::Corona::action$
    {53, 611, 977},	// Plasma::Corona::actions
    {53, 626, 981},	// Plasma::Corona::addAction$
    {53, 627, 976},	// Plasma::Corona::addAction$#
    {53, 639, 1016},	// Plasma::Corona::addContainment$
    {53, 640, 962},	// Plasma::Corona::addContainment$?
    {53, 642, 1017},	// Plasma::Corona::addContainmentDelayed$
    {53, 643, 963},	// Plasma::Corona::addContainmentDelayed$?
    {53, 659, 966},	// Plasma::Corona::addOffscreenWidget#
    {53, 670, 980},	// Plasma::Corona::addShortcuts#
    {53, 720, 957},	// Plasma::Corona::appletMimeType
    {53, 744, 971},	// Plasma::Corona::availableScreenRegion$
    {53, 745, 1002},	// Plasma::Corona::availableScreenRegionChanged
    {53, 772, 960},	// Plasma::Corona::clearContainments
    {53, 789, 961},	// Plasma::Corona::config
    {53, 794, 1001},	// Plasma::Corona::configSynced
    {53, 821, 983},	// Plasma::Corona::containmentActionsDefaults$
    {53, 824, 998},	// Plasma::Corona::containmentAdded#
    {53, 826, 1018},	// Plasma::Corona::containmentForScreen$
    {53, 827, 964},	// Plasma::Corona::containmentForScreen$$
    {53, 828, 1019},	// Plasma::Corona::containmentForScreen$$$
    {53, 829, 965},	// Plasma::Corona::containmentForScreen$$$?
    {53, 831, 959},	// Plasma::Corona::containments
    {53, 894, 958},	// Plasma::Corona::defaultContainmentPlugin
    {53, 909, 985},	// Plasma::Corona::dialogManager
    {53, 928, 1010},	// Plasma::Corona::dragEnterEvent#
    {53, 930, 1011},	// Plasma::Corona::dragLeaveEvent#
    {53, 932, 1012},	// Plasma::Corona::dragMoveEvent#
    {53, 988, 978},	// Plasma::Corona::enableAction$$
    {53, 1016, 989},	// Plasma::Corona::exportLayout#?
    {53, 1069, 974},	// Plasma::Corona::freeEdges$
    {53, 1133, 993},	// Plasma::Corona::immutability
    {53, 1135, 1003},	// Plasma::Corona::immutabilityChanged$
    {53, 1138, -18},	// Plasma::Corona::importLayout#
    {53, 1149, 1020},	// Plasma::Corona::initializeLayout
    {53, 1150, 990},	// Plasma::Corona::initializeLayout$
    {53, 1278, 997},	// Plasma::Corona::layoutContainments
    {53, 1347, 1005},	// Plasma::Corona::loadDefaultLayout
    {53, 1352, 1021},	// Plasma::Corona::loadLayout
    {53, 1353, 991},	// Plasma::Corona::loadLayout$
    {53, 1379, -21},	// Plasma::Corona::mapAnimation$$
    {53, 1402, 948},	// Plasma::Corona::metaObject
    {53, 1447, 969},	// Plasma::Corona::numScreens
    {53, 1448, 968},	// Plasma::Corona::offscreenWidgets
    {53, 1519, 972},	// Plasma::Corona::popupPosition##
    {53, 1520, 973},	// Plasma::Corona::popupPosition##$
    {53, 1524, 987},	// Plasma::Corona::preferredToolBoxPlugin$
    {53, 1537, 954},	// Plasma::Corona::qt_metacall$$?
    {53, 1539, 949},	// Plasma::Corona::qt_metacast$
    {53, 1566, 1000},	// Plasma::Corona::releaseVisualFocus
    {53, 1598, 967},	// Plasma::Corona::removeOffscreenWidget#
    {53, 1624, 995},	// Plasma::Corona::requestConfigSync
    {53, 1625, 996},	// Plasma::Corona::requireConfigSync
    {53, 1662, 1022},	// Plasma::Corona::saveLayout
    {53, 1663, 992},	// Plasma::Corona::saveLayout$
    {53, 1681, 970},	// Plasma::Corona::screenGeometry$
    {53, 1683, 999},	// Plasma::Corona::screenOwnerChanged$$#
    {53, 1724, 956},	// Plasma::Corona::setAppletMimeType$
    {53, 1785, 982},	// Plasma::Corona::setContainmentActionsDefaults$#
    {53, 1820, 1009},	// Plasma::Corona::setDefaultContainmentPlugin$
    {53, 1835, 984},	// Plasma::Corona::setDialogManager#
    {53, 1923, 994},	// Plasma::Corona::setImmutability$
    {53, 2018, 1008},	// Plasma::Corona::setPreferredToolBoxPlugin$$
    {53, 2215, 1004},	// Plasma::Corona::shortcutsChanged
    {53, 2276, 1023},	// Plasma::Corona::staticMetaObject
    {53, 2358, 1013},	// Plasma::Corona::tr$
    {53, 2359, 950},	// Plasma::Corona::tr$$
    {53, 2360, 952},	// Plasma::Corona::tr$$$
    {53, 2362, 1014},	// Plasma::Corona::trUtf8$
    {53, 2363, 951},	// Plasma::Corona::trUtf8$$
    {53, 2364, 953},	// Plasma::Corona::trUtf8$$$
    {53, 2395, 979},	// Plasma::Corona::updateShortcuts
    {53, 2480, 1024},	// Plasma::Corona::~Corona
    {54, 121, 1055},	// Plasma::DataContainer::DataContainer
    {54, 122, 1032},	// Plasma::DataContainer::DataContainer#
    {54, 750, 1046},	// Plasma::DataContainer::becameUnused$
    {54, 765, 1048},	// Plasma::DataContainer::checkForUpdate
    {54, 766, 1051},	// Plasma::DataContainer::checkUsage
    {54, 810, 1037},	// Plasma::DataContainer::connectVisualization#$$
    {54, 889, 1033},	// Plasma::DataContainer::data
    {54, 893, 1045},	// Plasma::DataContainer::dataUpdated$?
    {54, 922, 1043},	// Plasma::DataContainer::disconnectVisualization#
    {54, 1061, 1044},	// Plasma::DataContainer::forceImmediateUpdate
    {54, 1073, 1042},	// Plasma::DataContainer::getDataEngine
    {54, 1206, 1039},	// Plasma::DataContainer::isStorageEnabled
    {54, 1402, 1025},	// Plasma::DataContainer::metaObject
    {54, 1441, 1040},	// Plasma::DataContainer::needsToBeStored
    {54, 1537, 1031},	// Plasma::DataContainer::qt_metacall$$?
    {54, 1539, 1026},	// Plasma::DataContainer::qt_metacast$
    {54, 1582, 1035},	// Plasma::DataContainer::removeAllData
    {54, 1814, 1034},	// Plasma::DataContainer::setData$#
    {54, 1977, 1041},	// Plasma::DataContainer::setNeedsToBeStored$
    {54, 1978, 1056},	// Plasma::DataContainer::setNeedsUpdate
    {54, 1979, 1050},	// Plasma::DataContainer::setNeedsUpdate$
    {54, 2099, 1038},	// Plasma::DataContainer::setStorageEnabled$
    {54, 2276, 1057},	// Plasma::DataContainer::staticMetaObject
    {54, 2341, 1049},	// Plasma::DataContainer::timeSinceLastUpdate
    {54, 2343, 1052},	// Plasma::DataContainer::timerEvent#
    {54, 2358, 1053},	// Plasma::DataContainer::tr$
    {54, 2359, 1027},	// Plasma::DataContainer::tr$$
    {54, 2360, 1029},	// Plasma::DataContainer::tr$$$
    {54, 2362, 1054},	// Plasma::DataContainer::trUtf8$
    {54, 2363, 1028},	// Plasma::DataContainer::trUtf8$$
    {54, 2364, 1030},	// Plasma::DataContainer::trUtf8$$$
    {54, 2394, 1047},	// Plasma::DataContainer::updateRequested#
    {54, 2437, 1036},	// Plasma::DataContainer::visualizationIsConnected#
    {54, 2481, 1058},	// Plasma::DataContainer::~DataContainer
    {55, 123, 1112},	// Plasma::DataEngine::DataEngine
    {55, 124, 1113},	// Plasma::DataEngine::DataEngine#
    {55, 125, -79},	// Plasma::DataEngine::DataEngine#?
    {55, 674, 1093},	// Plasma::DataEngine::addSource#
    {55, 801, 1116},	// Plasma::DataEngine::connectAllSources#
    {55, 802, 1117},	// Plasma::DataEngine::connectAllSources#$
    {55, 803, 1073},	// Plasma::DataEngine::connectAllSources#$$
    {55, 806, 1114},	// Plasma::DataEngine::connectSource$#
    {55, 807, 1115},	// Plasma::DataEngine::connectSource$#$
    {55, 808, 1072},	// Plasma::DataEngine::connectSource$#$$
    {55, 813, 1100},	// Plasma::DataEngine::containerDict
    {55, 815, 1075},	// Plasma::DataEngine::containerForSource$
    {55, 858, 1118},	// Plasma::DataEngine::createDefaultService
    {55, 859, 1083},	// Plasma::DataEngine::createDefaultService#
    {55, 920, 1074},	// Plasma::DataEngine::disconnectSource$#
    {55, 1062, 1109},	// Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations
    {55, 1126, 1080},	// Plasma::DataEngine::icon
    {55, 1142, 1068},	// Plasma::DataEngine::init
    {55, 1182, 1078},	// Plasma::DataEngine::isEmpty
    {55, 1215, 1077},	// Plasma::DataEngine::isValid
    {55, 1396, 1079},	// Plasma::DataEngine::maxSourceCount
    {55, 1402, 1059},	// Plasma::DataEngine::metaObject
    {55, 1414, 1096},	// Plasma::DataEngine::minimumPollingInterval
    {55, 1437, 1071},	// Plasma::DataEngine::name
    {55, 1465, 1081},	// Plasma::DataEngine::package
    {55, 1509, 1082},	// Plasma::DataEngine::pluginName
    {55, 1537, 1065},	// Plasma::DataEngine::qt_metacall$$?
    {55, 1539, 1060},	// Plasma::DataEngine::qt_metacast$
    {55, 1541, 1076},	// Plasma::DataEngine::query$
    {55, 1583, 1091},	// Plasma::DataEngine::removeAllData$
    {55, 1584, 1098},	// Plasma::DataEngine::removeAllSources
    {55, 1588, 1092},	// Plasma::DataEngine::removeData$$
    {55, 1602, 1107},	// Plasma::DataEngine::removeSource$
    {55, 1676, 1106},	// Plasma::DataEngine::scheduleSourcesUpdated
    {55, 1700, 1070},	// Plasma::DataEngine::serviceForSource$
    {55, 1814, 1088},	// Plasma::DataEngine::setData$#
    {55, 1815, 1089},	// Plasma::DataEngine::setData$$#
    {55, 1816, 1090},	// Plasma::DataEngine::setData$?
    {55, 1826, 1104},	// Plasma::DataEngine::setDefaultService$
    {55, 1911, 1103},	// Plasma::DataEngine::setIcon$
    {55, 1952, 1094},	// Plasma::DataEngine::setMaxSourceCount$
    {55, 1966, 1095},	// Plasma::DataEngine::setMinimumPollingInterval$
    {55, 1973, 1102},	// Plasma::DataEngine::setName$
    {55, 2009, 1097},	// Plasma::DataEngine::setPollingInterval$
    {55, 2100, 1105},	// Plasma::DataEngine::setStorageEnabled$$
    {55, 2176, 1099},	// Plasma::DataEngine::setValid$
    {55, 2261, 1084},	// Plasma::DataEngine::sourceAdded$
    {55, 2263, 1085},	// Plasma::DataEngine::sourceRemoved$
    {55, 2265, 1086},	// Plasma::DataEngine::sourceRequestEvent$
    {55, 2266, 1069},	// Plasma::DataEngine::sources
    {55, 2276, 1119},	// Plasma::DataEngine::staticMetaObject
    {55, 2343, 1101},	// Plasma::DataEngine::timerEvent#
    {55, 2358, 1110},	// Plasma::DataEngine::tr$
    {55, 2359, 1061},	// Plasma::DataEngine::tr$$
    {55, 2360, 1063},	// Plasma::DataEngine::tr$$$
    {55, 2362, 1111},	// Plasma::DataEngine::trUtf8$
    {55, 2363, 1062},	// Plasma::DataEngine::trUtf8$$
    {55, 2364, 1064},	// Plasma::DataEngine::trUtf8$$$
    {55, 2384, 1108},	// Plasma::DataEngine::updateAllSources
    {55, 2397, 1087},	// Plasma::DataEngine::updateSourceEvent$
    {55, 2482, 1120},	// Plasma::DataEngine::~DataEngine
    {56, 994, 1129},	// Plasma::DataEngineManager::engine$
    {56, 1287, 1138},	// Plasma::DataEngineManager::listAllEngines
    {56, 1288, 1132},	// Plasma::DataEngineManager::listAllEngines$
    {56, 1312, 1139},	// Plasma::DataEngineManager::listEngineInfo
    {56, 1313, 1133},	// Plasma::DataEngineManager::listEngineInfo$
    {56, 1315, 1140},	// Plasma::DataEngineManager::listEngineInfoByCategory$
    {56, 1316, 1134},	// Plasma::DataEngineManager::listEngineInfoByCategory$$
    {56, 1349, 1130},	// Plasma::DataEngineManager::loadEngine$
    {56, 1402, 1121},	// Plasma::DataEngineManager::metaObject
    {56, 1537, 1127},	// Plasma::DataEngineManager::qt_metacall$$?
    {56, 1539, 1122},	// Plasma::DataEngineManager::qt_metacast$
    {56, 1697, 1128},	// Plasma::DataEngineManager::self
    {56, 2276, 1141},	// Plasma::DataEngineManager::staticMetaObject
    {56, 2343, 1135},	// Plasma::DataEngineManager::timerEvent#
    {56, 2358, 1136},	// Plasma::DataEngineManager::tr$
    {56, 2359, 1123},	// Plasma::DataEngineManager::tr$$
    {56, 2360, 1125},	// Plasma::DataEngineManager::tr$$$
    {56, 2362, 1137},	// Plasma::DataEngineManager::trUtf8$
    {56, 2363, 1124},	// Plasma::DataEngineManager::trUtf8$$
    {56, 2364, 1126},	// Plasma::DataEngineManager::trUtf8$$$
    {56, 2374, 1131},	// Plasma::DataEngineManager::unloadEngine$
    {57, 127, 1179},	// Plasma::DataEngineScript::DataEngineScript
    {57, 128, 1149},	// Plasma::DataEngineScript::DataEngineScript#
    {57, 674, 1169},	// Plasma::DataEngineScript::addSource#
    {57, 813, 1170},	// Plasma::DataEngineScript::containerDict
    {57, 890, 1151},	// Plasma::DataEngineScript::dataEngine
    {57, 900, 1158},	// Plasma::DataEngineScript::description
    {57, 1062, 1176},	// Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations
    {57, 1375, 1156},	// Plasma::DataEngineScript::mainScript
    {57, 1402, 1142},	// Plasma::DataEngineScript::metaObject
    {57, 1414, 1166},	// Plasma::DataEngineScript::minimumPollingInterval
    {57, 1465, 1157},	// Plasma::DataEngineScript::package
    {57, 1537, 1148},	// Plasma::DataEngineScript::qt_metacall$$?
    {57, 1539, 1143},	// Plasma::DataEngineScript::qt_metacast$
    {57, 1583, 1162},	// Plasma::DataEngineScript::removeAllData$
    {57, 1584, 1168},	// Plasma::DataEngineScript::removeAllSources
    {57, 1588, 1163},	// Plasma::DataEngineScript::removeData$$
    {57, 1602, 1174},	// Plasma::DataEngineScript::removeSource$
    {57, 1676, 1173},	// Plasma::DataEngineScript::scheduleSourcesUpdated
    {57, 1700, 1155},	// Plasma::DataEngineScript::serviceForSource$
    {57, 1814, 1160},	// Plasma::DataEngineScript::setData$#
    {57, 1815, 1159},	// Plasma::DataEngineScript::setData$$#
    {57, 1816, 1161},	// Plasma::DataEngineScript::setData$?
    {57, 1818, 1150},	// Plasma::DataEngineScript::setDataEngine#
    {57, 1911, 1172},	// Plasma::DataEngineScript::setIcon$
    {57, 1952, 1164},	// Plasma::DataEngineScript::setMaxSourceCount$
    {57, 1966, 1165},	// Plasma::DataEngineScript::setMinimumPollingInterval$
    {57, 1973, 1171},	// Plasma::DataEngineScript::setName$
    {57, 2009, 1167},	// Plasma::DataEngineScript::setPollingInterval$
    {57, 2265, 1153},	// Plasma::DataEngineScript::sourceRequestEvent$
    {57, 2266, 1152},	// Plasma::DataEngineScript::sources
    {57, 2276, 1180},	// Plasma::DataEngineScript::staticMetaObject
    {57, 2358, 1177},	// Plasma::DataEngineScript::tr$
    {57, 2359, 1144},	// Plasma::DataEngineScript::tr$$
    {57, 2360, 1146},	// Plasma::DataEngineScript::tr$$$
    {57, 2362, 1178},	// Plasma::DataEngineScript::trUtf8$
    {57, 2363, 1145},	// Plasma::DataEngineScript::trUtf8$$
    {57, 2364, 1147},	// Plasma::DataEngineScript::trUtf8$$$
    {57, 2384, 1175},	// Plasma::DataEngineScript::updateAllSources
    {57, 2397, 1154},	// Plasma::DataEngineScript::updateSourceEvent$
    {57, 2483, 1181},	// Plasma::DataEngineScript::~DataEngineScript
    {58, 87, 1204},	// Plasma::Delegate::ColumnTypeRole
    {58, 134, 1200},	// Plasma::Delegate::Delegate
    {58, 135, 1189},	// Plasma::Delegate::Delegate#
    {58, 344, 1205},	// Plasma::Delegate::MainColumn
    {58, 475, 1206},	// Plasma::Delegate::SecondaryActionColumn
    {58, 511, 1203},	// Plasma::Delegate::SubTitleMandatoryRole
    {58, 512, 1202},	// Plasma::Delegate::SubTitleRole
    {58, 986, 1196},	// Plasma::Delegate::emptyRect##
    {58, 1402, 1182},	// Plasma::Delegate::metaObject
    {58, 1473, 1192},	// Plasma::Delegate::paint###
    {58, 1537, 1188},	// Plasma::Delegate::qt_metacall$$?
    {58, 1539, 1183},	// Plasma::Delegate::qt_metacast$
    {58, 1550, 1195},	// Plasma::Delegate::rectAfterSubTitle##
    {58, 1552, 1194},	// Plasma::Delegate::rectAfterTitle##
    {58, 1647, 1191},	// Plasma::Delegate::roleMapping$
    {58, 2050, 1190},	// Plasma::Delegate::setRoleMapping$$
    {58, 2238, 1193},	// Plasma::Delegate::showToolTip
    {58, 2252, 1197},	// Plasma::Delegate::sizeHint##
    {58, 2276, 1201},	// Plasma::Delegate::staticMetaObject
    {58, 2358, 1198},	// Plasma::Delegate::tr$
    {58, 2359, 1184},	// Plasma::Delegate::tr$$
    {58, 2360, 1186},	// Plasma::Delegate::tr$$$
    {58, 2362, 1199},	// Plasma::Delegate::trUtf8$
    {58, 2363, 1185},	// Plasma::Delegate::trUtf8$$
    {58, 2364, 1187},	// Plasma::Delegate::trUtf8$$$
    {58, 2484, 1207},	// Plasma::Delegate::~Delegate
    {59, 22, 1253},	// Plasma::Dialog::All
    {59, 145, 1245},	// Plasma::Dialog::Dialog
    {59, 146, 1246},	// Plasma::Dialog::Dialog#
    {59, 147, 1215},	// Plasma::Dialog::Dialog#$
    {59, 371, 1248},	// Plasma::Dialog::NoCorner
    {59, 384, 1249},	// Plasma::Dialog::NorthEast
    {59, 385, 1251},	// Plasma::Dialog::NorthWest
    {59, 499, 1250},	// Plasma::Dialog::SouthEast
    {59, 500, 1252},	// Plasma::Dialog::SouthWest
    {59, 696, 1223},	// Plasma::Dialog::animatedHide$
    {59, 698, 1224},	// Plasma::Dialog::animatedShow$
    {59, 727, 1225},	// Plasma::Dialog::aspectRatioMode
    {59, 910, 1227},	// Plasma::Dialog::dialogResized
    {59, 912, 1228},	// Plasma::Dialog::dialogVisible$
    {59, 1004, 1231},	// Plasma::Dialog::event#
    {59, 1006, 1233},	// Plasma::Dialog::eventFilter##
    {59, 1050, 1236},	// Plasma::Dialog::focusInEvent#
    {59, 1077, 1222},	// Plasma::Dialog::getMinimumResizeLimits$$$$
    {59, 1084, 1217},	// Plasma::Dialog::graphicsWidget
    {59, 1111, 1234},	// Plasma::Dialog::hideEvent#
    {59, 1140, 1242},	// Plasma::Dialog::inControlArea#
    {59, 1213, 1220},	// Plasma::Dialog::isUserResizing
    {59, 1250, 1240},	// Plasma::Dialog::keyPressEvent#
    {59, 1402, 1208},	// Plasma::Dialog::metaObject
    {59, 1420, 1237},	// Plasma::Dialog::mouseMoveEvent#
    {59, 1422, 1238},	// Plasma::Dialog::mousePressEvent#
    {59, 1424, 1239},	// Plasma::Dialog::mouseReleaseEvent#
    {59, 1426, 1241},	// Plasma::Dialog::moveEvent#
    {59, 1481, 1230},	// Plasma::Dialog::paintEvent#
    {59, 1537, 1214},	// Plasma::Dialog::qt_metacall$$?
    {59, 1539, 1209},	// Plasma::Dialog::qt_metacast$
    {59, 1634, 1219},	// Plasma::Dialog::resizeCorners
    {59, 1636, 1232},	// Plasma::Dialog::resizeEvent#
    {59, 1728, 1226},	// Plasma::Dialog::setAspectRatioMode$
    {59, 1884, 1216},	// Plasma::Dialog::setGraphicsWidget#
    {59, 1968, 1221},	// Plasma::Dialog::setMinimumResizeLimits$$$$
    {59, 2046, 1218},	// Plasma::Dialog::setResizeHandleCorners$
    {59, 2231, 1235},	// Plasma::Dialog::showEvent#
    {59, 2276, 1247},	// Plasma::Dialog::staticMetaObject
    {59, 2306, 1229},	// Plasma::Dialog::syncToGraphicsWidget
    {59, 2358, 1243},	// Plasma::Dialog::tr$
    {59, 2359, 1210},	// Plasma::Dialog::tr$$
    {59, 2360, 1212},	// Plasma::Dialog::tr$$$
    {59, 2362, 1244},	// Plasma::Dialog::trUtf8$
    {59, 2363, 1211},	// Plasma::Dialog::trUtf8$$
    {59, 2364, 1213},	// Plasma::Dialog::trUtf8$$$
    {59, 2485, 1254},	// Plasma::Dialog::~Dialog
    {60, 63, 1298},	// Plasma::Extender::BottomUpStacked
    {60, 166, 1262},	// Plasma::Extender::Extender#
    {60, 365, 1297},	// Plasma::Extender::NoBorders
    {60, 543, 1299},	// Plasma::Extender::TopDownStacked
    {60, 711, 1273},	// Plasma::Extender::appearance
    {60, 715, 1275},	// Plasma::Extender::applet
    {60, 734, 1266},	// Plasma::Extender::attachedItems
    {60, 907, 1267},	// Plasma::Extender::detachedItems
    {60, 928, 1286},	// Plasma::Extender::dragEnterEvent#
    {60, 930, 1288},	// Plasma::Extender::dragLeaveEvent#
    {60, 932, 1287},	// Plasma::Extender::dragMoveEvent#
    {60, 958, 1289},	// Plasma::Extender::dropEvent#
    {60, 984, 1264},	// Plasma::Extender::emptyExtenderMessage
    {60, 991, 1282},	// Plasma::Extender::enabledBordersForItem#
    {60, 1071, 1292},	// Plasma::Extender::geometryChanged
    {60, 1086, 1269},	// Plasma::Extender::group$
    {60, 1088, 1274},	// Plasma::Extender::groups
    {60, 1100, 1270},	// Plasma::Extender::hasItem$
    {60, 1182, 1271},	// Plasma::Extender::isEmpty
    {60, 1220, 1268},	// Plasma::Extender::item$
    {60, 1224, 1295},	// Plasma::Extender::itemAddedEvent#
    {60, 1225, 1276},	// Plasma::Extender::itemAddedEvent##
    {60, 1229, 1290},	// Plasma::Extender::itemAttached#
    {60, 1231, 1283},	// Plasma::Extender::itemChange$#
    {60, 1233, 1291},	// Plasma::Extender::itemDetached#
    {60, 1237, 1278},	// Plasma::Extender::itemHoverEnterEvent#
    {60, 1239, 1280},	// Plasma::Extender::itemHoverLeaveEvent#
    {60, 1241, 1279},	// Plasma::Extender::itemHoverMoveEvent##
    {60, 1243, 1277},	// Plasma::Extender::itemRemovedEvent#
    {60, 1248, 1265},	// Plasma::Extender::items
    {60, 1402, 1255},	// Plasma::Extender::metaObject
    {60, 1422, 1285},	// Plasma::Extender::mousePressEvent#
    {60, 1537, 1261},	// Plasma::Extender::qt_metacall$$?
    {60, 1539, 1256},	// Plasma::Extender::qt_metacast$
    {60, 1636, 1284},	// Plasma::Extender::resizeEvent#
    {60, 1664, 1281},	// Plasma::Extender::saveState
    {60, 1720, 1272},	// Plasma::Extender::setAppearance$
    {60, 1856, 1263},	// Plasma::Extender::setEmptyExtenderMessage$
    {60, 2276, 1296},	// Plasma::Extender::staticMetaObject
    {60, 2358, 1293},	// Plasma::Extender::tr$
    {60, 2359, 1257},	// Plasma::Extender::tr$$
    {60, 2360, 1259},	// Plasma::Extender::tr$$$
    {60, 2362, 1294},	// Plasma::Extender::trUtf8$
    {60, 2363, 1258},	// Plasma::Extender::trUtf8$$
    {60, 2364, 1260},	// Plasma::Extender::trUtf8$$$
    {60, 2486, 1300},	// Plasma::Extender::~Extender
    {61, 168, 1326},	// Plasma::ExtenderGroup::ExtenderGroup#
    {61, 169, 1308},	// Plasma::ExtenderGroup::ExtenderGroup#$
    {61, 740, 1310},	// Plasma::ExtenderGroup::autoHide
    {61, 783, 1317},	// Plasma::ExtenderGroup::collapseGroup
    {61, 928, 1320},	// Plasma::ExtenderGroup::dragEnterEvent#
    {61, 930, 1322},	// Plasma::ExtenderGroup::dragLeaveEvent#
    {61, 932, 1321},	// Plasma::ExtenderGroup::dragMoveEvent#
    {61, 958, 1323},	// Plasma::ExtenderGroup::dropEvent#
    {61, 1006, 1319},	// Plasma::ExtenderGroup::eventFilter##
    {61, 1014, 1316},	// Plasma::ExtenderGroup::expandGroup
    {61, 1172, 1313},	// Plasma::ExtenderGroup::isAutoCollapse
    {61, 1185, 1312},	// Plasma::ExtenderGroup::isGroupCollapsed
    {61, 1248, 1309},	// Plasma::ExtenderGroup::items
    {61, 1402, 1301},	// Plasma::ExtenderGroup::metaObject
    {61, 1537, 1307},	// Plasma::ExtenderGroup::qt_metacall$$?
    {61, 1539, 1302},	// Plasma::ExtenderGroup::qt_metacast$
    {61, 1636, 1318},	// Plasma::ExtenderGroup::resizeEvent#
    {61, 1740, 1314},	// Plasma::ExtenderGroup::setAutoCollapse$
    {61, 1744, 1311},	// Plasma::ExtenderGroup::setAutoHide$
    {61, 1889, 1315},	// Plasma::ExtenderGroup::setGroupCollapsed$
    {61, 2276, 1327},	// Plasma::ExtenderGroup::staticMetaObject
    {61, 2358, 1324},	// Plasma::ExtenderGroup::tr$
    {61, 2359, 1303},	// Plasma::ExtenderGroup::tr$$
    {61, 2360, 1305},	// Plasma::ExtenderGroup::tr$$$
    {61, 2362, 1325},	// Plasma::ExtenderGroup::trUtf8$
    {61, 2363, 1304},	// Plasma::ExtenderGroup::trUtf8$$
    {61, 2364, 1306},	// Plasma::ExtenderGroup::trUtf8$$$
    {61, 2487, 1328},	// Plasma::ExtenderGroup::~ExtenderGroup
    {62, 171, 1380},	// Plasma::ExtenderItem::ExtenderItem#
    {62, 172, 1336},	// Plasma::ExtenderItem::ExtenderItem#$
    {62, 609, 1358},	// Plasma::ExtenderItem::action$
    {62, 627, 1357},	// Plasma::ExtenderItem::addAction$#
    {62, 739, 1354},	// Plasma::ExtenderItem::autoExpireDelay
    {62, 789, 1337},	// Plasma::ExtenderItem::config
    {62, 903, 1361},	// Plasma::ExtenderItem::destroy
    {62, 906, 1366},	// Plasma::ExtenderItem::destroyed#
    {62, 1017, 1348},	// Plasma::ExtenderItem::extender
    {62, 1085, 1351},	// Plasma::ExtenderItem::group
    {62, 1109, 1365},	// Plasma::ExtenderItem::hideCloseButton
    {62, 1122, 1375},	// Plasma::ExtenderItem::hoverLeaveEvent#
    {62, 1124, 1374},	// Plasma::ExtenderItem::hoverMoveEvent#
    {62, 1126, 1346},	// Plasma::ExtenderItem::icon
    {62, 1178, 1356},	// Plasma::ExtenderItem::isCollapsed
    {62, 1180, 1355},	// Plasma::ExtenderItem::isDetached
    {62, 1184, 1352},	// Plasma::ExtenderItem::isGroup
    {62, 1211, 1360},	// Plasma::ExtenderItem::isTransient
    {62, 1402, 1329},	// Plasma::ExtenderItem::metaObject
    {62, 1418, 1371},	// Plasma::ExtenderItem::mouseDoubleClickEvent#
    {62, 1420, 1372},	// Plasma::ExtenderItem::mouseMoveEvent#
    {62, 1422, 1370},	// Plasma::ExtenderItem::mousePressEvent#
    {62, 1424, 1373},	// Plasma::ExtenderItem::mouseReleaseEvent#
    {62, 1426, 1368},	// Plasma::ExtenderItem::moveEvent#
    {62, 1437, 1343},	// Plasma::ExtenderItem::name
    {62, 1473, 1367},	// Plasma::ExtenderItem::paint###
    {62, 1537, 1335},	// Plasma::ExtenderItem::qt_metacall$$?
    {62, 1539, 1330},	// Plasma::ExtenderItem::qt_metacast$
    {62, 1636, 1369},	// Plasma::ExtenderItem::resizeEvent#
    {62, 1645, 1363},	// Plasma::ExtenderItem::returnToSource
    {62, 1673, 1376},	// Plasma::ExtenderItem::sceneEventFilter##
    {62, 1742, 1353},	// Plasma::ExtenderItem::setAutoExpireDelay$
    {62, 1774, 1362},	// Plasma::ExtenderItem::setCollapsed$
    {62, 1862, 1381},	// Plasma::ExtenderItem::setExtender#
    {62, 1863, 1347},	// Plasma::ExtenderItem::setExtender##
    {62, 1886, 1349},	// Plasma::ExtenderItem::setGroup#
    {62, 1887, 1350},	// Plasma::ExtenderItem::setGroup##
    {62, 1910, 1345},	// Plasma::ExtenderItem::setIcon#
    {62, 1911, 1344},	// Plasma::ExtenderItem::setIcon$
    {62, 1973, 1342},	// Plasma::ExtenderItem::setName$
    {62, 2148, 1340},	// Plasma::ExtenderItem::setTitle$
    {62, 2156, 1359},	// Plasma::ExtenderItem::setTransient$
    {62, 2203, 1338},	// Plasma::ExtenderItem::setWidget#
    {62, 2221, 1364},	// Plasma::ExtenderItem::showCloseButton
    {62, 2254, 1377},	// Plasma::ExtenderItem::sizeHint$#
    {62, 2276, 1382},	// Plasma::ExtenderItem::staticMetaObject
    {62, 2344, 1341},	// Plasma::ExtenderItem::title
    {62, 2358, 1378},	// Plasma::ExtenderItem::tr$
    {62, 2359, 1331},	// Plasma::ExtenderItem::tr$$
    {62, 2360, 1333},	// Plasma::ExtenderItem::tr$$$
    {62, 2362, 1379},	// Plasma::ExtenderItem::trUtf8$
    {62, 2363, 1332},	// Plasma::ExtenderItem::trUtf8$$
    {62, 2364, 1334},	// Plasma::ExtenderItem::trUtf8$$$
    {62, 2444, 1339},	// Plasma::ExtenderItem::widget
    {62, 2488, 1383},	// Plasma::ExtenderItem::~ExtenderItem
    {63, 180, 1409},	// Plasma::FlashingLabel::FlashingLabel
    {63, 181, 1391},	// Plasma::FlashingLabel::FlashingLabel#
    {63, 742, 1402},	// Plasma::FlashingLabel::autohide
    {63, 786, 1395},	// Plasma::FlashingLabel::color
    {63, 959, 1397},	// Plasma::FlashingLabel::duration
    {63, 1021, 1405},	// Plasma::FlashingLabel::fadeIn
    {63, 1022, 1406},	// Plasma::FlashingLabel::fadeOut
    {63, 1040, 1413},	// Plasma::FlashingLabel::flash#
    {63, 1041, 1414},	// Plasma::FlashingLabel::flash#$
    {63, 1042, 1400},	// Plasma::FlashingLabel::flash#$$
    {63, 1043, 1411},	// Plasma::FlashingLabel::flash$
    {63, 1044, 1412},	// Plasma::FlashingLabel::flash$$
    {63, 1045, 1399},	// Plasma::FlashingLabel::flash$$#
    {63, 1056, 1393},	// Plasma::FlashingLabel::font
    {63, 1254, 1404},	// Plasma::FlashingLabel::kill
    {63, 1402, 1384},	// Plasma::FlashingLabel::metaObject
    {63, 1472, 1410},	// Plasma::FlashingLabel::paint##
    {63, 1473, 1392},	// Plasma::FlashingLabel::paint###
    {63, 1537, 1390},	// Plasma::FlashingLabel::qt_metacall$$?
    {63, 1539, 1385},	// Plasma::FlashingLabel::qt_metacast$
    {63, 1748, 1401},	// Plasma::FlashingLabel::setAutohide$
    {63, 1776, 1396},	// Plasma::FlashingLabel::setColor#
    {63, 1845, 1398},	// Plasma::FlashingLabel::setDuration$
    {63, 1871, 1394},	// Plasma::FlashingLabel::setFont#
    {63, 2254, 1403},	// Plasma::FlashingLabel::sizeHint$#
    {63, 2276, 1415},	// Plasma::FlashingLabel::staticMetaObject
    {63, 2358, 1407},	// Plasma::FlashingLabel::tr$
    {63, 2359, 1386},	// Plasma::FlashingLabel::tr$$
    {63, 2360, 1388},	// Plasma::FlashingLabel::tr$$$
    {63, 2362, 1408},	// Plasma::FlashingLabel::trUtf8$
    {63, 2363, 1387},	// Plasma::FlashingLabel::trUtf8$$
    {63, 2364, 1389},	// Plasma::FlashingLabel::trUtf8$$$
    {63, 2489, 1416},	// Plasma::FlashingLabel::~FlashingLabel
    {64, 187, 1442},	// Plasma::Frame::Frame
    {64, 188, 1424},	// Plasma::Frame::Frame#
    {64, 409, 1445},	// Plasma::Frame::Plain
    {64, 439, 1446},	// Plasma::Frame::Raised
    {64, 514, 1447},	// Plasma::Frame::Sunken
    {64, 762, 1439},	// Plasma::Frame::changeEvent#
    {64, 989, 1428},	// Plasma::Frame::enabledBorders
    {64, 1066, 1426},	// Plasma::Frame::frameShadow
    {64, 1130, 1432},	// Plasma::Frame::image
    {64, 1402, 1417},	// Plasma::Frame::metaObject
    {64, 1439, 1435},	// Plasma::Frame::nativeWidget
    {64, 1472, 1443},	// Plasma::Frame::paint##
    {64, 1473, 1436},	// Plasma::Frame::paint###
    {64, 1537, 1423},	// Plasma::Frame::qt_metacall$$?
    {64, 1539, 1418},	// Plasma::Frame::qt_metacast$
    {64, 1636, 1437},	// Plasma::Frame::resizeEvent#
    {64, 1860, 1427},	// Plasma::Frame::setEnabledBorders$
    {64, 1878, 1425},	// Plasma::Frame::setFrameShadow$
    {64, 1918, 1431},	// Plasma::Frame::setImage$
    {64, 2102, 1433},	// Plasma::Frame::setStyleSheet$
    {64, 2134, 1429},	// Plasma::Frame::setText$
    {64, 2254, 1438},	// Plasma::Frame::sizeHint$#
    {64, 2276, 1444},	// Plasma::Frame::staticMetaObject
    {64, 2289, 1434},	// Plasma::Frame::styleSheet
    {64, 2327, 1430},	// Plasma::Frame::text
    {64, 2358, 1440},	// Plasma::Frame::tr$
    {64, 2359, 1419},	// Plasma::Frame::tr$$
    {64, 2360, 1421},	// Plasma::Frame::tr$$$
    {64, 2362, 1441},	// Plasma::Frame::trUtf8$
    {64, 2363, 1420},	// Plasma::Frame::trUtf8$$
    {64, 2364, 1422},	// Plasma::Frame::trUtf8$$$
    {64, 2490, 1448},	// Plasma::Frame::~Frame
    {65, 23, 1489},	// Plasma::FrameSvg::AllBorders
    {65, 57, 1486},	// Plasma::FrameSvg::BottomBorder
    {65, 189, 1480},	// Plasma::FrameSvg::FrameSvg
    {65, 190, 1456},	// Plasma::FrameSvg::FrameSvg#
    {65, 311, 1487},	// Plasma::FrameSvg::LeftBorder
    {65, 364, 1484},	// Plasma::FrameSvg::NoBorder
    {65, 442, 1488},	// Plasma::FrameSvg::RightBorder
    {65, 542, 1485},	// Plasma::FrameSvg::TopBorder
    {65, 694, 1471},	// Plasma::FrameSvg::alphaMask
    {65, 756, 1473},	// Plasma::FrameSvg::cacheAllRenderedFrames
    {65, 771, 1474},	// Plasma::FrameSvg::clearCache
    {65, 837, 1464},	// Plasma::FrameSvg::contentsRect
    {65, 989, 1459},	// Plasma::FrameSvg::enabledBorders
    {65, 1065, 1475},	// Plasma::FrameSvg::framePixmap
    {65, 1067, 1461},	// Plasma::FrameSvg::frameSize
    {65, 1075, 1463},	// Plasma::FrameSvg::getMargins$$$$
    {65, 1095, -36},	// Plasma::FrameSvg::hasElementPrefix$
    {65, 1385, 1462},	// Plasma::FrameSvg::marginSize$
    {65, 1386, 1470},	// Plasma::FrameSvg::mask
    {65, 1402, 1449},	// Plasma::FrameSvg::metaObject
    {65, 1483, 1482},	// Plasma::FrameSvg::paintFrame#
    {65, 1484, -39},	// Plasma::FrameSvg::paintFrame##
    {65, 1485, 1476},	// Plasma::FrameSvg::paintFrame###
    {65, 1525, 1469},	// Plasma::FrameSvg::prefix
    {65, 1537, 1455},	// Plasma::FrameSvg::qt_metacall$$?
    {65, 1539, 1450},	// Plasma::FrameSvg::qt_metacast$
    {65, 1638, 1460},	// Plasma::FrameSvg::resizeFrame#
    {65, 1758, 1472},	// Plasma::FrameSvg::setCacheAllRenderedFrames$
    {65, 1852, -42},	// Plasma::FrameSvg::setElementPrefix$
    {65, 1860, 1458},	// Plasma::FrameSvg::setEnabledBorders$
    {65, 1921, 1457},	// Plasma::FrameSvg::setImagePath$
    {65, 2276, 1483},	// Plasma::FrameSvg::staticMetaObject
    {65, 2358, 1478},	// Plasma::FrameSvg::tr$
    {65, 2359, 1451},	// Plasma::FrameSvg::tr$$
    {65, 2360, 1453},	// Plasma::FrameSvg::tr$$$
    {65, 2362, 1479},	// Plasma::FrameSvg::trUtf8$
    {65, 2363, 1452},	// Plasma::FrameSvg::trUtf8$$
    {65, 2364, 1454},	// Plasma::FrameSvg::trUtf8$$$
    {65, 2491, 1490},	// Plasma::FrameSvg::~FrameSvg
    {66, 194, 1498},	// Plasma::GLApplet::GLApplet#$$
    {66, 195, 1499},	// Plasma::GLApplet::GLApplet#?
    {66, 753, 1506},	// Plasma::GLApplet::bindTexture#
    {66, 754, 1500},	// Plasma::GLApplet::bindTexture#$
    {66, 899, 1501},	// Plasma::GLApplet::deleteTexture$
    {66, 1377, 1503},	// Plasma::GLApplet::makeCurrent
    {66, 1402, 1491},	// Plasma::GLApplet::metaObject
    {66, 1487, 1502},	// Plasma::GLApplet::paintGLInterface##
    {66, 1537, 1497},	// Plasma::GLApplet::qt_metacall$$?
    {66, 1539, 1492},	// Plasma::GLApplet::qt_metacast$
    {66, 2276, 1507},	// Plasma::GLApplet::staticMetaObject
    {66, 2358, 1504},	// Plasma::GLApplet::tr$
    {66, 2359, 1493},	// Plasma::GLApplet::tr$$
    {66, 2360, 1495},	// Plasma::GLApplet::tr$$$
    {66, 2362, 1505},	// Plasma::GLApplet::trUtf8$
    {66, 2363, 1494},	// Plasma::GLApplet::trUtf8$$
    {66, 2364, 1496},	// Plasma::GLApplet::trUtf8$$$
    {66, 2492, 1508},	// Plasma::GLApplet::~GLApplet
    {67, 198, 1526},	// Plasma::GroupBox::GroupBox
    {67, 199, 1516},	// Plasma::GroupBox::GroupBox#
    {67, 762, 1523},	// Plasma::GroupBox::changeEvent#
    {67, 1402, 1509},	// Plasma::GroupBox::metaObject
    {67, 1439, 1521},	// Plasma::GroupBox::nativeWidget
    {67, 1537, 1515},	// Plasma::GroupBox::qt_metacall$$?
    {67, 1539, 1510},	// Plasma::GroupBox::qt_metacast$
    {67, 1636, 1522},	// Plasma::GroupBox::resizeEvent#
    {67, 2102, 1519},	// Plasma::GroupBox::setStyleSheet$
    {67, 2134, 1517},	// Plasma::GroupBox::setText$
    {67, 2276, 1527},	// Plasma::GroupBox::staticMetaObject
    {67, 2289, 1520},	// Plasma::GroupBox::styleSheet
    {67, 2327, 1518},	// Plasma::GroupBox::text
    {67, 2358, 1524},	// Plasma::GroupBox::tr$
    {67, 2359, 1511},	// Plasma::GroupBox::tr$$
    {67, 2360, 1513},	// Plasma::GroupBox::tr$$$
    {67, 2362, 1525},	// Plasma::GroupBox::trUtf8$
    {67, 2363, 1512},	// Plasma::GroupBox::trUtf8$$
    {67, 2364, 1514},	// Plasma::GroupBox::trUtf8$$$
    {67, 2493, 1528},	// Plasma::GroupBox::~GroupBox
    {68, 211, 1592},	// Plasma::IconWidget::IconWidget
    {68, 212, 1536},	// Plasma::IconWidget::IconWidget#
    {68, 213, 1594},	// Plasma::IconWidget::IconWidget#$
    {68, 214, 1538},	// Plasma::IconWidget::IconWidget#$#
    {68, 215, 1593},	// Plasma::IconWidget::IconWidget$
    {68, 216, 1537},	// Plasma::IconWidget::IconWidget$#
    {68, 608, 1560},	// Plasma::IconWidget::action
    {68, 620, 1578},	// Plasma::IconWidget::activated
    {68, 651, 1557},	// Plasma::IconWidget::addIconAction#
    {68, 762, 1588},	// Plasma::IconWidget::changeEvent#
    {68, 763, 1579},	// Plasma::IconWidget::changed
    {68, 777, 1576},	// Plasma::IconWidget::clicked
    {68, 926, 1577},	// Plasma::IconWidget::doubleClicked
    {68, 935, 1589},	// Plasma::IconWidget::drawActionButtonBase##$
    {68, 938, 1569},	// Plasma::IconWidget::drawBackground
    {68, 1120, 1585},	// Plasma::IconWidget::hoverEnterEvent#
    {68, 1122, 1586},	// Plasma::IconWidget::hoverLeaveEvent#
    {68, 1126, 1545},	// Plasma::IconWidget::icon
    {68, 1127, 1550},	// Plasma::IconWidget::iconSize
    {68, 1141, 1543},	// Plasma::IconWidget::infoText
    {68, 1169, 1563},	// Plasma::IconWidget::invertLayout$
    {68, 1170, 1564},	// Plasma::IconWidget::invertedLayout
    {68, 1181, 1580},	// Plasma::IconWidget::isDown
    {68, 1398, 1556},	// Plasma::IconWidget::maximumIconSize
    {68, 1402, 1529},	// Plasma::IconWidget::metaObject
    {68, 1413, 1554},	// Plasma::IconWidget::minimumIconSize
    {68, 1418, 1584},	// Plasma::IconWidget::mouseDoubleClickEvent#
    {68, 1420, 1582},	// Plasma::IconWidget::mouseMoveEvent#
    {68, 1422, 1581},	// Plasma::IconWidget::mousePressEvent#
    {68, 1424, 1583},	// Plasma::IconWidget::mouseReleaseEvent#
    {68, 1446, 1566},	// Plasma::IconWidget::numDisplayLines
    {68, 1463, 1562},	// Plasma::IconWidget::orientation
    {68, 1472, 1597},	// Plasma::IconWidget::paint##
    {68, 1473, 1573},	// Plasma::IconWidget::paint###
    {68, 1522, 1552},	// Plasma::IconWidget::preferredIconSize
    {68, 1528, 1575},	// Plasma::IconWidget::pressed$
    {68, 1537, 1535},	// Plasma::IconWidget::qt_metacall$$?
    {68, 1539, 1530},	// Plasma::IconWidget::qt_metacast$
    {68, 1592, 1558},	// Plasma::IconWidget::removeIconAction#
    {68, 1673, 1587},	// Plasma::IconWidget::sceneEventFilter##
    {68, 1710, 1559},	// Plasma::IconWidget::setAction#
    {68, 1841, 1568},	// Plasma::IconWidget::setDrawBackground$
    {68, 1910, 1546},	// Plasma::IconWidget::setIcon#
    {68, 1911, 1549},	// Plasma::IconWidget::setIcon$
    {68, 1927, 1544},	// Plasma::IconWidget::setInfoText$
    {68, 1956, 1555},	// Plasma::IconWidget::setMaximumIconSize#
    {68, 1964, 1553},	// Plasma::IconWidget::setMinimumIconSize#
    {68, 1981, 1567},	// Plasma::IconWidget::setNumDisplayLines$
    {68, 1987, 1561},	// Plasma::IconWidget::setOrientation$
    {68, 2016, 1551},	// Plasma::IconWidget::setPreferredIconSize#
    {68, 2019, 1596},	// Plasma::IconWidget::setPressed
    {68, 2020, 1571},	// Plasma::IconWidget::setPressed$
    {68, 2109, 1595},	// Plasma::IconWidget::setSvg$
    {68, 2110, 1541},	// Plasma::IconWidget::setSvg$$
    {68, 2134, 1540},	// Plasma::IconWidget::setText$
    {68, 2136, 1548},	// Plasma::IconWidget::setTextBackgroundColor#
    {68, 2161, 1572},	// Plasma::IconWidget::setUnpressed
    {68, 2214, 1570},	// Plasma::IconWidget::shape
    {68, 2250, 1565},	// Plasma::IconWidget::sizeFromIconSize$
    {68, 2253, 1598},	// Plasma::IconWidget::sizeHint$
    {68, 2254, 1574},	// Plasma::IconWidget::sizeHint$#
    {68, 2276, 1599},	// Plasma::IconWidget::staticMetaObject
    {68, 2299, 1542},	// Plasma::IconWidget::svg
    {68, 2327, 1539},	// Plasma::IconWidget::text
    {68, 2328, 1547},	// Plasma::IconWidget::textBackgroundColor
    {68, 2358, 1590},	// Plasma::IconWidget::tr$
    {68, 2359, 1531},	// Plasma::IconWidget::tr$$
    {68, 2360, 1533},	// Plasma::IconWidget::tr$$$
    {68, 2362, 1591},	// Plasma::IconWidget::trUtf8$
    {68, 2363, 1532},	// Plasma::IconWidget::trUtf8$$
    {68, 2364, 1534},	// Plasma::IconWidget::trUtf8$$$
    {68, 2494, 1600},	// Plasma::IconWidget::~IconWidget
    {69, 227, 1624},	// Plasma::ItemBackground::ItemBackground
    {69, 228, 1608},	// Plasma::ItemBackground::ItemBackground#
    {69, 710, 1615},	// Plasma::ItemBackground::animationStep$
    {69, 712, 1614},	// Plasma::ItemBackground::appearanceChanged
    {69, 1006, 1619},	// Plasma::ItemBackground::eventFilter##
    {69, 1231, 1618},	// Plasma::ItemBackground::itemChange$#
    {69, 1402, 1601},	// Plasma::ItemBackground::metaObject
    {69, 1473, 1613},	// Plasma::ItemBackground::paint###
    {69, 1537, 1607},	// Plasma::ItemBackground::qt_metacall$$?
    {69, 1539, 1602},	// Plasma::ItemBackground::qt_metacast$
    {69, 1636, 1621},	// Plasma::ItemBackground::resizeEvent#
    {69, 1673, 1620},	// Plasma::ItemBackground::sceneEventFilter##
    {69, 2124, 1609},	// Plasma::ItemBackground::setTarget#
    {69, 2126, 1611},	// Plasma::ItemBackground::setTargetItem#
    {69, 2276, 1625},	// Plasma::ItemBackground::staticMetaObject
    {69, 2317, 1610},	// Plasma::ItemBackground::target
    {69, 2318, 1612},	// Plasma::ItemBackground::targetItem
    {69, 2320, 1617},	// Plasma::ItemBackground::targetItemReached#
    {69, 2322, 1616},	// Plasma::ItemBackground::targetReached#
    {69, 2358, 1622},	// Plasma::ItemBackground::tr$
    {69, 2359, 1603},	// Plasma::ItemBackground::tr$$
    {69, 2360, 1605},	// Plasma::ItemBackground::tr$$$
    {69, 2362, 1623},	// Plasma::ItemBackground::trUtf8$
    {69, 2363, 1604},	// Plasma::ItemBackground::trUtf8$$
    {69, 2364, 1606},	// Plasma::ItemBackground::trUtf8$$$
    {69, 2495, 1626},	// Plasma::ItemBackground::~ItemBackground
    {70, 306, 1664},	// Plasma::Label::Label
    {70, 307, 1634},	// Plasma::Label::Label#
    {70, 691, 1640},	// Plasma::Label::alignment
    {70, 762, 1657},	// Plasma::Label::changeEvent#
    {70, 846, 1660},	// Plasma::Label::contextMenuEvent#
    {70, 893, 1652},	// Plasma::Label::dataUpdated$?
    {70, 1004, 1658},	// Plasma::Label::event#
    {70, 1103, 1642},	// Plasma::Label::hasScaledContents
    {70, 1130, 1638},	// Plasma::Label::image
    {70, 1231, 1659},	// Plasma::Label::itemChange$#
    {70, 1282, 1650},	// Plasma::Label::linkActivated$
    {70, 1285, 1651},	// Plasma::Label::linkHovered$
    {70, 1402, 1627},	// Plasma::Label::metaObject
    {70, 1420, 1655},	// Plasma::Label::mouseMoveEvent#
    {70, 1422, 1654},	// Plasma::Label::mousePressEvent#
    {70, 1439, 1649},	// Plasma::Label::nativeWidget
    {70, 1473, 1656},	// Plasma::Label::paint###
    {70, 1537, 1633},	// Plasma::Label::qt_metacall$$?
    {70, 1539, 1628},	// Plasma::Label::qt_metacast$
    {70, 1636, 1653},	// Plasma::Label::resizeEvent#
    {70, 1714, 1639},	// Plasma::Label::setAlignment$
    {70, 1918, 1637},	// Plasma::Label::setImage$
    {70, 2056, 1641},	// Plasma::Label::setScaledContents$
    {70, 2102, 1647},	// Plasma::Label::setStyleSheet$
    {70, 2134, 1635},	// Plasma::Label::setText$
    {70, 2138, 1643},	// Plasma::Label::setTextSelectable$
    {70, 2209, 1645},	// Plasma::Label::setWordWrap$
    {70, 2254, 1661},	// Plasma::Label::sizeHint$#
    {70, 2276, 1665},	// Plasma::Label::staticMetaObject
    {70, 2289, 1648},	// Plasma::Label::styleSheet
    {70, 2327, 1636},	// Plasma::Label::text
    {70, 2333, 1644},	// Plasma::Label::textSelectable
    {70, 2358, 1662},	// Plasma::Label::tr$
    {70, 2359, 1629},	// Plasma::Label::tr$$
    {70, 2360, 1631},	// Plasma::Label::tr$$$
    {70, 2362, 1663},	// Plasma::Label::trUtf8$
    {70, 2363, 1630},	// Plasma::Label::trUtf8$$
    {70, 2364, 1632},	// Plasma::Label::trUtf8$$$
    {70, 2453, 1646},	// Plasma::Label::wordWrap
    {70, 2496, 1666},	// Plasma::Label::~Label
    {71, 336, 1699},	// Plasma::LineEdit::LineEdit
    {71, 337, 1674},	// Plasma::LineEdit::LineEdit#
    {71, 762, 1687},	// Plasma::LineEdit::changeEvent#
    {71, 776, 1680},	// Plasma::LineEdit::clickMessage
    {71, 961, 1692},	// Plasma::LineEdit::editingFinished
    {71, 1048, 1696},	// Plasma::LineEdit::focusChanged$
    {71, 1050, 1690},	// Plasma::LineEdit::focusInEvent#
    {71, 1054, 1691},	// Plasma::LineEdit::focusOutEvent#
    {71, 1120, 1685},	// Plasma::LineEdit::hoverEnterEvent#
    {71, 1122, 1686},	// Plasma::LineEdit::hoverLeaveEvent#
    {71, 1176, 1678},	// Plasma::LineEdit::isClearButtonShown
    {71, 1402, 1667},	// Plasma::LineEdit::metaObject
    {71, 1422, 1689},	// Plasma::LineEdit::mousePressEvent#
    {71, 1439, 1684},	// Plasma::LineEdit::nativeWidget
    {71, 1473, 1688},	// Plasma::LineEdit::paint###
    {71, 1537, 1673},	// Plasma::LineEdit::qt_metacall$$?
    {71, 1539, 1668},	// Plasma::LineEdit::qt_metacast$
    {71, 1644, 1693},	// Plasma::LineEdit::returnPressed
    {71, 1768, 1677},	// Plasma::LineEdit::setClearButtonShown$
    {71, 1770, 1679},	// Plasma::LineEdit::setClickMessage$
    {71, 1975, 1683},	// Plasma::LineEdit::setNativeWidget#
    {71, 2102, 1681},	// Plasma::LineEdit::setStyleSheet$
    {71, 2134, 1675},	// Plasma::LineEdit::setText$
    {71, 2276, 1700},	// Plasma::LineEdit::staticMetaObject
    {71, 2289, 1682},	// Plasma::LineEdit::styleSheet
    {71, 2327, 1676},	// Plasma::LineEdit::text
    {71, 2330, 1695},	// Plasma::LineEdit::textChanged$
    {71, 2332, 1694},	// Plasma::LineEdit::textEdited$
    {71, 2358, 1697},	// Plasma::LineEdit::tr$
    {71, 2359, 1669},	// Plasma::LineEdit::tr$$
    {71, 2360, 1671},	// Plasma::LineEdit::tr$$$
    {71, 2362, 1698},	// Plasma::LineEdit::trUtf8$
    {71, 2363, 1670},	// Plasma::LineEdit::trUtf8$$
    {71, 2364, 1672},	// Plasma::LineEdit::trUtf8$$$
    {71, 2497, 1701},	// Plasma::LineEdit::~LineEdit
    {72, 29, 1741},	// Plasma::Meter::AnalogMeter
    {72, 55, 1739},	// Plasma::Meter::BarMeterHorizontal
    {72, 56, 1740},	// Plasma::Meter::BarMeterVertical
    {72, 347, 1735},	// Plasma::Meter::Meter
    {72, 348, 1709},	// Plasma::Meter::Meter#
    {72, 893, 1726},	// Plasma::Meter::dataUpdated$?
    {72, 1258, 1718},	// Plasma::Meter::label$
    {72, 1260, 1724},	// Plasma::Meter::labelAlignment$
    {72, 1262, 1720},	// Plasma::Meter::labelColor$
    {72, 1264, 1722},	// Plasma::Meter::labelFont$
    {72, 1266, 1725},	// Plasma::Meter::labelRect$
    {72, 1397, 1710},	// Plasma::Meter::maximum
    {72, 1402, 1702},	// Plasma::Meter::metaObject
    {72, 1404, 1716},	// Plasma::Meter::meterType
    {72, 1412, 1711},	// Plasma::Meter::minimum
    {72, 1472, 1736},	// Plasma::Meter::paint##
    {72, 1473, 1731},	// Plasma::Meter::paint###
    {72, 1537, 1708},	// Plasma::Meter::qt_metacall$$?
    {72, 1539, 1703},	// Plasma::Meter::qt_metacast$
    {72, 1936, 1717},	// Plasma::Meter::setLabel$$
    {72, 1938, 1723},	// Plasma::Meter::setLabelAlignment$$
    {72, 1940, 1719},	// Plasma::Meter::setLabelColor$#
    {72, 1942, 1721},	// Plasma::Meter::setLabelFont$#
    {72, 1954, 1727},	// Plasma::Meter::setMaximum$
    {72, 1958, 1715},	// Plasma::Meter::setMeterType$
    {72, 1962, 1728},	// Plasma::Meter::setMinimum$
    {72, 2109, 1713},	// Plasma::Meter::setSvg$
    {72, 2178, 1729},	// Plasma::Meter::setValue$
    {72, 2253, 1737},	// Plasma::Meter::sizeHint$
    {72, 2254, 1732},	// Plasma::Meter::sizeHint$#
    {72, 2276, 1738},	// Plasma::Meter::staticMetaObject
    {72, 2299, 1714},	// Plasma::Meter::svg
    {72, 2358, 1733},	// Plasma::Meter::tr$
    {72, 2359, 1704},	// Plasma::Meter::tr$$
    {72, 2360, 1706},	// Plasma::Meter::tr$$$
    {72, 2362, 1734},	// Plasma::Meter::trUtf8$
    {72, 2363, 1705},	// Plasma::Meter::trUtf8$$
    {72, 2364, 1707},	// Plasma::Meter::trUtf8$$$
    {72, 2413, 1712},	// Plasma::Meter::value
    {72, 2415, 1730},	// Plasma::Meter::valueChanged$
    {72, 2498, 1742},	// Plasma::Meter::~Meter
    {73, 388, 1743},	// Plasma::Package::Package
    {73, 389, 1746},	// Plasma::Package::Package#
    {73, 390, 1744},	// Plasma::Package::Package$$?
    {73, 391, 1745},	// Plasma::Package::Package$?
    {73, 834, 1756},	// Plasma::Package::contentsHash
    {73, 866, 1763},	// Plasma::Package::createPackage#$$
    {73, 867, 1762},	// Plasma::Package::createPackage#$$$
    {73, 1001, 1751},	// Plasma::Package::entryList$
    {73, 1024, 1750},	// Plasma::Package::filePath$
    {73, 1025, 1749},	// Plasma::Package::filePath$$
    {73, 1165, 1759},	// Plasma::Package::installPackage$$$
    {73, 1215, 1748},	// Plasma::Package::isValid
    {73, 1318, 1757},	// Plasma::Package::listInstalled$
    {73, 1320, 1758},	// Plasma::Package::listInstalledPaths$
    {73, 1403, 1752},	// Plasma::Package::metadata
    {73, 1460, 1747},	// Plasma::Package::operator=#
    {73, 1497, 1754},	// Plasma::Package::path
    {73, 1557, 1761},	// Plasma::Package::registerPackage#$
    {73, 1999, 1753},	// Plasma::Package::setPath$
    {73, 2287, 1755},	// Plasma::Package::structure
    {73, 2371, 1760},	// Plasma::Package::uninstallPackage$$$
    {73, 2499, 1764},	// Plasma::Package::~Package
    {74, 392, 1807},	// Plasma::PackageMetadata::PackageMetadata
    {74, 393, 1766},	// Plasma::PackageMetadata::PackageMetadata#
    {74, 394, 1765},	// Plasma::PackageMetadata::PackageMetadata$
    {74, 726, 1780},	// Plasma::PackageMetadata::application
    {74, 736, 1775},	// Plasma::PackageMetadata::author
    {74, 758, 1781},	// Plasma::PackageMetadata::category
    {74, 900, 1772},	// Plasma::PackageMetadata::description
    {74, 983, 1776},	// Plasma::PackageMetadata::email
    {74, 1126, 1790},	// Plasma::PackageMetadata::icon
    {74, 1136, 1784},	// Plasma::PackageMetadata::implementationApi
    {74, 1215, 1768},	// Plasma::PackageMetadata::isValid
    {74, 1253, 1773},	// Plasma::PackageMetadata::keywords
    {74, 1280, 1779},	// Plasma::PackageMetadata::license
    {74, 1437, 1771},	// Plasma::PackageMetadata::name
    {74, 1460, 1767},	// Plasma::PackageMetadata::operator=#
    {74, 1509, 1783},	// Plasma::PackageMetadata::pluginName
    {74, 1546, 1770},	// Plasma::PackageMetadata::read$
    {74, 1577, 1785},	// Plasma::PackageMetadata::remoteLocation
    {74, 1626, 1786},	// Plasma::PackageMetadata::requiredDataEngines
    {74, 1629, 1782},	// Plasma::PackageMetadata::requiredVersion
    {74, 1708, 1774},	// Plasma::PackageMetadata::serviceType
    {74, 1726, 1799},	// Plasma::PackageMetadata::setApplication$
    {74, 1734, 1794},	// Plasma::PackageMetadata::setAuthor$
    {74, 1762, 1800},	// Plasma::PackageMetadata::setCategory$
    {74, 1831, 1789},	// Plasma::PackageMetadata::setDescription$
    {74, 1854, 1795},	// Plasma::PackageMetadata::setEmail$
    {74, 1911, 1791},	// Plasma::PackageMetadata::setIcon$
    {74, 1925, 1805},	// Plasma::PackageMetadata::setImplementationApi$
    {74, 1933, 1792},	// Plasma::PackageMetadata::setKeywords?
    {74, 1946, 1798},	// Plasma::PackageMetadata::setLicense$
    {74, 1973, 1788},	// Plasma::PackageMetadata::setName$
    {74, 2005, 1804},	// Plasma::PackageMetadata::setPluginName$
    {74, 2036, 1802},	// Plasma::PackageMetadata::setRemoteLocation#
    {74, 2042, 1806},	// Plasma::PackageMetadata::setRequiredDataEngines?
    {74, 2044, 1801},	// Plasma::PackageMetadata::setRequiredVersion$
    {74, 2069, 1793},	// Plasma::PackageMetadata::setServiceType$
    {74, 2158, 1803},	// Plasma::PackageMetadata::setType$
    {74, 2180, 1796},	// Plasma::PackageMetadata::setVersion$
    {74, 2201, 1797},	// Plasma::PackageMetadata::setWebsite$
    {74, 2366, 1787},	// Plasma::PackageMetadata::type
    {74, 2416, 1777},	// Plasma::PackageMetadata::version
    {74, 2441, 1778},	// Plasma::PackageMetadata::website
    {74, 2456, 1769},	// Plasma::PackageMetadata::write$
    {74, 2500, 1808},	// Plasma::PackageMetadata::~PackageMetadata
    {75, 395, 1858},	// Plasma::PackageStructure::PackageStructure
    {75, 396, 1859},	// Plasma::PackageStructure::PackageStructure#
    {75, 397, 1816},	// Plasma::PackageStructure::PackageStructure#$
    {75, 645, 1824},	// Plasma::PackageStructure::addDirectoryDefinition$$$
    {75, 649, 1825},	// Plasma::PackageStructure::addFileDefinition$$$
    {75, 692, 1849},	// Plasma::PackageStructure::allowExternalPaths
    {75, 835, 1843},	// Plasma::PackageStructure::contentsPrefix
    {75, 836, 1844},	// Plasma::PackageStructure::contentsPrefixPaths
    {75, 863, 1860},	// Plasma::PackageStructure::createNewWidgetBrowser
    {75, 864, 1842},	// Plasma::PackageStructure::createNewWidgetBrowser#
    {75, 895, 1845},	// Plasma::PackageStructure::defaultPackageRoot
    {75, 913, 1820},	// Plasma::PackageStructure::directories
    {75, 1001, 1829},	// Plasma::PackageStructure::entryList$
    {75, 1026, 1822},	// Plasma::PackageStructure::files
    {75, 1164, 1840},	// Plasma::PackageStructure::installPackage$$
    {75, 1203, 1832},	// Plasma::PackageStructure::isRequired$
    {75, 1339, 1818},	// Plasma::PackageStructure::load$
    {75, 1402, 1809},	// Plasma::PackageStructure::metaObject
    {75, 1403, 1848},	// Plasma::PackageStructure::metadata
    {75, 1411, 1835},	// Plasma::PackageStructure::mimetypes$
    {75, 1438, 1830},	// Plasma::PackageStructure::name$
    {75, 1444, 1850},	// Plasma::PackageStructure::newWidgetBrowserFinished
    {75, 1460, 1817},	// Plasma::PackageStructure::operator=#
    {75, 1497, 1837},	// Plasma::PackageStructure::path
    {75, 1498, 1827},	// Plasma::PackageStructure::path$
    {75, 1499, 1855},	// Plasma::PackageStructure::pathChanged
    {75, 1537, 1815},	// Plasma::PackageStructure::qt_metacall$$?
    {75, 1539, 1810},	// Plasma::PackageStructure::qt_metacast$
    {75, 1545, 1838},	// Plasma::PackageStructure::read#
    {75, 1590, 1826},	// Plasma::PackageStructure::removeDefinition$
    {75, 1627, 1821},	// Plasma::PackageStructure::requiredDirectories
    {75, 1628, 1823},	// Plasma::PackageStructure::requiredFiles
    {75, 1692, 1828},	// Plasma::PackageStructure::searchPath$
    {75, 1702, 1846},	// Plasma::PackageStructure::servicePrefix
    {75, 1716, 1851},	// Plasma::PackageStructure::setAllowExternalPaths$
    {75, 1793, 1852},	// Plasma::PackageStructure::setContentsPrefix$
    {75, 1795, 1853},	// Plasma::PackageStructure::setContentsPrefixPaths?
    {75, 1822, 1833},	// Plasma::PackageStructure::setDefaultMimetypes?
    {75, 1824, 1854},	// Plasma::PackageStructure::setDefaultPackageRoot$
    {75, 1960, 1834},	// Plasma::PackageStructure::setMimetypes$?
    {75, 1999, 1836},	// Plasma::PackageStructure::setPath$
    {75, 2040, 1831},	// Plasma::PackageStructure::setRequired$$
    {75, 2067, 1847},	// Plasma::PackageStructure::setServicePrefix$
    {75, 2276, 1861},	// Plasma::PackageStructure::staticMetaObject
    {75, 2358, 1856},	// Plasma::PackageStructure::tr$
    {75, 2359, 1811},	// Plasma::PackageStructure::tr$$
    {75, 2360, 1813},	// Plasma::PackageStructure::tr$$$
    {75, 2362, 1857},	// Plasma::PackageStructure::trUtf8$
    {75, 2363, 1812},	// Plasma::PackageStructure::trUtf8$$
    {75, 2364, 1814},	// Plasma::PackageStructure::trUtf8$$$
    {75, 2366, 1819},	// Plasma::PackageStructure::type
    {75, 2370, 1841},	// Plasma::PackageStructure::uninstallPackage$$
    {75, 2455, 1839},	// Plasma::PackageStructure::write#
    {75, 2501, 1862},	// Plasma::PackageStructure::~PackageStructure
    {76, 413, 1863},	// Plasma::PlotColor::PlotColor
    {76, 414, 1864},	// Plasma::PlotColor::PlotColor#
    {76, 786, 1865},	// Plasma::PlotColor::color
    {76, 888, 1867},	// Plasma::PlotColor::darkColor
    {76, 1776, 1866},	// Plasma::PlotColor::setColor#
    {76, 1811, 1868},	// Plasma::PlotColor::setDarkColor#
    {76, 2502, 1869},	// Plasma::PlotColor::~PlotColor
    {77, 416, 1877},	// Plasma::PopupApplet::PopupApplet#?
    {77, 928, 1900},	// Plasma::PopupApplet::dragEnterEvent#
    {77, 930, 1901},	// Plasma::PopupApplet::dragLeaveEvent#
    {77, 958, 1902},	// Plasma::PopupApplet::dropEvent#
    {77, 1006, 1899},	// Plasma::PopupApplet::eventFilter##
    {77, 1084, 1883},	// Plasma::PopupApplet::graphicsWidget
    {77, 1112, 1892},	// Plasma::PopupApplet::hidePopup
    {77, 1186, 1891},	// Plasma::PopupApplet::isIconified
    {77, 1193, 1889},	// Plasma::PopupApplet::isPassivePopup
    {77, 1196, 1890},	// Plasma::PopupApplet::isPopupShowing
    {77, 1402, 1870},	// Plasma::PopupApplet::metaObject
    {77, 1422, 1897},	// Plasma::PopupApplet::mousePressEvent#
    {77, 1424, 1898},	// Plasma::PopupApplet::mouseReleaseEvent#
    {77, 1512, 1887},	// Plasma::PopupApplet::popupAlignment
    {77, 1514, 1895},	// Plasma::PopupApplet::popupEvent$
    {77, 1515, 1880},	// Plasma::PopupApplet::popupIcon
    {77, 1516, 1885},	// Plasma::PopupApplet::popupPlacement
    {77, 1537, 1876},	// Plasma::PopupApplet::qt_metacall$$?
    {77, 1539, 1871},	// Plasma::PopupApplet::qt_metacast$
    {77, 1884, 1884},	// Plasma::PopupApplet::setGraphicsWidget#
    {77, 1997, 1888},	// Plasma::PopupApplet::setPassivePopup$
    {77, 2011, 1886},	// Plasma::PopupApplet::setPopupAlignment$
    {77, 2013, 1878},	// Plasma::PopupApplet::setPopupIcon#
    {77, 2014, 1879},	// Plasma::PopupApplet::setPopupIcon$
    {77, 2203, 1882},	// Plasma::PopupApplet::setWidget#
    {77, 2236, 1906},	// Plasma::PopupApplet::showPopup
    {77, 2237, 1893},	// Plasma::PopupApplet::showPopup$
    {77, 2253, 1907},	// Plasma::PopupApplet::sizeHint$
    {77, 2254, 1896},	// Plasma::PopupApplet::sizeHint$#
    {77, 2276, 1908},	// Plasma::PopupApplet::staticMetaObject
    {77, 2343, 1903},	// Plasma::PopupApplet::timerEvent#
    {77, 2345, 1894},	// Plasma::PopupApplet::togglePopup
    {77, 2358, 1904},	// Plasma::PopupApplet::tr$
    {77, 2359, 1872},	// Plasma::PopupApplet::tr$$
    {77, 2360, 1874},	// Plasma::PopupApplet::tr$$$
    {77, 2362, 1905},	// Plasma::PopupApplet::trUtf8$
    {77, 2363, 1873},	// Plasma::PopupApplet::trUtf8$$
    {77, 2364, 1875},	// Plasma::PopupApplet::trUtf8$$$
    {77, 2444, 1881},	// Plasma::PopupApplet::widget
    {77, 2503, 1909},	// Plasma::PopupApplet::~PopupApplet
    {78, 422, 1949},	// Plasma::PushButton::PushButton
    {78, 423, 1917},	// Plasma::PushButton::PushButton#
    {78, 608, 1926},	// Plasma::PushButton::action
    {78, 762, 1945},	// Plasma::PushButton::changeEvent#
    {78, 775, 1939},	// Plasma::PushButton::click
    {78, 777, 1937},	// Plasma::PushButton::clicked
    {78, 1120, 1943},	// Plasma::PushButton::hoverEnterEvent#
    {78, 1122, 1944},	// Plasma::PushButton::hoverLeaveEvent#
    {78, 1126, 1929},	// Plasma::PushButton::icon
    {78, 1130, 1922},	// Plasma::PushButton::image
    {78, 1174, 1931},	// Plasma::PushButton::isCheckable
    {78, 1175, 1932},	// Plasma::PushButton::isChecked
    {78, 1181, 1933},	// Plasma::PushButton::isDown
    {78, 1402, 1910},	// Plasma::PushButton::metaObject
    {78, 1439, 1934},	// Plasma::PushButton::nativeWidget
    {78, 1472, 1950},	// Plasma::PushButton::paint##
    {78, 1473, 1941},	// Plasma::PushButton::paint###
    {78, 1527, 1935},	// Plasma::PushButton::pressed
    {78, 1537, 1916},	// Plasma::PushButton::qt_metacall$$?
    {78, 1539, 1911},	// Plasma::PushButton::qt_metacast$
    {78, 1567, 1936},	// Plasma::PushButton::released
    {78, 1636, 1942},	// Plasma::PushButton::resizeEvent#
    {78, 1710, 1925},	// Plasma::PushButton::setAction#
    {78, 1764, 1930},	// Plasma::PushButton::setCheckable$
    {78, 1766, 1940},	// Plasma::PushButton::setChecked$
    {78, 1910, -27},	// Plasma::PushButton::setIcon#
    {78, 1918, 1920},	// Plasma::PushButton::setImage$
    {78, 1919, 1921},	// Plasma::PushButton::setImage$$
    {78, 2102, 1923},	// Plasma::PushButton::setStyleSheet$
    {78, 2134, 1918},	// Plasma::PushButton::setText$
    {78, 2254, 1946},	// Plasma::PushButton::sizeHint$#
    {78, 2276, 1951},	// Plasma::PushButton::staticMetaObject
    {78, 2289, 1924},	// Plasma::PushButton::styleSheet
    {78, 2327, 1919},	// Plasma::PushButton::text
    {78, 2347, 1938},	// Plasma::PushButton::toggled$
    {78, 2358, 1947},	// Plasma::PushButton::tr$
    {78, 2359, 1912},	// Plasma::PushButton::tr$$
    {78, 2360, 1914},	// Plasma::PushButton::tr$$$
    {78, 2362, 1948},	// Plasma::PushButton::trUtf8$
    {78, 2363, 1913},	// Plasma::PushButton::trUtf8$$
    {78, 2364, 1915},	// Plasma::PushButton::trUtf8$$$
    {78, 2504, 1952},	// Plasma::PushButton::~PushButton
    {79, 90, 1983},	// Plasma::QueryMatch::CompletionMatch
    {79, 163, 1987},	// Plasma::QueryMatch::ExactMatch
    {79, 204, 1986},	// Plasma::QueryMatch::HelperMatch
    {79, 222, 1985},	// Plasma::QueryMatch::InformationalMatch
    {79, 378, 1982},	// Plasma::QueryMatch::NoMatch
    {79, 418, 1984},	// Plasma::QueryMatch::PossibleMatch
    {79, 435, -24},	// Plasma::QueryMatch::QueryMatch#
    {79, 857, 1981},	// Plasma::QueryMatch::createConfigurationInterface#
    {79, 889, 1967},	// Plasma::QueryMatch::data
    {79, 1091, 1980},	// Plasma::QueryMatch::hasConfigurationInterface
    {79, 1126, 1975},	// Plasma::QueryMatch::icon
    {79, 1128, 1969},	// Plasma::QueryMatch::id
    {79, 1183, 1977},	// Plasma::QueryMatch::isEnabled
    {79, 1215, 1960},	// Plasma::QueryMatch::isValid
    {79, 1456, 1957},	// Plasma::QueryMatch::operator!=#
    {79, 1458, 1958},	// Plasma::QueryMatch::operator<#
    {79, 1460, 1955},	// Plasma::QueryMatch::operator=#
    {79, 1462, 1956},	// Plasma::QueryMatch::operator==#
    {79, 1568, 1964},	// Plasma::QueryMatch::relevance
    {79, 1649, 1965},	// Plasma::QueryMatch::run#
    {79, 1653, 1959},	// Plasma::QueryMatch::runner
    {79, 1696, 1978},	// Plasma::QueryMatch::selectedAction
    {79, 1813, 1966},	// Plasma::QueryMatch::setData#
    {79, 1858, 1976},	// Plasma::QueryMatch::setEnabled$
    {79, 1910, 1974},	// Plasma::QueryMatch::setIcon#
    {79, 1913, 1968},	// Plasma::QueryMatch::setId$
    {79, 2034, 1963},	// Plasma::QueryMatch::setRelevance$
    {79, 2065, 1979},	// Plasma::QueryMatch::setSelectedAction#
    {79, 2106, 1972},	// Plasma::QueryMatch::setSubtext$
    {79, 2134, 1970},	// Plasma::QueryMatch::setText$
    {79, 2158, 1961},	// Plasma::QueryMatch::setType$
    {79, 2292, 1973},	// Plasma::QueryMatch::subtext
    {79, 2327, 1971},	// Plasma::QueryMatch::text
    {79, 2366, 1962},	// Plasma::QueryMatch::type
    {79, 2505, 1988},	// Plasma::QueryMatch::~QueryMatch
    {80, 437, 2011},	// Plasma::RadioButton::RadioButton
    {80, 438, 1996},	// Plasma::RadioButton::RadioButton#
    {80, 762, 2008},	// Plasma::RadioButton::changeEvent#
    {80, 1130, 2000},	// Plasma::RadioButton::image
    {80, 1175, 2005},	// Plasma::RadioButton::isChecked
    {80, 1402, 1989},	// Plasma::RadioButton::metaObject
    {80, 1439, 2003},	// Plasma::RadioButton::nativeWidget
    {80, 1537, 1995},	// Plasma::RadioButton::qt_metacall$$?
    {80, 1539, 1990},	// Plasma::RadioButton::qt_metacast$
    {80, 1636, 2007},	// Plasma::RadioButton::resizeEvent#
    {80, 1766, 2004},	// Plasma::RadioButton::setChecked$
    {80, 1918, 1999},	// Plasma::RadioButton::setImage$
    {80, 2102, 2001},	// Plasma::RadioButton::setStyleSheet$
    {80, 2134, 1997},	// Plasma::RadioButton::setText$
    {80, 2276, 2012},	// Plasma::RadioButton::staticMetaObject
    {80, 2289, 2002},	// Plasma::RadioButton::styleSheet
    {80, 2327, 1998},	// Plasma::RadioButton::text
    {80, 2347, 2006},	// Plasma::RadioButton::toggled$
    {80, 2358, 2009},	// Plasma::RadioButton::tr$
    {80, 2359, 1991},	// Plasma::RadioButton::tr$$
    {80, 2360, 1993},	// Plasma::RadioButton::tr$$$
    {80, 2362, 2010},	// Plasma::RadioButton::trUtf8$
    {80, 2363, 1992},	// Plasma::RadioButton::trUtf8$$
    {80, 2364, 1994},	// Plasma::RadioButton::trUtf8$$$
    {80, 2506, 2013},	// Plasma::RadioButton::~RadioButton
    {81, 149, 2049},	// Plasma::RunnerContext::Directory
    {81, 164, 2052},	// Plasma::RunnerContext::Executable
    {81, 176, 2050},	// Plasma::RunnerContext::File
    {81, 177, 2055},	// Plasma::RunnerContext::FileSystem
    {81, 203, 2054},	// Plasma::RunnerContext::Help
    {81, 358, 2051},	// Plasma::RunnerContext::NetworkLocation
    {81, 381, 2047},	// Plasma::RunnerContext::None
    {81, 452, 2044},	// Plasma::RunnerContext::RunnerContext
    {81, 453, -15},	// Plasma::RunnerContext::RunnerContext#
    {81, 454, 2022},	// Plasma::RunnerContext::RunnerContext##
    {81, 487, 2053},	// Plasma::RunnerContext::ShellCommand
    {81, 559, 2048},	// Plasma::RunnerContext::UnknownType
    {81, 655, 2031},	// Plasma::RunnerContext::addMatch$#
    {81, 657, 2030},	// Plasma::RunnerContext::addMatches$?
    {81, 1215, 2029},	// Plasma::RunnerContext::isValid
    {81, 1389, 2035},	// Plasma::RunnerContext::match$
    {81, 1391, 2034},	// Plasma::RunnerContext::matches
    {81, 1392, 2041},	// Plasma::RunnerContext::matchesChanged
    {81, 1402, 2014},	// Plasma::RunnerContext::metaObject
    {81, 1409, 2028},	// Plasma::RunnerContext::mimeType
    {81, 1460, 2023},	// Plasma::RunnerContext::operator=#
    {81, 1537, 2020},	// Plasma::RunnerContext::qt_metacall$$?
    {81, 1539, 2015},	// Plasma::RunnerContext::qt_metacast$
    {81, 1540, 2026},	// Plasma::RunnerContext::query
    {81, 1594, 2032},	// Plasma::RunnerContext::removeMatch$
    {81, 1596, 2033},	// Plasma::RunnerContext::removeMatches?
    {81, 1630, 2024},	// Plasma::RunnerContext::reset
    {81, 1641, 2038},	// Plasma::RunnerContext::restore#
    {81, 1649, 2040},	// Plasma::RunnerContext::run#
    {81, 1659, 2039},	// Plasma::RunnerContext::save#
    {81, 2028, 2025},	// Plasma::RunnerContext::setQuery$
    {81, 2085, 2036},	// Plasma::RunnerContext::setSingleRunnerQueryMode$
    {81, 2245, 2037},	// Plasma::RunnerContext::singleRunnerQueryMode
    {81, 2276, 2046},	// Plasma::RunnerContext::staticMetaObject
    {81, 2358, 2042},	// Plasma::RunnerContext::tr$
    {81, 2359, 2016},	// Plasma::RunnerContext::tr$$
    {81, 2360, 2018},	// Plasma::RunnerContext::tr$$$
    {81, 2362, 2043},	// Plasma::RunnerContext::trUtf8$
    {81, 2363, 2017},	// Plasma::RunnerContext::trUtf8$$
    {81, 2364, 2019},	// Plasma::RunnerContext::trUtf8$$$
    {81, 2366, 2027},	// Plasma::RunnerContext::type
    {81, 2507, 2056},	// Plasma::RunnerContext::~RunnerContext
    {82, 455, 2100},	// Plasma::RunnerManager::RunnerManager
    {82, 456, -63},	// Plasma::RunnerManager::RunnerManager#
    {82, 457, 2065},	// Plasma::RunnerManager::RunnerManager##
    {82, 613, 2079},	// Plasma::RunnerManager::actionsForMatch#
    {82, 693, 2085},	// Plasma::RunnerManager::allowedRunners
    {82, 1012, 2094},	// Plasma::RunnerManager::execQuery$
    {82, 1013, 2093},	// Plasma::RunnerManager::execQuery$$
    {82, 1276, 2092},	// Plasma::RunnerManager::launchQuery$
    {82, 1277, 2091},	// Plasma::RunnerManager::launchQuery$$
    {82, 1322, 2102},	// Plasma::RunnerManager::listRunnerInfo
    {82, 1323, 2088},	// Plasma::RunnerManager::listRunnerInfo$
    {82, 1361, 2084},	// Plasma::RunnerManager::loadRunner$
    {82, 1362, 2083},	// Plasma::RunnerManager::loadRunner?
    {82, 1390, 2090},	// Plasma::RunnerManager::matchSessionComplete
    {82, 1391, 2076},	// Plasma::RunnerManager::matches
    {82, 1393, 2096},	// Plasma::RunnerManager::matchesChanged?
    {82, 1402, 2057},	// Plasma::RunnerManager::metaObject
    {82, 1407, 2086},	// Plasma::RunnerManager::mimeDataForMatch#
    {82, 1408, 2087},	// Plasma::RunnerManager::mimeDataForMatch$
    {82, 1537, 2063},	// Plasma::RunnerManager::qt_metacall$$?
    {82, 1539, 2058},	// Plasma::RunnerManager::qt_metacast$
    {82, 1540, 2080},	// Plasma::RunnerManager::query
    {82, 1542, 2097},	// Plasma::RunnerManager::queryFinished
    {82, 1570, 2081},	// Plasma::RunnerManager::reloadConfiguration
    {82, 1630, 2095},	// Plasma::RunnerManager::reset
    {82, 1649, 2077},	// Plasma::RunnerManager::run#
    {82, 1651, 2078},	// Plasma::RunnerManager::run$
    {82, 1654, 2066},	// Plasma::RunnerManager::runner$
    {82, 1656, 2072},	// Plasma::RunnerManager::runnerName$
    {82, 1657, 2073},	// Plasma::RunnerManager::runners
    {82, 1690, 2075},	// Plasma::RunnerManager::searchContext
    {82, 1718, 2082},	// Plasma::RunnerManager::setAllowedRunners?
    {82, 2081, 2071},	// Plasma::RunnerManager::setSingleMode$
    {82, 2083, 2068},	// Plasma::RunnerManager::setSingleModeRunnerId$
    {82, 2213, 2089},	// Plasma::RunnerManager::setupMatchSession
    {82, 2241, 2070},	// Plasma::RunnerManager::singleMode
    {82, 2242, 2074},	// Plasma::RunnerManager::singleModeAdvertisedRunnerIds
    {82, 2243, 2067},	// Plasma::RunnerManager::singleModeRunner
    {82, 2244, 2069},	// Plasma::RunnerManager::singleModeRunnerId
    {82, 2276, 2103},	// Plasma::RunnerManager::staticMetaObject
    {82, 2358, 2098},	// Plasma::RunnerManager::tr$
    {82, 2359, 2059},	// Plasma::RunnerManager::tr$$
    {82, 2360, 2061},	// Plasma::RunnerManager::tr$$$
    {82, 2362, 2099},	// Plasma::RunnerManager::trUtf8$
    {82, 2363, 2060},	// Plasma::RunnerManager::trUtf8$$
    {82, 2364, 2062},	// Plasma::RunnerManager::trUtf8$$$
    {82, 2508, 2104},	// Plasma::RunnerManager::~RunnerManager
    {83, 458, 2142},	// Plasma::RunnerScript::RunnerScript
    {83, 459, 2112},	// Plasma::RunnerScript::RunnerScript#
    {83, 609, 2135},	// Plasma::RunnerScript::action$
    {83, 611, 2136},	// Plasma::RunnerScript::actions
    {83, 614, 2121},	// Plasma::RunnerScript::actionsForMatch#?
    {83, 627, 2133},	// Plasma::RunnerScript::addAction$#
    {83, 628, 2132},	// Plasma::RunnerScript::addAction$#$
    {83, 678, 2138},	// Plasma::RunnerScript::addSyntax#
    {83, 769, 2137},	// Plasma::RunnerScript::clearActions
    {83, 789, 2126},	// Plasma::RunnerScript::config
    {83, 869, 2119},	// Plasma::RunnerScript::createRunOptions#
    {83, 891, 2125},	// Plasma::RunnerScript::dataEngine$
    {83, 900, 2124},	// Plasma::RunnerScript::description
    {83, 1375, 2122},	// Plasma::RunnerScript::mainScript
    {83, 1388, 2115},	// Plasma::RunnerScript::match#
    {83, 1402, 2105},	// Plasma::RunnerScript::metaObject
    {83, 1465, 2123},	// Plasma::RunnerScript::package
    {83, 1526, 2117},	// Plasma::RunnerScript::prepare
    {83, 1537, 2111},	// Plasma::RunnerScript::qt_metacall$$?
    {83, 1539, 2106},	// Plasma::RunnerScript::qt_metacast$
    {83, 1570, 2120},	// Plasma::RunnerScript::reloadConfiguration
    {83, 1581, 2134},	// Plasma::RunnerScript::removeAction$
    {83, 1650, 2116},	// Plasma::RunnerScript::run##
    {83, 1653, 2114},	// Plasma::RunnerScript::runner
    {83, 1704, 2143},	// Plasma::RunnerScript::serviceQuery$
    {83, 1705, 2131},	// Plasma::RunnerScript::serviceQuery$$
    {83, 1893, 2128},	// Plasma::RunnerScript::setHasRunOptions$
    {83, 1915, 2127},	// Plasma::RunnerScript::setIgnoredTypes$
    {83, 2026, 2130},	// Plasma::RunnerScript::setPriority$
    {83, 2052, 2113},	// Plasma::RunnerScript::setRunner#
    {83, 2091, 2129},	// Plasma::RunnerScript::setSpeed$
    {83, 2114, 2139},	// Plasma::RunnerScript::setSyntaxes?
    {83, 2276, 2144},	// Plasma::RunnerScript::staticMetaObject
    {83, 2326, 2118},	// Plasma::RunnerScript::teardown
    {83, 2358, 2140},	// Plasma::RunnerScript::tr$
    {83, 2359, 2107},	// Plasma::RunnerScript::tr$$
    {83, 2360, 2109},	// Plasma::RunnerScript::tr$$$
    {83, 2362, 2141},	// Plasma::RunnerScript::trUtf8$
    {83, 2363, 2108},	// Plasma::RunnerScript::trUtf8$$
    {83, 2364, 2110},	// Plasma::RunnerScript::trUtf8$$$
    {83, 2509, 2145},	// Plasma::RunnerScript::~RunnerScript
    {84, 461, 2147},	// Plasma::RunnerSyntax::RunnerSyntax#
    {84, 462, 2146},	// Plasma::RunnerSyntax::RunnerSyntax$$
    {84, 647, 2149},	// Plasma::RunnerSyntax::addExampleQuery$
    {84, 900, 2153},	// Plasma::RunnerSyntax::description
    {84, 1009, 2150},	// Plasma::RunnerSyntax::exampleQueries
    {84, 1010, 2151},	// Plasma::RunnerSyntax::exampleQueriesWithTermDescription
    {84, 1460, 2148},	// Plasma::RunnerSyntax::operator=#
    {84, 1693, 2155},	// Plasma::RunnerSyntax::searchTermDescription
    {84, 1831, 2152},	// Plasma::RunnerSyntax::setDescription$
    {84, 2063, 2154},	// Plasma::RunnerSyntax::setSearchTermDescription$
    {84, 2510, 2156},	// Plasma::RunnerSyntax::~RunnerSyntax
    {85, 468, 2170},	// Plasma::ScriptEngine::ScriptEngine
    {85, 469, 2165},	// Plasma::ScriptEngine::ScriptEngine#
    {85, 1142, 2164},	// Plasma::ScriptEngine::init
    {85, 1375, 2166},	// Plasma::ScriptEngine::mainScript
    {85, 1402, 2157},	// Plasma::ScriptEngine::metaObject
    {85, 1465, 2167},	// Plasma::ScriptEngine::package
    {85, 1537, 2163},	// Plasma::ScriptEngine::qt_metacall$$?
    {85, 1539, 2158},	// Plasma::ScriptEngine::qt_metacast$
    {85, 2276, 2171},	// Plasma::ScriptEngine::staticMetaObject
    {85, 2358, 2168},	// Plasma::ScriptEngine::tr$
    {85, 2359, 2159},	// Plasma::ScriptEngine::tr$$
    {85, 2360, 2161},	// Plasma::ScriptEngine::tr$$$
    {85, 2362, 2169},	// Plasma::ScriptEngine::trUtf8$
    {85, 2363, 2160},	// Plasma::ScriptEngine::trUtf8$$
    {85, 2364, 2162},	// Plasma::ScriptEngine::trUtf8$$$
    {85, 2511, 2172},	// Plasma::ScriptEngine::~ScriptEngine
    {86, 470, 2202},	// Plasma::ScrollBar::ScrollBar
    {86, 471, 2180},	// Plasma::ScrollBar::ScrollBar#
    {86, 846, 2195},	// Plasma::ScrollBar::contextMenuEvent#
    {86, 1397, 2188},	// Plasma::ScrollBar::maximum
    {86, 1402, 2173},	// Plasma::ScrollBar::metaObject
    {86, 1412, 2187},	// Plasma::ScrollBar::minimum
    {86, 1439, 2193},	// Plasma::ScrollBar::nativeWidget
    {86, 1463, 2194},	// Plasma::ScrollBar::orientation
    {86, 1470, 2185},	// Plasma::ScrollBar::pageStep
    {86, 1537, 2179},	// Plasma::ScrollBar::qt_metacall$$?
    {86, 1539, 2174},	// Plasma::ScrollBar::qt_metacast$
    {86, 1954, 2190},	// Plasma::ScrollBar::setMaximum$
    {86, 1962, 2189},	// Plasma::ScrollBar::setMinimum$
    {86, 1987, 2197},	// Plasma::ScrollBar::setOrientation$
    {86, 1995, 2184},	// Plasma::ScrollBar::setPageStep$
    {86, 2030, 2181},	// Plasma::ScrollBar::setRange$$
    {86, 2087, 2182},	// Plasma::ScrollBar::setSingleStep$
    {86, 2102, 2191},	// Plasma::ScrollBar::setStyleSheet$
    {86, 2178, 2196},	// Plasma::ScrollBar::setValue$
    {86, 2246, 2183},	// Plasma::ScrollBar::singleStep
    {86, 2258, 2199},	// Plasma::ScrollBar::sliderMoved$
    {86, 2276, 2203},	// Plasma::ScrollBar::staticMetaObject
    {86, 2289, 2192},	// Plasma::ScrollBar::styleSheet
    {86, 2358, 2200},	// Plasma::ScrollBar::tr$
    {86, 2359, 2175},	// Plasma::ScrollBar::tr$$
    {86, 2360, 2177},	// Plasma::ScrollBar::tr$$$
    {86, 2362, 2201},	// Plasma::ScrollBar::trUtf8$
    {86, 2363, 2176},	// Plasma::ScrollBar::trUtf8$$
    {86, 2364, 2178},	// Plasma::ScrollBar::trUtf8$$$
    {86, 2413, 2186},	// Plasma::ScrollBar::value
    {86, 2415, 2198},	// Plasma::ScrollBar::valueChanged$
    {86, 2512, 2204},	// Plasma::ScrollBar::~ScrollBar
    {87, 473, 2253},	// Plasma::ScrollWidget::ScrollWidget
    {87, 474, -45},	// Plasma::ScrollWidget::ScrollWidget#
    {87, 691, 2217},	// Plasma::ScrollWidget::alignment
    {87, 838, 2231},	// Plasma::ScrollWidget::contentsSize
    {87, 996, 2227},	// Plasma::ScrollWidget::ensureItemVisible#
    {87, 998, 2226},	// Plasma::ScrollWidget::ensureRectVisible#
    {87, 1006, 2247},	// Plasma::ScrollWidget::eventFilter##
    {87, 1050, 2248},	// Plasma::ScrollWidget::focusInEvent#
    {87, 1101, 2219},	// Plasma::ScrollWidget::hasOverShoot
    {87, 1118, 2221},	// Plasma::ScrollWidget::horizontalScrollBarPolicy
    {87, 1250, 2245},	// Plasma::ScrollWidget::keyPressEvent#
    {87, 1402, 2205},	// Plasma::ScrollWidget::metaObject
    {87, 1420, 2242},	// Plasma::ScrollWidget::mouseMoveEvent#
    {87, 1422, 2243},	// Plasma::ScrollWidget::mousePressEvent#
    {87, 1424, 2244},	// Plasma::ScrollWidget::mouseReleaseEvent#
    {87, 1439, 2238},	// Plasma::ScrollWidget::nativeWidget
    {87, 1464, 2224},	// Plasma::ScrollWidget::overflowBordersVisible
    {87, 1537, 2211},	// Plasma::ScrollWidget::qt_metacall$$?
    {87, 1539, 2206},	// Plasma::ScrollWidget::qt_metacast$
    {87, 1554, 2228},	// Plasma::ScrollWidget::registerAsDragHandle#
    {87, 1636, 2241},	// Plasma::ScrollWidget::resizeEvent#
    {87, 1673, 2250},	// Plasma::ScrollWidget::sceneEventFilter##
    {87, 1686, 2233},	// Plasma::ScrollWidget::scrollPosition
    {87, 1689, 2239},	// Plasma::ScrollWidget::scrollStateChanged$$
    {87, 1714, 2216},	// Plasma::ScrollWidget::setAlignment$
    {87, 1903, 2220},	// Plasma::ScrollWidget::setHorizontalScrollBarPolicy$
    {87, 1989, 2218},	// Plasma::ScrollWidget::setOverShoot$
    {87, 1991, 2225},	// Plasma::ScrollWidget::setOverflowBordersVisible$
    {87, 2061, 2232},	// Plasma::ScrollWidget::setScrollPosition#
    {87, 2089, 2234},	// Plasma::ScrollWidget::setSnapSize#
    {87, 2102, 2236},	// Plasma::ScrollWidget::setStyleSheet$
    {87, 2190, 2222},	// Plasma::ScrollWidget::setVerticalScrollBarPolicy$
    {87, 2203, 2214},	// Plasma::ScrollWidget::setWidget#
    {87, 2254, 2249},	// Plasma::ScrollWidget::sizeHint$#
    {87, 2259, 2235},	// Plasma::ScrollWidget::snapSize
    {87, 2276, 2254},	// Plasma::ScrollWidget::staticMetaObject
    {87, 2289, 2237},	// Plasma::ScrollWidget::styleSheet
    {87, 2358, 2251},	// Plasma::ScrollWidget::tr$
    {87, 2359, 2207},	// Plasma::ScrollWidget::tr$$
    {87, 2360, 2209},	// Plasma::ScrollWidget::tr$$$
    {87, 2362, 2252},	// Plasma::ScrollWidget::trUtf8$
    {87, 2363, 2208},	// Plasma::ScrollWidget::trUtf8$$
    {87, 2364, 2210},	// Plasma::ScrollWidget::trUtf8$$$
    {87, 2377, 2229},	// Plasma::ScrollWidget::unregisterAsDragHandle#
    {87, 2426, 2223},	// Plasma::ScrollWidget::verticalScrollBarPolicy
    {87, 2431, 2230},	// Plasma::ScrollWidget::viewportGeometry
    {87, 2433, 2240},	// Plasma::ScrollWidget::viewportGeometryChanged#
    {87, 2443, 2246},	// Plasma::ScrollWidget::wheelEvent#
    {87, 2444, 2215},	// Plasma::ScrollWidget::widget
    {87, 2513, 2255},	// Plasma::ScrollWidget::~ScrollWidget
    {88, 476, 2270},	// Plasma::Separator::Separator
    {88, 477, 2271},	// Plasma::Separator::Separator#
    {88, 478, 2263},	// Plasma::Separator::Separator#$
    {88, 1402, 2256},	// Plasma::Separator::metaObject
    {88, 1463, 2265},	// Plasma::Separator::orientation
    {88, 1473, 2266},	// Plasma::Separator::paint###
    {88, 1537, 2262},	// Plasma::Separator::qt_metacall$$?
    {88, 1539, 2257},	// Plasma::Separator::qt_metacast$
    {88, 1987, 2264},	// Plasma::Separator::setOrientation$
    {88, 2254, 2267},	// Plasma::Separator::sizeHint$#
    {88, 2276, 2272},	// Plasma::Separator::staticMetaObject
    {88, 2358, 2268},	// Plasma::Separator::tr$
    {88, 2359, 2258},	// Plasma::Separator::tr$$
    {88, 2360, 2260},	// Plasma::Separator::tr$$$
    {88, 2362, 2269},	// Plasma::Separator::trUtf8$
    {88, 2363, 2259},	// Plasma::Separator::trUtf8$$
    {88, 2364, 2261},	// Plasma::Separator::trUtf8$$$
    {88, 2514, 2273},	// Plasma::Separator::~Separator
    {89, 479, 2314},	// Plasma::Service::Service
    {89, 480, 2301},	// Plasma::Service::Service#
    {89, 481, 2302},	// Plasma::Service::Service#?
    {89, 604, 2312},	// Plasma::Service::access#
    {89, 605, 2283},	// Plasma::Service::access##
    {89, 729, 2295},	// Plasma::Service::associateItem#$
    {89, 731, -30},	// Plasma::Service::associateWidget#$
    {89, 862, 2303},	// Plasma::Service::createJob$?
    {89, 902, 2285},	// Plasma::Service::destination
    {89, 915, 2296},	// Plasma::Service::disassociateItem#
    {89, 917, -33},	// Plasma::Service::disassociateWidget#
    {89, 1037, 2298},	// Plasma::Service::finished#
    {89, 1192, 2289},	// Plasma::Service::isOperationEnabled$
    {89, 1339, 2311},	// Plasma::Service::load$
    {89, 1340, 2282},	// Plasma::Service::load$#
    {89, 1343, 2310},	// Plasma::Service::load$?
    {89, 1344, 2281},	// Plasma::Service::load$?#
    {89, 1402, 2274},	// Plasma::Service::metaObject
    {89, 1437, 2290},	// Plasma::Service::name
    {89, 1452, 2287},	// Plasma::Service::operationDescription$
    {89, 1453, 2286},	// Plasma::Service::operationNames
    {89, 1454, 2299},	// Plasma::Service::operationsChanged
    {89, 1494, 2297},	// Plasma::Service::parametersFromDescription#
    {89, 1537, 2280},	// Plasma::Service::qt_metacall$$?
    {89, 1539, 2275},	// Plasma::Service::qt_metacast$
    {89, 1555, 2304},	// Plasma::Service::registerOperationsScheme
    {89, 1707, 2300},	// Plasma::Service::serviceReady#
    {89, 1833, 2284},	// Plasma::Service::setDestination$
    {89, 1973, 2306},	// Plasma::Service::setName$
    {89, 1983, 2307},	// Plasma::Service::setOperationEnabled$$
    {89, 1985, 2305},	// Plasma::Service::setOperationsScheme#
    {89, 2272, 2313},	// Plasma::Service::startOperationCall#
    {89, 2273, 2288},	// Plasma::Service::startOperationCall##
    {89, 2276, 2315},	// Plasma::Service::staticMetaObject
    {89, 2358, 2308},	// Plasma::Service::tr$
    {89, 2359, 2276},	// Plasma::Service::tr$$
    {89, 2360, 2278},	// Plasma::Service::tr$$$
    {89, 2362, 2309},	// Plasma::Service::trUtf8$
    {89, 2363, 2277},	// Plasma::Service::trUtf8$$
    {89, 2364, 2279},	// Plasma::Service::trUtf8$$$
    {89, 2515, 2316},	// Plasma::Service::~Service
    {90, 483, 2329},	// Plasma::ServiceAccessJob::ServiceAccessJob#
    {90, 484, 2325},	// Plasma::ServiceAccessJob::ServiceAccessJob##
    {90, 1402, 2317},	// Plasma::ServiceAccessJob::metaObject
    {90, 1537, 2323},	// Plasma::ServiceAccessJob::qt_metacall$$?
    {90, 1539, 2318},	// Plasma::ServiceAccessJob::qt_metacast$
    {90, 1698, 2324},	// Plasma::ServiceAccessJob::service
    {90, 2270, 2326},	// Plasma::ServiceAccessJob::start
    {90, 2276, 2330},	// Plasma::ServiceAccessJob::staticMetaObject
    {90, 2358, 2327},	// Plasma::ServiceAccessJob::tr$
    {90, 2359, 2319},	// Plasma::ServiceAccessJob::tr$$
    {90, 2360, 2321},	// Plasma::ServiceAccessJob::tr$$$
    {90, 2362, 2328},	// Plasma::ServiceAccessJob::trUtf8$
    {90, 2363, 2320},	// Plasma::ServiceAccessJob::trUtf8$$
    {90, 2364, 2322},	// Plasma::ServiceAccessJob::trUtf8$$$
    {90, 2516, 2331},	// Plasma::ServiceAccessJob::~ServiceAccessJob
    {92, 488, 2406},	// Plasma::SignalPlotter::SignalPlotter
    {92, 489, 2339},	// Plasma::SignalPlotter::SignalPlotter#
    {92, 661, 2340},	// Plasma::SignalPlotter::addPlot#
    {92, 668, 2341},	// Plasma::SignalPlotter::addSample?
    {92, 747, 2381},	// Plasma::SignalPlotter::backgroundColor
    {92, 757, 2393},	// Plasma::SignalPlotter::calculateNiceRange
    {92, 937, 2402},	// Plasma::SignalPlotter::drawAxisText#$$
    {92, 939, 2396},	// Plasma::SignalPlotter::drawBackground#$$
    {92, 942, 2403},	// Plasma::SignalPlotter::drawHorizontalLines#$$$
    {92, 945, 2401},	// Plasma::SignalPlotter::drawPlots#$$$$
    {92, 947, 2397},	// Plasma::SignalPlotter::drawThinFrame#$$
    {92, 949, 2399},	// Plasma::SignalPlotter::drawTopBarContents#$$$
    {92, 951, 2398},	// Plasma::SignalPlotter::drawTopBarFrame#$$
    {92, 953, 2400},	// Plasma::SignalPlotter::drawVerticalLines#$$$
    {92, 956, 2395},	// Plasma::SignalPlotter::drawWidget#$$$
    {92, 1056, 2373},	// Plasma::SignalPlotter::font
    {92, 1059, 2371},	// Plasma::SignalPlotter::fontColor
    {92, 1079, 2390},	// Plasma::SignalPlotter::getSnapshotImage$$
    {92, 1115, 2369},	// Plasma::SignalPlotter::horizontalLinesColor
    {92, 1116, 2375},	// Plasma::SignalPlotter::horizontalLinesCount
    {92, 1117, 2357},	// Plasma::SignalPlotter::horizontalScale
    {92, 1272, 2384},	// Plasma::SignalPlotter::lastValue$
    {92, 1274, 2385},	// Plasma::SignalPlotter::lastValueAsString$
    {92, 1402, 2332},	// Plasma::SignalPlotter::metaObject
    {92, 1473, 2394},	// Plasma::SignalPlotter::paint###
    {92, 1508, 2344},	// Plasma::SignalPlotter::plotColors
    {92, 1537, 2338},	// Plasma::SignalPlotter::qt_metacall$$?
    {92, 1539, 2333},	// Plasma::SignalPlotter::qt_metacast$
    {92, 1600, 2343},	// Plasma::SignalPlotter::removePlot$
    {92, 1621, 2342},	// Plasma::SignalPlotter::reorderPlots?
    {92, 1667, 2349},	// Plasma::SignalPlotter::scale$
    {92, 1668, 2350},	// Plasma::SignalPlotter::scaledBy
    {92, 1750, 2380},	// Plasma::SignalPlotter::setBackgroundColor#
    {92, 1871, 2372},	// Plasma::SignalPlotter::setFont#
    {92, 1874, 2370},	// Plasma::SignalPlotter::setFontColor#
    {92, 1880, 2391},	// Plasma::SignalPlotter::setGeometry#
    {92, 1897, 2368},	// Plasma::SignalPlotter::setHorizontalLinesColor#
    {92, 1899, 2374},	// Plasma::SignalPlotter::setHorizontalLinesCount$
    {92, 1901, 2356},	// Plasma::SignalPlotter::setHorizontalScale$
    {92, 2071, 2366},	// Plasma::SignalPlotter::setShowHorizontalLines$
    {92, 2073, 2376},	// Plasma::SignalPlotter::setShowLabels$
    {92, 2075, 2378},	// Plasma::SignalPlotter::setShowTopBar$
    {92, 2077, 2358},	// Plasma::SignalPlotter::setShowVerticalLines$
    {92, 2093, 2388},	// Plasma::SignalPlotter::setStackPlots$
    {92, 2112, 2382},	// Plasma::SignalPlotter::setSvgBackground$
    {92, 2144, 2386},	// Plasma::SignalPlotter::setThinFrame$
    {92, 2148, 2345},	// Plasma::SignalPlotter::setTitle$
    {92, 2160, 2347},	// Plasma::SignalPlotter::setUnit$
    {92, 2168, 2351},	// Plasma::SignalPlotter::setUseAutoRange$
    {92, 2182, 2360},	// Plasma::SignalPlotter::setVerticalLinesColor#
    {92, 2184, 2362},	// Plasma::SignalPlotter::setVerticalLinesDistance$
    {92, 2186, 2364},	// Plasma::SignalPlotter::setVerticalLinesScroll$
    {92, 2188, 2353},	// Plasma::SignalPlotter::setVerticalRange$$
    {92, 2232, 2367},	// Plasma::SignalPlotter::showHorizontalLines
    {92, 2233, 2377},	// Plasma::SignalPlotter::showLabels
    {92, 2239, 2379},	// Plasma::SignalPlotter::showTopBar
    {92, 2240, 2359},	// Plasma::SignalPlotter::showVerticalLines
    {92, 2268, 2389},	// Plasma::SignalPlotter::stackPlots
    {92, 2276, 2407},	// Plasma::SignalPlotter::staticMetaObject
    {92, 2300, 2383},	// Plasma::SignalPlotter::svgBackground
    {92, 2337, 2387},	// Plasma::SignalPlotter::thinFrame
    {92, 2344, 2346},	// Plasma::SignalPlotter::title
    {92, 2358, 2404},	// Plasma::SignalPlotter::tr$
    {92, 2359, 2334},	// Plasma::SignalPlotter::tr$$
    {92, 2360, 2336},	// Plasma::SignalPlotter::tr$$$
    {92, 2362, 2405},	// Plasma::SignalPlotter::trUtf8$
    {92, 2363, 2335},	// Plasma::SignalPlotter::trUtf8$$
    {92, 2364, 2337},	// Plasma::SignalPlotter::trUtf8$$$
    {92, 2372, 2348},	// Plasma::SignalPlotter::unit
    {92, 2389, 2392},	// Plasma::SignalPlotter::updateDataBuffers
    {92, 2404, 2352},	// Plasma::SignalPlotter::useAutoRange
    {92, 2421, 2361},	// Plasma::SignalPlotter::verticalLinesColor
    {92, 2422, 2363},	// Plasma::SignalPlotter::verticalLinesDistance
    {92, 2423, 2365},	// Plasma::SignalPlotter::verticalLinesScroll
    {92, 2424, 2355},	// Plasma::SignalPlotter::verticalMaxValue
    {92, 2425, 2354},	// Plasma::SignalPlotter::verticalMinValue
    {92, 2517, 2408},	// Plasma::SignalPlotter::~SignalPlotter
    {93, 494, 2435},	// Plasma::Slider::Slider
    {93, 495, 2416},	// Plasma::Slider::Slider#
    {93, 1397, 2417},	// Plasma::Slider::maximum
    {93, 1402, 2409},	// Plasma::Slider::metaObject
    {93, 1412, 2418},	// Plasma::Slider::minimum
    {93, 1439, 2423},	// Plasma::Slider::nativeWidget
    {93, 1463, 2420},	// Plasma::Slider::orientation
    {93, 1473, 2424},	// Plasma::Slider::paint###
    {93, 1537, 2415},	// Plasma::Slider::qt_metacall$$?
    {93, 1539, 2410},	// Plasma::Slider::qt_metacast$
    {93, 1954, 2426},	// Plasma::Slider::setMaximum$
    {93, 1962, 2427},	// Plasma::Slider::setMinimum$
    {93, 1987, 2430},	// Plasma::Slider::setOrientation$
    {93, 2030, 2428},	// Plasma::Slider::setRange$$
    {93, 2102, 2421},	// Plasma::Slider::setStyleSheet$
    {93, 2178, 2429},	// Plasma::Slider::setValue$
    {93, 2258, 2431},	// Plasma::Slider::sliderMoved$
    {93, 2276, 2436},	// Plasma::Slider::staticMetaObject
    {93, 2289, 2422},	// Plasma::Slider::styleSheet
    {93, 2358, 2433},	// Plasma::Slider::tr$
    {93, 2359, 2411},	// Plasma::Slider::tr$$
    {93, 2360, 2413},	// Plasma::Slider::tr$$$
    {93, 2362, 2434},	// Plasma::Slider::trUtf8$
    {93, 2363, 2412},	// Plasma::Slider::trUtf8$$
    {93, 2364, 2414},	// Plasma::Slider::trUtf8$$$
    {93, 2413, 2419},	// Plasma::Slider::value
    {93, 2415, 2432},	// Plasma::Slider::valueChanged$
    {93, 2443, 2425},	// Plasma::Slider::wheelEvent#
    {93, 2518, 2437},	// Plasma::Slider::~Slider
    {94, 501, 2468},	// Plasma::SpinBox::SpinBox
    {94, 502, 2445},	// Plasma::SpinBox::SpinBox#
    {94, 762, 2452},	// Plasma::SpinBox::changeEvent#
    {94, 961, 2465},	// Plasma::SpinBox::editingFinished
    {94, 1054, 2458},	// Plasma::SpinBox::focusOutEvent#
    {94, 1120, 2453},	// Plasma::SpinBox::hoverEnterEvent#
    {94, 1122, 2454},	// Plasma::SpinBox::hoverLeaveEvent#
    {94, 1397, 2446},	// Plasma::SpinBox::maximum
    {94, 1402, 2438},	// Plasma::SpinBox::metaObject
    {94, 1412, 2447},	// Plasma::SpinBox::minimum
    {94, 1422, 2457},	// Plasma::SpinBox::mousePressEvent#
    {94, 1439, 2451},	// Plasma::SpinBox::nativeWidget
    {94, 1473, 2456},	// Plasma::SpinBox::paint###
    {94, 1537, 2444},	// Plasma::SpinBox::qt_metacall$$?
    {94, 1539, 2439},	// Plasma::SpinBox::qt_metacast$
    {94, 1636, 2455},	// Plasma::SpinBox::resizeEvent#
    {94, 1954, 2459},	// Plasma::SpinBox::setMaximum$
    {94, 1962, 2460},	// Plasma::SpinBox::setMinimum$
    {94, 2030, 2461},	// Plasma::SpinBox::setRange$$
    {94, 2102, 2449},	// Plasma::SpinBox::setStyleSheet$
    {94, 2178, 2462},	// Plasma::SpinBox::setValue$
    {94, 2258, 2463},	// Plasma::SpinBox::sliderMoved$
    {94, 2276, 2469},	// Plasma::SpinBox::staticMetaObject
    {94, 2289, 2450},	// Plasma::SpinBox::styleSheet
    {94, 2358, 2466},	// Plasma::SpinBox::tr$
    {94, 2359, 2440},	// Plasma::SpinBox::tr$$
    {94, 2360, 2442},	// Plasma::SpinBox::tr$$$
    {94, 2362, 2467},	// Plasma::SpinBox::trUtf8$
    {94, 2363, 2441},	// Plasma::SpinBox::trUtf8$$
    {94, 2364, 2443},	// Plasma::SpinBox::trUtf8$$$
    {94, 2413, 2448},	// Plasma::SpinBox::value
    {94, 2415, 2464},	// Plasma::SpinBox::valueChanged$
    {94, 2519, 2470},	// Plasma::SpinBox::~SpinBox
    {95, 516, 2505},	// Plasma::Svg::Svg
    {95, 517, 2478},	// Plasma::Svg::Svg#
    {95, 833, 2494},	// Plasma::Svg::containsMultipleImages
    {95, 975, 2491},	// Plasma::Svg::elementAtPoint#
    {95, 980, 2489},	// Plasma::Svg::elementRect$
    {95, 982, 2488},	// Plasma::Svg::elementSize$
    {95, 1093, 2490},	// Plasma::Svg::hasElement$
    {95, 1131, 2496},	// Plasma::Svg::imagePath
    {95, 1214, 2498},	// Plasma::Svg::isUsingRenderingCache
    {95, 1215, 2492},	// Plasma::Svg::isValid
    {95, 1402, 2471},	// Plasma::Svg::metaObject
    {95, 1472, -48},	// Plasma::Svg::paint##
    {95, 1474, -51},	// Plasma::Svg::paint##$
    {95, 1475, 2508},	// Plasma::Svg::paint#$$
    {95, 1476, 2481},	// Plasma::Svg::paint#$$$
    {95, 1477, 2510},	// Plasma::Svg::paint#$$$$
    {95, 1478, 2483},	// Plasma::Svg::paint#$$$$$
    {95, 1505, 2506},	// Plasma::Svg::pixmap
    {95, 1506, 2479},	// Plasma::Svg::pixmap$
    {95, 1537, 2477},	// Plasma::Svg::qt_metacall$$?
    {95, 1539, 2472},	// Plasma::Svg::qt_metacast$
    {95, 1622, 2501},	// Plasma::Svg::repaintNeeded
    {95, 1631, 2487},	// Plasma::Svg::resize
    {95, 1632, 2486},	// Plasma::Svg::resize#
    {95, 1633, 2485},	// Plasma::Svg::resize$$
    {95, 1789, 2493},	// Plasma::Svg::setContainsMultipleImages$
    {95, 1921, 2495},	// Plasma::Svg::setImagePath$
    {95, 2140, 2499},	// Plasma::Svg::setTheme#
    {95, 2174, 2497},	// Plasma::Svg::setUsingRenderingCache$
    {95, 2247, 2484},	// Plasma::Svg::size
    {95, 2248, 2502},	// Plasma::Svg::sizeChanged
    {95, 2276, 2511},	// Plasma::Svg::staticMetaObject
    {95, 2334, 2500},	// Plasma::Svg::theme
    {95, 2358, 2503},	// Plasma::Svg::tr$
    {95, 2359, 2473},	// Plasma::Svg::tr$$
    {95, 2360, 2475},	// Plasma::Svg::tr$$$
    {95, 2362, 2504},	// Plasma::Svg::trUtf8$
    {95, 2363, 2474},	// Plasma::Svg::trUtf8$$
    {95, 2364, 2476},	// Plasma::Svg::trUtf8$$$
    {95, 2521, 2512},	// Plasma::Svg::~Svg
    {96, 518, 2533},	// Plasma::SvgWidget::SvgWidget
    {96, 519, -54},	// Plasma::SvgWidget::SvgWidget#
    {96, 520, -57},	// Plasma::SvgWidget::SvgWidget#$
    {96, 521, 2537},	// Plasma::SvgWidget::SvgWidget#$#
    {96, 522, 2521},	// Plasma::SvgWidget::SvgWidget#$#$
    {96, 778, 2527},	// Plasma::SvgWidget::clicked$
    {96, 978, 2525},	// Plasma::SvgWidget::elementID
    {96, 1402, 2513},	// Plasma::SvgWidget::metaObject
    {96, 1422, 2530},	// Plasma::SvgWidget::mousePressEvent#
    {96, 1424, 2526},	// Plasma::SvgWidget::mouseReleaseEvent#
    {96, 1473, 2528},	// Plasma::SvgWidget::paint###
    {96, 1537, 2519},	// Plasma::SvgWidget::qt_metacall$$?
    {96, 1539, 2514},	// Plasma::SvgWidget::qt_metacast$
    {96, 1850, 2524},	// Plasma::SvgWidget::setElementID$
    {96, 2108, 2522},	// Plasma::SvgWidget::setSvg#
    {96, 2254, 2529},	// Plasma::SvgWidget::sizeHint$#
    {96, 2276, 2538},	// Plasma::SvgWidget::staticMetaObject
    {96, 2299, 2523},	// Plasma::SvgWidget::svg
    {96, 2358, 2531},	// Plasma::SvgWidget::tr$
    {96, 2359, 2515},	// Plasma::SvgWidget::tr$$
    {96, 2360, 2517},	// Plasma::SvgWidget::tr$$$
    {96, 2362, 2532},	// Plasma::SvgWidget::trUtf8$
    {96, 2363, 2516},	// Plasma::SvgWidget::trUtf8$$
    {96, 2364, 2518},	// Plasma::SvgWidget::trUtf8$$$
    {96, 2522, 2539},	// Plasma::SvgWidget::~SvgWidget
    {97, 524, 2579},	// Plasma::TabBar::TabBar
    {97, 525, 2547},	// Plasma::TabBar::TabBar#
    {97, 680, 2582},	// Plasma::TabBar::addTab#$
    {97, 681, 2550},	// Plasma::TabBar::addTab#$#
    {97, 682, 2583},	// Plasma::TabBar::addTab$
    {97, 683, 2551},	// Plasma::TabBar::addTab$#
    {97, 762, 2576},	// Plasma::TabBar::changeEvent#
    {97, 850, 2556},	// Plasma::TabBar::count
    {97, 873, 2573},	// Plasma::TabBar::currentChanged$
    {97, 874, 2555},	// Plasma::TabBar::currentIndex
    {97, 1038, 2569},	// Plasma::TabBar::firstPositionWidget
    {97, 1159, 2580},	// Plasma::TabBar::insertTab$#$
    {97, 1160, 2548},	// Plasma::TabBar::insertTab$#$#
    {97, 1161, 2581},	// Plasma::TabBar::insertTab$$
    {97, 1162, 2549},	// Plasma::TabBar::insertTab$$#
    {97, 1207, 2562},	// Plasma::TabBar::isTabBarShown
    {97, 1209, 2566},	// Plasma::TabBar::isTabHighlighted$
    {97, 1269, 2571},	// Plasma::TabBar::lastPositionWidget
    {97, 1402, 2540},	// Plasma::TabBar::metaObject
    {97, 1439, 2567},	// Plasma::TabBar::nativeWidget
    {97, 1537, 2546},	// Plasma::TabBar::qt_metacall$$?
    {97, 1539, 2541},	// Plasma::TabBar::qt_metacast$
    {97, 1604, 2552},	// Plasma::TabBar::removeTab$
    {97, 1636, 2575},	// Plasma::TabBar::resizeEvent#
    {97, 1807, 2572},	// Plasma::TabBar::setCurrentIndex$
    {97, 1869, 2568},	// Plasma::TabBar::setFirstPositionWidget#
    {97, 1944, 2570},	// Plasma::TabBar::setLastPositionWidget#
    {97, 2102, 2563},	// Plasma::TabBar::setStyleSheet$
    {97, 2116, 2561},	// Plasma::TabBar::setTabBarShown$
    {97, 2118, 2565},	// Plasma::TabBar::setTabHighlighted$$
    {97, 2120, 2559},	// Plasma::TabBar::setTabIcon$#
    {97, 2122, 2557},	// Plasma::TabBar::setTabText$$
    {97, 2276, 2584},	// Plasma::TabBar::staticMetaObject
    {97, 2289, 2564},	// Plasma::TabBar::styleSheet
    {97, 2309, 2554},	// Plasma::TabBar::tabAt$
    {97, 2311, 2560},	// Plasma::TabBar::tabIcon$
    {97, 2313, 2558},	// Plasma::TabBar::tabText$
    {97, 2316, 2553},	// Plasma::TabBar::takeTab$
    {97, 2358, 2577},	// Plasma::TabBar::tr$
    {97, 2359, 2542},	// Plasma::TabBar::tr$$
    {97, 2360, 2544},	// Plasma::TabBar::tr$$$
    {97, 2362, 2578},	// Plasma::TabBar::trUtf8$
    {97, 2363, 2543},	// Plasma::TabBar::trUtf8$$
    {97, 2364, 2545},	// Plasma::TabBar::trUtf8$$$
    {97, 2443, 2574},	// Plasma::TabBar::wheelEvent#
    {97, 2523, 2585},	// Plasma::TabBar::~TabBar
    {98, 526, 2610},	// Plasma::TextBrowser::TextBrowser
    {98, 527, 2593},	// Plasma::TextBrowser::TextBrowser#
    {98, 714, 2601},	// Plasma::TextBrowser::append$
    {98, 762, 2606},	// Plasma::TextBrowser::changeEvent#
    {98, 846, 2607},	// Plasma::TextBrowser::contextMenuEvent#
    {98, 893, 2602},	// Plasma::TextBrowser::dataUpdated$?
    {98, 1402, 2586},	// Plasma::TextBrowser::metaObject
    {98, 1439, 2600},	// Plasma::TextBrowser::nativeWidget
    {98, 1537, 2592},	// Plasma::TextBrowser::qt_metacall$$?
    {98, 1539, 2587},	// Plasma::TextBrowser::qt_metacast$
    {98, 1636, 2604},	// Plasma::TextBrowser::resizeEvent#
    {98, 1903, 2596},	// Plasma::TextBrowser::setHorizontalScrollBarPolicy$
    {98, 2102, 2598},	// Plasma::TextBrowser::setStyleSheet$
    {98, 2134, 2594},	// Plasma::TextBrowser::setText$
    {98, 2190, 2597},	// Plasma::TextBrowser::setVerticalScrollBarPolicy$
    {98, 2276, 2611},	// Plasma::TextBrowser::staticMetaObject
    {98, 2289, 2599},	// Plasma::TextBrowser::styleSheet
    {98, 2327, 2595},	// Plasma::TextBrowser::text
    {98, 2329, 2603},	// Plasma::TextBrowser::textChanged
    {98, 2358, 2608},	// Plasma::TextBrowser::tr$
    {98, 2359, 2588},	// Plasma::TextBrowser::tr$$
    {98, 2360, 2590},	// Plasma::TextBrowser::tr$$$
    {98, 2362, 2609},	// Plasma::TextBrowser::trUtf8$
    {98, 2363, 2589},	// Plasma::TextBrowser::trUtf8$$
    {98, 2364, 2591},	// Plasma::TextBrowser::trUtf8$$$
    {98, 2443, 2605},	// Plasma::TextBrowser::wheelEvent#
    {98, 2524, 2612},	// Plasma::TextBrowser::~TextBrowser
    {99, 529, 2639},	// Plasma::TextEdit::TextEdit
    {99, 530, 2620},	// Plasma::TextEdit::TextEdit#
    {99, 714, 2629},	// Plasma::TextEdit::append$
    {99, 762, 2633},	// Plasma::TextEdit::changeEvent#
    {99, 846, 2634},	// Plasma::TextEdit::contextMenuEvent#
    {99, 893, 2630},	// Plasma::TextEdit::dataUpdated$?
    {99, 1054, 2636},	// Plasma::TextEdit::focusOutEvent#
    {99, 1199, 2624},	// Plasma::TextEdit::isReadOnly
    {99, 1402, 2613},	// Plasma::TextEdit::metaObject
    {99, 1422, 2635},	// Plasma::TextEdit::mousePressEvent#
    {99, 1439, 2628},	// Plasma::TextEdit::nativeWidget
    {99, 1537, 2619},	// Plasma::TextEdit::qt_metacall$$?
    {99, 1539, 2614},	// Plasma::TextEdit::qt_metacast$
    {99, 1636, 2632},	// Plasma::TextEdit::resizeEvent#
    {99, 1975, 2627},	// Plasma::TextEdit::setNativeWidget#
    {99, 2032, 2623},	// Plasma::TextEdit::setReadOnly$
    {99, 2102, 2625},	// Plasma::TextEdit::setStyleSheet$
    {99, 2134, 2621},	// Plasma::TextEdit::setText$
    {99, 2276, 2640},	// Plasma::TextEdit::staticMetaObject
    {99, 2289, 2626},	// Plasma::TextEdit::styleSheet
    {99, 2327, 2622},	// Plasma::TextEdit::text
    {99, 2329, 2631},	// Plasma::TextEdit::textChanged
    {99, 2358, 2637},	// Plasma::TextEdit::tr$
    {99, 2359, 2615},	// Plasma::TextEdit::tr$$
    {99, 2360, 2617},	// Plasma::TextEdit::tr$$$
    {99, 2362, 2638},	// Plasma::TextEdit::trUtf8$
    {99, 2363, 2616},	// Plasma::TextEdit::trUtf8$$
    {99, 2364, 2618},	// Plasma::TextEdit::trUtf8$$$
    {99, 2525, 2641},	// Plasma::TextEdit::~TextEdit
    {100, 52, 2694},	// Plasma::Theme::BackgroundColor
    {100, 69, 2696},	// Plasma::Theme::ButtonBackgroundColor
    {100, 71, 2700},	// Plasma::Theme::ButtonFocusColor
    {100, 72, 2699},	// Plasma::Theme::ButtonHoverColor
    {100, 76, 2695},	// Plasma::Theme::ButtonTextColor
    {100, 133, 2705},	// Plasma::Theme::DefaultFont
    {100, 141, 2706},	// Plasma::Theme::DesktopFont
    {100, 207, 2693},	// Plasma::Theme::HighlightColor
    {100, 340, 2697},	// Plasma::Theme::LinkColor
    {100, 497, 2707},	// Plasma::Theme::SmallestFont
    {100, 528, 2692},	// Plasma::Theme::TextColor
    {100, 531, 2686},	// Plasma::Theme::Theme
    {100, 532, 2650},	// Plasma::Theme::Theme#
    {100, 533, 2687},	// Plasma::Theme::Theme$
    {100, 534, 2651},	// Plasma::Theme::Theme$#
    {100, 578, 2702},	// Plasma::Theme::ViewBackgroundColor
    {100, 579, 2704},	// Plasma::Theme::ViewFocusColor
    {100, 580, 2703},	// Plasma::Theme::ViewHoverColor
    {100, 581, 2701},	// Plasma::Theme::ViewTextColor
    {100, 582, 2698},	// Plasma::Theme::VisitedLinkColor
    {100, 708, 2657},	// Plasma::Theme::animationPath$
    {100, 787, 2661},	// Plasma::Theme::color$
    {100, 788, 2660},	// Plasma::Theme::colorScheme
    {100, 880, 2659},	// Plasma::Theme::currentThemeHasImage$
    {100, 897, 2649},	// Plasma::Theme::defaultTheme
    {100, 1028, 2670},	// Plasma::Theme::findInCache$#
    {100, 1029, 2671},	// Plasma::Theme::findInCache$#$
    {100, 1031, 2675},	// Plasma::Theme::findInRectsCache$$#
    {100, 1057, 2663},	// Plasma::Theme::font$
    {100, 1060, 2664},	// Plasma::Theme::fontMetrics
    {100, 1114, 2680},	// Plasma::Theme::homepage
    {100, 1132, 2656},	// Plasma::Theme::imagePath$
    {100, 1154, 2672},	// Plasma::Theme::insertIntoCache$#
    {100, 1155, 2673},	// Plasma::Theme::insertIntoCache$#$
    {100, 1157, 2677},	// Plasma::Theme::insertIntoRectsCache$$#
    {100, 1167, 2678},	// Plasma::Theme::invalidateRectsCache$
    {100, 1297, 2676},	// Plasma::Theme::listCachedRectKeys$
    {100, 1324, 2653},	// Plasma::Theme::listThemeInfo
    {100, 1402, 2642},	// Plasma::Theme::metaObject
    {100, 1466, 2652},	// Plasma::Theme::packageStructure
    {100, 1537, 2648},	// Plasma::Theme::qt_metacall$$?
    {100, 1539, 2643},	// Plasma::Theme::qt_metacast$
    {100, 1565, 2679},	// Plasma::Theme::releaseRectsCache$
    {100, 1760, 2674},	// Plasma::Theme::setCacheLimit$
    {100, 1871, 2689},	// Plasma::Theme::setFont#
    {100, 1872, 2662},	// Plasma::Theme::setFont#$
    {100, 2142, 2654},	// Plasma::Theme::setThemeName$
    {100, 2170, 2666},	// Plasma::Theme::setUseGlobalSettings$
    {100, 2212, 2683},	// Plasma::Theme::settingsChanged
    {100, 2276, 2691},	// Plasma::Theme::staticMetaObject
    {100, 2289, 2690},	// Plasma::Theme::styleSheet
    {100, 2290, 2669},	// Plasma::Theme::styleSheet$
    {100, 2335, 2682},	// Plasma::Theme::themeChanged
    {100, 2336, 2655},	// Plasma::Theme::themeName
    {100, 2353, 2681},	// Plasma::Theme::toolTipDelay
    {100, 2358, 2684},	// Plasma::Theme::tr$
    {100, 2359, 2644},	// Plasma::Theme::tr$$
    {100, 2360, 2646},	// Plasma::Theme::tr$$$
    {100, 2362, 2685},	// Plasma::Theme::trUtf8$
    {100, 2363, 2645},	// Plasma::Theme::trUtf8$$
    {100, 2364, 2647},	// Plasma::Theme::trUtf8$$$
    {100, 2406, 2667},	// Plasma::Theme::useGlobalSettings
    {100, 2407, 2668},	// Plasma::Theme::useNativeWidgetStyle
    {100, 2439, 2688},	// Plasma::Theme::wallpaperPath
    {100, 2440, 2658},	// Plasma::Theme::wallpaperPath#
    {100, 2451, 2665},	// Plasma::Theme::windowTranslucencyEnabled
    {100, 2526, 2708},	// Plasma::Theme::~Theme
    {101, 536, 2745},	// Plasma::ToolButton::ToolButton
    {101, 537, 2716},	// Plasma::ToolButton::ToolButton#
    {101, 608, 2729},	// Plasma::ToolButton::action
    {101, 741, 2718},	// Plasma::ToolButton::autoRaise
    {101, 762, 2740},	// Plasma::ToolButton::changeEvent#
    {101, 777, 2733},	// Plasma::ToolButton::clicked
    {101, 1120, 2738},	// Plasma::ToolButton::hoverEnterEvent#
    {101, 1122, 2739},	// Plasma::ToolButton::hoverLeaveEvent#
    {101, 1126, 2731},	// Plasma::ToolButton::icon
    {101, 1130, 2723},	// Plasma::ToolButton::image
    {101, 1181, 2725},	// Plasma::ToolButton::isDown
    {101, 1231, 2741},	// Plasma::ToolButton::itemChange$#
    {101, 1402, 2709},	// Plasma::ToolButton::metaObject
    {101, 1439, 2732},	// Plasma::ToolButton::nativeWidget
    {101, 1472, 2746},	// Plasma::ToolButton::paint##
    {101, 1473, 2736},	// Plasma::ToolButton::paint###
    {101, 1527, 2734},	// Plasma::ToolButton::pressed
    {101, 1537, 2715},	// Plasma::ToolButton::qt_metacall$$?
    {101, 1539, 2710},	// Plasma::ToolButton::qt_metacast$
    {101, 1567, 2735},	// Plasma::ToolButton::released
    {101, 1636, 2737},	// Plasma::ToolButton::resizeEvent#
    {101, 1710, 2728},	// Plasma::ToolButton::setAction#
    {101, 1746, 2717},	// Plasma::ToolButton::setAutoRaise$
    {101, 1837, 2724},	// Plasma::ToolButton::setDown$
    {101, 1910, 2730},	// Plasma::ToolButton::setIcon#
    {101, 1918, 2721},	// Plasma::ToolButton::setImage$
    {101, 1919, 2722},	// Plasma::ToolButton::setImage$$
    {101, 2102, 2726},	// Plasma::ToolButton::setStyleSheet$
    {101, 2134, 2719},	// Plasma::ToolButton::setText$
    {101, 2254, 2742},	// Plasma::ToolButton::sizeHint$#
    {101, 2276, 2747},	// Plasma::ToolButton::staticMetaObject
    {101, 2289, 2727},	// Plasma::ToolButton::styleSheet
    {101, 2327, 2720},	// Plasma::ToolButton::text
    {101, 2358, 2743},	// Plasma::ToolButton::tr$
    {101, 2359, 2711},	// Plasma::ToolButton::tr$$
    {101, 2360, 2713},	// Plasma::ToolButton::tr$$$
    {101, 2362, 2744},	// Plasma::ToolButton::trUtf8$
    {101, 2363, 2712},	// Plasma::ToolButton::trUtf8$$
    {101, 2364, 2714},	// Plasma::ToolButton::trUtf8$$$
    {101, 2527, 2748},	// Plasma::ToolButton::~ToolButton
    {102, 117, 2781},	// Plasma::ToolTipContent::CssResource
    {102, 210, 2780},	// Plasma::ToolTipContent::HtmlResource
    {102, 219, 2779},	// Plasma::ToolTipContent::ImageResource
    {102, 538, 2749},	// Plasma::ToolTipContent::ToolTipContent
    {102, 539, 2750},	// Plasma::ToolTipContent::ToolTipContent#
    {102, 540, 2778},	// Plasma::ToolTipContent::ToolTipContent$$
    {102, 541, -4},	// Plasma::ToolTipContent::ToolTipContent$$#
    {102, 666, 2772},	// Plasma::ToolTipContent::addResource$##
    {102, 742, 2769},	// Plasma::ToolTipContent::autohide
    {102, 1084, 2777},	// Plasma::ToolTipContent::graphicsWidget
    {102, 1113, 2767},	// Plasma::ToolTipContent::highlightWindows
    {102, 1130, 2761},	// Plasma::ToolTipContent::image
    {102, 1177, 2775},	// Plasma::ToolTipContent::isClickable
    {102, 1182, 2754},	// Plasma::ToolTipContent::isEmpty
    {102, 1188, 2771},	// Plasma::ToolTipContent::isInstantPopup
    {102, 1376, 2756},	// Plasma::ToolTipContent::mainText
    {102, 1460, 2753},	// Plasma::ToolTipContent::operator=#
    {102, 1559, 2773},	// Plasma::ToolTipContent::registerResources#
    {102, 1748, 2768},	// Plasma::ToolTipContent::setAutohide$
    {102, 1772, 2774},	// Plasma::ToolTipContent::setClickable$
    {102, 1884, 2776},	// Plasma::ToolTipContent::setGraphicsWidget#
    {102, 1895, 2766},	// Plasma::ToolTipContent::setHighlightWindows$
    {102, 1917, -7},	// Plasma::ToolTipContent::setImage#
    {102, 1931, 2770},	// Plasma::ToolTipContent::setInstantPopup$
    {102, 1950, 2755},	// Plasma::ToolTipContent::setMainText$
    {102, 2104, 2757},	// Plasma::ToolTipContent::setSubText$
    {102, 2205, 2762},	// Plasma::ToolTipContent::setWindowToPreview$
    {102, 2207, 2764},	// Plasma::ToolTipContent::setWindowsToPreview?
    {102, 2291, 2758},	// Plasma::ToolTipContent::subText
    {102, 2450, 2763},	// Plasma::ToolTipContent::windowToPreview
    {102, 2452, 2765},	// Plasma::ToolTipContent::windowsToPreview
    {102, 2528, 2782},	// Plasma::ToolTipContent::~ToolTipContent
    {103, 17, 2805},	// Plasma::ToolTipManager::Activated
    {103, 129, 2807},	// Plasma::ToolTipManager::Deactivated
    {103, 223, 2806},	// Plasma::ToolTipManager::Inhibited
    {103, 774, 2797},	// Plasma::ToolTipManager::clearContent#
    {103, 1108, 2793},	// Plasma::ToolTipManager::hide#
    {103, 1217, 2792},	// Plasma::ToolTipManager::isVisible#
    {103, 1283, 2801},	// Plasma::ToolTipManager::linkActivated$$$#
    {103, 1402, 2783},	// Plasma::ToolTipManager::metaObject
    {103, 1537, 2789},	// Plasma::ToolTipManager::qt_metacall$$?
    {103, 1539, 2784},	// Plasma::ToolTipManager::qt_metacast$
    {103, 1563, 2794},	// Plasma::ToolTipManager::registerWidget#
    {103, 1697, 2790},	// Plasma::ToolTipManager::self
    {103, 1791, 2796},	// Plasma::ToolTipManager::setContent##
    {103, 2095, 2798},	// Plasma::ToolTipManager::setState$
    {103, 2218, 2791},	// Plasma::ToolTipManager::show#
    {103, 2275, 2799},	// Plasma::ToolTipManager::state
    {103, 2276, 2804},	// Plasma::ToolTipManager::staticMetaObject
    {103, 2358, 2802},	// Plasma::ToolTipManager::tr$
    {103, 2359, 2785},	// Plasma::ToolTipManager::tr$$
    {103, 2360, 2787},	// Plasma::ToolTipManager::tr$$$
    {103, 2362, 2803},	// Plasma::ToolTipManager::trUtf8$
    {103, 2363, 2786},	// Plasma::ToolTipManager::trUtf8$$
    {103, 2364, 2788},	// Plasma::ToolTipManager::trUtf8$$$
    {103, 2381, 2795},	// Plasma::ToolTipManager::unregisterWidget#
    {103, 2449, 2800},	// Plasma::ToolTipManager::windowPreviewActivated$$$#
    {104, 551, 2823},	// Plasma::TreeView::TreeView
    {104, 552, 2815},	// Plasma::TreeView::TreeView#
    {104, 1402, 2808},	// Plasma::TreeView::metaObject
    {104, 1416, 2817},	// Plasma::TreeView::model
    {104, 1439, 2820},	// Plasma::TreeView::nativeWidget
    {104, 1537, 2814},	// Plasma::TreeView::qt_metacall$$?
    {104, 1539, 2809},	// Plasma::TreeView::qt_metacast$
    {104, 1970, 2816},	// Plasma::TreeView::setModel#
    {104, 2102, 2818},	// Plasma::TreeView::setStyleSheet$
    {104, 2276, 2824},	// Plasma::TreeView::staticMetaObject
    {104, 2289, 2819},	// Plasma::TreeView::styleSheet
    {104, 2358, 2821},	// Plasma::TreeView::tr$
    {104, 2359, 2810},	// Plasma::TreeView::tr$$
    {104, 2360, 2812},	// Plasma::TreeView::tr$$$
    {104, 2362, 2822},	// Plasma::TreeView::trUtf8$
    {104, 2363, 2811},	// Plasma::TreeView::trUtf8$$
    {104, 2364, 2813},	// Plasma::TreeView::trUtf8$$$
    {104, 2529, 2825},	// Plasma::TreeView::~TreeView
    {105, 132, 2876},	// Plasma::VideoWidget::DefaultControls
    {105, 359, 2872},	// Plasma::VideoWidget::Next
    {105, 370, 2866},	// Plasma::VideoWidget::NoControls
    {105, 386, 2875},	// Plasma::VideoWidget::OpenFile
    {105, 402, 2868},	// Plasma::VideoWidget::Pause
    {105, 411, 2867},	// Plasma::VideoWidget::Play
    {105, 412, 2870},	// Plasma::VideoWidget::PlayPause
    {105, 419, 2871},	// Plasma::VideoWidget::Previous
    {105, 420, 2873},	// Plasma::VideoWidget::Progress
    {105, 506, 2869},	// Plasma::VideoWidget::Stop
    {105, 571, 2864},	// Plasma::VideoWidget::VideoWidget
    {105, 572, 2833},	// Plasma::VideoWidget::VideoWidget#
    {105, 583, 2874},	// Plasma::VideoWidget::Volume
    {105, 602, 2855},	// Plasma::VideoWidget::aboutToFinish
    {105, 735, 2837},	// Plasma::VideoWidget::audioOutput
    {105, 848, 2844},	// Plasma::VideoWidget::controlsVisible
    {105, 881, 2838},	// Plasma::VideoWidget::currentTime
    {105, 1120, 2859},	// Plasma::VideoWidget::hoverEnterEvent#
    {105, 1122, 2860},	// Plasma::VideoWidget::hoverLeaveEvent#
    {105, 1124, 2861},	// Plasma::VideoWidget::hoverMoveEvent#
    {105, 1399, 2836},	// Plasma::VideoWidget::mediaObject
    {105, 1402, 2826},	// Plasma::VideoWidget::metaObject
    {105, 1439, 2849},	// Plasma::VideoWidget::nativeWidget
    {105, 1445, 2856},	// Plasma::VideoWidget::nextRequested
    {105, 1500, 2851},	// Plasma::VideoWidget::pause
    {105, 1507, 2850},	// Plasma::VideoWidget::play
    {105, 1529, 2857},	// Plasma::VideoWidget::previousRequested
    {105, 1537, 2832},	// Plasma::VideoWidget::qt_metacall$$?
    {105, 1539, 2827},	// Plasma::VideoWidget::qt_metacast$
    {105, 1571, 2840},	// Plasma::VideoWidget::remainingTime
    {105, 1636, 2858},	// Plasma::VideoWidget::resizeEvent#
    {105, 1695, 2853},	// Plasma::VideoWidget::seek$
    {105, 1801, 2843},	// Plasma::VideoWidget::setControlsVisible$
    {105, 2102, 2847},	// Plasma::VideoWidget::setStyleSheet$
    {105, 2146, 2845},	// Plasma::VideoWidget::setTickInterval$
    {105, 2164, 2834},	// Plasma::VideoWidget::setUrl$
    {105, 2172, 2841},	// Plasma::VideoWidget::setUsedControls$
    {105, 2276, 2865},	// Plasma::VideoWidget::staticMetaObject
    {105, 2278, 2852},	// Plasma::VideoWidget::stop
    {105, 2289, 2848},	// Plasma::VideoWidget::styleSheet
    {105, 2339, 2854},	// Plasma::VideoWidget::tick$
    {105, 2340, 2846},	// Plasma::VideoWidget::tickInterval
    {105, 2356, 2839},	// Plasma::VideoWidget::totalTime
    {105, 2358, 2862},	// Plasma::VideoWidget::tr$
    {105, 2359, 2828},	// Plasma::VideoWidget::tr$$
    {105, 2360, 2830},	// Plasma::VideoWidget::tr$$$
    {105, 2362, 2863},	// Plasma::VideoWidget::trUtf8$
    {105, 2363, 2829},	// Plasma::VideoWidget::trUtf8$$
    {105, 2364, 2831},	// Plasma::VideoWidget::trUtf8$$$
    {105, 2399, 2835},	// Plasma::VideoWidget::url
    {105, 2408, 2842},	// Plasma::VideoWidget::usedControls
    {105, 2530, 2877},	// Plasma::VideoWidget::~VideoWidget
    {106, 574, 2908},	// Plasma::View::View#
    {106, 575, 2885},	// Plasma::View::View##
    {106, 576, 2909},	// Plasma::View::View#$
    {106, 577, 2886},	// Plasma::View::View#$#
    {106, 789, 2904},	// Plasma::View::config
    {106, 792, 2905},	// Plasma::View::configNeedsSaving
    {106, 816, 2893},	// Plasma::View::containment
    {106, 901, 2891},	// Plasma::View::desktop
    {106, 963, 2892},	// Plasma::View::effectiveDesktop
    {106, 1128, 2899},	// Plasma::View::id
    {106, 1218, 2888},	// Plasma::View::isWallpaperEnabled
    {106, 1372, 2902},	// Plasma::View::lostContainment
    {106, 1402, 2878},	// Plasma::View::metaObject
    {106, 1537, 2884},	// Plasma::View::qt_metacall$$?
    {106, 1539, 2879},	// Plasma::View::qt_metacast$
    {106, 1674, 2900},	// Plasma::View::sceneRectAboutToChange
    {106, 1675, 2901},	// Plasma::View::sceneRectChanged
    {106, 1677, 2890},	// Plasma::View::screen
    {106, 1781, 2903},	// Plasma::View::setContainment#
    {106, 2058, 2910},	// Plasma::View::setScreen$
    {106, 2059, 2889},	// Plasma::View::setScreen$$
    {106, 2154, 2896},	// Plasma::View::setTrackContainmentChanges$
    {106, 2199, 2887},	// Plasma::View::setWallpaperEnabled$
    {106, 2276, 2913},	// Plasma::View::staticMetaObject
    {106, 2302, 2911},	// Plasma::View::swapContainment#$
    {106, 2303, 2894},	// Plasma::View::swapContainment#$?
    {106, 2304, 2912},	// Plasma::View::swapContainment$
    {106, 2305, 2895},	// Plasma::View::swapContainment$?
    {106, 2355, 2898},	// Plasma::View::topLevelViewAt#
    {106, 2358, 2906},	// Plasma::View::tr$
    {106, 2359, 2880},	// Plasma::View::tr$$
    {106, 2360, 2882},	// Plasma::View::tr$$$
    {106, 2362, 2907},	// Plasma::View::trUtf8$
    {106, 2363, 2881},	// Plasma::View::trUtf8$$
    {106, 2364, 2883},	// Plasma::View::trUtf8$$$
    {106, 2365, 2897},	// Plasma::View::trackContainmentChanges
    {106, 2531, 2914},	// Plasma::View::~View
    {107, 83, 2998},	// Plasma::Wallpaper::CenterTiledResize
    {107, 84, 2995},	// Plasma::Wallpaper::CenteredResize
    {107, 309, 3000},	// Plasma::Wallpaper::LastResizeMethod
    {107, 345, 2999},	// Plasma::Wallpaper::MaxpectResize
    {107, 464, 2996},	// Plasma::Wallpaper::ScaledAndCroppedResize
    {107, 465, 2994},	// Plasma::Wallpaper::ScaledResize
    {107, 535, 2997},	// Plasma::Wallpaper::TiledResize
    {107, 584, 2979},	// Plasma::Wallpaper::Wallpaper
    {107, 585, 2922},	// Plasma::Wallpaper::Wallpaper#
    {107, 586, 2967},	// Plasma::Wallpaper::Wallpaper#?
    {107, 689, 2966},	// Plasma::Wallpaper::addUrls?
    {107, 755, 2938},	// Plasma::Wallpaper::boundingRect
    {107, 792, 2962},	// Plasma::Wallpaper::configNeedsSaving
    {107, 796, 2949},	// Plasma::Wallpaper::configurationRequired
    {107, 797, 2961},	// Plasma::Wallpaper::configurationRequired$
    {107, 798, 2960},	// Plasma::Wallpaper::configureRequested
    {107, 840, 2992},	// Plasma::Wallpaper::contextActions
    {107, 847, 2955},	// Plasma::Wallpaper::contextualActions
    {107, 857, 2943},	// Plasma::Wallpaper::createConfigurationInterface#
    {107, 891, 2948},	// Plasma::Wallpaper::dataEngine$
    {107, 1028, 2990},	// Plasma::Wallpaper::findInCache$#
    {107, 1029, 2973},	// Plasma::Wallpaper::findInCache$#$
    {107, 1126, 2932},	// Plasma::Wallpaper::icon
    {107, 1143, 2968},	// Plasma::Wallpaper::init#
    {107, 1154, 2974},	// Plasma::Wallpaper::insertIntoCache$#
    {107, 1187, 2937},	// Plasma::Wallpaper::isInitialized
    {107, 1197, 2956},	// Plasma::Wallpaper::isPreviewing
    {107, 1214, 2950},	// Plasma::Wallpaper::isUsingRenderingCache
    {107, 1321, 2936},	// Plasma::Wallpaper::listRenderingModes
    {107, 1327, 2980},	// Plasma::Wallpaper::listWallpaperInfo
    {107, 1328, 2924},	// Plasma::Wallpaper::listWallpaperInfo$
    {107, 1330, 2981},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$
    {107, 1331, 2925},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$$
    {107, 1333, 2983},	// Plasma::Wallpaper::load#
    {107, 1338, 2927},	// Plasma::Wallpaper::load#?
    {107, 1339, 2982},	// Plasma::Wallpaper::load$
    {107, 1343, 2926},	// Plasma::Wallpaper::load$?
    {107, 1402, 2915},	// Plasma::Wallpaper::metaObject
    {107, 1420, 2944},	// Plasma::Wallpaper::mouseMoveEvent#
    {107, 1422, 2945},	// Plasma::Wallpaper::mousePressEvent#
    {107, 1424, 2946},	// Plasma::Wallpaper::mouseReleaseEvent#
    {107, 1437, 2929},	// Plasma::Wallpaper::name
    {107, 1440, 2958},	// Plasma::Wallpaper::needsPreviewDuringConfiguration
    {107, 1465, 2930},	// Plasma::Wallpaper::package
    {107, 1466, 2984},	// Plasma::Wallpaper::packageStructure
    {107, 1467, 2928},	// Plasma::Wallpaper::packageStructure#
    {107, 1472, 2940},	// Plasma::Wallpaper::paint##
    {107, 1509, 2931},	// Plasma::Wallpaper::pluginName
    {107, 1537, 2921},	// Plasma::Wallpaper::qt_metacall$$?
    {107, 1539, 2916},	// Plasma::Wallpaper::qt_metacast$
    {107, 1610, 2988},	// Plasma::Wallpaper::render##
    {107, 1611, 2989},	// Plasma::Wallpaper::render##$
    {107, 1612, 2971},	// Plasma::Wallpaper::render##$#
    {107, 1613, 2986},	// Plasma::Wallpaper::render$#
    {107, 1614, 2987},	// Plasma::Wallpaper::render$#$
    {107, 1615, 2970},	// Plasma::Wallpaper::render$#$#
    {107, 1617, 2963},	// Plasma::Wallpaper::renderCompleted#
    {107, 1618, 2965},	// Plasma::Wallpaper::renderHintsChanged
    {107, 1619, 2933},	// Plasma::Wallpaper::renderingMode
    {107, 1639, 2952},	// Plasma::Wallpaper::resizeMethodHint
    {107, 1641, 2941},	// Plasma::Wallpaper::restore#
    {107, 1659, 2942},	// Plasma::Wallpaper::save#
    {107, 1754, 2939},	// Plasma::Wallpaper::setBoundingRect#
    {107, 1778, 2985},	// Plasma::Wallpaper::setConfigurationRequired$
    {107, 1779, 2969},	// Plasma::Wallpaper::setConfigurationRequired$$
    {107, 1797, 2993},	// Plasma::Wallpaper::setContextActions?
    {107, 1799, 2975},	// Plasma::Wallpaper::setContextualActions?
    {107, 2022, 2976},	// Plasma::Wallpaper::setPreviewDuringConfiguration$
    {107, 2024, 2957},	// Plasma::Wallpaper::setPreviewing$
    {107, 2038, 2935},	// Plasma::Wallpaper::setRenderingMode$
    {107, 2048, 2951},	// Plasma::Wallpaper::setResizeMethodHint$
    {107, 2128, 2953},	// Plasma::Wallpaper::setTargetSizeHint#
    {107, 2166, 2923},	// Plasma::Wallpaper::setUrls?
    {107, 2174, 2972},	// Plasma::Wallpaper::setUsingRenderingCache$
    {107, 2276, 2991},	// Plasma::Wallpaper::staticMetaObject
    {107, 2296, 2934},	// Plasma::Wallpaper::supportsMimetype$
    {107, 2323, 2954},	// Plasma::Wallpaper::targetSizeHint
    {107, 2358, 2977},	// Plasma::Wallpaper::tr$
    {107, 2359, 2917},	// Plasma::Wallpaper::tr$$
    {107, 2360, 2919},	// Plasma::Wallpaper::tr$$$
    {107, 2362, 2978},	// Plasma::Wallpaper::trUtf8$
    {107, 2363, 2918},	// Plasma::Wallpaper::trUtf8$$
    {107, 2364, 2920},	// Plasma::Wallpaper::trUtf8$$$
    {107, 2383, 2959},	// Plasma::Wallpaper::update#
    {107, 2403, 2964},	// Plasma::Wallpaper::urlDropped#
    {107, 2443, 2947},	// Plasma::Wallpaper::wheelEvent#
    {107, 2532, 3001},	// Plasma::Wallpaper::~Wallpaper
    {108, 588, 3041},	// Plasma::WallpaperScript::WallpaperScript
    {108, 589, 3009},	// Plasma::WallpaperScript::WallpaperScript#
    {108, 755, 3025},	// Plasma::WallpaperScript::boundingRect
    {108, 792, 3036},	// Plasma::WallpaperScript::configNeedsSaving
    {108, 857, 3015},	// Plasma::WallpaperScript::createConfigurationInterface#
    {108, 891, 3026},	// Plasma::WallpaperScript::dataEngine$
    {108, 900, 3023},	// Plasma::WallpaperScript::description
    {108, 1028, 3045},	// Plasma::WallpaperScript::findInCache$#
    {108, 1029, 3032},	// Plasma::WallpaperScript::findInCache$#$
    {108, 1148, 3012},	// Plasma::WallpaperScript::initWallpaper#
    {108, 1154, 3033},	// Plasma::WallpaperScript::insertIntoCache$#
    {108, 1187, 3024},	// Plasma::WallpaperScript::isInitialized
    {108, 1375, 3021},	// Plasma::WallpaperScript::mainScript
    {108, 1402, 3002},	// Plasma::WallpaperScript::metaObject
    {108, 1420, 3016},	// Plasma::WallpaperScript::mouseMoveEvent#
    {108, 1422, 3017},	// Plasma::WallpaperScript::mousePressEvent#
    {108, 1424, 3018},	// Plasma::WallpaperScript::mouseReleaseEvent#
    {108, 1465, 3022},	// Plasma::WallpaperScript::package
    {108, 1472, 3013},	// Plasma::WallpaperScript::paint##
    {108, 1537, 3008},	// Plasma::WallpaperScript::qt_metacall$$?
    {108, 1539, 3003},	// Plasma::WallpaperScript::qt_metacast$
    {108, 1613, 3043},	// Plasma::WallpaperScript::render$#
    {108, 1614, 3044},	// Plasma::WallpaperScript::render$#$
    {108, 1615, 3030},	// Plasma::WallpaperScript::render$#$#
    {108, 1617, 3037},	// Plasma::WallpaperScript::renderCompleted#
    {108, 1659, 3014},	// Plasma::WallpaperScript::save#
    {108, 1778, 3042},	// Plasma::WallpaperScript::setConfigurationRequired$
    {108, 1779, 3029},	// Plasma::WallpaperScript::setConfigurationRequired$$
    {108, 1799, 3034},	// Plasma::WallpaperScript::setContextualActions?
    {108, 2048, 3027},	// Plasma::WallpaperScript::setResizeMethodHint$
    {108, 2128, 3028},	// Plasma::WallpaperScript::setTargetSizeHint#
    {108, 2166, 3020},	// Plasma::WallpaperScript::setUrls?
    {108, 2174, 3031},	// Plasma::WallpaperScript::setUsingRenderingCache$
    {108, 2195, 3010},	// Plasma::WallpaperScript::setWallpaper#
    {108, 2276, 3046},	// Plasma::WallpaperScript::staticMetaObject
    {108, 2358, 3039},	// Plasma::WallpaperScript::tr$
    {108, 2359, 3004},	// Plasma::WallpaperScript::tr$$
    {108, 2360, 3006},	// Plasma::WallpaperScript::tr$$$
    {108, 2362, 3040},	// Plasma::WallpaperScript::trUtf8$
    {108, 2363, 3005},	// Plasma::WallpaperScript::trUtf8$$
    {108, 2364, 3007},	// Plasma::WallpaperScript::trUtf8$$$
    {108, 2383, 3035},	// Plasma::WallpaperScript::update#
    {108, 2403, 3038},	// Plasma::WallpaperScript::urlDropped#
    {108, 2438, 3011},	// Plasma::WallpaperScript::wallpaper
    {108, 2443, 3019},	// Plasma::WallpaperScript::wheelEvent#
    {108, 2533, 3047},	// Plasma::WallpaperScript::~WallpaperScript
    {109, 591, 3101},	// Plasma::WebView::WebView
    {109, 592, 3055},	// Plasma::WebView::WebView#
    {109, 746, 3074},	// Plasma::WebView::back
    {109, 838, 3062},	// Plasma::WebView::contentsSize
    {109, 846, 3087},	// Plasma::WebView::contextMenuEvent#
    {109, 928, 3093},	// Plasma::WebView::dragEnterEvent#
    {109, 930, 3094},	// Plasma::WebView::dragLeaveEvent#
    {109, 932, 3095},	// Plasma::WebView::dragMoveEvent#
    {109, 933, 3072},	// Plasma::WebView::dragToScroll
    {109, 958, 3096},	// Plasma::WebView::dropEvent#
    {109, 1050, 3091},	// Plasma::WebView::focusInEvent#
    {109, 1054, 3092},	// Plasma::WebView::focusOutEvent#
    {109, 1064, 3075},	// Plasma::WebView::forward
    {109, 1070, 3061},	// Plasma::WebView::geometry
    {109, 1124, 3083},	// Plasma::WebView::hoverMoveEvent#
    {109, 1125, 3059},	// Plasma::WebView::html
    {109, 1231, 3097},	// Plasma::WebView::itemChange$#
    {109, 1250, 3089},	// Plasma::WebView::keyPressEvent#
    {109, 1252, 3090},	// Plasma::WebView::keyReleaseEvent#
    {109, 1351, 3079},	// Plasma::WebView::loadFinished$
    {109, 1359, 3078},	// Plasma::WebView::loadProgress$
    {109, 1374, 3070},	// Plasma::WebView::mainFrame
    {109, 1402, 3048},	// Plasma::WebView::metaObject
    {109, 1418, 3085},	// Plasma::WebView::mouseDoubleClickEvent#
    {109, 1420, 3082},	// Plasma::WebView::mouseMoveEvent#
    {109, 1422, 3084},	// Plasma::WebView::mousePressEvent#
    {109, 1424, 3086},	// Plasma::WebView::mouseReleaseEvent#
    {109, 1469, 3069},	// Plasma::WebView::page
    {109, 1472, 3104},	// Plasma::WebView::paint##
    {109, 1473, 3081},	// Plasma::WebView::paint###
    {109, 1537, 3054},	// Plasma::WebView::qt_metacall$$?
    {109, 1539, 3049},	// Plasma::WebView::qt_metacast$
    {109, 1569, 3076},	// Plasma::WebView::reload
    {109, 1686, 3064},	// Plasma::WebView::scrollPosition
    {109, 1839, 3071},	// Plasma::WebView::setDragToScroll$
    {109, 1880, 3073},	// Plasma::WebView::setGeometry#
    {109, 1905, 3102},	// Plasma::WebView::setHtml#
    {109, 1906, 3058},	// Plasma::WebView::setHtml##
    {109, 1907, 3103},	// Plasma::WebView::setHtml$
    {109, 1908, 3060},	// Plasma::WebView::setHtml$#
    {109, 1993, 3068},	// Plasma::WebView::setPage#
    {109, 2061, 3063},	// Plasma::WebView::setScrollPosition#
    {109, 2163, 3056},	// Plasma::WebView::setUrl#
    {109, 2211, 3067},	// Plasma::WebView::setZoomFactor$
    {109, 2254, 3098},	// Plasma::WebView::sizeHint$#
    {109, 2276, 3105},	// Plasma::WebView::staticMetaObject
    {109, 2278, 3077},	// Plasma::WebView::stop
    {109, 2358, 3099},	// Plasma::WebView::tr$
    {109, 2359, 3050},	// Plasma::WebView::tr$$
    {109, 2360, 3052},	// Plasma::WebView::tr$$$
    {109, 2362, 3100},	// Plasma::WebView::trUtf8$
    {109, 2363, 3051},	// Plasma::WebView::trUtf8$$
    {109, 2364, 3053},	// Plasma::WebView::trUtf8$$$
    {109, 2399, 3057},	// Plasma::WebView::url
    {109, 2401, 3080},	// Plasma::WebView::urlChanged#
    {109, 2431, 3065},	// Plasma::WebView::viewportGeometry
    {109, 2443, 3088},	// Plasma::WebView::wheelEvent#
    {109, 2459, 3066},	// Plasma::WebView::zoomFactor
    {109, 2534, 3106},	// Plasma::WebView::~WebView
    {133, 283, 3157},	// QGlobalSpace::KST_CTimeInfo
    {133, 284, 3149},	// QGlobalSpace::KST_KCustom
    {133, 285, 3143},	// QGlobalSpace::KST_KDEDesktopMimeType
    {133, 286, 3142},	// QGlobalSpace::KST_KFolderMimeType
    {133, 287, 3154},	// QGlobalSpace::KST_KImageIO
    {133, 288, 3146},	// QGlobalSpace::KST_KImageIOFormat
    {133, 289, 3141},	// QGlobalSpace::KST_KMimeType
    {133, 290, 3144},	// QGlobalSpace::KST_KMimeTypeEntry
    {133, 291, 3156},	// QGlobalSpace::KST_KMimeTypeFactory
    {133, 292, 3147},	// QGlobalSpace::KST_KProtocolInfo
    {133, 293, 3155},	// QGlobalSpace::KST_KProtocolInfoFactory
    {133, 294, 3139},	// QGlobalSpace::KST_KService
    {133, 295, 3151},	// QGlobalSpace::KST_KServiceFactory
    {133, 296, 3145},	// QGlobalSpace::KST_KServiceGroup
    {133, 297, 3153},	// QGlobalSpace::KST_KServiceGroupFactory
    {133, 298, 3148},	// QGlobalSpace::KST_KServiceSeparator
    {133, 299, 3140},	// QGlobalSpace::KST_KServiceType
    {133, 300, 3152},	// QGlobalSpace::KST_KServiceTypeFactory
    {133, 301, 3138},	// QGlobalSpace::KST_KSycocaEntry
    {133, 317, 3162},	// QGlobalSpace::LicensedActiveQt
    {133, 318, 3150},	// QGlobalSpace::LicensedCore
    {133, 319, 3163},	// QGlobalSpace::LicensedDBus
    {133, 320, 3161},	// QGlobalSpace::LicensedDeclarative
    {133, 321, 3160},	// QGlobalSpace::LicensedGui
    {133, 322, 3173},	// QGlobalSpace::LicensedHelp
    {133, 323, 3172},	// QGlobalSpace::LicensedMultimedia
    {133, 324, 3136},	// QGlobalSpace::LicensedNetwork
    {133, 325, 3133},	// QGlobalSpace::LicensedOpenGL
    {133, 326, 3135},	// QGlobalSpace::LicensedOpenVG
    {133, 327, 3134},	// QGlobalSpace::LicensedQt3Support
    {133, 328, 3166},	// QGlobalSpace::LicensedQt3SupportLight
    {133, 329, 3171},	// QGlobalSpace::LicensedScript
    {133, 330, 3165},	// QGlobalSpace::LicensedScriptTools
    {133, 331, 3137},	// QGlobalSpace::LicensedSql
    {133, 332, 3158},	// QGlobalSpace::LicensedSvg
    {133, 333, 3164},	// QGlobalSpace::LicensedTest
    {133, 334, 3127},	// QGlobalSpace::LicensedXml
    {133, 335, 3159},	// QGlobalSpace::LicensedXmlPatterns
    {133, 424, 3122},	// QGlobalSpace::Q_COMPLEX_TYPE
    {133, 425, 3126},	// QGlobalSpace::Q_DUMMY_TYPE
    {133, 426, 3125},	// QGlobalSpace::Q_MOVABLE_TYPE
    {133, 427, 3123},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {133, 428, 3124},	// QGlobalSpace::Q_STATIC_TYPE
    {133, 429, 3130},	// QGlobalSpace::QtCriticalMsg
    {133, 430, 3128},	// QGlobalSpace::QtDebugMsg
    {133, 431, 3131},	// QGlobalSpace::QtFatalMsg
    {133, 432, 3132},	// QGlobalSpace::QtSystemMsg
    {133, 433, 3129},	// QGlobalSpace::QtWarningMsg
    {133, 598, 3169},	// QGlobalSpace::__codecvt_error
    {133, 599, 3170},	// QGlobalSpace::__codecvt_noconv
    {133, 600, 3167},	// QGlobalSpace::__codecvt_ok
    {133, 601, 3168},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *plasma_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_plasma_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    plasma_Smoke = new Smoke(
        "plasma",
        __smokeplasma::classes, 200,
        __smokeplasma::methods, 3387,
        __smokeplasma::methodMaps, 3113,
        __smokeplasma::methodNames, 2534,
        __smokeplasma::types, 510,
        __smokeplasma::inheritanceList,
        __smokeplasma::argumentList,
        __smokeplasma::ambiguousMethodList,
        __smokeplasma::cast );
    initialized = true;
}

void delete_plasma_Smoke() { delete plasma_Smoke; }

}
